app.scroll = {
	flipsnapIndex: 0,
	tabcount: 0,
	pagewidth: 0,
	iscroll: {
		//一级容器Id
		packIdone: "",
		//二级容器Id
		packIdtwo: "",
		//内容容器Id
		detailId: '',
		//内容类型
		detailtype: '',
		//容器高度
		packheight: 0,
		//当前分页信息
		pageinfo: {
			Index: 0,
			Size: 0,
			Amount: 0,
			ResultAmount: 0
		},
		//下拉回调事件
		downcallback: function() {},
		//上拉回调事件
		upcallback: function() {},
		isneeddown: false,
		isneedup: false
	},
	//contentobj 列表内容容器  tabobj tab所有子对象   tab焦点对象 tabclickcallback 切换tab回调事件
	initflipsnap: function(contentobj, tabobj, tabcss, tabclickcallback) {
		var self = app.scroll;
		var count = $(tabobj).length;
		self.tabcount = count;
		var width = $(window).width();
		var flipsnap = Flipsnap(contentobj, {
			distance: width,
			maxPoint: (self.tabcount - 1),
			 disableTouch: true 
		});

		self.scroll = flipsnap;

//		flipsnap.element.addEventListener('fsmoveend', function() {//touch行为结束
//			var num = flipsnap.currentPoint;
//			app.scroll.flipsnapIndex = num;
//			$(tabobj).removeClass(tabcss);
//			$(tabobj).eq(num).addClass(tabcss);
//			$(tabobj).eq(num).click();//主动调用一次click()事件
//			tabclickcallback(num);
//		}, false);

		$(tabobj).on("tap", function() {//点击头部导航栏各个条目的逻辑
			var index = $(tabobj).index(this);//???
			$(tabobj).removeClass(tabcss);
			$(tabobj).eq(index).addClass(tabcss);
			flipsnap.moveToPoint(index);//滑动到index页面
			tabclickcallback(index);
		});
	},
	initiscroll: function(iscroll) {
		var self = app.scroll;
		var entity = iscroll;
		var pullrange = 10;
		if(entity.detailId) {
			var detailobj = $("#" + entity.detailId);//self.packprefix + self.currentType
			var isinit = detailobj.attr("isInitScroll");
			if(!isinit) {
				self.setwidthandheigth(iscroll);
				detailobj.attr("isInitScroll", "1");
				var type = entity.detailtype || "";
				var firstchildren = detailobj.children(":first");
				var upbutton = 'pullUp' + type;
				var downbutton = "pullDown" + type;
				$(firstchildren).prepend('<div id="' + downbutton + '"></div>');
				$(firstchildren).append('<div id="' + upbutton + '"></div>');

				var pullDownEl = document.getElementById(downbutton);
				var pullDownOffset = pullDownEl.offsetHeight;
				var pullUpEl = document.getElementById(upbutton);
				var pullUpOffset = pullUpEl.offsetHeight;

				var downobj = $("#" + downbutton);
				var upobj = $("#" + upbutton);
				if(!detailobj.data('scroll')) {
					$(function() {
						var myScroll = new IScroll("#" + entity.detailId, {//detailobj

							probeType: 3,
							mouseWheel: true,
							hScrollbar: false,
							fadeScrollbar: false,
							preventDefaultException: {
								tagName: /^(INPUT|TEXTAREA|BUTTON|SELECT|A)$/
							},
							checkDOMChanges: false
						});
						detailobj.data('scroll', myScroll);//jQuery的data()方法
					});

				} else {
					detailobj.data('scroll').refresh();
				}
				detailobj.data('scroll').on('scrollEnd', function() {
					if(downobj.hasClass('down')) {
						downobj.removeClass("down");
						if(checkisdownpull() && iscroll.downcallback) {
							//alert('down');
							iscroll.downcallback();
							detailobj.data('scroll').refresh();
						}
					} else if(upobj.hasClass('up')) {
						//upobj.html('加载中...');
						upobj.removeClass("up");
						if(checkisuppull() && iscroll.upcallback) {
							//alert('up');
							iscroll.upcallback();
							detailobj.data('scroll').refresh();
						}
					}
				});
				detailobj.data('scroll').on('scroll', onmove);
				detailobj.data('scroll').on('scrollStart', function() {
					
				});
				
				function onmove() {
					if(detailobj.data('scroll').y > pullrange) {
						if(checkisdownpull()) {
							app.Loading(downobj);
							downobj.addClass("down");
							detailobj.data('scroll').minScrollY = 0;
						}
					} else if(detailobj.data('scroll').y < pullrange && downobj.hasClass('down')) {
						downobj.html("");
						//downobj.removeClass("down");
						detailobj.data('scroll').minScrollY = -pullDownOffset;
					} else if(detailobj.data('scroll').y < (detailobj.data('scroll').maxScrollY - pullrange)) {
						if(checkisuppull()) {
							app.Loading(upobj);
							upobj.addClass("up");
						}
						detailobj.data('scroll').maxScrollY = detailobj.data('scroll').maxScrollY;//???
					} else if(detailobj.data('scroll').y > (detailobj.data('scroll').maxScrollY + pullrange) && upobj.hasClass('up')) {
						upobj.removeClass('up');
						detailobj.data('scroll').maxScrollY = pullUpOffset;
					}
				}
				detailobj.on('touchmove', function(e) {
					e.preventDefault();
				});
			}
		}

		function checkisuppull() {
			iscroll.isneedup = iscroll.isneedup || false;
			if(iscroll.isneedup && iscroll.pageinfo.Index < iscroll.pageinfo.Amount)
				return true;
			return false;
		}

		function checkisdownpull() {
			iscroll.isneeddown = iscroll.isneeddown || false;
			if(iscroll.isneeddown)
				return true;
			return false;

		}
	},
	setwidthandheigth: function(iscroll) {
		var self = app.scroll;
		var entity = iscroll;
		var width = $(window).width();

		if(entity.packIdone) {
			$("#" + entity.packIdone).css("height", entity.packheight);
		}
		if(entity.packIdtwo) {
			$("#" + entity.packIdtwo).css("height", entity.packheight);
		}
		if(entity.detailId) {
			$("#" + entity.detailId).css("height", entity.packheight + 6);
			var divlist = $("#" + entity.detailId).children(":first");
			var sonheigth = $(divlist).height();
			if(sonheigth <= entity.packheight) {
				$(divlist).css("height", entity.packheight + 8);
			}

			$("#" + entity.detailId).css("width", width);
		}
	}
}