(function(window, $) {
	window.DemandIndex = (function() {

		var _searchType;
		var _newDate;

		/**
		 * 首页ready 初始化
		 * @example
		 * @constructor
		 * 
		 */
		function plusReady() {
			//判读是否是 沉浸式如果不是设置头部背景样式 针对IOS
			var bi = plus.navigator.isImmersedStatusbar();
			if(!bi) {
				app.StatusBarBackground("#13b1fe");
			}

			// 关闭侧滑返回功能
			var wv = plus.webview.currentWebview();
			wv.setStyle({
				'popGesture': 'none'
			});

			//两次控制返回键自动退出应用
			var backButtonPress = 0;
			mui.back = function(event) {
				backButtonPress++;
				if(backButtonPress > 1) {
					plus.runtime.quit();
				} else {
					plus.nativeUI.toast('再按一次退出应用');
				}
				setTimeout(function() {
					backButtonPress = 0;
				}, 1000);
				return false;
			};
		}

		/**
		 * 初始化
		 * @example
		 * @constructor
		 */
		function init() {
			app.GetServicesTime(_initHtml);
			var settings = app.getSettings();
			_searchType = settings.searchType;
			if(!_searchType) {
				_searchType = 1;
			}

			_initTitle(_searchType);

			_getHistoryData(_searchType);

			initEvent();
			//初始化js模板格式化
			template.helper("DatesFormat", homeDatesFormat);
			template.helper("PriceFormat", PriceFormat);
			template.helper("StarFormat", StarFormat);
			template.helper("RoomListFormat", RoomListFormat);
			template.helper("SpecialListFormat", SpecialListFormat);
			template.helper("PriceStarFormat", PriceStarFormat);
			template.helper("_StarFormat", _StarFormat);

			$(".number").Spinner();
		}

		/**
		 * 绑定事件
		 * @example
		 * @constructor
		 */
		function initEvent() {
			$(".home-new-list-ul-title span").off().on("tap", function() {
				var type = $(this).attr("val");
				if(type == 1) {
					$("#hotel-search-line").addClass('selected');
					$("#custom-package-line").removeClass('selected')
				} else {
					$("#hotel-search-line").removeClass('selected');
					$("#custom-package-line").addClass('selected')
				}
				if($(this).hasClass("current")) {
					return;
				}
				$(".home-new-list-ul-title span.current").removeClass("current");
				$(this).addClass("current");
				_searchType = type;
				_setSearchType(_searchType); //存储
				_getHistoryData(_searchType);
				initHtml(_searchType);

			});

			$("#searchRoomType span").off().on("tap", function() {
				var $icon = $(this).find("i");
				if(!$icon.hasClass("active")) {
					var $active = $("#searchRoomType span i.active");
					$active.removeClass("active");
					$active.removeClass("icon-index-yixuanzhong");
					$active.addClass("icon-index-weixuanzhong");

					$icon.addClass("active");
					$icon.addClass("icon-index-yixuanzhong");
					$icon.removeClass("icon-index-weixuanzhong");

					var isGroup = $(this).attr("data-IsGroup");
					window.model.indexRequestReq.data.IsGroup = parseInt(isGroup);
					_setHistoryData(_searchType);
//					_initGroup(1);
				}
			});

			//区域绑定事件
			$(".searchDepartPurpose").off().on("tap", function() {
				var settings = app.getSettings();
				if(_searchType == 1) {
					settings.cityhistory = settings.cityhistory1;
					window.model.indexRequestReq.data.Dest.Type = 0;
				}
				if(_searchType == 2) {
					settings.cityhistory = settings.cityhistory2;
					window.model.indexRequestReq.data.beginDest.Type = 1;
				}
				app.setSettings(settings);

				app.ShowWebView("../Demand/SearchDestination.html", { Dest: window.model.indexRequestReq.data.beginDest, flag:2});
			});

			$(".hotel-search-destion").off().on('tap', function() {
				var settings = app.getSettings();
				if(_searchType == 1) {
					settings.cityhistory = settings.cityhistory1;
					window.model.indexRequestReq.data.Dest.Type = 0;
				}
				if(_searchType == 2) {
					settings.cityhistory = settings.cityhistory2;
				}
				app.setSettings(settings);

				app.ShowWebView("../Demand/SearchDestination.html", { Dest: window.model.indexRequestReq.data.Dest });
			});

			$("#destination").off().on("tap", function() {
				var settings = app.getSettings();
				if(_searchType == 1) {
					settings.cityhistory = settings.cityhistory1;
				}
				if(_searchType == 2) {
					settings.cityhistory = settings.cityhistory2;
				}
				if(_searchType == 3) {
					settings.cityhistory = settings.cityhistory3;
				}
				app.setSettings(settings);
				window.model.indexRequestReq.data.startDest.Type = 0;
				app.ShowWebView("../Demand/SearchDestination.html", { Dest: window.model.indexRequestReq.data.startDest, flag: 1 });
			});

			$("#close-dest").off().on('tap', function(e) {
				var state = $(this).attr('data-location');
				if(state == 'false'){
					//关闭
					var settings = app.getSettings();
					if(settings.searchparam3) {
						settings.searchparam3.startDest.Name = '';
						settings.searchparam3.startDest.Id = [];
						app.setSettings(settings);
					}
					if(window.model.indexRequestReq.data.startDest) {
						window.model.indexRequestReq.data.startDest.Name = '';
						window.model.indexRequestReq.data.startDest.Id = [];
					}
					$(".searchDestination-purpose").val('');
					$("#close-dest-i").removeClass('icon-guanbi');
					$("#close-dest-i").addClass('icon-xiayibu');
					$(this).attr('data-location','true');
				}else{
					$(this).attr('data-location','false');
					var settings = app.getSettings();
					if(_searchType == 1) {
						settings.cityhistory = settings.cityhistory1;
					}
					if(_searchType == 2) {
						settings.cityhistory = settings.cityhistory2;
					}
					if(_searchType == 3) {
						settings.cityhistory = settings.cityhistory3;
					}
					app.setSettings(settings);
					window.model.indexRequestReq.data.startDest.Type = 0;
					app.ShowWebView("../Demand/SearchDestination.html", { Dest: window.model.indexRequestReq.data.startDest, flag: 1 });
				}
				
			});

			$("#close-depart").off().on('tap', function() {
				currentPosition();
			});

			//			$(".roomDate").off().on("tap", function() {
			//				var state = $(this).attr('data-limit-year');
			//				window.NewDate.loadDateHistory(new Date(_newDate), window.model.indexRequestReq.data.CheckList,state);
			//				var $box = $('.room-date');
			//				$box.slideToggle(200);
			//				$(".dateback").css({
			//					display: "block",
			//					height: $(document).height()
			//				});
			//			});
			$("#hotel-room-date").off().on('tap', function() {
				var state = $(this).attr('data-limit-year');
				window.NewDate.loadDateHistory(new Date(_newDate), window.model.indexRequestReq.data.CheckList, state);
				var $box = $('.room-date');
				$box.slideToggle(200);
				var distance = parseInt(localStorage.distance);
				var distance2 = parseInt(localStorage.distance2);
				if($("#hotel-search-line").hasClass("selected") && localStorage.distance != undefined) {
					$(".dateBox").scrollTop(distance);
				}
				if($("#custom-package-line").hasClass("selected") && localStorage.distance2 != undefined) {
					$(".dateBox").scrollTop(distance2);
				}
				$(".dateback").css({
					display: "block",
					height: $(document).height()
				});
			});
			$("#custom-room-date").off().on('tap', function() {
				var state = $(this).attr('data-limit-year');
				window.NewDate.loadDateHistory(new Date(_newDate), window.model.indexRequestReq.data.customTime, state);
				var $box = $('.room-date');
				$box.slideToggle(200);
				$(".dateback").css({
					display: "block",
					height: $(document).height()
				});
			});
			$("#sure-change").off().on('tap', function() {
				var status = $(this).attr('data-sure');
				if(status == 'false') {
					$(this).addClass('sured');
					$('#sure-icon').removeClass('icon-weixuan');
					$('#sure-icon').addClass('icon-yixuan');
					$(this).attr('data-sure', 'true');
					var settings = app.getSettings();
					settings.isChange = true;
					app.setSettings(settings);
				} else {
					$(this).removeClass('sured');
					$('#sure-icon').removeClass('icon-yixuan');
					$('#sure-icon').addClass('icon-weixuan');
					$(this).attr('data-sure', 'false');
					var settings = app.getSettings();
					settings.isChange = false;
					app.setSettings(settings);
				}
			});

			$("#mc").on('touchend', function(event) {
				//event.stopPropagation();
				event.preventDefault();

			});

			$("#mc").on('touchmove', function(event) {
				event.preventDefault();
			});

			$("#mc").on('tap', function() {
				$("#mc").hide();
				$(".select-people").hide(200);
			})

			$("#home-type").off().on('tap', function() {
				$("#mc").show();
				$(".select-people").slideToggle(200);
				var localData = app.getSettings();
				if(localData.ticket){
					$("#adult-num").text(localData.ticket.adultNum);
					$("#children-num").text(localData.ticket.childrenNum);
					if(localData.ticket.childrenNum>0){
						$("#children-num").addClass('default-color');
					}
				}
			});

			$(".select-people").on('touchmove', function(e) {
				event.preventDefault();
			});

			$(".select-people").on('touchend', function(e) {
				event.preventDefault();
			});

			//成人++
			$("#adult-add").off().on('tap', function() {
				$("#adult-num").addClass('default-color');
				//$(".adult-name").eq(0).addClass('default-color');
				var num = $("#adult-num").text();
				if(Number(num) >= 99) {
					num = 99;
				} else {
					num = Number(num) + 1;
				}

				$("#adult-num").text(num);
			});
			//成人--
			$("#adult-reduce").off().on('tap', function() {
				var num = $("#adult-num").text();
				if(Number(num) <= 4) {
					$("#adult-num").text(3);
					$("#adult-num").removeClass('default-color');
					//$(".adult-name").eq(0).removeClass('default-color');
				} else {
					num = Number(num) - 1;
					$("#adult-num").text(num);
				}
			});

			//儿童++
			$("#children-add").off().on('tap', function() {
				$("#children-num").addClass('default-color');
				//$(".adult-name").eq(1).addClass('default-color');
				var num = $("#children-num").text();
				num = Number(num) + 1;
				$("#children-num").text(num);
			});
			//儿童--
			$("#children-reduce").off().on('tap', function() {
				var num = $("#children-num").text();
				if(Number(num) <= 1) {
					$("#children-num").text(0);
					$("#children-num").removeClass('default-color');
					//$(".adult-name").eq(1).removeClass('default-color');
				} else {
					num = Number(num) - 1;
					$("#children-num").text(num);
				}
			});

			$(".confirm-btn").off().on('tap', function() {
				$("#mc").hide();
				$(".select-people").slideToggle(200);
				var settings = app.getSettings();
				$("#adult-num-tmpl").text($("#adult-num").text());
				$("#children-num-tmpl").text($("#children-num").text());
				settings.ticket = {
					adultNum: $("#adult-num").text(),
					childrenNum: $("#children-num").text()
				};
				if(settings.searchparam3) {
					settings.searchparam3.ticket = {
						adultNum: $("#adult-num").text(),
						childrenNum: $("#children-num").text()
					}
				}
				app.setSettings(settings);
			});

			$(".dateback").off().on("tap", function() {
				$(".room-date").slideToggle(200);
				$(".dateback").hide();
			});

			$("#searchRoom").off().on("tap", function() {
				_reInitRooms();
				var $box = $('.room-type-list');
				$box.slideToggle(200);
				$(".roomback").css({
					display: "block",
					height: $(document).height()
				});
			});
			$(".room-btn").off().on("tap", function() {
				reCallbackRooms();

				$(".roomback").hide();
				$('.room-type-list').slideToggle(200);
			});
			$(".roomback").off().on("tap", function() {
				$(".roomback").hide();
				$('.room-type-list').slideToggle(200);
			});

			$("#searchSpecial").off().on("tap", function() {
				_initSpecial();
				var $box = $('.room-teshu');
				$box.slideToggle(200);
				$(".specialback").css({
					display: "block",
					height: $(document).height()
				});

			});
			$(".special-btn").off().on("tap", function() {
				reCallbackSpecial();

				$(".specialback").hide();
				$('.room-teshu').slideToggle(200);
			});
			$(".specialback").off().on("tap", function() {
				$(".specialback").hide();
				$('.room-teshu').slideToggle(200);
			});

			$(".room-teshu li span").off().on("tap", function() {
				if($(this).hasClass("current")) {
					$(this).removeClass("current");
					$(this).parent().find("p").hide();
				} else {
					$(this).addClass("current");
					$(this).parent().find("p").show();
				}
			});

			$("#searchStarPrice").off().on("tap", function() {
				_PriceStar();
				var $box = $('.room-price');
				$box.slideToggle(200);
				$(".priceback").css({
					display: "block",
					height: $(document).height()
				});
			});
			$("#btnPrice").off().on("tap", function() {
				reCallbackPriceStar();

				$(".priceback").hide();
				$('.room-price').slideToggle(200);
			});
			$(".priceback").off().on("tap", function() {
				$(".priceback").hide();
				$('.room-price').slideToggle(200);
			});

			$(".room-price-sel li").off().on("tap", function() {
				$(".room-price-sel li").removeClass("current");
				$(".room-price-sel li .rsanjia").remove();
				$(this).addClass("current");
				$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
				//           var wh=$(".room-price-starsel li").width()+1;
				//			$(".room-price-starsel .current").css("width",wh+"px");
			});

			$("#searchPrice").off().on("tap", function() {

				_priceTemplate();
				var $box = $('#pricess');
				$box.slideToggle(200);
				$(".pricessback").css({
					display: "block",
					height: $(document).height()
				});
			});

			$(".pricessback").off().on("tap", function() {
				$(".pricessback").hide();
				$('#pricess').slideToggle(200);
			});

			$("#searchStar").off().on("tap", function() {

				_starTemplate();
				var $box = $('#starss');
				$box.slideToggle(200);
				$(".starssback").css({
					display: "block",
					height: $(document).height()
				});
			});

			$(".starssback").off().on("tap", function() {
				$(".starssback").hide();
				$('#starss').slideToggle(200);
			});

			$(".room-price-star li").off().on("tap", function() {
				var $this = $(this);
				if($(this).hasClass("current")) {
					$(this).removeClass("current");
					$(this).find(".rsanjia").remove();
				} else {
					if($(this).attr("val") == 0) {
						$(".room-price-star li").removeClass("current");
						$(".room-price-star li .rsanjia").remove();
					}
					$(this).addClass("current");
					$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
				}

				var lis = $(".room-price-star li.current");
				if(lis.length >= 2) {
					if($("#starDefault").hasClass("current")) {
						$("#starDefault").removeClass("current");
						$("#starDefault .rsanjia").remove();
						//						$(this).find("rsanjia").remove();
						//						$(".room-price-star .rsanjia").remove();
					}
				}

				if(lis.length == 0) {
					$("#starDefault").addClass("current");
					$("#starDefault").append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
				}
			});

			$("#btnSearch").off().on("tap", function() {
				if(localStorage.isfirst != undefined) {
					localStorage.removeItem('isfirst');
				}
				//判断目的地
				var dest = window.model.indexRequestReq.data.Dest;
				if(dest.Name == "") {
					plus.nativeUI.toast("请选择目的地！");
					return false;
				}

				var CheckList = window.model.indexRequestReq.data.CheckList;
				if(CheckList.length != 2) {
					plus.nativeUI.toast("请选择入住日期！");
					return false;
				}

				if(_searchType == 2) {
					var RoomList = window.model.indexRequestReq.data.RoomList;
					var oneCount = 0;
					var twoCount = 0;
					var threeCount = 0;
					var suiteCount = 0;

					if(!!RoomList) {
						$.each(RoomList, function(index, room) {
							if(parseInt(room.Amount) > 0 && room.Type == 1) {
								oneCount = parseInt(room.Amount);
							}

							if(parseInt(room.Amount) > 0 && room.Type == 2) {
								twoCount = parseInt(room.Amount);
							}
							if(parseInt(room.Amount) > 0 && room.Type == 3) {
								threeCount = parseInt(room.Amount);
							}
							if(parseInt(room.Amount) > 0 && room.Type == 4) {
								suiteCount = parseInt(room.Amount);
							}

						});
					}

					if(oneCount == 0 && twoCount == 0 && threeCount == 0 && suiteCount == 0) {
						plus.nativeUI.toast("请选择房型数量！");
						return false;
					}
					//价格
					var Price = window.model.indexRequestReq.data.Price;
					if(!!Price) {
						var min = Price[0];
						var max = Price[1];
						if(min.length <= 0) {
							min = 0;
						}
						if(max.length <= 0) {
							max = 0;
						}

						if(min == 0 && max == 0) {
							plus.nativeUI.toast("请选择价格！");
							return false;
						}

					} else {
						plus.nativeUI.toast("请选择价格！");
						return false;
					}

					app.Post(window.model.indexRequestReq, null, reSubmitDemandDCallback);
				}

				if(_searchType == 1) {
					var IsGroup = window.model.indexRequestReq.data.IsGroup;
					if(IsGroup == 2) {
						plus.nativeUI.toast("请选择房型类型！");
						return false;
					}

					app.ShowWebView("../Demand/NewHotelList.html", {});
				}

			});

			$("#searchBrand").off().on("tap", function() {

				var brand = window.model.indexRequestReq.data.Key;
				var cityId = 0;
				var brandId = 0;
				var brandName = "";
				var brandType = 0;

				if(brand != undefined) {
					brandId = brand.Id[0];
					brandName = brand.Name;
					brandType = brand.Type;
					cityId = window.model.indexRequestReq.data.CityId;
				}

				if(cityId == "" || cityId == 0) {
					plus.nativeUI.toast("请先选择目的地！");
					return;
				}
				var pagedata = {
					cityId: cityId,
					brandId: brandId,
					brandName: brandName,
					brandType: brandType
				};
				app.ShowWebView("../Demand/SearchBrand.html", pagedata);
			});
			$("#searchBrand .jiage").off().on("tap", function() {
				$("#homeBrandName").val("");
				reCallbackBrand(0, "", 0);
				localStorage.removeItem("xtype");
				return false;
			});
			$("#searchStarPrice .jiage").off().on("tap", function() {
				window.model.indexRequestReq.data.Price=["0","0"];
				window.model.indexRequestReq.data.StarRateList=["0","0"];
				_setHistoryData(_searchType);
			initHtml(_searchType);
			$(".room-price-sel ul li").removeClass("current");
			$(".room-price-sel ul li").eq(0).addClass("current");
			$(".rsanjia").remove();
			$(".room-price-sel ul li").eq(0).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
				return false;
			});
			$("#btnNext").off().on('tap', function() {
				var storageData = app.getSettings();
				if(!storageData.searchparam3) {
					plus.nativeUI.toast('请选择出发地');
					return;
				}
				if(storageData.searchparam3.beginDest.Name == ''){
					plus.nativeUI.toast('请选择出发地');
					return;
				}
				if(storageData.searchparam3.startDest.Name == '') {
					plus.nativeUI.toast('请选择目的地');
					return;
				}
				//添加出发地和目的地不能重复,判断通过区域id
				var departId = storageData.searchparam3.beginDest.Id[0];
				var destId = storageData.searchparam3.startDest.Id[0];
				if(departId == destId) {
					plus.nativeUI.toast('出发地和目的地不能相同');
					return;
				}
				app.ShowWebView("../Travel/travelDemand.html");
			})

		}

		function currentPosition(){
			plus.geolocation.getCurrentPosition(function(p) {

				var cityName = p.address.city;

				var searchDetail = {
					Type: 0,
					Id: 0,
					Name: ''
				};
				var sCurrent = {
					url: projectConfig.apiName.GetDestinationList,
					data: {
						DestReqType: "current",
						DestList: []
					}
				};
				searchDetail.Type = 1;
				searchDetail.Name = cityName;
				searchDetail.Id = 0;
				sCurrent.data.DestList.push(searchDetail);
				var sendData = {
					url: sCurrent.url,
					data: sCurrent.data
				}
				app.showWaiting('定位中...', 1);
				app.Post(sendData, null, function(data) {
					var id = data.DestList[0].Id;
					var name = data.DestList[0].Name;
					var type = data.DestList[0].Type;
					var cityId = data.DestList[0].CityId;
					var Dest = {
						Type: data.DestList[0].Type,
						Id: [],
						Name: data.DestList[0].Name
					}
					Dest.Id.push(data.DestList[0].Id);
					window.model.indexRequestReq.data.beginDest = Dest;
					window.model.indexRequestReq.data.CityId = data.DestList[0].CityId;
					var entities = new Array();
					var entity = {
						id: 0,
						type: 0,
						cityId: 0,
						name: ""
					};
					var temp = entity;
					temp.id = id;
					temp.name = name;
					temp.type = type;
					temp.cityId = cityId;

					entities.push(temp);
					var settings = app.getSettings();
					var histories = settings.cityhistory2;
					if(histories != undefined && histories.length > 0) {
						for(k = 0; k < histories.length; k++) {
							var detail = histories[k];
							if(k >= 9)
								break;
							if(detail.id != id) {
								var e = {};
								e.id = detail.id;
								e.name = detail.name;
								e.type = detail.type;
								e.cityId = detail.cityId;
								entities.push(e);
							}
						}
					}
					settings.cityhistory = entities;
					settings.cityhistory3 = entities;
					app.setSettings(settings);
					_setHistoryData(_searchType);

					$(".searchDepartPurpose").val(data.DestList[0].Name);
				})

			}, function(e) {
				//app.renderNoResult("定位服务被禁用", '', null, null, $("#" + tabId));
				mui.alert("该项服务需要使用定位功能，请重启定位服务", "定位服务被禁用", "知道了");
			});
		}

		/**
		 * 获取服务器端时间实时回调 加载数据
		 * @param data
		 */
		function _initHtml(data) {
			if(data.Code = "0000") {
				try {
					_newDate = data.Now.replace(/-/g, "/");
				} catch(e) {
					_newDate = new Date();
				}
			} else {
				_newDate = new Date();
			}

			window.NewDate.Init(_newDate, window.model.indexRequestReq.data.CheckList);

			initHtml(_searchType);
		}

		/**
		 * 加载数据
		 * @example
		 * @param {int} _searchType 1 酒店搜索 2 团房竞价
		 */
		function initHtml(_searchType) {
			if(_searchType == 1 || _searchType == "1") {
				app.Post({
					url:projectConfig.apiName.GetFirstOrderCoupons,
					data:{}
				},null,function(data){
					window.model.indexRequestReq.data.IsFirstOrder = data.IsFirstOrder;
					var html = template("index-li-template", window.model.indexRequestReq.data);
					$("#home-list").html(html);
					initEvent();
				})
			} else {
				if(window.model.indexRequestReq.data.beginDest.Name == ''){
					currentPosition();
				}
				var settings = app.getSettings();
				if(settings.ticket) {
					window.model.indexRequestReq.data.ticket = settings.ticket;
					window.model.indexRequestReq.data.isChange = settings.isChange;
				}
				var html = template("index-intelligent-template", window.model.indexRequestReq.data);
				$("#home-list").html(html);
				initEvent();
			}


		}

		function _initGroup(isGroup) {
			var html = "";
			if(isGroup == 1) {
				//				var dataPrice = { priceName: PriceFormat(window.model.indexRequestReq.data.Price) };
				//				var dataStarRateList = { starName: StarFormat(window.model.indexRequestReq.data.StarRateList) };
				//				html += template("index-price-template", dataPrice);
				//				html += template("index-star-template", dataStarRateList);
				var priceName = PriceFormat(window.model.indexRequestReq.data.Price);
				var starName = StarFormat(window.model.indexRequestReq.data.StarRateList);				
				var newName = "";
				if(priceName != "") {
					newName += priceName;
				}
				if(newName != "" && starName != "") {
					newName += "/" + starName;
				}
				html += template("index-priceStart-template", { PriceStarName: newName });
				html += template("index-brand-template", window.model.indexRequestReq.data.Key);
			} else {
				var dataPrice = { priceName: PriceFormat(window.model.indexRequestReq.data.Price) };
				html += template("index-price-template", dataPrice);
				html += template("index-brand-template", window.model.indexRequestReq.data.Key);
			}

			$("#searchRoomLi").html("").html(html);
			initEvent();

		}

		/**按钮回调**/
		/**
		 * 目的地回掉
		 * @param {Object} data
		 */
		function reCallbackDest(id, name, type, cityId, flag) {
			var entities = new Array();
			var entity = {
				id: 0,
				type: 0,
				cityId: 0,
				name: ""
			};
			var temp = entity;
			temp.id = id;
			temp.name = name;
			temp.type = type;
			temp.cityId = cityId;

			entities.push(temp);
			var settings = app.getSettings();
			var histories = settings.cityhistory;
			if(histories != undefined && histories.length > 0) {
				for(k = 0; k < histories.length; k++) {
					var detail = histories[k];
					if(k >= 9)
						break;
					if(detail.id != id) {
						var e = {};
						e.id = detail.id;
						e.name = detail.name;
						e.type = detail.type;
						e.cityId = detail.cityId;
						entities.push(e);
					}
				}
			}
			settings.cityhistory = entities;

			if(_searchType == 1) {
				settings.cityhistory1 = entities;
			}
			if(_searchType == 2) {
				settings.cityhistory2 = entities;
			}
			if(_searchType == 3) {
				settings.cityhistory3 = entities;
			}

			app.setSettings(settings);

			//存储数据
			var ids = new Array();
			if(flag != 1) {
				if(flag == 2){
					$("#hotel-search-line").removeClass('selected');
					$("#custom-package-line").addClass('selected');
					$("#custom-search-title").addClass('current');
					$("#hotel-search-title").removeClass('current');
					_searchType = 2;
					//包团定制
					var beginDest = {
						Type: 0,
						Id: [],
						Name: ''
					}
					beginDest.Type = type;
					beginDest.Id.push(id);
					beginDest.Name = name;
					window.model.indexRequestReq.data.beginDest = beginDest;
				}else{
					$("#hotel-search-line").addClass('selected');
					$("#custom-package-line").removeClass('selected');
					$("#custom-search-title").removeClass('current');
					$("#hotel-search-title").addClass('current');
					_searchType = 1;
					var Dest = {
						Type: 0,
						Id: [],
						Name: ''
					}
					Dest.Type = type;
					Dest.Id.push(id);
					Dest.Name = name;
					window.model.indexRequestReq.data.Dest = Dest;
				}
				
			} else {
				$("#hotel-search-line").removeClass('selected');
					$("#custom-package-line").addClass('selected');
					$("#custom-search-title").addClass('current');
					$("#hotel-search-title").removeClass('current');
				_searchType = 3
				var startDest = {
					Type: 0,
					Id: [],
					Name: ''
				}
				startDest.Type = type;
				startDest.Id.push(id);
				startDest.Name = name;
				window.model.indexRequestReq.data.startDest = startDest;
			}

			window.model.indexRequestReq.data.CityId = cityId;
			_setHistoryData(_searchType);

			initHtml(_searchType);

			//var self = plus.webview.currentWebview();
			//self.reload(true);
		}

		/**
		 * 回调 品牌
		 */
		function reCallbackBrand(id, name, type) {
			var Key = {
				Type: 0,
				Id: [],
				Name: ""
			};

			Key.Type = type;
			Key.Id.push(id);
			Key.Name = name;
			window.model.indexRequestReq.data.Key = Key;
			_setHistoryData(_searchType);
			initHtml(_searchType);
			//			var self = plus.webview.currentWebview();
			//			self.reload(true);
		}

		function reCallbackDate(date, type) {
			if(type == 0) {
				window.model.indexRequestReq.data.CheckList = date;
			}
			if(type == 1) {
				window.model.indexRequestReq.data.customTime = date;
			}
			_setHistoryData(_searchType);
			initHtml(_searchType);
		}

		function _reInitRooms() {
			var RoomList = window.model.indexRequestReq.data.RoomList;
			var oneCount = 0;
			var twoCount = 0;
			var threeCount = 0;
			var suiteCount = 0;
			if(!!RoomList) {
				$.each(RoomList, function(index, room) {
					if(parseInt(room.Amount) > 0 && room.Type == 1) {
						oneCount = parseInt(room.Amount);
					}

					if(parseInt(room.Amount) > 0 && room.Type == 2) {
						twoCount = parseInt(room.Amount);
					}
					if(parseInt(room.Amount) > 0 && room.Type == 3) {
						threeCount = parseInt(room.Amount);
					}
					if(parseInt(room.Amount) > 0 && room.Type == 4) {
						suiteCount = parseInt(room.Amount);
					}

				});
			}

			$("#txtOneBed").find("input").eq(0).val(oneCount);
			$("#txtTwoBed").find("input").eq(0).val(twoCount);
			$("#txtThreeBed").find("input").eq(0).val(threeCount);
			$("#txtSuite").find("input").eq(0).val(suiteCount);
		}

		/**
		 * 回调 房型数量
		 */
		function reCallbackRooms() {
			var oneCount = $("#txtOneBed").find("input").eq(0).val();
			var twoCount = $("#txtTwoBed").find("input").eq(0).val();
			var threeCount = $("#txtThreeBed").find("input").eq(0).val();
			var suiteCount = $("#txtSuite").find("input").eq(0).val();
			var RoomList = [];
			if(oneCount > 0) {
				var room = { Type: 1, Amount: 0 };
				room.Type = 1;
				room.Amount = oneCount;
				RoomList.push(room);
			}

			if(twoCount > 0) {
				var room = { Type: 2, Amount: 0 };
				room.Type = 2;
				room.Amount = twoCount;
				RoomList.push(room);
			}

			if(threeCount > 0) {
				var room = { Type: 3, Amount: 0 };
				room.Type = 3;
				room.Amount = threeCount;
				RoomList.push(room);
			}

			if(suiteCount > 0) {
				var room = { Type: 4, Amount: 0 };
				room.Type = 4;
				room.Amount = suiteCount;
				RoomList.push(room);
			}

			window.model.indexRequestReq.data.RoomList = RoomList;
			_setHistoryData(_searchType);
			initHtml(_searchType);
		}

		function _initSpecial() {
			var SpecialList = window.model.indexRequestReq.data.SpecialList;

			if(!!SpecialList) {
				var roomteshu = $(".room-teshu li");
				$.each(SpecialList, function(index, special) {
					var type = special.Type;
					if(type == 1) {
						var fdes = special.Desc;
						$("#txtFlightDes").val(fdes);
						$(roomteshu).eq(0).find('span').addClass("current");
						$(roomteshu).eq(0).find('p').show();
					} else if(type == 2) {
						var tdes = special.Desc;
						$("#txtTakeDes").val(tdes);
						$(roomteshu).eq(1).find('span').addClass("current");
						$(roomteshu).eq(1).find('p').show();
					} else if(type == 3) {
						var cdes = special.Desc;
						$("#txtConferenceDes").val(cdes);
						$(roomteshu).eq(2).find('span').addClass("current");
						$(roomteshu).eq(2).find('p').show();
					} else if(type == 4) {
						var tides = special.Desc;
						$("#txtTicketDes").val(tides);
						$(roomteshu).eq(3).find('span').addClass("current");
						$(roomteshu).eq(3).find('p').show();
					}
				});
			}
		}
		/**
		 * 回掉特殊
		 */
		function reCallbackSpecial() {
			var SpecialList = [];

			$(".room-teshu li span").each(function(index) {
				if($(this).hasClass("current")) {
					var type = $(this).attr("type");
					if(type == 1) {
						var fdes = $("#txtFlightDes").val();
						SpecialList.push({ Type: type, Desc: fdes });
					} else if(type == 2) {
						var tdes = $("#txtTakeDes").val();
						SpecialList.push({ Type: type, Desc: tdes });
					} else if(type == 3) {
						var cdes = $("#txtConferenceDes").val();
						SpecialList.push({ Type: type, Desc: cdes });
					} else if(type == 4) {
						var tides = $("#txtTicketDes").val();
						SpecialList.push({ Type: type, Desc: tides });
					}
				}
			});

			window.model.indexRequestReq.data.SpecialList = SpecialList;
			_setHistoryData(_searchType);
			initHtml(_searchType);
		}

		function _PriceStar() {
			var Price = window.model.indexRequestReq.data.Price;
			if(!!Price && Price.length == 2) {
				var minv = parseInt(Price[0]);
				var maxv = parseInt(Price[1]);
				if((minv != 0 && maxv != 0) || (minv == 0 && maxv != 0)) {
					$(".room-price-sel li").removeClass("current");
					$(".room-price-sel li .rsanjia").remove();
					$(".room-price-sel li").each(function() {
						if($(this).attr("minval") == minv && $(this).attr("maxval") == maxv) {
							$(this).addClass("current");
							$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
						}
					});
				}
			}

			var StarRateList = window.model.indexRequestReq.data.StarRateList;

			if(!!StarRateList) {
				$(".room-price-star li").removeClass("current");
				$(".room-price-star li .rsanjia").remove();
				$.each(StarRateList, function(index, star) {
					$(".room-price-star li").each(function() {
						if(star == $(this).attr("val")) {
							$(this).addClass("current");
							$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
						}
					});
				});
			}
		}

		/**
		 * 价格星级
		 */
		function reCallbackPriceStar() {
			//var current = $(".room-price-sel li.current");
			var min = 0;
			var max = 0;
			$(".room-price-sel li.current").each(function() {
				var miv = $(this).attr("minval");
				var mav = $(this).attr("maxval");
				if(miv != "" && mav != "") {
					min = miv;
					max = mav;
				}
			});
			var price = [];
			price.push(min);
			price.push(max);
			window.model.indexRequestReq.data.Price = price;
			var Star = [];
			$(".room-price-starsel li.current").each(function() {
				Star.push($(this).attr("val"));
			});
			window.model.indexRequestReq.data.StarRateList = Star;

			_setHistoryData(_searchType);
			initHtml(_searchType);
		}

		function _priceTemplate() {
			var Price = window.model.indexRequestReq.data.Price;
			var min = 0;
			var max = 0;
			if(!!Price && Price.length == 2) {
				min = parseInt(Price[0]);
				max = parseInt(Price[1]);
			}

			var html = template("index-pricess-template", { min: min, max: max, Prices: app.model.Prices });
			$("#pricess").html(html);

			$("#pricess li").off().on("tap", function() {
				var $old = $("#pricess li.active");
				$old.find("i").remove();
				$old.removeClass("active");

				$(this).find("span").append('<i class="iconfont-2-27 icon-icon-xuanzhong-"></i>');
				$(this).addClass("active");
				var min = $(this).attr("min");
				var max = $(this).attr("max");
				rePricessCallback(min, max);
				$(".pricessback").hide();
				$('#pricess').slideToggle(200);
			});
		}

		function _starTemplate() {

			var html = template("index-starss-template", { Stars: app.model.Stars });
			$("#starss").html(html);

			$(".room-price-starss li").off().on("tap", function() {
				var $this = $(this);

				if($(this).hasClass("current")) {
					if($(this).attr("val") != 0) {
						$(this).removeClass("current");
						$(this).find("i").remove();
						$(this).find("span").append('<i class="iconfont-3-6 icon-icon-weixuanzhong-"></i>');
					}
				} else {
					if($(this).attr("val") == 0) {
						$(".room-price-starss li").removeClass("current");
						$(".room-price-starss li i").remove();
						$(".room-price-starss li span").append('<i class="iconfont-3-6 icon-icon-weixuanzhong-"></i>');
						$(this).addClass("current");
						$(this).find("i").remove();
						$(this).find("span").append('<i class="iconfont-3-6 icon-icon-xuanzhong-" style="font-size: 10px;"></i>');
					} else {
						$(this).addClass("current");
						$(this).find("i").remove();
						$(this).find("span").append('<i class="iconfont-3-6 icon-duoxuanxuanzhong-" style="right: 17px;"></i>');
					}
				}

				var lis = $(".room-price-starss li.current");
				if(lis.length >= 2) {
					if($(".room-price-starss li").eq(0).hasClass("current")) {
						$(".room-price-starss li").eq(0).removeClass("current");
						var fi = $(".room-price-starss li").eq(0);
						fi.removeClass("current");
						fi.find("i").remove();
					}
				}

				if(lis.length == 0) {
					$(".room-price-starss li").eq(0).addClass("current");
					$(".room-price-starss li").eq(0).find("i").remove();
					$(".room-price-starss li").eq(0).find("span").append('<i class="iconfont-3-6 icon-icon-xuanzhong-" style="font-size: 10px;"></i>');
				}
			});

			$("#btnStarss").off().on("tap", function() {
				var Star = [];
				$(".room-price-starss li.current").each(function() {
					Star.push($(this).attr("val"));
				});
				window.model.indexRequestReq.data.StarRateList = Star;

				$(".starssback").hide();
				$('#starss').slideToggle(200);

				_setHistoryData(_searchType);
				initHtml(_searchType);

			});

		}

		/**
		 * 回掉事件
		 * @param {Object} min
		 * @param {Object} max
		 */
		function rePricessCallback(min, max) {
			var Price = [];
			Price.push(min);
			Price.push(max);

			window.model.indexRequestReq.data.Price = Price;
			_setHistoryData(_searchType);
			initHtml(_searchType);
		}

		/**
		 * 竞价模式 提交搜索单
		 * @param {Object} data
		 */
		function reSubmitDemandDCallback(data) {
			if(data.Code == "0000") {
				var pageParam = { DId: data.Did };
				app.ShowWebView('../Demand/DemandDetail.html', { dId: data.Did }, null, '../Demand/DemandDetail.html');
			} else {
				plus.nativeUI.toast(data.Msg);
			}
		}

		/**
		 * 格式化 入住日期 格式化出特定显示
		 * @param {Object} dataArray ["2017-01-05", "2017-01-06"]
		 */
		function homeDatesFormat(dataArray, type) {
			var start, end, count, startMonth, startDay, endMonth, endDay;
			var startWeek = countWeek(dataArray[0]);
			var endWeek = countWeek(dataArray[1]);
			if(!!dataArray && dataArray.length == 2) {
				var st = dataArray[0];
				var stDate = new Date(st);
				var newDte = new Date(_newDate);
				if(stDate < newDte) {
					dataArray = [];
				}
			}

			if(!!dataArray && dataArray.length == 2) {
				var startStr = dataArray[0];
				var month = app.DateTool.DatePart('m', startStr);
				var day = app.DateTool.DatePart('d', startStr);
				start = month + "月" + day + "日";
				startMonth = month + '月';
				startDay = day + '日';
				var endStr = dataArray[1];
				month = app.DateTool.DatePart('m', endStr);
				day = app.DateTool.DatePart('d', endStr);
				end = month + "月" + day + "日";
				endMonth = month + '月';
				endDay = day + '日';
				count = app.DateTool.DateDiff("d", startStr, endStr);
			} else {
				var defaultDay = 2;
				if(type == 1) {
					defaultDay = 5;
				}
				var ar = new Array();
				var neDate = new Date(_newDate);

				var startStr = app.DateTool.DateAdd("d", 1, neDate);
				var year = app.DateTool.DatePart('y', startStr);
				var month = app.DateTool.DatePart('m', startStr);
				var day = app.DateTool.DatePart('d', startStr);
				start = month + "月" + day + "日";
				startMonth = month + '月';
				startDay = day + '日';
				ar.push(year + "-" + month + "-" + day);
				var endStr = app.DateTool.DateAdd("d", defaultDay, neDate);
				year = app.DateTool.DatePart('y', endStr);
				month = app.DateTool.DatePart('m', endStr);
				day = app.DateTool.DatePart('d', endStr);
				end = month + "月" + day + "日";
				endMonth = month + '月';
				endDay = day + '日';
				count = 1;
				ar.push(year + "-" + month + "-" + day);
				if(type == 1) {
					window.model.indexRequestReq.data.customTime = ar;
				} else {
					window.model.indexRequestReq.data.CheckList = ar;
				}

			}
			//计算周几
			return {
				start: start,
				end: end,
				count: count,
				startMonth: startMonth,
				startDay: startDay,
				endMonth: endMonth,
				endDay: endDay,
				startWeek: startWeek,
				endWeek: endWeek
			};
		}

		function countWeek(dates) {
			var num = new Date(dates).getDay()
			var week = '';
			switch(num) {
				case 0:
					week = '周日';
					break;
				case 1:
					week = '周一';
					break;
				case 2:
					week = '周二';
					break;
				case 3:
					week = '周三';
					break;
				case 4:
					week = '周四';
					break;
				case 5:
					week = '周五';
					break;
				case 6:
					week = '周六';
					break;
			}
			return week;
		}

		/**
		 * @param {Object} Price
		 * @param {Object} StarRateList
		 */
		/**
		 * 
		 */
		function PriceStarFormat(Price, StarRateList) {
			var PriceStarName = "";
			var priceName = PriceFormat(Price);
			var starName = StarFormat(StarRateList);
			if(priceName != "") {
				PriceStarName = priceName;
			}

			if(PriceStarName != "" && starName != "") {
				PriceStarName += "/" + starName;
			}

			if(PriceStarName == "" && starName != "") {
				PriceStarName = starName;
			}
			if(PriceStarName!=""){
				$("#searchStarPrice").addClass("newjian");				
			}
			return { PriceStarName: PriceStarName };
		}

		/**
		 * 格式化 价格
		 * @param {Object} Price ['0','0']
		 */
		function PriceFormat(Price, type) {
			var priceName = "";
			if(!!Price && Price.length == 2) {
				var minv = parseInt(Price[0]);
				var maxv = parseInt(Price[1]);
				if((minv != 0 && maxv != 0) || (minv == 0 && maxv != 0) || (minv != 0 && maxv == 0)) {
					$.each(app.model.Prices, function(index, price) {
						if(price.minval == minv && price.maxval == maxv) {
							priceName = price.name;
						}
					});
				}
			}
			if(!!type && type == 1) {
				return { priceName: priceName };
			}
			return priceName;
		}

		function _StarFormat(val) {
			var StarRateList = window.model.indexRequestReq.data.StarRateList;
			var v = val + "";
			if($.inArray(v, StarRateList) >= 0) {
				return true;
			}
			return false;
		}

		/**
		 * 格式化 星级
		 * @param {Object} StarRateList [0,1]
		 */
		function StarFormat(StarRateList, type) {
			var starName = "";
			if(!!StarRateList) {
				$.each(StarRateList, function(index, star) {
					if(star != 0) {
						if(starName == "") {
							starName = _getStarName(star);
						} else {
							starName += "," + _getStarName(star);
						}
					}
				});
			}
			if(!!type && type == 1) {
				return { starName: starName };
			}
			return starName;
		}

		/**
		 * 格式化  房型间数
		 * @param {Object} RoomList
		 */
		function RoomListFormat(RoomList) {
			var roomName = "";
			if(!!RoomList) {
				$.each(RoomList, function(index, room) {
					if(parseInt(room.Amount) > 0) {
						if(roomName == "") {
							roomName = _getRoomList(room.Type);
						} else {
							roomName += "," + _getRoomList(room.Type);
						}
					}
				});
			}
			return { roomName: roomName };
		}

		function SpecialListFormat(SpecialList) {
			var specialName = "";
			if(!!SpecialList) {
				$.each(SpecialList, function(index, special) {
					if(index > 1) {
						specialName += "...";
					} else {
						if(specialName == "") {
							specialName = _getSpecialList(special.Type);
						} else {
							specialName += "," + _getSpecialList(special.Type);
						}
					}
				});
			}
			return { specialName: specialName };
		}

		function _setSearchType(type) {
			var settings = app.getSettings();
			settings.searchType = type;
			app.setSettings(settings);
		}
		/**
		 * 根据val获取对象的名称
		 * @param {Object} val 
		 */
		function _getStarName(val) {
			var name = "";
			$.each(app.model.Stars, function(index, star) {
				if(val == star.val) {
					name = star.name;
				}
			});
			return name;
		}

		/**
		 * 根据Type获取对象名称
		 * @param {Object} Type
		 */
		function _getRoomList(Type) {
			var name = "";
			$.each(app.model.RoomList, function(index, room) {
				if(Type == room.Type) {
					name = room.name;
				}
			});
			return name;
		}

		/**
		 * 根据Type 获取对象名称
		 * @param {Object} Type
		 */
		function _getSpecialList(Type) {
			var name = "";
			$.each(app.model.SpecialList, function(index, special) {
				if(Type == special.Type) {
					name = special.name;
				}
			});
			return name;
		}

		/**
		 * 初始化 title 文件
		 * @param {Object} type
		 */
		function _initTitle(type) {

			if(type == 1) {
				$("#hotel-search-line").addClass('selected');
				$("#custom-package-line").removeClass('selected')
			} else {
				$("#hotel-search-line").removeClass('selected');
				$("#custom-package-line").addClass('selected')
			}

			$(".home-new-list-ul-title span").each(function() {
				var val = $(this).attr("val");

				if(type == val) {
					if(!$(this).hasClass("current")) {
						$(this).addClass("current");
					}
				} else {
					if($(this).hasClass("current")) {
						$(this).removeClass("current");
					}
				}

			});
		}

		/**
		 * 读取用户操作数据
		 * @example
		 * @constructor
		 */
		function _getHistoryData(_searchType) {
			var settings = app.getSettings();
			if(!!settings) {
				if(_searchType == 1) {
					if(!!settings.searchparam1) {
						window.model.indexRequestReq.data = settings.searchparam1;
					}
				} else if(_searchType == 2) {
					if(!!settings.searchparam2) {
						window.model.indexRequestReq.data = settings.searchparam2;
					}
				} else {
					if(!!settings.searchparam3) {
						window.model.indexRequestReq.data = settings.searchparam3;
					}
				}
			}
			return window.model.indexRequestReq;
		}

		/**
		 * 设置用户操作数据
		 * @description 设置用户操作数据
		 * @example
		 * @constructor
		 */
		function _setHistoryData(_searchType) {
			var settings = app.getSettings();
			if(_searchType == 1) {
				settings.searchparam1 = window.model.indexRequestReq.data;
			}else {
				settings.searchparam3 = window.model.indexRequestReq.data;
			}
			app.setSettings(settings);
		}

		return {
			plusReady: plusReady,
			init: init,
			reCallbackDest: reCallbackDest,
			reCallbackDate: reCallbackDate,
			reCallbackBrand: reCallbackBrand
		}
	})();

})(window, $);