(function(window, $) {
	window.TravelPlan = (function() {
		var NeedContract = '';
		var Req = {
			url: "Scheme/GetSchemePlanDetail",
			data: {
				SerialNo: 0,
				SchemePlanId: 0
			}
		}

		var ReqConform = {
			url: "Scheme/SchemePlanConfirm",
			data: {
				SerialNo: 0,
				PlanId: 0
			}
		}
		
		var ReqJourney = {
			url: "Scheme/GetJourneySummary",
			data: {
				PlanId: 0
			}
		}
		var scroll = '';
		/**
		 * 首页 plusReady 初始化
		 * @example
		 * @constructor
		 */
		function plusReady() {
			//判读是否是 沉浸式如果不是设置头部背景样式 针对IOS
			var bi = plus.navigator.isImmersedStatusbar();
			if(!bi) {
				app.StatusBarBackground("#13b1fe");
			}

			var wv = plus.webview.currentWebview();
			if(!!wv) {
				Req.data.SerialNo = wv.SerialNo;
				Req.data.SchemePlanId = wv.SchemePlanId;
				ReqJourney.data.PlanId = wv.SchemePlanId;
			}

			init();
		}

		/**
		 * 初始化
		 * @example
		 * @constructor
		 */
		function init() {
			//初始化js模板格式化
			template.helper("_ContentFormat", _ContentFormat);
			template.helper("_TarIconFormat", _TarIconFormat);
			
			_init();
		}
		
		function offCanvasDrag(){
			 //侧滑容器父节点
			var offCanvasWrapper = mui('#offCanvasWrapper');
			 //主界面容器
			var offCanvasInner = offCanvasWrapper[0].querySelector('.mui-inner-wrap');
			 //菜单容器
			var offCanvasSide = document.getElementById("offCanvasSide");
			
			
			document.getElementById('float-move').addEventListener('tap', function() {
				offCanvasWrapper.offCanvas('show');
			});
//			document.getElementById('offCanvasHide').addEventListener('tap', function() {
//				offCanvasWrapper.offCanvas('close');
//			});
			 //主界面和侧滑菜单界面均支持区域滚动；
			mui('#offCanvasSideScroll').scroll();
			mui('#offCanvasContentScroll').scroll();
			
			
		}
		
		function _init() {
			var callback = function(data) {
				if(app.GetResultState(data)) {
					$("#float-move").show();
					NeedContract = data.NeedContract;
					var allCount = 0;
					if(!!data.Price.Prices && data.Price.Prices.length > 0) {
						allCount = data.Price.Prices.length;
					}
					data["allCount"] = (allCount - 1);

					var featureCount = 0;
					if(!!data.Feature && data.Feature.length > 0) {
						featureCount = data.Feature.length;
					}
					data["featureCount"] = (featureCount - 1);

					var GiftCount = 0;
					if(!!data.Gift && data.Gift.length > 0) {
						GiftCount = data.Gift.length;
					}
					data["GiftCount"] = (GiftCount - 1);

					$("#planTitle").html(data.Name);
					var html = template("index-confirm-template", data);
					$("#indexContent").html(html);
					
					_initScroll(data);
					//加载行程概要
					initPlanDetail();
					//item-div1 高度
					var itemDiv1 = $("#item-div1").height();
					var itemDiv2 = $("#item-div2").height();
					var itemDiv3 = $("#item-div3").height();
					var itemDiv4 = $("#item-div4").height();
					var totalHeight = itemDiv1 + itemDiv2 + itemDiv3 + itemDiv4;
					var scroll = mui('#plan-contentScroll').scroll();
					document.getElementById('plan-contentScroll').addEventListener('scrollend', function() {
						var y = scroll.y;
						y = Math.abs(y);
						var bottomDistance = totalHeight - y;
						
						if(bottomDistance <= (itemDiv3+itemDiv4) && bottomDistance > itemDiv4){
							//div3 show
							$(".item-div-header").removeClass("current");
							$(".item-div-header").eq(2).addClass("current");
							$("#float-move").hide();
						}
						if(bottomDistance <= (itemDiv2+itemDiv3+itemDiv4) && bottomDistance > (itemDiv3+itemDiv4)){
							//div2 show
							$(".item-div-header").removeClass("current");
							$(".item-div-header").eq(1).addClass("current");
							$("#float-move").hide();
						}
						if(bottomDistance > (itemDiv2+itemDiv3+itemDiv4)){
							//div1 show
							$(".item-div-header").removeClass("current");
							$(".item-div-header").eq(0).addClass("current");
							$("#float-move").show();
						}
						if(bottomDistance <= 330){
							//div4 show
							$(".item-div-header").removeClass("current");
							$(".item-div-header").eq(3).addClass("current");
							$("#float-move").hide();
						}
					});
					
					initEvent();
				} else {
//					app.showMsg(data.Msg);
					app.renderNoResult(data.Msg,"","",null,$("#indexContent"));
				}
			}
			app.Loading($("#indexContent"),"50%","show");
			app.Post(Req, null, callback);
		}
		
		function _initScroll(data){
			var topfiex = $("#top-fiex").height();
		    var topBar = $(".mui-bar").height();
		    
		    var newBar = topfiex + topBar;
		    var bottom = 0;
		    if(data.Button){
		    	bottom = 44;
		    }
		    $("#plan-contentScroll").css("top",newBar+"px");
		    $("#plan-contentScroll").css("bottom",bottom+"px");
//		    app.showMsg(newBar);
		    
		}
		
		
		function initPlanDetail(){
			var callback = function(data) {
				if(app.GetResultState(data)) {
					var html = template("index-aside-template", data);
					$("#offcanvas-scroll").html(html);
				} else {
					app.showMsg(data.Msg);
				}
			}

			app.Post(ReqJourney, null, callback);
		}
		
		/**
		 * 加载事件
		 */
		function initEvent() {
			$(".item-div-header").off().on("tap", function() {
				//mui('#plan-contentScroll').scroll().scrollTo(0,0);
				var id = $(this).attr("var");
				$(".item-div-header").removeClass("current");
				//$(".item-div").removeClass("current");
				$(this).addClass("current");
				//$("#" + id).addClass("current");
				var itemDiv1 = $("#item-div1").height();
				var itemDiv2 = $("#item-div2").height();
				var itemDiv3 = $("#item-div3").height();
				var itemDiv4 = $("#item-div4").height();
				
				switch(id){
					case "item-div1":
						$("#float-move").show();
						mui('#plan-contentScroll').scroll().scrollTo(0,0,900);
						break;
					case "item-div2":
						$("#float-move").hide();
						mui('#plan-contentScroll').scroll().scrollTo(0,-(itemDiv1),900);
						break;
					case "item-div3":
						$("#float-move").hide();
						mui('#plan-contentScroll').scroll().scrollTo(0,-(itemDiv1+itemDiv2),900);
						break;
					case "item-div4":
						$("#float-move").hide();
						mui('#plan-contentScroll').scroll().scrollTo(0,-(itemDiv1+itemDiv2+itemDiv3),900);
						break;
				}
			});

			$(".confirm-btn").off().on("tap", function() {
				var msg = '';
				if(NeedContract == 0){
					msg = '确认该地接社的行程报价内容后，请支付该报价，以便地接社为您预订报价资源';
				}else{
					msg = '确认该地接社的行程报价内容后，地接社将为您确认报价资源，并且您将不再接收其他定制师的行程和报价';
				}
				var type = $(this).attr("val");
				var link = $(this).attr("link");
				if(type == 101) {
					ReqConform.data.PlanId = link;
					ReqConform.data.SerialNo = Req.data.SerialNo;
					var btn = ["取消", "确定"];
					mui.confirm(msg, '提示', btn, function(e) {
						if(e.index == 1) {
							ConfirmBbtnClick(1);
						} else {
							ConfirmBbtnClick(0);
						}
					});

				}

				if(type == 200) {
					plus.device.dial(link, false);
				}
			});
		}

		function ConfirmBbtnClick(type) {
			if(type == 1) {
				app.showWaiting("正在确认...",1);
				var callback = function(data) {
					if(app.GetResultState(data)) {
						app.showMsg(data.Msg);
						//回掉
						var webView = plus.webview.getWebviewById(projectConfig.ViewId.Scheme.SchemeIndex.Id);
						if(!!webView){
							webView.evalJS("window.SchemeIndex.init()");
						}
						mui.back();
					} else {
						app.showMsg(data.Msg);
					}
				}
				app.Post(ReqConform, null, callback);
			}

		}
		
		function _TarIconFormat(type){
			//自由活动=0，接机=1，用车=2，景点=3，用餐=4，住宿=5，送机=6，其他=10
			var icon = "";
			switch(type){
				case 0:
					icon = "icon-huodong";
					break;
				case 1:
					icon = "icon-jieji";
					break;
				case 2:
					icon = "icon-yongche";
					break;
				case 3:
					icon = "icon-jingdian";
					break;
				case 4:
					icon = "icon-canting";
					break;
				case 5:
					icon = "icon-zhusu";
					break;
				case 6:
					icon = "icon-songji";
					break;
				case 7:
					icon = "icon-huiyishi";
					break;
				case 8:
					icon = "icon-tishi";
					break;
				case 9:
					icon = "icon-tuijiancanting";
					break;
				case 10:
					icon = "icon-qita";
					break;
				default:
					break;
			}
			return icon;
		}
		
		/**
		 * template 格式化
		 */
		function _ContentFormat(Content, type) {
			var data = {
				Content: [],
				type: type
			}

			$.each(Content, function(index, element) {
				var da = {
					index: 0,
					name: ""
				}
				da.index = element[0];
				da.name = element[1];
				data.Content.push(da);
			});

			return data;
		}

		return {
			plusReady: plusReady,
			init: init,
			initEvent: initEvent,
			offCanvasDrag:offCanvasDrag
		}
	})();

})(window, $);