(function(window, $){
	window.DestDetail = {
		init:function(){
			template.helper('getPersonNum',this.getPersonNum);
			var wv = plus.webview.currentWebview();
			var listData = wv.listData;
			$("#schemeTitle").text(listData.DestName+'需求');
			this.initTmpl(listData);
			this.initEvent();
		},
		initTmpl:function(data){
			var tmpl = template('dest-detail-template',data);
			$("#dest-detail-content").html(tmpl);
		},
		getPersonNum:function(data, type){
			var adultNum = 0;
			var childrenNum = 0;
			data.map(function(item){
				if(item.PersonType == 1){
					//成人
					adultNum = item.PersonCount;
				}
				if(item.PersonType == 2){
					childrenNum = item.PersonCount;
				}
			});
			if(type == 1){
				return adultNum;
			}else{
				return childrenNum;
			}
		},
		initEvent:function(){
			$(".go-back-top").off().on('tap',function(e){
				e.preventDefault();
				mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);//100毫秒滚动到顶
			});
			var scroll = mui('.mui-scroll-wrapper').scroll();
			document.getElementById('plan-contentScroll').addEventListener('scrollend', function() {
				if(scroll.y<0){
					$(".go-back-top").show();
				}else{
					$(".go-back-top").hide();
				}
			});
		}
	}
})(window, $)
