app.Password = {
	SetPasswordEntity: {
		url:projectConfig.apiName.ForgetPasswordCheck,
		data: {
			phone: "",
			code: ""
		}
	},
	SetPassword2Entity: {
		url: projectConfig.apiName.ForgetPasswordSetPassword,
		data: {
			phone: "",
			Password: "",
			PasswordA: ""
		}
	},
	Init: function() {
		$("#btnSendCode").click(function() {
			var mobile = $("#txtphone");
			if(mobile.val().length <= 0) {
				plus.nativeUI.toast('请输入手机号');
				mobile.focus();
				return false;
			} else {
				if(!app.checkMobile(mobile.val())) {
					plus.nativeUI.toast('手机号格式不正确');
					mobile.focus();
					return false;
				}
			}
			app.sendSMSCode(mobile.val(), 3);
			app.setSMSSendTime("btnSendCode");
		});
		$("#btnNext").click(function() {//重置密码页面 ，点击 下一步 按钮执行的逻辑
			var mobile = $("#txtphone");
			var smscode = jQuery("#txtsmscode");
			if(mobile.val().length <= 0) {
				plus.nativeUI.toast('请输入手机号');
				mobile.focus();
				return false;
			} else {
				if(!app.checkMobile(mobile.val())) {
					plus.nativeUI.toast('手机号格式不正确');
					mobile.focus();
					return false;
				}
			}
			if(smscode.val().length == 0) {
				plus.nativeUI.toast('请输入验证码');
				smsCode.focus();
				return false;
			} 
			if(smscode.val().length != 4) {
				plus.nativeUI.toast('请输入正确的验证码');
				smsCode.focus();
				return false;
			} else if(!app.checkNum(smscode.val())) {
				plus.nativeUI.toast('请输入正确的验证码');
				smscode.focus();
				return false;
			}

			var entity = app.Password.SetPasswordEntity;
			entity.data.phone = mobile.val();
			entity.data.code = smscode.val();
			app.Post(entity, null, app.Password.ForgetPasswordCheckCallBack);
		});
		$("#btnSetPaaword").click(function() {//重置密码页面 点击 重置 按钮后执行的逻辑
			var phone = $("#hidphone").val();
			var password = $("#txtPassword");
			var passwordA = $("#txtPasswordA");
			if(password.val().length < 6 || password.val().length > 16) {
				plus.nativeUI.toast('密码长度为6-16位');
				password.focus();
				return false;
			}
			if(password.val() != passwordA.val()) {
				plus.nativeUI.toast('两次输入密码不一致');
				passwordA.focus();
				return false;
			}
			var pagedata = {
				phone: phone
			};
			var entity = app.Password.SetPassword2Entity;
			entity.data.phone = phone;
			entity.data.Password = password.val();
			entity.data.PasswordA = passwordA.val();
			app.Post(entity, null, app.Password.ForgetPasswordSetPasswordCallBack);
		});
	},
	ForgetPasswordCheckCallBack: function(data) {//重置密码页面，点击下一步按钮后发送Ajax请求后执行的回调函数
		if(data.Code == '0000') {
			var mobile = $("#txtphone");
			var settings = app.getSettings();
			settings.MemberId = data.memberId;
			settings.phone = mobile.val();
			app.setSettings(settings);
			var pagedata = {
				phone: mobile.val()
			};

			app.OpenWindow("SetPassword", "SetPassword.html", "slide-in-right", pagedata);
		} else {
			plus.nativeUI.toast(data.Msg);
		}
	},
	ForgetPasswordSetPasswordCallBack: function(data) {//重置密码页面 点击 重置 按钮发送Ajax后执行的回调函数
		if(data.Code == '0000') {
			mui.confirm('密码重置成功！', '', ['去登录'], function(e) {
				if(e.index == 0) {
					var phone = $("#hidphone").val();
					var pagedata = {
						phone: phone
					};
//					var old_back = mui.back;
//					old_back();
					app.OpenWindow("Login", "login.html", "slide-in-right");
				} else {
					mui.closePopup();
				}
			});
		} else {
			plus.nativeUI.toast(data.Msg);
		}
	}
}