app.Register = {
	CheckRegisterEntity: {
		url: projectConfig.apiName.CheckPhoneIsRegister,
		data: {
			phone: ""
		}
	},
	RegisterEntity: {
		url: projectConfig.apiName.Register,
		data: {
			phone: "",
			code: "",
			password: "",
			passwordA: "",
			ReferralCode:""
		}
	},
	Init: function() {
		
		var setting = app.getSettings();
		var refcode	= setting.refcode;
		
		if(!!refcode && refcode != undefined){
			$("#ReferralCode").val(refcode);
		}
		
		$("#btnNext").click(function() {
			var mobile = $("#txtphone");
			if(mobile.val().length <= 0) {
				plus.nativeUI.toast('请输入手机号!');
				mobile.focus();
				return false;
			} else {
				if(!app.checkMobile(mobile.val())) {
					plus.nativeUI.toast('手机号格式不正确!');
					mobile.focus();
					return false;
				}
			}

			var entity = app.Register.CheckRegisterEntity;
			entity.data.phone = mobile.val();
			app.Post(entity, null, app.Register.CheckRegisterCallBack);
		});
		$("#btnSendCode").click(function() { //点击 获取验证码按钮之后执行的逻辑
			var phone = $("#hidphone").val();
			
			app.sendSMSCode(phone, 2);
			app.setSMSSendTime("btnSendCode");
		});
		$("#btnRegister").click(function() { //点击注册按钮之后的逻辑
			var status = $("#agree-icon").attr('data-status');
			if(status == 'true'){
				var mobile = $("#hidphone");
				var smscode = jQuery("#txtsmscode"); //获取验证码
				var password = $("#txtPassword"); //获取密码
				var passwordA = $("#txtPasswordA");
				var ReferralCode = $("#ReferralCode");	
				
				//获取选择的公司性质类型
	
				var companyName = $("#companyName").val();	//公司名字
				var reallyName = $("#customName").val();//真实姓名
				var CompanyNature = userSelect.companyType;	//公司性质
				
				if(smscode.val().length != 4) {
					plus.nativeUI.toast('短信验证码必须为四位数字!');
					smsCode.focus();
					return false;
				} else if(!app.checkNum(smscode.val())) {
					plus.nativeUI.toast('短信验证码错误!');
					smscode.focus();
					return false;
				}
				if(!companyName){
					plus.nativeUI.toast('请输入公司名称');
					return;
				}
				if(!CompanyNature){
					plus.nativeUI.toast('请选择公司类型');
					return;
				}
				
				if(!reallyName){
					plus.nativeUI.toast('请输入您的真实姓名');
					return;
				}
				
				
				if(password.val().length < 6 || password.val().length > 16) {
					plus.nativeUI.toast('密码长度为6-16位!');
					password.focus();
					return false;
				}
				if(password.val() != passwordA.val()) {
					plus.nativeUI.toast('两次输入密码不一致！');
					passwordA.focus();
					return false;
				}
	
				var entity = app.Register.RegisterEntity;
				entity.data.phone = mobile.val();
				entity.data.code = smscode.val();
				entity.data.password = password.val();
				entity.data.passwordA = passwordA.val();
				entity.data.ReferralCode=ReferralCode.val();
				entity.data.CustomerName = reallyName;
				entity.data.CompanyNature = CompanyNature;
				entity.data.CompanyName = companyName;
				app.Post(entity, null, app.Register.RegisterCallBack);
			}
		});
	},
	CheckRegisterCallBack: function(data) { //注册前验证手机号码的逻辑
		var mobile = $("#txtphone"); //???应该是#txtphone
		var phone = mobile.val();
		var pagedata = {
			"phone": phone
		};
		
		if(data.Code == '0000') {
			mui.confirm('手机号' + phone + '已注册，请更换或直接登录', '', [ '更换号码','直接登录'], function(e) {
				if(e.index == 1) {
					var old_back = mui.back;
					old_back();
					app.OpenWindow("Login", "login.html", "slide-in-right", pagedata);
				} else {
					mui.closePopup();
				}
			});
		} else if(data.Code == '0001') {
			pagedata.CompanyNature = data.CompanyNature;
			app.OpenWindow("CheckRegister", "CheckRegister.html", "slide-in-right", pagedata);
		} else {
			plus.nativeUI.toast(data.Msg);
		}
	},
	RegisterCallBack: function(data) { //点击注册按钮之后发送Ajax请求，获取到数据之后执行的回调函数
		if(data.Code == '0000') {
			var mobile = $("#hidphone");
			var settings = app.getSettings();
			settings.Token = data.Token;
			settings.MemberId = data.MemberId;
			settings.LoginType = data.LoginType;
			settings.phone = mobile.val();
			app.setSettings(settings);
			
			mui.confirm('恭喜您注册成功!', '', ['知道了'], function(e) {
				if(e.index == 0) {
					app.ToMain(data.IsReferral); //显示主页面
				} 
			});
			
		} else {
			if(data.Code == '7000'){
				mui.confirm('抱歉，注册失败!可联系客服帮您解决', '', ['知道了','联系客服'], function(e) {
					if(e.index == 1){
						//联系客服
						 plus.device.dial(data.ServiceTel, false);
					}
				});
			}else{
				plus.nativeUI.toast(data.Msg);
			}
			
		}
	}
}