app.forgetPwdStep2 = {
		init: function(mobile) {
			var self = app.forgetPwdStep2;
			self.render(mobile);
		},
		render: function(mobile) {
			var self = app.forgetPwdStep2;
			self.initMobile(mobile);
			self.initSub(mobile);
		},
		initMobile: function(mobile) {
			$('.p_yy_forgetPwdStep2 .title-box .mobile').html(mobile);
		},
		initSub: function(mobile) {
			var self = app.forgetPwdStep2;
			var $pContent = $('.p_yy_forgetPwdStep2');
			var $password = $pContent.find('.password input');
			var $passwordA = $pContent.find('.passwordA input');
			var $subBtn = $pContent.find('.sub-btn');
			$subBtn.off().on('tap', function() {
						var password = $password.val();
						var passwordA = $passwordA.val();
						if(!password) {
							plus.nativeUI.toast('请输入密码 ');
							return false;
						}
						if(!passwordA) {
							plus.nativeUI.toast('请再次输入密码 ');
							return false;
						}
						if(password.length < 6 || password.length > 16) {
							plus.nativeUI.toast('密码长度为6-16位');
							return false;
						}
						if(password != passwordA) {
							plus.nativeUI.toast('您两次输入的密码不一致');
							return false;
						}
						var entity = {
							url: projectConfig.apiName.ForgetPasswordSetPassword,
							data: {
								phone: mobile,
								Password: password,
								PasswordA: passwordA
							}
						}
						app.Post(entity, null, app.forgetPwdStep2.ForgetPasswordSetPasswordCallBack);
					})

				},
				ForgetPasswordSetPasswordCallBack: function(data) { //重置密码页面 点击 重置 按钮发送Ajax后执行的回调函数
					if(data.Code == '0000') {
						mui.confirm('密码重置成功！', '', ['去登录'], function(e) {
							if(e.index == 0) {
								app.ShowWebView(projectConfig.viewid.Customer.Login.backUrl, null, null, projectConfig.viewid.Customer.Login.Id);
							} else {
								mui.closePopup();
							}
						});
					} else {
						plus.nativeUI.toast(data.Msg);
					}
				}
		}