app.yyRegisterStep1 = {
	init:function(){
		var self = app.yyRegisterStep1;
		self.render();
	},
	render:function(){
		var self = app.yyRegisterStep1;
		self.initStep1();
	},
	initStep1:function(){
		var $pContent = $('.p_yy_register');
		var $step1 = $pContent.find('.step1');
		var $step1Sub = $step1.find('.sub-btn a');
		var $step1Mobile = $step1.find('.mobile-input input');
		$step1Sub.on('tap',function(){
			var step1Mobile = $step1Mobile.val();
			if(!step1Mobile){
				plus.nativeUI.toast('请输入手机号');
				return false;
			}
			if(!app.checkMobile(step1Mobile)){
				plus.nativeUI.toast('手机号格式不正确');
				return false;
			}
			var entity = {
				url: projectConfig.apiName.CheckPhoneIsRegister,
		 		data: {phone:step1Mobile}
			};
			app.Post(entity, null, app.yyRegisterStep1.CheckRegisterCallBack);
		});
	},
	CheckRegisterCallBack: function(data) { //注册前验证手机号码的逻辑
		var $pContent = $('.p_yy_register');
		var mobile = $pContent.find('.mobile-input input');
		var phone = mobile.val();
		var pagedata = {
			"phone": phone
		};
		
		if(data.Code == '0000') {
			mui.confirm('手机号' + phone + '已注册，请更换或直接登录', '', [ '更换号码','直接登录'], function(e) {
				if(e.index == 1) {
					var old_back = mui.back;
					old_back();
					app.OpenWindow(projectConfig.viewid.Customer.Login.Id, 
					projectConfig.viewid.Customer.Login.url, 'fade-in');
				} else {
					mui.closePopup();
					mobile.val('');
				}
			});
		} else if(data.Code == '0001') {
		app.ShowWebView(projectConfig.viewid.Customer.RegisterStep2.url,
			{'mobile':phone}, null, projectConfig.viewid.Customer.RegisterStep2.Id);
		} else {
			plus.nativeUI.toast(data.Msg);
		}
	}
}