app.DemanHoteldList = {
	GetDemandInfoEnity: {
		url: projectConfig.apiName.GetSearchHotelInfo,
		data: {
			Sid: ""
		}
	},
	LoadStatus: {
		RankIsLoad: 0,
		ScreenFocus: 0,
		AreaFocus: 0,
		BrandFocus: 0
	},
	SearchHotelListEntity: {
		url: projectConfig.apiName.SearchHotelList,
		data: {
			Dest: {
				Type: "",
				Id: []
			},
			CheckList: [],
			RoomList: [],
			SpecialList: [],
			Price: [],
			StarRateList: [],
			Key: {
				Type: "",
				Id: [],
				Name: ''
			},
			FacilityList: [],
			Rank: 2,
			Dis: 0,
			Page: {
				Index: 0,
				Size: 0,
			},
			DataType: [],
			CityId: 0
		},
		PageInfo: {
			Index: 0,
			Size: 0,
			Amount: 0,
			ResultAmount: 0
		}
	},
	PageData: {
		id: ''
	},
	SearchConditionEntity: {
		Brands: [],
		Dests: [],
		Facilitys: []
	},
	CheckTabType: "",
	ViewId: "../Demand/DemandHotelList.html",
	ViewBrandId: "../Demand/DemandCheckBrand.html",
	ViewScreenId: "../Demand/DemandCheckScreen.html",
	ViewDestId: "../Demand/DemandCheckArea.html",
	Init: function() {
		app.DemanHoteldList.InitSearchParam();
		$("#sBrand").click(function() {
			var self = app.DemanHoteldList;
			app.ShowWebView(self.ViewBrandId, self.PageData);
		});
		$("#sScreen").click(function() {
			var self = app.DemanHoteldList;
			app.ShowWebView(self.ViewScreenId, self.PageData);
		});
		$("#sPosition").click(function() {
			var self = app.DemanHoteldList;
			app.ShowWebView(self.ViewDestId, self.PageData);
		});

		$('.hotel-list-price-page').on('click', function() {
			if($("#secSort").is(":visible")) {
				$("#secSort").slideToggle(200);
			}
		});
		$('.mui-scroll').on('scroll', function() {
			if($("#secSort").is(":visible")) {
				$("#secSort").hide(200);
			}
		});
		$("#sSort").click(function() {
			var sonView = plus.webview.getWebviewById('Sub_HotelList.html');
			sonView.evalJS('$("#secSort").slideToggle(200);');
		});
		var brand = app.DemanHoteldList.SearchHotelListEntity.data.Key;
		if(brand.Id != undefined) {
			var brandCount = brand.Id.length;
			if(brandCount > 0) {
				if(brandCount > 9)
					brandCount = 9;
				$("#bbreadCount").show();
				$("#bbreadCount").html(brandCount);
			}
		}
	},
	InitCheck: function(isSelect, isSubway) {
		$("#leftView ul li").click(function() {
			if($(this).hasClass('current'))
				return;
			$(".price-screening-left li").removeClass('current');
			$(this).addClass('current');
			var sonId = $(this).attr('sonId');
			$("#rightView div").hide();
			$("#" + sonId).show();
			if(sonId == "SubwayrightView") {
				$("#divMiddle").show();
				$("#divRight").show();
				$("#rightView").hide();
			} else
				$("#rightView").show();
		});
		$("#rightView li").click(function() {
			isSubway = isSubway || false;
			if(!isSubway) {
				var selectType = $(this).attr('selectType');
				var checkCount = 0;
				var pId = $(this).parent().parent().attr("id");
				var dataId = $(this).attr("dataId");

				if(selectType == 1) {
					app.DemanHoteldList.SetCheckState();
					$(this).parent().find("li").removeClass('is-sel').addClass('sel-no');
					$(this).removeClass('sel-no').addClass('is-sel');
				} else if(selectType == 2) {
					if(app.DemanHoteldList.CheckTabType != selectType) {
						app.DemanHoteldList.SetCheckState();
					}
					//选择不限
					if(dataId == 0) {
						$(this).parent().find("li").removeClass('current');
						$(this).addClass('current');
					} else {
						if($(this).hasClass('current')) {
							$(this).removeClass('current');
						} else {
							$(this).parent().find("li").eq(0).removeClass('current');
							$(this).addClass('current');
						}
					}
				}
				app.DemanHoteldList.CheckTabType = selectType;
				//当前选项卡中选中个数
				$("#" + pId).find("li").each(function() {
					if($(this).hasClass('current') || $(this).hasClass('is-sel')) {
						var dataId = $(this).attr('dataId');
						if(dataId != "0")
							checkCount += 1;
					}
				});

				//当前选项卡选中标记
				$("#leftView").find("li").each(function() {
					var html = $(this).html();
					if($(this).attr("sonId") == pId) {
						if(checkCount > 0) {
							if(html.indexOf("<i></i>") < 0)
								html = html + "<i></i>";
						} else {
							html = html.toString().replace("<i></i>", "");
						}
					}
					$(this).html(html);
				});
			}
		});

		$(".price-screening-arearight-left li").click(function() {
			if($(this).hasClass("current"))
				return;
			$(".price-screening-arearight-left li").removeClass('current');
			$(this).addClass('current');
			var sonId = $(this).attr('sonId');
			$(".price-screening-arearight-right div").hide();
			$("#" + sonId).show();
		});

		$(".price-screening-arearight-right li").click(function() {
			var selectType = $(this).attr('selectType');
			var checkCount = 0;
			var pId = $(this).parent().parent().parent().attr("id");
			var dataId = $(this).attr("dataId");
			if(selectType == 1) {
				app.DemanHoteldList.SetCheckState();
				$(this).parent().find("li").removeClass('is-sel').addClass('sel-no');
				$(this).removeClass('sel-no').addClass('is-sel');
			} else if(selectType == 2) {
				if(app.DemanHoteldList.CheckTabType != selectType) {
					app.DemanHoteldList.SetCheckState();
				}
				//选择不限
				if(dataId == "0") {
					$(this).parent().find("li").removeClass('current');
					$(this).addClass('current');
				} else {
					if($(this).hasClass('current')) {
						$(this).removeClass('current');
					} else {
						$(this).parent().find("li").eq(0).removeClass('current');
						$(this).addClass('current');
					}
				}
			}
			app.DemanHoteldList.CheckTabType = selectType;
			//当前选项卡中选中个数
			$("#" + pId).find("li").each(function() {
				if($(this).hasClass('current') || $(this).hasClass('is-sel')) {
					var dataId = $(this).attr('dataId');
					if(dataId != "0")
						checkCount += 1;
				}
			});

			//当前选项卡选中标记
			$("#leftView").find("li").each(function() {
				var html = $(this).html();
				if($(this).attr("sonId") == "SubwayrightView") {
					if(checkCount > 0) {
						if(html.indexOf("<i></i>") < 0)
							html = html + "<i></i>";
					} else {
						html = html.toString().replace("<i></i>", "");
					}
				} else {
					html = html.toString().replace("<i></i>", "");
				}
				$(this).html(html);
			});
		});
		if(isSelect == null || isSelect.length == 0) {
			$("#leftView").find("li").eq(0).click();
		} else {
			$("#leftView").find("li").eq(isSelect[0]).click();
		}
	},
	InitSearchParam: function() {
		var settings = app.getSettings();
		var data = app.DemanHoteldList.SearchHotelListEntity.data;
		var searchParam = settings.searchparam;
		if(searchParam != undefined) {
			data.Dest.Type = searchParam.Dest.Type;
			data.Dest.Id = searchParam.Dest.Id;
			data.Dest.Name = searchParam.Dest.Name;
			data.CheckList = searchParam.CheckList;
			data.RoomList = searchParam.RoomList;
			data.SpecialList = searchParam.SpecialList;
			data.Price = searchParam.Price;
			data.StarRateList = searchParam.StarRateList;
			data.Key = searchParam.Key;
			data.Page.Index = app.DemanHoteldList.SearchHotelListEntity.PageInfo.Index;
			data.Page.Size = app.DemanHoteldList.SearchHotelListEntity.PageInfo.Index;
			data.CityId = searchParam.CityId;
			app.DemanHoteldList.SearchHotelListEntity.data = data;
			var id = $("#hidDemandOrderId").val();
			var self = app.DemanHoteldList;
			self.GetDemandInfoEnity.data.Sid = id;
			var searchCondition = app.DemanHoteldList.SearchConditionEntity;
			if(searchParam.Key) {
				var brand = {
					id: 0,
					name: ''
				};
				brand.id = searchParam.Key.Id[0];
				brand.name = searchParam.Key.Name;
				searchCondition.Brands.push(brand);
			}
			if(searchParam.Dest != null) {
				var dest = {
					id: 0,
					name: '',
					type: 0
				};
				dest.id = searchParam.Dest.Id[0];
				dest.name = searchParam.Dest.Name;
				dest.type = searchParam.Dest.Type;
				searchCondition.Dests.push(dest);
			}

			self.PageData.id = searchParam.CityId;
			$("#hidCityId").val(searchParam.CityId);

		} else {
			plus.nativeUI.toast('参数异常！');
		}
	},
	SetCheckState: function() {
		//移除二级选中
		$(".price-screening-right li").each(function() {
			var selectType = $(this).attr("selecttype");
			if($(this).hasClass('current')) {
				$(this).removeClass('current');
			}
			if($(this).hasClass('is-sel')) {
				$(this).removeClass('is-sel').addClass('sel-no');
			}
			//根据选择类型  选中第一个
			var selectType = $(this).attr("SelectType");
			if(selectType == 1) {
				if($(this).attr("dataId") == "0") {
					$(this).addClass('is-sel').removeClass('sel-no');
				}
			} else if(selectType == 2) {
				if($(this).attr("dataId") == "0") {
					$(this).addClass('current');
				}
			}
		});
		//移除三级选中
		$(".price-screening-arearight-right li").each(function() {
			if($(this).hasClass('current')) {
				$(this).removeClass('current');
			}
			if($(this).hasClass('is-sel')) {
				$(this).removeClass('is-sel').addClass('sel-no');
			}
			//根据选择类型  选中第一个
			var selectType = $(this).attr("SelectType");
			if(selectType == 1) {
				if($(this).attr("dataId") == "0") {
					$(this).addClass('is-sel').removeClass('sel-no');
				}
			} else if(selectType == 2) {
				if($(this).attr("dataId") == "0") {
					$(this).addClass('current');
				}
			}
		});
		//移除左侧选中
		$(".price-screening-left li").each(function() {
			var html = $(this).html();
			if(html.indexOf("<i></i>") >= 0) {
				html = html.toString().replace("<i></i>", "");
				$(this).html(html);
			}
		});
	},
	GetDemandInfo: function(callback) {
		var obj = $("#demandDetail");
		var self = app.DemanHoteldList;
		app.Loading(obj);
		var sid = $("#hidDemandOrderId").val();
		self.GetDemandInfoEnity.data.Sid = sid;
		callback = callback || self.GetDemandInfoCallback;
		app.Post(self.GetDemandInfoEnity, obj, callback);
	},
	GetDemandInfoCallback: function(data, obj) {
		if(app.GetResultState(data)) {
			var searchInfo = data.SearchInfo;
			var details = new Array();
			details.push('<h3>' + searchInfo.Desc + '</h3>');
			details.push('<p><b>' + searchInfo.Check + '</b><br />' + searchInfo.Room + '<br />' + searchInfo.Special + '</p>');
			details.push('<span><a href="javascript:void(0)" onclick="app.DemanHoteldList.SeeAlreadyCheckHotel();">查看已选</a><a class="enquiry-record-send-price-view" href="javascript:void(0)" onclick="app.OfferHotelPrice.SubmitDemandInfo();">直接报价</a>已添加<font id="fontHotelCount">' +
				searchInfo.HotelAmount + '</font>家酒店</span>');
			$(obj).html(details.join(''));

			var heigth = $(obj).height() + 48;
			var sid = $("#hidDemandOrderId").val();
			var self = app.DemanHoteldList;
			var selfview = plus.webview.currentWebview();
			var style = {};
			style.top = heigth + 'px';
			style.bottom = '45px';
			var param = {
				sId: sid
			};
			var sub = app.CreateView('Sub_HotelList.html', 'Sub_HotelList.html', style, param);
			selfview.append(sub);
		} else {
			app.LoadSearchNull(obj);
		}
	},
	GetCustomerSearch: function() {
		var self = app.DemanHoteldList;
		var entity = self.SearchHotelListEntity.data;
		var needLoad = false;
		if($.inArray(1, entity.DataType) >= 0) {
			var obj = $("#divHotelList");
			var load = app.Loading(obj, 0, "return");
			needLoad = true;
		} else if($.inArray(3, entity.DataType) >= 0) {
			obj = $("#rightView");
			app.Loading(obj, "30%");
			entity.Dest.Type = "1";
			entity.Dest.Id = [];
			entity.Dest.Id.push(entity.CityId);
			needLoad = true;
		} else if($.inArray(4, entity.DataType) >= 0) {
			obj = $("#rightView");
			app.Loading(obj, "30%");
			entity.Dest.Type = "1";
			entity.Dest.Id = [];
			entity.Dest.Id.push(entity.CityId);
			needLoad = true;
		} else if($.inArray(5, entity.DataType) >= 0) {
			obj = $("#rightView");
			app.Loading(obj, "30%");
			entity.Dest.Type = "1";
			entity.Dest.Id.push(entity.CityId);
			needLoad = true;
		}
		if(needLoad)
			app.Post(self.SearchHotelListEntity, obj, self.CustomerSearchCallback);
	},
	CustomerSearchCallback: function(data, obj) {
		var self = app.DemanHoteldList;
		var entity = self.SearchHotelListEntity;
		if(app.GetResultState(data)) {
			if($.inArray(1, entity.data.DataType) >= 0) {
				self.LoadHotel(data, $("#divHotelList"));
				self.LoadPageInfo(data);
				self.LoadRank(data);
			}
			if($.inArray(3, entity.data.DataType) >= 0) {
				self.LoadData(data.FiterBrand, $("#leftView"), $("#rightView"));
				self.LoadStatus.BrandFocus = 1;
			}
			if($.inArray(4, entity.data.DataType) >= 0) {
				self.LoadData(data.FiterArea, $("#leftView"), $("#rightView"));
				self.LoadStatus.AreaFocus = 1;
			}
			if($.inArray(5, entity.data.DataType) >= 0) {
				self.LoadData(data.FiterType, $("#leftView"), $("#rightView"));
				self.LoadStatus.ScreenFocus = 1;
			}
		} else {
			self.HavaNoHotelData();
			app.DemanHoteldList.GetSearchCondition();
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			//app.LoadSearchNull(obj);
		}
	},
	//data 数据源 
	LoadRank: function(data) {
		var obj = $("#secSort");
		var obj2 = $("#sSort");
		if(app.GetResultState(data)) {

			var ranks = data.RankList;
			var details = new Array();
			if(ranks != null && ranks.length > 0) {
				details.push('<ul>');
				for(i = 0; i < ranks.length; i++) {
					var rank = ranks[i];
					if(rank.IsSelect == 1) {
						details.push('<li dataId="' + rank.Id + '">' + rank.Name + '<i class="icon-sike icon-gou1"></i></li>');
						var par = app.GetParentView();
						par.evalJS('$("#sSort").text("' + rank.Name + '")');
					} else {
						details.push('<li dataId="' + rank.Id + '">' + rank.Name + '<i class="icon-sike"></i></li>');
					}
				}
				details.push('</ul>');
				$(obj).html(details.join(''));
			}

			$("#secSort li").click(function() {
				if($(this).hasClass("icon-gou1"))
					return;

				var self = app.DemanHoteldList;
				var entity = self.SearchHotelListEntity;
				var id = $(this).attr("dataId");
				var text = $(this).text();
				entity.data.DataType = [];
				entity.data.DataType.push(1);
				entity.data.DataType.push(2);
				entity.data.Rank = id;
				var par = app.GetParentView();
				par.evalJS('$("#sSort").text("' + text + '")');
				app.DemanHoteldList.RefreshSearchList();
				app.DemanHoteldList.GetCustomerSearch();
				//$("#secSort").slideToggle(200);
			});
		}
	},
	LoadHotel: function(data, obj) {
		if(app.GetResultState(data)) {
			var hotels = new Array();
			var self = app.DemanHoteldList;
			if(data.HotelList.length > 0) {
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
				var html = app.HotelList.hotelListHtml(data.HotelList, 1);
				$(obj).append(html);

				app.HotelList.hotelDetailEvent($("#hidDemandOrderId").val());
			} else {
				self.HavaNoHotelData();
				app.DemanHoteldList.GetSearchCondition();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			}
		} else {
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	},
	LoadPageInfo: function(data) {
		if(app.GetResultState(data)) {
			if(data.PageInfo != null) {
				var self = app.DemanHoteldList;
				var entity = self.SearchHotelListEntity;
				var pageinfo = data.PageInfo;
				entity.PageInfo.Index = pageinfo.Index;
				entity.PageInfo.Size = pageinfo.Size;
				entity.PageInfo.Amount = pageinfo.Amount;
				entity.PageInfo.ResultAmount = pageinfo.ResultAmount;

				if(pageinfo.Index >= pageinfo.Amount) {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
					mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
					app.DemanHoteldList.GetSearchCondition();
				} else {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
				}
				if(pageinfo.Index == 1) {
					plus.nativeUI.toast('为您找到' + pageinfo.ResultAmount + "家酒店");
				}
			}
		}
	},

	GetIcon: function(type) {
		var icon = "";
		//免费wifi
		if(type == 1) {
			icon = "icon-wifi";
		}
		//收费wifi
		else if(type == 2) {
			icon = "icon-wifi";
		}
		//免费宽带
		else if(type == 3) {
			icon = "icon-2kuandai";
		}
		//收费宽带
		else if(type == 4) {
			icon = "icon-2kuandai";
		}
		//免费停车
		else if(type == 5) {
			icon = "icon-tingche";
		}
		//收费停车
		else if(type == 6) {
			icon = "icon-tingche";
		}
		//免费接机
		else if(type == 7) {
			icon = "icon-jieji";
		}
		//收费接机
		else if(type == 8) {
			icon = "icon-jieji";
		}
		//室内游泳池
		else if(type == 9) {
			icon = "icon-icon_swimmingPool";
		}
		//室外游泳池
		else if(type == 10) {
			icon = "icon-icon_swimmingPool";
		}
		//健身房
		else if(type == 11) {
			icon = "icon-jianshenfang";
		}
		//商务中心
		else if(type == 12) {
			icon = "icon-shangwuzhongxin";
		}
		//会议室
		else if(type == 13) {
			icon = "icon-huiyishi";
		}
		//餐厅
		else if(type == 14) {
			icon = ".icon-canting-copy";
		}
		return icon;
	},
	LoadData: function(data, objleft, objright) {
		var objshow = $(".screening-page");
		var leftdetails = new Array();
		var rightdetails = new Array();
		var isSelects = new Array();
		var self = app.DemanHoteldList;
		var count = 0;
		leftdetails.push('<ul>');
		if(data != null) {
			for(var obj in data) {
				var isSelect = "<i></i>";
				var detail = data[obj];
				if(detail != null && obj != "SelectType") {
					var sonId = "son_" + obj;
					if(detail.IsSelect != 1) {
						isSelect = "";
					} else {
						isSelects.push(count);
					}
					if(obj == 'SubwayLine') {
						sonId = 'SubwayrightView';
						self.GetSubWayList(detail.List, sonId, detail.SelectType);
					} else {
						//明细
						rightdetails.push(self.GetDetailList(detail.List, sonId, detail.SelectType));
					}
					leftdetails.push('<li sonId="' + sonId + '" type="'+detail.Type+'">' + detail.Name + isSelect + '</li>');

					count += 1;
				}
			}
		} else {
			app.LoadSearchNull(objshow);
		}
		leftdetails.push('</ul>');
		$(objleft).html(leftdetails.join(''));
		$(objright).html(rightdetails.join(''));
		self.InitCheck(isSelects);
	},
	GetDetailList: function(data, divId, selectType, displayType) {
		var details = new Array();
		data = data || {};
		displayType = displayType || "block";
		details.push('<div id="' + divId + '" style="display:' + displayType + ';">');
		if(data.length > 0) {
			details.push('<ul>');
			for(i = 0; i < data.length; i++) {
				var detail = data[i];
				var isSelect = detail.IsSelect;
				var css = app.DemanHoteldList.GetSelectType(selectType, isSelect);
				details.push('<li dataId="' + detail.Id + '" class="' + css + '" selectType="' + selectType + '"><i></i>' + detail.Name + '</li>');
			}
			details.push('</ul>');
		}
		details.push('</div>');

		return details.join('');
	},
	GetSelectType: function(selectType, isSelect) {
		var css = "";
		if(selectType == 2 && isSelect == 1)
			css = "current";
		else if(selectType == 1 && isSelect == 0)
			css = "sel-no";
		else if(selectType == 1 && isSelect == 1)
			css = "is-sel";
		return css;
	},
	GetSubWayList: function(data, divId, selectType) {
		var detailLeft = new Array();
		var detailRight = new Array();
		var self = app.DemanHoteldList;
		detailLeft.push('<ul>');
		if(data != undefined && data != null && data.length > 0) {
			for(j = 0; j < data.length; j++) {
				var detail = data[j];
				var sonId = "subway_" + j;
				var isSelect = detail.IsSelect;
				var type = detail.Type;
				var displayType = "none";
				var css = "current";
				if(isSelect == 1)
					css = "current";
				else
					css = "";
				if(j == 0)
					displayType = "block";
				else
					displayType = "none";
				detailLeft.push('<li sonId="' + sonId + '" class="' + css + '" type="' + type + '"><font><i></i></font>' + detail.Name + '</li>');
				detailRight.push(self.GetDetailList(detail.List, sonId, detail.SelectType, displayType));
			}
			detailLeft.push('</ul>');
			$("#divMiddle").html(detailLeft.join(''));
			$("#divRight").html(detailRight.join(''));
		}
	},
	//重置选中
	ResetCheck: function(type) {
		var self = app.DemanHoteldList;
		var entity = self.SearchHotelListEntity;
		if(type == "brand") {
			entity.data.DataType = [];
			entity.data.DataType.push(3);
			app.DemanHoteldList.GetCustomerSearch();
		} else if(type == "screen") {
			entity.data.DataType = [];
			entity.data.DataType.push(5);
			app.DemanHoteldList.GetCustomerSearch();
		}
	},
	GetFiterChecks: function() {
		var checks = {
			type: [],
			count: 0,
			checkids: [],
			names: []
		};
		$("#leftView li").each(function() {
			var left = $(this).html();
			if(left.toString().indexOf('<i></i>') >= 0) {
				checks.type.push( $(this).attr("type"));
			}
		});
		$("#rightView li").each(function() {
			if($(this).hasClass("current")) {
				var dataId = $(this).attr('dataId') || 0;
				var cname = $(this).text();
				if(dataId != 0) {
					var entity = {};
					checks.checkids.push(dataId);
					entity.name = cname;
					checks.names.push(entity);
				}
			} else if($(this).hasClass("is-sel")) {
				var dataId = $(this).attr('dataId') || 0;
				var name = $(this).text();
				if(dataId != 0) {
					var entity = {};
					checks.checkids.push(dataId);
					entity.name = name;
					checks.names.push(entity);
				}
			}
		});
		$("#divRight li").each(function() {
			if($(this).hasClass("current")) {
				var dataId = $(this).attr('dataId') || 0;
				var cname = $(this).text();
				if(dataId != 0) {
					var entity = {};
					checks.checkids.push(dataId);
					entity.name = cname;
					checks.names.push(entity);
				}
			} else if($(this).hasClass("is-sel")) {
				var dataId = $(this).attr('dataId') || 0;
				var name = $(this).text();
				if(dataId != 0) {
					var entity = {};
					checks.checkids.push(dataId);
					entity.name = name;
					checks.names.push(entity);
				}
			}
		});
		checks.count = checks.checkids.length > 9 ? 9 : checks.checkids.length;
		return checks;
	},
	//重置选中
	SetFiterChecks: function(type) {
		var settings = app.getSettings();
		var searchcondition = settings.HotelSearchCondition || {};
		//移除所有选中状态
		$("#leftView li").each(function() {
			var left = $(this).html();
			if(left.toString().indexOf('<i></i>') >= 0) {
				left = left.toString().replace("<i></i>", "");
				$(this).html(left);
			}
		});
		$("#rightView li").each(function() {
			if($(this).hasClass("current")) {
				$(this).removeClass("current");
			} else if($(this).hasClass("is-sel")) {
				$(this).removeClass("is-sel").addClass("sel-no");
			}
		});
		var conditions;
		if(type == "brand") {
			conditions = searchcondition.Brands || [];
		} else if(type == "dest") {
			conditions = searchcondition.Dests || [];
		} else if(type == "screen") {
			conditions = searchcondition.Facilitys || [];
		}
		if(conditions.length > 0) {
			$("#rightView li").each(function() {
				var dataId = $(this).attr("dataId");
				for(i = 0; i < conditions.length; i++) {
					if(dataId == conditions[i].id) {
						$(this).click();
						break;
					}
				}
			});
		} else {
			$("#rightView li").each(function() {
				var dataId = $(this).attr("dataId");
				if(dataId == 0) {
					$(this).click();
				}
			});
		}
	},
	GetNextPageData: function() {
		var self = app.DemanHoteldList;
		var entity = self.SearchHotelListEntity;
		var datapage = entity.data.Page;
		if(datapage.Index == 0 || (entity.PageInfo.Amount > datapage.Index)) {
			datapage.Index = entity.PageInfo.Index + 1;
			datapage.Size = entity.PageInfo.Size;
			entity.data.Page = datapage;
			self.GetCustomerSearch();
		}
	},
	//获取搜索条件
	GetSearchCondition: function() {
		var self = app.DemanHoteldList;
		var entity = app.DemanHoteldList.SearchConditionEntity;
		var conditions = new Array();

		conditions.push('<div class="network-file">');
		if(entity.Dests.length > 0) {
			for(i = 0; i < entity.Dests.length; i++) {
				if(entity.Dests[i].type != 1) {
					conditions.push('<a id="' + entity.Dests[i].id + '" type="Dest" href="javascript:void(0)">' + entity.Dests[i].name + '<i></i></a>');
				}
			}
		}
		if(entity.Brands.length > 0) {
			for(j = 0; j < entity.Brands.length; j++) {
				conditions.push('<a id="' + entity.Brands[j].id + '" type="Key" href="javascript:void(0)">' + entity.Brands[j].name + '<i></i></a>');
			}
		}

		if(entity.Facilitys.length > 0) {
			for(k = 0; k < entity.Facilitys.length; k++) {
				conditions.push('<a id="' + entity.Facilitys[k].id + '" type="Facility" href="javascript:void(0)">' + entity.Facilitys[k].name + '<i></i></a>');
			}
		}
		conditions.push('</div>');
		$("#divHotelList").append(conditions.join(''));

		$('.network-file').on('tap', 'a', function() {
			app.DemanHoteldList.CheckSearchCondition(this);
		});
	},
	CheckSearchCondition: function(obj) {
		var type = $(obj).attr("type");
		var id = $(obj).attr("id");
		var self = app.DemanHoteldList;
		var settings = app.getSettings();
		var searchEntity = self.SearchHotelListEntity.data;
		var searchCondition = self.SearchConditionEntity;
		var par = app.GetParentView();
		if(type == "Dest") {
			var index = searchEntity.Dest.Id.indexOf(id);
			if(index >= 0) {
				searchEntity.Dest.Id.remove(id);
				if(searchEntity.Dest.Id.length <= 0) {
					searchEntity.Dest.Name = "";
					searchEntity.Dest.Type = 1;
					searchEntity.Dest.Id = searchEntity.CityId;
				}
				par.evalJS("app.DemanHoteldList.SetDestCheck()");
			}
			var tempDest = [];
			for(i = 0; i < searchCondition.Dests.length; i++) {
				var dest = searchCondition.Dests[i];
				if(dest.id != id) {
					tempDest.push(dest);
				}
			}
			searchCondition.Dests = tempDest;
			settings.HotelSearchCondition = searchCondition;
			app.setSettings(settings);
			var view = plus.webview.getWebviewById(app.DemanHoteldList.ViewDestId);
			mui.fire(view, 'setCheckArea', {});

		} else if(type == "Key") {
			var index = searchEntity.Key.Id.indexOf(id);
			if(index >= 0) {
				searchEntity.Key.Id.remove(id);
				if(searchEntity.Key.Id.length <= 0) {
					searchEntity.Key.Name = "";
					searchEntity.Key.Type = 0;
				}
				par.evalJS("app.DemanHoteldList.SetBrandCount(" + searchEntity.Key.Id.length + ")");
				var tempBrand = [];
				for(i = 0; i < searchCondition.Brands.length; i++) {
					var brand = searchCondition.Brands[i];

					if(brand.id != id) {
						tempBrand.push(brand);
					}
				}
				searchCondition.Brands = tempBrand;
				settings.HotelSearchCondition = searchCondition;
				app.setSettings(settings);
				var view = plus.webview.getWebviewById(app.DemanHoteldList.ViewBrandId);
				mui.fire(view, 'setCheckBrands', {});
			}
		} else if(type == "Facility") {
			var index = searchEntity.FacilityList.indexOf(id);
			if(index >= 0) {
				searchEntity.FacilityList.remove(id);
				par.evalJS("app.DemanHoteldList.SetScreenCount(" + searchEntity.FacilityList.length + ")");
				var tempFacility = [];
				for(i = 0; i < searchCondition.Facilitys.length; i++) {
					var facility = searchCondition.Facilitys[i];

					if(facility.id != id) {
						tempFacility.push(facility);
					}
				}
				searchCondition.Facilitys = tempFacility;
				settings.HotelSearchCondition = searchCondition;
				app.setSettings(settings);
				var view = plus.webview.getWebviewById(app.DemanHoteldList.ViewScreenId);
				mui.fire(view, 'setCheckScreens', {});
			}
		}

		self.RefreshSearchList();
		self.GetCustomerSearch();
	},
	RefreshSearchList: function() {
		$("#divHotelList").html("");
		mui('#pullrefresh').pullRefresh().refresh(true);
	},
	SetScreenCount: function(count, needResiteCheck) {
		needResiteCheck = needResiteCheck || false;
		if(!needResiteCheck) {
			if(count > 0) {
				$("#bScreeCount").show();
				$("#bScreeCount").html(count);
			} else {
				$("#bScreeCount").hide();
				$("#bScreeCount").html("");
			}
		} else {
			app.DemanHoteldList.SetFiterChecks("screen");
		}
	},
	SetBrandCount: function(count, needResiteCheck) {
		needResiteCheck = needResiteCheck || false;
		if(!needResiteCheck) {
			if(count > 0) {
				$("#bbreadCount").show();
				$("#bbreadCount").html(count);
			} else {
				$("#bbreadCount").hide();
				$("#bbreadCount").html("");
			}
		} else {
			app.DemanHoteldList.SetFiterChecks("brand");
		}
	},
	SetDestCheck: function(needResiteCheck) {
		needResiteCheck = needResiteCheck || false;
		if(!needResiteCheck) {

		} else {
			app.DemanHoteldList.SetFiterChecks("dest");
		}
	},
	SetSearchHotel: function(hotelId, Type) {
		var count = $("#fontHotelCount").text();
		if(parseInt(count) < 10) {
			var sid = $("#hidDemandOrderId").val();
			var count = app.SearchHotelHistory.SetSearchHotel(sid, hotelId, Type);
			$("#fontHotelCount").text(count);
		} else {
			plus.nativeUI.toast('同一个询价单最多能咨询10家酒店！');
		}
	},
	SeeAlreadyCheckHotel: function() {
		var sid = $("#hidDemandOrderId").val();
		var pageParam = {
			sId: sid
		};
		app.ShowWebView("../Demand/CheckSearchHotelList.html", pageParam);
	},
	//酒店数据为空
	HavaNoHotelData: function() {
		app.renderNoResult("没有符合酒店", '去除一些条件再试试', null, null, $("#divHotelList"));
	}
}