app.NewHoteldList = {
	GetDemandInfoEnity: {
		url: projectConfig.apiName.GetSearchHotelInfo,
		data: {
			Sid: ""
		}
	},
	LoadStatus: {
		RankIsLoad: 0,
		ScreenFocus: 0,
		AreaFocus: 0,
		BrandFocus: 0
	},
	SearchHotelListEntity: {
		url: projectConfig.apiName.SearchHotelList,
		data: {
			Dest: {
				Type: "",
				Id: []
			},
			CheckList: [],
			RoomList: [],
			SpecialList: [],
			Price: [],
			StarRateList: [],
			Key: {
				Type: "",
				Id: [],
				Name: ''
			},
			FacilityList: [],
			Rank: 0,
			Dis: 4000,
			Page: {
				Index: 0,
				Size: 0,
			},
			DataType: [],
			CityId: 0,
			IsGroup: 0,
			isshow: true
		},
		PageInfo: {
			Index: 0,
			Size: 0,
			Amount: 0,
			ResultAmount: 0
		}
	},
	PageData: {
		id: '',
		Dest: {
			Type: "",
			Id: []
		},
		SeachData: {
			Dest: {
				Type: "",
				Id: []
			},
			CheckList: [],
			RoomList: [],
			SpecialList: [],
			Price: [],
			StarRateList: [],
			Key: {
				Type: "",
				Id: [],
				Name: ''
			},
			FacilityList: [],
			Rank: 0,
			Dis: 4000,
			Page: {
				Index: 0,
				Size: 0,
			},
			DataType: [],
			CityId: 0,
			IsGroup: 0
		}
	},
	SearchConditionEntity: {
		Brands: [],
		Dests: [],
		Facilitys: [],
		Prices: {
			minval: 0,
			maxval: 0,
			name: "",
			id: ""
		},
		StarRateList: {
			stars: [],
			showstar: ""
		},
		Dis: []
	},
	isCheckSort: true,
	DefaultName: "区域",
	IsGroup: 0,
	CheckTabType: "",
	ViewId: "../Demand/NewHotelList.html",
	ViewBrandId: "../Demand/DemandCheckBrand.html",
	ViewScreenId: "../Demand/DemandCheckScreen.html",
	ViewDestId: "../Demand/DemandCheckArea.html",
	ViewPriceId: "../Demand/DemandCheckPrice.html",
	ViewChoiceId: "../Demand/DemandCheckChoice.html",
	ReloadView: function() {
		var currentView = plus.webview.getWebviewById(app.NewHoteldList.ViewDestId);
		if(currentView != null) {
			plus.webview.close(app.NewHoteldList.ViewDestId, "none");
		}

		currentView = plus.webview.getWebviewById(app.NewHoteldList.ViewPriceId);
		if(currentView != null) {
			plus.webview.close(app.NewHoteldList.ViewPriceId, "none");
		}

		currentView = plus.webview.getWebviewById(app.NewHoteldList.ViewChoiceId);
		if(currentView != null) {
			plus.webview.close(app.NewHoteldList.ViewChoiceId, "none");
		}

	},
	Init: function() {
		app.NewHoteldList.InitSearchParam();
		$("#sPrice").off().on("tap", function() {
			var self = app.NewHoteldList;
			app.ShowWebView(self.ViewPriceId, self.PageData);
		});
		$("#sScreen").off().on("tap", function() {
			var self = app.NewHoteldList;
			var setting = app.getSettings();
			self.PageData.SeachData = setting.SearchAreaData;

			app.ShowWebView(self.ViewChoiceId, self.PageData);
		});

		$("#sPosition").off().on("tap", function() {
			var self = app.NewHoteldList;
			app.ShowWebView(self.ViewDestId, self.PageData);
		});

		$('.hotel-list-price-page').on('tap', function() {
			if($("#secSort").is(":visible")) {
				$("#secSort").slideToggle(200);
				$("#muibackdrop").hide();
				$("#muibackdropParent").hide();
			}
		});
		$('.mui-scroll').on('scroll', function() {
			if($("#secSort").is(":visible")) {
				$("#secSort").hide(10);
				$("#muibackdrop").hide();
				$("#muibackdropParent").hide();
			}
		});
		$("#sSortHide").on("tap", function() {
			$("#sSortShow").hide();
			$("#muibackdropParent").hide();
			var sonView = plus.webview.getWebviewById('Sub_HotelList.html');
			sonView.evalJS('if($("#secSort").is(":visible")) {$("#secSort").slideToggle(200);$("#muibackdrop").hide();}');
		});
		$("#sSort").off().on("tap", function() {
			if(app.NewHoteldList.isCheckSort) {
				var sonView = plus.webview.getWebviewById('Sub_HotelList.html');
				$("#sSortShow").show();
				$("#muibackdropParent").show();
				sonView.evalJS('$("#secSort").slideToggle(200);$("#muibackdrop").show();');

			}
		});
		var brand = app.NewHoteldList.SearchHotelListEntity.data.Key;
		if(brand.Id != undefined) {
			var brandCount = brand.Id.length;
			if(brandCount > 0) {
				if(brandCount > 9)
					brandCount = 9;
				//				$("#bbreadCount").show();
				//				$("#bbreadCount").html(brandCount);
			}
		}
	},
	InitCheck: function(isSelect, isSubway) {
		$("#leftView ul li").off().on("tap", function() {
			if($(this).hasClass('current'))
				return;
			$(".price-screening-left li").removeClass('current');
			$(this).addClass('current');
			var sonId = $(this).attr('sonId');
			$("#rightView div").hide();
			$("#" + sonId).show();
			if(sonId == "SubwayrightView") {
				$("#divMiddle").show();
				$("#divRight").show();
				$("#rightView").hide();
			} else
				$("#rightView").show();
				$("#rightView").css({"position":"absolute","top":"0","bottom":"0","right":"0"});
		});
		$("#rightView li").off().on("tap", function() {
			isSubway = isSubway || false;
			if(!isSubway) {
				var selectType = $(this).attr('selectType');
				var checkCount = 0;
				var pId = $(this).parent().parent().attr("id");
				var dataId = $(this).attr("dataId");

				if(selectType == 1) {
					app.NewHoteldList.SetCheckState();
					$(this).parent().find("li").removeClass('is-sel').addClass('sel-no');
					$(this).removeClass('sel-no').addClass('is-sel');
				} else if(selectType == 2) {
					if(app.NewHoteldList.CheckTabType != selectType) {
						app.NewHoteldList.SetCheckState();
					}
					//选择不限
					if(dataId == 0) {
						$(this).parent().find("li").removeClass('current');
						$(this).addClass('current');
					} else {
						if($(this).hasClass('current')) {
							$(this).removeClass('current');
						} else {
							$(this).parent().find("li").eq(0).removeClass('current');
							$(this).addClass('current');
						}
					}
				}
				app.NewHoteldList.CheckTabType = selectType;
				//当前选项卡中选中个数
				$("#" + pId).find("li").each(function() {
					if($(this).hasClass('current') || $(this).hasClass('is-sel')) {
						var dataId = $(this).attr('dataId');
						if(dataId != "0")
							checkCount += 1;
					}
				});

				//当前选项卡选中标记
				$("#leftView").find("li").each(function() {
					var html = $(this).html();
					if($(this).attr("sonId") == pId) {
						if(checkCount > 0) {
							if(html.indexOf("<i></i>") < 0)
								html = html + "<i></i>";
						} else {
							html = html.toString().replace("<i></i>", "");
						}
					}
					$(this).html(html);
				});
			}
		});

		$(".price-screening-arearight-left li").off().on("tap", function() {
			if($(this).hasClass("current"))
				return;
			$(".price-screening-arearight-left li").removeClass('current');
			$(this).addClass('current');
			var sonId = $(this).attr('sonId');
			$(".price-screening-arearight-right div").hide();
			$("#" + sonId).show();
		});

		$(".price-screening-arearight-right li").off().on("tap", function() {
			var selectType = $(this).attr('selectType');
			var checkCount = 0;
			var pId = $(this).parent().parent().parent().attr("id");
			var dataId = $(this).attr("dataId");
			if(selectType == 1) {
				app.NewHoteldList.SetCheckState();
				$(this).parent().find("li").removeClass('is-sel').addClass('sel-no');
				$(this).removeClass('sel-no').addClass('is-sel');
			} else if(selectType == 2) {
				if(app.NewHoteldList.CheckTabType != selectType) {
					app.NewHoteldList.SetCheckState();
				}
				//选择不限
				if(dataId == "0") {
					$(this).parent().find("li").removeClass('current');
					$(this).addClass('current');
				} else {
					if($(this).hasClass('current')) {
						$(this).removeClass('current');
					} else {
						$(this).parent().find("li").eq(0).removeClass('current');
						$(this).addClass('current');
					}
				}
			}
			app.NewHoteldList.CheckTabType = selectType;
			//当前选项卡中选中个数
			$("#" + pId).find("li").each(function() {
				if($(this).hasClass('current') || $(this).hasClass('is-sel')) {
					var dataId = $(this).attr('dataId');
					if(dataId != "0")
						checkCount += 1;
				}
			});

			//当前选项卡选中标记
			$("#leftView").find("li").each(function() {
				var html = $(this).html();
				if($(this).attr("sonId") == "SubwayrightView") {
					if(checkCount > 0) {
						if(html.indexOf("<i></i>") < 0)
							html = html + "<i></i>";
					} else {
						html = html.toString().replace("<i></i>", "");
					}
				} else {
					html = html.toString().replace("<i></i>", "");
				}
				$(this).html(html);
			});
		});
		if(isSelect == null || isSelect.length == 0) {
			$("#leftView").find("li").eq(0).trigger("tap");
		} else {
			$("#leftView").find("li").eq(isSelect[0]).trigger("tap");
		}
	},
	GetSearchparam: function() {
		var settings = app.getSettings();
		return settings.searchparam1;

	},
	InitSearchParam: function() {
		var settings = app.getSettings();
		
		var data = app.NewHoteldList.SearchHotelListEntity.data;

		var searchParam = app.NewHoteldList.GetSearchparam();
		if(searchParam != undefined) {
			data.Dest.Type = searchParam.Dest.Type==0?1:searchParam.Dest.Type;
			data.Dest.Id = searchParam.Dest.Id;
			data.Dest.Name = searchParam.Dest.Name;
			data.CheckList = searchParam.CheckList;
			data.RoomList = searchParam.RoomList;
			data.SpecialList = searchParam.SpecialList;
			data.Price = searchParam.Price;
			data.StarRateList = searchParam.StarRateList;

			data.Key = searchParam.Key;

			data.Page.Index = app.NewHoteldList.SearchHotelListEntity.PageInfo.Index;
			data.Page.Size = app.NewHoteldList.SearchHotelListEntity.PageInfo.Index;
			data.CityId = searchParam.CityId;
			data.IsGroup = searchParam.IsGroup;

			app.NewHoteldList.SearchHotelListEntity.data = data;
			var id = $("#hidDemandOrderId").val();
			var self = app.NewHoteldList;
			self.GetDemandInfoEnity.data.Sid = id;
			var searchCondition = app.NewHoteldList.SearchConditionEntity;
			//			if(searchParam.IsGroup == 0) {
			//				
			//			}
			if(searchParam.Key.Type==1){
				$("#bScreeCount").text("1");
				$("#bScreeCount").show();
			}
			if(searchParam.Key && searchParam.Key.Id) {
				var brand = {
					id: 0,
					name: ''
				};

				brand.id = searchParam.Key.Id[0];
				brand.name = searchParam.Key.Name;
				searchCondition.Brands.push(brand);
			}
			if(searchParam.Dest != null) {
				var dest = {
					id: 0,
					name: '',
					type: 0
				};
				dest.id = searchParam.Dest.Id[0];
				dest.name = searchParam.Dest.Name;
				dest.type = searchParam.Dest.Type;
				searchCondition.Dests.push(dest);
			}
			app.NewHoteldList.DefaultName = dest.name;
			app.NewHoteldList.ShowDestName(dest.name);

			self.PageData.id = searchParam.CityId;
			$("#hidCityId").val(searchParam.CityId);

			//初始化时间
			if(!!searchParam.CheckList) {
				var start = searchParam.CheckList[0];
				var end = searchParam.CheckList[1];
				if(!!app.HotelList) {
					app.HotelList.setTime(start, end);
					app.HotelList.setGroup(searchParam.IsGroup);
				}
			}

			app.NewHoteldList.ShowPrice(data.Price, data.StarRateList);
			var minv = 0;
			var maxv = 0;
			if(!!data.Price && data.Price.length == 2) {
				var minv = parseInt(data.Price[0]);
				var maxv = parseInt(data.Price[1]);
			}

			searchCondition.Prices.minval = minv;
			searchCondition.Prices.maxval = maxv;
			searchCondition.StarRateList.stars = data.StarRateList;
			settings.HotelSearchCondition = searchCondition;
			app.setSettings(settings);
		} else {
			plus.nativeUI.toast('参数异常！');
		}
	},
	ShowPrice: function(Price, StarRateList) {
		var newList = [];
		StarRateList.forEach(function(v,i){
			if(v){
				newList.push(v);
			}
		});
		StarRateList = newList;
		var IsGroup = app.NewHoteldList.SearchHotelListEntity.data.IsGroup;
		try {
			//控制显示价格等区域数据
			if(IsGroup == 1) {

				var dataName = window.contrModel.PriceStarFormat(Price, StarRateList);
				if(dataName.PriceStarName != "") {
					$("#sPrices").html(dataName.PriceStarName);
				} else {
					$("#sPrices").html("价格星级");
				}
			} else {
				var dataName = window.contrModel.PriceStarFormat(Price, StarRateList);
				if(dataName.PriceStarName != "") {
					$("#sPrices").html(dataName.PriceStarName);
				} else {
					$("#sPrices").html("价格星级");
				}
			}
		} catch(e) {
			//TODO handle the exception
		}

	},
	ShowDestName: function(name) {
		try {
			if(name != "") {
				$("#destSort").html(name);
			} else {
				$("#destSort").html(app.NewHoteldList.DefaultName);
			}
		} catch(e) {

		}

	},
	SetCheckState: function() {
		//移除二级选中
		$(".price-screening-right li").each(function() {
			var selectType = $(this).attr("selecttype");
			if($(this).hasClass('current')) {
				$(this).removeClass('current');
			}
			if($(this).hasClass('is-sel')) {
				$(this).removeClass('is-sel').addClass('sel-no');
			}
			//根据选择类型  选中第一个
			var selectType = $(this).attr("SelectType");
			if(selectType == 1) {
				if($(this).attr("dataId") == "0") {
					$(this).addClass('is-sel').removeClass('sel-no');
				}
			} else if(selectType == 2) {
				if($(this).attr("dataId") == "0") {
					$(this).addClass('current');
				}
			}
		});
		//移除三级选中
		$(".price-screening-arearight-right li").each(function() {
			if($(this).hasClass('current')) {
				$(this).removeClass('current');
			}
			if($(this).hasClass('is-sel')) {
				$(this).removeClass('is-sel').addClass('sel-no');
			}
			//根据选择类型  选中第一个
			var selectType = $(this).attr("SelectType");
			if(selectType == 1) {
				if($(this).attr("dataId") == "0") {
					$(this).addClass('is-sel').removeClass('sel-no');
				}
			} else if(selectType == 2) {
				if($(this).attr("dataId") == "0") {
					$(this).addClass('current');
				}
			}
		});
		//移除左侧选中
		$(".price-screening-left li").each(function() {
			var html = $(this).html();
			if(html.indexOf("<i></i>") >= 0) {
				html = html.toString().replace("<i></i>", "");
				$(this).html(html);
			}
		});
	},
	GetAreaTitle: function() {
		var searchParam = app.NewHoteldList.GetSearchparam();
		if(searchParam != undefined) {
			var title=searchParam.Dest.Name +"酒店";
			if(searchParam.Dest.Name.length>8)
				title=searchParam.Dest.Name.substring(0,7)+"...酒店";
			$("#areaTitle").html(title + '<i class="iconfont-3-6 icon-xiala" style="font-size:6px;padding-left:2px;margin-top:1px;position: absolute;"></i>');
		}

		$("#areaTitle").off().on("tap", function() {
			var viewId="../Demand/SearchDestination.html";
			app.ShowWebView(viewId, { Dest: app.NewHoteldList.SearchHotelListEntity.data.Dest,viewId:viewId });
		});

	},
	setAreaTitleName:function(name){
		name = name.length>6 ? name.substr(0,5)+'...':name;
		$("#areaTitle").html(name + '酒店<i class="iconfont-3-6 icon-xiala" style="font-size:6px;padding-left:2px;margin-top:1px;position: absolute;"></i>');
	},
	reCallbackAreaTitle: function(id, name, type, cityId) {
		var entities = new Array();
		var entity = {
			id: 0,
			type: 0,
			cityId: 0,
			name: ""
		};
		var temp = entity;
		temp.id = id;
		temp.name = name;
		temp.type = type;
		temp.cityId = cityId;

		entities.push(temp);
		var settings = app.getSettings();
		var histories = settings.cityhistory;
		if(histories != undefined && histories.length > 0) {
			for(k = 0; k < histories.length; k++) {
				var detail = histories[k];
				if(k >= 9)
					break;
				if(detail.id != id) {
					var e = {};
					e.id = detail.id;
					e.name = detail.name;
					e.type = detail.type;
					e.cityId = detail.cityId;
					entities.push(e);
				}
			}
		}
		settings.cityhistory = entities;
		settings.cityhistory1 = entities;
		app.setSettings(settings);

		$("#areaTitle").html(name + '酒店<i class="iconfont-3-6 icon-xiala" style="font-size:6px;padding-left:2px;margin-top:1px;position: absolute;"></i>');
		var ids = new Array();
		var Dest = {
			Type: 0,
			Id: [],
			Name: ''
		}
		Dest.Type = type;
		Dest.Id.push(id);
		Dest.Name = name;

		var settings = app.getSettings();
		var searchparam = settings.searchparam1;
		searchparam.Dest = Dest;
		searchparam.CityId = cityId;
		settings.searchparam1 = searchparam;
		app.setSettings(settings);

		app.NewHoteldList.SearchHotelListEntity.data.Dest = Dest;

		var view = plus.webview.getWebviewById("../Demand/NewHotelList.html");
		var chidrenView = plus.webview.getWebviewById("Sub_HotelList.html");
		if(view != null) {
			if(chidrenView != null) {
				plus.webview.close("Sub_HotelList.html", "none");
			}
			view.reload(true);
		}
	},
	GetDemandInfo: function(callback) {
		var obj = $("#demandDetail");
		var self = app.NewHoteldList;
		var selfview = plus.webview.currentWebview();
		var sub = app.CreateView('Sub_HotelList.html', 'Sub_HotelList.html', {}, {}); //创建一个Sub_HotelList.html子页面
		selfview.append(sub);
	},
	GetDemandInfoCallback: function(data, obj) {
		if(app.GetResultState(data)) { //data.Code==='0000'
			var searchInfo = data.SearchInfo;
			var heigth = 45;
			var sid = $("#hidDemandOrderId").val();
			var self = app.NewHoteldList;
			var selfview = plus.webview.currentWebview();
			var style = {}; //设置子页面的样式
			style.top = heigth + 'px';
			style.bottom = '50px';
			var param = {
				sId: sid
			};
			var sub = app.CreateView('Sub_HotelList.html', 'Sub_HotelList.html', style, param); //创建一个Sub_HotelList.html子页面
			selfview.append(sub); //将子页面加载到NewHotelList.html主页面里面
		} else {
			app.LoadSearchNull(obj); //请求失败的话，主页面显示的内容 '未查找到相应结果'
		}
	},
	GetCustomerSearch: function() {
		var self = app.NewHoteldList;
		var entity = self.SearchHotelListEntity.data;
		var needLoad = false;
		if($.inArray(1, entity.DataType) >= 0) {
			var obj = $("#divHotelList");
			var load = app.Loading(obj, 0, "return");
			needLoad = true;
		} else if($.inArray(3, entity.DataType) >= 0) {
			obj = $("#rightView");
			app.Loading(obj, "30%");
			entity.Dest.Type = "1";
			entity.Dest.Id = [];
			entity.Dest.Id.push(entity.CityId);
			needLoad = true;
		} else if($.inArray(4, entity.DataType) >= 0) {
			obj = $("#rightView");
			app.Loading(obj, "30%");
			entity.Dest.Type = "1";
			entity.Dest.Id = [];
			entity.Dest.Id.push(entity.CityId);
			needLoad = true;
		} else if($.inArray(5, entity.DataType) >= 0) {
			obj = $("#rightView");
			app.Loading(obj, "30%");
			entity.Dest.Type = "1";
			entity.Dest.Id.push(entity.CityId);
			needLoad = true;
		}
		if(needLoad)
			var middle = [];
			self.SearchHotelListEntity.data.StarRateList.forEach(function(vv){
				if(vv){
					middle.push(vv);
				}
			});
			self.SearchHotelListEntity.data.StarRateList = middle;
			app.Post(self.SearchHotelListEntity, obj, self.CustomerSearchCallback);
	},
	CustomerSearchCallback: function(data, obj) {
		var self = app.NewHoteldList;
		var entity = self.SearchHotelListEntity;
		var parentWs = app.GetParentView();
		if(app.GetResultState(data)) {
			//self.handleGuide(data);
			if($.inArray(1, entity.data.DataType) >= 0) {
				if(parentWs != null) {
					parentWs.evalJS('app.NewHoteldList.isCheckSort = true;');
				}
				self.LoadPageInfo(data);
				self.LoadHotel(data, $("#divHotelList"));
				self.LoadRank(data);
			}
			if($.inArray(3, entity.data.DataType) >= 0) {
				self.LoadData(data.FiterBrand, $("#leftView1"), $("#rightView1"), "3");
				self.LoadStatus.BrandFocus = 1;
			}
			if($.inArray(4, entity.data.DataType) >= 0) {
				var newdiqu=entity.data.Dest.Name.split("，")[1];
				var comarea=data.FiterArea.ComArea.List;
				var DisArea=data.FiterArea.DisArea.List;
				for(var i=0;i<comarea.length;i++){
					if(comarea[i].Name==newdiqu){
						comarea[i].IsSelect=1;
						comarea[0].IsSelect=0;
						data.FiterArea.ComArea.IsSelect=1;
					}
				}
				for(var i=0;i<DisArea.length;i++){
					if(DisArea[i].Name==newdiqu){
						DisArea[i].IsSelect=1;
						DisArea[0].IsSelect=0;
						data.FiterArea.DisArea.IsSelect=1;
					}
				}
				self.LoadData(data.FiterArea, $("#leftView"), $("#rightView"), "4");
				self.LoadStatus.AreaFocus = 1;
			}
			if($.inArray(5, entity.data.DataType) >= 0) {
				self.LoadData(data.FiterType, $("#leftView"), $("#rightView"), "5");
				self.LoadStatus.ScreenFocus = 1;
			}
		} else {
			if(parentWs != null) {
				parentWs.evalJS('app.NewHoteldList.isCheckSort = false;');
			}
			self.HavaNoHotelData();
			app.NewHoteldList.GetSearchCondition();
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			//app.LoadSearchNull(obj);
		}
	},
	//data 数据源 
	LoadRank: function(data) {
		var obj = $("#secSort");
		var obj2 = $("#sSort");
		if(app.GetResultState(data)) {

			var ranks = data.RankList;
			var details = new Array();
			if(ranks != null && ranks.length > 0) {
				details.push('<ul style="margin-bottom: 10px;">');
				for(i = 0; i < ranks.length; i++) {
					var rank = ranks[i];
					if(rank.IsSelect == 1) {
						details.push('<li dataId="' + rank.Id + '" class="current">' + rank.Name + '<i class="icon-sike icon-gou1"></i></li>');
						var par = app.GetParentView();
						par.evalJS('$("#sSorts").text("' + rank.Name + '")');
					} else {
						details.push('<li dataId="' + rank.Id + '">' + rank.Name + '<i class="icon-sike"></i></li>');
					}
				}
				details.push('</ul>');
				$(obj).html(details.join(''));
			}

			$("#secSort li").off().on("tap", function() {
				if($(this).hasClass("icon-gou1"))
					return;

				var self = app.NewHoteldList;
				var entity = self.SearchHotelListEntity;
				var id = $(this).attr("dataId");
				var text = $(this).text();
				entity.data.DataType = [];
				entity.data.DataType.push(1);
				entity.data.DataType.push(2);
				entity.data.Rank = id;
				entity.data.isshow = false;
				var par = app.GetParentView();
				par.evalJS('$("#sSorts").text("' + text + '")');

				if($("#secSort").is(":visible")) {
					$("#secSort").slideToggle(10);
					$("#muibackdrop").hide();
					var parentWs = app.GetParentView();
					if(parentWs != null) {
						parentWs.evalJS('app.NewHoteldList.HideMark(0);');
					}
				}
				app.NewHoteldList.RefreshSearchList();
				app.NewHoteldList.GetCustomerSearch();
				//$("#secSort").slideToggle(200);
			});
		}
	},
	LoadHotel: function(data, obj) {
		if(app.GetResultState(data)) {
			var hotels = new Array();
			var self = app.NewHoteldList;
			if(data.HotelList.length > 0) {
				mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
				var html = app.HotelList.hotelListHtml(data.HotelList, 1, app.NewHoteldList.SearchHotelListEntity.data.IsGroup);
				$(obj).append(html);
				lazyLoad.refresh(true);
				app.HotelList.hotelDetailEvent($("#hidDemandOrderId").val());
				self.fnscroll();
				app.ReplaceImgRequestHeader();
			} else {
				self.HavaNoHotelData();
				app.NewHoteldList.GetSearchCondition();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			}
		} else {
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
		}
	},
	fnscroll: function() {
		var self = app.NewHoteldList;
		var par = app.GetParentView();
		document.querySelector('.mui-scroll-wrapper').addEventListener("drag", function() {
			par.evalJS("yincang()");
		});
		document.querySelector('.mui-scroll-wrapper').addEventListener('dragend', function() {
			par.evalJS("xianshi()");
		})
	},
	LoadPageInfo: function(data) {
		if(app.GetResultState(data)) {
			if(data.PageInfo != null) {
				if(data.PageInfo.Index==1){
					$("#divHotelList").html("");
				}
				var self = app.NewHoteldList;
				var entity = self.SearchHotelListEntity;
				var pageinfo = data.PageInfo;
				entity.PageInfo.Index = pageinfo.Index;
				entity.PageInfo.Size = pageinfo.Size;
				entity.PageInfo.Amount = pageinfo.Amount;
				entity.PageInfo.ResultAmount = pageinfo.ResultAmount;
				if(pageinfo.Index >= pageinfo.Amount) {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
					mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
					app.NewHoteldList.GetSearchCondition();
				} else {
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
					mui('#pullrefresh').pullRefresh().enablePullupToRefresh();
				}
				if(pageinfo.Index == 1 && entity.data.isshow) {
					plus.nativeUI.toast('为您找到' + pageinfo.ResultAmount + "家酒店");
				}
				entity.data.isshow = true;
			}
		}
	},

	GetIcon: function(type) {
		var icon = "";
		//免费wifi
		if(type == 1) {
			icon = "icon-wifi";
		}
		//收费wifi
		else if(type == 2) {
			icon = "icon-wifi";
		}
		//免费宽带
		else if(type == 3) {
			icon = "icon-2kuandai";
		}
		//收费宽带
		else if(type == 4) {
			icon = "icon-2kuandai";
		}
		//免费停车
		else if(type == 5) {
			icon = "icon-tingche";
		}
		//收费停车
		else if(type == 6) {
			icon = "icon-tingche";
		}
		//免费接机
		else if(type == 7) {
			icon = "icon-jieji";
		}
		//收费接机
		else if(type == 8) {
			icon = "icon-jieji";
		}
		//室内游泳池
		else if(type == 9) {
			icon = "icon-icon_swimmingPool";
		}
		//室外游泳池
		else if(type == 10) {
			icon = "icon-icon_swimmingPool";
		}
		//健身房
		else if(type == 11) {
			icon = "icon-jianshenfang";
		}
		//商务中心
		else if(type == 12) {
			icon = "icon-shangwuzhongxin";
		}
		//会议室
		else if(type == 13) {
			icon = "icon-huiyishi";
		}
		//餐厅
		else if(type == 14) {
			icon = ".icon-canting-copy";
		}
		return icon;
	},
	LoadData: function(data, objleft, objright, type) {		
		var objshow = $(".screening-page");
		var leftdetails = new Array();
		var rightdetails = new Array();
		var isSelects = new Array();
		var self = app.NewHoteldList;
		var count = 0;
		leftdetails.push('<ul>');
		if(data != null) {
			for(var obj in data) {
				var isSelect = "<i></i>";
				var detail = data[obj];
				if(detail != null && obj != "SelectType") {
					var sonId = "son_" + obj;
					if(detail.IsSelect != 1) {
						isSelect = "";
					} else {
						isSelects.push(count);
					}
					if(obj == 'SubwayLine') {
						sonId = 'SubwayrightView';
						self.GetSubWayList(detail.List, sonId, detail.SelectType);
					} else {
						//明细
						rightdetails.push(self.GetDetailList(detail.List, sonId, detail.SelectType));
					}
					leftdetails.push('<li sonId="' + sonId + '" type="' + detail.Type + '">' + detail.Name + isSelect + '</li>');

					count += 1;
				}
			}
		} else {
			app.LoadSearchNull(objshow);
		}

		if(type == "5") {
			leftdetails.push('<li sonId="son_brand" type="0">连锁品牌</li>');
		}

		leftdetails.push('</ul>');
		$(objleft).html(leftdetails.join(''));
		$(objright).html(rightdetails.join(''));

		self.InitCheck(isSelects);

		if(type == "5") {

		}
	},
	GetDetailList: function(data, divId, selectType, displayType) {
		var details = new Array();
		data = data || {};
		displayType = displayType || "block";
		details.push('<div id="' + divId + '" style="display:' + displayType + ';">');
		if(data.length > 0) {
			details.push('<ul>');
			for(i = 0; i < data.length; i++) {
				var detail = data[i];
				var isSelect = detail.IsSelect;
				var css = app.NewHoteldList.GetSelectType(selectType, isSelect);
				details.push('<li dataId="' + detail.Id + '" class="' + css + '" selectType="' + selectType + '"><i></i>' + detail.Name + '</li>');
			}
			details.push('</ul>');
		}
		details.push('</div>');

		return details.join('');
	},
	GetSelectType: function(selectType, isSelect) {
		var css = "";
		if(selectType == 2 && isSelect == 1)
			css = "current";
		else if(selectType == 1 && isSelect == 0)
			css = "sel-no";
		else if(selectType == 1 && isSelect == 1)
			css = "is-sel";
		return css;
	},
	GetSubWayList: function(data, divId, selectType) {
		var detailLeft = new Array();
		var detailRight = new Array();
		var self = app.NewHoteldList;
		detailLeft.push('<ul>');
		if(data != undefined && data != null && data.length > 0) {
			for(j = 0; j < data.length; j++) {
				var detail = data[j];
				var sonId = "subway_" + j;
				var isSelect = detail.IsSelect;
				var type = detail.Type;
				var displayType = "none";
				var css = "current";
				if(isSelect == 1)
					css = "current";
				else
					css = "";
				if(j == 0)
					displayType = "block";
				else
					displayType = "none";
				detailLeft.push('<li sonId="' + sonId + '" class="' + css + '" type="' + type + '"><font><i></i></font>' + detail.Name + '</li>');
				detailRight.push(self.GetDetailList(detail.List, sonId, detail.SelectType, displayType));
			}
			detailLeft.push('</ul>');
			$("#divMiddle").html(detailLeft.join(''));
			$("#divRight").html(detailRight.join(''));
		}
	},
	//重置选中
	ResetCheck: function(type) {
		var self = app.NewHoteldList;
		var entity = self.SearchHotelListEntity;
		if(type == "brand") {
			entity.data.DataType = [];
			entity.data.DataType.push(3);
			app.NewHoteldList.GetCustomerSearch();
		} else if(type == "screen") {
			entity.data.DataType = [];
			entity.data.DataType.push(5);
			app.NewHoteldList.GetCustomerSearch();
		}
	},
	GetFiterChecks: function() {
		var checks = {
			type: [],
			count: 0,
			checkids: [],
			names: []
		};

		$("#leftView li").each(function() {
			var left = $(this).html();
			if(left.toString().indexOf('<i></i>') >= 0) {
				checks.type.push($(this).attr("type"));
			}
		});
		$("#rightView li").each(function() {
			if($(this).hasClass("current")) {
				var dataId = $(this).attr('dataId') || 0;
				var cname = $(this).text();
				if(dataId != 0) {
					var entity = {};
					checks.checkids.push(dataId);
					entity.name = cname;
					checks.names.push(entity);
				}
			} else if($(this).hasClass("is-sel")) {
				var dataId = $(this).attr('dataId') || 0;
				var name = $(this).text();
				if(dataId != 0) {
					var entity = {};
					checks.checkids.push(dataId);
					entity.name = name;
					checks.names.push(entity);
				}else{
					
				}
			}
		});
		$("#divRight li").each(function() {
			if($(this).hasClass("current")) {
				var dataId = $(this).attr('dataId') || 0;
				var cname = $(this).text();
				if(dataId != 0) {
					var entity = {};
					checks.checkids.push(dataId);
					entity.name = cname;
					checks.names.push(entity);
				}
			} else if($(this).hasClass("is-sel")) {
				var dataId = $(this).attr('dataId') || 0;
				var name = $(this).text();
				if(dataId != 0) {
					var entity = {};
					checks.checkids.push(dataId);
					entity.name = name;
					checks.names.push(entity);
				}
			}
		});
		checks.count = checks.checkids.length > 9 ? 9 : checks.checkids.length;
		return checks;
	},
	//重置选中
	SetFiterChecks: function(type) {
		var settings = app.getSettings();
		var searchcondition = settings.HotelSearchCondition || {};
		//移除所有选中状态
		$("#leftView li").each(function() {
			var left = $(this).html();
			if(left.toString().indexOf('<i></i>') >= 0) {
				left = left.toString().replace("<i></i>", "");
				$(this).html(left);
			}
		});
		$("#rightView li").each(function() {
			if($(this).hasClass("current")) {
				$(this).removeClass("current");
			} else if($(this).hasClass("is-sel")) {
				$(this).removeClass("is-sel").addClass("sel-no");
			}
		});
		var conditions;
		if(type == "brand") {
			conditions = searchcondition.Brands || [];
		} else if(type == "dest") {
			conditions = searchcondition.Dests || [];
		} else if(type == "screen") {
			conditions = searchcondition.Facilitys || [];
		}
		if(conditions.length > 0) {
			$("#rightView li").each(function() {
				var dataId = $(this).attr("dataId");
				for(i = 0; i < conditions.length; i++) {
					if(dataId == conditions[i].id) {
						$(this).trigger("tap");
						break;
					}
				}
			});
		} else {
			$("#rightView li").each(function() {
				var dataId = $(this).attr("dataId");
				if(dataId == 0) {
					$(this).trigger("tap");
				}
			});
		}
	},
	GetNextPageData: function() {
		var self = app.NewHoteldList;
		var entity = self.SearchHotelListEntity;
		var datapage = entity.data.Page;
		if(datapage.Index == 0 || (entity.PageInfo.Amount > datapage.Index)) {
			datapage.Index = entity.PageInfo.Index + 1;
			datapage.Size = entity.PageInfo.Size;
			entity.data.Page = datapage;
			self.GetCustomerSearch();
		}
	},
	//获取搜索条件
	GetSearchCondition: function() {
		var self = app.NewHoteldList;
		var entity = app.NewHoteldList.SearchConditionEntity;
		var conditions = new Array();
		var count = 0;
		conditions.push('<div class="zdy-network-file" id="morenetworkfile">');
		if(entity.Dests.length > 0) {
			for(i = 0; i < entity.Dests.length; i++) {
				if(entity.Dests[i].type != 1) {
					conditions.push('<a id="' + entity.Dests[i].id + '" type="Dest" href="javascript:void(0)"><span>' + entity.Dests[i].name + '</span><i></i></a>');
					count += 1;
				}
			}
		}
		if(entity.Brands.length > 0) {
			for(j = 0; j < entity.Brands.length; j++) {
				if(!!entity.Brands[j].name) {
					conditions.push('<a id="' + entity.Brands[j].id + '" type="Key" href="javascript:void(0)"><span>' + entity.Brands[j].name + '</span><i></i></a>');
					count += 1;
				}
			}
		}

		if(entity.Facilitys.length > 0) {
			for(k = 0; k < entity.Facilitys.length; k++) {
				conditions.push('<a id="' + entity.Facilitys[k].id + '" type="Facility" href="javascript:void(0)"><span>' + entity.Facilitys[k].name + '</span><i></i></a>');
				count += 1;
			}
		}

		if(entity.Dis.length > 0) {
			for(k = 0; k < entity.Dis.length; k++) {
				conditions.push('<a id="' + entity.Dis[k].id + '" type="Dis" href="javascript:void(0)"><span>' + entity.Dis[k].name + '</span><i></i></a>');
				count += 1;
			}
		}

		if(entity.Prices.minval != 0 || entity.Prices.maxval != 0) {
			var id = entity.Prices.Id;
			if(id == "") {
				var pr = self.GetPricesModel(entity.Prices);
				id = app.model.PriceId + pr.sort;
				count += 1;
			}

			if(entity.Prices.name == "") {
				var pr = self.GetPricesModel(entity.Prices);
				entity.Prices.name = pr.name;
			}

			conditions.push('<a id="' + id + '" type="Price" href="javascript:void(0)"><span>' + entity.Prices.name + '</span><i></i></a>');
		}
		if(entity.StarRateList.stars.length > 0) {
			var stars = entity.StarRateList.stars;
			for(var n = 0; n < stars.length; n++) {
				if(stars[n] != 0 && stars[n] != null) {
					var star = self.GetStarsModel(stars[n]);
					var id = app.model.StarId + star.sort;
					conditions.push('<a id="' + id + '" type="Star" val="' + star.val + '" href="javascript:void(0)"><span>' + star.name + '</span><i></i></a>');
					count += 1;
				}
			}
		}
		conditions.push('</div>');
		$('#morenetworkfile').remove();
		$("#divHotelList").after(conditions.join(''));
		$('.zdy-network-file').on('tap', 'a', function() {
			app.NewHoteldList.CheckSearchCondition(this);
		});
	},
	CheckSearchCondition: function(obj) {
		var type = $(obj).attr("type");
		var id = $(obj).attr("id");
		var self = app.NewHoteldList;
		var settings = app.getSettings();
		var searchEntity = self.SearchHotelListEntity.data;
		var searchCondition = self.SearchConditionEntity;
		var par = app.GetParentView();
		if(type == "Dest") {
			var index = searchEntity.Dest.Id.indexOf(id);
			if(index >= 0) {
				searchEntity.Dest.Id.remove(id);
				if(searchEntity.Dest.Id.length <= 0) {
					searchEntity.Dest.Name = "";
					searchEntity.Dest.Type = 1;
					searchEntity.Dest.Id = searchEntity.CityId;
				}
				par.evalJS('app.NewHoteldList.ShowDestName("")');
				par.evalJS("app.NewHoteldList.SetDestCheck()");
			}
			var tempDest = [];
			for(i = 0; i < searchCondition.Dests.length; i++) {
				var dest = searchCondition.Dests[i];

				if(dest.id != id) {
					tempDest.push(dest);
				} else {

					if(dest.type == 3 || dest.type == "3") {
						var disCount = 0;
						var facilityCount = searchEntity.FacilityList.length;
						var allNum = facilityCount + searchEntity.Key.Id.length + disCount;
						par.evalJS('app.NewHoteldList.SetScreenCount(' + allNum + ')');
					}
				}
			}
			searchCondition.Dests = tempDest;
			settings.HotelSearchCondition = searchCondition;
			app.setSettings(settings);
			var view = plus.webview.getWebviewById(app.NewHoteldList.ViewDestId);
			mui.fire(view, 'setCheckArea', {});

		} else if(type == "Key") {
			var index = searchEntity.Key.Id.indexOf(id);
			if(index >= 0) {
				searchEntity.Key.Id.remove(id);
				if(searchEntity.Key.Id.length <= 0) {
					searchEntity.Key.Name = "";
					searchEntity.Key.Type = 0;
				}

				var tempBrand = [];
				for(i = 0; i < searchCondition.Brands.length; i++) {
					var brand = searchCondition.Brands[i];

					if(brand.id != id) {
						tempBrand.push(brand);
					}
				}
				searchCondition.Brands = tempBrand;
				settings.HotelSearchCondition = searchCondition;
				app.setSettings(settings);
				
				var view = plus.webview.getWebviewById(app.NewHoteldList.ViewChoiceId);
//				view.evalJS("app.checkChoice.SetBrandCount(" + searchEntity.Key.Id.length + ")");
				//计算总数
				var disCount = 0;
//				if(searchEntity.Dis > 0) {
//					disCount = 1;
//				}
				var facilityCount = searchEntity.FacilityList.length;
				var allNum = facilityCount + searchEntity.Key.Id.length + disCount;
				par.evalJS('app.NewHoteldList.SetScreenCount(' + allNum + ')');
				//通知

			}
		} else if(type == "Dis") {
			searchEntity.Dis = 0;
			var disCount = 0;
			var tempFacility = [];
			for(i = 0; i < searchCondition.Dis.length; i++) {
				var facility = searchCondition.Dis[i];

				if(facility.id != id) {
					tempFacility.push(facility);
				}
			}
			searchCondition.Dis = tempFacility;
			settings.HotelSearchCondition = searchCondition;
			app.setSettings(settings);
			var view = plus.webview.getWebviewById(app.NewHoteldList.ViewChoiceId);
			view.evalJS("app.checkChoice.SetScreenCount(" + searchEntity.FacilityList.length + ")");
			//计算总数
			var facilityCount = searchEntity.FacilityList.length;
			var allNum = facilityCount + searchEntity.Key.Id.length + disCount;
			par.evalJS('app.NewHoteldList.SetScreenCount(' + allNum + ')');

		} else if(type == "Facility") {
			var index = searchEntity.FacilityList.indexOf(id);
			if(index >= 0) {
				searchEntity.FacilityList.remove(id);

				var tempFacility = [];
				for(i = 0; i < searchCondition.Facilitys.length; i++) {
					var facility = searchCondition.Facilitys[i];

					if(facility.id != id) {
						tempFacility.push(facility);
					}
				}
				searchCondition.Facilitys = tempFacility;
				settings.HotelSearchCondition = searchCondition;
				app.setSettings(settings);
				var view = plus.webview.getWebviewById(app.NewHoteldList.ViewChoiceId);
				view.evalJS("app.checkChoice.SetScreenCount(" + searchEntity.FacilityList.length + ")");
				//计算总数
				var disCount = 0;
				if(searchEntity.Dis > 0) {
					disCount = 1;
				}
				var facilityCount = searchEntity.FacilityList.length;
				var allNum = facilityCount + searchEntity.Key.Id.length + disCount;
				par.evalJS('app.NewHoteldList.SetScreenCount(' + allNum + ')');

			}
		} else if(type == "Price") {
			var defarray = new Array();
			defarray.push(0);
			defarray.push(0);
			searchEntity.Price = defarray;

			var pr = self.GetPricesModel({
				'minval': 0,
				'maxval': 0
			});

			searchCondition.Prices.minval = pr.minval;
			searchCondition.Prices.maxval = pr.maxval;
			searchCondition.Prices.name = pr.name;
			searchCondition.Prices.id = app.model.PriceId + pr.sort;
			settings.HotelSearchCondition = searchCondition;
			app.setSettings(settings);

			var view = plus.webview.getWebviewById(app.NewHoteldList.ViewPriceId);
			mui.fire(view, 'setPriceScreens', {});

			var hotelviewId = "../Demand/NewHotelList.html";
			var stars = searchEntity.StarRateList;
			var newList = {
				stars: stars
			}

			var currentView = plus.webview.getWebviewById(hotelviewId);
			mui.fire(currentView, 'setPriceShow', {
				price: searchCondition.Prices,
				StarRateList: newList
			});
		} else if(type == "Star") {
			var val = $(obj).attr("val");
			var stars = searchEntity.StarRateList;
			var newStar = new Array();
			for(var k = 0; k < stars.length; k++) {
				if(val != Number(stars[k])) {
					newStar.push(stars[k]);
				}
			}
			if(newStar.length <= 0) {
				newStar.push(0);
				searchCondition.StarRateList.showstar = "不限";
			}

			searchEntity.StarRateList = newStar;
			searchCondition.StarRateList.stars = newStar;
			settings.HotelSearchCondition = searchCondition;
			app.setSettings(settings);

			var view = plus.webview.getWebviewById(app.NewHoteldList.ViewPriceId);
			mui.fire(view, 'setPriceScreens', {});

			var hotelviewId = "../Demand/NewHotelList.html";
			var currentView = plus.webview.getWebviewById(hotelviewId);
			var PriceS = {
				minval: 0,
				maxval: 0
			}
			PriceS.minval = searchEntity.Price[0];
			PriceS.maxval = searchEntity.Price[1];
			mui.fire(currentView, 'setPriceShow', {
				price: PriceS,
				StarRateList: searchCondition.StarRateList
			});

		}

		var entity = self.SearchHotelListEntity;
		var datapage = entity.data.Page;
		datapage.Index = 1;

		var setting = app.getSettings();
		setting.SearchAreaData = app.NewHoteldList.SearchHotelListEntity.data;
		app.setSettings(setting);

		self.RefreshSearchList();
		self.GetCustomerSearch();
		$('.zdy-network-file').remove();
		app.Loading("#divHotelList","10rem");
	},
	RefreshSearchList: function() {
		$("#divHotelList").html("");
		mui('#pullrefresh').pullRefresh().refresh(true);
	},
	SetScreenCount: function(count, needResiteCheck) {
		needResiteCheck = needResiteCheck || false;
		if(!needResiteCheck) {
			if(count > 0) {
				$("#bScreeCount").show();
				$("#bScreeCount").html(count);
			} else {
				//				$("#bScreeCount").css("display","none");

				$("#bScreeCount").html("0");
				$("#bScreeCount").hide();
			}
		} else {
			app.NewHoteldList.SetFiterChecks("screen");
		}
	},
	SetBrandCount: function(count, needResiteCheck) {
		needResiteCheck = needResiteCheck || false;
		if(!needResiteCheck) {
			//			if(count > 0) {
			//				$("#bbreadCount").show();
			//				$("#bbreadCount").html(count);
			//			} else {
			//				$("#bbreadCount").hide();
			//				$("#bbreadCount").html("");
			//			}
		} else {
			app.NewHoteldList.SetFiterChecks("brand");
		}
	},
	SetDestCheck: function(needResiteCheck) {
		needResiteCheck = needResiteCheck || false;
		if(!needResiteCheck) {

		} else {
			app.NewHoteldList.SetFiterChecks("dest");
		}
	},
	SetSearchHotel: function(hotelId, Type) {
		var count = $("#fontHotelCount").text();
		if(parseInt(count) < 10) {
			var sid = $("#hidDemandOrderId").val();
			var count = app.SearchHotelHistory.SetSearchHotel(sid, hotelId, Type);
			$("#fontHotelCount").text(count);
		} else {
			plus.nativeUI.toast('同一个询价单最多能咨询10家酒店！');
		}
	},
	SeeAlreadyCheckHotel: function() {
		var sid = $("#hidDemandOrderId").val();
		var pageParam = {
			sId: sid
		};
		app.ShowWebView("../Demand/CheckSearchHotelList.html", pageParam);
	},
	//酒店数据为空
	HavaNoHotelData: function() {
		app.renderNoResultList("没有符合酒店", '去除一些条件再试试', null, null, $("#divHotelList"));
	},
	//隐藏
	HideMark: function(type) {
		if(type == 1) {

		} else {
			$("#sSortShow").hide();
			$("#muibackdropParent").hide();
		}

	},
	GetPricesModel: function(price) {
		var Prices = app.model.Prices || {};
		for(var i = 0; i < Prices.length; i++) {
			if(Prices[i].minval == price.minval && Prices[i].maxval == price.maxval) {
				return Prices[i];
			}
		}
	},
	GetStarsModel: function(val) {
		var Stars = app.model.Stars;
		for(var i = 0; i < Stars.length; i++) {
			if(Stars[i].val == val) {
				return Stars[i];
			}
		}
	},
	handleGuide:function(data){
		var len = data.HotelList.length;
		if(len > 0){
			var sets = app.getSettings();
			if(sets.searchparam1.IsGroup == 1){
				if(sets.guide){
					if(sets.guide.hotelList == true){
						app.Post({
							url:projectConfig.apiName.GetFirstOrderCoupons,
							data:{}
						},null,function(data){
							if(data.Code == '0000'){
								var IsFirstOrder = data.IsFirstOrder;
								if(IsFirstOrder == 1){
									//是首单
									$("#guide-image").attr('src','../images/hotel-first-jp.png');
								}else{
									$("#guide-image").attr('src','../images/hotel-first.png');
								}
								$(".guide-hotel").show();
								var webViewChildren = plus.webview.currentWebview();
								var webViewParent = webViewChildren.opener();
								webViewParent.evalJS("window.callbackShowModal()");
								$('.guide-hotel').off().on('tap',function(){
									$(".guide-hotel").hide();
									sets.guide.hotelList = false;
									app.setSettings(sets);
									var webViewChildren = plus.webview.currentWebview();
									var webViewParent = webViewChildren.opener();
									webViewParent.evalJS("window.callbackCloseModal()");
								});
							}else{
								app.showMsg(data.Msg);
							}
						});
						
					}
				}
			}
		}
	}
}