(function(window, $){
	var _newDate;
	var IsFirstOrder = 0;
	var SchemeIsMinus = 0;
	window.DemandIndex = {
		init:function(){
			var that = this;
			this.plusReady();
			this.initTapEvent();
			template.helper("DatesFormat", this.homeDatesFormat);
			template.helper("PriceStarFormat", PriceStarFormat);
			template.helper('getEndPlaceName',getEndPlaceName);
			template.helper('getBedText',this.getBedText);
			template.helper('getPriceStarText',this.getPriceStarText);
			app.GetServicesTime(function(data){
				if(data.Code = "0000") {
					try {
						_newDate = data.Now.replace(/-/g, "/");
					} catch(e) {
						_newDate = new Date();
					}
				} else {
					_newDate = new Date();
				}
				//初始化酒店搜索
				that.getHotelIsFirstOrder(function(){
					
					that.initHotelSearch(_newDate);
					
					//初始化包团定制搜索
					that.customPackageTmpl(_newDate,function(){
						that.handleGuide();
					});
				});
			});
			function getEndPlaceName(endPlace){
				var placeName = '';
				endPlace.forEach(function(vv){
					if(placeName == ''){
						placeName = placeName + vv.Name;
					}else{
						placeName = placeName + ',' + vv.Name;
					}
				});
				return placeName;
			}
		},
		initTapEvent:function(){
			var that = this;
			//酒店搜索
			$("#hotel-search-title").off().on('tap',function(){
				that.handleHotelSearchStyle();
			});
			
			//包团定制
			$("#custom-search-title").off().on('tap',function(){
				that.handleCustomPackageStyle();
				if( $("#custom-start-position").val() == '' ){
					that.currentPosition();
				}
			});
		},
		handleHotelSearchStyle:function(){
			$("#hotel-search-title").addClass('current');
			$("#custom-search-title").removeClass('current');
			$("#hotel-search-line").addClass('selected');
			$("#custom-package-line").removeClass('selected');
			$("#hotel-search-view").show();
			$("#custom-package-view").hide();
		},
		handleCustomPackageStyle:function(){
			$("#hotel-search-title").removeClass('current');
			$("#custom-search-title").addClass('current');
			$("#hotel-search-line").removeClass('selected');
			$("#custom-package-line").addClass('selected');
			$("#hotel-search-view").hide();
			$("#custom-package-view").show();
		},
		//获取酒店是否是首单
		getHotelIsFirstOrder:function(callback){
			callback();
//			app.Post({
//				url:projectConfig.apiName.GetFirstOrderCoupons,
//				data:{}
//			},null,function(data){
//				IsFirstOrder = data.IsFirstOrder;
//				SchemeIsMinus = data.SchemeIsMinus;
//				callback();
//			});
		},
		//酒店搜索初始化
		initHotelSearch:function(_newDate){
			var that = this;
			var settings = app.getSettings();
			if(settings.searchparam1){
				window.model.indexRequestReq.data = settings.searchparam1;
			}
			window.NewDate.Init(_newDate, window.model.indexRequestReq.data.CheckList,0);
			window.model.indexRequestReq.data.IsFirstOrder = IsFirstOrder;
			var tmpl = template('index-li-template',window.model.indexRequestReq.data);
			$("#hotel-search-content").html(tmpl);
			that.initHotelEvent();
		},
		//包团定制模板
		customPackageTmpl:function(_newDate, callback){
			var settings = app.getSettings();
			var data = {};
			if(settings.customPackage){
				data = settings.customPackage;
				//添加时间验证
				this.authLocalTime(data,0);
				
				var timeData = this.homeDatesFormat(data.customTime,1,_newDate);
				data.time = timeData;
			}else{
				data = this.customPackageData();
				var timeData = this.homeDatesFormat(data.customTime,1,_newDate);
				data.customTime = timeData.ar;
				data.time = timeData;
			}
			data.SchemeIsMinus = SchemeIsMinus;
			var tmpl = template('custom-package-template',data);
			$("#custom-package-content").html(tmpl);
			settings.customPackage = data;
			if(settings.searchparam3){
				settings.searchparam3.customTime = settings.customPackage.customTime;
			}
			app.setSettings(settings);
			if(settings.customPackage.startPlace.Name == ''){
				this.currentPosition(function(){
					if(callback){
						callback();
					}
				});
			}else{
				if(callback){
					callback();
				}
			}
			//window.NewDate.Init(_newDate, settings.customPackage.customTime);
			this.initEvent();
		},
		//初始化团房竞价
		initGroupHouseComparePrice:function(_newDate){
			var settings = app.getSettings();
			var data = {};
			if(settings.groupHouseComparePrice){
				data = settings.groupHouseComparePrice;
				//调试开始
				//添加时间验证
				this.authLocalTime(data,1);
				var timeData = this.homeDatesFormat(data.GroupHouseTime,1,_newDate);
				data.time = timeData;
				//调试结束
			}else{
				data = this.getGroupHouseComparePriceData();
				var timeData = this.homeDatesFormat(data.GroupHouseTime,2,_newDate);
				data.GroupHouseTime = timeData.ar;
				data.time = timeData;
			}
			//var currentHour = app.DateTool.DatePart('h', _newDate);
			this.initGroupHouseTmpl(data);
			settings.groupHouseComparePrice = data;
			app.setSettings(settings);
			this.initGroupHouseEvent();
		},
		initGroupHouseTmpl:function(data){
			var tmpl = template('group-house-compare-price-template',data);
			$("#group-house-compare-price-content").html(tmpl);
		},
		getGroupHouseComparePriceData:function(){
			var result = {
				Dest:{
					Type:1,
					Id:'',
					Name:''
				},
				GroupHouseTime:[],
				time:{},
				roomList:[],
				price:[],
				star:[]
			};
			return result;
		},
		initGroupHouseEvent:function(){
			var that = this;
			$("#clear-group-house-room").off().on('tap',function(e){
				var status = $(this).attr('data-is-close');
				if(status == 'true'){
					var settings = app.getSettings();
					settings.groupHouseComparePrice.roomList = [];
					app.setSettings(settings);
					$("#group-house-bed-value").val('');
					$(this).attr('data-is-close','false');
					$(this).find("i").removeClass('icon-guanbi');
					$(this).find("i").addClass('icon-xiayibu');
					
				}else{
					var roomList = app.getSettings().groupHouseComparePrice.roomList;
					if(roomList.length == 0){
						$(".bed-num").each(function(){
							$(this).text(0);
						})
					}else{
						roomList.forEach(function(value, index){
							$(".bed-num").eq(index).text(value.Amount);
						});
					}
					
					$("#mc").show();
					$(".select-bed").slideToggle(200);
				}
				
			});
			
			$("#clear-price-star").off().on('tap',function(e){
				
				var status = $(this).attr('data-is-close');
				if(status == 'true'){
					$("#group-house-price-star").val('');
					e.stopPropagation();
					$(this).attr('data-is-close','false');
					$(this).find("i").removeClass('icon-guanbi');
					$(this).find("i").addClass('icon-xiayibu');
					var settings = app.getSettings();
					settings.groupHouseComparePrice.price = [0,0];
					settings.groupHouseComparePrice.star = [0];
					app.setSettings(settings);
				}
			});
			
			$("#group-house-time").off().on('tap',function(){
				var settings = app.getSettings();
				var state = $(this).attr('data-limit-year');
				window.NewDate.Init(new Date(_newDate), settings.groupHouseComparePrice.GroupHouseTime, 2);
				var $box = $('.room-date');
				$box.slideToggle(200);
				$(".dateback").css({
					display: "block",
					height: $(document).height()
				});
			});
			//团房竞价-选择房型间数
			$("#group-house-bed-value").off().on('tap',function(){
				var roomList = app.getSettings().groupHouseComparePrice.roomList;
				if(roomList.length == 0){
					$(".bed-num").each(function(){
						$(this).text(0);
					});
				}else{
					roomList.forEach(function(value, index){
						$(".bed-num").eq(index).text(value.Amount);
					});
				}
				
				$("#mc").show();
				$(".select-bed").slideToggle(200);
			});
			
			//房间间数++
			$(".bed-action-add").off().on('tap',function(){
				var _index = $('.bed-action-add').index(this);
				var num = Number($(".bed-num").eq(_index).text());
				num = num + 1;
				$(".bed-num").eq(_index).text(num);
			});
			
			//房间间数--
			$(".bed-action-reduce").off().on('tap',function(){
				var _index = $('.bed-action-reduce').index(this);
				var num = Number($(".bed-num").eq(_index).text());
				if(num >= 1){
					num = num - 1;
					$(".bed-num").eq(_index).text(num);
				}
			});
			
			//确认选择房型间数
			$(".confirm-bed").off().on('tap',function(){
				var roomList = [];
				$('.bed-num').each(function(index, value){
					var obj = {
						Type:Number($(this).attr('data-type')),
						Amount:Number($(this).text())
					};
					roomList.push(obj);
				});
				var settings = app.getSettings();
				settings.groupHouseComparePrice.roomList = roomList;
				app.setSettings(settings);
				$("#mc").hide();
				$(".select-bed").hide();
				$("#group-house-bed-value").val(that.getBedText(roomList));
				$("#clear-group-house-room").find("i").addClass('icon-guanbi');
				$("#clear-group-house-room").find("i").removeClass('icon-xiayibu');
				$("#clear-group-house-room").attr('data-is-close','true');
			});
			
			//团房竞价,立即搜索
			$("#group-house-btn").off().on('tap',function(){
				var groupHouse = app.getSettings().groupHouseComparePrice;
				//添加验证
				if($("#group-house-start-place").val() == ''){
					plus.nativeUI.toast('请选择目的地');
					return;
				}
				var isSelectRoom = false;
				groupHouse.roomList.map(function(item){
					if(item.Amount != 0){
						isSelectRoom = true;
					}
				});
				if(isSelectRoom == false){
					plus.nativeUI.toast('请选择房型间数');
					return;
				}
				if(groupHouse.price.length == 0 || groupHouse.star.length == 0){
					plus.nativeUI.toast('请选择价格星级');
					return;
				}
				//......
				var requestData = {
					url:'Demand/SubmitDemandInfoV2',
					data:{
						Dest:groupHouse.Dest,
						CheckList:groupHouse.GroupHouseTime,
						Price:groupHouse.price,
						RoomList:groupHouse.roomList,
						StarRateList:groupHouse.star,
						CityId:groupHouse.Dest.Id[0]
					}
				};
				app.Post(requestData,null,function(data){
					if(data.Code == "0000") {
						var pageParam = { DId: data.Did };
						app.ShowWebNewView('../Demand/DemandDetail.html', { dId: data.Did }, null, '../Demand/DemandDetail.html');
					} else {
						plus.nativeUI.toast(data.Msg);
					}
				});
			});
			//团房竞价目的地搜索
			$("#group-house-dest").off().on('tap',function(){
				var settings = app.getSettings();
				var endDest = settings.groupHouseComparePrice.Dest;
				app.ShowWebView("../Demand/SearchDestination.html", { Dest: endDest, flag:3});
			});
			
			$("#price-stars").off().on('tap',function(){
				var state = $(this).attr('data-group-status');
				_PriceStar(state);
				var $box = $('.group-room-price');
				$box.slideToggle(200);
				$(".group-priceback").css({
					display: "block",
					height: $(document).height()
				});
			});
			$(".group-room-price-star li").off().on('tap',function(){
				var $this = $(this);
				if($(this).hasClass("current")) {
					$(this).removeClass("current");
					$(this).find(".rsanjia").remove();
				} else {
					if($(this).attr("val") == 0) {
						$(".group-room-price-star li").removeClass("current");
						$(".group-room-price-star li .rsanjia").remove();
					}
					$(this).addClass("current");
					$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
				}

				var lis = $(".group-room-price-star li.current");
				if(lis.length >= 2) {
					if($("#groupStarDefault").hasClass("current")) {
						$("#groupStarDefault").removeClass("current");
						$("#groupStarDefault .rsanjia").remove();
						//						$(this).find("rsanjia").remove();
						//						$(".room-price-star .rsanjia").remove();
					}
				}

				if(lis.length == 0) {
					$("#groupStarDefault").addClass("current");
					$("#groupStarDefault").append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
				}
			});
			$(".group-room-price-sel li").off().on('tap',function(){
				$(".group-room-price-sel li").removeClass('current');
				$(".group-room-price-sel li .rsanjia").remove();
				$(this).addClass("current");
				$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
			});
			$("#btnGroupPrice").off().on('tap',function(){
				reCallbackGroupPriceStar();

				$(".group-priceback").hide();
				$('.group-room-price').slideToggle(200);
				if($("#group-house-price-star").val() != ''){
					$("#clear-price-star").attr('data-is-close','true');
					$("#clear-price-star").find("i").addClass('icon-guanbi');
					$("#clear-price-star").find("i").removeClass('icon-xiayibu');
				}
				
			});
			$(".group-priceback").off().on('tap',function(){
				$(this).hide();
				$('.group-room-price').slideToggle(200);
			});
		},
		initEvent:function(){
			
			var that = this;
			//包团定制点击定位
			$("#close-depart").off().on('tap',function(){
				that.currentPosition();
			});
			
			$("#home-types").off().on('tap', function() {
				
				$("#mc").show();
				$(".select-people").slideToggle(200);
				var localData = app.getSettings();
				if(localData.customPackage.ticket){
					$("#adult-num").text(localData.customPackage.ticket.adultNum);
					$("#children-num").text(localData.customPackage.ticket.childrenNum);
					if(localData.customPackage.ticket.childrenNum>0){
						$("#children-num").addClass('default-color');
					}
				}
			});
			
			$("#mc").on('touchend', function(event) {
				//event.stopPropagation();
				event.preventDefault();

			});

			$("#mc").on('touchmove', function(event) {
				event.preventDefault();
			});

			$("#mc").off().on('tap', function() {
				$("#mc").hide();
				$(".select-people").hide();
				$(".select-bed").hide();
			});
			
			//成人++
			$("#adult-add").off().on('tap', function() {
				$("#adult-num").addClass('default-color');
				//$(".adult-name").eq(0).addClass('default-color');
				var num = $("#adult-num").text();
				if(Number(num) >= 99) {
					num = 99;
				} else {
					num = Number(num) + 1;
				}

				$("#adult-num").text(num);
			});
			//成人--
			$("#adult-reduce").off().on('tap', function() {
				var num = $("#adult-num").text();
				if(Number(num) <= 4) {
					$("#adult-num").text(3);
					$("#adult-num").removeClass('default-color');
					//$(".adult-name").eq(0).removeClass('default-color');
				} else {
					num = Number(num) - 1;
					$("#adult-num").text(num);
				}
			});

			//儿童++
			$("#children-add").off().on('tap', function() {
				$("#children-num").addClass('default-color');
				//$(".adult-name").eq(1).addClass('default-color');
				var num = $("#children-num").text();
				num = Number(num) + 1;
				$("#children-num").text(num);
			});
			//儿童--
			$("#children-reduce").off().on('tap', function() {
				var num = $("#children-num").text();
				if(Number(num) <= 1) {
					$("#children-num").text(0);
					$("#children-num").removeClass('default-color');
					//$(".adult-name").eq(1).removeClass('default-color');
				} else {
					num = Number(num) - 1;
					$("#children-num").text(num);
				}
			});
			
			//人数选择确认
			$(".confirm-btn").off().on('tap', function() {
				$("#mc").hide();
				$(".select-people").slideToggle(200);
				var settings = app.getSettings();
				$("#adult-num-tmpl").text($("#adult-num").text());
				$("#children-num-tmpl").text($("#children-num").text());
				settings.customPackage.ticket = {
					adultNum: $("#adult-num").text(),
					childrenNum: $("#children-num").text()
				};
				if(settings.searchparam3){
					settings.searchparam3.ticket = settings.customPackage.ticket;
				}
				app.setSettings(settings);
			});
			
			$("#sure-change").off().on('tap', function() {
				var status = $(this).attr('data-sure');
				if(status == 'false') {
					$(this).addClass('sured');
					$('#sure-icon').removeClass('icon-weixuan');
					$('#sure-icon').addClass('icon-yixuan');
					$(this).attr('data-sure', 'true');
					var settings = app.getSettings();
					settings.customPackage.isChange = true;
					if(settings.searchparam3){
						settings.searchparam3.isChange = settings.customPackage.isChange;
					}
					app.setSettings(settings);
				} else {
					$(this).removeClass('sured');
					$('#sure-icon').removeClass('icon-yixuan');
					$('#sure-icon').addClass('icon-weixuan');
					$(this).attr('data-sure', 'false');
					var settings = app.getSettings();
					settings.customPackage.isChange = false;
					if(settings.searchparam3){
						settings.searchparam3.isChange = settings.customPackage.isChange;
					}
					app.setSettings(settings);
				}
			});
			$("#custom-room-date").off().on('tap', function() {
				var settings = app.getSettings();
				var state = $(this).attr('data-limit-year');
				window.NewDate.Init(new Date(_newDate), settings.customPackage.customTime, 1);
				//window.NewDate.loadDateHistory(new Date(_newDate), settings.customPackage.customTime, state);
				var $box = $('.room-date');
				$box.slideToggle(200);
				$(".dateback").css({
					display: "block",
					height: $(document).height()
				});
			});
			
			
			
			$(".dateback").off().on("tap", function() {
				$(".room-date").slideToggle(200);
				$(".dateback").hide();
			});
			
			$(".searchDepartPurpose").off().on('tap',function(){
				var settings = app.getSettings();
				var startPlace = settings.customPackage.startPlace;
				startPlace.Type = 1;
				app.ShowWebView("../Demand/SearchDestination.html", { Dest: startPlace, flag:2});
			});
			
			//包团定制下一步
			$("#btnNext").off().on('tap',function(){
				var data = app.getSettings().customPackage;
				var startPlace = data.startPlace;
				var endPlace = data.endPlace;
				if(startPlace.Name == ''){
					plus.nativeUI.toast('出发地不能为空');
					return;
				}
				if(endPlace.length == 0){
					plus.nativeUI.toast('目的地不能为空');
					return;
				}
				//检查出发地id是否在目的地id中，如果在提示不能相同
				var startPlaceId = startPlace.Id;
				var state = true;
				endPlace.map(function(item){
					if(startPlaceId == item.Id){
						state = false;
					}
				});
				if(state == false){
					plus.nativeUI.toast('出发地和目的地不能相同');
					return;
				}
				//............
				app.ShowWebView("../Travel/newTravelDemand.html");
			});
			
			//包团定制目的地
			$("#destination").off().on('tap',function(){
				var settings = app.getSettings();
				var endPlace = settings.customPackage.endPlace;
				app.ShowWebView('../Demand/ManyDest.html',{Dest:endPlace});
			});
			
			
		},
		initHotelEvent:function(){
			//酒店目的地
			$(".hotel-search-destion").off().on('tap', function() {
				var settings = app.getSettings();
				 
				//settings.cityhistory = settings.cityhistory1;
				window.model.indexRequestReq.data.Dest.Type = 0;
				 
				//app.setSettings(settings);

				app.ShowWebView("../Demand/SearchDestination.html", { Dest: window.model.indexRequestReq.data.Dest });
			});
			
			
			
			$("#hotel-room-date").off().on('tap', function() {
				var state = $(this).attr('data-limit-year');
				window.NewDate.Init(new Date(_newDate), window.model.indexRequestReq.data.CheckList, 0);
				//window.NewDate.loadDateHistory(new Date(_newDate), window.model.indexRequestReq.data.CheckList, state);
				var $box = $('.room-date');
				$box.slideToggle(200);
				var distance = parseInt(localStorage.distance);
				var distance2 = parseInt(localStorage.distance2);
				if($("#hotel-search-line").hasClass("selected") && localStorage.distance != undefined) {
					$(".dateBox").scrollTop(distance);
				}
				if($("#custom-package-line").hasClass("selected") && localStorage.distance2 != undefined) {
					$(".dateBox").scrollTop(distance2);
				}
				$(".dateback").css({
					display: "block",
					height: $(document).height()
				});
			});
			
			$("#searchRoomType span").off().on("tap", function() {
				var $icon = $(this).find("i");
				if(!$icon.hasClass("active")) {
					var $active = $("#searchRoomType span i.active");
					$active.removeClass("active");
					$active.removeClass("icon-index-yixuanzhong");
					$active.addClass("icon-index-weixuanzhong");

					$icon.addClass("active");
					$icon.addClass("icon-index-yixuanzhong");
					$icon.removeClass("icon-index-weixuanzhong");

					var isGroup = $(this).attr("data-IsGroup");
					window.model.indexRequestReq.data.IsGroup = parseInt(isGroup);
					_setHistoryData(1);
				}
			});
			$("#searchStarPrice").off().on("tap", function() {
				_PriceStar();
				var $box = $('.room-price');
				$box.slideToggle(200);
				$(".priceback").css({
					display: "block",
					height: $(document).height()
				});
			});
			
			

			$(".room-price-star li").off().on("tap", function() {
				var $this = $(this);
				if($(this).hasClass("current")) {
					$(this).removeClass("current");
					$(this).find(".rsanjia").remove();
				} else {
					if($(this).attr("val") == 0) {
						$(".room-price-star li").removeClass("current");
						$(".room-price-star li .rsanjia").remove();
					}
					$(this).addClass("current");
					$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
				}

				var lis = $(".room-price-star li.current");
				if(lis.length >= 2) {
					if($("#starDefault").hasClass("current")) {
						$("#starDefault").removeClass("current");
						$("#starDefault .rsanjia").remove();
						//						$(this).find("rsanjia").remove();
						//						$(".room-price-star .rsanjia").remove();
					}
				}

				if(lis.length == 0) {
					$("#starDefault").addClass("current");
					$("#starDefault").append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
				}
			});
			
			
			
			$(".room-price-sel li").off().on("tap", function() {
				$(".room-price-sel li").removeClass("current");
				$(".room-price-sel li .rsanjia").remove();
				$(this).addClass("current");
				$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
			});
			
			
			
			$("#btnPrice").off().on("tap", function() {
				reCallbackPriceStar();

				$(".priceback").hide();
				$('.room-price').slideToggle(200);
			});
			
			$(".priceback").off().on("tap", function() {
				$(".priceback").hide();
				$('.room-price').slideToggle(200);
			});
			
			$("#searchBrand").off().on("tap", function() {
				var brand = window.model.indexRequestReq.data.Key;
				var cityId = 0;
				var brandId = 0;
				var brandName = "";
				var brandType = 0;

				if(brand != undefined) {
					brandId = brand.Id[0];
					brandName = brand.Name;
					brandType = brand.Type;
					cityId = window.model.indexRequestReq.data.CityId;
				}

				if(cityId == "" || cityId == 0) {
					plus.nativeUI.toast("请先选择目的地！");
					return;
				}
				var pagedata = {
					cityId: cityId,
					brandId: brandId,
					brandName: brandName,
					brandType: brandType
				};
				app.ShowWebView("../Demand/SearchBrand.html", pagedata);
			});
			$("#btnSearch").off().on("tap", function() {
				if(localStorage.isfirst != undefined) {
					localStorage.removeItem('isfirst');
				}
				//判断目的地
				var dest = window.model.indexRequestReq.data.Dest;
				if(dest.Name == "") {
					plus.nativeUI.toast("请选择目的地！");
					return false;
				}

				var CheckList = window.model.indexRequestReq.data.CheckList;
				if(CheckList.length != 2) {
					plus.nativeUI.toast("请选择入住日期！");
					return false;
				}
				
				var IsGroup = window.model.indexRequestReq.data.IsGroup;
				if(IsGroup == 2) {
					plus.nativeUI.toast("请选择房型类型！");
					return false;
				}

				app.ShowWebView("../Demand/NewHotelList.html", {});
				

			});
			$("#searchBrand .jiage").off().on("tap", function() {
				$("#homeBrandName").text("");
				reCallbackBrand(0, "", 0);
				localStorage.removeItem("xtype");
				return false;
			});
			$("#searchStarPrice .jiage").off().on("tap", function() {
				window.model.indexRequestReq.data.Price=["0","0"];
				window.model.indexRequestReq.data.StarRateList=["0","0"];
				_setHistoryData(1);
			var tmpl = template('index-li-template',window.model.indexRequestReq.data);
			$("#hotel-search-content").html(tmpl);
			window.DemandIndex.initHotelEvent();
			$(".room-price-sel ul li").removeClass("current");
			$(".room-price-sel ul li").eq(0).addClass("current");
			$(".rsanjia").remove();
			$(".room-price-sel ul li").eq(0).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
				return false;
			});
		},
		//包团定制数据结构
		customPackageData:function(){
			var data = {
				startPlace:{
					Type:0,
					Id:[],
					Name:''
				},
				endPlace:[],
				customTime:[],
				time:{
					start: '',
					end: '',
					count: '',
					startMonth: '',
					startDay: '',
					endMonth: '',
					endDay: '',
					startWeek: '',
					endWeek: '',
				},
				ticket:{
					adultNum:5,
					childrenNum:0
				},
				isChange:false,
				searchHistory:[],
				hotelAreaSearchHistory:[],
				playViewHistory:[],
				isFirstSeeTravel:true,
				isFirstSeeTravelDetail:true
			};
			return data;
		},
		plusReady:function() {
			//判读是否是 沉浸式如果不是设置头部背景样式 针对IOS
			var bi = plus.navigator.isImmersedStatusbar();
			if(!bi) {
				app.StatusBarBackground("#13b1fe");
			}

//			// 关闭侧滑返回功能
//			var wv = plus.webview.currentWebview();
//			wv.setStyle({
//				'popGesture': 'none'
//			});

			//两次控制返回键自动退出应用
			var backButtonPress = 0;
			mui.back = function(event) {
				backButtonPress++;
				if(backButtonPress > 1) {
					plus.runtime.quit();
				} else {
					plus.nativeUI.toast('再按一次退出应用');
				}
				setTimeout(function() {
					backButtonPress = 0;
				}, 1000);
				return false;
			};
		},
		homeDatesFormat:function(dataArray, type, _newDate) {
			var start, end, count, startMonth, startDay, endMonth, endDay;
			var startWeek = countWeek(dataArray[0]);
			var endWeek = countWeek(dataArray[1]);
			if(!!dataArray && dataArray.length == 2) {
				var st = dataArray[0];
				var stDate = new Date(st);
				var newDte = new Date(_newDate);
				if(stDate < newDte) {
					dataArray = [];
				}
			}

			if(!!dataArray && dataArray.length == 2) {
				var startStr = dataArray[0];
				var month = app.DateTool.DatePart('m', startStr);
				var day = app.DateTool.DatePart('d', startStr);
				start = month + "月" + day + "日";
				startMonth = month + '月';
				startDay = day + '日';
				var endStr = dataArray[1];
				month = app.DateTool.DatePart('m', endStr);
				day = app.DateTool.DatePart('d', endStr);
				end = month + "月" + day + "日";
				endMonth = month + '月';
				endDay = day + '日';
				count = app.DateTool.DateDiff("d", startStr, endStr);
			} else {
				var defaultDay = 2;
				var startAddNum = 1;
				if(type == 1) {
					defaultDay = 5;
//					var currentHour1 = app.DateTool.DatePart('h', _newDate);
//					if(currentHour1>=18){
//						defaultDay = 6;
//						startAddNum = 2;
//					}
				}
//				if(type == 2){
//					var currentHour1 = app.DateTool.DatePart('h', _newDate);
//					if(currentHour1>=18){
//						startAddNum = 2;
//						defaultDay = 3;
//					}
//				}
				var ar = new Array();
				var neDate = new Date(_newDate);

				var startStr = app.DateTool.DateAdd("d", startAddNum, neDate);
				var year = app.DateTool.DatePart('y', startStr);
				var month = app.DateTool.DatePart('m', startStr);
				var day = app.DateTool.DatePart('d', startStr);
				start = month + "月" + day + "日";
				startMonth = month + '月';
				startDay = day + '日';
				ar.push(year + "-" + month + "-" + day);
				var endStr = app.DateTool.DateAdd("d", defaultDay, neDate);
				year = app.DateTool.DatePart('y', endStr);
				month = app.DateTool.DatePart('m', endStr);
				day = app.DateTool.DatePart('d', endStr);
				end = month + "月" + day + "日";
				endMonth = month + '月';
				endDay = day + '日';
				count = 1;
				ar.push(year + "-" + month + "-" + day);
				if(type == 1) {
					count = 4;
					window.model.indexRequestReq.data.customTime = ar;
				} else {
					if(type == 0){
						window.model.indexRequestReq.data.CheckList = ar;
					}
					
				}
				 
				if(startWeek == '' && endWeek == ''){
					startWeek = countWeek(ar[0]);
					endWeek = countWeek(ar[1]);
				}
				 
			}
			//计算周几
			return {
				start: start,
				end: end,
				count: count,
				startMonth: startMonth,
				startDay: startDay,
				endMonth: endMonth,
				endDay: endDay,
				startWeek: startWeek,
				endWeek: endWeek,
				ar:ar
			};
		},
		PriceStarFormat:function(Price, StarRateList) {
			var PriceStarName = "";
			var priceName = PriceFormat(Price);
			var starName = StarFormat(StarRateList);
			if(priceName != "") {
				PriceStarName = priceName;
			}

			if(PriceStarName != "" && starName != "") {
				PriceStarName += "/" + starName;
			}

			if(PriceStarName == "" && starName != "") {
				PriceStarName = starName;
			}
			if(PriceStarName!=""){
				$("#searchStarPrice").addClass("newjian");				
			}
			return { PriceStarName: PriceStarName };
		},
		countWeek:function(dates) {
			var num = new Date(dates).getDay()
			var week = '';
			switch(num) {
				case 0:
					week = '周日';
					break;
				case 1:
					week = '周一';
					break;
				case 2:
					week = '周二';
					break;
				case 3:
					week = '周三';
					break;
				case 4:
					week = '周四';
					break;
				case 5:
					week = '周五';
					break;
				case 6:
					week = '周六';
					break;
			}
			return week;
		},
		currentPosition:function(callback){
			if($("#custom-search-title").hasClass('current')){
				plus.geolocation.getCurrentPosition(function(p) {
	
					var cityName = p.address.city;
	
					var searchDetail = {
						Type: 0,
						Id: 0,
						Name: ''
					};
					var sCurrent = {
						url: projectConfig.apiName.GetDestinationList,
						data: {
							DestReqType: "current",
							DestList: []
						}
					};
					searchDetail.Type = 1;
					searchDetail.Name = cityName;
					searchDetail.Id = 0;
					sCurrent.data.DestList.push(searchDetail);
					var sendData = {
						url: sCurrent.url,
						data: sCurrent.data
					}
					app.showWaiting('定位中...', 0);
					app.Post(sendData, null, function(data) {
						var id = data.DestList[0].Id;
						var name = data.DestList[0].Name;
						var type = data.DestList[0].Type;
						var cityId = data.DestList[0].CityId;
						var Dest = {
							Type: data.DestList[0].Type,
							Id: [],
							Name: data.DestList[0].Name
						}
						Dest.Id.push(data.DestList[0].Id);
						//window.model.indexRequestReq.data.beginDest = Dest;
						window.model.indexRequestReq.data.CityId = data.DestList[0].CityId;
						var settings = app.getSettings();
						settings.customPackage.startPlace = Dest;
						if(settings.searchparam3){
							settings.searchparam3.beginDest = settings.customPackage.startPlace;
						}
						app.setSettings(settings);
	
						$(".searchDepartPurpose").val(data.DestList[0].Name);
						if(callback){
							callback();
						}
						
					})
	
				}, function(e) {
					if(callback){
						callback();
					}
					//app.renderNoResult("定位服务被禁用", '', null, null, $("#" + tabId));
					mui.alert("该项服务需要使用定位功能，请重启定位服务", "定位服务被禁用", "知道了");
				});
			}else{
				if(callback){
					callback();
				}
			}
		},
		reCallbackDate:function(date, type){
			var that = this;
			var settings = app.getSettings();
			if(type == 0) {
				window.model.indexRequestReq.data.CheckList = date;
				settings.searchparam1 = window.model.indexRequestReq.data;
				app.setSettings(settings);
				var tmpl = template('index-li-template',window.model.indexRequestReq.data);
				$("#hotel-search-content").html(tmpl);
				that.initHotelEvent();
				 
			}
			else if(type == 1) {
				settings.customPackage.customTime = date;
				if(settings.searchparam3){
					settings.searchparam3.customTime = settings.customPackage.customTime;
				}
				var timeData = this.homeDatesFormat(settings.customPackage.customTime,1,_newDate);
				settings.customPackage.time = timeData;
				app.setSettings(settings);
				var tmpl = template('custom-package-template',settings.customPackage);
				$("#custom-package-content").html(tmpl);
				this.initEvent();
			}
			
			else if(type == 2){
				//团房竞价
				settings.groupHouseComparePrice.GroupHouseTime = date;
				var timeData = this.homeDatesFormat(settings.groupHouseComparePrice.GroupHouseTime,2,_newDate);
				settings.groupHouseComparePrice.time = timeData;
				app.setSettings(settings);
				this.initGroupHouseTmpl(settings.groupHouseComparePrice);
				this.initGroupHouseEvent();
			}
			
		},
		reCallbackDest:function(id, name, type, cityId, flag){
			var that = this;
			if(flag == 2){
				//包团定制
				var data = app.getSettings();
				data.customPackage.startPlace.Type = type;
				data.customPackage.startPlace.Id = [id];
				data.customPackage.startPlace.Name = name;
				app.setSettings(data);
				var tmpl = template('custom-package-template',data.customPackage);
				$("#custom-package-content").html(tmpl);
				this.handleCustomPackageStyle();
				this.initEvent();
			}
			
			if(flag == 3){
				//团房竞价
				var data = app.getSettings();
				data.groupHouseComparePrice.Dest.Type = type;
				data.groupHouseComparePrice.Dest.Id = [id];
				data.groupHouseComparePrice.Dest.Name = name;
				app.setSettings(data);
				this.initGroupHouseTmpl(data.groupHouseComparePrice);
				this.initGroupHouseEvent();
			}
			
			if(flag == 0){
				var entities = new Array();
				var entity = {
					id: 0,
					type: 0,
					cityId: 0,
					name: ""
				};
				var temp = entity;
				temp.id = id;
				temp.name = name;
				temp.type = type;
				temp.cityId = cityId;
	
				entities.push(temp);
				var settings = app.getSettings();
				var histories = settings.cityhistory;
				if(histories != undefined && histories.length > 0) {
					for(k = 0; k < histories.length; k++) {
						var detail = histories[k];
						if(k >= 9)
							break;
						if(detail.id != id) {
							var e = {};
							e.id = detail.id;
							e.name = detail.name;
							e.type = detail.type;
							e.cityId = detail.cityId;
							entities.push(e);
						}
					}
				}
				settings.cityhistory = entities;
	
				
				settings.cityhistory1 = entities;
				
	
				
	
				//存储数据
				var ids = new Array();				
				var Dest = {
					Type: 0,
					Id: [],
					Name: ''
				}
				Dest.Type = type;
				Dest.Id.push(id);
				Dest.Name = name;
				window.model.indexRequestReq.data.Dest = Dest;	
				window.model.indexRequestReq.data.CityId = cityId;
				settings.searchparam1.Dest = Dest;
				settings.searchparam1.CityId = cityId;
				app.setSettings(settings);
				
				var tmpl = template('index-li-template',window.model.indexRequestReq.data);
				$("#hotel-search-content").html(tmpl);
				this.handleHotelSearchStyle();
				that.initHotelEvent();
				
			}
			
		},
		reCallbackBrand:function(id, name, type) {
			var Key = {
				Type: 0,
				Id: [],
				Name: ""
			};

			Key.Type = type;
			Key.Id.push(id);
			Key.Name = name;
			window.model.indexRequestReq.data.Key = Key;
			_setHistoryData(1);
			var tmpl = template('index-li-template',window.model.indexRequestReq.data);
			$("#hotel-search-content").html(tmpl);
			this.initHotelEvent();
			 
		},
		callManyDest:function(){
			var settings = app.getSettings();
			var tmpl = template('custom-package-template',settings.customPackage);
			$("#custom-package-content").html(tmpl);
			this.handleCustomPackageStyle();
			this.initEvent();
		},
		callbackReloadDest:function(){
			var settings = app.getSettings();
			var tmpl = template('custom-package-template',settings.customPackage);
			$("#custom-package-content").html(tmpl);
			this.handleCustomPackageStyle();
			this.initEvent();
		},
		getBedText:function(roomList){
			var textValue = '';
			roomList.map(function(item){
				if(item.Amount != 0){
					switch(item.Type){
						case 1:
							if(textValue == ''){
								textValue = textValue + '大床房' + item.Amount + '间';
							}else{
								textValue = textValue + '，' + '大床房' + item.Amount + '间';
							}
							break;
						case 2:
							if(textValue == ''){
								textValue = textValue + '双床房' + item.Amount + '间';
							}else{
								textValue = textValue + '，' + '双床房' + item.Amount + '间';
							}
							break;
						case 3:
							if(textValue == ''){
								textValue = textValue + '三人间' + item.Amount + '间';
							}else{
								textValue = textValue + '，' + '三人间' + item.Amount + '间';
							}
							break;
						case 4:
							if(textValue == ''){
								textValue = textValue + '套房' + item.Amount + '间';
							}else{
								textValue = textValue + '，' + '套房' + item.Amount + '间';
							}
							break;
					}
				}
			});
			return textValue;
		},
		getPriceStarText:function(Price, StarRateList){
			var PriceStarName = "";
			var priceName = PriceFormat(Price);
			var starName = StarFormat(StarRateList);
			if(priceName != "") {
				PriceStarName = priceName;
			}
	
			if(PriceStarName != "" && starName != "") {
				PriceStarName += "/" + starName;
			}
	
			if(PriceStarName == "" && starName != "") {
				PriceStarName = starName;
			}
			if(PriceStarName!=""){
				$("#searchStarPrice").addClass("newjian");				
			}
			return PriceStarName;
		},
		authLocalTime:function(data, flagNum){
			var nowTime = new Date(_newDate);
			var currentHour = app.DateTool.DatePart('h', nowTime);
			var num = 1;
			if(currentHour>=18){
				num = 1;
			}
			var year = app.DateTool.DatePart('y', nowTime);
			var month = app.DateTool.DatePart('m', nowTime);
			var day = app.DateTool.DatePart('d', nowTime);
			if(flagNum == 0){
				var localStartTime = data.customTime[0];
				var localEndTime = data.customTime[1];
			}
			if(flagNum == 1){
				var localStartTime = data.GroupHouseTime[0];
				var localEndTime = data.GroupHouseTime[1];
			}
		
			var nowTimeStr = year + '-' + month + '-' + day;
			if(nowTimeStr >= localStartTime){
				//缓存时间过期
				var diff = app.DateTool.DateDiff("d", localStartTime, localEndTime);
				
				var newStartTime = app.DateTool.DateAdd("d", num, nowTime);
				
				
				var newEndTime = app.DateTool.DateAdd("d", diff, new Date(newStartTime));
				
				var newYear = app.DateTool.DatePart('y', newEndTime);
				var newMonth = app.DateTool.DatePart('m', newEndTime);
				var newDay = app.DateTool.DatePart('d', newEndTime);
				
				var newStartYear = app.DateTool.DatePart('y', newStartTime);
				var newStartMonth = app.DateTool.DatePart('m', newStartTime);
				var newStartDay = app.DateTool.DatePart('d', newStartTime);
				
				var newStartStr = newStartYear + '-' + newStartMonth + '-' + newStartDay;
				var newEndStr = newYear + '-' + newMonth + '-' + newDay;
				if(flagNum == 0){
					data.customTime[0] = newStartStr;
					data.customTime[1] = newEndStr;
					var timeData = this.homeDatesFormat(data.customTime,1,_newDate);
					data.time = timeData;
				}
				
				if(flagNum == 1){
					data.GroupHouseTime[0] = newStartStr;
					data.GroupHouseTime[1] = newEndStr;
					var timeData = this.homeDatesFormat(data.GroupHouseTime,1,_newDate);
					data.time = timeData;
				}
				
			}
		},
		handleGuide:function(){
//			var settings = app.getSettings();
//			var guide = {};
//			if(settings.guide){
//				guide = settings.guide;
//			}else{
//				guide = {
//					index:true,
//					myCenter:true,
//					hotelList:true,
//					travelMoreTool:true
//				};
//				settings.guide = guide;
//			}
//			if(guide.index == true){
//				$("#guide").show();
//			}
//			$("#guide").off().on('tap',function(){
//				$("#guide").hide();
//				settings.guide.index = false;
//				app.setSettings(settings);
//			});
		}
	}
	function countWeek(dates) {
		var num = new Date(dates).getDay()
		var week = '';
		switch(num) {
			case 0:
				week = '周日';
				break;
			case 1:
				week = '周一';
				break;
			case 2:
				week = '周二';
				break;
			case 3:
				week = '周三';
				break;
			case 4:
				week = '周四';
				break;
			case 5:
				week = '周五';
				break;
			case 6:
				week = '周六';
				break;
		}
		return week;
	}
	function PriceStarFormat(Price, StarRateList) {
		var PriceStarName = "";
		var priceName = PriceFormat(Price);
		var starName = StarFormat(StarRateList);
		if(priceName != "") {
			PriceStarName = priceName;
		}

		if(PriceStarName != "" && starName != "") {
			PriceStarName += "/" + starName;
		}

		if(PriceStarName == "" && starName != "") {
			PriceStarName = starName;
		}
		if(PriceStarName!=""){
			$("#searchStarPrice").addClass("newjian");				
		}
		return { PriceStarName: PriceStarName };
	}
	function PriceFormat(Price, type) {
		var priceName = "";
		if(!!Price && Price.length == 2) {
			var minv = parseInt(Price[0]);
			var maxv = parseInt(Price[1]);
			if((minv != 0 && maxv != 0) || (minv == 0 && maxv != 0) || (minv != 0 && maxv == 0)) {
				$.each(app.model.Prices, function(index, price) {
					if(price.minval == minv && price.maxval == maxv) {
						priceName = price.name;
					}
				});
			}
		}
		if(!!type && type == 1) {
			return { priceName: priceName };
		}
		return priceName;
	}
	function StarFormat(StarRateList, type) {
		var starName = "";
		if(!!StarRateList) {
			$.each(StarRateList, function(index, star) {
				if(star != 0) {
					if(starName == "") {
						starName = _getStarName(star);
					} else {
						starName += "," + _getStarName(star);
					}
				}
			});
		}
		if(!!type && type == 1) {
			return { starName: starName };
		}
		return starName;
	}
	function _setHistoryData(_searchType) {
		var settings = app.getSettings();
		if(_searchType == 1) {
			settings.searchparam1 = window.model.indexRequestReq.data;
		}
		app.setSettings(settings);
	}
	function _PriceStar(state) {
		if(!state){
			//酒店搜索
			var Price = window.model.indexRequestReq.data.Price;
			if(!!Price && Price.length == 2) {
				var minv = parseInt(Price[0]);
				var maxv = parseInt(Price[1]);
				if((minv != 0 && maxv != 0) || (minv == 0 && maxv != 0)) {
					$(".room-price-sel li").removeClass("current");
					$(".room-price-sel li .rsanjia").remove();
					$(".room-price-sel li").each(function() {
						if($(this).attr("minval") == minv && $(this).attr("maxval") == maxv) {
							$(this).addClass("current");
							$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
						}
					});
				}
			}
	
			var StarRateList = window.model.indexRequestReq.data.StarRateList;
	
			if(!!StarRateList) {
				$(".room-price-star li").removeClass("current");
				$(".room-price-star li .rsanjia").remove();
				$.each(StarRateList, function(index, star) {
					$(".room-price-star li").each(function() {
						if(star == $(this).attr("val")) {
							$(this).addClass("current");
							$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
						}
					});
				});
			}
		}else{
			//团房竞价
			var datas = app.getSettings().groupHouseComparePrice;
			var Price = datas.price;
			var StarRateList = datas.star;
			if(!!Price && Price.length == 2) {
				var minv = parseInt(Price[0]);
				var maxv = parseInt(Price[1]);
				 
				$(".group-room-price-sel li").removeClass("current");
				$(".group-room-price-sel li .rsanjia").remove();
				$(".group-room-price-sel li").each(function() {
					if($(this).attr("minval") == minv && $(this).attr("maxval") == maxv) {
						$(this).addClass("current");
						$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
					}
				});
				 
			}
			if(!!StarRateList) {
				$(".group-room-price-star li").removeClass("current");
				$(".group-room-price-star li .rsanjia").remove();
				$.each(StarRateList, function(index, star) {
					$(".group-room-price-star li").each(function() {
						if(star == $(this).attr("val")) {
							$(this).addClass("current");
							$(this).append('<div class="rsanjia"><i class="cee-iconfont icon-yixuan"></i></div>');
						}
					});
				});
			}
		}
		
	}
	function reCallbackPriceStar() {
		//var current = $(".room-price-sel li.current");
		var min = 0;
		var max = 0;
		$(".room-price-sel li.current").each(function() {
			var miv = $(this).attr("minval");
			var mav = $(this).attr("maxval");
			if(miv != "" && mav != "") {
				min = miv;
				max = mav;
			}
		});
		var price = [];
		price.push(min);
		price.push(max);
		window.model.indexRequestReq.data.Price = price;
		var Star = [];
		$(".room-price-starsel li.current").each(function() {
			Star.push($(this).attr("val"));
		});
		window.model.indexRequestReq.data.StarRateList = Star;

		_setHistoryData(1);
		var tmpl = template('index-li-template',window.model.indexRequestReq.data);
		$("#hotel-search-content").html(tmpl);
		window.DemandIndex.initHotelEvent();
	}
	function reCallbackGroupPriceStar(){
		var min = 0;
		var max = 0;
		var str = '';
		$(".group-room-price-sel li.current").each(function() {
			var miv = $(this).attr("minval");
			var mav = $(this).attr("maxval");
			if(miv != "" && mav != "") {
				min = miv;
				max = mav;
			}
		});
		var price = [];
		price.push(min);
		price.push(max);
		var Star = [];
		$(".group-room-price-starsel li.current").each(function() {
			if($(this).attr("val")){
				Star.push($(this).attr("val"));
			}
		});
		str = window.DemandIndex.getPriceStarText(price,Star);
		$("#group-house-price-star").val(str);
		var settings = app.getSettings();
		settings.groupHouseComparePrice.price = price;
		settings.groupHouseComparePrice.star = Star;
		app.setSettings(settings);
	}
	
	function _getStarName(val) {
		var name = "";
		$.each(app.model.Stars, function(index, star) {
			if(val == star.val) {
				name = star.name;
			}
		});
		return name;
	}
	function reCallbackBrand(id, name, type) {
		var Key = {
			Type: 0,
			Id: [],
			Name: ""
		};

		Key.Type = type;
		Key.Id.push(id);
		Key.Name = name;
		window.model.indexRequestReq.data.Key = Key;
		_setHistoryData(1);
		window.DemandIndex.initHotelSearch(_newDate);
	}
})(window, $);

