app.OfferHotelPrice = {
	SubmitDemandInfoEnity: {
		url: projectConfig.apiName.SubmitDemandInfo,
		data: {
			Sid: "",
			Hid: ""
		}
	},
	GetDemandInfoEntity: {
		url: projectConfig.apiName.GetDemandInfo,
		data: {
			Did: ""
		}
	},
	CanCelDemandEnity: {
		url: projectConfig.apiName.CancelDemand,
		data: {
			Did: ""
		}
	},
	initEvent: function() {
		app.HandlerEvent.EventListEntity[6].event = "app.OfferHotelPrice.CancelDemandOrder()";
	},
	SubmitDemandInfo: function(sId, hid) {
		sId = sId || $("#hidDemandOrderId").val();
		hid = hid || "";
		var self = app.OfferHotelPrice;
		var entity = self.SubmitDemandInfoEnity;
		entity.data.Sid = sId;
		if(hid)
			entity.data.Hid = hid;
		app.Post(entity, null, self.SubmitDemandInfoCallback);
	},
	SubmitDemandInfoCallback: function(data) {
		if(app.GetResultState(data)) {
			var dId = data.Did;
			var pageParam = {
				dId: dId
			};
			app.ShowWebNewView("../Demand/DemandDetail.html", pageParam);
		} else {
			plus.nativeUI.toast(data.Msg);
		}
	},
	//获取需求单报价  type 是否请求重新刷新报价
	GetDemandOfferPrice: function(type) {
		type = type || 0;
		if(type == 1)
			plus.nativeUI.toast("正在刷新报价");
		var dId = $("#hidDemandInfoId").val();
		var self = app.OfferHotelPrice;
		var entity = self.GetDemandInfoEntity;
		entity.data.Did = dId;

		app.Post(entity, null, app.OfferHotelPrice.GetDemandOfferPriceCallback);
	},
	//获取需求单报价回调
	GetDemandOfferPriceCallback: function(data) {
		//特殊处理  沉侵式显示
		var bi = plus.navigator.isImmersedStatusbar();
		var hi = plus.navigator.getStatusbarHeight();
		var newHi = 0;
		if(bi)
		{
			newHi = hi; 
		}
		
		var self = app.OfferHotelPrice;
		app.HotelList.setTime(data.DemandInfo.ArrivalDate,data.DemandInfo.DepartureDate);
		if(app.GetResultState(data)) {			
			self.LoadDemandDetail(data);
			if(data.HotelList != null && data.HotelList.length > 0) {
				var html = app.HotelList.hotelListHtml(data.HotelList, 3);
				$("#divHotelList").html(html);
				$("#divHotelList").css("margin-top", $("#demandDetail").height() + 7 + newHi + "px");
				app.HotelList.hotelDetailEvent('', $("#hidDemandInfoId").val());
                if(data.DemandInfo.IsValid==0){
                	  $(".hotel-list-price-view-right p").hide();
//              	  $(".hotel-list-price-view-right s").show();
                }
			} else {
				self.noOfferPrice();
			}
		} else if(data.Code == "0001") {
			data.Code = "0000";
			self.LoadDemandDetail(data);
			self.noOfferPrice();
		}
		if(data.Code!="0000"&&data.Code!="0001"){
			app.renderNoResult("出了点问题", data.Msg, null, null, $("#divHotelList"));
		}
	},
	CancelDemandOrder: function() {
		var dId = $("#hidDemandInfoId").val();
		var self = app.OfferHotelPrice;
		var entity = self.CanCelDemandEnity;
		entity.data.Did = dId;
		app.Post(entity, null, self.CancelDemandOrderCallback);
	},
	CancelDemandOrderCallback: function(data) {
		if(app.GetResultState(data)) {
			plus.nativeUI.toast("取消成功！");
//			$("#demandDetail span").text("已取消");
//			$("#btnRefurshPrice").text("返回首页");
//			$("#btnRefurshPrice").show();
//			$("#btnRefurshPrice").unbind("tap");
//			$("#divHotelList").html("");
//			$("#btnRefurshPrice").tap(function() {
//				//返回首页
//				app.ShowWebView('../Demand/index.html',{},"pop-in");
//			});
			var centerView = plus.webview.currentWebview();
			centerView.reload();
		}
	},
	LoadDemandDetail: function(data) {
		var self = app.OfferHotelPrice;
		if(app.GetResultState(data)) {
			if(data.DemandInfo != null) {
				var str = "";
				var demand = data.DemandInfo;
				var checknum = demand.Check.split(" ");
				var checkin = checknum[0].replace(/[^(\-)?\d+(\.\d{1,2})?$]/g, '');
				var checkout = checknum[1].replace(/[^(\-)?\d+(\.\d{1,2})?$]/g, '');
				var days = checknum[2].replace(/[^(\-)?\d+(\.\d{1,2})?$]/g, '');
				//				str += '<h3>' + demand.Desc + '</h3>';
				str += '<div class="off-tit"><h3>' + demand.Desc + '</h3>';
				str += '<label class="demand-color'+demand.DemandStatus+'">' + demand.Status + '</label><i class="reveal hide"></i></div>';
				str += "<div class='nr'><span><p><b><label><font>" + checkin + "</font>入住 </label><label><font>" + checkout + "</font>离店</label> <label> 共<font>" + days + "</font>晚</label></b></p>";
				if(demand.Budget!=null&&demand.Budget!=""&&demand.Budget!="null"){
					str+="<div class='yusuan'>预算" + demand.Budget+"</div>";
				}				
				str+="<div class='yusuan'>"+demand.Rooms.join("，")+"</div>";
				if(demand.SpecialTypeList.length>0){
				str += "<div class='off-chose'>";
				var Special = demand.SpecialTypeList;
				var num1 = "icon-icon-zhifuxuanzhong-";
				var num2 = "icon-icon-zhifuxuanzhong-";
				var num3 = "icon-icon-zhifuxuanzhong-";
				var num4 = "icon-icon-zhifuxuanzhong-";
				for(var i = 0; i < Special.length; i++) {
					if(Special[i] == 1) {
						num1 = "icon-icon-zhifuxuanzhong- choice";
					}
					if(Special[i] == 2) {
						num2 = "icon-icon-zhifuxuanzhong- choice";
					}
					if(Special[i] == 3) {
						num3 = "icon-icon-zhifuxuanzhong- choice";
					}
					if(Special[i] == 4) {
						num4 = "icon-icon-zhifuxuanzhong- choice";
					}
				}
				str += "<span><i class='off-room iconfont-2-27 " + num1 + "'></i><font class='current'>机票</font></span>";
				str += "<span><i class='off-room iconfont-2-27 " + num2 + "'></i><font class='current'>用车</font></span>";
				str += "<span><i class='off-room iconfont-2-27 " + num3 + "'></i><font class='current'>会议室</font></span>";
				str += "<span><i class='off-room iconfont-2-27 " + num4 + "'></i><font class='current'>门票</font></span>";
				str += "</div>";}
				str+="</span>";
				if(demand.Button != null && demand.Button.Name.length > 0) {
					var button = demand.Button;
					var onclick = app.HandlerEvent.bindClickEvent(button.Type);
					str += '<div class="offbtn"><a href="javascript:void(0);" ' + onclick + '>' + button.Name + '</a></div>';
				}
				str+="</div>";
				if(demand.Tips!=null){
				$(".enquiry-record-send-price").css("border","0");
				str += '<div id="careful" class="demaned-careful"><span class="mui-icon mui-icon-info"></span>' + demand.Tips + '</div>';
				}			
				$("#demandDetail").html(str);
				self.xianshi($(".off-tit"));
				$(".mui-title").text(demand.Desc);
				if(demand.Hits) {
					$("#btnRefurshPrice").text(demand.Hits);
					$(".hotel-list-price-page").css("padding-bottom", "4rem");
				} else {
					$("#btnRefurshPrice").hide();
				}

				if(demand.IsValid == 0) {
//					$("#divHotelList").hide();
               
				}
			}
		}
	},
	xianshi: function($reveal) {
		$reveal.on('tap', function() {
			var $this = $(".off-tit .reveal").hasClass("hide");
			if($(".off-tit .reveal").hasClass("hide")) {
				$(".off-tit .reveal").removeClass("hide");
				$(".off-tit .reveal").addClass("show");
				$(".nr,.demaned-careful,.offbtn").hide();
				$("#divHotelList").css("margin-top", $("#demandDetail").height() + 7 + "px");
			} else {
				$(".off-tit .reveal").removeClass("show");
				$(".off-tit .reveal").addClass("hide");
				$(".nr,.demaned-careful,.offbtn").show();
				$("#divHotelList").css("margin-top", $("#demandDetail").height() + 7 + "px");
			}
		});
	},
	noOfferPrice: function() {
		app.renderNoResult("暂无报价", "请耐心等待", "刷新报价", "app.OfferHotelPrice.GetDemandOfferPrice(1)", $("#divHotelList"));
	}
}