app.SearchHotel = {
	SetSearchHotelEntity: {
		url: "Customer/SetSearchHotel",
		data: {
			Sid: '',
			Hid: '',
			Type: 0
		}
	},
	//设置搜索酒店
	SetSearchHotel: function(Sid, Hid, Type) {
		var self = app.SearchHotel;
		var entity = self.SetSearchHotelEntity;
		if(!Sid) {
			plus.nativeUI.toast('请提供搜索单Id！');
			return false;
		} else {
			entity.data.Sid = Sid;
		}
		if(!Hid) {
			plus.nativeUI.toast('请提供酒店Id！');
			return false;
		} else {
			entity.data.Hid = Hid;
		}
		entity.data.Type = Type || 1;
		app.Post(entity, null, self.SetSearchHotelCallBack);
	},
	SetSearchHotelCallBack: function(data) {
		if(app.GetResultState(data)) {
			$("#fontHotelCount").text(data.HotelAmount);
			plus.nativeUI.toast('设置询价酒店成功！');
		} else {
			if(data.Code == "1003")
				plus.nativeUI.toast("该酒店已经添加，无需再添加！");
			else
				plus.nativeUI.toast('设置询价酒店失败！');
		}
	},
	ShowSearchHotelDetail: function(data) {
		if(app.GetResultState(data)) {
			if(data.SearchInfo != null) {
				var self = app.SearchHotel;
				var searchInfo = data.SearchInfo;
				var details = new Array();
				details.push('<h3>' + searchInfo.Desc + '</h3>');
				details.push('<p><b>' + searchInfo.Check + '</b><br />' + searchInfo.Room + '<br />' + searchInfo.Special + '</p>');
				self.SetSearchHotelCount(searchInfo.HotelAmount);
				$("#demandDetail").html(details);
			}
		}
	},
	SetSearchHotelCount: function(count) {
		$(".header").text('查看已选(' + count + ')');
	},
	LoadListHotel: function() {
		if(app.GetResultState(data)) {}
	}
}