app.handleCart = {
	GetHotelOrderSubmitInfo: {
		url: projectConfig.apiName.GetHotelOrderSubmitInfo,
		data: {
			Hid: 0,
			Did: '',
			ArrivalDate: '',
			DepartureDate: '',
			Rooms: []
		}
	},
	GetDefaultEntiy: {
		_roomTitle: "roomTitle"
	},
	GetHasCollectionHotel: {
		url: "Customer/SetCollectionHotel",
		data: {
			Hid: 0,
			Type: 0,
			IsGroup:1
		}
	},
	IsFirst: false,
	init: function() {
		var self = app.handleCart;
		//绑定事件
		//选择时间绑定
		$("#" + self.GetDefaultEntiy._roomTitle).off('tap').on('tap', function() {
			var $box = $(".room-date");
			$box.slideToggle(200);
			var timehight = parseInt(sessionStorage.timehight);
			var distance = parseInt(localStorage.distance);
			if(sessionStorage.timehight != undefined) {
				$(".dateBox").scrollTop(timehight);
			} else {
				$(".dateBox").scrollTop(distance);
			}
			$("#titleback").show();
		});

		$("#titleback").off('tap').on('tap', function() {
			$(".room-date").slideToggle(200);
			$("#titleback").hide();
		});

		//控制显示隐藏
		$(".room-item").off().on('tap', function() {
			var id = $(this).attr("data-id");
			var $this = $(this);
			if($("#itemShow" + id))
			if($("#itemShow" + id).is(":hidden")) {
				$("#itemShow" + id).slideToggle(200, function() {
					if(app.handleCart.IsFirst) {
						//控制滚动。
						var heightTop = $("#itemShow" + id).height() + 5;
						var newTop = $(window).scrollTop();
						var newHeight = parseInt(heightTop);
						var $thisHeight = $this.height();
						var s = $this.offset().top - newTop;
						var titHeight = $("#hotelDesc").height();
						var headerShow = $("#headerShow").height();
						var allHeight = $thisHeight + headerShow;
						var qheight = newTop % titHeight;
						if(s > qheight) {
							newHeight = newTop + newHeight;
							newHeight = newHeight + "px";
							$('body').animate({ scrollTop: newHeight }, 200);
						}
					}
					app.handleCart.IsFirst = true;
				});
				$("#kongzhi" + id).removeClass("zhankai1");
				$("#kongzhi" + id).addClass("shousuo1");
			} else {
				$("#itemShow" + id).slideToggle(200);
				$("#kongzhi" + id).removeClass("shousuo1");
				$("#kongzhi" + id).addClass("zhankai1");
			}
		});

		//预订按钮事件绑定
		$(".room-price a").off().on('tap', function() {
			var self = app.handleCart;
			var roomId = $(this).attr("data-id");
			var roomCountType = $(this).attr("data-type");
			if(roomCountType>=5)
			{
				$("#btn-book-yuding").html("立即预订");
			}else
			{
				$("#btn-book-yuding").html("立即预订");
			}
			//
			
			self.hotelBook(roomId, roomCountType);
		});

		$("#popRoomBack").off().on('tap', function() {
			$('#pop-bookRoom').slideToggle(200);
			$("#popRoomBack").hide();
		});

		$("#hideBox").off().on('tap', function() {
			$('#pop-bookRoom').slideToggle(200);
			$("#popRoomBack").hide();
		});

		//打开购物车
		$("#gotoCart").off().on('tap', function() {
			app.handleCart.gotoCart();
		});

		$("#cartBack").off().on('tap', function() {
			$('#pop-cart').slideToggle(200);
			$("#cartBack").hide();
		});

		$("#hascollectionIner").off().on('tap', function() {
			var hid = app.NewDetail.GetInfoEnity.data.Hid;
			app.handleCart.GetHasCollectionHotel.data.Hid = hid;
			var hasCollection = 'shoucang1';
			var hasCollection0 = 'shoucang0';
			var $this = $(this).find("i");
			if($this.hasClass(hasCollection)) {
				app.handleCart.GetHasCollectionHotel.data.Type = 0;

			} else {
				app.handleCart.GetHasCollectionHotel.data.Type = 1;
			}

			var _callback = function(data) {
				if($this.hasClass(hasCollection)) {
					$this.removeClass(hasCollection);
					$this.addClass(hasCollection0);
					app.showMsg("取消成功！");
				} else {
					$this.removeClass(hasCollection0);
					$this.addClass(hasCollection);
					app.showMsg("收藏成功！");
				}
			}
			app.Post(app.handleCart.GetHasCollectionHotel, null, _callback);
		});

	},
	initDate: function() {
		var _Init = function(data) {
			var selfDate = app.CeeKee_Date;
			var self = app.handleCart;
			selfDate.Init(data, self.initDateEvent);
		}

		app.GetServicesTime(_Init);

	},
	//绑定时间事件
	initDateEvent: function(data) {
		var self = app.handleCart;

		$(".date-btn").on('tap', function() {
			var reload = app.GetRoomListV2;
			var chkVals = "";
			var showDate = "";
			var ckeckCount = 0;
			var alldates = new Array();
			var checkdates = $("input[id^='chkdate']:checked");

			if($(checkdates).length > 0) {
				if($(checkdates).length == 1) {
					app.showMsg('请选择离店日期');
					return false;
				}
				if($(checkdates).length > 11) {
					app.showMsg('入住日期不能超过10天');
					return false;
				}
				app.GetServicesTime(app.CeeKee_Date.CheckData);

				$("input[id^='chkdate']:checked").each(function() {
					ckeckCount += 1;
					alldates.push($(this).val());
				});
				ckeckCount -= 1;
				$.each(alldates, function(i, date) {
					chkVals += date + ",";
					if(i == 0) {
						var month = app.DateTool.DatePart('m', date);
						var day = app.DateTool.DatePart('d', date);
						showDate += month + "." + day;
					}
					if(i > 0 && i == ckeckCount) {
						var month = app.DateTool.DatePart('m', date);
						var day = app.DateTool.DatePart('d', date);
						showDate += "-" + month + "." + day + ',';
					}
				});
			}

			if(chkVals.length > 0) {
				chkVals = chkVals.substring(0, chkVals.length - 1);
			}

			if(ckeckCount > 0) {
				var show = showDate + " 共 " + ckeckCount + " 晚";
				$("#hidDates").val(chkVals);
				reload.SetDateReload(chkVals, show);
			}

			$(".room-date").slideToggle(200);
			$("#titleback").hide();
		});

		//绑定日期事件
		$(".dateBox li span").on('tap', function() {
			var roomdate = $(".room-date");
			var startdate = $(roomdate).attr('startdate'),
				enddate = $(roomdate).attr('enddate');
			var startcss = "<b>入</b>";
			var endcss = "<b>离</b>";
			var currentcss = "current",
				middlecss = 'on';
			var date = $(this).attr('date');
			var items = $(".dateBox li span");
			//取消所有选中样式
			$.each(items, function(index, item) {
				var tempdate = $(item).attr('date');
				if($(item).hasClass(currentcss)) {
					$(item).removeClass(currentcss);
					var html = $(item).html();
					html = html.replace(startcss, '').replace(endcss, '');
					$(item).html(html);
				} else if($(item).hasClass(middlecss)) {
					$(item).removeClass(middlecss);
				}
				$("#chkdate" + tempdate).removeAttr("checked");
			});
			var start, end, currentdate;
			if(date.length > 0) {
				currentdate = new Date(date);
				//选中已定好的开始时间或结束时间
				if(date == startdate || date == enddate) {
					startdate = date;
					enddate = "";
				} else if(startdate.length > 0 || enddate.length > 0) {
					var tempstartdate, tempenddate;
					tempstartdate = startdate;
					tempenddate = enddate;
					//已选中时间
					if(startdate.length > 0) {
						start = new Date(startdate);
					}
					if(enddate.length > 0) {
						end = new Date(enddate);
					}

					if(start && end) {
						startdate = date;
						enddate = "";
					} else if(start && !end) {
						if(currentdate < start) {
							enddate = tempstartdate;
							startdate = date;
						} else {
							enddate = date;
						}
					} else if(!start && end) {
						if(currentdate < end) {
							startdate = date;
						} else {
							startdate = tempenddate;
							enddate = currentdate;
						}
					}

				} else { //两个时间都没有
					startdate = date;
				}
			}
			app.CeeKee_Date.setDateCss(startdate, enddate);
		});

		self.loadDateHistory(data);
	},
	loadDateHistory: function(systemDate) {
		var roomSelf = app.GetRoomListV2;
		var ArrivalDate = roomSelf.GetRoomListV2Enity.data.ArrivalDate;
		var DepartureDate = roomSelf.GetRoomListV2Enity.data.DepartureDate;
		app.CeeKee_Date.setDateCss(ArrivalDate, DepartureDate);
		$("#hidDates").val(ArrivalDate + "," + DepartureDate);
	},
	getPolicies: function(data, type) {
		var result = null;
		$.each(data.policies, function(i, item) {
			if(item.RoomCountType == type) {
				result = item;
			}
		});
		return result;
	},
	getBookRoomInfoHTML: function(name, data, Id) {
		var price, leavePrice;
		if(!!Id) {
			$.each(data, function(i, item) {
				if(item.Id == Id) {
					price = item.Price.join('');
					leavePrice = item.LeavePrice.join('');
				}
			});
		} else {
			price = data[0].Price.join('');
			leavePrice = data[0].LeavePrice.join('');
		}
		var thml1 = ['<font>', name, '</font><br>', price, '/间 <span style="margin-left:3px;">  节省', leavePrice || 0, '</span> <br>请选择早餐'].join('');
		var thml2 = ['<font>', name, '</font><br>', price, '/间  <br>请选择早餐'].join('');

		return !!leavePrice ? thml1 : thml2;
	},
	//预订编辑
	hotelBook: function(roomId, RoomCountType, isFromCart, cartItemId) {
		var self = app.handleCart;
		var $popBookRoom = $('#pop-bookRoom');
		var $bookRoomNum = $('#book-room-num');
		var $bookRoomInfo = $('#book-room-info');
		var roomData = window.sikeCart.getRoomData(roomId);
		$('#book-room-pic').attr('src', roomData.ImageSrc);
		var breakData = self.getPolicies(roomData, RoomCountType).BreakList;
		$bookRoomInfo.html(self.getBookRoomInfoHTML(roomData.Name, breakData, cartItemId));
		$('#book-room-zcType').html(self.getBookRoomZCHtml(breakData, !!isFromCart ? window.sikeCart.getProduct(cartItemId).type : null));

		var num = !!isFromCart ? window.sikeCart.getProductNum(cartItemId) : breakData[0].MinCount;
		$bookRoomNum.val(num);
		self.changePrice(num);
        var uId = $('#book-room-zcType span.current').attr('data-id');
        if(cartItemId == uId){
        	$("#btn-book-yuding").hide();
        	$("#btn-book-room").html("完成");
        	$("#btn-book-room").css("width","100%");
        }
        else{
        	$("#btn-book-room").html("加入购物车");
        	$("#btn-book-room").css("width","50%");
        	$("#btn-book-yuding").show();
        }
		$popBookRoom.slideToggle(200);
		$("#popRoomBack").show();
		app.ReplaceImgRequestHeader()

		var $zcTypes = $popBookRoom.find('.zc-type');
		$zcTypes.off().on('tap', function() {
			var $this = $(this);
			var Id = $this.attr('data-id');
			if(!$this.hasClass('current')) {
				$zcTypes.removeClass('current');
				$this.addClass('current');
				$bookRoomInfo.html('');
				$bookRoomInfo.html(self.getBookRoomInfoHTML(roomData.Name, breakData, Id));
				var num = !!isFromCart ? window.sikeCart.getProductNum(cartItemId) : (RoomCountType == 20 ? 5 : RoomCountType);
				$bookRoomNum.val(num);
				self.changePrice(num);
			}
		});

		$('#btn-book-room').off().on('tap', function() {
			var num = $bookRoomNum.val();
			var Id = $('#book-room-zcType span.current').attr('data-id');
			//app.showMsg(Id + "   "+num);
			if(!!isFromCart) { // 是否来自购物车的修改
				if(cartItemId == Id) { // 购物车修改的id 等于当前选择的id
					window.sikeCart.del(Id);
					window.sikeCart.save(Id, num);
				} else {
					window.sikeCart.del(cartItemId);
					window.sikeCart.save(Id, num);
				}
			} else {
				window.sikeCart.del(Id);
				window.sikeCart.save(Id, num);
			}

			$('#cart-room-num').html(window.sikeCart.getProductsCategory());

			$popBookRoom.slideToggle(200);
			$("#popRoomBack").hide();
			app.handleCart.gotoCart();
			
		});

		$("#btn-book-yuding").off('tap').on('tap', function() {
			window.sikeCart.setAllBuy(false);
			var num = $bookRoomNum.val();
			var Id = $('#book-room-zcType span.current').attr('data-id');
			if(!!isFromCart) { // 是否来自购物车的修改
				if(cartItemId == Id) { // 购物车修改的id 等于当前选择的id
					window.sikeCart.del(Id);
					window.sikeCart.save(Id, num);				
				} else {
					window.sikeCart.del(cartItemId);
					window.sikeCart.save(Id, num);
				}
			} else {
				window.sikeCart.del(Id);
				window.sikeCart.save(Id, num);
			}

			$('#cart-room-num').html(window.sikeCart.getProductsCategory());

			var param = {};
			param.Hid = app.NewDetail.GetInfoEnity.data.Hid;
			param.Did = app.NewDetail.GetInfoEnity.data.Did;
			if(self.CheckCartRoomType()) {
				self.GotoVerification();
			}
		});

		app.handleCart.increaseRoom($bookRoomNum, RoomCountType == 20);
		app.handleCart.decreaseRoom($bookRoomNum, RoomCountType == 20);
	},
	GotoVerification:function()
	{
		var self = app.handleCart;
		var param = {};
		param.Hid = app.NewDetail.GetInfoEnity.data.Hid;
		param.Did = app.NewDetail.GetInfoEnity.data.Did;
		self.GetHotelOrderSubmitInfo.data.Hid = app.NewDetail.GetInfoEnity.data.Hid;
		self.GetHotelOrderSubmitInfo.data.DId = app.NewDetail.GetInfoEnity.data.Did;
		var bookDate = window.sikeCart.getBookDate();
		self.GetHotelOrderSubmitInfo.data.ArrivalDate = bookDate.begin;
		self.GetHotelOrderSubmitInfo.data.DepartureDate = bookDate.end;
		self.GetHotelOrderSubmitInfo.data.Rooms = self.GetRooms();
		
		var settings=app.getSettings()
		var standard=settings.standard;
		var flag=false;
		if(standard && standard.IsBoss==0)
		{
			$.each(self.GetHotelOrderSubmitInfo.data.Rooms,function(Index,item){
				if(item.price>standard.HotelCostNorm){
					flag=true;
					return;
				}
			});
			if(!flag && standard.HotelStarRateNorm>0 && app.NewDetail.StarRate>0)
			{
				if(standard.HotelStarRateNorm<app.NewDetail.StarRate)
				{
					flag=true;
				}
			}
			if(flag){
				app.ShowWebNewView("../TravelBusiness/moreStandard.html", param, null, "../TravelBusiness/moreStandard.html");
				return;
			}
		}
		var _render = function(data) {
			if(app.GetResultState(data)) {
				app.ShowWebNewView(projectConfig.ViewId.Payment.OrderWrite.url, param, null, projectConfig.ViewId.Payment.OrderWrite.Id);
			} else {
				//无效
				if(data.Code == "2007")
				{
					var btnArray = ['知道了'];
					mui.confirm(data.ErrorDesc.join(""), '', btnArray, function(e) {
						if(e.index == 0) {
							var centerView = plus.webview.currentWebview();
							centerView.reload();
						}
					})
				}
				
				//价格变动
				if(data.Code == "2008")
				{
					var btnArray = ['取消','继续预订'];
					mui.confirm(data.ErrorDesc.join(""), '', btnArray, function(e) {
						if(e.index == 0) {
							var centerView = plus.webview.currentWebview();
							centerView.reload();
						}
						if(e.index == 1) {
							var centerView = plus.webview.currentWebview();
							centerView.reload();
						}
					})
				}
			}
		};
		app.Post(self.GetHotelOrderSubmitInfo, null, _render);
		
	},
	GetRooms: function() {
		var result = [];
		var allBuy = window.sikeCart.getAllBuy();
		for(var i = 0, len = allBuy.length; i < len; i++) {
			var item = allBuy[i];
			result.push({
				"Id": item.code,
				"Count": item.num,
				"ELTypeId": item.ELTypeId,
				"price":item.price
			});
		}
		return result;
	},getBookRoomZCHtml: function(data, name) {
		var result = '<font>早餐类型</font><br>';
		$.each(data, function(i, item) {
			if(!name) {
				if(i == 0) {
					result += '<span data-id="' + item.Id + '" class="current zc-type">' + item.Name + '</span>'
				} else {
					result += '<span data-id="' + item.Id + '" class="zc-type">' + item.Name + '</span>'
				}
			} else {
				if(item.Name == name) {
					result += '<span class="current zc-type" data-id="' + item.Id + '">' + item.Name + '</span>'
				} else {
					result += '<span data-id="' + item.Id + '"  class="zc-type">' + item.Name + '</span>'
				}
			}

		});
		return result;
	},
	increaseRoom: function($bookRoomNum, isHotSell) {
		$('#book-room-increase').off().on('tap', function() {
			var num = parseInt($bookRoomNum.val());
			var Id = $('#book-room-zcType span.current').attr('data-id');
			if(!isHotSell) { // 如果不是来自于热销，则有区间变动
				app.handleCart.changePrice(num + 1, function() {
					$bookRoomNum.val(num + 1);
				})
			}
		});
	},
	decreaseRoom: function($bookRoomNum, isHotSell) {
		$('#book-room-decrease').off().on('tap', function() {
			var num = parseInt($bookRoomNum.val());
			var Id = $('#book-room-zcType span.current').attr('data-id');
			if(num > 1) {
				if(!isHotSell) { // 如果不是来自于热销，则有区间变动
					app.handleCart.changePrice(num - 1, function() {
						$bookRoomNum.val(num - 1);
					})
				}
			}
		});
	},
	changePrice: function(num, callbackFn) {
		var data = window.sikeCart.getDataByIdAndNum($('#book-room-zcType span.current').attr('data-id'), num);
		if(!!data) {
			var thml1 = ['<font>', data.name, '</font><br>', app.GetRoomListV2.GetRoomListV2Enity.currency, data.price, '/间 <span style="margin-left:3px;">  节省', app.GetRoomListV2.GetRoomListV2Enity.currency, data.leavePrice || 0, '</span> <br>请选择早餐'].join('');
			var thml2 = ['<font>', data.name, '</font><br>', app.GetRoomListV2.GetRoomListV2Enity.currency, data.price, '/间  <br>请选择早餐'].join('');
			var thmsg = "";
			var roomDate = window.sikeCart.getRoomData(app.handleCart.GetHasCollectionHotel.data.Hid);
			var countDay = app.GetRoomListV2.GetRoomListV2Enity.cartDate.count;
			if(data.roomCountType == 1) {
				thmsg = "散客价共：" + app.GetRoomListV2.GetRoomListV2Enity.currency + data.price * num * countDay;
				$("#btn-book-yuding").html("立即预订");
			} else {
				if(!!data.leavePrice && data.leavePrice > 0) {
					thmsg = "您共省：<font>" + app.GetRoomListV2.GetRoomListV2Enity.currency + data.BasicPrice * num * countDay + "</font>(散) - <font>" + app.GetRoomListV2.GetRoomListV2Enity.currency + data.price * num * countDay + "</font>(团)=<font>" + app.GetRoomListV2.GetRoomListV2Enity.currency + data.leavePrice * num * countDay + "</font>";
				} else {
					thmsg = "该房型总价：" + app.GetRoomListV2.GetRoomListV2Enity.currency + data.price * num * countDay;
				}
				$("#btn-book-yuding").html("立即预订");
			}

			$("#yyMsg").html(thmsg);
			$('#book-room-info').html(!!data.leavePrice ? thml1 : thml2);
			if(!!callbackFn) {
				callbackFn();
			}
		} else {
			var dataShow = window.sikeCart.getDataByIdAndNum($('#book-room-zcType span.current').attr('data-id'), num + 1);
			if(!!dataShow) {
				app.showMsg(dataShow.tips);
			}

		}
	},
	gotoCart: function() {
		var self = app.handleCart;
		var savemoney = self.getSavemoney();
		var $popCart = $('#pop-cart');
		var isChooseAll = window.sikeCart.getAllBuy().length == window.sikeCart.getProducts().products.length;
		var total = self.getTotalHtml2(); //总额
		var productsData = window.sikeCart.getProducts().products;
		var countDay = app.GetRoomListV2.GetRoomListV2Enity.cartDate.count;
		var nohtml = '<div class="cart-null closeMove">' +
			'<img src="../images/noCart.png"/>' +
			'<p>购物车暂无商品</p>' +
			'<a href="javascript:void(0)" class="close-popup" id="noCart">确定</a>' +
			'</div>';

		if(!productsData || productsData.length <= 0) {
			$popCart.html(nohtml);
			$('#pop-cart').slideToggle(200);
			$("#cartBack").show();
			$("#noCart").off('tap').on('tap', function() {
				$('#pop-cart').slideToggle(200);
				$("#cartBack").hide();
			});

		} else {
			var cartTmp = '<div class="yy-edit-title closeMove">' +
				'<a href="javascript:void(0)" id="cart-edit">编辑</a><i class="hotelfont total-choose icon-weixuanzhong {0}"></i>全选' +
				'</div>' +
				'<div style="max-height:300px;width:100%;overflow-y:scroll;"><div style="">{1}</div></div>' +
				'<div class="yy-hotel-edit-bottom closeMove">{3}' +
				'	<font id="costBoxShow">明细</font>' +
				'	<a href="javascript:void(0);"  id="gotoPay">立即预订</a>' +
				'</div>';

			var cartList = new Array();
			var cartListTmp = '<div class="yy-hotel-info">' +
				'<i data-id="{0}" class="hotelfont icon-weixuanzhong {1}"></i><img src="{2}">' +
				'<div>' +
				'	<font>{3}</font><br> {4}<br> {5}' +
				'	<b>{6}</b>{7}' +
				'</div>' +
				'<span>x{8}间</span>' +
				'<i class="cart-edit-item hotelfont icon-zhankai-1 item-edit" data-id="{0}" data-type="{9}"></i>' +
				'<a class="cart-edit-item item-del" data-id="{0}" href="javascript:void(0)"></a>' +
				'<strong class="cart-edit-item item-del" data-id="{0}">删除</strong>' +
				'</div>';

			for(var i = 0; i < productsData.length; i++) {
				var isbuy = "";
				if(productsData[i].isBuy) {
					isbuy = "icon-xuanzhong";
				}
				var leavePrice = "";
				if(!!productsData[i].leavePrice) {
					leavePrice = "省" + app.GetRoomListV2.GetRoomListV2Enity.currency + productsData[i].leavePrice;
				}
				cartList.push(app.format(cartListTmp, productsData[i].code, isbuy, productsData[i].pic, productsData[i].name, productsData[i].desc, productsData[i].type, app.GetRoomListV2.GetRoomListV2Enity.currency + productsData[i].price, leavePrice, productsData[i].num, productsData[i].roomCountType));
			}
			var moneyhtml = "";
			moneyhtml += '<span id="b2bspan" style="font-size: 12px;"><i>&nbsp;&nbsp;总额：';
			moneyhtml += '<sl id="allPrice">' + app.GetRoomListV2.GetRoomListV2Enity.currency + '<strong style="font-size:1.7rem;"><b>' + total + '</b></strong></sl></i>';
			moneyhtml += '<i class="ordersave" style="display: none;">&nbsp;&nbsp;省：<sl id="savemoney">' + savemoney + '</sl></i></span>';
			//         $("#savemoney").html(app.GetRoomListV2.GetRoomListV2Enity.currency +savemoney);
			var all = "";
			if(isChooseAll) {
				all = "icon-xuanzhong";
			}

			var cartHtml = app.format(cartTmp, all, cartList.join(""), total, moneyhtml);
			$popCart.html(cartHtml);
			if(window.sikeCart.getAllBuyleavePrice() > 0) {
				$(".ordersave").show();
				$(".yy-hotel-edit-bottom span i").css("line-height", "20px");
			}
			$('#pop-cart').slideToggle(200);
			$("#cartBack").show();

			//明细
			$("#costBoxShow").off('tap').on('tap', function() {
				app.handleCart.costShow();

			});

			$("#costClose").off('tap').on('tap', function() {
				$("#costBox").hide();
			});

			$("#gotoPay").off('tap').on('tap', function() {
				var param = {};
				param.Hid = app.NewDetail.GetInfoEnity.data.Hid;
				param.Did = app.NewDetail.GetInfoEnity.data.Did;

				if(self.CheckCartRoomType()) {
					self.GotoVerification();
				}
			});
			self.cartChoose($popCart);
			self.editCart();
			
			app.ReplaceImgRequestHeader()
		}

	},
	getTotalHtml: function() {
		return app.GetRoomListV2.GetRoomListV2Enity.currency + window.sikeCart.getAllBuyPrice();
	},
	getTotalHtml2: function() {
		return window.sikeCart.getAllBuyPrice();
	},
	getSavemoney: function() {
		return app.GetRoomListV2.GetRoomListV2Enity.currency + window.sikeCart.getAllBuyleavePrice();
	},
	cartChoose: function($cartContent, getTotal) {
		var self = app.handleCart;
		$cartContent.find('.icon-weixuanzhong').off().on('tap', function() {
			var $this = $(this);
			if($this.hasClass('total-choose')) {
				if($this.hasClass('icon-xuanzhong')) {
					$cartContent.find('.icon-weixuanzhong').removeClass('icon-xuanzhong');
					window.sikeCart.setAllBuy(false);
				} else {
					$cartContent.find('.icon-weixuanzhong').addClass('icon-xuanzhong');
					window.sikeCart.setAllBuy(true);
				}
			} else {
				var code = $this.attr('data-id');
				if($this.hasClass('icon-xuanzhong')) {
					$this.removeClass('icon-xuanzhong');
					window.sikeCart.setBuy(code, false);
					$cartContent.find('.total-choose').removeClass('icon-xuanzhong');
				} else {
					$this.addClass('icon-xuanzhong');
					window.sikeCart.setBuy(code, true);
					if(window.sikeCart.getAllBuy().length == window.sikeCart.getProducts().products.length) {
						$cartContent.find('.total-choose').addClass('icon-xuanzhong');
					}
				}
			}
			$('#allPrice b').html(app.handleCart.getTotalHtml2());
			$('#savemoney').html(app.handleCart.getSavemoney());
		})
	},
	editCart: function() {
		var $cartContent = $('#pop-cart');
		var $hotelInfo = $cartContent.find('.yy-hotel-info');
		$('#cart-edit').off().on('tap', function() {
			var $this = $(this);
			if($this.html() == '编辑') {
				$this.html('完成');
				$hotelInfo.addClass('yy-hotel-info2');
			} else {
				$this.html('编辑');
				$hotelInfo.removeClass('yy-hotel-info2');
			}
		});
		app.handleCart.goToEdit($cartContent);
		app.handleCart.delItem($cartContent);
	},
	goToEdit: function($cartContent) {
		$cartContent.find('.item-edit').off().on('tap', function() {
			var $this = $(this);
			var id = $this.attr('data-id');
			var type = $this.attr('data-type');
			$('#pop-cart').slideToggle(200);
			$("#cartBack").hide();

			setTimeout(function() {
				app.handleCart.hotelBook(id.split('_')[0], type, true, id);
			}, 300);
		})
	},
	delItem: function($cartContent) {
		$cartContent.find('.item-del').off().on('tap', function() {
			var $this = $(this);
			var id = $this.attr('data-id');

			mui.confirm('确认删除该房间？', '确认', ['确认', '取消'], function(e) {
				if(e.index == 0) {
					window.sikeCart.del(id);
					var num = window.sikeCart.getProductsCategory();
					if(num == 0) {
						$('#pop-cart').slideToggle(200);
						$("#cartBack").hide();
					}

					$this.parents('.yy-hotel-info').remove();
					$('#cart-room-num').html(window.sikeCart.getProductsCategory());
					$('#allPrice b').html(app.handleCart.getTotalHtml2());
					$('#savemoney').html(app.handleCart.getSavemoney());
				} else {

				}
			});
		});
	},
	costShow: function() {
		var productsData = window.sikeCart.getProducts().products;

		var allHtml = "";
		var priceAll = 0;
		var danwei = app.GetRoomListV2.GetRoomListV2Enity.currency;
		var fHtml = "";
		var fPrice = 0;
		var fHtmlTmp = "<h4><span>{0}</span>房费</h4><ul>{1}</ul>";
		var tHtml = "";
		var tPrice = 0;
		var tHtmlTmp = "<h4><span>{0}</span>其他费用</h4><ul>{1}</ul>";
		var countDay = app.GetRoomListV2.GetRoomListV2Enity.cartDate.count;
		if(!!productsData && productsData.length > 0) {
			$.each(productsData, function(i, d) {
				fHtml += "<li><span style=\"with:35%\">" + d.name + "</span><font style=\"with:40px\">" + d.type + "</font><i style=\"with:50%\">" + danwei + d.price + "×" + d.num + "间×" + countDay + "晚</i></li>";
				priceAll = priceAll + Number(d.price) * Number(d.num) * countDay;
				fPrice = fPrice + Number(d.price) * Number(d.num) * countDay;
			});
		}

		allHtml = app.format(fHtmlTmp, danwei + fPrice, fHtml);

		//费用明细
		$("#title").html("费用明细");
		$("#costList").html(allHtml);
		$("#costPriceAll").html("总额：" + danwei + priceAll);
		$("#costBox").show();
	},
	CheckCartRoomType: function() {		
		var isReturn = true;
		if(app.NewDetail.IsGroup == 1) {
			var allBuy = window.sikeCart.getAllBuy();

			var allNum = 0;
			var isSanke = false;
			$.each(allBuy, function(index, item) {
//				if(item.roomCountType == 1) {
//					isSanke = true;
//					allNum += parseInt(item.num);
//				}
				isSanke = true;
				allNum += parseInt(item.num);
			});
			var GroupMinNum = parseInt(app.NewDetail.GroupMin[0]);
			if(allBuy.length == 1 && allBuy[0].num < GroupMinNum) {
				isReturn = true;
			}
			else if(allBuy.length > 1 &&　allNum < GroupMinNum)
			{
				isReturn = false;
				app.showMsg(app.NewDetail.GroupMinDesc);
			}
			else 
			{
				isReturn = true;
			}
			
//			if(!isSanke || (isSanke && allNum >= GroupMinNum)) {
//				isReturn = true;
//			} else {
//				isReturn = false;
//				app.showMsg(app.NewDetail.GroupMinDesc);
//			}
		}
		return isReturn;
	}
}