(function(window, $) {
	window.ScatteredHotelDetail = (function() {
		var GetInfoEnity = {
			url: projectConfig.apiName.GetHotelInfo,
			data: {
				Hid: "",
				IsGroup:0
			}
		}

		var GetRoomListV3Entity = {
			url: projectConfig.apiName.GetRoomListV3,
			data: {
				Hid: "",
				OrderType: 3,
				ArrivalDate: "",
				DepartureDate: ""
			}
		}
		
		var QueryMyTravelStandardEnity= {
		url: projectConfig.apiName.QueryMyTravelStandard,
		data: {
			
		}
		}
		
		var orderEntity={
			Hid:0,
			IsTravelBussiness:1,
			ArrivalDate:"",
			DepartureDate:"",
			Rooms:[]
		}

		var Dates = [];
		var StarRate=0;
		function init() {
			LoadInfo();
		}

		function LoadInfo() {
			app.showWaiting('加载中...', 1);
			app.Post(GetInfoEnity, null, LoadInfoCallback)
			initDates();
		}

		function initInfoEvent() {
			$("#simgcont").off().on("tap", function() {
				app.ShowWebView(projectConfig.ViewId.Hotel.photoAlbum.url, {
					Hid: GetInfoEnity.data.Hid
				});
			})
			$("#scimg").off().on("tap", function() {
				var val = $("#scimg").attr("val");
				if(val == 1){
					initCollection(false);
					app.framework.collect(GetInfoEnity.data.Hid,true,null,0);
				}
				else{
					initCollection(true);
					app.framework.collect(GetInfoEnity.data.Hid,false,null,0);
				}
			});
			
			$("#detaildiv").off().on("tap",function(){
				app.ShowWebView(projectConfig.ViewId.Hotel.detail.url, {
					Hid: GetInfoEnity.data.Hid
				});
			})
			$("#mapdiv").off().on("tap",function(){
				app.ShowWebView(projectConfig.ViewId.Hotel.map.url, {
					Hid: GetInfoEnity.data.Hid
				});
			})
			
			initHeaderScroll();
		}

		function initCollection(flag) {
			if(flag) {
				$("#scimg").attr("src", "../images/collection.png");
				$("#scimg").attr("val", "1");
			} else {
				$("#scimg").attr("src", "../images/no_collection.png");
				$("#scimg").attr("val", "0");
			}
		}

		function initDateEvent() {
			$(".hotel-detail-dateview").off().on("tap", function() {
				$(".newdateback").show();
				$(".datecalendar").slideToggle(200);
			});
			$(".newdateback").off().on("tap", function() {
				$(".newdateback").hide();
				$(".datecalendar").slideToggle(200);
			});
		}
		
		function initRoomEvent(){
			$(".hotel-search-detail-view").off().on("tap",function(){
				$(".hotel-room-list").hide();
				$(this).next().show();
			});
			
			$(".show-more").off().on("tap",function(){
				$(this).parent().find('.hotel-room-detail').removeClass("none");
				$(this).hide();
			})
			
			$(".ce-yd-price").off().on("tap",function(){
				var roomId=$(this).attr("roomid");
				var price=$(this).attr("price");
				var protocol=$(this).attr("protocol") ==1 ?true : false;
				var count=$(this).attr("count");
				var eltypeId=$(this).attr("eltypeId");
				
				if(count<=0)
					return;
				
				var entity={
					Id:roomId,
					Price:price,
					IsProtocol:protocol,
					count:1,
					ELTypeId:eltypeId
				};
				orderEntity.Hid=GetInfoEnity.data.Hid;
				orderEntity.ArrivalDate=Dates[0]
				orderEntity.DepartureDate=Dates[1]
				orderEntity.Rooms=[];
				orderEntity.Rooms.push(entity);
				orderEntity.cityId=window.ScatteredHotelDetail.QueryMyTravelStandardEnity.data.CityId;
				
				app.CanSetOrder(projectConfig.ViewId.Hotel.ScatteredWriteOrder,orderEntity);
				//app.ShowWebView(projectConfig.ViewId.Hotel.ScatteredWriteOrder.url,orderEntity,null,projectConfig.ViewId.Hotel.ScatteredWriteOrder.Id);
			})
		}

		function initDates() {
			var settings = app.getSettings();
			var dates = []
			if(settings.searchparam1) {
				dates = settings.searchparam1.CheckList;
			}
			window.HotelDate.initDate(dateCallBack, dates);
		}

		function LoadInfoCallback(data) {
			if(app.GetResultState(data)) {
				var hotelInfo = data.HotelInfo;
				var tmplHot1 = template('hotelHeader-template', hotelInfo);
				$("#hotel-pic").html(tmplHot1);
				$(".mui-title").text(hotelInfo.Name);
				initCollection(hotelInfo.HasCollection == 0 ? false : true);

				var falicitys = GetFacility(hotelInfo);
				var render = template.compile(hotelInfoTpl);
				hotelInfo.falicitys = falicitys.list;
				StarRate=hotelInfo.StarRate;
				QueryMyTravelStandardEnity.data.CityId=hotelInfo.City.Id;
				$("#canceldiv").html(hotelInfo.DepartureTimeNotice);
				$("#hotelInfoTemplate").html(render(hotelInfo));
				app.ReplaceImgRequestHeader();
				initInfoEvent();
			} else {
				mui.confirm(data.Msg, "提示", ["查看其他酒店"], function(e) {
					if(e.index == 0) {
						mui.back();
					}
				})
			}
		}

		function LoadRoomList() {
			app.showWaiting('加载中...', 1);
			$(".hotel-detail-cancelview").addClass("none");
			app.Post(GetRoomListV3Entity, null, LoadRoomListCallback)
		}

		function LoadRoomListCallback(data) {
			if(app.GetResultState(data)) {
				
				$("#roomListTemplate").css("height","auto");
				
				var tmplHot1 = template('roomList-template', data);
				$("#roomListTemplate").html(tmplHot1);
				app.ReplaceImgRequestHeader();
				initRoomEvent();
			} else {
				var top = $("#roomListTemplate").offset().top;
				var wheight = $(window).height();
				var cheight = $(".hotel-detail-cancelview").height();

				var height = wheight - top - cheight;

				height = height < 200 ? 200 : height;
				$("#roomListTemplate").height(height)

				var tmplHot1 = template('noroom-template', {});
				$("#roomListTemplate").css("margin-bottom", "10px")
				$("#roomListTemplate").html(tmplHot1);
			}

			$(".hotel-detail-cancelview").removeClass("none");
		}

		function GetFacility(hotelInfo) {
			var data = {}
			var list = []

			for(var i = 0; i < hotelInfo.FacilityList.length; i++) {
				var type = hotelInfo.FacilityList[i];
				var detail = {}
				switch(type) {
					case 101:
						detail.src = "../images/wifi.png"
						detail.name = "wifi";
						break;
					case 201:
						detail.src = "../images/youxian.png"
						detail.name = "宽带";
						break;
					case 301:
						detail.src = "../images/tingchechang.png"
						detail.name = "停车场";
						break;
					case 401:
						detail.src = "../images/jieji.png"
						detail.name = "接机服务";
						break;
					case 501:
						detail.src = "../images/youyongchi.png"
						detail.name = "游泳池";
						break;
					case 601:
						detail.src = "../images/huiyishi.png"
						detail.name = "会议室";
						break;
					case 701:
						detail.src = "../images/canting.png"
						detail.name = "餐厅";
						break;
					case 801:
						detail.src = "../images/jianshenfang.png"
						detail.name = "健身房";
						break;
					case 901:
						detail.src = "../images/banche.png"
						detail.name = "班车接送";
						break;
					default:
						break;
				}
				list.push(detail)
			}
			data.list = list
			return data;
		}

		function dateCallBack(data) {
			var datas = data;
			var startdate = datas[0];
			var enddate = datas[1];

			var month = app.DateTool.DateFormat("MM", startdate);
			var day = app.DateTool.DateFormat("dd", startdate);
			var week = app.DateTool.DateFormat("w", startdate);
			var str1 = month + "月" + day + "日";
			var month = app.DateTool.DateFormat("MM", enddate);
			var day = app.DateTool.DateFormat("dd", enddate);
			var week = app.DateTool.DateFormat("w", enddate);
			var str2 = month + "月" + day + "日";
			var iday = app.DateTool.datedifference(startdate, enddate);
			var showdata = {
				start: str1,
				end: str2,
				days: iday
			}
			
			Dates=data;
			
			GetRoomListV3Entity.data.ArrivalDate = startdate;
			GetRoomListV3Entity.data.DepartureDate = enddate;
			var settings = app.getSettings();
			
			settings.searchparam1.CheckList=datas;
			settings.HotelSearchParam.data.CheckList=datas;
			
			app.setSettings(settings);

			LoadRoomList();
			var tmplHot1 = template('dateheaderinfo-template', showdata);
			$("#dateTemplate").html(tmplHot1);
			initDateEvent();	
		}
		
		function initHeaderScroll(){
			var showHeight = $(".img-container").height();
			var header=$("#HotelName");
		//此种方法兼容安卓和苹果手机    耗性能
		var count = 0,
			timer = null;
		var oldTop = newTop = $(window).scrollTop(); //为了方便起见，使用jquery或者zepto框架
		function log() {
			if(timer) clearTimeout(timer);
			newTop = $(window).scrollTop();
			if(newTop === oldTop) {
				clearTimeout(timer);
				if(oldTop > showHeight) {
					header.show();
				} else {
					header.hide();
				}
			} else {
				oldTop = newTop;
				timer = setTimeout(log, 100);
				if(oldTop > showHeight) {
					header.show();
				} else {
					header.hide();
				}
			}
		}
		$(window).on('touchmove', log);
		}
		
		return {
			init: init,
			GetInfoEnity: GetInfoEnity,
			GetRoomListV3Entity: GetRoomListV3Entity,
			QueryMyTravelStandardEnity:QueryMyTravelStandardEnity
		}
	})();
})(window, $);