(function(window, $) {
	window.ScatteredHotelList = (function() {
		function init() {
			initEvent();
		}

		function initEvent() {
			$(".hotel-search-rankcancel").on("tap", function() {
				$(".hotel-search-rankview").hide();
				var subView = plus.webview.getWebviewById(projectConfig.ViewId.Hotel.Sub_ScatteredList.Id);
				subView.evalJS("window.Sub_ScatteredHotelList.hideRankView()");
			});

			$("#sSort").on("tap", function() {
				$(".hotel-search-rankview").show();
				var subView = plus.webview.getWebviewById(projectConfig.ViewId.Hotel.Sub_ScatteredList.Id);
				subView.evalJS("window.Sub_ScatteredHotelList.showRankView()");
			});

			$("#sPrice").on("tap", function() {
				app.ShowWebView(projectConfig.ViewId.Hotel.HotelFacility.url, {
					type: 1
				}, projectConfig.ViewId.Hotel.HotelFacility.Id);
			});

			$("#sPosition").on("tap", function() {
				app.ShowWebView(projectConfig.ViewId.Hotel.HotelFacility.url, {
					type: 2
				}, projectConfig.ViewId.Hotel.HotelFacility.Id);
			});

			$("#sScreen").on("tap", function() {
				app.ShowWebView(projectConfig.ViewId.Hotel.HotelFacility.url, {
					type: 3
				}, projectConfig.ViewId.Hotel.HotelFacility.Id);
			});
		}

		function ShowDefault(data) {
			var rank = "智能排序";
			var price = "";
			var star = "";
			var dest = "区域";
			if(data.Rank) {
				for(var i = 0; i < data.Rank.length; i++) {
					if(data.Rank[i].IsSelect == 1)
						rank = data.Rank[i].Name;
				}
			}

			$("#sSorts").html(rank);

			if(data.price) {
				var Prices = app.model.Prices || {};
				for(var i = 0; i < Prices.length; i++) {
					if(Prices[i].minval == parseInt(data.price[0]) && Prices[i].maxval == parseInt(data.price[1])) {
						if(Prices[i].sort > 0) {
							price = Prices[i].name;
						}
					}
				}
			}

			if(data.star) {
				for(var n = 0; n < data.star.length; n++) {
					if(data.star[n] != 0 && data.star[n] != null) {
						var starentity = GetStarsModel(data.star[n]);
						var condition = {}
						star += starentity.name + "、"
					}
				}
				if(star.length > 0){
					star = star.substring(0,star.length - 1)
				}	
			}

			if(!price && !star)
				$("#sPrices").html("价格星级");
			else
				$("#sPrices").html(price + " " + star);

			$("#destSort").html(data.CityName);

			if(data.Facilitys && data.Facilitys.length > 0) {
				$("#bScreeCount").show();
			}
			if(data.Brands && data.Brands.length > 0) {
				$("#bScreeCount").show();
			}

			if(data.Protocols && data.Protocols.length > 0) {
				$("#bScreeCount").show();
			}

			if((!data.Facilitys || data.Facilitys.length <= 0 || (data.Facilitys.length == 1 && data.Facilitys[0] == 0)) && (!data.Brands || data.Brands.length <= 0 || (data.Brands.length == 1 && data.Brands[0] == 0)) && (!data.Protocols || data.Protocols.length <= 0 || (data.Protocols.length == 1 && data.Protocols[0] == 0))) {
				$("#bScreeCount").hide();
			}
			var title = "";
			if(data.CityName) {
				if(data.CityName.length > 8) {
					title = data.CityName.substr(0, 7) + "...酒店";
				}else{
					title = data.CityName + "酒店";
				}
			}
			$("#areaTitle").html(title + '<i class="iconfont-3-6 icon-xiala" style="font-size:6px;padding-left:2px;margin-top:1px;position: absolute;"></i>');

			$("#areaTitle").off().on("tap", function() {
				var viewId = projectConfig.ViewId.Hotel.Sub_ScatteredList.Id;
				app.ShowWebView('../Demand/SearchDestination.html', {
					Dest: data.Dest,
					viewId: viewId,
					flag: 4
				});
			});
		}

		function GetStarsModel(val) {
			var Stars = app.model.Stars;
			for(var i = 0; i < Stars.length; i++) {
				if(Stars[i].val == val) {
					return Stars[i];
				}
			}
		}

		function hideRank() {
			$(".hotel-search-rankview").hide();
		}

		function GetStarsModel(val) {
			var Stars = app.model.Stars;
			for(var i = 0; i < Stars.length; i++) {
				if(Stars[i].val == val) {
					return Stars[i];
				}
			}
		}

		return {
			init: init,
			ShowDefault: ShowDefault,
			hideRank: hideRank
		}
	})();
})(window, $);