app.OrderResident = {
	ResidentEntity: {
		url: projectConfig.apiName.GetOrderResidentInfo,
		data: {
			SerialNo: 0,
			BookerMemberId:""
		}
	},
	SubmitResidentEntity: {
		url: projectConfig.apiName.SubmitOrderResidentInfo,
		data: {
			"SerialNo": 0,
			"ResidentInfo": [{
				"ELPolicyId": "",
				"ResidentName": ""
			}]
		}
	},
	initData: function() {
		var self = app.OrderResident;
		var entity = self.ResidentEntity;
		app.Post(entity, null, self.initDataBack);
	},
	initDataBack: function(data) {
		var self = app.OrderResident;
		var htmlcode = "";
		var $ResidentInfo = data.ResidentInfo;
		for(var i = 0; i < $ResidentInfo.length; i++) {
			htmlcode += '<section class="order-resident-content">';
			htmlcode += '<h3 class="order-resident-content-title">' + $ResidentInfo[i].ELPolicyName + '</h3>';
			htmlcode += '<div class="order-resident-content-content">';
			if(!data.Status) {
				htmlcode += '<textarea readonly placeholder="请填写入住人姓名，以逗号分隔，同住一间以加号表示。 例如 张三+李四，王五+赵六 （港澳台酒店填写：Zhang/san+Li/si，Wang/wu+Zhao/liu）" data-id="' + $ResidentInfo[i].ELPolicyId + '" data-amount="' + $ResidentInfo[i].Amount + '">';
			} else {
				htmlcode += '<textarea placeholder="请填写入住人姓名，以逗号分隔，同住一间以加号表示。 例如 张三+李四，王五+赵六 （港澳台酒店填写：Zhang/san+Li/si，Wang/wu+Zhao/liu）" data-id="' + $ResidentInfo[i].ELPolicyId + '" data-amount="' + $ResidentInfo[i].Amount + '">';
			}

			htmlcode += '' + $ResidentInfo[i].ResidentName + '</textarea></div></section>';
		}
		$("#resident-content-list").html(htmlcode);
		if(data.Status) {
			$(".btn-seta").show();
		}
		self.SubmitOrderResidentInfoResp($("#btn-save"));
	},
	ValidateSubmit: function() {
		var self = app.OrderResident;
		var arryInfo = [];
		var isSubmint = true;
		$("#resident-content-list textarea").each(function() {
			var textVal = $(this).val();
			var amount = $(this).attr("data-amount");
			if(textVal == "") {
				$(this).focus();
				app.showMsg("请输入入住人信息");
				isSubmint = false;
			}
			textVal = textVal.replace(/，/ig, ",");
			var dataStr = textVal.split(",");
			if(dataStr.length != amount) {
				$(this).focus();
				app.showMsg("请按照格式输入入住人信息");
				isSubmint = false;
			}

			for(var i = 0; i < dataStr.length; i++) {
				if(!dataStr[i] || (!dataStr[i] && dataStr[i].trim().vals == "")) {
					$(this).focus();
					app.showMsg("请按照格式输入入住人信息");
					isSubmint = false;
				}
			}

			arryInfo.push({
				"ELPolicyId": $(this).attr("data-id"),
				"ResidentName": textVal
			});
		});

		self.SubmitResidentEntity.data.ResidentInfo = arryInfo;
		return isSubmint;
	},
	SubmitOrderResidentInfoResp: function($btnsave) {
		var self = app.OrderResident;
		var currview=plus.webview.currentWebview().opener();
		var own=plus.webview.currentWebview();
		$btnsave.on('tap', function() {
			if(self.ValidateSubmit()) {
				mui.confirm('提交后将不能修改，请确认填写无误？', '提示', ['填写无误', '我再想想'], function(e) {
					if(e.index == 0) {
						app.Post(self.SubmitResidentEntity, null, function(data) {
							if(data.Code == '0000') {
								app.showMsg('提交成功');
								currview.evalJS("$('#orderresident-text').html('入住人姓名已全部填写');");
								own.close();
//								mui.back();
							} else {
								app.showMsg(data.Msg);
							}
						});
					}
				});
			}

		});
	}
}