app.Ordersub = {
	GetHotelOrderListEntity: {
		url: projectConfig.apiName.GetHotelOrderList,
		data: {
			Type: 0,
			Page: {
				Index: 1,
				size: 10
			}
		}
	},
	PageInfo: { "Index": 1, "Size": 10, "Amount": 0, "ResultAmount": 0 },
	PayButton: {
		url: "",
		data: {
			SerialNo: 0
		}
	},
	confirmButton: {
		url: projectConfig.apiName.CancelHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	confirmRoomButton: {
		url: projectConfig.apiName.ConfirmHasRoomHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	confirmCheckInButton: {
		url: projectConfig.apiName.ConfirmCheckInHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	confirmReceiptButton: {
		url: projectConfig.apiName.ConfirmReceiptHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	cancelButton: {
		url: projectConfig.apiName.CancelHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	showdata: function() {
		$("#pullrefresh").fadeIn();
	},
	callback: function(data) {
		var self = app.Ordersub;
		if(app.GetResultState(data)) {
			app.Ordersub.PageInfo = data.PageInfo;
			self.HandleData(data, 0);
		} else {
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			app.renderNoResult(data.Msg, '', null, null, $("#wrapperContent"));
			self.showdata();
		}
	},
	HandleData: function(data, type) {
		var self = app.Ordersub;
		var OrderList = data.OrderList;
		if(OrderList != null && OrderList.length > 0) {
			self.InitOrderList(OrderList, type);
		} else {
			if(data.PageInfo.Index==1){
				app.renderNoResult("暂无订单", "", null, null, $("#wrapperContent"));
				self.showdata();
			}
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
		}
	},
	InitOrderList: function(data, type) {
		var self = app.Ordersub;
		var htmlArray = new Array();
		var obj = $("#wrapperContent");
		var htTmp = "<div class=\"my-order-center-nopay\" style=\"color:#333\">" +
			"	<div class=\"my-order-center-orderinfo\" vr=\"{6}\" data-product-type=\"{8}\">" +
			"		<a href=\"javascript:void(0);\" >" +
			"			<div class=\"order-p-title b-flex b-align-centenr b-flex-row\" style=\"color:#333;\">" +
			"               <span class=\"order-panel-title\">{7}</span>" +
			"				<font data-product-type=\"{8}\">{0}</font>" + 
			"			</div>" +
			"			<div class=\"my-order-cont\">" +
			"		 		<div class=\"my-order-left\">" +
			"					<font>{1}</font>" +
			"						<br><p class=\"my-order-xq\"><img src=\"{12}\" class=\"{13}\" />{2}</p>" +
			"				</div>" +
			"				<span style=\"color:#999;padding-top:1rem\">" +
			"					<font class=\"order-p-st {9}\" style='color:#ff4c4c'>{3}</font>" +
			"					<div class=\"my-order-state\" id=\"{10}\">{4}</div>" +
			"				</span>" +
			"				<div class=\"clear\"></div>" +
			"			</div>" +
			"		</a>" +
			"	</div>{5}" +
			"</div>";
		if(data != null && data.length > 0) {
			htmlArray.push("<section class=\"order-flex\" style=\"top:0px;\">");
			for(var i = 0; i < data.length; i++) {
				var demand = data[i];
				if(demand.Body == null) {
					demand.Body = [];
				}
				var ProductType = demand.ProductType;
				var iconClass = '';
				var personData = '';
				var logo="";
				var logoshow="opacity-none";
				if(ProductType == 1) {
					//酒店
					iconClass = '酒店';
				} else if(ProductType == 2) {
					//定制
					iconClass = '定制';
					personData = demand.Person;
				}
				else if(ProductType==5){
					iconClass = '机票';
					var body=demand.Body.join(" ")
					demand.Body=[];
					demand.Body.push(body);
					logo=demand.Logo;
					if(logo){
						logoshow="order-list-plane-logo";
					}
				}
				else if(ProductType==6){
					iconClass = '火车票';
					var body=demand.Body.join(" ")
					demand.Body=[];
					demand.Body.push(body);
				}
				var OrderStatus = demand.OrderStatus;
				var isShowMoney = '';
				var isChangeStatusStyle = '';
				if(demand.ProductType!=5 && demand.ProductType!=6){
					if(OrderStatus == 1 || OrderStatus == 11 || OrderStatus == 63 || OrderStatus == 62) {
						isShowMoney = 'opacity-none';
						isChangeStatusStyle = 'order-status-style';
					}
				}
				var buttons="";
				var price=demand.Price!=null ? '<l style="">￥</l>'+demand.Price[1] : "";
				
				if(demand.FlightTravelType==1){
					demand.Title+="<span class=\'status b-flex b-align-centenr\'>去</span>";
				}
				else if(demand.FlightTravelType==2){
					demand.Title+="<span class=\'status b-flex b-align-centenr\'>返</span>";
				}
				
				if(ProductType == 2) {
					htmlArray.push(app.format(htTmp, demand.Title, demand.Date, personData, price,("<label style='color:#999'>" + demand.Status + "</label>"), buttons, demand.SerialNo, iconClass, demand.ProductType, isShowMoney, isChangeStatusStyle,logo,logoshow,logoshow));
				}else{
					htmlArray.push(app.format(htTmp, demand.Title, demand.Date, demand.Body.join("<br />"), price, ("<label style='color:#999'>" + demand.Status + "</label>") , buttons, demand.SerialNo, iconClass, demand.ProductType, isShowMoney, isChangeStatusStyle,personData,logo,logoshow));
				}
				
			}
			htmlArray.push("</section>");
		} else {
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			app.renderNoResult("暂无订单", data.Msg, null, null, $("#wrapperContent"));
			self.showdata();
		}
		self.showdata();
		if(type == 0) {
			obj.html(htmlArray.join(""));
		} else {
			obj.append(htmlArray.join(""));
		}
		
		$(".order-p-title font").each(function(){
			var type = $(this).attr('data-product-type');
			if(type==5){
				$(this).addClass("b-flex");
				$(this).addClass("b-flex-row");
				$(this).css("width","auto");
			}
		})
		
		self.ControlScroll(type);
		self.bindEventL();
		mui(".order-flex").off().on('tap', '.my-order-center-orderinfo', function() {
			var id = $(this).attr("vr");
			var productType = $(this).attr('data-product-type');
			if(productType == 1) {
				self.GetHotelOrderDetail(id, productType);
			} 
			else if (productType==2) {
				self.GetCustomOrderDetail(id, productType);
			}
			else if (productType==5){
				self.GetPlaneOrderDetail(id, productType);
			}
			else if (productType==6){
				self.GetTrainOrderDetail(id, productType);
			}
		})
	},
	GetHotelOrderDetail: function(id, type) {
		app.ShowWebView(projectConfig.ViewId.Order.MyOrderDetail.url, {
			SerialNo: id,
			isList: 1,
			ProductType: type
		}, '', projectConfig.ViewId.Order.MyOrderDetail.Id);
	},
	GetCustomOrderDetail: function(id, type) {
		app.ShowWebView(projectConfig.ViewId.Scheme.SchemeIndex.url, {
			SerialNo: id,
			isList: 1,
			ProductType: type
		}, '', projectConfig.ViewId.Scheme.SchemeIndex.Id);
	},
	GetPlaneOrderDetail:function(id, type)
	{
		app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, {
			SerialNo: id,
			isList: 1,
			ProductType: type
		}, '', projectConfig.ViewId.Plane.OrderDetail.Id);
	},
	GetTrainOrderDetail:function(id, type)
	{
		app.ShowWebView(projectConfig.ViewId.Train.orderDetail.url, {
			SerialNo: id,
			isList: 1,
			ProductType: type
		}, '', projectConfig.ViewId.Train.orderDetail.Id);
	},
	GetButtonList: function(data, ProductType) {
		var self = app.Ordersub;
		var html = "";
		if(data != null && data.length > 0) {
			html += "<div class=\"my-order-center-btn order-set\">";
			for(var i = 0; i < data.length; i++) {
				var buttonStr = data[i];
				switch(buttonStr.Type) {
					case 100:
						//支付
						html += "<a href=\"javascript:void(0);\" SerialNo='"+buttonStr.Link+"' style=\"font-size:14px;border: 1px solid #13b1f0;border-radius: 4px;padding:6px 18px;margin:0 10px;background:#13b1f1;\" class=\"order-set-pay\" ProductType=\"" + ProductType + "\" val=\"100\">" + buttonStr.Name + "</a>";
						//self.PayButton.data.SerialNo = buttonStr.Link;
						break;
					case 101:
						//确认
						html += "<a href=\"javascript:void(0);\" SerialNo='"+buttonStr.Link+"' style=\"font-size:14px;border: 1px solid #FF5A60;border-radius: 4px;padding:6px 18px;margin:0 10px;\" class=\"order-set-pay\" ProductType=\"" + ProductType + "\" val=\"101\">" + buttonStr.Name + "</a>";
						//self.confirmButton.data.SerialNo = buttonStr.Link;
						break;
					case 6:
						//取消
						html += "<a href=\"javascript:void(0);\" SerialNo='"+buttonStr.Link+"' style=\"font-size:14px;color:#333;border-radius: 4px;padding:6px 18px;margin:0 10px;\" ProductType=\"" + ProductType + "\" val=\"6\">" + buttonStr.Name + "</a>";
						//self.cancelButton.data.SerialNo = buttonStr.Link;
						break;
					case 102:
						//确认有房
						html += "<a href=\"javascript:void(0);\" SerialNo='"+buttonStr.Link+"' style=\"font-size:14px;border: 1px solid #FF5A60;border-radius: 4px;padding:6px 18px;margin:0 10px;\" ProductType=\"" + ProductType + "\" val=\"102\" class=\"order-set-pay\">" + buttonStr.Name + "</a>";
						//self.confirmRoomButton.data.SerialNo = buttonStr.Link;
						break;
					case 103:
						//确认有房
						html += "<a href=\"javascript:void(0);\" SerialNo='"+buttonStr.Link+"' style=\"font-size:14px;border: 1px solid #FF5A60;border-radius: 4px;padding:6px 18px;margin:0 10px;\"  ProductType=\"" + ProductType + "\" val=\"103\" class=\"order-set-pay\">" + buttonStr.Name + "</a>";
						//self.confirmCheckInButton.data.SerialNo = buttonStr.Link;
						break;
					case 104:
						//确认有房
						html += "<a href=\"javascript:void(0);\" SerialNo='"+buttonStr.Link+"' style=\"font-size:14px;border: 1px solid #FF5A60;border-radius: 4px;padding:6px 18px;margin:0 10px;\"  ProductType=\"" + ProductType + "\" val=\"104\" class=\"order-set-pay\">" + buttonStr.Name + "</a>";
						//self.confirmReceiptButton.data.SerialNo = buttonStr.Link;
						break;
					default:

						break;
				}
			}
			html += "</div>";
		}

		return html;
	},
	bindEventL: function() {
		$(".order-set a").on('tap', function() {
			var val = $(this).attr("val");
			var SerialNo=$(this).attr("SerialNo");
			var ProductType = $(this).attr("ProductType");
			val = parseInt(val);
			switch(val) {
				case 100:
					//支付
					app.Ordersub.PayButtonClick(ProductType,SerialNo);
					break;
				case 101:
					//确认
					app.Ordersub.confirmButtonClick(101,SerialNo);
					break;
				case 6:
					//取消
					app.Ordersub.cancelButtonClick(SerialNo);
					break;
				case 102:
					//确认有房
					app.Ordersub.confirmButtonClick(102,SerialNo);
					break;
				case 103:
					//确认有房
					app.Ordersub.confirmButtonClick(103,SerialNo);
					break;
				case 104:
					//确认有房
					app.Ordersub.confirmButtonClick(104,SerialNo);
					break;
				default:

					break;
			}
		});
	},
	PayButtonClick: function(ProductType,SerialNo) {
		if(ProductType == 1) {
			app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, {
				SerialNo: SerialNo,
				isListOrDetail: 1
			}, 'pop-in', projectConfig.ViewId.Payment.Cashier.Id);
		} else {
			app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, {
				SerialNo: SerialNo,
				isListOrDetail: 1,
				ProductType: ProductType
			}, 'pop-in', projectConfig.ViewId.Payment.Cashier.Id);
		}

	},
	confirmButtonClick: function(type,SerialNo) {
		var self = app.Ordersub;
		var bdata = {};

		if(type == 102) {
			bdata = self.confirmRoomButton;
		} else if(type == 103) {
			bdata = self.confirmCheckInButton;
		} else if(type == 104) {
			bdata = self.confirmRoomButton;
		} else {
			return;
		}
		
		bdata.data.SerialNo=SerialNo;

		app.Post(bdata, null, function(data) {
			if(app.GetResultState(data)) {
				app.showMsg("确认成功");
				app.Reload();

			} else {
				app.showMsg(data.Msg);
			}
		});
	},
	cancelButtonClick: function(SerialNo) {
		mui.confirm('是否确认取消订单？', '提示', ['确认', '取消'], function(e) {
			if(e.index == 0) {
				var self = app.Ordersub;
				self.cancelButton.data.SerialNo=SerialNo;
				app.Post(self.cancelButton, null, function(data) {
					if(app.GetResultState(data)) {
						app.showMsg("取消成功");
						app.Reload();
					} else {
						app.showMsg(data.Msg);
					}
				});
			}
		});
	},
	ControlScroll: function(type) {
		var PageInfo = app.Ordersub.PageInfo;
		var self = app.Ordersub;

		if(type == 0) {
			//如果下拉刷新就一页不给上啦事件
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			if(PageInfo.Index >= PageInfo.Amount && PageInfo.Amount == 1) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				self.GetHotelOrderListEntity.data.Page.Index++;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		} else {
			if(PageInfo.Index >= PageInfo.Amount) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				self.GetHotelOrderListEntity.data.Page.Index++;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		}
	},
	pulldownRefresh: function() {
		//初始化加载数据
		var self = app.Ordersub;
		self.GetHotelOrderListEntity.data.Page.Index = 1;
		self.GetHotelOrderListEntity.data.Page.size = 10;
		app.showWaiting("加载中...",1);
		app.Post(self.GetHotelOrderListEntity, null, self.callback);
	},
	pullupRefresh: function() {
		var self = app.Ordersub;
		var _callback = function(data) {
			var self = app.Ordersub;
			if(app.GetResultState(data)) {
				app.Ordersub.PageInfo = data.PageInfo;
				self.HandleData(data, 1);
			} else {
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh(true);
				app.renderNoResult(data.Msg, "", null, null, $("#wrapperContent"));
				self.showdata();
			}
		}
		app.Post(self.GetHotelOrderListEntity, null, _callback);
	}
}