var w = null;
app.Cashier = {
	GetInfoEnity: {
		url: projectConfig.apiName.GetOrderPayInfo,
		data: {
			SerialNo: 0,
			ProductType: 1
		}
	},
	GetPayInfo: {
		url: projectConfig.apiName.GetPayInfoByPayType,
		data: {
			SerialNo: 0,
			Type: 1,
			ProductType: 1
		} 
	},
	_runPayOrderCountDown:0,
	SuccessMessage1: "",
	SuccessMessage2: "",
	IsChangeOrder:false,
	DeductionType:0,
	DeductionAmount:0,
	ReturnPayInfo: {
		url: projectConfig.apiName.ReturnPayInfo,
		data: {
			SerialNo: 0,
			Type: 1,
			ProductType: 1,
			rawdata: {
				resultStatus: '',
				result: ''
			}
		}
	},
	pageConfig: {
		infoId: 'hotel-info',
		facilitiesId: 'hotel-facilities',
		trafficId: 'hotel-traffic',
		noList: '',
		payWay: 'alipay',
		channels: null
	},
	init: function() {
		var self = app.Cashier;
		self.ajaxData();

		$('#footerPay').on('tap', '.pay', function(e) {
			self.GotoPay();
		});
	},
	showOrderDetail: function(data) {
		var self = app.Cashier;
		app.Cashier.SuccessMessage1 = data.SuccessMessage[0];
		app.Cashier.SuccessMessage2 = data.SuccessMessage[1];
		app.Cashier.IsChangeOrder = data.PayInfo.IsChangeOrder;
		self.GetPayInfo.data.SerialNo = data.PayInfo.SerialNo; 
		self.GetPayInfo.data.ProductType = data.PayInfo.ProductType;
		self.ReturnPayInfo.data.ProductType = data.PayInfo.ProductType;
		self.ReturnPayInfo.data.SerialNo = data.PayInfo.SerialNo;
		
		self.DeductionType = data.DeductionType;
		self.DeductionAmount = data.DeductionAmount;
		
		//做处理添加服务费 后总价
		var pr = data.PayInfo.Price;
		var alfuwuPrice = Number(pr[1]) + Number(data.ExtraServicePrice);
		$("#Price").attr("data-fuwu",alfuwuPrice);
		
		if(data.ExtraServicePrice > 0)
		{
			$("#pesionPay").html("("+data.ExtraServicePrice+"元服务费)");
		}
		
		$("#ceTips").html(data.Tips);
		
		var leftTime = 0;
		if(data.PayInfo.Hits.indexOf("Time")>=0){
			try {
				var strTime = data.PayInfo.Time.replace(/-/g, "/");
				var sysTime = data.PayInfo.SystemTime.replace(/-/g, "/");
				leftTime = new Date(strTime).getTime() - new Date(sysTime).getTime();
			} catch(e) {}
	
			$("#Hits").html("<i class=\"cee-iconfont icon-qx\"></i>" + data.PayInfo.Hits.replace("Time", '<span id="countdown-content" data-countdown="' + leftTime + '">' + app.Cashier.getCountdown(leftTime) + '</span>'));
			app.Cashier.runCountdown();
		}else{
			$("#Hits").html("<i class=\"cee-iconfont icon-qx\"></i>" + data.PayInfo.Hits);
		}
		$("#Title").html(data.PayInfo.Title);
		if(self.GetInfoEnity.data.ProductType == 5) {
			var temps=data.PayInfo.Date.split("  ");
			$("#DateB").html(temps[1] +"<br />" + temps[0] );
		} 
		else if(self.GetInfoEnity.data.ProductType == 30){
			$("#DateB").html(data.PayInfo.Body[0].replace(/〈/g,"<span style='color:#ff4c4c'>").replace(/〉/g,"</span>"));
		} 
		else {
			$("#DateB").html(data.PayInfo.Date);
		}
		if(data.PayInfo.ReturnTitle != null) {
			$("#TitleR").html(data.PayInfo.ReturnTitle);
			if(self.GetInfoEnity.data.ProductType == 5) {
				var temps=data.PayInfo.ReturnDate.split("  ");
				$("#DateR").html(temps[1] +"<br />" + temps[0] );
			} else {
				$("#DateR").html(data.PayInfo.ReturnDate);
			}
		} else {
			$("#TitleR").hide();
			$("#DateR").hide();
		}
		var jsArray = data.PayInfo.Body;
		//$("#contenBody").html(jsArray.join(";"));
		var Price = data.PayInfo.Price;
		$("#Price").html(Price[1]);
		$("#Price").attr("data-price",Price[1]);
		var tmp = "<li class='mui-table-view-cell mui-media'><a class='b2b-check {3}' vr='{4}'>" +
			"<img class='mui-media-object mui-pull-left' src='{0}'>" +
			"<div class='mui-media-body'>" +
			"<h4 style='font-size: 16px;color: #000000; margin-bottom: 0px;'>{1}</h4>" +
			"<p class='mui-ellipsis' style='font-size: 12px;'>{2}</p> " +
			"</div>" +
			"</a>" + "</li>";
		var payListHtml = '';

		if(!!data.PayTypeList && data.PayTypeList.length > 0) {
			$.each(data.PayTypeList, function(i, d) {
				payListHtml += app.format(tmp, d.Logo, d.Title, d.Body, self.GetPayDefault(d.IsSelect), self.GetPayWay(d.Type, d.IsSelect));
			});
		}
		
		
		
		$("#payList").html(payListHtml);

		self.initCheckbox();
		$("#order-load").hide();
		$(".order-cont").show();
	},
	ajaxData: function() {
		var self = app.Cashier;
		var _render = function(data) {
			if(app.GetResultState(data)) {
				self.showOrderDetail(data);
			} else {
				$("#order-load").hide();
				app.renderNoResult(data.Msg, '', null, null, $(".order-no"));
			}
		};
		if(self.GetInfoEnity.data.ProductType==30){
			self.GetInfoEnity.data.SerialNo=self.GetInfoEnity.data.InvoiceId;
		}
		app.showWaiting("加载中...", 1);
		app.Post(self.GetInfoEnity, null, _render);
	},
	GetPayWay: function(obj, selected) {
		var self = app.Cashier;
		var payWay = "";
		switch(obj) {
			case 1:
				payWay = "alipay";
				if(selected == 1) {
					self.pageConfig.payWay = "alipay";
				}
				break;
			case 2:
				//微信支付 待开发
				payWay = "wxpay";
				if(selected == 1) {
					self.pageConfig.payWay = "wxpay";
				}
				break;
			case 3:
				//网银支付 待开发
				payWay = "alipay";
				if(selected == 1) {
					self.pageConfig.payWay = "alipay";
				}
				break;
			case 97:
				payWay = "company";
				if(selected == 1) {
					self.pageConfig.payWay = "company";
				}
				break;
			default:
				payWay = "alipay";
				if(selected == 1) {
					self.pageConfig.payWay = "alipay";
				}
				break;
		}
		return payWay;
	},
	GetPayDefault: function(obj) {
		var payWay = "";
		switch(obj) {
			case 0:
				payWay = "b2b-icon-check";
				break;
			case 1:
				payWay = "b2b-icon-check-active";
				break;
			default:
				payWay = "b2b-icon-check";
				break;
		}
		return payWay;
	},
	initCheckbox: function() {
		var self = app.Cashier;
		$(".b2b-check").each(function() {
			this.addEventListener('tap', function() {
				$(".b2b-check").each(function() {
					$(this).removeClass("b2b-icon-check-active");
					$(this).addClass("b2b-icon-check");
				});
				$(this).removeClass("b2b-icon-check");
				$(this).addClass("b2b-icon-check-active");

				var way = $(this).attr("vr");
				self.pageConfig.payWay = way;
				if(way == "company")
				{
					$("#pesionPay").hide();
					$("#Price").html($("#Price").attr("data-price"));
				}
				else
				{
					$("#pesionPay").show();
					$("#Price").html($("#Price").attr("data-fuwu"));
				}
				
			})
		});
		
		if(self.pageConfig.payWay == "company")
		{
			$("#pesionPay").hide();
			$("#Price").html($("#Price").attr("data-price"));
		}else
		{
			$("#pesionPay").show();
			$("#Price").html($("#Price").attr("data-fuwu"));
		}
		
	},
	ConvertJSONDateToJSDateObject: function(JSONDateString) {
		var date = new Date(JSONDateString);
		var year = date.getFullYear();
		var month = date.getMonth + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
		var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
		var hour = date.getHours();
		var minute = date.getMinutes();
		var second = date.getSeconds();
		//var datastr = year + "-" + month + "-" + currentDate + " " + hour + ":" + minute + ":" + second;
		var datastr = hour + ":" + minute;
		return datastr;
	},
	getPayChannel: function(bc_channel) {
		for(var i in app.Cashier.pageConfig.channels) {
			if(app.Cashier.pageConfig.channels[i].id == bc_channel) {
				return app.Cashier.pageConfig.channels[i];
			}
		}
		return null;
	},
	GotoPay: function() {
		var self = app.Cashier;
		var payWay = app.Cashier.pageConfig.payWay;

		if(payWay == "company") {
			app.Cashier.GetPayInfo.data.Type = 97;
			if(self.DeductionType == 0)
			{
				mui.confirm("您的公司账户余额不足，请充值后使用", "", ["知道了"], function() {});
				return;
			}
			
			mui.confirm('确定使用公司账户支付嘛？',' ', ['取消', '确认'], function(e) {
				if(e.index == 1) {
					app.Cashier.payReq(app.Cashier.GetPayInfo, function(data) {
						app.Cashier.GotoResult();
					}, function(e) {
						clearInterval(app.Cashier._runPayOrderCountDown);
						var webview = plus.webview.currentWebview().id;
						var webviewparent = plus.webview.currentWebview().parent();
						if(webviewparent != null) {
							webviewparent = webviewparent.id;
						}
						if(e.Code == "8001" || e.Code == "8000") {
							app.ToLogin("");
						} else if(e.Code == "abort") {
							var url = "../Customer/error.html";
							app.ShowWebView(url, {
								typename: '网络断开了，请设置网络',
								webview: webview,
								webviewparent: webviewparent
							});
						} else if(e.Code == "timeout") {
							app.showMsg("请求超时，请稍后重试");
						} else {
							app.showMsg(e.Msg);
						}
					});
				}
			}, 'div')

		} else {
			if(payWay == "alipay") {
				app.Cashier.GetPayInfo.data.Type = 1;
			}
			if(payWay == "wxpay") {
				app.Cashier.GetPayInfo.data.Type = 2;
			}
			app.Cashier.payReq(app.Cashier.GetPayInfo, function(data) {
				app.Cashier.GotoResult();
			}, function(e) {
				var webview = plus.webview.currentWebview().id;
				var webviewparent = plus.webview.currentWebview().parent();
				if(webviewparent != null) {
					webviewparent = webviewparent.id;
				}
				if(e.Code == "8001" || e.Code == "8000") {
					app.ToLogin("");
				} else if(e.Code == "abort") {
					var url = "../Customer/error.html";
					app.ShowWebView(url, {
						typename: '网络断开了，请设置网络',
						webview: webview,
						webviewparent: webviewparent
					});
				} else if(e.Code == "timeout") {
					app.showMsg("请求超时，请稍后重试");
				} else {
					app.showMsg(e.Msg);
				}
			});
		}
	},
	GotoResult: function() {
		clearInterval(app.Cashier._runPayOrderCountDown);
		var self = app.Cashier;
		var ProductType = self.ReturnPayInfo.data.ProductType;
		var invoiceProductType=_invoiceProductType;
		app.ShowWebView(projectConfig.ViewId.Payment.PaySuccess.url, {
			SerialNo: self.ReturnPayInfo.data.SerialNo,
			ProductType: ProductType,
			SuccessMessage1: app.Cashier.SuccessMessage1,
			SuccessMessage2: app.Cashier.SuccessMessage2,
			invoiceProductType:invoiceProductType
		}, 'pop-in', projectConfig.ViewId.Payment.PaySuccess.Id);
		
	},
	payReq: function(data, cbsuccess, cberror) {
		app.Cashier.doPay(data, cbsuccess, cberror);
	},
	doPay: function(requestParam, cbsuccess, cberror) {
		if(w) return;

		w = plus.nativeUI.showWaiting();
		var version = plus.os.version;
		var vs = version.split('.');
		if(vs[0] < 9) {
			app.apiUrl = app.apiUrl.replace("https", "http");
		}
		mui.ajax(app.apiUrl + requestParam.url, {
			data: app.GetSerializeJson(requestParam.data),
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 60000, //超时时间设置为5秒；
			headers: {
				'Content-Type': 'application/json'
			},
			success: function(data) {
				w.close();
				w = null;
				var paySrc = '';
				if(data.Code == "0000") {
					var payChannel = app.Cashier.getPayChannel(app.Cashier.pageConfig.payWay);
					if(payChannel) {
						paySrc = data.PayPram;
						if(payChannel.id == "wxpay") {
							paySrc = JSON.parse(data.PayPram);
						}
						plus.payment.request(payChannel, paySrc, cbsuccess, function(e) {
							app.Cashier.PayMessage(e);
						});
					} else {
						if(app.Cashier.pageConfig.payWay == "company") {
							cbsuccess();
						} else {
							app.showMsg("暂不支持该支付!");
						}
					}
				} else {
					cberror(data);
				}
			},
			error: function(xhr, type, errorThrown) {
				w.close();
				w = null;
				var bcError = {};
				bcError.Code = type;
				bcError.Msg = errorThrown;
				cberror(bcError);
			}
		});
	},
	PayMessage: function(e) {
		var message = e.message;
		console.log(message);
		var arr = message.split(",");
		try {
			var erCodeData = arr[0].split("]");
			var errCode = erCodeData[0].split(":")[1];
			var c = Math.abs(errCode);
			switch(c) {
				case 4000:
					app.showMsg("订单支付失败");
					break;
				case 5000:
					app.showMsg("请勿重复请求");
					break;
				case 6001:
					app.showMsg("请重新支付");
					break;
				case 6002:
					app.showMsg("网络连接出错");
					break;
				case 6004:
					app.showMsg("支付结果未知（有可能已经支付成功），请耐心等待");
					break;
				case 8000:
					app.showMsg("正在处理中，支付结果未知（有可能已经支付成功），请耐心等待");
					break;
				case 1:
					app.showMsg("参数错误");
					break;
				case 2:
					app.showMsg("请重新支付");
					break;
				case 3:
					app.showMsg("支付请求失败");
					break;
				case 4:
					app.showMsg("授权失败");
					break;
				case 5:
					app.showMsg("微信不支持");
					break;
				default:
					app.showMsg("支付失败");
					break;
			}

		} catch(e) {
			app.showMsg("支付失败");
		}
	},
	getCountdown: function(leftTime) {
		var leftsecond = parseInt(leftTime / 1000);
		var day1 = Math.floor(leftsecond / (60 * 60 * 24));
		var hour = Math.floor((leftsecond - day1 * 24 * 60 * 60) / 3600);
		var minute = Math.floor((leftsecond - day1 * 24 * 60 * 60 - hour * 3600) / 60);
		var second = Math.floor(leftsecond - day1 * 24 * 60 * 60 - hour * 3600 - minute * 60);

		if(hour > 0) {
			return hour + '小时' + minute + '分' + second + '秒';
		} else if(minute > 0) {
			return minute + '分' + second + '秒';
		} else if(second > 0) {
			return second + '秒';
		} else {
			return false;
		}
	},
	runCountdown: function() {
		var $countdown = $('#countdown-content');
		var countdown = 0;
		app.Cashier._runPayOrderCountDown = setInterval(function() {
			countdown = parseInt($countdown.attr('data-countdown')) - 1000;
			if(!!app.Cashier.getCountdown(countdown)) {
				$countdown.html(app.Cashier.getCountdown(countdown)).attr('data-countdown', countdown);
			} else {
				clearInterval(app.Cashier._runPayOrderCountDown);
				
				var message="";
				if(app.Cashier.IsChangeOrder)
				{
					message="订单在规定时间内未支付，改签申请已取消";
				}
				else{
					message="订单在规定时间内未支付,订单已取消";
				}
				
				var self = plus.webview.currentWebview();
				
				//判断是否在当前页面
				if(self.id != "Payment.Cashier")
				{
					return false;
				}
				
				mui.confirm(message, "提示", ["知道了"], function() {
					var entity = app.Cashier.GetInfoEnity;
					if(entity.data.ProductType == 1) {
						app.OpenWindow(projectConfig.ViewId.Order.MyOrderDetail.Id, projectConfig.ViewId.Order.MyOrderDetail.url, 'pop-in', {
							SerialNo: entity.data.SerialNo
						});
					} else if(entity.data.ProductType == 5) {
						app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, {
							SerialNo: entity.data.SerialNo
						}, 'slide-in-right', projectConfig.ViewId.Plane.OrderDetail.Id);
					} else if(entity.data.ProductType == 6) {
						app.ShowWebView(projectConfig.ViewId.Train.orderDetail.url, {
							SerialNo: entity.data.SerialNo
						}, 'slide-in-right', projectConfig.ViewId.Train.orderDetail.Id);
					}
				})
				return false;
			}
		}, 1000);
	}
}