app.orderWrite = {
	GetInfoEnity: {
		url: projectConfig.apiName.GetHotelOrderSubmitInfo,
		data: {
			Hid: 0,
			Did: '',
			ArrivalDate: '',
			DepartureDate: '',
			IsTravelBussiness: 1，
			Rooms: []
		}
	},
	SubmitHotelOrderEnity: {
		url: projectConfig.apiName.SubmitHotelOrderInfo,
		data: {
			Hid: 0,
			Did: '',
			ArrivalDate: '',
			DepartureDate: '',
			Contact: [],
			CheckInUser: "",
			PriceList: [],
			Invoice: {
				Type: 0,
				TitleId: 0,
				MailId: 0
			},
			IsTravelBussiness: 1,
			ResonId: 0,
			Reson: ""
		},
		buttomType: 0
	},
	FirstOrderPrice: 0,
	OrderType: 0,
	UnLockDemandEnity: {
		url: projectConfig.apiName.UnLockDemand,
		data: {
			Did: "",
			Hid: 0
		}
	},
	pageConfig: {
		infoId: 'hotel-info',
		facilitiesId: 'hotel-facilities',
		trafficId: 'hotel-traffic',
		noList: ''
	},
	GetRooms: function() {
		var result = [];
		var allBuy = window.sikeCart.getAllBuy();
		for(var i = 0, len = allBuy.length; i < len; i++) {
			var item = allBuy[i];
			result.push({
				"Id": item.code,
				"Count": item.num,
				"ELTypeId": item.ELTypeId
			});
		}
		return result;
	},
	init: function() {
		var self = app.orderWrite;
		var bookDate = window.sikeCart.getBookDate();

		self.GetInfoEnity.data.ArrivalDate = bookDate.begin;
		self.GetInfoEnity.data.DepartureDate = bookDate.end;
		self.GetInfoEnity.data.Rooms = self.GetRooms();
		self.SubmitHotelOrderEnity.data.ArrivalDate = bookDate.begin;
		self.SubmitHotelOrderEnity.data.DepartureDate = bookDate.end;
		self.ajaxData();
		mui('.mui-content .mui-switch').each(function() { //循环所有toggle
			if(this.classList.contains('mui-active')) {
				$("#InvoiceSelect").html("需要");
				$("#InvoiceSelectValue").val(1);
				$("#InvoiceShow").show();
			} else {
				$("#InvoiceSelect").html("不需要");
				$("#InvoiceSelectValue").val(0);
				$("#InvoiceShow").hide();
			}

			this.addEventListener('toggle', function(event) {
				if(event.detail.isActive) {
					$("#InvoiceSelect").html("需要");
					$("#InvoiceSelectValue").val(1);
					$("#InvoiceShow").show();
				} else {
					$("#InvoiceSelect").html("不需要");
					$("#InvoiceSelectValue").val(0);
					$("#InvoiceShow").hide();
				}
			});
		});

		if(app.appPlatId == 1010) {
			$("#personPhoneDiv").hide();
		}
	},
	showOrderDetail: function(data) {
		var self = app.orderWrite;
		$("#HotelName").html(data.Name);
		$("#Check").html(data.Check);
		var Contact = data.Contact;
		$("#ContactName").val(Contact[0]);
		$("#ContactTel").val(Contact[1]);
		var PriceList = data.PriceList;
		if(data.IsFirstOrder == 1 && data.OrderType != 3 && data.OrderType != 0) {
			$("#divFirstOrder").show();
			self.FirstOrderPrice = data.CouponsAmount[1];
			$("#spanFirstOrderPrice").html("减 <i style='color:#FF0000'>" + data.CouponsAmount.join('') + "<i>");
		}
		if(data.OrderType == 3) {
			$("#divCheckInUser").show();
			if(PriceList && PriceList[0].Amount[0] == 1 && Contact[0]) {
				$("#txtCheckInUser").val(Contact[0]);
			}
		}

		var Hits = data.Hits;
		var hitsTmp = "<span class=\"mui-icon mui-icon-info\" style=\"font-size: 1.6rem;border:0px;color:#38a7df;font-weight: 600;\"></span>{0}";
		var hitsHtml = new Array();
		for(var i = 0; i < Hits.length; i++) {
			hitsHtml.push(app.format(hitsTmp, Hits[i]));
		}
		$("#Hits").html(hitsHtml.join("<br />"));
		var priceHtml = "";
		var switchHtml = "";
		var priceListTmp = "<div style=\"border-top: dashed 1px #efefef;\">" +
			"<p style=\"color: #ffffff;\">{0}" +
			"<font style=\"color: #ffffff;\">{1}</font>" +
			"</p><span style=\"color: #ffffff;\">{2}<font style=\"color: #ffffff;\">{3}</font></span>" +
			"</div>";

		var priceAll = 0;
		var danwei = "";
		if(!!PriceList && PriceList.length > 0) {
			$.each(PriceList, function(i, d) {
				if(d.Type == 0) {
					priceHtml += app.format(priceListTmp, d.Name, d.Desc, d.Price.join(""), d.Amount.join(""));
					//计算价格
					if(d.Amount.length <= 0) {
						priceAll = priceAll + Number(d.Price[1]);
					} else {
						priceAll = priceAll + Number(d.Price[1]) * Number(d.Amount[0]);
						danwei = d.Price[0];
					}
				}
			});
		}
		//		app.orderWrite.SubmitHotelOrderEnity.data.PriceList = PriceList;
		//		for(var i = 0; i < PriceList.length; i++) {
		//			app.orderWrite.SubmitHotelOrderEnity.data.PriceList.push({
		//				OPId: PriceList[i].OPId,
		//				RoomId: PriceList[i].RoomId,
		//				ELTypeId: PriceList[i].ELTypeId,
		//				ELPolicyId: PriceList[i].ELpolicyId,
		//				Type: PriceList[i].Type,
		//				BreakType: PriceList[i].BreakType,
		//				Count: PriceList[i].Amount[0]
		//			});
		//		}

		$("#PriceList").html(priceHtml);
		//计算价格
		$("#allPrice").html(danwei + "" + (priceAll - self.FirstOrderPrice));

		var DepositRate = data.DepositRate;
		var paPrice = parseFloat(DepositRate) * priceAll;
		if(data.OrderType == 2) {
			//			$("#orderPrice").html(danwei + "" + parseInt(paPrice));
			//			$(".b2b-order-fill-foot span i").css("line-height","25px");
			//			$(".order-hide").show();
		}
		$("#invoice").text(data.InvoiceDesc[0]);
		$("#invoice-info").text(data.InvoiceDesc[1]);
		var buttomStr = "";
		var ButtonList = data.ButtonList;
		if(!!ButtonList) {
			app.orderWrite.SubmitHotelOrderEnity.buttomType = ButtonList[0].Type;
			buttomStr = ButtonList[0].Name;
		}
		$("#sendOrder").html(buttomStr);

		app.orderWrite.ShowCostBox(data);
	},
	ShowCostBox: function(data) {
		var self = app.orderWrite;
		var savemoney = 0;
		var allHtml = "";
		var priceAll = 0;
		var danwei = "";
		var fHtml = "";
		var fPrice = 0;
		var fHtmlTmp = "<h4><span>{0}</span>房费</h4><ul>{1}</ul>";
		var tHtml = "";
		var tPrice = 0;
		var tHtmlTmp = "<h4><span>{0}</span>其他费用</h4><ul>{1}</ul>";
		var sHtmlTmp = "";

		var PriceList = data.PriceList;
		if(!!PriceList && PriceList.length > 0) {
			$.each(PriceList, function(i, d) {
				if(!d.Amount || d.Amount == undefined) {
					tPrice = tPrice + Number(d.Price[1]);
					tHtml += "<li><span class='or-name'>" + d.Name + "</span><span class='or-type'>" + d.Desc.split(" ")[0] + "</span><i>" + d.Price.join("") + "</i></li>";
					priceAll = priceAll + Number(d.Price[1]);
					savemoney = savemoney + d.LeavePrice;
				} else {
					fHtml += "<li><span class='or-name'>" + d.Name + "</span><span class='or-type'>" + d.Desc.split(" ")[0] + "</span><i>" + d.Price.join("") + "×" + d.Amount.join("") + "×" + data.CheckAmount + "晚</i></li>";
					priceAll = priceAll + Number(d.Price[1]) * Number(d.Amount[0]);
					savemoney = savemoney + d.LeavePrice * Number(d.Amount[0]);
					danwei = d.Price[0];
					fPrice = fPrice + Number(d.Price[1]) * Number(d.Amount[0]);
				}
			});

			if(self.FirstOrderPrice > 0) {
				sHtmlTmp = "<h4></span>优惠信息</h4><ul>{1}</ul>";
				var sprice = danwei + self.FirstOrderPrice;
				var sHtml = "<li><span>首单立减</span><span></span><i>" + danwei + "-" + self.FirstOrderPrice + "</i></li>";
				sHtmlTmp = app.format(sHtmlTmp, sprice, sHtml);
			}
		}

		allHtml = app.format(fHtmlTmp, danwei + fPrice, fHtml);
		if(tPrice != 0) {
			allHtml += app.format(tHtmlTmp, danwei + tPrice, tHtml);
		}
		if(sHtmlTmp.length > 0) {
			allHtml += sHtmlTmp;
		}

		//费用明细
		$("#title").html("费用明细");
		$("#costList").html(allHtml);
		$("#costPriceAll").html("总额：" + danwei + (priceAll - self.FirstOrderPrice));
		if(savemoney > 0) {
			$(".b2b-order-fill-foot span i").css("line-height", "22px");
			$(".ordersave").show();
			var savehtml = danwei + savemoney;
			if(self.FirstOrderPrice > 0) {
				savehtml += "+" + self.FirstOrderPrice;
			}
			$("#savemoney").html(savehtml);
		} else {
			if(self.FirstOrderPrice > 0) {
				$(".b2b-order-fill-foot span i").css("line-height", "22px");
				$(".ordersave").show();
				$("#savemoney").html(danwei + self.FirstOrderPrice);
			}
		}
	},
	ajaxData: function() {
		var self = app.orderWrite;
		var _render = function(data) {
			//			app.showMsg(data.Code + "   " + data.Msg);
			if(app.GetResultState(data)) {
				self.showOrderDetail(data);
			} else {
				app.renderNoResult(self.pageConfig.noList);
			}
		};
		app.Post(self.GetInfoEnity, null, _render);
	},
	SubmitHotelOrder: function() {
		var self = app.orderWrite;
		var ContactName = $("#ContactName").val();
		var checkInUser = $("#txtCheckInUser").val();
		var ContactTel = $("#ContactTel").val();
		if(app.appPlatId != 1010) {
			if(ContactName == "") {
				app.showMsg("请输入联系人！");
				return;
			}
			if(ContactTel == "") {
				app.showMsg("请输入手机号码！");
				return;
			}

			if(!app.checkMobile(ContactTel)) {
				app.showMsg("请输入正确的手机号码！");
				return;
			}
		} else {
			ContactTel = "";
			ContactName = "";
		}

		if(self.OrderType == 3 && !checkInUser) {
			app.showMsg("请输入入住人姓名！");
			return;
		}


		var Contact = new Array();
		Contact.push(ContactName);
		Contact.push(ContactTel);

		var settings = app.getSettings();
		var resons = settings.standardReson;
		if(resons && resons.title && resons.value) {
			self.SubmitHotelOrderEnity.data.ResonId = resons.value;
			self.SubmitHotelOrderEnity.data.Reson = resons.title;
		}

		app.orderWrite.SubmitHotelOrderEnity.data.Contact = Contact;
		self.SubmitHotelOrderEnity.data.CheckInUser = checkInUser;
		var InvoiceSelectValue = $("#InvoiceSelectValue").val();
		//		app.showMsg(InvoiceSelectValue);
		if(InvoiceSelectValue == "1") {
			var TitleId = app.orderWrite.SubmitHotelOrderEnity.data.Invoice.TitleId;
			if(TitleId == "0" || TitleId == 0) {
				app.showMsg("请选择发票！");
				return;
			}
			var MailId = app.orderWrite.SubmitHotelOrderEnity.data.Invoice.MailId;
			if(MailId == "0" || MailId == 0) {
				app.showMsg("请选择收件地址！");
				return;
			}
		}


		var _render = function(data) {
			if(app.GetResultState(data)) {
				settings.standardReson = {};
				app.setSettings(settings);
				if(app.orderWrite.SubmitHotelOrderEnity.buttomType == "105") {
					//跳转
					var OrderInfoList = data.OrderInfoList;
					app.OpenWindow(projectConfig.ViewId.Payment.Cashier.Id, projectConfig.ViewId.Payment.Cashier.url, 'pop-in', {
						SerialNo: OrderInfoList[0].SerialNo,
						ProductType:1
					});
				}

				if(app.orderWrite.SubmitHotelOrderEnity.buttomType == "106") {
					//订单详情
					var OrderInfoList = data.OrderInfoList;
					app.OpenWindow(projectConfig.ViewId.Order.MyOrderDetail.Id, projectConfig.ViewId.Order.MyOrderDetail.url, 'pop-in', {
						SerialNo: OrderInfoList[0].SerialNo
					});
				}

				if(app.orderWrite.SubmitHotelOrderEnity.buttomType == "107") {
					var OrderInfoList = data.OrderInfoList;
					if(OrderInfoList.length == 1) {
						app.OpenWindow(projectConfig.ViewId.Payment.Cashier.Id, projectConfig.ViewId.Payment.Cashier.url, 'pop-in', {
							SerialNo: OrderInfoList[0].SerialNo
						});
					} else {
						//订单详情	
						app.OpenWindow(projectConfig.ViewId.Order.MyOrderDetail.Id, projectConfig.ViewId.Order.MyOrderDetail.url, 'pop-in', {
							SerialNo: OrderInfoList[0].SerialNo
						});
					}
				}

			} else {
				//app.renderNoResult(self.pageConfig.noList);
				app.showMsg(data.Msg);
			}
		};
		app.Post(self.SubmitHotelOrderEnity, null, _render);

	},
	UnLockDemand: function() {
		var self = app.orderWrite;
		var _render = function(data) {
			mui.currentWebview.close();
		}
		app.Post(self.UnLockDemandEnity, null, _render);
	}
}