(function(window, $) {
	window.ModifyDateList = (function() {
		var invertal = null;
		var GetChangeFlightList = {
			url: projectConfig.apiName.GetChangeFlightList,
			data: {
				OrderSerialNo: 0,
				DepartDate: "",
				PassengerIds: []
			}
		}

		var GetRefundAndModifyStipulate = {
			url: projectConfig.apiName.GetRefundAndModifyStipulate,
			data: {
				ArriveAirportCode: "",
				DepartAirportCode: "",
				DepartDate: "",
				AirlineCode: "",
				ClassCode: "",
				SeatPrice: "",
				MRQueryKey:""
			}
		}

		//获取改签订单提交信息
		var GetFlightOrderChange = {
			url: projectConfig.apiName.GetFlightOrderChange,
			data: {
				FlightInfoKey: "",
				FlightNo: "",
				SeatCode: "",
				PolicyId: 0,
				OrderSerialNo: 0,
				PassengerList: []
			}
		}

		//下单跳转参数
		var GoData = {
			url: projectConfig.apiName.CheckFlightStandard,
			data: {
				FlightInfoKey: "",
				FlightNo: "",
				PolicyId: "",
				SeatCode: ""
			}
		}

		var scroll = null;
		var scroll1 = null;
		var scrolly = 0; //记录当前y Items
		var scrollItemy = 0; //记录当前y item
		function init() {
			//滚动条
			scroll = mui("#list-contentScroll").scroll();
			scroll1 = mui("#reuleScroll").scroll();

			//注册处理方法
			template.helper("GetBoderIndex", GetBoderIndex);
			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateStr", FomartDateStr);

			var settings = app.getSettings();
			GetChangeFlightList = settings.GetFlightListData;

			//获取改签订单提交信息
			GetFlightOrderChange.data.OrderSerialNo = GetChangeFlightList.data.OrderSerialNo;
			GetFlightOrderChange.data.PassengerList = GetChangeFlightList.data.PassengerIds;

			loadFlightList();

			$(".ce-rult-icon").off().on("tap", function() {
				loadResultTime();
				//定时器
				$(".ce-refund-rule").hide();
			})

			$(".time").off().on("tap", function() {
				$(".price").removeClass("active-p");
				$("#price-tj").addClass("none");

				if(!$(this).hasClass("active")) {
					$(this).addClass("active");
					$("#time-tj").removeClass("none");
					var type = $(this).attr("data-type");
					if(type == 1) {
						GetChangeFlightList.data.Rank = 0;
					} else {
						GetChangeFlightList.data.Rank = 1;
					}
					loadFlightList();
					return;
				}

				$(this).addClass("active");
				$("#time-tj").removeClass("none");
				var type = $(this).attr("data-type");
				if(type == 1) {
					$(this).attr("data-type", "2");
					$("#ti-time").html(" 晚 → 早");
					GetChangeFlightList.data.Rank = 1;
				} else {
					$(this).attr("data-type", "1");
					$("#ti-time").html(" 早 → 晚");
					GetChangeFlightList.data.Rank = 0;
				}
				loadFlightList();
			});

			$(".price").off().on("tap", function() {
				$(".time").removeClass("active");
				$("#time-tj").addClass("none");
				if(!$(this).hasClass("active-p")) {
					$(this).addClass("active-p");
					$("#price-tj").removeClass("none");
					var type = $(this).attr("data-type");
					if(type == 1) {
						$(this).attr("data-type", "1");
						$("#ti-price").html(" 低 → 高");
						GetChangeFlightList.data.Rank = 3;
					} else {
						$(this).attr("data-type", "2");
						$("#ti-price").html(" 高 → 低");
						GetChangeFlightList.data.Rank = 2;
					}
					loadFlightList();
					return;
				}
				$(this).addClass("active-p");
				$("#price-tj").removeClass("none");
				var type = $(this).attr("data-type");
				if(type == 1) {
					$(this).attr("data-type", "2");
					$("#ti-price").html(" 高 → 低");
					GetChangeFlightList.data.Rank = 2;
				} else {
					$(this).attr("data-type", "1");
					$("#ti-price").html(" 低 → 高");
					GetChangeFlightList.data.Rank = 3;
				}
				loadFlightList();
			});
		}

		function initDivWidth() {

		}

		function loadFlightList() {
			loadResultTime();
			//定时器
			app.showWaiting('加载中...', 1);
			app.Post(GetChangeFlightList, null, GetFlightListCallBack, true, null, 60000);
		}

		function GetFlightListCallBack(data) {
			var nomsg = '<div class="no-list-msg-no">' +
				'<div class="no-icon">' +
				'	<img src="../images/no-list-icon.png" />' +
				'</div>' +
				'<div class="no-msg-">' +
				'	搜索无结果' +
				'</div>' +
				'</div>';
			if(app.GetResultState(data)) {
				if(!data.FlightResponse.WithoutFlight) {
					$(".footer").show();
					//填充数据
					if(data.FlightResponse.FlightList.length > 0) {

						GetFlightOrderChange.data.FlightInfoKey = data.FlightResponse.RedisKey;
						GoData.data.FlightInfoKey = data.FlightResponse.RedisKey;

						var tmplHot = template('flightlist-template', data);
						$("#celist").html(tmplHot);
					}
					BindClick();
				} else {
					$(".footer").hide();
					$("#celist").html(nomsg);
				}
			} else {
				$(".footer").hide();
				$("#celist").html(nomsg);
				//plus.nativeUI.toast(data.Msg);
			}
		}

		function BindClick() {

			$(".show-more").off().on("tap", function() {
				loadResultTime();
				var that = $(this);
				if(that.hasClass("show-more")) {
					//记录当前位置   
					scrolly = scroll.y;

					that.removeClass("show-more");
					that.addClass("ce-hide");
					that.find(".more-msg").html("收起舱位");
					that.prev().slideToggle();
					that.prev().prev().removeClass("bodernone");
				} else {
					that.removeClass("ce-hide");
					that.addClass("show-more");
					var num = that.find(".more-msg").attr("data-num");
					that.find(".more-msg").html("查看剩余" + num + "个价格");
					that.prev().slideToggle();
					that.prev().prev().addClass("bodernone");
					scroll.scrollTo(0, scrolly, 500);
				}
			});

			$(".ce-list-item").off().on("tap", function() {
				loadResultTime();
				//定时器
				var that = $(this);
				var isTrue = false;
				if(!that.next().is(":visible")) {
					isTrue = true;
					var ik = $(".ce-list-item-detail-items:visible").height();
					var wi = $(window).height() - parseInt($(".mui-bar").height());
					var newy = scroll.y;
					$(".ce-list-item-detail-items").hide();
					//寻找高度
					if(!!ik && ik > 0) {
						if((0 - newy) > wi) {
							scrollItemy = newy + ik;
							scroll.scrollTo(0, scrollItemy, 10);
						}
					}
					scrollItemy = scroll.y;
				} else {
					scroll.scrollTo(0, scrollItemy, 500);
				}
				that.next().slideToggle();

				if(isTrue) {
					that.removeClass("cli-c").addClass("cli-cd");
				} else {
					that.removeClass("cli-cd").addClass("cli-c");
				}
			});

			$(".ce-detail-rule").off().on("tap", function() {
				loadResultTime();
				//定时器
				var AirlineCode = $(this).attr("data-airline").substring(0, 2);
				var ClassCode = $(this).attr("data-seatcode");
				var SeatPrice = $(this).attr("data-seatprice");
				var DepartAirportCode = $(this).attr("data-departcode");
				var ArriveAirportCode = $(this).attr("data-arrivecode");
				var MRQueryKey = $(this).attr("data-MRQueryKey");
				//先注釋掉
				GetRefundAndModifyStipulate.data.DepartAirportCode = DepartAirportCode;
				GetRefundAndModifyStipulate.data.ArriveAirportCode = ArriveAirportCode;
				GetRefundAndModifyStipulate.data.DepartDate = GetChangeFlightList.data.DepartDate;
				GetRefundAndModifyStipulate.data.AirlineCode = AirlineCode;
				GetRefundAndModifyStipulate.data.ClassCode = ClassCode;
				GetRefundAndModifyStipulate.data.SeatPrice = SeatPrice;
				GetRefundAndModifyStipulate.data.MRQueryKey = MRQueryKey;
				loadRefundAndModifyStipulate();
			})

			$(".ce-pl-ydbtn").off().on("tap", function() {
				loadResultTime();
				var FlightNo = $(this).attr("data-flightno");
				var PolicyId = $(this).attr("data-policyid");
				var SeatCode = $(this).attr("data-seatcode");

				GetFlightOrderChange.data.FlightNo = FlightNo;
				GetFlightOrderChange.data.PolicyId = PolicyId;
				GetFlightOrderChange.data.SeatCode = SeatCode;

				var settings = app.getSettings();
				settings.FlightOrderChangeData = GetFlightOrderChange;
				app.setSettings(settings);

				GoData.data.FlightNo = FlightNo;
				GoData.data.PolicyId = PolicyId;
				GoData.data.SeatCode = SeatCode;

				ValidateCB();
			})
		}

		//验证超标
		function ValidateCB() {
//			app.showWaiting('加载中...', 1);
//			app.Post(GoData, null, function(data) {
//				if(app.GetResultState(data)) {
//					if(data.IsOver == 0) {
						app.ShowWebView(projectConfig.ViewId.Plane.ModifyDateInfo.url);
//					} else {
//						var datas = GoData.data;
//						datas.type = 51;
//						app.ShowWebView(projectConfig.ViewId.Standard.MoreStandard.url, datas);
//					}
//				} else {
//					plus.nativeUI.toast(data.Msg);
//				}
//			});
		}

		function loadRefundAndModifyStipulate() {
			app.showWaiting('加载中...', 1);
			app.Post(GetRefundAndModifyStipulate, null, function(data) {
				if(app.GetResultState(data)) {
					$(".ce-refund-rule").show();
					var tmplHot = template('refunds-template', data);
					$("#reuleContent").html(tmplHot);
				} else {
					plus.nativeUI.toast("暂无退改签规则");
				}
			});
		}

		function GetBoderIndex(data, index) {
			var str = "";
			if(data.length > 3 && index == 2) {
				str = "bodernone";
			}
			return str;
		}

		function FomartDateTime(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;

			if(hours < 10) {
				hoursstr = "0" + hours;
			} else {
				hoursstr = hours;
			}

			if(min < 10) {
				minstr = "0" + min;
			} else {
				minstr = min;
			}

			return hoursstr + ":" + minstr;
		}

		function FomartDateStr(sDate1, sDate2) {
			var str = "";

			var iDays = app.DateTool.datedifference(sDate1, sDate2);

			if(iDays > 0) {
				str = "+" + iDays + "天";
			}
			return str;
		}

		function loadResultTime() {
			if(invertal != null) {
				window.clearInterval(invertal);
			}

			invertal = window.setTimeout(function() {
				var self = plus.webview.currentWebview();
				var wvs = plus.webview.getDisplayWebview();
				var isshow = false;
				for(var i = 0; i < wvs.length; i++) {
					if(wvs[i].id == projectConfig.ViewId.Plane.ModifyDateList.url) {
						isshow = true;
					}
				}

				if(isshow) {
					// 弹出系统提示对话框
					plus.nativeUI.alert("航班信息可能已过期，请重新查询", function() {
						loadFlightList();
					}, "", "确定");
				} else {
					loadFlightListBack();
				}

			}, 10 * 60 * 1000);
		}

		function loadFlightListBack() {
			loadResultTime();
			app.Post(GetChangeFlightList, null, GetFlightListCallBack, true, null, 60000);
		}

		return {
			init: init
		}

	})();
})(window, $);