(function(window, $) {
	window.List = (function() {
		var invertal = null;
		var orderType = "";
		//�orderType �wf  lineType 1为去� 2为返�
		var lineType = 0;
		var PriceName = "预订";
		var lineTypeName = "";
		var sysDate; //系统时间
		var isFirstLoad = true; //是否第一次加载

		//接口
		var GetFlightList = {
			url: projectConfig.apiName.GetFlightListV2,
			data: {
				DepartCityId: 0,
				ArriveCityId: 0,
				ArriveAirportCode: "",
				DepartAirportCode: "",
				DepartAirportName: "",
				ArriveAirportName: "",
				DepartDate: "",
				AirlineCodeList: [0],
				FlightSeatList: [0],
				FlightDepartTimeList: [0],
				FilterDepartAirportId: 0,
				FilterArriveAirportId: 0,
				Rank: 0
			}
		}

		var GetFlightSeatListEntity = {
			url: projectConfig.apiName.GetFlightSeatList,
			data: {
				FlightNo: "",
				ArriveAirportCode: "",
				DepartAirportCode: "",
				DepartDate: "",
				FlightSeatList: [],
				RedisKey: "",
			}
		}

		//头部日期 对象
		var dataparam = {
			lineType: 0,
			DepartTrip: {
				DepartDate: "",
				DateWeek: "",
				DepartTime: "",
				DepartAirport: "",
				IsShow: false
			},
			DateItem: {
				BeforeDay: {
					DateTime: "",
					Disabled: true
				},
				SelectDay: {
					DateDay: "",
					DateWeek: "",
					DateTime: "",
					MinPrice: 0
				},
				NextDay: {
					DateTime: "",
					Disabled: false
				}
			}
		}

		//下单跳转参数
		var GoData = {
			url: projectConfig.apiName.CheckFlightStandard,
			data: {
				FlightInfoKey: "",
				FlightNo: "",
				PolicyId: "",
				SeatCode: ""
			}
		}

		var GetRefundAndModifyStipulate = {
			url: projectConfig.apiName.GetRefundAndModifyStipulate,
			data: {
				ArriveAirportCode: "",
				DepartAirportCode: "",
				DepartDate: "",
				AirlineCode: "",
				ClassCode: "",
				SeatPrice: ""
			}
		}

		var ValidateFlightOrderEntity = {
			url: projectConfig.apiName.ValidateFlightOrder,
			data: {
				DepartParams: {
					FlightInfoKey: "",
					FlightNo: "",
					PolicyId: 0,
					SeatCode: "",
					SeatPrice: 0
				},
				BackParams: {
					FlightInfoKey: "",
					FlightNo: "",
					PolicyId: 0,
					SeatCode: "",
					SeatPrice: 0
				}
			}
		}

		var scroll = null;
		var scroll1 = null;
		var scroll2 = null;
		var scrolly = 0; //记录当前y Items
		var scrollItemy = 0; //记录当前y item
		function init() {
			var selfview = plus.webview.currentWebview();
			orderType = selfview.type || "dc";
			if(orderType == "wf") {
				lineType = selfview.lineType || 1;
				if(lineType == 1) {
					PriceName = "选为去程";
					lineTypeName = "去程:"
				} else {
					lineTypeName = "返程:";
				}
			}

			//计算高度
			initScrollHei();
			//滚动
			scroll = mui("#list-contentScroll").scroll();
			scroll1 = mui("#reuleScroll").scroll();
			scroll2 = mui("#datefScroll").scroll();

			//注册处理方法
			template.helper("GetBoderIndex", GetBoderIndex);
			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateStr", FomartDateStr);
			template.helper("FomartDateTimeMMDD", FomartDateTimeMMDD);

			//加载数据搜索数据
			var settings = app.getSettings();
			var DepartCity = settings.DepartCityIndex;
			var ArriveCity = settings.ArriveCityIndex;
			if(lineType == 2) {
				DepartCity = settings.ArriveCityIndex;
				ArriveCity = settings.DepartCityIndex;
			}
			var DepartDateJson = settings.DepartDateJson;
			var PlaneDateJson = settings.PlaneDateJson;
			//填充数据
			$("#title").html(lineTypeName + DepartCity.AirportName + "&nbsp;-&nbsp;" + ArriveCity.AirportName);
			if(lineType == 0) {
				GetFlightList.data.DepartDate = DepartDateJson.fulldate;
			} else if(lineType == 1) {
				GetFlightList.data.DepartDate = PlaneDateJson.DepartDate.date;
			} else if(lineType == 2) {
				GetFlightList.data.DepartDate = PlaneDateJson.ArriveDate.date;
			}

			app.GetServicesTime(function(data) {
				sysDate = new Date();
				if(app.GetResultState(data)) {
					sysDate = new Date(data.Now.replace(/-/g, "/"));
				}
				SetListHeader(lineType);
				GetFlightList.data.DepartCityId = DepartCity.CityId;
				GetFlightList.data.DepartAirportCode = DepartCity.AirportCode;
				GetFlightList.data.DepartAirportName = DepartCity.AirportName;
				GetFlightList.data.ArriveCityId = ArriveCity.CityId;
				GetFlightList.data.ArriveAirportCode = ArriveCity.AirportCode;
				GetFlightList.data.ArriveAirportName = ArriveCity.AirportName;

				loadFlightList();
				BindClick();

				//定时器
				loadResultTime();

			});

			$(".time").off().on("tap", function() {

				$(".price").removeClass("active-p");
				$("#ti-price").addClass("none");

				if(!$(this).hasClass("active")) {
					$(this).addClass("active");
					$("#ti-time").removeClass("none");
					var type = $(this).attr("data-type");
					if(type == 1) {
						GetFlightList.data.Rank = 0;
					} else {
						GetFlightList.data.Rank = 1;
					}
					loadFlightList();
					return;
				}

				$(this).addClass("active");
				$("#ti-time").removeClass("none");
				var type = $(this).attr("data-type");
				if(type == 1) {
					$(this).attr("data-type", "2");
					$("#ti-time").html(" 晚 → 早");
					GetFlightList.data.Rank = 1;
				} else {
					$(this).attr("data-type", "1");
					$("#ti-time").html(" 早 → 晚");
					GetFlightList.data.Rank = 0;
				}
				loadFlightList();
			});

			$(".price").off().on("tap", function() {
				$(".time").removeClass("active");
				$("#ti-time").addClass("none");
				if(!$(this).hasClass("active-p")) {
					$(this).addClass("active-p");
					$("#ti-price").removeClass("none");
					var type = $(this).attr("data-type");
					if(type == 1) {
						$(this).attr("data-type", "1");
						$("#ti-price").html(" 低 → 高");

						GetFlightList.data.Rank = 3;
					} else {
						$(this).attr("data-type", "2");
						$("#ti-price").html(" 高 → 低");
						GetFlightList.data.Rank = 2;
					}
					loadFlightList();
					return;
				}
				$(this).addClass("active-p");
				$("#price-tj").removeClass("none");
				var type = $(this).attr("data-type");
				if(type == 1) {
					$(this).attr("data-type", "2");
					$("#ti-price").html(" 高 → 低");
					GetFlightList.data.Rank = 2;
				} else {
					$(this).attr("data-type", "1");
					$("#ti-price").html(" 低 → 高");
					GetFlightList.data.Rank = 3;
				}
				loadFlightList();
			});

			$(".ce-rult-icon").off().on("tap", function() {
				//定时器
				loadResultTime();
				$(".ce-refund-rule").hide();
			})

			$(".foot-sha").off().on("tap", function() {
				//定时器
				loadResultTime();
				$(".dateback").show();
				$(".date-foot-sha").slideToggle();
			});
			$(".dateback").off().on("tap", function() {
				//定时器
				loadResultTime();
				$(".dateback").hide();
				$(".date-foot-sha").slideToggle();
			});

			$(".dft-cancel").off().on("tap", function() {
				//定时器
				loadResultTime();
				$(".dateback").hide();
				$(".date-foot-sha").slideToggle();
			});

		}

		function SetListHeader(lineType) {
			var settings = app.getSettings();
			var DepartDateJson = settings.DepartDateJson;
			var PlaneDateJson = settings.PlaneDateJson;

			dataparam = {
				lineType: 0,
				DepartTrip: {
					DepartDate: "",
					DateWeek: "",
					DepartTime: "",
					DepartAirport: "",
					IsShow: false
				},
				DateItem: {
					BeforeDay: {
						DateTime: "",
						Disabled: true
					},
					SelectDay: {
						DateDay: "",
						DateWeek: "",
						DateTime: "",
						MinPrice: 0
					},
					NextDay: {
						DateTime: "",
						Disabled: false
					}
				}
			}
			dataparam.lineType = lineType;

			if(lineType == 0) {
				dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", new Date(DepartDateJson.fulldate.replace(/-/g, "/")));
				dataparam.DateItem.SelectDay.DateWeek = DepartDateJson.week;
				dataparam.DateItem.SelectDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", new Date(DepartDateJson.fulldate.replace(/-/g, "/")));
				dataparam.DateItem.SelectDay.MinPrice = 0;
				dataparam.DepartTrip.IsShow = false;
			} else if(lineType == 1) {
				dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", new Date(PlaneDateJson.DepartDate.date.replace(/-/g, "/")));
				dataparam.DateItem.SelectDay.DateWeek = PlaneDateJson.DepartDate.week;
				dataparam.DateItem.SelectDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", new Date(PlaneDateJson.DepartDate.date.replace(/-/g, "/")));
				dataparam.DateItem.SelectDay.MinPrice = 0;
				dataparam.DepartTrip.IsShow = false;
			} else if(lineType == 2) {
				dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", new Date(PlaneDateJson.ArriveDate.date.replace(/-/g, "/")));
				dataparam.DateItem.SelectDay.DateWeek = PlaneDateJson.ArriveDate.week;
				dataparam.DateItem.SelectDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", new Date(PlaneDateJson.ArriveDate.date.replace(/-/g, "/")));
				dataparam.DateItem.SelectDay.MinPrice = 0;
				dataparam.DepartTrip.IsShow = true;
				var LeavePlaneInfo = settings.LeavePlaneInfo;
				var departTime = moment(LeavePlaneInfo.DepartTime).format('HH:mm') + " - " + moment(LeavePlaneInfo.ArriveTime).format('HH:mm');
				dataparam.DepartTrip.DepartDate = app.DateTool.DateFormat("MM-dd", new Date(LeavePlaneInfo.DepartTime.replace(/-/g, "/")));
				dataparam.DepartTrip.DateWeek = app.DateTool.DateToWeek(new Date(LeavePlaneInfo.DepartTime.replace(/-/g, "/")), sysDate);
				dataparam.DepartTrip.DepartTime = departTime;
				dataparam.DepartTrip.DepartAirport = LeavePlaneInfo.Airline + LeavePlaneInfo.FlightNo;
				sysDate = app.DateTool.DateAdd("d", 1, LeavePlaneInfo.DepartTime.replace(/-/g, "/"));
			}

			var BeforeDate = app.DateTool.DateAdd("d", -1, dataparam.DateItem.SelectDay.DateTime.replace(/-/g, "/"));
			dataparam.DateItem.BeforeDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", BeforeDate);
			dataparam.DateItem.BeforeDay.Disabled = false;

			if(BeforeDate.getFullYear() < sysDate.getFullYear() || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() < sysDate.getMonth()) || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() == sysDate.getMonth() && BeforeDate.getDate() < sysDate.getDate())) {
				dataparam.DateItem.BeforeDay.Disabled = true;
			}

			dataparam.DateItem.NextDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", app.DateTool.DateAdd("d", 1, dataparam.DateItem.SelectDay.DateTime.replace(/-/g, "/")));
			dataparam.DateItem.NextDay.Disabled = false;
			var tmplHot = template('set-list-header-template', dataparam);
			$("#listHeader").html(tmplHot);

			bindClickHeader();

			var heightw = $("#listHeader").height();
			$("#celist").css("padding-top", heightw + "px");
		}

		function bindClickHeader() {
			//前一天
			$("#hdStart").off().on("tap", function() {
				if(!$(this).hasClass("ce-hd-disabled")) {
					//把前一天修改成当天
					var SelectDayTime = dataparam.DateItem.BeforeDay.DateTime;
					dataparam.DateItem.NextDay.DateTime = dataparam.DateItem.SelectDay.DateTime;

					dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", new Date(SelectDayTime.replace(/-/g, "/")));
					dataparam.DateItem.SelectDay.DateWeek = app.DateTool.DateToWeek(new Date(SelectDayTime.replace(/-/g, "/")), sysDate);
					dataparam.DateItem.SelectDay.DateTime = SelectDayTime;

					var BeforeDate = app.DateTool.DateAdd("d", -1, dataparam.DateItem.SelectDay.DateTime);
					dataparam.DateItem.BeforeDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", BeforeDate);
					dataparam.DateItem.BeforeDay.Disabled = false;
					if(BeforeDate.getFullYear() < sysDate.getFullYear() || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() < sysDate.getMonth()) || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() == sysDate.getMonth() && BeforeDate.getDate() < sysDate.getDate())) {
						dataparam.DateItem.BeforeDay.Disabled = true;
					}

					var tmplHot = template('set-list-header-template', dataparam);
					$("#listHeader").html(tmplHot);

					bindClickHeader();

					RefNewDateList(dataparam.DateItem.SelectDay.DateTime);

					var heightw = $("#listHeader").height();
					$("#celist").css("padding-top", heightw + "px");

				}
			})

			//当前选中天数 
			$("#hdNowDate").off().on("tap", function() {
				var newSysDate = app.DateTool.DateFormat("yyyy-MM-dd", sysDate);
				var selectDate = $(this).attr("data-time");
				var selfId = plus.webview.currentWebview().id;
				app.ShowWebNewView(projectConfig.ViewId.Plane.ListDate.url, {
					NewSysDate: newSysDate,
					SelectDate: selectDate,
					selfId: selfId
				}, "slide-in-bottom", projectConfig.ViewId.Plane.ListDate.Id);
			})

			//后一天
			$("#hdEnd").off().on("tap", function() {
				//把后一天修改成当天
				var SelectDayTime = dataparam.DateItem.NextDay.DateTime;
				dataparam.DateItem.BeforeDay.DateTime = dataparam.DateItem.SelectDay.DateTime;

				var BeforeDate = new Date(dataparam.DateItem.BeforeDay.DateTime.replace(/-/g, "/"));
				if(BeforeDate.getFullYear() < sysDate.getFullYear() || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() < sysDate.getMonth()) || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() == sysDate.getMonth() && BeforeDate.getDate() < sysDate.getDate())) {
					dataparam.DateItem.BeforeDay.Disabled = true;
				} else {
					dataparam.DateItem.BeforeDay.Disabled = false;
				}

				dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", new Date(SelectDayTime.replace(/-/g, "/")));
				dataparam.DateItem.SelectDay.DateWeek = app.DateTool.DateToWeek(new Date(SelectDayTime.replace(/-/g, "/")), sysDate);
				dataparam.DateItem.SelectDay.DateTime = SelectDayTime;

				dataparam.DateItem.NextDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", app.DateTool.DateAdd("d", 1, dataparam.DateItem.SelectDay.DateTime));
				dataparam.DateItem.NextDay.Disabled = false;

				var tmplHot = template('set-list-header-template', dataparam);
				$("#listHeader").html(tmplHot);

				bindClickHeader();

				RefNewDateList(dataparam.DateItem.SelectDay.DateTime);

				var heightw = $("#listHeader").height();
				$("#celist").css("padding-top", heightw + "px");
			})

			$("#hgo").off().on("tap", function() {
				//ce-go-c-c-template
				var settings = app.getSettings();
				var LeavePlaneInfo = settings.LeavePlaneInfo;
				var tmplHot = template('ce-go-c-c-template', LeavePlaneInfo);
				$("#ceGoContent").html(tmplHot);

				$(".ce-go-btn").off().on("tap", function() {
					app.ShowWebView(projectConfig.ViewId.Plane.List.url, {
						type: "wf",
						lineType: 1
					}, "slide-in-left", projectConfig.ViewId.Plane.List.Id);
				});

				$("#ceGoPlaneRule").show();
				$("#ceGoPlaneRleC").show();
			});
			$("#ceRiC").off().on("tap", function() {
				$("#ceGoPlaneRule").hide();
				$("#ceGoPlaneRleC").hide();
			});
		}

		function RefNewDateList(newDate) {

			GetFlightList.data.DepartDate = newDate;
			isFirstLoad = true;
			loadFlightList();
		}

		function GoBackNewDate(newDate) {
			dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", new Date(newDate.replace(/-/g, "/")));
			dataparam.DateItem.SelectDay.DateWeek = app.DateTool.DateToWeek(new Date(newDate.replace(/-/g, "/")), sysDate);
			dataparam.DateItem.SelectDay.DateTime = newDate;

			var BeforeDate = app.DateTool.DateAdd("d", -1, dataparam.DateItem.SelectDay.DateTime);
			dataparam.DateItem.BeforeDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", BeforeDate);
			dataparam.DateItem.BeforeDay.Disabled = false;
			if(BeforeDate.getFullYear() < sysDate.getFullYear() || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() < sysDate.getMonth()) || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() == sysDate.getMonth() && BeforeDate.getDate() < sysDate.getDate())) {
				dataparam.DateItem.BeforeDay.Disabled = true;
			}

			dataparam.DateItem.NextDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", app.DateTool.DateAdd("d", 1, dataparam.DateItem.SelectDay.DateTime.replace(/-/g, "/")));
			dataparam.DateItem.NextDay.Disabled = false;
			var tmplHot = template('set-list-header-template', dataparam);
			$("#listHeader").html(tmplHot);

			bindClickHeader();

			RefNewDateList(dataparam.DateItem.SelectDay.DateTime);

			var heightw = $("#listHeader").height();
			$("#celist").css("padding-top", heightw + "px");
		}

		function loadPrice(data) {
			var minPrice = 0;
			for(var i = 0; i < data.length; i++) {
				var item = data[i];
				if(minPrice == 0) {
					minPrice = item.Price;
				} else {
					if(minPrice > item.Price) {
						minPrice = item.Price;
					}
				}
			}

			dataparam.DateItem.SelectDay.MinPrice = minPrice;
			$("#cehRed").html("￥" + minPrice);
		}

		function SetTitle(type) {
			$("#title").text("选择出发地");
		}

		function SetFlightSeatShow(obj) {
			//定时
			loadResultTime();
			var that = obj;
			var isTrue = false;
			if(!that.next().is(":visible")) {
				isTrue = true;
				var ik = $(".ce-list-item-detail-items:visible").height();
				var wi = $(window).height() - parseInt($(".mui-bar").height());
				var newy = scroll.y;
				$(".ce-list-item-detail-items").hide();
				$(".ce-list-item.cli-cd").removeClass("cli-cd").addClass("cli-c");
				//寻找高度
				if(!!ik && ik > 0) {
					if((0 - newy) > wi) {
						scrollItemy = newy + ik;
						scroll.scrollTo(0, scrollItemy, 10);
					}
				}
				scrollItemy = scroll.y;

			} else {
				scroll.scrollTo(0, scrollItemy, 500);
			}
			that.next().slideToggle();
			if(isTrue) {
				that.removeClass("cli-c").addClass("cli-cd");
			} else {
				that.removeClass("cli-cd").addClass("cli-c");
			}

			if(isTrue && $(this).hasClass("item-last")) {
				setTimeout(function() {
					scroll.scrollTo(0, (scrollItemy - 50), 0);
				}, 400);
			}
		}

		function initSeatEvent() {
			$(".show-more").off().on("tap", function() {
				var that = $(this);
				if(that.hasClass("show-more")) {
					//记录当前位置   
					scrolly = scroll.y;

					that.removeClass("show-more");
					that.addClass("ce-hide");
					that.find(".more-msg").html("收起舱位");
					that.prev().slideToggle();
					that.prev().prev().removeClass("bodernone");
				} else {
					that.removeClass("ce-hide");
					that.addClass("show-more");
					var num = that.find(".more-msg").attr("data-num");
					that.find(".more-msg").html("查看剩余" + num + "个价格");
					that.prev().slideToggle();
					that.prev().prev().addClass("bodernone");
					scroll.scrollTo(0, scrolly, 500);
				}

				//定时
				loadResultTime();
			});

			$(".ce-pl-ydbtn,.ce-pl-ydbtn1").off().on("tap", function() {
				var FlightNo = $(this).attr("data-flightno");
				var PolicyId = $(this).attr("data-policyid");
				var SeatCode = $(this).attr("data-seatcode");
				GoData.data.FlightNo = FlightNo;
				GoData.data.PolicyId = PolicyId;
				GoData.data.SeatCode = SeatCode;
				if(lineType == 0) {
					ValidateFlightOrderEntity.data.DepartParams.FlightInfoKey = GoData.data.FlightInfoKey;
					ValidateFlightOrderEntity.data.DepartParams.FlightNo = GoData.data.FlightNo;
					ValidateFlightOrderEntity.data.DepartParams.PolicyId = GoData.data.PolicyId;
					ValidateFlightOrderEntity.data.DepartParams.SeatCode = GoData.data.SeatCode;
					ValidateFlightOrderEntity.data.DepartParams.SeatPrice = $(this).attr("data-salesPrice");
				}
				if(lineType == 1) {
					var LeavePlaneData = {};
					LeavePlaneData.PlaneRedisKey = GoData.data.FlightInfoKey;
					LeavePlaneData.PolicyId = GoData.data.PolicyId;
					LeavePlaneData.FlightNo = FlightNo;
					LeavePlaneData.SeatName = $(this).attr("data-seatname");
					LeavePlaneData.SeatCode = SeatCode;
					LeavePlaneData.Week = $(".ce-week").text();
					LeavePlaneData.DepartTime = $("#hidDepartTime" + FlightNo).val();
					LeavePlaneData.ArriveTime = $("#hidArriveTime" + FlightNo).val();
					LeavePlaneData.DepartAirportCode = $("#hidDepartAirportCode" + FlightNo).val();
					LeavePlaneData.ArriveAirportCode = $("#hidArriveAirportCode" + FlightNo).val();
					LeavePlaneData.DepartAirportName = $("#hidDepartAirportName" + FlightNo).val();
					LeavePlaneData.ArriveAirportName = $("#hidArriveAirportName" + FlightNo).val();
					LeavePlaneData.StopNum = $("#hidStopNum" + FlightNo).val();
					LeavePlaneData.LastTime = $("#hidLastTime" + FlightNo).val();
					LeavePlaneData.Airline = $("#hidAirline" + FlightNo).val();
					LeavePlaneData.AirlineLogo = $("#hidAirlineLogo" + FlightNo).val();
					LeavePlaneData.IsShare = $("#hidIsShare" + FlightNo).val() == 1 ? true : false;
					LeavePlaneData.ShareAirline = $("#hidShareAirline" + FlightNo).val();
					LeavePlaneData.ShareFlightNo = $("#hidShareFlightNo" + FlightNo).val();
					LeavePlaneData.HaveMeal = $("#hidHaveMeal" + FlightNo).val() == 1 ? true : false;
					LeavePlaneData.SalesPrice = $(this).attr("data-salesPrice");
					LeavePlaneData.ResonId = 0;
					LeavePlaneData.Reson = "";
					var settings = app.getSettings();
					var PlaneDateJson = settings.PlaneDateJson;
					PlaneDateJson.DepartDate.DepartTime = LeavePlaneData.DepartTime;
					PlaneDateJson.DepartDate.ArriveTime = LeavePlaneData.ArriveTime;
					settings.PlaneDateJson = PlaneDateJson;
					settings.LeavePlaneInfo = LeavePlaneData;
					app.setSettings(settings);
				} else if(lineType == 2) {
					var ReturnPlaneData = {};
					ReturnPlaneData.PlaneRedisKey = GoData.data.FlightInfoKey;
					ReturnPlaneData.PolicyId = GoData.data.PolicyId;
					ReturnPlaneData.FlightNo = FlightNo;
					//ReturnPlaneData.SeatName = $(this).attr("data-seatname");
					ReturnPlaneData.SeatCode = SeatCode;
					//ReturnPlaneData.Week = $(".ce-week1").text();
					ReturnPlaneData.SalesPrice = $(this).attr("data-salesPrice");
					ReturnPlaneData.DepartTime = $("#hidDepartTime" + FlightNo).val();
					ReturnPlaneData.ArriveTime = $("#hidArriveTime" + FlightNo).val();
					ReturnPlaneData.DepartAirportCode = $("#hidDepartAirportCode" + FlightNo).val();
					ReturnPlaneData.ArriveAirportCode = $("#hidArriveAirportCode" + FlightNo).val();
					//ReturnPlaneData.DepartAirportName = $("#hidDepartAirportName" + FlightNo).val();
					//ReturnPlaneData.ArriveAirportName = $("#hidArriveAirportName" + FlightNo).val();
					//ReturnPlaneData.StopNum = $("#hidStopNum" + FlightNo).val();
					//LastTime = $("#hidLastTime" + FlightNo).val();
					//ReturnPlaneData.Airline = $("#hidAirline" + FlightNo).val();
					//AirlineLogo = $("#hidAirlineLogo" + FlightNo).val();
					//ReturnPlaneData.IsShare = $("#hidIsShare" + FlightNo).val() == 1 ? true : false;
					//ReturnPlaneData.ShareAirline = $("#hidShareAirline" + FlightNo).val();
					//ReturnPlaneData.ShareFlightNo = $("#hidShareFlightNo" + FlightNo).val();
					//ReturnPlaneData.HaveMeal = $("#hidHaveMeal" + FlightNo).val() == 1 ? true : false;
					ReturnPlaneData.ResonId = 0;
					ReturnPlaneData.Reson = "";
					var settings = app.getSettings();
					var ReturnPlaneOrderData = {};
					ReturnPlaneOrderData = ReturnPlaneData;
					settings.ReturnPlaneInfo = ReturnPlaneOrderData;
					app.setSettings(settings);

					var LeavePlaneData = settings.LeavePlaneInfo;
					ValidateFlightOrderEntity.data.DepartParams.FlightInfoKey = LeavePlaneData.PlaneRedisKey;
					ValidateFlightOrderEntity.data.DepartParams.FlightNo = LeavePlaneData.FlightNo;
					ValidateFlightOrderEntity.data.DepartParams.PolicyId = LeavePlaneData.PolicyId;
					ValidateFlightOrderEntity.data.DepartParams.SeatCode = LeavePlaneData.SeatCode;
					ValidateFlightOrderEntity.data.DepartParams.SeatPrice = LeavePlaneData.SalesPrice;

					ValidateFlightOrderEntity.data.BackParams.FlightInfoKey = ReturnPlaneData.PlaneRedisKey;
					ValidateFlightOrderEntity.data.BackParams.FlightNo = ReturnPlaneData.FlightNo;
					ValidateFlightOrderEntity.data.BackParams.PolicyId = ReturnPlaneData.PolicyId;
					ValidateFlightOrderEntity.data.BackParams.SeatCode = ReturnPlaneData.SeatCode;
					ValidateFlightOrderEntity.data.BackParams.SeatPrice = ReturnPlaneData.SalesPrice;
				}

				ValidateCB();
				//定时
				loadResultTime();
			})

			$(".ce-detail-rule").off().on("tap", function() {
				//定时
				loadResultTime();
				var AirlineCode = $(this).attr("data-airline").substring(0, 2);
				var ClassCode = $(this).attr("data-seatcode");
				var SeatPrice = $(this).attr("data-seatprice");
				var DepartAirportCode = $(this).attr("data-departcode");
				var ArriveAirportCode = $(this).attr("data-arrivecode");
				//先注釋掉
				GetRefundAndModifyStipulate.data.DepartAirportCode = DepartAirportCode;
				GetRefundAndModifyStipulate.data.ArriveAirportCode = ArriveAirportCode;
				GetRefundAndModifyStipulate.data.DepartDate = GetFlightList.data.DepartDate;
				GetRefundAndModifyStipulate.data.AirlineCode = AirlineCode;
				GetRefundAndModifyStipulate.data.ClassCode = ClassCode;
				GetRefundAndModifyStipulate.data.SeatPrice = SeatPrice;

				loadRefundAndModifyStipulate();
			})
		}

		function BindClick() {
			$(".ce-list-item").off().on("tap", function() {
				var obj = $(this);
				var flightNo = obj.attr("flightNo");
				var seatobj = $("#flightSeatList_" + flightNo);

				GetFlightSeatListEntity.data.FlightNo = flightNo;
				GetFlightSeatListEntity.data.DepartAirportCode = $("#hidDepartAirportCode" + flightNo).val();
				GetFlightSeatListEntity.data.ArriveAirportCode = $("#hidArriveAirportCode" + flightNo).val();
				GetFlightSeatListEntity.data.DepartDate = $("#hidDepartTime" + flightNo).val();
				GetFlightSeatListEntity.data.RedisKey = GoData.data.FlightInfoKey;

				app.Post(GetFlightSeatListEntity, null, function(data) {
					if(app.GetResultState(data)) {
						data.FlightNo = flightNo;
						data.ArriveAirportCode = $("#hidArriveAirportCode" + flightNo).val();
						data.DepartAirportCode = $("#hidDepartAirportCode" + flightNo).val();
						data.FlightNo = flightNo;
						data.LineType = lineType;
						data.ButtonName = PriceName;
						var tmplHot = template('seatList-template', data);
						seatobj.html(tmplHot);
						initSeatEvent();
						SetFlightSeatShow(obj);
					}
				})
			});
		}

		function getSearchNonePlaneHTML(data) {
			return template('tpl-search-no-plane', data);
		}
		// 删除查询飞机的筛选条�
		function initDeletePlaneTerms() {
			$('#plane-terms-list .search-condition-delete').on('tap', function() {
				var $parent = $(this).parent();
				var _id = $parent.attr('data-id');
				var _name = $parent.attr('data-name')
				$('.d-f-c-panel-items').find('[data-id="' + _id + '"][data-name="' + _name + '"]').removeClass('active');
				$parent.remove();
				shaOK();
			})
		}

		function shaOK() {
			//初始化数�
			//航空公司 dfc-airline
			var unl = $(".dfc-airline").find(".d-f-c-p-i-unlimited");

			var lineCode = [];
			if(unl.hasClass("active")) {
				var id = unl.attr("data-id");
				lineCode.push(id);
				GetFlightList.data.AirlineCodeList = lineCode;
			} else {
				var ids = new Array();
				$(".dfc-airline .d-f-c-p-i-i-item.active").each(function() {
					var id = $(this).attr("data-id");
					ids.push(id);
				});
				GetFlightList.data.AirlineCodeList = ids;
			}

			//舱位 dfc-flightseat
			var uflightseat = $(".dfc-flightseat").find(".d-f-c-p-i-unlimited");
			var htSeat = [];
			if(uflightseat.hasClass("active")) {
				var id = uflightseat.attr("data-id");
				htSeat.push(id);
				GetFlightList.data.FlightSeatList = htSeat;
				GetFlightSeatListEntity.data.FlightSeatList = htSeat;
			} else {
				var ids = new Array();
				$(".dfc-flightseat .d-f-c-p-i-i-item.active").each(function() {
					var id = $(this).attr("data-id");
					ids.push(id);
				});
				GetFlightList.data.FlightSeatList = ids;
				GetFlightSeatListEntity.data.FlightSeatList = ids;
			}

			//起飞机场 dfc-departairport
			var udepartairport = $(".dfc-departairport").find(".d-f-c-p-i-unlimited-radio");
			if(udepartairport.hasClass("active")) {
				var id = udepartairport.attr("data-id");
				GetFlightList.data.FilterDepartAirportId = id;
			} else {
				var id = $(".dfc-departairport .d-f-c-p-i-i-item-radio.active").attr("data-id");
				GetFlightList.data.FilterDepartAirportId = id;
			}

			//抵达机场 dfc-arriveairport
			var uarriveairport = $(".dfc-arriveairport").find(".d-f-c-p-i-unlimited-radio");
			if(uarriveairport.hasClass("active")) {
				var id = uarriveairport.attr("data-id");
				GetFlightList.data.FilterArriveAirportId = id;
			} else {
				var id = $(".dfc-arriveairport .d-f-c-p-i-i-item-radio.active").attr("data-id");
				GetFlightList.data.FilterArriveAirportId = id;
			}

			//起飞时间 dfc-departtime
			var udeparttime = $(".dfc-departtime").find(".d-f-c-p-i-unlimited");
			var tDepart = [];
			if(udeparttime.hasClass("active")) {
				var id = udeparttime.attr("data-id");
				tDepart.push(id);
				GetFlightList.data.FlightDepartTimeList = tDepart;
			} else {
				var ids = new Array();
				$(".dfc-departtime .d-f-c-p-i-i-item.active").each(function() {
					var id = $(this).attr("data-id");
					ids.push(id);
				});
				GetFlightList.data.FlightDepartTimeList = ids;
			}

			//搜索 去掉name 做筛�
			GetFlightList.data.DepartAirportName = "";
			GetFlightList.data.ArriveAirportName = "";

			loadFlightList();
		}

		//筛选条�
		function shaBindClick() {
			$(".d-f-c-p-i-unlimited").off().on("tap", function() {
				var that = $(this);
				that.addClass("active");
				that.parent().parent().find(".d-f-c-p-i-i-item.active").removeClass("active");
			});

			$(".d-f-c-p-i-i-item").off().on("tap", function() {
				var that = $(this);

				if(that.hasClass("active")) {
					that.removeClass("active");
					//判断是否存在选中
					var itemw = $(".d-f-c-p-i-i-item.active");
					if(itemw.length == 0) {
						that.parent().parent().find(".d-f-c-p-i-unlimited").addClass("active");
					}
				} else {
					that.addClass("active");
					that.parent().parent().find(".d-f-c-p-i-unlimited.active").removeClass("active");
				}
			});

			$(".dftbt-sha").off().on("tap", function() {
				var that = $(this);
				$(".d-f-c-p-i-i-item.active").removeClass("active");
				$(".d-f-c-p-i-unlimited").addClass("active");
				$(".d-f-c-p-i-i-item-radio.active").removeClass("active");
				$(".d-f-c-p-i-unlimited-radio").addClass("active");
			});

			$(".d-f-c-p-i-unlimited-radio").off().on("tap", function() {
				var that = $(this);
				that.addClass("active");
				that.parent().next().find(".d-f-c-p-i-i-item-radio.active").removeClass("active");
			});

			$(".d-f-c-p-i-i-item-radio").off().on("tap", function() {
				var that = $(this);
				if(!that.hasClass("active")) {
					that.parent().find(".d-f-c-p-i-i-item-radio.active").removeClass("active");
					that.parent().parent().find(".d-f-c-p-i-unlimited-radio.active").removeClass("active");
					that.addClass("active");
				}
			});

			$(".dft-ok").off().on("tap", function() {

				//隐藏
				$(".dateback").hide();
				$(".date-foot-sha").slideToggle();

				shaOK();
			});
		}

		function loadRefundAndModifyStipulate() {
			app.showWaiting('加载中...', 1);
			app.Post(GetRefundAndModifyStipulate, null, function(data) {
				if(app.GetResultState(data)) {
					$(".ce-refund-rule").show();
					var tmplHot = template('refunds-template', data);
					$("#reuleContent").html(tmplHot);

				} else {
					plus.nativeUI.toast("暂无退改签规则");
				}
			}, true, null, 60000);
		}

		function loadFlightList() {
			// 判断红点隐藏
			if(GetFlightList.data.AirlineCodeList[0] == 0 && GetFlightList.data.FlightSeatList[0] == 0 && GetFlightList.data.FlightDepartTimeList[0] == 0 &&
				GetFlightList.data.FilterDepartAirportId == 0 && GetFlightList.data.FilterArriveAirportId == 0) {
				$(".foot-active").hide();
			} else {
				$(".foot-active").show();
			}
			$("#celist").html("");
			//定时器
			loadResultTime();
			app.showWaiting('正在查询航班...', 1);
			app.Post(GetFlightList, null, GetFlightListCallBack, true, null, 60000);
		}

		function GetFlightListCallBack(data) {
			var nomsg = '<div class="no-list-msg">' +
				'<div class="no-icon">' +
				'	<img src="../images/no-list-icon.png" />' +
				'</div>' +
				'<div class="no-msg">' +
				'	搜索无结果' +
				'</div>' +
				'</div>';
			data.isFirstLoad = isFirstLoad;
			data.nonePlaneTpl = getSearchNonePlaneHTML(data);
			isFirstLoad = false;
			if(app.GetResultState(data)) {
				if(!data.FlightResponse.WithoutFlight) {
					$(".footer").show();
					//填充数据
					$("#title").html(lineTypeName + data.FlightResponse.DepartCityName + "&nbsp;-&nbsp;" + data.FlightResponse.ArriveCityName);
					var DepartDate = new Date(data.FlightResponse.DepartDate.replace(/-/g, "/"));
					GoData.data.FlightInfoKey = data.FlightResponse.RedisKey;
					if(data.FlightResponse.FlightList.length > 0) {
						for(var i = 0; i < data.FlightResponse.FlightList.length; i++) {
							data.FlightResponse.FlightList[i].ButtonName = PriceName;
							data.FlightResponse.FlightList[i].LineType = lineType;
						}
						var tmplHot = template('flightlist-template', data);
						$("#celist").html(tmplHot);
					} else {
						$("#celist").html(data.nonePlaneTpl);
					}

					//加载价格
					loadPrice(data.FlightResponse.FlightList);

					//加载搜索条件
					var tmplHot = template("sha-template", data);
					$("#indexfContent").html(tmplHot);
					shaBindClick();
					app.ReplaceImgRequestHeader();
					BindClick();

				} else {
					$(".footer").hide();
					$("#celist").html(data.nonePlaneTpl);
				}
				scroll.scrollTo(0, 0, 0);

				ShowFootActive();

			} else {
				$(".footer").hide();
				$("#celist").html(nomsg);
				scroll.scrollTo(0, 0, 0);
				//plus.nativeUI.toast(data.Msg);
			}
			initDeletePlaneTerms();
		}

		//验证超标
		function ValidateCB() {
			app.showWaiting('正在确认价格和舱位，请稍候...', 1);
			if(lineType == 1) {
//				app.Post(GoData, null, function(data) {
//					if(app.GetResultState(data)) {
//						if(data.IsOver == 0) {
							app.ShowWebView(projectConfig.ViewId.Plane.List.url, {
								type: orderType,
								lineType: 2
							}, null, projectConfig.ViewId.Plane.List.Id + "back");
//						} else {
//							var datas = GoData.data;
//							datas.type = 5;
//							datas.overPrice = data.ExceedPrice;
//							datas.OrderType = orderType;
//							datas.LineType = 2;
//							app.ShowWebView(projectConfig.ViewId.Standard.MoreStandard.url, datas);
//						}
//					} else {
//						GetPlaneList(data);
//					}
//				});
			} else {
//				app.Post(ValidateFlightOrderEntity, null, function(data) {
//					if(app.GetResultState(data)) {
//						if(data.IsOver == 0) {
							if(orderType == "dc") {
								app.ShowWebView(projectConfig.ViewId.Plane.OrderWrite.url, GoData.data, null, projectConfig.ViewId.Plane.OrderWrite.Id);
							} else if(orderType == "wf") {
								if(lineType == 1) {
									app.ShowWebView(projectConfig.ViewId.Plane.List.url, {
										type: orderType,
										lineType: 2
									}, null, projectConfig.ViewId.Plane.List.Id);
								} else if(lineType == 2) {
									app.ShowWebView(projectConfig.ViewId.Plane.OrderWriteV1.url, GoData.data, null, projectConfig.ViewId.Plane.OrderWriteV1.Id);
								}
							}
//						} else {
//							var datas = GoData.data;
//							datas.type = 5;
//							datas.overPrice = data.ExceedPrice;
//							datas.OrderType = orderType;
//							if(lineType == 1) {
//								datas.LineType = 2;
//							} else if(lineType == 2) {
//								datas.LineType = 3;
//							}
//							app.ShowWebView(projectConfig.ViewId.Standard.MoreStandard.url, datas);
//						}
//					} else {
//						GetPlaneList(data);
//					}
//				}, null, null, 60000);
			}
		}

		function GetPlaneList(data) {
			if(data.Code = "2000") {
				if(data.DepartValidate == 0) {
					plus.nativeUI.alert(data.Msg, function() {
						app.ShowWebView(projectConfig.ViewId.Plane.List.url, {
							type: orderType,
							lineType: 1
						}, "slide-in-left", projectConfig.ViewId.Plane.List.Id);
					}, "", "确定");
				} else if(data.BackValidate == 0) {
					plus.nativeUI.alert(data.Msg, function() {
						loadFlightList();
					}, "", "确定");
				}
			} else {
				plus.nativeUI.toast(data.Msg);
			}
		}

		function ShowFootActive() {

			var isShow = false;
			if($(".d-f-c-p-i-i-item.active").length > 0) {
				isShow = true;
			}

			if($(".d-f-c-p-i-i-item-radio.active").length > 0) {
				isShow = true;
			}

			if(isShow) {
				$(".foot-active").show();
			} else {
				$(".foot-active").hide();
			}
		}

		function GetBoderIndex(data, index) {
			var str = "";
			if(data.length > 3 && index == 2) {
				str = "bodernone";
			}
			return str;
		}

		function FomartDateTime(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;

			if(hours < 10) {
				hoursstr = "0" + hours;
			} else {
				hoursstr = hours;
			}

			if(min < 10) {
				minstr = "0" + min;
			} else {
				minstr = min;
			}

			return hoursstr + ":" + minstr;
		}

		function FomartDateTimeMMDD(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var month = strDate.getMonth() + 1;
			var min = strDate.getDate();
			var monthstr;
			var minstr;

			if(month < 10) {
				monthstr = "0" + month;
			} else {
				monthstr = month;
			}

			if(min < 10) {
				minstr = "0" + min;
			} else {
				minstr = min;
			}

			return monthstr + "-" + minstr;
		}

		function FomartDateStr(sDate1, sDate2) {
			var str = "";

			var iDays = app.DateTool.datedifference(sDate1, sDate2);

			if(iDays > 0) {
				str = "+" + iDays + "天";
			}
			return str;
		}

		function loadResultTime() {
			if(invertal != null) {
				window.clearInterval(invertal);
			}

			invertal = window.setTimeout(function() {
				var self = plus.webview.currentWebview();
				var wvs = plus.webview.getDisplayWebview();
				var isshow = false;
				for(var i = 0; i < wvs.length; i++) {
					if(wvs[i].id == projectConfig.ViewId.Plane.List.url) {
						isshow = true;
					}
				}

				if(isshow) {
					if(orderType == "wf") {
						lineType = 1;
						if(lineType == 1) {
							PriceName = "选为去程";
							lineTypeName = "去程:"
						} else {
							lineTypeName = "返程:";
						}

						var settings = app.getSettings();
						var DepartCity = settings.DepartCityIndex;
						var ArriveCity = settings.ArriveCityIndex;
						GetFlightList.data.DepartCityId = DepartCity.CityId;
						GetFlightList.data.DepartAirportCode = DepartCity.AirportCode;
						GetFlightList.data.DepartAirportName = DepartCity.AirportName;
						GetFlightList.data.ArriveCityId = ArriveCity.CityId;
						GetFlightList.data.ArriveAirportCode = ArriveCity.AirportCode;
						GetFlightList.data.ArriveAirportName = ArriveCity.AirportName;
						var PlaneDateJson = settings.PlaneDateJson;
						$(".ce-date").text(PlaneDateJson.DepartDate.dateShow);
						$(".ce-week").text(PlaneDateJson.DepartDate.week);
						$(".ce-time").hide();
						$("#returndiv").hide();
					}
					//弹出系统提示对话�
					plus.nativeUI.alert("航班信息可能已过期，请重新查询", function() {
						loadFlightList();
					}, "", "确定");
				} else {
					loadFlightListBack();
				}

			}, 10 * 60 * 1000);
		}

		function loadFlightListBack() {
			loadResultTime();
			app.Post(GetFlightList, null, GetFlightListCallBack);
		}

		function initScrollHei() {
			var hei = $(window).height();
			var shah = hei * 0.56;
			var hee = shah - 48;
			$("#datefScroll").css("height", hee + "px");
		}

		return {
			init: init,
			SetTitle: SetTitle,
			RefNewDateList: RefNewDateList,
			GoBackNewDate: GoBackNewDate
		}

	})();
})(window, $);