(function(window, $) {
	window.PlaneBack = (function() {
		var GetFlightOrderRefundEntity = {
			url: projectConfig.apiName.GetFlightOrderRefund,
			data: {
				OrderSerialNo: ""
			}
		}

		var GetFlightPassengerListEntity = {
			url: projectConfig.apiName.GetFlightPassengerList,
			data: {
				SerialNo: "",
				PassengerId: 0,
			}
		}

		var ApplyFlightOrderRefundEntity = {
			url: projectConfig.apiName.ApplyFlightOrderRefund,
			data: {
				OrderSerialNo: "",
				PassengerList: []
			}
		}

		var backResult = {}
		var personList = []
		var showResult = {}
		var serviceModel=0
		var servicePrice=0
		var backDetailEntity = {
			buyList: [],
			backList: [],
			buyTotal: 0,
			backTotal: 0,
			costTotal: 0
		};

		function init() {
			app.showWaiting('加载中...', 1);
			getDetail();
			$(".back-submit-button").on("tap", function() {
				submitBack()
			})
		}

		function getDetail() {
			app.Post(GetFlightOrderRefundEntity, null, loadBackInfoCallback);
		}

		function loadBackInfoCallback(data) {
			if(app.GetResultState(data)) {
				backResult = data;
				var html = template('person-template', data);
				$(".prog-passenger-lists").html(html);
				
				if(data.ServicePriceModel!=null){
					serviceModel=data.ServicePriceModel.ServiceModel;
					servicePrice=data.ServicePriceModel.ServicePrice;
				}

				$(".prog-passenger-item").on("tap", function() {
					backDetailEntity = {
						buyList: [],
						backList: [],
						buyTotal: 0,
						backTotal: 0,
						costTotal: 0
					};
					if($(this).hasClass("active")) {
						$(this).removeClass("active");
					} else {
						$(this).addClass("active");
					}

					var plist = $(".prog-passenger-lists").find(".active");
					if(plist && plist.length > 0) {
						personList = []
						plist.each(function() {
							personList.push($(this).attr("pid"));
						})
						showbackDetail();
					} else {

						$("#backview").hide();
					}
				});
			} else {
				//app.showMsg(data.Msg);
			}
		}

		function showbackDetail(type) {
			var ticketList1 = [];
			var ticketList2 = [];

			var backtotal = 0;
			var buytotal = 0;
			var casttotal = 0;
			if(backResult.PassengerList && backResult.PassengerList.length > 0) {
				for(var j = 0; j < personList.length; j++) {
					for(var i = 0; i < backResult.PassengerList.length; i++) {
						if(personList[j] == backResult.PassengerList[i].PassengerId) {
							for(var k = 0; k < backResult.PassengerList[i].CostInfoList.length; k++) {
								SetShowEntity(backResult.PassengerList[i].CostInfoList[k], backResult.PassengerList[i].Type, 0);
							}
							SetShowEntity(backResult.PassengerList[i].RefundFeeInfo, backResult.PassengerList[i].Type, 1);
							continue;
						}
					}
				}
				
				if(serviceModel!=0 && servicePrice!=0){
					var temp={};
					var price=0;
					if(serviceModel==1){
						temp.personconut = 0;
						temp.priceStr = servicePrice;
						price=servicePrice;
					} 
					else{
						temp.personconut = personList.length;
						price=servicePrice * personList.length;
						temp.priceStr = price;
					}
					
					temp.title = "服务费";
					
					temp.price = servicePrice;
					temp.canback = 0;
					temp.costtype = 0;
					temp.orderType = 0;
					backDetailEntity.buyTotal = backDetailEntity.buyTotal + price;
					backDetailEntity.backList.push(temp);
					backDetailEntity.costTotal = backDetailEntity.costTotal +  price;
					backDetailEntity.backTotal = backDetailEntity.buyTotal - backDetailEntity.costTotal;
				}

				if(type && type == "one") {
					var tmplHot = template('personback-template', backDetailEntity);
					$("#popover").html(tmplHot);

					var pheight = $("#popover").height()
					var pwidth = $("#popover").width()

					var wheight = $(window).height()
					var wwidth = $(window).width()

					var top = (wheight - pheight) / 2
					var left = (wwidth - pwidth) / 2

					$("#popover").css("top", top);
					$("#popover").css("left", left);

					mui('#popover').popover('toggle');
				} else {
					var html = template('back-template', backDetailEntity);
					$("#backview").html(html);
					$("#backview").show();
				}
			}
		}
		//personId 用户Id  entity 实体  ordertype 订单类型是否改签    entityType实体类型 0购买 1扣款
		function SetShowEntity(entity, ordertype, entityType) {
			var temp = {
				personconut: 0,
				title: "",
				priceStr: "",
				price: 0,
				canback: 0,
				costtype: 0,
				orderType: 0,
			}
			var flag = false;
			if(entityType == 0) { // 用户数据
				var buylist = backDetailEntity.buyList;
				for(var i = 0; i < buylist.length; i++) {
					if(ordertype == buylist[i].orderType && entity.CostType == buylist[i].costtype && buylist[i].price == entity.CostPrice) {
						buylist[i].personconut = buylist[i].personconut + 1;
						flag = true;
						break;
					}
				}
				if(!flag) {
					temp.personconut = 1;
					if(entity.CostType == 1) {
						if(ordertype == 1)
							temp.title = "成人机票(改签)";
						else
							temp.title = "成人机票";
					} else {
						temp.title = entity.CostName;
						if(entity.RefundStatus == 0)
							temp.title += "(不可退)";
					}
					temp.priceStr = entity.CostPriceDesc;
					temp.price = entity.CostPrice;
					temp.canback = entity.RefundStatus;
					temp.costtype = entity.CostType;
					temp.orderType = ordertype;
					backDetailEntity.buyList.push(temp);
				}
				if(entity.RefundStatus==1)
					backDetailEntity.buyTotal = backDetailEntity.buyTotal + entity.CostPrice;
			} else if(entityType == 1) { //退款手续费
				var backList = backDetailEntity.backList;
				for(var i = 0; i < backList.length; i++) {
					if(ordertype == backList[i].orderType && entity.CostType == backList[i].costtype && backList[i].price == entity.CostPrice) {
						backList[i].personconut = backList[i].personconut + 1;
						backDetailEntity.costTotal = entity.CostPrice +backDetailEntity.costTotal;
						flag = true;
						break;
					}
				}
				if(!flag) {
					temp.personconut = 1;
					if(ordertype == 1)
						temp.title = entity.CostName + "(改签)";
					else
						temp.title = entity.CostName;
					temp.priceStr = entity.CostPriceDesc;
					temp.price = entity.CostPrice;
					temp.canback = entity.RefundStatus;
					temp.costtype = entity.CostType;
					temp.orderType = ordertype;
					backDetailEntity.costTotal = backDetailEntity.costTotal + entity.CostPrice;
					backDetailEntity.backList.push(temp);
				}
			}
			
			backDetailEntity.backTotal = backDetailEntity.buyTotal-backDetailEntity.costTotal;
		}

		function getOnePerson(personId) {
			backDetailEntity = {
				buyList: [],
				backList: [],
				buyTotal: 0,
				backTotal: 0,
				costTotal: 0
			};
			personList = [];
			getDetail();
			personList.push(personId);
			showbackDetail("one");

			$(".back-button-left").on("tap", function() {
				mui('#popover').popover('toggle');
			})

			$(".back-button-right").on("tap", function() {
				mui('#popover').popover('toggle');
				app.showWaiting('退票中...', 1);
				ApplyFlightOrderRefundEntity.data.PassengerList = personList
				app.Post(ApplyFlightOrderRefundEntity, null, function(data) {
					if(app.GetResultState(data)) {
						window.PlaneOrderDetail.init();
					} else {
						var msg = data.Msg.split('|');
						mui.confirm(msg[0], "提示", ["知道了", "联系客服"], function(e) {
							if(e.index == 1) {
								plus.device.dial(msg[1], false);
								window.PlaneOrderDetail.init();
							}
							else if(e.index==0){
								window.PlaneOrderDetail.init();
							}
						})
					}
				},true,null,60000);
			})
		}

		function submitBack() {
			if(!personList || personList.length == 0) {
				app.showMsg("请选择退票人");
				return;
			}
			mui.confirm("确认退票吗？", "提示", ["取消", "确定"], function(e) {
				if(e.index == 1) {
					app.showWaiting('退票中...', 1);
					ApplyFlightOrderRefundEntity.data.PassengerList = personList
					app.Post(ApplyFlightOrderRefundEntity, null, function(data) {
						if(app.GetResultState(data)) {
							if(app.appPlatId=1010){
								app.showMsg("退票申请提交成功");
								app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, {
										SerialNo: window.PlaneBack.GetFlightOrderRefundEntity.data.OrderSerialNo,
										isList: 1
									}, 'pop-in', projectConfig.ViewId.Plane.OrderDetail.Id);
							}
							else{
								mui.confirm("恭喜您，退票成功。", "提示", ["知道了"], function(e) {
									app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, {
										SerialNo: window.PlaneBack.GetFlightOrderRefundEntity.data.OrderSerialNo,
										isList: 1
									}, 'pop-in', projectConfig.ViewId.Plane.OrderDetail.Id);
								})
							}
						} else {
							var msg = data.Msg.split('|');
							mui.confirm(msg[0], "提示", ["知道了", "联系客服"], function(e) {
								if(e.index == 1) {
									plus.device.dial(msg[1], false);
								} 
								else if(e.index == 0) {
									app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, {
										SerialNo: window.PlaneBack.GetFlightOrderRefundEntity.data.OrderSerialNo,
										isList: 1
									}, 'pop-in', projectConfig.ViewId.Plane.OrderDetail.Id);
								}
							})
						}
					},true,null, 60000);
				}
			})

		}
		return {
			init: init,
			GetFlightOrderRefundEntity: GetFlightOrderRefundEntity,
			ApplyFlightOrderRefundEntity: ApplyFlightOrderRefundEntity,
			personList: personList,
			getOnePerson: getOnePerson
		}
	})();
})(window, $);