app.offerhotel = {
	GetDemandListEntity: {
		url: projectConfig.apiName.SupplierGetDemandInfo,
		data: {
			Did: ''
		}
	},
	GetDemandDetail: function() {
		var hotelobj = $("#divHotelList");
		app.Loading(hotelobj, "30%");
		var dId = $("#hidDemandOrderId").val();
		var self = app.offerhotel;
		var entity = self.GetDemandListEntity;
		entity.data.Did = dId;
		app.Post(entity, null, app.offerhotel.GetDemandDetailBack);
	},
	GetDemandDetailBack: function(data) {
		//console.log(JSON.stringify(data));
		var self = app.offerhotel;
		if(app.GetResultState(data)) {
			self.LoadDemandDetail(data, $("#demandDetail"));
			if(data.HotelList != null && data.HotelList.length > 0) {
				var hotelhtml = app.HotelList.hotelListHtml(data.HotelList, 4);
				var hotelobj = $("#divHotelList");

				hotelobj.html(hotelhtml);

				self.bindofferevent();
			} else {
				//self.noOfferPrice(); 
			}
		} else if(data.Code == "0001") {
			data.Code = "0000";
			self.LoadDemandDetail(data);
			//self.noOfferPrice();
		} else {
			app.renderNoResult("出了点状况", data.Msg, "重新加载", app.offerhotel.GetDemandDetail, $("#divHotelList"));
		}
	},
	//需求单详情
	LoadDemandDetail: function(data, obj) {
		if(app.GetResultState(data)) {
			if(data.DemandInfo != null) {
				var html = "";
				var demand = data.DemandInfo;
				if(demand.Hint) {
					html += '<div class="rob-order-info-robtitle rob-order-info-robtitle-small"><i></i>' + demand.Hint + '</div>';
				}
				html += '<div class="rob-order-hotelinfo"><p>';
				html += '<font>' + demand.Desc + '</font>';
				html += '<i>' + demand.Check + '</i><br>' + demand.Room + '<br />' + demand.Special + '</p>';
				html += '<span>' + demand.Time + '<i>' + demand.Status + '<i></span>';
				html += '</div>';

				$(obj).html(html);
			} else {
				app.renderNoResult("出了点状况", "", null, null, obj);
			}
		}
	},
	//需求单酒店
	LoadDemandHotel: function(data) {
		if(data.DemandInfo != null) {
			var html = "";
			var hotelList = data.HotelList;
			if(hotelList != null && hotelList.length > 0) {
				for(var i = 0; i < data.HotelList.length > 0; i++) {
					var hotel = data.HotelList[i];
					html += '<div class="rob-order-info">';
					if(hotel.Hint)
						html += '<div class="rob-order-info-robtitle">' + hotel.Hint + '</div>';
					html += '<div class="rob-order-hotelinfo"><p>';
					html += '<font>' + hotel.Name + '</font><i></i><br>5间高级大床房，双早；5间高级双床房，双早</p>';
				}
			}
		}
	},
	bindofferevent: function() {
		$('.hotel-list-price-view').off('tap');
		$('.hotel-list-price-view').on('tap', function() {
			var did = $("#hidDemandOrderId").val();
			var hotelid = $(this).attr('hotelId');

			var pagedata = {};
			pagedata.Did = did;
			pagedata.Hid = hotelid;
			pagedata.pviewId = plus.webview.currentWebview().id;
			app.ShowWebView("OfferPrice.html", pagedata, null, "SupplyOfferPrice");
		});
	}
}