(function(window, $) {
	window.Departure = (function() {
		var cpLock = true;
		var isSeach = false;
		//接口
		var getAirportCityList = {
			url: projectConfig.apiName.GetTrainStationList,
			data: {
				Key: ""
			}
		}
		var scroll = null;

		function init() {
			//滚动条
			scroll = mui("#plan-contentScroll").scroll();
			//注册处理方法
			template.helper("FormatNameFirst", FormatNameFirst);
			
			LoadCity();
			BindTap();
		}

		function initDivWidth() {

		}
		
		function SetTitle(type)
		{
			if(type == 2)
			{
				$("#title").text("选择目的地");
				$("#cedsmsg").text("请输入目的地(如苏州/suzhou/sz)");
				$("#txtSearchKey").attr("placeholder","目的地(如苏州/suzhou/sz)");
			}else{
				$("#title").text("选择出发地");	
				$("#cedsmsg").text("请输入出发地(如苏州/suzhou/sz)");
				$("#txtSearchKey").attr("placeholder","出发地(如苏州/suzhou/sz)");
			}
		}
		
		//绑定事件
		function BindTap() {
			//热门 列表
			$(".ce-d-hot-item").off().on("tap", function() {
				$(".ce-d-hot-item.ce-hot-active").removeClass("ce-hot-active");
				$(this).addClass("ce-hot-active");
				var dataId = $(this).attr("data-value");
				var AirportCode = $(this).attr("data-szm");
				var AirportName = $(this).attr("data-name");
				otherView.evalJS('window.Train.ReCallbackCity(' + dataId + ',"' + AirportCode + '","' + AirportName + '",'+type+')');
				app.HideWebView(currentView.id);
			});

			$(".ce-dlil-item").off().on("tap", function() {
				var dataId = $(this).attr("data-value");
				var AirportCode = $(this).attr("data-szm");
				var AirportName = $(this).attr("data-name");
				otherView.evalJS('window.Train.ReCallbackCity(' + dataId + ',"' + AirportCode + '","' + AirportName + '",'+type+')');
				$("#txtSearchKey").blur();
				app.HideWebView(currentView.id);
			});

			//搜索
			$(".ce-seach-list-item").off().on("tap", function() {
				var dataId = $(this).attr("data-value");
				var AirportCode = $(this).attr("data-szm");
				var AirportName = $(this).attr("data-name");
				otherView.evalJS('window.Train.ReCallbackCity(' + dataId + ',"' + AirportCode + '","' + AirportName + '",'+type+')');
				app.HideWebView(currentView.id);
			});

			$("#search-close").off().on("tap", function() {
				$("#muiCeSeach").addClass("none");
				$("#muiCe").removeClass("none");
			});

			$("#showSeach").off().on("tap", function() {
				$("#muiCeSeach").removeClass("none");
				$("#muiCe").addClass("none");

				$("#txtSearchKey").focusin();
				$("#btnCancelKey").show();
			});
			
			$("#txtSearchKey").off().on({
                compositionstart: function () {//中文输入开始
                    cpLock = false;
                },
                compositionend: function () {//中文输入结束
                    cpLock = true;
                    var value = $(this).val();
                    	if(value!= ""){
                    		SeachCity(value);
                    	}else{
                    		$("#seachCityTemplate").html("");
							$("#seachCityTemplateNone").addClass("none");
							$("#search-hei").removeClass("area-search-ce-back");
                    	}
                },
                input: function () {//input框中的值发生变化
                    if (cpLock){
                    	var value = $(this).val();
                    	if(value!= ""){
                    		SeachCity(value);
                    	}else{
                    		$("#seachCityTemplate").html("");
							$("#seachCityTemplateNone").addClass("none");
							$("#search-hei").removeClass("area-search-ce-back");
                    	}
                    }
                }
            })
			
			$("#btnCancelKey").off().on("tap",function(){
				isSeach = true;
				$("#txtSearchKey").focusin();
				$("#txtSearchKey").val("");
				$("#seachCityTemplate").html("");
				$("#seachCityTemplateNone").addClass("none");
				$("#search-hei").removeClass("area-search-ce-back");
			});
		}

		function LoadCity() {
			app.showWaiting('加载中...',1);
			getAirportCityList.data.Key = "";
			app.Post(getAirportCityList, null, AirportCityListCallBack);
		}
		
		//列表数据回掉
		function AirportCityListCallBack(data) {
			if(app.GetResultState(data)) {
				var allLength = data.HotStationList.length;
				var noneArray = new Array();
				if(allLength>0)
				{
					var yu = allLength%3;
					if(yu > 0){
						var lengthy = 3-yu;
						for (var i = 1;i<=lengthy;i++) {
							noneArray.push(i);
						}
					}
				}
				data["NoneArray"] = noneArray;
				
				var tmplHot = template('hot-city-template', data);
				$("#hotCityTemplate").html(tmplHot);
				var tmpl = template('city-template', data);
				$("#cityTemplate").html(tmpl);
				
				//绑定事件
				BindTap();
			} else {
				plus.nativeUI.toast('城市加载失败！');
			}
		}
		
		//根据关键字搜索
		function SeachCity(value)
		{
			getAirportCityList.data.Key = value;
			app.Post(getAirportCityList, null, SeachCityListCallBack);
		}
		
		//搜索结果
		function SeachCityListCallBack(data) {
			if(app.GetResultState(data)) {
				if(data.HotStationList != null && data.HotStationList.length>0)
				{
					var tmpl = template('seach-city-template', data);
					$("#seachCityTemplate").html(tmpl);
					$("#seachCityTemplateNone").addClass("none");
					$("#seachCityTemplate").removeClass("none");
					
					$("#search-hei").addClass("area-search-ce-back");
					//绑定事件
					BindTap();
				}
				else
				{
					$("#search-hei").removeClass("area-search-ce-back");
					$("#seachCityTemplateNone").removeClass("none");
					$("#seachCityTemplate").addClass("none");
				}
				
			} else {
				$("#search-hei").removeClass("area-search-ce-back");
				$("#seachCityTemplateNone").removeClass("none");
				$("#seachCityTemplate").addClass("none");
			}
		}
		
		function FormatNameFirst(value)
		{
			return value.toUpperCase();
		}
		
		return {
			init: init,
			SetTitle:SetTitle
		}

	})();
})(window, $);