(function(window, $) {
	window.List = (function() {
		var invertal = null;
		var sysDate; //系统时间
		var isFirstLoad = true; //是否第一次加载
		var FutureCanBookDays = 0;
		//接口
		var GetFlightList = {
			url: projectConfig.apiName.GetTrainList,
			data: {
				ArriveStationCode: "",
				DepartStationCode: "",
				DepartDate: "",
				Rank: 0,
				DepartStationList: ["不限"],
				ArriveStationList: ["不限"],
				TrainTypeList: [0],
				TrainDepartTimeList: [0]
			}
		}

		var GetCommonConfigDate = {
			url: projectConfig.apiName.GetCommonConfig,
			data: {}
		}

		//头部日期 对象
		var dataparam = {
			lineType: 0,
			DepartTrip: {
				DepartDate: "",
				DateWeek: "",
				DepartTime: "",
				DepartAirport: "",
				IsShow: false
			},
			DateItem: {
				BeforeDay: {
					DateTime: "",
					Disabled: true
				},
				SelectDay: {
					DateDay: "",
					DateWeek: "",
					DateTime: "",
					MinPrice: 0
				},
				NextDay: {
					DateTime: "",
					Disabled: false
				}
			}
		}

		var scroll = null;
		var scroll1 = null;
		var scrolly = 0; //记录当前y Items
		var scrollItemy = 0; //记录当前y item
		function init() {
			var topheight = $(".mui-bar").height();
			$(".list-header").css("top", topheight + "px");
			//滚动条
			scroll = mui("#list-contentScroll").scroll();
			scroll2 = mui("#datefScroll").scroll();
			//注册处理方法
			template.helper("GetBoderIndex", GetBoderIndex);
			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateStr", FomartDateStr);

			//加载数据搜索数据
			var settings = app.getSettings();
			var DepartCity = settings.DepartCityTrainIndex;
			var ArriveCity = settings.ArriveCityTrainIndex;
			var DepartDateJson = settings.DepartDateTrainJson;
			//填充数据
			$("#title").html(DepartCity.AirportName + "&nbsp;-&nbsp;" + ArriveCity.AirportName);
			$(".ce-date").text(DepartDateJson.fulldate);
			$(".ce-week").text(DepartDateJson.week);

			GetFlightList.data.DepartStationCode = DepartCity.AirportCode;
			GetFlightList.data.ArriveStationCode = ArriveCity.AirportCode;
			GetFlightList.data.DepartDate = DepartDateJson.fulldate;
			var typeIndex = settings.TrainTypeIndex;
			if(typeIndex == 1) {
				GetFlightList.data.TrainTypeList = [1, 2];
			} else {
				GetFlightList.data.TrainTypeList = [0];
			}
			app.Post(GetCommonConfigDate, null, function(data) {
				sysDate = new Date();
				if(app.GetResultState(data)) {
					sysDate = new Date(data.SystemDate.replace(/-/g, "/"));
					FutureCanBookDays = data.FutureCanBookDays;
				}
				SetListHeader();
				loadFlightList();
				BindClick();
				$(".foot-active").hide();
				loadResultTime();
			});

			$(".time").off().on("tap", function() {

				$(".price").removeClass("active-p");
				$("#ti-price").addClass("none");

				if(!$(this).hasClass("active")) {
					$(this).addClass("active");
					$("#ti-time").removeClass("none");
					var type = $(this).attr("data-type");
					if(type == 1) {
						GetFlightList.data.Rank = 0;
					} else {
						GetFlightList.data.Rank = 1;
					}
					loadFlightList();
					return;
				}

				$(this).addClass("active");
				$("#ti-time").removeClass("none");
				var type = $(this).attr("data-type");
				if(type == 1) {
					$(this).attr("data-type", "2");
					$("#ti-time").html(" 晚 → 早");
					GetFlightList.data.Rank = 1;
				} else {
					$(this).attr("data-type", "1");
					$("#ti-time").html(" 早 → 晚");
					GetFlightList.data.Rank = 0;
				}
				loadFlightList();
			});

			$(".price").off().on("tap", function() {

				$(".time").removeClass("active");
				$("#ti-time").addClass("none");
				if(!$(this).hasClass("active-p")) {
					$(this).addClass("active-p");
					$("#ti-price").removeClass("none");
					var type = $(this).attr("data-type");
					if(type == 1) {
						$(this).attr("data-type", "2");
						GetFlightList.data.Rank = 2;
					} else {
						$(this).attr("data-type", "1");
						GetFlightList.data.Rank = 3;
					}
					loadFlightList();
					return;
				}
				$(this).addClass("active-p");
				$("#ti-price").removeClass("none");
				var type = $(this).attr("data-type");
				if(type == 1) {
					$(this).attr("data-type", "2");
					$("#ti-price").html(" 早 → 晚");
					GetFlightList.data.Rank = 2;
				} else {
					$(this).attr("data-type", "1");
					$("#ti-price").html(" 晚 → 早");
					GetFlightList.data.Rank = 3;
				}
				loadFlightList();
			});

			$(".ce-rult-icon").off().on("tap", function() {
				//定时器
				loadResultTime();
				$(".ce-refund-rule").hide();
			})

			$(".foot-sha").off().on("tap", function() {
				//定时器
				loadResultTime();
				$(".dateback").show();
				$(".date-foot-sha").slideToggle();
			});

			$(".dateback").off().on("tap", function() {
				//定时器
				loadResultTime();
				$(".dateback").hide();
				$(".date-foot-sha").slideToggle();
			});

			$(".dft-cancel").off().on("tap", function() {
				//定时器
				loadResultTime();
				$(".dateback").hide();
				$(".date-foot-sha").slideToggle();
			});
		}

		function SetTitle(type) {
			$("#title").text("选择出发地");
		}

		function SetListHeader() {
			var settings = app.getSettings();
			var DepartDateJson = settings.DepartDateTrainJson;

			dataparam = {
				lineType: 0,
				DepartTrip: {
					DepartDate: "",
					DateWeek: "",
					DepartTime: "",
					DepartAirport: "",
					IsShow: false
				},
				DateItem: {
					BeforeDay: {
						DateTime: "",
						Disabled: true
					},
					SelectDay: {
						DateDay: "",
						DateWeek: "",
						DateTime: "",
						MinPrice: 0
					},
					NextDay: {
						DateTime: "",
						Disabled: false
					}
				}
			}
			dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", new Date(DepartDateJson.fulldate.replace(/-/g, "/")));
			dataparam.DateItem.SelectDay.DateWeek = DepartDateJson.week;
			dataparam.DateItem.SelectDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", new Date(DepartDateJson.fulldate.replace(/-/g, "/")));
			dataparam.DateItem.SelectDay.MinPrice = 0;
			dataparam.DepartTrip.IsShow = false;

			var BeforeDate = app.DateTool.DateAdd("d", -1, dataparam.DateItem.SelectDay.DateTime.replace(/-/g, "/"));
			dataparam.DateItem.BeforeDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", BeforeDate);
			dataparam.DateItem.BeforeDay.Disabled = false;

			if(BeforeDate.getFullYear() < sysDate.getFullYear() || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() < sysDate.getMonth()) || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() == sysDate.getMonth() && BeforeDate.getDate() < sysDate.getDate())) {
				dataparam.DateItem.BeforeDay.Disabled = true;
			}

			dataparam.DateItem.NextDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", app.DateTool.DateAdd("d", 1, dataparam.DateItem.SelectDay.DateTime.replace(/-/g, "/")));
			dataparam.DateItem.NextDay.Disabled = false;
			var tmplHot = template('set-list-header-template', dataparam);
			$("#listHeader").html(tmplHot);

			bindClickHeader();

			var heightw = $("#listHeader").height();
			$("#celist").css("padding-top", heightw + "px");
		}

		function bindClickHeader() {
			//前一天
			$("#hdStart").off().on("tap", function() {
				if(!$(this).hasClass("ce-hd-disabled")) {
					//把前一天修改成当天
					var SelectDayTime = dataparam.DateItem.BeforeDay.DateTime;
					var newSelctDate = new Date(SelectDayTime.replace(/-/g, "/"));
					dataparam.DateItem.NextDay.DateTime = dataparam.DateItem.SelectDay.DateTime;

					dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", newSelctDate);
					dataparam.DateItem.SelectDay.DateWeek = app.DateTool.DateToWeek(newSelctDate, sysDate);
					dataparam.DateItem.SelectDay.DateTime = SelectDayTime;

					var BeforeDate = app.DateTool.DateAdd("d", -1, dataparam.DateItem.SelectDay.DateTime);
					dataparam.DateItem.BeforeDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", BeforeDate);
					dataparam.DateItem.BeforeDay.Disabled = false;
					if(BeforeDate.getFullYear() < sysDate.getFullYear() || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() < sysDate.getMonth()) || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() == sysDate.getMonth() && BeforeDate.getDate() < sysDate.getDate())) {
						dataparam.DateItem.BeforeDay.Disabled = true;
					}
					var settings = app.getSettings();
					var DepartDateJsone = {
						fulldate: app.DateTool.DateFormat("yyyy-MM-dd", newSelctDate),
						week: app.DateTool.DateToWeek(newSelctDate, sysDate)
					};
					settings.DepartDateTrainJson = DepartDateJsone;
					app.setSettings(settings);

					var tmplHot = template('set-list-header-template', dataparam);
					$("#listHeader").html(tmplHot);

					bindClickHeader();

					RefNewDateList(dataparam.DateItem.SelectDay.DateTime);

					var heightw = $("#listHeader").height();
					$("#celist").css("padding-top", heightw + "px");

				}
			})

			//当前选中天数 
			$("#hdNowDate").off().on("tap", function() {
				var newSysDate = app.DateTool.DateFormat("yyyy-MM-dd", sysDate);
				var selectDate = $(this).attr("data-time");
				var selfId = plus.webview.currentWebview().id;
				app.ShowWebView(projectConfig.ViewId.Plane.ListDate.url, {
					NewSysDate: newSysDate,
					SelectDate: selectDate,
					selfId: selfId,
					DateCount: FutureCanBookDays
				}, "slide-in-bottom", projectConfig.ViewId.Plane.ListDate.Id);
			})

			//后一天
			$("#hdEnd").off().on("tap", function() {
				//把后一天修改成当天
				var SelectDayTime = dataparam.DateItem.NextDay.DateTime;
				var newSelctDate = new Date(SelectDayTime.replace(/-/g, "/"));
				dataparam.DateItem.BeforeDay.DateTime = dataparam.DateItem.SelectDay.DateTime;

				var BeforeDate = new Date(dataparam.DateItem.BeforeDay.DateTime.replace(/-/g, "/"));
				if(BeforeDate.getFullYear() < sysDate.getFullYear() || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() < sysDate.getMonth()) || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() == sysDate.getMonth() && BeforeDate.getDate() < sysDate.getDate())) {
					dataparam.DateItem.BeforeDay.Disabled = true;
				} else {
					dataparam.DateItem.BeforeDay.Disabled = false;
				}

				dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", newSelctDate);
				dataparam.DateItem.SelectDay.DateWeek = app.DateTool.DateToWeek(newSelctDate, sysDate);
				dataparam.DateItem.SelectDay.DateTime = SelectDayTime;

				dataparam.DateItem.NextDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", app.DateTool.DateAdd("d", 1, dataparam.DateItem.SelectDay.DateTime));
				dataparam.DateItem.NextDay.Disabled = false;
				var settings = app.getSettings();
				var DepartDateJsone = {
					fulldate: app.DateTool.DateFormat("yyyy-MM-dd", newSelctDate),
					week: app.DateTool.DateToWeek(newSelctDate, sysDate)
				};
				settings.DepartDateTrainJson = DepartDateJsone;
				app.setSettings(settings);

				var tmplHot = template('set-list-header-template', dataparam);
				$("#listHeader").html(tmplHot);

				bindClickHeader();

				RefNewDateList(dataparam.DateItem.SelectDay.DateTime);

				var heightw = $("#listHeader").height();
				$("#celist").css("padding-top", heightw + "px");
			})
		}

		function RefNewDateList(newDate) {
			GetFlightList.data.DepartDate = newDate;
			var newSelctDate = new Date(newDate);
			var settings = app.getSettings();
			var DepartDateJsone = {
				fulldate: app.DateTool.DateFormat("yyyy-MM-dd", newSelctDate),
				week: app.DateTool.DateToWeek(newSelctDate, sysDate)
			};
			settings.DepartDateTrainJson = DepartDateJsone;
			app.setSettings(settings);

			isFirstLoad = true;
			loadFlightList();
		}

		function BindClick() {
			$(".ce-list-item").off().on("tap", function() {
				if($(this).hasClass("disabled")) {
					return;
				}
				//
				var TrainId = $(this).attr("data-id");
				var DepartDate = GetFlightList.data.DepartDate;
				var DepartStationCode = $(this).attr("data-departcode");
				var ArriveStationCode = $(this).attr("data-arrivecode");
				var DepartName = $(this).attr("data-departname");
				var ArriveName = $(this).attr("data-arrivename");
				var LastTime = $(this).attr("data-lasttime");
				var TrainNo = $(this).attr("data-trainno");
				var DepartTime = $(this).attr("data-departTime");
				var ArriveTime = $(this).attr("data-arrivetime");

				var dataf = {
					TrainId: TrainId,
					DepartDate: DepartDate,
					DepartStationCode: DepartStationCode,
					ArriveStationCode: ArriveStationCode,
					DepartName: DepartName,
					ArriveName: ArriveName,
					LastTime: LastTime,
					TrainNo: TrainNo,
					DepartTime: DepartTime,
					ArriveTime: ArriveTime
				}
				
				app.ShowWebView(projectConfig.ViewId.Train.Detail.url,dataf,null,projectConfig.ViewId.Train.Detail.Id);
				
			});
		}

		function loadFlightList() {
			//定时器
			loadResultTime();
			app.showWaiting('加载中...', 1);
			$("#celist").html("");
			app.Post(GetFlightList, null, GetFlightListCallBack);
		}

		function getSearchNoneTrainHTML(data) {
			return template('tpl-search-no-train', data);
		}
		// 删除查询火车的筛选条件
		function initDeleteTrainTerms() {
			$('#train-terms-list .search-condition-delete').on('tap', function() {
				var $parent = $(this).parent();
				var _id = $parent.attr('data-id');
				var _name = $parent.attr('data-name')
				$('.d-f-c-panel-items').find('[data-id="' + _id + '"][data-name="' + _name + '"]').removeClass('active');
				$parent.remove();
				shaOk();
			})
		}

		function GetFlightListCallBack(data) {
			data.isFirstLoad = isFirstLoad;
			data.noneTrainTpl = getSearchNoneTrainHTML(data);
			isFirstLoad = false;
			if(app.GetResultState(data)) {
				$(".footer").show();
				//填充数据
				$("#title").html(data.TrainResponse.DepartStationName + "&nbsp;-&nbsp;" + data.TrainResponse.ArriveStationName);
				var DepartDate = new Date(data.TrainResponse.DepartDate.replace(/-/g, "/"));
				var strDate = DepartDate.getFullYear() + "-" + (DepartDate.getMonth() + 1) + "-" + DepartDate.getDate();
				$(".ce-date").text(strDate);
				$(".ce-week").text(data.TrainResponse.DayOfWeek);
				var tmplHot = template('flightlist-template', data);
				$("#celist").html(tmplHot);

				//加载价格
				loadPrice(data.TrainResponse.TrainList);

				//加载搜索条件
				var tmplHot = template("sha-template", data);
				$("#indexfContent").html(tmplHot);
				shaBindClick();

				BindClick();

			} else {
				$(".footer").hide();
				$("#celist").html(getSearchNoneTrainHTML(data));
				//plus.nativeUI.toast(data.Msg);
			}

			ShowFootActive();
			scroll.scrollTo(0, 0, 0);
			initDeleteTrainTerms();
		}

		function loadPrice(data) {
			var minPrice = 0;
			for(var i = 0; i < data.length; i++) {
				var item = data[i];
				if(minPrice == 0) {
					minPrice = item.Price;
				} else {
					if(minPrice > item.Price) {
						minPrice = item.Price;
					}
				}
			}

			dataparam.DateItem.SelectDay.MinPrice = minPrice;
			$("#cehRed").html("￥" + minPrice);
		}

		function shaOk() {
			//初始化数据
			//车型 dfc-airline
			var unl = $(".dfc-airline").find(".d-f-c-p-i-unlimited");

			var lineCode = [];
			if(unl.hasClass("active")) {
				var id = unl.attr("data-id");
				lineCode.push(id);
				GetFlightList.data.TrainTypeList = lineCode;
			} else {
				var ids = new Array();
				$(".dfc-airline .d-f-c-p-i-i-item.active").each(function() {
					var id = $(this).attr("data-id");
					ids.push(id);
				});
				GetFlightList.data.TrainTypeList = ids;
			}

			//出发车站 dfc-departairport
			var departStation = [];
			var udepartairport = $(".dfc-departairport").find(".d-f-c-p-i-unlimited-radio");
			if(udepartairport.hasClass("active")) {
				var name = udepartairport.attr("data-name");
				departStation.push(name);
				GetFlightList.data.DepartStationList = departStation;
			} else {
				var name = $(".dfc-departairport .d-f-c-p-i-i-item-radio.active").attr("data-name");
				departStation.push(name);
				GetFlightList.data.DepartStationList = departStation;
			}

			//到达车站 dfc-arriveairport
			var arriveStation = [];
			var uarriveairport = $(".dfc-arriveairport").find(".d-f-c-p-i-unlimited-radio");
			if(uarriveairport.hasClass("active")) {
				var name = uarriveairport.attr("data-name");
				arriveStation.push(name);
				GetFlightList.data.ArriveStationList = arriveStation;
			} else {
				var name = $(".dfc-arriveairport .d-f-c-p-i-i-item-radio.active").attr("data-name");
				arriveStation.push(name);
				GetFlightList.data.ArriveStationList = arriveStation;
			}

			//起飞时间 dfc-departtime
			var udeparttime = $(".dfc-departtime").find(".d-f-c-p-i-unlimited");
			var tDepart = [];
			if(udeparttime.hasClass("active")) {
				var id = udeparttime.attr("data-id");
				tDepart.push(id);
				GetFlightList.data.TrainDepartTimeList = tDepart;
			} else {
				var ids = new Array();
				$(".dfc-departtime .d-f-c-p-i-i-item.active").each(function() {
					var id = $(this).attr("data-id");
					ids.push(id);
				});
				GetFlightList.data.TrainDepartTimeList = ids;
			}

			loadFlightList();
		}

		//筛选条件
		function shaBindClick() {
			$(".d-f-c-p-i-unlimited").off().on("tap", function() {
				var that = $(this);
				that.addClass("active");
				that.parent().parent().find(".d-f-c-p-i-i-item.active").removeClass("active");
			});

			$(".d-f-c-p-i-i-item").off().on("tap", function() {
				var that = $(this);

				if(that.hasClass("active")) {
					that.removeClass("active");
					//判断是否存在选中
					var itemw = $(".d-f-c-p-i-i-item.active");
					if(itemw.length == 0) {
						that.parent().parent().find(".d-f-c-p-i-unlimited").addClass("active");
					}
				} else {
					that.addClass("active");
					that.parent().parent().find(".d-f-c-p-i-unlimited.active").removeClass("active");
				}
			});

			$(".dftbt-sha").off().on("tap", function() {
				var that = $(this);
				$(".d-f-c-p-i-i-item.active").removeClass("active");
				$(".d-f-c-p-i-unlimited").addClass("active");
				$(".d-f-c-p-i-i-item-radio.active").removeClass("active");
				$(".d-f-c-p-i-unlimited-radio").addClass("active");
			});

			$(".d-f-c-p-i-unlimited-radio").off().on("tap", function() {
				var that = $(this);
				that.addClass("active");
				that.parent().next().find(".d-f-c-p-i-i-item-radio.active").removeClass("active");
			});

			$(".d-f-c-p-i-i-item-radio").off().on("tap", function() {
				var that = $(this);
				if(!that.hasClass("active")) {
					that.parent().find(".d-f-c-p-i-i-item-radio.active").removeClass("active");
					that.parent().parent().find(".d-f-c-p-i-unlimited-radio.active").removeClass("active");
					that.addClass("active");
				}
			});

			$(".dft-ok").off().on("tap", function() {
				//隐藏
				$(".dateback").hide();
				$(".date-foot-sha").slideToggle();
				shaOk();
			});
		}

		function ShowFootActive() {

			var isShow = false;
			if($(".d-f-c-p-i-i-item.active").length > 0) {
				isShow = true;
			}

			if($(".d-f-c-p-i-i-item-radio.active").length > 0) {
				isShow = true;
			}

			if(isShow) {
				$(".foot-active").show();
			} else {
				$(".foot-active").hide();
			}
		}

		function GetBoderIndex(data, index) {
			var str = "";
			if(data.length > 3 && index == 2) {
				str = "bodernone";
			}
			return str;
		}

		function FomartDateTime(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;

			if(hours < 10) {
				hoursstr = "0" + hours;
			} else {
				hoursstr = hours;
			}

			if(min < 10) {
				minstr = "0" + min;
			} else {
				minstr = min;
			}

			return hoursstr + ":" + minstr;
		}

		function FomartDateStr(sDate1, sDate2) {
			var str = "";

			var iDays = app.DateTool.datedifference(sDate1, sDate2);

			if(iDays > 0) {
				str = "+" + iDays + "天";
			}
			return str;
		}

		function loadResultTime() {
			if(invertal != null) {
				window.clearInterval(invertal);
			}

			invertal = window.setTimeout(function() {
				var self = plus.webview.currentWebview();
				var wvs = plus.webview.getDisplayWebview();
				var isshow = false;
				for(var i = 0; i < wvs.length; i++) {
					if(wvs[i].id == projectConfig.ViewId.Plane.List.url) {
						isshow = true;
					}
				}

				if(isshow) {
					// 弹出系统提示对话框
					plus.nativeUI.alert("车次信息可能已过期，请重新查询", function() {
						loadFlightList();
					}, "", "确定");
				}

			}, 10 * 60 * 1000);
		}

		function GoBackNewDate(newDate) {
			dataparam.DateItem.SelectDay.DateDay = app.DateTool.DateFormat("MM-dd", new Date(newDate.replace(/-/g, "/")));
			dataparam.DateItem.SelectDay.DateWeek = app.DateTool.DateToWeek(new Date(newDate.replace(/-/g, "/")), sysDate);
			dataparam.DateItem.SelectDay.DateTime = newDate;

			var BeforeDate = app.DateTool.DateAdd("d", -1, dataparam.DateItem.SelectDay.DateTime);
			dataparam.DateItem.BeforeDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", BeforeDate);
			dataparam.DateItem.BeforeDay.Disabled = false;
			if(BeforeDate.getFullYear() < sysDate.getFullYear() || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() < sysDate.getMonth()) || (BeforeDate.getFullYear() == sysDate.getFullYear() && BeforeDate.getMonth() == sysDate.getMonth() && BeforeDate.getDate() < sysDate.getDate())) {
				dataparam.DateItem.BeforeDay.Disabled = true;
			}

			dataparam.DateItem.NextDay.DateTime = app.DateTool.DateFormat("yyyy-MM-dd", app.DateTool.DateAdd("d", 1, dataparam.DateItem.SelectDay.DateTime.replace(/-/g, "/")));
			dataparam.DateItem.NextDay.Disabled = false;
			var tmplHot = template('set-list-header-template', dataparam);
			$("#listHeader").html(tmplHot);

			bindClickHeader();

			RefNewDateList(dataparam.DateItem.SelectDay.DateTime);

			var heightw = $("#listHeader").height();
			$("#celist").css("padding-top", heightw + "px");
		}

		return {
			init: init,
			SetTitle: SetTitle,
			GoBackNewDate: GoBackNewDate
		}
	})();
})(window, $);