(function (window, $) {
    window.ModifyTrainList = (function () {
    	var invertal = null;
    	//列表数据
    	var GetFlightList = {
			url: projectConfig.apiName.GetTrainList,
			data: {
				ArriveStationCode: "",
				DepartStationCode: "",
				DepartDate: "",
				Rank:0,
				DepartStationList: ["不限"],
				ArriveStationList: ["不限"],
				TrainTypeList: [0],
				TrainDepartTimeList: [0]
			}
		}
    	
    	var scroll = null;
		var scroll1 = null;
    	
		function init()
		{
			//滚动条
			scroll = mui("#list-contentScroll").scroll();
			scroll1 = mui("#datefScroll").scroll();
			
			//注册处理方法
			template.helper("GetBoderIndex", GetBoderIndex);
			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateStr", FomartDateStr);
			
			var settings = app.getSettings();
			//填充数据
			$("#title").html(settings.TrainNoInfoTitle);
			
			GetFlightList = settings.TrainListModifyData;
			
			loadFlightList();
			BindClick();
			
			$(".foot-active").hide();
			//定时器
			loadResultTime();
			
			$(".time").off().on("tap",function(){
				
				$(".price").removeClass("active-p");
				$("#ti-price").addClass("none");
				
				if(!$(this).hasClass("active")){
					$(this).addClass("active");
					$("#ti-time").removeClass("none");
					var type = $(this).attr("data-type");
					if(type == 1)
					{
						GetFlightList.data.Rank = 0;
					}
					else
					{
						GetFlightList.data.Rank = 1;
					}
					loadFlightList();
					return;
				}
				
				$(this).addClass("active");
				$("#ti-time").removeClass("none");
				var type = $(this).attr("data-type");
				if(type == 1)
				{
					$(this).attr("data-type","2");
					$("#ti-time").html(" 晚 → 早");
					GetFlightList.data.Rank = 1;
				}
				else
				{
					$(this).attr("data-type","1");
					$("#ti-time").html(" 早 → 晚");
					GetFlightList.data.Rank = 0;
				}
				loadFlightList();
			});
			
			$(".price").off().on("tap",function(){
				
				$(".time").removeClass("active");
				$("#ti-time").addClass("none");
				if(!$(this).hasClass("active-p"))
				{
					$(this).addClass("active-p");
					$("#ti-price").removeClass("none");
					var type = $(this).attr("data-type");
					if(type == 1)
					{
						$(this).attr("data-type","2");
						GetFlightList.data.Rank = 2;
					}
					else
					{
						$(this).attr("data-type","1");
						GetFlightList.data.Rank = 3;
					}
					loadFlightList();
					return;
				}
				$(this).addClass("active-p");
				$("#ti-price").removeClass("none");
				var type = $(this).attr("data-type");
				if(type == 1)
				{

					$(this).attr("data-type","2");
					$("#ti-price").html(" 早 → 晚");
					GetFlightList.data.Rank = 2;
				}
				else
				{

					$(this).attr("data-type","1");
					$("#ti-price").html(" 晚 → 早");
					GetFlightList.data.Rank = 3;
				}
				loadFlightList();
			});
			
			
			$(".ce-rult-icon").off().on("tap",function(){
				//定时器
				loadResultTime();
				$(".ce-refund-rule").hide();
			})
			
			$(".foot-sha").off().on("tap",function(){
				//定时器
				loadResultTime();
				$(".dateback").show();
				$(".date-foot-sha").slideToggle();
			});
			
			$(".dateback").off().on("tap",function(){
				//定时器
				loadResultTime();
				$(".dateback").hide();
				$(".date-foot-sha").slideToggle();
			});
			
			$(".dft-cancel").off().on("tap",function(){
				//定时器
				loadResultTime();
				$(".dateback").hide();
				$(".date-foot-sha").slideToggle();
			});
		}
		
		function BindClick(){
			$(".ce-list-item").off().on("tap",function(){
				if($(this).hasClass("disabled"))
				{
					return;
				}
				//
				var TrainId = $(this).attr("data-id");
				var DepartDate = GetFlightList.data.DepartDate;
				var DepartStationCode = $(this).attr("data-departcode");
				var ArriveStationCode = $(this).attr("data-arrivecode");
				
				var dataf = {
					TrainId:TrainId,
					DepartDate:DepartDate,
					DepartStationCode:DepartStationCode,
					ArriveStationCode:ArriveStationCode
				}
				
				app.ShowWebView(projectConfig.ViewId.Train.ModifyTrainDetail.url,dataf);
			});
		}
		function loadFlightList(){
			//定时器
			loadResultTime();
			app.showWaiting('加载中...',1);
			app.Post(GetFlightList, null, GetFlightListCallBack);
		}
		
		function GetFlightListCallBack(data){
			var nomsg = '<div class="no-list-msg">'+
					 '<div class="no-icon">'+
					 '	<img src="../images/no-list-icon.png" />'+
					 '</div>'+
					 '<div class="no-msg">'+
					 '	搜索无结果'+
					 '</div>'+
				 '</div>';
			if(app.GetResultState(data)) {
				$(".footer").show();
				//填充数据
				//$("#title").html(data.TrainResponse.DepartStationName + "&nbsp;-&nbsp;" + data.TrainResponse.ArriveStationName+"(改签)");
				var DepartDate = new Date(data.TrainResponse.DepartDate.replace(/-/g, "/"));
				var strDate = DepartDate.getFullYear()+"-"+(DepartDate.getMonth()+1)+"-"+DepartDate.getDate();
				$(".ce-date").text(strDate);
				$(".ce-week").text(data.TrainResponse.DayOfWeek);
				var tmplHot = template('flightlist-template', data);
				$("#celist").html(tmplHot);
				
				//加载搜索条件
				var tmplHot = template("sha-template", data);
				$("#indexfContent").html(tmplHot);
				shaBindClick();
				
				
				BindClick();
				
				
			} else {
				$(".footer").hide();
				$("#celist").html(nomsg);
				//plus.nativeUI.toast(data.Msg);
			}
			
			ShowFootActive();
			scroll.scrollTo(0,0,0);
		} 
		
		//筛选条件
		function shaBindClick(){
			$(".d-f-c-p-i-unlimited").off().on("tap",function(){
				var that = $(this);
				that.addClass("active");
				that.parent().parent().find(".d-f-c-p-i-i-item.active").removeClass("active");
			});
			
			$(".d-f-c-p-i-i-item").off().on("tap",function(){
				var that = $(this);
				
				if(that.hasClass("active")){
					that.removeClass("active");
					//判断是否存在选中
					var itemw = $(".d-f-c-p-i-i-item.active");
					if(itemw.length == 0){
						that.parent().parent().find(".d-f-c-p-i-unlimited").addClass("active");
					}
				}
				else
				{
					that.addClass("active");
					that.parent().parent().find(".d-f-c-p-i-unlimited.active").removeClass("active");
				}
			});
			
			$(".dftbt-sha").off().on("tap",function(){
				var that = $(this);
				$(".d-f-c-p-i-i-item.active").removeClass("active");
				$(".d-f-c-p-i-unlimited").addClass("active");
				$(".d-f-c-p-i-i-item-radio.active").removeClass("active");
				$(".d-f-c-p-i-unlimited-radio").addClass("active");
			});
			
			$(".d-f-c-p-i-unlimited-radio").off().on("tap",function(){
				var that = $(this);
				that.addClass("active");
				that.parent().next().find(".d-f-c-p-i-i-item-radio.active").removeClass("active");
			});
			
			$(".d-f-c-p-i-i-item-radio").off().on("tap",function(){
				var that = $(this);
				if(!that.hasClass("active")){
					that.parent().find(".d-f-c-p-i-i-item-radio.active").removeClass("active");
					that.parent().parent().find(".d-f-c-p-i-unlimited-radio.active").removeClass("active");
					that.addClass("active");
				}
			});
			
			$(".dft-ok").off().on("tap",function(){
				
				//隐藏
				$(".dateback").hide();
				$(".date-foot-sha").slideToggle();
				
				//初始化数据
				//车型 dfc-airline
				var unl = $(".dfc-airline").find(".d-f-c-p-i-unlimited");
				
				var lineCode = [];
				if(unl.hasClass("active")){
					var id = unl.attr("data-id");
					lineCode.push(id);
					GetFlightList.data.TrainTypeList = lineCode;
				}else{
					var ids = new Array();
					$(".dfc-airline .d-f-c-p-i-i-item.active").each(function(){
						var id = $(this).attr("data-id");
						ids.push(id);
					});
					GetFlightList.data.TrainTypeList = ids;
				}
				
				//出发车站 dfc-departairport
				var departStation = [];
				var udepartairport = $(".dfc-departairport").find(".d-f-c-p-i-unlimited-radio");
				if(udepartairport.hasClass("active")){
					var name = udepartairport.attr("data-name");
					departStation.push(name);
					GetFlightList.data.DepartStationList = departStation;
				}else{
					var name = $(".dfc-departairport .d-f-c-p-i-i-item-radio.active").attr("data-name");
					departStation.push(name);
					GetFlightList.data.DepartStationList = departStation;
				}
				
				//到达车站 dfc-arriveairport
				var arriveStation = [];
				var uarriveairport = $(".dfc-arriveairport").find(".d-f-c-p-i-unlimited-radio");
				if(uarriveairport.hasClass("active")){
					var name = uarriveairport.attr("data-name");
					arriveStation.push(name);
					GetFlightList.data.ArriveStationList = arriveStation;
				}else{
					var name = $(".dfc-arriveairport .d-f-c-p-i-i-item-radio.active").attr("data-name");
					arriveStation.push(name);
					GetFlightList.data.ArriveStationList = arriveStation;
				}
				
				//起飞时间 dfc-departtime
				var udeparttime = $(".dfc-departtime").find(".d-f-c-p-i-unlimited");
				var tDepart = [];
				if(udeparttime.hasClass("active")){
					var id = udeparttime.attr("data-id");
					tDepart.push(id);
					GetFlightList.data.TrainDepartTimeList = tDepart;
				}else{
					var ids = new Array();
					$(".dfc-departtime .d-f-c-p-i-i-item.active").each(function(){
						var id = $(this).attr("data-id");
						ids.push(id);
					});
					GetFlightList.data.TrainDepartTimeList = ids;
				}
				
				loadFlightList();
			});
		}
		
		function ShowFootActive(){
			
			var isShow = false;
			if($(".d-f-c-p-i-i-item.active").length > 0){
				isShow = true;
			}
			
			if($(".d-f-c-p-i-i-item-radio.active").length > 0){
				isShow = true;
			}
			
			if(isShow){
				$(".foot-active").show();
			}else{
				$(".foot-active").hide();
			}
		}
		
		function initDivWidth()
		{
			
		}
		
		function GetBoderIndex(data,index)
		{
			var str = "";
			if(data.length > 3 && index == 2)
			{
				str ="bodernone";
			}
			return str;
		}
		
		function FomartDateTime(str){
			var strDate = new Date(str.replace(/-/g, "/"));
			
			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;
			
			if(hours < 10)
			{
				hoursstr = "0"+hours;
			}else{
				hoursstr = hours;
			}
			
			if(min < 10)
			{
				minstr = "0"+min;
			}else{
				minstr = min;
			}
			
			return hoursstr + ":" + minstr;
		}
		
		function FomartDateStr(sDate1, sDate2)
		{
			var str = "";

			var iDays = app.DateTool.datedifference(sDate1,sDate2);

			if(iDays > 0)
			{
				str = "+"+iDays+"天";
			}
			return str;
		}
		
		
		function loadResultTime()
		{
			if(invertal != null){
				window.clearInterval(invertal);
			}
			
			invertal = window.setTimeout(function(){
				var self = plus.webview.currentWebview();
				var wvs=plus.webview.getDisplayWebview();
				var isshow = false;
				for(var i=0;i<wvs.length;i++){
					if(wvs[i].id == projectConfig.ViewId.Plane.List.url)
					{
						isshow = true;
					}
				}
				
				if(isshow)
				{
					// 弹出系统提示对话框
					plus.nativeUI.alert( "航班信息可能已过期，请重新查询", function(){
						loadFlightList();
					}, "", "确定" );
				}
				
			},10*60*1000);
		}
		
        return {
            init: init
        }
        
    })();
})(window,$);


