(function(window, $) {
	window.TrainOrderWrite = (function() {
		var getSubmitEntity = {
			url: projectConfig.apiName.GetTrainOrderSubmit,
			data: {
				ArrCode: "",
				DepCode: "",
				DepDate: "",
				SeatCode: "",
				TrainId: "",
				IsTravelBussiness: 1
			}
		};
		var CreateTrainOrderEntity = {
			url: projectConfig.apiName.CreateTrainOrder,
			data: {
				DepCode: "",
				ArrCode: "",
				DepDate: "",
				TrainId: "",
				SeatCode: "",
				ContactName: "",
				ContactPhone: "",
				BookPassengerList: [],
				IsTravelBussiness: 1,
				ResonId: 0,
				Reson: "",
				OtherCostDepartments: null,
				OtherReson: null,
				InsuranceIds: null,
			}
		};
		var price = 0,
			otherprice = 0;
		var personCount = 0;
		var total = 0;
		var maxcount = 0;
		var passengerList = [];
		var serverPrice = 0;
		var serverModel = 0;
		var IsCheckstandModel = false;
		var personhtml = '<div class="person-more" index="{0}"><div class="person-jian"><img class="person-jian-image" index="{0}" src="../images/jian.png" /></div><div class="person-moreuser"><div class="{3}"><div class="person-add-title1">姓名</div><div class="person-add-input1"><input class="person-add-input" id="txtname{0}" type="text" value="{1}" placeholder="与乘车人证件一致"/></div></div><div class="person-add1"><div class="person-add-title1">身份证</div><div class="person-add-input1"><input class="person-add-input" type="text" id="txtcard{0}" value="{2}" placeholder="请填写证件号码"/></div></div></div></div>';

		function init() {
			mui("#list-contentScroll").scroll();
			initEvent();

			loadDetail();

			initPassenger();

			if(app.appPlatId == 1010) {
				$("#personPhoneDiv").hide();
			}
		}

		function loadDetail() {
			app.showWaiting('加载中...', 1);
			app.Post(getSubmitEntity, null, loadOrderInfoCallback);
		}

		function loadOrderInfoCallback(data) {
			if(app.GetResultState(data)) {
				IsCheckstandModel = data.IsCheckstandModel;
				if(!data.IsCheckstandModel) {
					$(".price-button").html("提交");
				}
				$("#sdepartment").html(data.CompanyName + " " + data.Department);
				$("#txtphone").val(data.ContactPhone);
				var trainInfo = data.TrainInfo;
				price = trainInfo.SalesPrice;
				total = 0;
				var leaveDate = trainInfo.DepartTime.replace(/-/g, "/");
				var arriveDate = trainInfo.ArriveTime.replace(/-/g, "/");
				var leavehour = app.DateTool.DateFormat("hh", leaveDate);
				var leavemuinte = app.DateTool.DateFormat("mm", leaveDate);
				var arrivehour = app.DateTool.DateFormat("hh", arriveDate);
				var arrivemuinte = app.DateTool.DateFormat("mm", arriveDate);
				var week = app.DateTool.DateFormat("w", leaveDate);
				var aweek = app.DateTool.DateFormat("w", arriveDate);
				var leavemonth = app.DateTool.DateFormat("MM", leaveDate);
				var leaveday = app.DateTool.DateFormat("dd", leaveDate);
				var arrivemonth = app.DateTool.DateFormat("MM", arriveDate);
				var arriveday = app.DateTool.DateFormat("dd", arriveDate);

				data.TrainInfo.leaveTime = leavehour + ":" + leavemuinte;
				data.TrainInfo.arriveTime = arrivehour + ":" + arrivemuinte;
				data.TrainInfo.leaveDate = leavemonth + "月" + leaveday + "日";
				data.TrainInfo.arriveDate = arrivemonth + "月" + arriveday + "日";
				data.TrainInfo.week = week;
				data.TrainInfo.aweek = aweek;
				var tmplHot = template('trainDetail-template', data.TrainInfo);
				$("#trainheader").html(tmplHot);
				$("#stotal").html(total);
				maxcount = data.TrainInfo.MaxBookCount;

				if(data.ServicePriceModel != null) {
					serverPrice = data.ServicePriceModel.ServicePrice;
					serverModel = data.ServicePriceModel.ServiceModel;
				}

				//				passengerList=data.PassengerList || [];
				//				if(passengerList && passengerList.length>0){
				//					initPassenger(passengerList);
				//				}

			} else {
				app.showMsg(data.Msg)
			}
		}

		function loadpriceDetail() {
			var data = {};
			var tickteprice = [];
			var server = [];
			var detailtotal = 0
			var ticket1 = {
				name: "车票票价",
				price: price,
				count: personCount
			};
			tickteprice.push(ticket1);
			detailtotal = price * personCount;

			data.tickteprice = tickteprice;

			if(serverPrice != 0 && serverModel != 0) {
				var ticket2 = {
					name: "服务费",
					price: serverPrice,
					count: serverModel == 2 ? personCount : 0
				};
				detailtotal += serverModel == 2 ? personCount * serverPrice : serverPrice;
				server.push(ticket2)
			}

			data.serverPrice = server;
			data.total = detailtotal;
			var tmplHot = template('detail-template', data);
			$("#detailContent").html(tmplHot);
		}

		function initEvent() {
			addperson();
			
			function getTextLength(obj, countobj, count) {
				var textval = obj.val();
				var clipval = app.getClipbordText();
				var val = textval + clipval;
				var len = val.length;
				if(val.length > count) {
					val = val.substr(0, count - 1);
					len=count;
				}
				obj.val(content);
				countobj.text(len);
			}

			$("#txtdepartment").on('paste', function(e) {
				getTextLength($(this),$("#txtdepartmentCount"),100);
			});
			$("#txtremark").on('paste', function(e) {
				getTextLength($(this),$("#textremarkCount"),200);
			});

			$("#txtdepartment").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 100) {
					$("#txtdepartmentCount").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 99);
					$(this).val(content);
				}
			});
			$("#txtremark").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 200) {
					$("#textremarkCount").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 199);
					$(this).val(content);
				}
			});

			$(".detail-out-title").on("tap", function() {
				$("textarea").blur();
				$("input").blur();
				loadpriceDetail();
				$(".ce-detail-rule").show();
			})
			$(".ce-rult-icon").off().on("tap", function() {
				$(".ce-detail-rule").hide();

				$('body').css('pointer-events', 'none');
				setTimeout(function() {
					$('body').css('pointer-events', 'auto');
				}, 400);
			})

			$(".person-header2").on("tap", function() {
				var data = {}
				data.type = 6;
				data.passengers = passengerList;
				data.count = maxcount;
				app.ShowWebView(projectConfig.ViewId.User.CommonPassenger.url, data, "slide-in-right", projectConfig.ViewId.User.CommonPassenger.Id);
			})
			submitOrder();
		}

		function addperson() {
			$(".header-add").on("tap", function() {
				if(personCount == 1) {
					var name = $("#txtname").val()
					var card = $("#txtcard").val();
					var html = app.format(personhtml, 1, name, card, "person-add");
					var html1 = app.format(personhtml, 2, "", "", "person-add1");
					personCount = 2;
					$("#oneperson").hide();
					$("#moreperson").html(html + html1);
					$("#moreperson").show();
				} else {
					personCount = personCount + 1;
					var html = app.format(personhtml, personCount, "", "", "person-add1");
					$("#moreperson").append(html);
				}

				$("#stotal").html(price * personCount);
				reduceperson();
			});
		}

		function reduceperson() {
			$(".person-jian-image").off().on("tap", function() {
				var index = $(this).attr("index");
				var list = $("#moreperson").find(".person-more");
				var newlist = [];
				var html = "";
				var newindex = 0;
				list.each(function(i, item) {
					var count = $(this).attr("index")
					if(count != index) {
						newlist.push(list[i])
						var name = $("#txtname" + count).val()
						var card = $("#txtcard" + count).val()
						if(newindex == 0) {
							html += app.format(personhtml, (i + 1), name, card, "person-add");
						} else {
							html += app.format(personhtml, (i + 1), name, card, "person-add1");
						}

						newindex = newindex + 1;
					}
				});
				if(newlist.length <= 1) {
					var newitem = $(newlist[0])
					index = newitem.attr("index");
					var name = newitem.find("#txtname" + index).val();
					var card = newitem.find("#txtcard" + index).val();
					$("#txtname").val(name)
					$("#txtcard").val(card)
					$("#oneperson").show();
					$("#moreperson").hide();
				} else {
					$("#moreperson").html(html);
				}
				personCount = newlist.length
				reduceperson();
				$("#stotal").html(price * personCount);
			});
		}

		function submitOrder() {
			$(".price-button").on("tap", function() {
				if(!IsCheckstandModel) {
					mui.confirm("提交订单后等待出票，无需支付，确认提交？", "提示", ["取消", "提交"], function(e) {
						if(e.index==1) {
							sendSubmit();
						}
					})
				}
				else{
					sendSubmit();
				}
			})
		}
		
		function sendSubmit(){
			var isSubmit = $(".price-button").attr("isSbumit");
				if(!isSubmit || isSubmit == 0)
					$(".price-button").attr("isSbumit", "1");
				else
					return;
				var persons = new Array();
				var list = $("#moreperson").find(".person-more");
				var flag = true;

				if(!passengerList || passengerList.length <= 0) {
					app.showMsg("请添加乘车人");
					$(".price-button").attr("isSbumit", "0");
					return;
				}
				CreateTrainOrderEntity.data.BookPassengerList = passengerList;
				var phone = $("#txtphone").val()
				if(app.appPlatId != 1010) {
					if(phone && phone.length == 11) {
						if(!app.checkMobile(phone)) {
							app.showMsg("请输入正确的手机号");
							$(".price-button").attr("isSbumit", "0");
							return;
						}
					} else {
						app.showMsg("请输入正确的手机号");
						$(".price-button").attr("isSbumit", "0");
						return;
					}
				} else {
					phone = "";
				}
				CreateTrainOrderEntity.data.ContactPhone = phone;
				var department = $("#txtdepartment").val()
				var remark = $("#txtremark").val()
				CreateTrainOrderEntity.data.OtherCostDepartments = department;
				CreateTrainOrderEntity.data.OtherReson = remark;

				app.showWaiting('提交中...', 1);
				app.Post(CreateTrainOrderEntity, null, CreateOrderCallback)
		}

		function CreateOrderCallback(data) {
			if(app.GetResultState(data)) {
				var param = {};
				param.SerialNo = data.OrderSerialNo;
				param.ProductType = 6;
				if(data.IsBoss) {
					if(data.CanPay) {
						app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
					} else {
						app.ShowWebView(projectConfig.ViewId.Train.orderDetail.url, param, 'slide-in-right', projectConfig.ViewId.Train.orderDetail.Id);
					}
				} else {
					if(data.AuditStatus == 0) {
						param.name = data.AuditorName;
						param.phone = data.AuditorMobile;
						param.isadmin = data.IsAdmin;

						param.type = 6;
						app.ShowWebView(projectConfig.ViewId.Standard.AppRoval.url, param, 'slide-in-right', projectConfig.ViewId.Standard.AppRoval.Id);
					} else {
						if(data.CanPay) {
							app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
						} else {
							app.ShowWebView(projectConfig.ViewId.Train.orderDetail.url, {
								SerialNo: data.OrderSerialNo
							}, 'slide-in-right', projectConfig.ViewId.Train.orderDetail.Id);
						}
					}
				}
			} else {
				$(".price-button").attr("isSbumit", "0");
				app.showMsg(data.Msg);
			}
		}

		function initPassenger(data) {
			passengerList = data;
			if(data && data.length > 0) {
				var temp = {
					pList: data
				}

				var total = price * data.length;
				if(serverModel == 1) {
					total = total + serverPrice;
				} else if(serverModel == 2) {
					total = total + serverPrice * data.length;
				}

				$("#stotal").html(total);
				personCount = data.length;
				var tmplHot = template('passenger-template', temp);
				$("#moreperson").html(tmplHot);
				$("#moreperson").show();
				initPassengerEvent();
			} else {
				$("#stotal").html(0);
				$("#moreperson").html("");
				$("#moreperson").hide();
			}
		}

		function initPassengerEvent() {
			$(".person-jian").off().on("tap", function() {
				var id = $(this).attr("val");
				var name = $(this).attr("name");
				var card = $(this).attr("card");

				var temp = []
				for(var i = 0; i < passengerList.length; i++) {
					if(id == (passengerList[i].Id || "") && name == passengerList[i].Name && card == passengerList[i].IdentityNo) {

					} else {
						temp.push(passengerList[i])
					}
				}

				initPassenger(temp);
			})
		}

		return {
			init: init,
			getSubmitEntity: getSubmitEntity,
			CreateTrainOrderEntity: CreateTrainOrderEntity,
			initPassenger: initPassenger
		}
	})();
})(window, $);