(function(window, $){
	var scroll = null;
	var scrollTop = 0;
	var splitStr = ',';
	var speed = 200;
	var userSelect = {
		VisaAgentBooking:0,
		isNeedOrder:1,
		//ok
		TravelModels:[],
		TrafficStations:[],
		trafficStation:[],
		aircraft:[],
		car:[],
		mix:[],
		FlightType:[],
		DepartPointOfTime:[],
		GetBackPointOfTime:[],
		Person:[],
		HotelDests:[
			{
				Type:'',
				Id:''
			}
		],
		Star:[],
		Meeting:{
			IsNeed:0,
			MeetingPerson:'',
			MeetingArea:'',
			MeetingPlaces:[],
			MeetingServices:[]
		},
		UseCar:'',
		UseCarType:'',
		CarGrade:[],
		Count:'',
		IsGuide:0,
		PlayTypes:[],
		Scenic:'',
		Recommend:1,
		Meals:[],
		Amount:'',
		Other:'',
		Contacts:'',
		ContactPhone:'',
		Budget:'',
		Persons:[],
		SchemeDate:{
			Adjust:1,
			LeaveDate:'',
			GetBackDate:''
		},
		Depart:{
			Type:1,
			Id:1
		},
		Dests:[
			{
				Type:1,
				Id:1
			}
		],
		IsOverSea:'',
		SchemeDestDemandList:[]
	};
	var store = {};
	var customPackage = app.getSettings().customPackage;
	window.travelDemand = {
		init:function(){
			var that = this;
			scroll = mui("#plan-contentScroll").scroll();
			mui.back = this.callbackUpateDest;
			
			var isFirstSeeTravel = customPackage.isFirstSeeTravel;
			template.helper('checkDestInfo',this.checkDestInfo);
			
			this.initDemandData(function(data){
				store = data;
				that.initTmpl(data);
				//判断是否是第一次进入行程需求，是那么展示引导图，不是直接跳过
				that.handleFirstSeeTravel(isFirstSeeTravel);
				that.initEvent(data);
				that.initTravelHotel(data);
				that.initTemplateEvent();
			});
		},
		initDemandData:function(callback){
			var totalPeople = Number(customPackage.ticket.adultNum) + Number(customPackage.ticket.childrenNum);
			app.Post({
				url:'Scheme/SchemeDemandInit',
				data:{
					Depart:{
						Id:customPackage.startPlace.Id[0],
						Type:customPackage.startPlace.Type,
						Name:customPackage.startPlace.Name
					},
					PersonNum:totalPeople
				}
			},null,function(data){
				if(data.Code == '0000'){
					callback(data);
				}else{
					app.showMsg(data.Msg);
				}
			});
//			$.ajax({
//				url:'http://120.25.152.42:4000/getTravel',
//				type:'get',
//				dataType:'json',
//				success:function(data){
//					callback(data);
//				}
//			})
		},
		initDest:function(data){
			$(".end-dest-list").off().on('tap',function(){
				var name = $(this).attr('data-name');
				var type = $(this).attr('data-type');
				var id = $(this).attr('data-id');
				
				var state = false;
				var _index = '';
				userSelect.SchemeDestDemandList.forEach(function(vv, ii){
					if(vv.Dest.Id == id){
						//存在
						state = true;
						_index = ii;
					}
				});
				
				if(state == true){
					var existData = userSelect.SchemeDestDemandList[_index];
					//存在
					app.ShowWebView('../Travel/newTravelDetail.html',{data:{
						name:name,
						type:type,
						id:id,
						Hotel:data.Hotel,
						UseCar:data.UseCar,
						Play:data.Play,
						Meals:data.Meals,
						existData:existData
					}});
				}else{
					app.ShowWebView('../Travel/newTravelDetail.html',{data:{
						name:name,
						type:type,
						id:id,
						Hotel:data.Hotel,
						UseCar:data.UseCar,
						Play:data.Play,
						Meals:data.Meals
					}});
				}
			});
		},
		initEvent:function(data){
			var that = this;
			$("#order-need-switch").off().on('tap',function(){
				var isActive = document.getElementById("order-need-switch").classList.contains("mui-active");
				if(isActive){
					//需要
					 userSelect.isNeedOrder = 1;
					 $("#travel-container").show();
				}else{
					//不需要
					 userSelect.isNeedOrder = 0;
					 $("#travel-container").hide();
				}
			});
			$("#ishelperVisa").off().on('tap',function(){
				var isActive = document.getElementById("ishelperVisa").classList.contains("mui-active");
				if(isActive){
					//需要
					 userSelect.VisaAgentBooking = 1;
				}else{
					//不需要
					 userSelect.VisaAgentBooking = 0;
				}
			});
			$("#destination").off().on('tap',function(){
				var settings = app.getSettings();
				var endPlace = settings.customPackage.endPlace;
				app.ShowWebView('../Demand/ManyDest.html',{Dest:endPlace,isFromTravel:true});
			});
			
			//出发时间
			$("#start-time").off().on('tap',function(){
				var startTime = userSelect.DepartPointOfTime;
				that.rangeTimeStr('出发时间','start');
				that.initSelectTime(startTime);
				$(".time-range").slideToggle(200);
				$("#mc").show();
				that.handleBackTop();
			});
			
			//返回时间
			$("#end-time").off().on('tap',function(){
				var endTime = userSelect.GetBackPointOfTime;
				that.rangeTimeStr('返回时间','end');
				that.initSelectTime(endTime);
				$(".time-range").slideToggle(200);
				$("#mc").show();
				that.handleBackTop();
			});
			
			$("#mc").on('tap',function(){
				$("#mc").hide();
				$(".prevent-default").hide();
				if(scrollTop<0){
					$(".go-back-top").show();
				}
			});
			$(".go-back-top").off().on('tap',function(e){
				$(".full-touch input").attr('readonly','readonly');
				e.preventDefault();
				mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);//100毫秒滚动到顶
				setTimeout(function(){
					$(".full-touch input").removeAttr('readonly');
				},500);
			});
			var scrolls = mui('.mui-scroll-wrapper').scroll();
			document.getElementById('plan-contentScroll').addEventListener('scrollend', function() {
				scrollTop = scrolls.y;
				if(scrolls.y<0){
					$(".go-back-top").show();
				}else{
					$(".go-back-top").hide();
				}
			});
			
			$("#submit-need").off().on('tap',function(){
				userSelect.Contacts = $("#username").val();
				userSelect.ContactPhone = $("#tel").val();
				userSelect.Amount = $("#every-people-money").val();
				/*
					拼接交通工具 
				*/
				that.handleTrafficStationResult();
				that.authSubmitInfo(function(){
					var customs = app.getSettings().customPackage;
					var Dests = [];
					customs.endPlace.map(function(item){
						Dests.push({
							Type:Number(item.Type),
							Id:Number(item.Id)
						});
					});
					//拼接最终数据
					var sendData = {
						Depart:{
							Type:Number(customs.startPlace.Type),
							Id:Number(customs.startPlace.Id[0])
						},
						Dests:Dests,
						SchemeDate:{
							Adjust:customs.isChange == true ? 1:0,
							LeaveDate:customs.customTime[0],
							GetBackDate:customs.customTime[1]
						},
						Persons:[
							{
					            PersonType: 1,
					            PersonCount: customs.ticket.adultNum,
					            TypeName: null
					        },
					        {
					            PersonType: 2,
					            PersonCount: customs.ticket.childrenNum,
					            TypeName: null
					        }
						],
						//需要代订
						TrafficAgentBooking:userSelect.isNeedOrder,
						//是否要签证
						VisaAgentBooking:userSelect.IsOverSea,
						Traffic:{
							TravelModels:userSelect.TravelModels,
							DepartPointOfTime:userSelect.DepartPointOfTime,
							GetBackPointOfTime:userSelect.GetBackPointOfTime,
							Person:userSelect.Person,
							FlightTypes:userSelect.FlightType,
							TrafficStations:userSelect.trafficStation
						},
						SchemeDestDemandList:userSelect.SchemeDestDemandList,
						Contacts:$("#username").val(),
						ContactPhone:$("#tel").val(),
						Budget:$("#every-people-money").val(),
						ActivityId:0
					}
					var param = {
						url:'Scheme/SchemeDemandSubmit',
						data:sendData
					};
					app.showWaiting('正在提交中...',1);
					app.Post(param,null,function(result){
						if(result.Code == '0000'){
							mui.toast('提交成功');
							app.ShowWebView('../Scheme/index.html', {
								SerialNo: result.Did
							});
						}else{
							plus.nativeUI.toast(result.Msg);
						}
					});
				});
			});
		},
		initTemplateEvent:function(){
			var that = this;
			
			$(".prevent-default").on('touchend',function(event){
				event.preventDefault();
			});
			
			//弹出出行工具选择框
			$("#travel-tool-select").off().on('tap',function(){
				$("#mc").show();
				$(".travel-tool").slideToggle(speed);
				that.memoryState('.travel-tool-list',userSelect.TravelModels);
				that.handleBackTop();
			});
			
			//出行工具弹框list选择
			$(".travel-tool-lists").off().on('tap',function(){
				that.controlListState(".travel-tool-lists",this,"#travel-all",".travel-tool-list-svg");
			});
			
			$("#travel-all").off().on('tap',function(){
	
				that.controllAllState(this,".travel-tool-list-svg",'.travel-tool-lists','#travel-all-svg');
			});
			
			//出行工具
			$("#confirm-travel-tool-select").off().on('tap',function(){
				$("#mc").hide();
				$(".travel-tool").slideToggle(speed);
				var state = $("#travel-all").attr('data-select');
				var toolName = '';
				if(state == 'false'){
					//没有选不限
					var arr = [];
					$(".travel-tool-lists").each(function(index,value){
						var status = $(this).attr('data-select');
						if(status == 'true'){
							var id = $(this).attr('data-id');
							arr.push(Number(id));
							var name = $(this).attr('data-name');
							if(toolName == ''){
								toolName = toolName + name;
							}else{
								toolName = toolName + splitStr + name;
							}
							
						}
					});
					userSelect.TravelModels = arr;
				}else{
					//选了不限
					userSelect.TravelModels = [0];
					toolName = $("#travel-all").attr('data-name');
				}
				$("#departTool").text(toolName);
				/*
				自动填充到舱位等级里面，并且在内存中赋值userSelect.Person 
				*/
				var seatText = '';
				var seatPerson = [];
				var isUnLimit = $("#travel-all").attr('data-select');
				if(isUnLimit == 'true'){
					userSelect.Person.forEach(function(vv, ii){
						$(".position-people-2").eq(ii).attr('data-num',vv.PersonCount);
						$(".position-people-2").eq(ii).text(vv.PersonCount);
					});
					//出行工具不限，那么显示舱位/座位选择2
					$(".position-people-2").each(function(i, v){
						var seatNum = $(this).attr('data-num');
						var seatName = $(this).attr('data-name');
						var seatId =$(this).attr('data-id');
						if(seatNum != 0){
							if(seatText == ''){
								seatText = seatText + seatName + seatNum + '人';
							}else{
								seatText = seatText + splitStr + seatName + seatNum + '人';
							}
							var obj = {
								SeatGrade:seatId,
								PersonCount:seatNum
							};
							seatPerson.push(obj);
						}
					});
				}else{
					//出行工具非不限
					var isSelectAircraft = true;	//默认是飞机
					var other = 0;
					$(".travel-tool-lists").each(function(index, value){
						var isSelect = $(this).attr('data-select');
						var id = $(this).attr('data-id');
						if(id == 1){
							//飞机
							if(isSelect == 'true'){
								isSelectAircraft = true;
							}else{
								isSelectAircraft = false;
							}
						}else{
							if(isSelect == 'true'){
								other ++;
							}
						}
					});
					if(isSelectAircraft == true){
						//选择了飞机
						if(other == 0){
							userSelect.Person.forEach(function(vv, ii){
								$(".position-people-0").eq(ii).attr('data-num',vv.PersonCount);
								$(".position-people-0").eq(ii).text(vv.PersonCount);
							});
							//显示飞机，舱位选择0
							$(".position-people-0").each(function(i, v){
								var seatNum = $(this).attr('data-num');
								var seatName = $(this).attr('data-name');
								var seatId =$(this).attr('data-id');
								if(seatNum != 0){
									if(seatText == ''){
										seatText = seatText + seatName + seatNum + '人';
									}else{
										seatText = seatText + splitStr + seatName + seatNum + '人';
									}
									var obj = {
										SeatGrade:seatId,
										PersonCount:seatNum
									};
									seatPerson.push(obj);
								}
							});
							
						}else{
							//显示舱位座位混合座位2
							userSelect.Person.forEach(function(vv, ii){
								$(".position-people-2").eq(ii).attr('data-num',vv.PersonCount);
								$(".position-people-2").eq(ii).text(vv.PersonCount);
							});
							$(".position-people-2").each(function(i, v){
								var seatNum = $(this).attr('data-num');
								var seatName = $(this).attr('data-name');
								var seatId =$(this).attr('data-id');
								if(seatNum != 0){
									if(seatText == ''){
										seatText = seatText + seatName + seatNum + '人';
									}else{
										seatText = seatText + splitStr + seatName + seatNum + '人';
									}
									var obj = {
										SeatGrade:seatId,
										PersonCount:seatNum
									};
									seatPerson.push(obj);
								}
							});
						}
					}else{
						userSelect.Person.forEach(function(vv, ii){
							$(".position-people-1").eq(ii).attr('data-num',vv.PersonCount);
							$(".position-people-1").eq(ii).text(vv.PersonCount);
						});
						//没有飞机,直接显示高铁动车的座位选择1
						$(".position-people-1").each(function(i, v){
							var seatNum = $(this).attr('data-num');
							var seatName = $(this).attr('data-name');
							var seatId =$(this).attr('data-id');
							if(seatNum != 0){
								if(seatText == ''){
									seatText = seatText + seatName + seatNum + '人';
								}else{
									seatText = seatText + splitStr + seatName + seatNum + '人';
								}
								var obj = {
									SeatGrade:seatId,
									PersonCount:seatNum
								};
								seatPerson.push(obj);
							}
						});
					}
				}
				$("#sit-select-result").text(seatText);
				userSelect.Person = seatPerson;
				that.handleTrafficPlan();
				that.handleIsShowBackTop();
			});
			//仓位等级
			$("#position-grade").off().on('tap',function(){
				$("#mc").show();
				/*fix*/
				var travelModels = userSelect.TravelModels;
				
				$(".travel-tool-lists").each(function(vv, ii){
					$(this).attr('data-select','false');
				});
				travelModels.forEach(function(v){
					if(v == 0){
						$("#travel-all").attr('data-select','true');
					}else{
						$("#travel-all").attr('data-select','false');
						$(".travel-tool-lists").each(function(vv, ii){
							//$(this).attr('data-select','false');
							var thisId = $(this).attr('data-id');
							if(thisId == v){
								$(this).attr('data-select','true');
							}
						});
					}
				});
				/*
					如果出行工具是不限,那么显示舱位/座位选择
					如果出行工具是飞机，那么显示舱位选择
					如果出行工具是高铁或者动车,那么显示座位选择
					如果出行工具含有飞机/高铁，飞机/动车，那么显示舱位/座位选择
				*/
				
				var isUnLimit = $("#travel-all").attr('data-select');
				if(isUnLimit == 'true'){
					//出行工具不限，那么显示舱位/座位选择
					$(".position-grade").eq(2).slideToggle(speed);
					$(".position-people-2").each(function(index,v){
						var num = $(this).attr('data-num');
						$(this).text(num);
						if(num==0){
							$(this).removeClass('time-num-select');
							$(".traffic-seat-grade").eq(index).removeClass('time-num-select');
						}else{
							$(this).addClass('time-num-select');
							$(".traffic-seat-grade").eq(index).addClass('time-num-select');
						}
					})
				}else{
					//出行工具非不限
					var isSelectAircraft = true;	//默认是飞机
					var other = 0;
					$(".travel-tool-lists").each(function(index, value){
						var isSelect = $(this).attr('data-select');
						var id = $(this).attr('data-id');
						if(id == 1){
							//飞机
							if(isSelect == 'true'){
								isSelectAircraft = true;
							}else{
								isSelectAircraft = false;
							}
						}else{
							if(isSelect == 'true'){
								other ++;
							}
						}
					});
					if(isSelectAircraft == true){
						//选择了飞机
						if(other == 0){
							//显示飞机，舱位选择
							$(".position-grade").eq(0).slideToggle(speed);
							$(".position-people-0").each(function(index,v){
								var num = $(this).attr('data-num');
								$(this).text(num);
								if(num==0){
									$(this).removeClass('time-num-select');
									$(".space-grade").eq(index).removeClass('time-num-select');
								}else{
									$(this).addClass('time-num-select');
									$(".space-grade").eq(index).addClass('time-num-select');
								}
							})
						}else{
							//显示舱位座位混合座位
							$(".position-grade").eq(2).slideToggle(speed);
							$(".position-people-2").each(function(index,v){
								var num = $(this).attr('data-num');
								$(this).text(num);
								if(num==0){
									$(this).removeClass('time-num-select');
									$(".traffic-seat-grade").eq(index).removeClass('time-num-select');
								}else{
									$(this).addClass('time-num-select');
									$(".traffic-seat-grade").eq(index).addClass('time-num-select');
								}
							})
						}
					}else{
						//没有飞机,直接显示高铁动车的座位选择
						$(".position-grade").eq(1).slideToggle(speed);
						$(".position-people-1").each(function(index,v){
							var num = $(this).attr('data-num');
							$(this).text(num);
							if(num==0){
								$(this).removeClass('time-num-select');
								$(".seat-grade").eq(index).removeClass('time-num-select');
							}else{
								$(this).addClass('time-num-select');
								$(".seat-grade").eq(index).addClass('time-num-select');
							}
						})
					}
				}
				that.handleBackTop();
			});
			//舱位reduce
			$(".reduce").off().on('tap',function(){
				var index = $(".reduce").index(this);
				var num = $(".position-num").eq(index).text();
				if(Number(num)>0){
					num = Number(num) - 1;
					$(".position-num").eq(index).text(num);
					if(num == 0){
						$(".position-grade-time").eq(index).removeClass('time-num-select');
						$(".position-num").eq(index).removeClass('time-num-select');
					}
				}
			});
			
			//舱位add
			$(".add").off().on('tap',function(){
				var index = $(".add").index(this);
				$(".position-grade-time").eq(index).addClass('time-num-select');
				$(".position-num").eq(index).addClass('time-num-select');
				var num = $(".position-num").eq(index).text();
				if(Number(num)<=98){
					num = Number(num) + 1;
					$(".position-num").eq(index).text(num);
				}
			});
			//确认舱位选择
			$(".confirm-position-select").off().on('tap',function(){
				var index = $(".confirm-position-select").index(this);
				var personSite = [];
				var textStr = '';
				var listDom = ".position-people-"+index;
				that.authTotalSeat(listDom,function(){
					$(".position-people-"+index).each(function(index, value){
						var id = $(this).attr('data-id');
						var num = $(this).text();
						var name = $(this).attr('data-name');
						personSite.push({
							SeatGrade:Number(id),
							PersonCount:Number(num)
						});
						if(textStr == ''){
							if(Number(num) != 0){
								textStr = textStr + name + num + '人';
							}
						}else{
							if(Number(num) != 0){
								textStr = textStr + splitStr +name + num + '人';
							}
						}
						$(this).attr('data-num',num);
					});
					userSelect.Person = personSite;
					$("#sit-select-result").text(textStr);
					$("#mc").hide();
					$(".position-grade").eq(index).slideToggle(speed);
					that.handleIsShowBackTop();
				});
			});
			
			//起飞机场
			$("#start-fly-aircraft").off().on('tap',function(){
				$('.aircraft-container').slideToggle(speed);
				$("#mc").show();
				that.memoryState('.aircraft-list',userSelect.aircraft);
				that.handleBackTop();
			});
			$("#start-fly-car").off().on('tap',function(){
				$('.car-container').slideToggle(speed);
				$("#mc").show();
				that.memoryState('.car-list',userSelect.car);
				that.handleGuide($(".car-lists").length);
				that.handleBackTop();
			});
			$("#start-fly-mix").off().on('tap',function(){
				$('.mix-container').slideToggle(speed);
				$("#mc").show();
				that.memoryState('.mix-list',userSelect.mix);
				that.handleGuide($(".mix-lists").length);
				that.handleBackTop();
			});
			$(".aircraft-lists").off().on('tap',function(){
				that.controlListState(".aircraft-lists",this,"#aircraft-all",".aircraft-list-svg");
			});
			$(".car-lists").off().on('tap',function(){
				that.controlListState(".car-lists",this,"#car-all",".car-list-svg");
			});
			$(".mix-lists").off().on('tap',function(){
				that.controlListState(".mix-lists",this,"#mix-all",".mix-list-svg");
			});
			$("#aircraft-all").off().on('tap',function(){
				that.controllAllState(this,".aircraft-list-svg",'.aircraft-lists','#aircraft-all-svg');
			});
			$("#car-all").off().on('tap',function(){
				that.controllAllState(this,".car-list-svg",'.car-lists','#car-all-svg');
			});
			$("#mix-all").off().on('tap',function(){
				that.controllAllState(this,".mix-list-svg",'.mix-lists','#mix-all-svg');
			});
			
			//确认起飞机场
			$("#aircraft-select").off().on('tap',function(){
				var isLimitSelect = $("#aircraft-all").attr('data-select');
				if(isLimitSelect == 'true'){
					//选择了不限
					userSelect.aircraft = [0];
					var name = $("#aircraft-all").attr('data-name');
					$("#start-fly-aircraft-content").text(name);
					$("#mc").hide();
					$(".aircraft-container").slideToggle(speed);
				}else{
					//没有不限
					var str = '';
					var ids = [];
					$(".aircraft-lists").each(function(value, index){
						if ($(this).attr('data-select') == 'true'){
							var name = $(this).attr('data-name');
							var id = $(this).attr('data-id');
							if(str == ''){
								str = str + name;
							}else{
								str = str + splitStr + name;
							}
							ids.push(Number(id));
						}
					});
					userSelect.aircraft = ids;
					$("#start-fly-aircraft-content").text(str);
					$("#mc").hide();
					$(".aircraft-container").slideToggle(speed);
				}
				that.handleIsShowBackTop();
			});
			$("#car-select").off().on('tap',function(){
				var isLimitSelect = $("#car-all").attr('data-select');
				if(isLimitSelect == 'true'){
					//选择了不限
					userSelect.car = [0];
					var name = $("#car-all").attr('data-name');
					$("#start-fly-car-content").text(name);
					$("#mc").hide();
					$(".car-container").slideToggle(speed);
				}else{
					//没有不限
					var str = '';
					var ids = [];
					$(".car-lists").each(function(value, index){
						if ($(this).attr('data-select') == 'true'){
							var name = $(this).attr('data-name');
							var id = $(this).attr('data-id');
							if(str == ''){
								str = str + name;
							}else{
								str = str + splitStr + name;
							}
							ids.push(Number(id));
						}
					});
					userSelect.car = ids;
					$("#start-fly-car-content").text(str);
					$("#mc").hide();
					$(".car-container").slideToggle(speed);
				}
				that.handleIsShowBackTop();
			});
			$("#mix-select").off().on('tap',function(){
				var isLimitSelect = $("#mix-all").attr('data-select');
				if(isLimitSelect == 'true'){
					//选择了不限
					userSelect.mix = [0];
					var name = $("#mix-all").attr('data-name');
					$("#start-fly-mix-content").text(name);
					$("#mc").hide();
					$(".mix-container").slideToggle(speed);
				}else{
					//没有不限
					var str = '';
					var ids = [];
					$(".mix-lists").each(function(value, index){
						if ($(this).attr('data-select') == 'true'){
							var name = $(this).attr('data-name');
							var id = $(this).attr('data-id');
							if(str == ''){
								str = str + name;
							}else{
								str = str + splitStr + name;
							}
							ids.push(Number(id));
						}
					});
					userSelect.mix = ids;
					$("#start-fly-mix-content").text(str);
					$("#mc").hide();
					$(".mix-container").slideToggle(speed);
				}
				that.handleIsShowBackTop();
			});
			$("#fly-type").off().on('tap',function(){
				$('.fly-type-container').slideToggle(speed);
				$("#mc").show();
				that.memoryState('.fly-type-list',userSelect.FlightType);
				that.handleBackTop();
			});
			
			$(".fly-type-lists").off().on('tap',function(){
				that.controlListState(".fly-type-lists",this,"#fly-type-all",".fly-list-svg");
			});
			$("#confirm-fly-type").off().on('tap',function(){
				var str = '';
				var ids = [];
				$('.fly-type-lists').each(function(){
					if($(this).attr('data-select') == 'true'){
						var id = $(this).attr('data-id');
						var name = $(this).attr('data-name');
						if(str == ''){
							str = str + name;
						}else{
							str = str + splitStr + name;
						}
						ids.push(Number(id));
					}
					
				});
				userSelect.FlightType = ids;
				$("#fly-type-content").text(str);
				$("#mc").hide();
				$(".fly-type-container").slideToggle(speed);
				that.handleIsShowBackTop();
			});
		},
		initSelectTime:function(timeData){
			var totalTime = 24;
			var arr = [];
			for(var i=1;i<=totalTime;i++){
				var time = i;
				arr.push(time);
			}
			$('.start-single-slider').jRange({
			    from: 0,
			    to: totalTime,
			    step: 1,
			    scale:arr,
			    format: '%s',
			    width: $(window).width()*0.9,
			    showLabels: true,
			    isRange : true,
			    showScale:false
			});
			this.initRange(timeData.Start, timeData.End, totalTime);
			
		},
		initRange:function(startTime, endTime, totalTime){
			var that = this;
			var len = $(".slider-container").width()/totalTime;
			var startLeft = len*startTime-len;
			var endLeft = len*endTime-len;
	
			$(".pointer-label").eq(0).css({
				'left':startLeft
			});
			$(".babel").eq(0).css({
				'left':startLeft
			});
			$(".selected-bar").css({
				'left':startLeft,
				'width':(endLeft-startLeft)
			})
			$(".pointer-label").eq(0).text(startTime+':00');
			$(".pointer-label").eq(0).attr('data-num',startTime);
			$(".pointer-label").eq(1).text(endTime+':00');
			$(".pointer-label").eq(1).attr('data-num',endTime);
			$(".pointer-label").eq(1).css({
				'left':endLeft
			});
			$(".babel").eq(1).css({
				'left':endLeft
			});
			
			$("#confirm-start-range-time").off().on('tap',function(){
				var status = $(this).attr('data-status');
				var startRange = $(".pointer-label").eq(0).attr('data-num');
				var endRange = $(".pointer-label").eq(1).attr('data-num');
				var startRangeStr = $(".pointer-label").eq(0).text();
				var endRangeStr = $(".pointer-label").eq(1).text();
				$("#mc").hide();
				$('.time-range').hide(speed);
				if(status == 'start'){
					$("#start-result-time").text(startRangeStr+'-'+endRangeStr);
					userSelect.DepartPointOfTime = {
						Start:Number(startRange),
						End:Number(endRange)
					};
				}else{
					$("#end-result-time").text(startRangeStr+'-'+endRangeStr);
					userSelect.GetBackPointOfTime = {
						Start:Number(startRange),
						End:Number(endRange)
					};
				}
				that.handleIsShowBackTop();
			});
		},
		initTmpl:function(data){
			
			//是否海外
			var IsOverSea = data.IsOverSea;
			if(IsOverSea == 1){
				$("#is-over-sea").show();
			}
			userSelect.IsOverSea = IsOverSea;
			//起飞机场
			var TrafficStations = data.TrafficStations;
			userSelect.TrafficStations = TrafficStations;
			var aircraft = [];
			var car = [];
			var notLimit = {};
			TrafficStations.forEach(function(value, index){
				if(value.Type == 1){
					aircraft.push(value);
				}
				if(value.Type != 1 && value.Type != 0){
					car.push(value);
				}
				if(value.Type == 0){
					notLimit = value;
				}
			});
			if(!$.isEmptyObject(notLimit)){
				aircraft.push(notLimit);
				car.push(notLimit);
			}
			data.aircraft = aircraft;
			data.car = car;
			
			//初始化模板
			var tmpl = template('data-template',data);
			$("#init-content").html(tmpl);
			
			//出行工具
			var TrafficType = data.TrafficType;
			
			//出发默认时间
			var DepartPointOfTime = data.DepartPointOfTime;
			
			//返回时间
			var GetBackPointOfTime = data.GetBackPointOfTime;
			
			userSelect.DepartPointOfTime = DepartPointOfTime;
			userSelect.GetBackPointOfTime = GetBackPointOfTime;
			$("#start-result-time").text(DepartPointOfTime.Start+':00-'+DepartPointOfTime.End+':00');
			$("#end-result-time").text(GetBackPointOfTime.Start+':00-'+GetBackPointOfTime.End+':00');
			//飞类型
			var FlightType = data.FlightType;
			
			//飞机座位等级
			var SpaceGrade = data.SpaceGrade;
			
			//动车,高铁座位等级
			var SeatGrade = data.SeatGrade;
			
			//混合座位等级
			var TrafficSeatGrade = data.TrafficSeatGrade;
			
			//IsOverSea
			var IsOverSea = data.IsOverSea;
			
			//联系人
			var Contact = data.Contact;
			$("#username").val(Contact);
			userSelect.Contacts = Contact;
			//联系电话
			var Phone = data.Phone;
			$("#tel").val(Phone);
			userSelect.ContactPhone = Phone;
			//住宿需求对象
			var Hotel = data.Hotel;
			
			//用车需求对象
			var UseCar = data.UseCar;
			
			//游玩需求对象
			var Play = data.Play;
			
			//用餐需求对象
			var Meals = data.Meals;
			
			this.insertDomData(TrafficType,'#departTool','TravelModels');
			this.insertGradeData(SpaceGrade, SeatGrade, TrafficSeatGrade);
			//this.initSelectTime(DepartPointOfTime,GetBackPointOfTime);
			//userSelect.TrafficStations = TrafficStations;
			//userSelect.aircraft = aircraft;
			//userSelect.car = car;
			//userSelect.mix = TrafficStations;
			this.insertDomData(aircraft,'#start-fly-aircraft-content','aircraft');
			this.insertDomData(car,'#start-fly-car-content','car');
			this.insertDomData(TrafficStations,'#start-fly-mix-content','mix');
			
			this.insertDomData(FlightType,'#fly-type-content','FlightType');
			this.handleTrafficPlan();
		},
		insertDomData:function(arr, dom, listObj){
			var str = '';
			var ids = [];
			arr.forEach(function(v){
				if(v.IsSelect == 1){
					if(str == ''){
						str = str + v.Name;
					}else{
						str = str + splitStr + v.Name;
					}
					ids.push(v.Id);
				}
			});
			$(dom).text(str);
			userSelect[listObj] = ids;
		},
		controlListState:function(listDom, _this, unlimitDom, listSvgDom){
			var index = $(listDom).index(_this);
			var state = $(_this).attr('data-select');
			var isSelectAll = $(unlimitDom).attr('data-select');
			if(!isSelectAll || isSelectAll == 'false'){
				if(state == 'false'){
					$(listSvgDom).eq(index).attr('xlink:href','#icon-duoxuan1');
					$(_this).attr('data-select','true');
					$(_this).addClass('active-word');
				}else{
					$(listSvgDom).eq(index).attr('xlink:href','#icon-duoxuan');
					$(_this).attr('data-select','false');
					$(_this).removeClass('active-word');
				}
			}else{
				$(unlimitDom).attr('data-select','false');
				$(_this).attr('data-select','true');
				$(_this).addClass('active-word');
				$(listSvgDom).eq(index).attr('xlink:href','#icon-duoxuan1');
				$(unlimitDom).find('use').attr('xlink:href','');
				$(unlimitDom).removeClass('active-word');
			}
		},
		memoryState:function(classDom, data){
			$(classDom).each(function(index, value){
				var _this = this;
				var id = $(this).attr('data-id');
				$(this).attr('data-select','false');
				if(id == 0){
					$(this).find('use').attr('xlink:href','');
				}else{
					$(this).find('use').attr('xlink:href','#icon-duoxuan');
				}
				
				$(this).removeClass('active-word');
				data.forEach(function(vv,ii){
					if(id == vv){
						$(_this).attr('data-select','true');
						if(id == 0){
							$(_this).find('use').attr('xlink:href','#icon-yixuan1');
						}else{
							$(_this).find('use').attr('xlink:href','#icon-duoxuan1');
						}
						
						$(_this).addClass('active-word');
					}
				});
			});
		},
		controllAllState:function(_this, listSvgDom, listDom, unLimitSvgDom){
			var state = $(_this).attr('data-select');
			if(state == 'false'){
				$(listSvgDom).each(function(index,value){
					$(this).attr('xlink:href','#icon-duoxuan');
					$(listDom).eq(index).attr('data-select','false');
					$(listDom).eq(index).removeClass('active-word');
				})
				$(_this).attr('data-select','true');
				$(_this).addClass('active-word');
				$(unLimitSvgDom).attr('xlink:href','#icon-yixuan1');
			}else{
				$(_this).attr('data-select','false');
				$(unLimitSvgDom).attr('xlink:href','');
			}
		},
		insertGradeData:function(SpaceGrade, SeatGrade, TrafficSeatGrade){
			var str = '';
			var personArr = [];
			
			SpaceGrade.forEach(function(value, index){
				if(value.IsSelect == 1){
					personArr.push({
						SeatGrade:Number(value.Id),
						PersonCount:Number(value.Num)
					});
					if(str == ''){
						str = str + value.Name + value.Num + '人';
					}else{
						str = str + splitStr + value.Name + value.Num + '人';
					}
					if(value.Num != 0){
						$(".position-people-0").eq(index).text(value.Num);
					}
				}
			});
			
			SeatGrade.forEach(function(value){
				if(value.IsSelect == 1){
					personArr.push({
						SeatGrade:Number(value.Id),
						PersonCount:Number(value.Num)
					});
					if(str == ''){
						str = str + value.Name + value.Num + '人';
					}else{
						str = str + splitStr + value.Name + value.Num + '人';
					}
					if(value.Num != 0){
						$(".position-people-1").eq(index).text(value.Num);
					}
				}
			})
			
			TrafficSeatGrade.forEach(function(value){
				if(value.IsSelect == 1){
					personArr.push({
						SeatGrade:Number(value.Id),
						PersonCount:Number(value.Num)
					});
					if(str == ''){
						str = str + value.Name + value.Num + '人';
					}else{
						str = str + splitStr + value.Name + value.Num + '人';
					}
					if(value.Num != 0){
						$(".position-people-2").eq(index).text(value.Num);
					}
				}
			});
			
			userSelect.Person = personArr;
			$("#sit-select-result").text(str);
		},
		authTotalSeat:function(listDom, callback){
			var peopleNum = 0;
			var totalPeople = Number(customPackage.ticket.adultNum) + Number(customPackage.ticket.childrenNum);
			$(listDom).each(function(index, value){
				var num = $(this).text();
				peopleNum = Number(peopleNum) + Number(num);
			});
			if(peopleNum == totalPeople){
				callback();
			}else{
				plus.nativeUI.toast('座位数应等于总人数');
			}
		},
		handleTrafficPlan:function(){
			var TravelModels = userSelect.TravelModels;
			var isAirCraft = false;
			var isCar = false;
			var isMix = false;
			TravelModels.forEach(function(value, index){
				switch(value){
					case 0:
						//不限
						isMix = true;
						break;
					case 1:
						//飞机
						isAirCraft = true;
						break;
					default:
						//其他，汽车，高铁等
						isCar = true;
						break;
				}
			});
			if(isMix == true){
				$("#start-mix").show();
				$("#start-car-station").hide();
				$("#travel-aircraft").hide();
			}else{
				if(isAirCraft == true){
					if(isCar == false){
						//只有飞机
						$("#start-mix").hide();
						$("#start-car-station").hide();
						$("#travel-aircraft").show();
						if($("#start-fly-aircraft-content").text() == ''){
							$("#start-fly-aircraft-content").html("<span style='color:#999'>请选择起飞机场</span>");
						}
						if($("#fly-type-content").text() == ''){
							$("#fly-type-content").html("<span style='color:#999'>请选择直飞/中转</span>");
						}
						
					}else{
						//飞机+其他
						$("#start-mix").show();
						$("#start-car-station").hide();
						$("#travel-aircraft").hide();
					}
					
				}else{
					//其他
					$("#start-mix").hide();
					$("#start-car-station").show();
					$("#travel-aircraft").hide();
				}
			}
		},
		rangeTimeStr:function(title, status){
			$("#rang-time-container").empty();
			var subdiv = "<div class='border-radius con'>"
						+	"<div class='common-time'>"+title+"</div>"
						+	"<div class='range-line'>"
						+		"<input type='hidden' class='start-single-slider' value='5' />"
						+	"</div>"
						+"</div>"
						+"<div class='border-radius' data-status="+status+" id='confirm-start-range-time'>确认</div>";
			$("#rang-time-container").append(subdiv);
		},
		initTravelHotel:function(data){
			var customPackages = app.getSettings().customPackage;
			var endPlace = customPackages.endPlace;
			var tmpl = template('travel-hotel-template',{
				endPlace:endPlace
			});
			$("#travel-hotel-container").html(tmpl);
			this.initDest(data);
		},
		callManyDest:function(){
			this.initTravelHotel(store);
			//重新计算SchemeDestDemandList  可能在新增目的地地方删除过某些目的地，所以在SchemeDestDemandList也要删除
			var customPackages = app.getSettings().customPackage;
			var endPlace = customPackages.endPlace;
			var newSchemeDestDemandList = [];
			endPlace.map(function(item){
				userSelect.SchemeDestDemandList.forEach(function(vv, ii){
					if(item.Id == vv.Dest.Id){
						newSchemeDestDemandList.push(vv);
					}
				});
			});
			userSelect.SchemeDestDemandList = newSchemeDestDemandList;
		},
		callDeleteTravel:function(thisId){
			userSelect.SchemeDestDemandList.forEach(function(vv, ii){
				if(vv.Dest.Id == thisId){
					userSelect.SchemeDestDemandList.splice(ii,1);
				}
			});
			this.initTravelHotel(store);
			var webViewChildren = plus.webview.currentWebview();
			var webViewParent = webViewChildren.opener();
			webViewParent.evalJS("window.DemandIndex.callbackReloadDest()");
		},
		callbackUpateDest:function(){
			var webViewChildren = plus.webview.currentWebview();
			var webViewParent = webViewChildren.opener();
			webViewParent.evalJS("window.DemandIndex.callbackReloadDest()");
			webViewChildren.close();
		},
		callSaveDemand:function(needData, id, type){
			//需求目的地详情回调
			var obj = {
				Dest:{
					Type:Number(type),
					Id:Number(id)
				},
				Hotel:{
					Dests:needData.HotelDests,
					Star:needData.Star,
					Stars:needData.Star,
					Meeting:needData.Meeting,
					//缺少，须添加
					BreakfastIncluded:needData.BreakfastIncluded
				},
				UseCar:{
					UseCar:needData.UseCar,
					CarGrade:needData.CarGrade,
					Count:needData.Count,
					IsGuide:needData.IsGuide
				},
				Play:{
					PlayTypes:needData.PlayTypes,
					Scenic:needData.Scenic,
					Recommend:needData.Recommend,
					person:needData.Persons
				},
				Meals:{
					Meals:needData.Meals,
					Amount:needData.Amount
				},
				Other:needData.Other,
				//缺少，须添加
				StayDays:needData.StayDays,
				hotelAreaName:needData.hotelAreaName
			}
			var _index = '';
			var isExsit = false;
			userSelect.SchemeDestDemandList.forEach(function(vv, ii){
				if(vv.Dest.Id == id){
					isExsit = true;
					_index = ii;
				}
			});
			if(isExsit == true){
				//存在，直接覆盖
				userSelect.SchemeDestDemandList[_index] = obj;
			}else{
				//不存在，创建
				userSelect.SchemeDestDemandList.push(obj);
			}
			this.initTravelHotel(store);
		},
		authSubmitInfo:function(callback){
			var that = this;
			//开启验证
			
			if(userSelect.isNeedOrder == 1){
				//需要代订
				
				if(userSelect.TravelModels.length == 0){
					plus.nativeUI.toast('请选择出行工具');
					return;
				}
				
				if(userSelect.TravelModels.length == 1){
					//单选
					var listNum = userSelect.TravelModels[0];
					if(listNum == 0){
						//不限，验证mix
						if(userSelect.mix.length == 0){
							plus.nativeUI.toast('请选择起飞机场/出发车站');
							return;
						}
					}else if(listNum == 1){
						//验证飞机
						if(userSelect.aircraft.length == 0){
							plus.nativeUI.toast('请选择起飞机场');
							return;
						}
						//验证直飞/中转
						if(userSelect.FlightType.length == 0){
							plus.nativeUI.toast('请选择直飞/中转');
							return;
						}
					}else{
						//高铁或者动车
						if(userSelect.car.length == 0){
							plus.nativeUI.toast('请选择出发车站');
							return;
						}
					}
					
				}else{
					//混合选择
					
					if( $.inArray(1,userSelect.TravelModels) >=0 ){
						//含有飞机，验证mix
						if(userSelect.mix.length == 0){
							plus.nativeUI.toast('请选择起飞机场/出发车站');
							return;
						}
					}else{
						//只需验证car
						if(userSelect.car.length == 0){
							plus.nativeUI.toast('请选择出发车站');
							return;
						}
					}
				}
				
				
				
				if(userSelect.SchemeDestDemandList.length == 0){
					//没有添加目的地
					plus.nativeUI.toast('请完善目的地需求');
					return;
				}
				if(userSelect.Contacts == ''){
					//联系人
					plus.nativeUI.toast('请填写联系人姓名');
					return;
				}
				if(userSelect.ContactPhone == ''){
					plus.nativeUI.toast('请填写手机号');
					return;
				}
			}else{
				//只要验证目的地即可
				if(userSelect.SchemeDestDemandList.length == 0){
					//没有添加目的地
					plus.nativeUI.toast('请完善目的地需求');
					return;
				}
				if(userSelect.Contacts == ''){
					//联系人
					plus.nativeUI.toast('请填写联系人姓名');
					return;
				}
				if(userSelect.ContactPhone == ''){
					plus.nativeUI.toast('请填写手机号');
					return;
				}
			}
			var isLock = false;
			var customs = app.getSettings().customPackage;
			var endPlaceData = customs.endPlace;
			for(var i=0; i<endPlaceData.length;i++){
				var isWrite = that.checkDestInfo(endPlaceData[i].Id);
				if(isWrite == false){
					isLock = true;
					app.showMsg('请填写'+ endPlaceData[i].Name + '酒店、游玩需求');
					break;
				}
			}
			if(isLock == false){
				callback();
			}
		},
		checkDestInfo:function(id){
			var list = userSelect.SchemeDestDemandList;
			var isWrite = false;
			list.map(function(item){
				if(id == item.Dest.Id){
					isWrite = true;
				}
			});
			return isWrite;
		},
		handleTrafficStationResult:function(){
			var TravelModels = userSelect.TravelModels;
			var isAirCraft = false;
			var isCar = false;
			var isMix = false;
			TravelModels.forEach(function(value, index){
				switch(value){
					case 0:
						//不限
						isMix = true;
						break;
					case 1:
						//飞机
						isAirCraft = true;
						break;
					default:
						//其他，汽车，高铁等
						isCar = true;
						break;
				}
			});
			//TrafficStations
			if(isMix == true){
				userSelect.trafficStation = this.getTypeAndId(userSelect.mix);
			}else{
				if(isAirCraft == true){
					if(isCar == false){
						//只有飞机
						userSelect.trafficStation = this.getTypeAndId(userSelect.aircraft);
					}else{
						//飞机+其他
						userSelect.trafficStation = this.getTypeAndId(userSelect.mix); 
					}
					
				}else{
					//其他
					userSelect.trafficStation = this.getTypeAndId(userSelect.car);
				}
			}
		},
		getTypeAndId:function(Ids){
			var TrafficStations = userSelect.TrafficStations;
			var result = [];
			Ids.forEach(function(value, index){
				TrafficStations.map(function(item){
					if(value == item.Id){
						result.push({
							Type:item.Type,
							Id:item.Id,
							Name:item.Name
						});
					}
				});
			});
			return result;
		},
		handleFirstSeeTravel:function(isFirstSeeTravel){
			var that = this;
			if(isFirstSeeTravel == true){
				var placeName = customPackage.endPlace[0].Name;
				var headerTop = $("header").height();
				var one = $("#step-one-top").height();
				var isOverSeaContainer = $("#is-over-sea").height();
				//展示引导页
				var top = 46 + headerTop;
				var stepThreeTop = headerTop + one;
				$("#modal").show();
				$("#modal-travel").css({
					'top':top
				});
				
				$("#step-one").show();
				$("#next-one").off().on('tap',function(){
					$("#step-one").hide();
					$("#end-place-name").text(placeName+'酒店、游玩需求');
					
					var h = $(".up-image").height();
					if($("#is-over-sea").is(':hidden')){
						$("#modal-travel-two").css({
							'top':stepThreeTop-h-35
						});
						$("#step-two").show();
					}else{
						$("#modal-travel-four").css({
							'top':stepThreeTop-35
						});
						$("#step-four").show();
					}
					
				});
				$("#next-four").off().on('tap',function(){
					$("#step-four").hide();
					$("#end-place-name").text(placeName+'酒店、游玩需求');
					
					var h = $(".up-image").height();
					$("#modal-travel-two").css({
							'top':stepThreeTop + isOverSeaContainer - 20
						});
						$("#step-two").show();
				});
				$("#next-two").off().on('tap',function(){
					$("#step-two").hide();
					$("#step-three").show();
					var h = $(".up-image-three").height();
					if($("#is-over-sea").is(':hidden')){
						$("#modal-travel-three").css({
							'top':stepThreeTop + 10 + 40*($(".end-dest-list").length - 1)
						});
					}else{
						$("#modal-travel-three").css({
							'top':stepThreeTop + isOverSeaContainer + 15
						});
					}
					
				});
				$("#next-three").off().on('tap',function(e){
					$(".full-touch input").attr('readonly','readonly');
					e.preventDefault();
					$("#modal").hide();
					$("#step-two").hide();
					$("#step-three").hide();
					setTimeout(function(){
						$(".full-touch input").removeAttr('readonly');
						$(".full-touch input").blur();
					},500);
					//这里开始清除first标志
					that.setIsFirstSee();
				});
				
				//关闭
				$("#close-xd").off().on('tap',function(){
					$("#total-xd").hide();
					$("#modal").hide();
					//这里开始清除first标志
					that.setIsFirstSee();
				});
			}
		},
		setIsFirstSee:function(){
			var sets = app.getSettings();
			sets.customPackage.isFirstSeeTravel = false;
			app.setSettings(sets);
		},
		handleGuide:function(len){
			if(len>6){
				//出现上滑提示，前提是第一次
				var sets = app.getSettings();
				if(sets.guide){
					if(sets.guide.travelMoreTool == true){
						$("#guide").show();
						$("#guide").on('touchmove',function(e){
							e.preventDefault();
						});
						$("#guide").on('tap',function(){
							$("#guide").hide();
							sets.guide.travelMoreTool = false;
							app.setSettings(sets);
						});	
					}
				}
			}
		},
		handleBackTop:function(){
			$(".go-back-top").hide();
		},
		handleIsShowBackTop:function(){
			if(scrollTop<0){
				$(".go-back-top").show();
			}
		}
	}
})(window, $);
