(function(window, $){
	var testNumber = new RegExp("^[0-9]*$");
	var userSelect = {
		//ok
		TravelModels:[],
		PointOfTime:[],
		BackPointOfTime:[],
		Person:[],
		HotelDests:[
			{
				Type:'',
				Id:''
			}
		],
		Star:[],
		Meeting:{
			IsNeed:0,
			MeetingPerson:'',
			MeetingArea:'',
			MeetingPlaces:[],
			MeetingServices:[]
		},
		UseCar:'',
		UseCarType:'',
		CarGrade:[],
		Count:'',
		IsGuide:0,
		PlayTypes:[],
		Scenic:'',
		Recommend:1,
		Meals:[],
		Amount:'',
		Other:'',
		Contacts:'',
		ContactPhone:'',
		Budget:'',
		Persons:[],
		SchemeDate:{
			Adjust:1,
			LeaveDate:'',
			GetBackDate:''
		},
		Depart:{
			Type:1,
			Id:1
		},
		Dests:[
			{
				Type:1,
				Id:1
			}
		]
	};
	var localStorageData = app.getSettings();
	var AdultPeopleNum = localStorageData.searchparam3.ticket.adultNum;
	var childrenPeopleNum = localStorageData.searchparam3.ticket.childrenNum;
	var totalPeople = Number(localStorageData.searchparam3.ticket.adultNum) + Number(localStorageData.searchparam3.ticket.childrenNum);
	var splitStr = ',';
	var scroll = null;
	window.travel = {
		init:function(){
			var that = this;
			var speed = 200;	
			//this.handleHotelStarEvent();
			var obj = app.getSettings();
			userSelect.HotelDests = [
				{
					Type:obj.searchparam3.startDest.Type,
					Id:obj.searchparam3.startDest.Id[0]
				}
			];
			if(obj.isChange == true){
				userSelect.SchemeDate.Adjust = 1;
			}else{
				userSelect.SchemeDate.Adjust = 0;
			}
			userSelect.SchemeDate.LeaveDate = obj.searchparam3.customTime[0];
			userSelect.SchemeDate.GetBackDate = obj.searchparam3.customTime[1];
			
			scroll = mui("#plan-contentScroll").scroll();
			
			//出发,目的
			userSelect.Depart.Type = obj.searchparam3.beginDest.Type;
			userSelect.Depart.Id = obj.searchparam3.beginDest.Id[0];
			
			userSelect.Dests = [
				{
					Type:obj.searchparam3.startDest.Type,
					Id:obj.searchparam3.startDest.Id[0]
				}
			]
			
			//酒店区域
			var hotelAreas = obj.searchparam3.startDest;
			$("#travel-area-result").text(hotelAreas.Name);
			
			//获取游玩人数
			var ticket = obj.ticket ? obj.ticket : obj.searchparam3.ticket;
			$("#adult-seat-num").val(ticket.adultNum);
			$("#children-seat-num").val(ticket.childrenNum);
			
			$(".go-back-top").off().on('tap',function(e){
				e.preventDefault();
				mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100);//100毫秒滚动到顶
			});
			var scroll = mui('.mui-scroll-wrapper').scroll();
			document.getElementById('plan-contentScroll').addEventListener('scrollend', function() {
				if(scroll.y<0){
					$(".go-back-top").show();
				}else{
					$(".go-back-top").hide();
				}
			});
			//加载弹框类各项信息
			this.loadTemplateData(function(){
				//添加座位数
				$("#get-seat-num").val(totalPeople);
				userSelect.Count = Number(totalPeople);
				that.handleHotelStarEvent();
				$("#mc").on('touchend',function(event){
					//event.stopPropagation();
					event.preventDefault();
					
				});
				
				$("#mc").on('touchmove',function(event){
					event.preventDefault();
				});
				
				$("#mc").on('tap',function(){
					$("#mc").hide();
					$(".prevent-default").hide();
				})
				
				$(".prevent-default").on('touchmove',function(event){
					event.preventDefault();
				});
				$(".prevent-default").on('touchend',function(event){
					event.preventDefault();
				});
				
				//酒店区域跳转
				$("#hotel-area").off().on('tap',function(){
					app.ShowWebView("../Travel/hotelArea.html")
				});
				
				$("#go-play-view-point").off().on('tap',function(){
					app.ShowWebView("../Travel/playViewPoint.html",{
						textName:$("#travel-view-point").text()
					});
				});
				
				$("#mySwitch").off().on('tap',function(){
					var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
					if(isActive){
						//需要
						//$("#mySwitch-style").addClass('my-switch-style');
						$("#join-meet").show();
						$("#need-meet").removeClass('border-bottom-none');
						userSelect.Meeting.IsNeed = 1;
					}else{
						//不需要
						$("#join-meet").hide();
						$("#need-meet").addClass('border-bottom-none');
						userSelect.Meeting.IsNeed = 0;
					}
				});
				
				$("#show-use-car-detail").off().on('tap',function(){
					var state = $(this).attr('data-show');
					if(state == 'false'){
						$(this).addClass('transform-rotate');
						$(this).removeClass('transform-rotate-back');
						$(this).attr('data-show','true');
						$("#use-car-title-option").addClass('border-btm-none');
					}else{
						$(this).removeClass('transform-rotate');
						$(this).addClass('transform-rotate-back');
						$(this).attr('data-show','false');
						$("#use-car-title-option").removeClass('border-btm-none');
					}
					$("#use-car-detail").slideToggle(speed);
				});
				
				$("#show-play-need-detail").off().on('tap',function(){
					var state = $(this).attr('data-show');
					if(state == 'false'){
						$(this).addClass('transform-rotate');
						$(this).removeClass('transform-rotate-back');
						$(this).attr('data-show','true');
						$("#play-title-option").addClass('border-btm-none');
					}else{
						$(this).removeClass('transform-rotate');
						$(this).addClass('transform-rotate-back');
						$(this).attr('data-show','false');
						$("#play-title-option").removeClass('border-btm-none');
					}
					$("#play-need-details").slideToggle(speed);
				});
				
				$("#show-eat-need-detail").off().on('tap',function(){
					var state = $(this).attr('data-show');
					if(state == 'false'){
						$(this).addClass('transform-rotate');
						$(this).removeClass('transform-rotate-back');
						$(this).attr('data-show','true');
						$("#use-car-title").addClass('border-btm-none');
					}else{
						$(this).removeClass('transform-rotate');
						$(this).addClass('transform-rotate-back');
						$(this).attr('data-show','false');
						$("#use-car-title").removeClass('border-btm-none');
					}
					$("#eat-need-detail").slideToggle(speed);
				});
				
				$("#isNeedCar").off().on('tap',function(){
					var isActive = document.getElementById("isNeedCar").classList.contains("mui-active");
					if(isActive){
						userSelect.IsGuide = 1;
					}else{
						userSelect.IsGuide = 0;
					}
				});
				
				$("#other-need-textarea").on('input',function(e){
					var len = $(this).val().toString().length;
					len = Number(len);
					if(Number(len)<=500){
						$("#has-enter-word-num").text(len);
					}else{
						var content = $(this).val().toString();
						content = content.substr(0,499);
						$(this).val(content);
					}
				});
	
				//出返时间
				$(".travel-need-time").off().on('tap',function(){
					var index = $(".travel-need-time").index(this);
					$("#mc").show();
					$(".time-select-container").eq(index).slideToggle(speed);
					if(index == 0){
						that.memoryState('.depart-select-time',userSelect.PointOfTime);
					}else{
						
						that.memoryState('.get-back-time',userSelect.BackPointOfTime);
					}
					//$(".time-range").slideToggle(200);
					//$("#mc").show();
				});
				
				$('.time-list').off().on('tap',function(){
					var index = $('.time-list').index(this);
					var status = $(".checkbox").eq(index).attr('data-select');
					if(status == 'false'){
						$(".checkbox").eq(index).addClass('has-select-time');
						$(".time-num").eq(index).addClass('time-num-select');
						$(".font-time").eq(index).addClass('time-num-select');
						$(".checkbox").eq(index).attr('data-select','true');
					}else{
						$(".checkbox").eq(index).removeClass('has-select-time');
						$(".checkbox").eq(index).attr('data-select','false');
						$(".time-num").eq(index).removeClass('time-num-select');
						$(".font-time").eq(index).removeClass('time-num-select');
					}
					
				});
				$(".confirm-time-select").off().on('tap',function(){
					var index = $(".confirm-time-select").index(this);
					$("#mc").hide();
					$(".time-select-container").eq(index).slideToggle(speed);
					var type = $(this).attr('data-type');
					var startTimeSelect = '';
					var endTimeSelect = '';
					var ids = [];
					if(type == 'start'){
						//出发
						var isLimit = $("#time-select-unlimit-start").attr('data-select');
						if(isLimit == 'true'){
							//不限
							startTimeSelect = $("#time-select-unlimit-start").attr('data-name');
							ids = [0];
						}else{
							$(".time-select-lists").each(function(i,v){
								var dataType = $(this).attr('data-type');
								if(dataType == 'start'){
									var state = $(this).attr('data-select');
									if(state == 'true'){
										var id = $(this).attr('data-id');
										var name = $(this).attr('data-name');
										if(startTimeSelect == ''){
											startTimeSelect = startTimeSelect + name;
										}else{
											startTimeSelect = startTimeSelect + splitStr + name;
										}
										ids.push(Number(id));
									}
								}
							});
						}
						$("#start-result-time").text(startTimeSelect);
						userSelect.PointOfTime = ids;
					}else{
						//回来
						var isLimit = $("#time-select-unlimit-end").attr('data-select');
						if(isLimit == 'true'){
							endTimeSelect = $("#time-select-unlimit-end").attr('data-name');
							ids = [0];
						}else{
							$(".time-select-lists").each(function(i,v){
								var dataType = $(this).attr('data-type');
								if(dataType == 'end'){
									var state = $(this).attr('data-select');
									if(state == 'true'){
										var id = $(this).attr('data-id');
										var name = $(this).attr('data-name');
										if(endTimeSelect == ''){
											endTimeSelect = endTimeSelect + name;
										}else{
											endTimeSelect = endTimeSelect + splitStr + name;
										}
										ids.push(Number(id));
									}
								}
							});
						}
						
						$("#end-result-time").text(endTimeSelect);
						userSelect.BackPointOfTime = ids;
					}
				});
	
				//仓位等级
				$("#position-grade").off().on('tap',function(){
					$("#mc").show();
					/*fix*/
					var travelModels = userSelect.TravelModels;
					
					$(".travel-tool-lists").each(function(vv, ii){
						$(this).attr('data-select','false');
					});
					travelModels.forEach(function(v){
						if(v == 0){
							$("#travel-all").attr('data-select','true');
						}else{
							$("#travel-all").attr('data-select','false');
							$(".travel-tool-lists").each(function(vv, ii){
								//$(this).attr('data-select','false');
								var thisId = $(this).attr('data-id');
								if(thisId == v){
									$(this).attr('data-select','true');
								}
							});
						}
					});
					/*
						如果出行工具是不限,那么显示舱位/座位选择
						如果出行工具是飞机，那么显示舱位选择
						如果出行工具是高铁或者动车,那么显示座位选择
						如果出行工具含有飞机/高铁，飞机/动车，那么显示舱位/座位选择
					*/
					
					var isUnLimit = $("#travel-all").attr('data-select');
					if(isUnLimit == 'true'){
						//出行工具不限，那么显示舱位/座位选择
						$(".position-grade").eq(2).slideToggle(speed);
						$(".position-people-2").each(function(index,v){
							var num = $(this).attr('data-num');
							$(this).text(num);
							if(num==0){
								$(this).removeClass('time-num-select');
								$(".traffic-seat-grade").eq(index).removeClass('time-num-select');
							}else{
								$(this).addClass('time-num-select');
								$(".traffic-seat-grade").eq(index).addClass('time-num-select');
							}
						})
					}else{
						//出行工具非不限
						var isSelectAircraft = true;	//默认是飞机
						var other = 0;
						$(".travel-tool-lists").each(function(index, value){
							var isSelect = $(this).attr('data-select');
							var id = $(this).attr('data-id');
							if(id == 1){
								//飞机
								if(isSelect == 'true'){
									isSelectAircraft = true;
								}else{
									isSelectAircraft = false;
								}
							}else{
								if(isSelect == 'true'){
									other ++;
								}
							}
						});
						if(isSelectAircraft == true){
							//选择了飞机
							if(other == 0){
								//显示飞机，舱位选择
								$(".position-grade").eq(0).slideToggle(speed);
								$(".position-people-0").each(function(index,v){
									var num = $(this).attr('data-num');
									$(this).text(num);
									if(num==0){
										$(this).removeClass('time-num-select');
										$(".space-grade").eq(index).removeClass('time-num-select');
									}else{
										$(this).addClass('time-num-select');
										$(".space-grade").eq(index).addClass('time-num-select');
									}
								})
							}else{
								//显示舱位座位混合座位
								$(".position-grade").eq(2).slideToggle(speed);
								$(".position-people-2").each(function(index,v){
									var num = $(this).attr('data-num');
									$(this).text(num);
									if(num==0){
										$(this).removeClass('time-num-select');
										$(".traffic-seat-grade").eq(index).removeClass('time-num-select');
									}else{
										$(this).addClass('time-num-select');
										$(".traffic-seat-grade").eq(index).addClass('time-num-select');
									}
								})
							}
						}else{
							//没有飞机,直接显示高铁动车的座位选择
							$(".position-grade").eq(1).slideToggle(speed);
							$(".position-people-1").each(function(index,v){
								var num = $(this).attr('data-num');
								$(this).text(num);
								if(num==0){
									$(this).removeClass('time-num-select');
									$(".seat-grade").eq(index).removeClass('time-num-select');
								}else{
									$(this).addClass('time-num-select');
									$(".seat-grade").eq(index).addClass('time-num-select');
								}
							})
						}
					}
				});
				
				//舱位reduce
				$(".reduce").off().on('tap',function(){
					var index = $(".reduce").index(this);
					var num = $(".position-num").eq(index).text();
					if(Number(num)>0){
						num = Number(num) - 1;
						$(".position-num").eq(index).text(num);
						if(num == 0){
							$(".position-grade-time").eq(index).removeClass('time-num-select');
							$(".position-num").eq(index).removeClass('time-num-select');
						}
					}
				});
				
				//舱位add
				$(".add").off().on('tap',function(){
					var index = $(".add").index(this);
					$(".position-grade-time").eq(index).addClass('time-num-select');
					$(".position-num").eq(index).addClass('time-num-select');
					var num = $(".position-num").eq(index).text();
					if(Number(num)<=98){
						num = Number(num) + 1;
						$(".position-num").eq(index).text(num);
					}
				});
				//确认舱位选择
				$(".confirm-position-select").off().on('tap',function(){
					var index = $(".confirm-position-select").index(this);
					var personSite = [];
					var textStr = '';
					var listDom = ".position-people-"+index;
					that.authTotalSeat(listDom,function(){
						$(".position-people-"+index).each(function(index, value){
							var id = $(this).attr('data-id');
							var num = $(this).text();
							var name = $(this).attr('data-name');
							personSite.push({
								SeatGrade:Number(id),
								PersonCount:Number(num)
							});
							if(textStr == ''){
								if(Number(num) != 0){
									textStr = textStr + name + num + '人';
								}
							}else{
								if(Number(num) != 0){
									textStr = textStr + splitStr +name + num + '人';
								}
							}
							$(this).attr('data-num',num);
						});
						userSelect.Person = personSite;
						$("#sit-select-result").text(textStr);
						$("#mc").hide();
						$(".position-grade").eq(index).slideToggle(speed);
					});
				});
				
				//出行工具
				$("#confirm-travel-tool-select").off().on('tap',function(){
					$("#mc").hide();
					$(".travel-tool").slideToggle(speed);
					var state = $("#travel-all").attr('data-select');
					var toolName = '';
					if(state == 'false'){
						//没有选不限
						var arr = [];
						$(".travel-tool-lists").each(function(index,value){
							var status = $(this).attr('data-select');
							if(status == 'true'){
								var id = $(this).attr('data-id');
								arr.push(Number(id));
								var name = $(this).attr('data-name');
								if(toolName == ''){
									toolName = toolName + name;
								}else{
									toolName = toolName + splitStr + name;
								}
								
							}
						});
						userSelect.TravelModels = arr;
					}else{
						//选了不限
						userSelect.TravelModels = [0];
						toolName = $("#travel-all").attr('data-name');
					}
					$("#departTool").text(toolName);
//					$("#sit-select-result").text('');
//					userSelect.Person = [];
					/*
					自动填充到舱位等级里面，并且在内存中赋值userSelect.Person 
					*/
					var seatText = '';
					var seatPerson = [];
					var isUnLimit = $("#travel-all").attr('data-select');
					if(isUnLimit == 'true'){
						userSelect.Person.forEach(function(vv, ii){
							$(".position-people-2").eq(ii).attr('data-num',vv.PersonCount);
							$(".position-people-2").eq(ii).text(vv.PersonCount);
						});
						//出行工具不限，那么显示舱位/座位选择2
						$(".position-people-2").each(function(i, v){
							var seatNum = $(this).attr('data-num');
							var seatName = $(this).attr('data-name');
							var seatId =$(this).attr('data-id');
							if(seatNum != 0){
								if(seatText == ''){
									seatText = seatText + seatName + seatNum + '人';
								}else{
									seatText = seatText + splitStr + seatName + seatNum + '人';
								}
								var obj = {
									SeatGrade:seatId,
									PersonCount:seatNum
								};
								seatPerson.push(obj);
							}
						});
					}else{
						//出行工具非不限
						var isSelectAircraft = true;	//默认是飞机
						var other = 0;
						$(".travel-tool-lists").each(function(index, value){
							var isSelect = $(this).attr('data-select');
							var id = $(this).attr('data-id');
							if(id == 1){
								//飞机
								if(isSelect == 'true'){
									isSelectAircraft = true;
								}else{
									isSelectAircraft = false;
								}
							}else{
								if(isSelect == 'true'){
									other ++;
								}
							}
						});
						if(isSelectAircraft == true){
							//选择了飞机
							if(other == 0){
								userSelect.Person.forEach(function(vv, ii){
									$(".position-people-0").eq(ii).attr('data-num',vv.PersonCount);
									$(".position-people-0").eq(ii).text(vv.PersonCount);
								});
								//显示飞机，舱位选择0
								$(".position-people-0").each(function(i, v){
									var seatNum = $(this).attr('data-num');
									var seatName = $(this).attr('data-name');
									var seatId =$(this).attr('data-id');
									if(seatNum != 0){
										if(seatText == ''){
											seatText = seatText + seatName + seatNum + '人';
										}else{
											seatText = seatText + splitStr + seatName + seatNum + '人';
										}
										var obj = {
											SeatGrade:seatId,
											PersonCount:seatNum
										};
										seatPerson.push(obj);
									}
								});
								
							}else{
								//显示舱位座位混合座位2
								userSelect.Person.forEach(function(vv, ii){
									$(".position-people-2").eq(ii).attr('data-num',vv.PersonCount);
									$(".position-people-2").eq(ii).text(vv.PersonCount);
								});
								$(".position-people-2").each(function(i, v){
									var seatNum = $(this).attr('data-num');
									var seatName = $(this).attr('data-name');
									var seatId =$(this).attr('data-id');
									if(seatNum != 0){
										if(seatText == ''){
											seatText = seatText + seatName + seatNum + '人';
										}else{
											seatText = seatText + splitStr + seatName + seatNum + '人';
										}
										var obj = {
											SeatGrade:seatId,
											PersonCount:seatNum
										};
										seatPerson.push(obj);
									}
								});
							}
						}else{
							userSelect.Person.forEach(function(vv, ii){
								$(".position-people-1").eq(ii).attr('data-num',vv.PersonCount);
								$(".position-people-1").eq(ii).text(vv.PersonCount);
							});
							//没有飞机,直接显示高铁动车的座位选择1
							$(".position-people-1").each(function(i, v){
								var seatNum = $(this).attr('data-num');
								var seatName = $(this).attr('data-name');
								var seatId =$(this).attr('data-id');
								if(seatNum != 0){
									if(seatText == ''){
										seatText = seatText + seatName + seatNum + '人';
									}else{
										seatText = seatText + splitStr + seatName + seatNum + '人';
									}
									var obj = {
										SeatGrade:seatId,
										PersonCount:seatNum
									};
									seatPerson.push(obj);
								}
							});
						}
					}
					$("#sit-select-result").text(seatText);
					userSelect.Person = seatPerson;
				});
				
				//弹出出行工具选择框
				$("#travel-tool-select").off().on('tap',function(){
					$("#mc").show();
					$(".travel-tool").slideToggle(speed);
					that.memoryState('.travel-tool-list',userSelect.TravelModels);
				});
				
				//酒店星级
				$("#confirm-hotel-star-select").off().on('tap',function(){
					$("#mc").hide();
					$(".hotel-star-level").slideToggle(speed);
					var state = $("#hotel-star-all").attr('data-select');
					if(state == 'true'){
						//不限
						userSelect.Star = [0];
						var name = $("#hotel-star-all").attr('data-name');
						$("#hotel-star-result").text(name);
					}else{
						//非不限
						var hotelStarName = '';
						var idss = [];
						$(".hot-star-lists").each(function(index, value){
							var status = $(this).attr('data-select');
							if(status == 'true'){
								var id = $(this).attr('data-id');
								var name = $(this).attr('data-name');
								idss.push(Number(id));
								//userSelect.Star = Number(id);
								if(hotelStarName == ''){
									hotelStarName = hotelStarName + name;
								}else{
									hotelStarName = hotelStarName + splitStr + name;
								}
							}
						});
						userSelect.Star = idss;
						$("#hotel-star-result").text(hotelStarName);
					}
					$("#hotel-star-level").attr('data-optional','true');
					that.handleHotelStarEvent();
				});
				
				//弹出酒店星级选择
				$("#hotel-star-level").off().on('tap',function(){
					var state = $('#travel-area-result').attr("data-is-click");
					if(state == 'true'){
						$("#mc").show();
						$(".hotel-star-level").slideToggle(speed);
					}
					
					that.memoryState('.hotel-star-list',userSelect.Star);
				});
				
				//确认参会人数
				$("#confirm-meet-people-num").off().on('tap',function(){
					$("#mc").hide();
					$(".meet-need-people-num").slideToggle(speed);
					$(".meet-need-people-num-list").each(function(index,value){
						var state = $(this).attr('data-select');
						if(state == 'true'){
							var num = $(this).attr('data-id');
							var name = $(this).attr('data-name');
							userSelect.Meeting.MeetingPerson = Number(num);
							$("#join-meet-people-num").text(name);
						}
					});
				});
				
				//弹出参会人数选择
				$("#meet-need-people").off().on('tap',function(){
					$("#mc").show();
					$(".meet-need-people-num").slideToggle(speed);
					that.memorySingleState('.meet-need-people-num-list',userSelect.Meeting.MeetingPerson);
				});
				
				
				//确认会场面积
				$("#confirm-meet-area").off().on('tap',function(){
					$("#mc").hide();
					$(".meet-area").slideToggle(speed);
					$(".meet-area-list").each(function(index,value){
						var state = $(this).attr('data-select');
						if(state == 'true'){
							var id = $(this).attr('data-id');
							var name = $(this).attr('data-name');
							userSelect.Meeting.MeetingArea = Number(id);
							$("#meet-area-result").text(name);
						}
					});
				});
				
				//弹出会场面积选择
				$("#meet-area").off().on('tap',function(){
					$("#mc").show();
					$(".meet-area").slideToggle(speed);
					that.memorySingleState('.meet-area-list',userSelect.Meeting.MeetingArea);
				});
				
				//会场类型确认
				$("#confirm-meet-type-select").off().on('tap',function(){
					$("#mc").hide();
					$(".meet-type").slideToggle(speed);
					var state = $("#meet-type-unlimit").attr('data-select');
					if(state == 'false'){
						//没有不限
						var arr = [];
						var resultStr = '';
						$(".meet-type-lists").each(function(index,value){
							var status = $(this).attr('data-select');
							if(status == 'true'){
								var id = $(this).attr('data-id');
								var name = $(this).attr('data-name');
								arr.push(Number(id));
								if(resultStr == ''){
									resultStr = resultStr + name;
								}else{
									resultStr = resultStr + splitStr + name;
								}
							}
						});
						userSelect.Meeting.MeetingPlaces = arr;
						$("#meet-type-result").text(resultStr);
					}else{
						//不限
						userSelect.Meeting.MeetingPlaces = [0];
						var name = $("#meet-type-unlimit").attr('data-name');
						$("#meet-type-result").text(name);
					}
				});
				
				//弹出会场类型选择
				$("#meet-type").off().on('tap',function(){
					$("#mc").show();
					$(".meet-type").slideToggle(speed);
					that.memoryState('.meet-type-list',userSelect.Meeting.MeetingPlaces);
				});
				
				//会场服务确认
				$("#confirm-meet-service-select").off().on('tap',function(){
					$("#mc").hide();
					$(".meet-service").slideToggle(speed);
					var state = $("#meet-service-unlimit").attr('data-select');
					if(state == 'true'){
						//不限
						userSelect.Meeting.MeetingServices = [0];
						var name = $("#meet-service-unlimit").attr('data-name');
						$("#meet-service-result").text(name);
					}else{
						var arr = [];
						var resultName = '';
						$(".meet-service-lists").each(function(index,value){
							var status = $(this).attr('data-select');
							if(status == 'true'){
								var id = $(this).attr('data-id');
								var name = $(this).attr('data-name');
								arr.push(Number(id));
								if(resultName == ''){
									resultName = resultName + name;
								}else{
									resultName = resultName + splitStr + name;
								}
							}
						});
						userSelect.Meeting.MeetingServices = arr;
						$("#meet-service-result").text(resultName);
					}
				});
				
				//会场服务弹框
				$("#meet-service").off().on('tap',function(){
					$("#mc").show();
					$(".meet-service").slideToggle(speed);
					that.memoryState('.meet-service-list',userSelect.Meeting.MeetingServices);
				});
				
				
				//车辆用途确定
				$("#confirm-car-purpose").off().on('tap',function(){
					$("#mc").hide();
					$(".car-purpose").slideToggle(speed);
					$(".car-purpose-list").each(function(index, value){
						var state = $(this).attr('data-select');
						if(state == 'true'){
							var id = $(this).attr('data-id');
							var name = $(this).attr('data-name');
							userSelect.UseCar = Number(id);
							$("#car-purpose-result").text(name);
						}
					});
					if(userSelect.UseCar != 0){
						$("#get-seat-num").removeAttr('readonly');
						$('#is-use-car-container').show();
						$("#car-purpose").removeClass('border-bottom-none');
						$("#is-need-dy").removeClass('border-top');
						$("#is-need-dy").addClass('travel-need-list');
					}else{
						$("#get-seat-num").attr('readonly','true');
						$('#is-use-car-container').hide();
						$("#car-purpose").addClass('border-bottom-none');
						$("#is-need-dy").addClass('border-top');
						$("#is-need-dy").removeClass('travel-need-list');
					}
				});
				
				//车辆用途弹出层
				$("#car-purpose").off().on('tap',function(){
					$("#mc").show();
					$(".car-purpose").slideToggle(speed);
					that.memorySingleState('.car-purpose-list',userSelect.UseCar);
				});
				
				//确认车辆档次
				$("#confirm-car-level-select").off().on('tap',function(){
					$("#mc").hide();
					$(".car-level").slideToggle(speed);
					var state = $('#car-level-unlimit').attr('data-select');
					if(state == 'true'){
						//不限
						userSelect.CarGrade = [0];
						var name = $('#car-level-unlimit').attr('data-name');
						$("#car-level-result").text(name);
					}else{
						var ids = [];
						var resultName = '';
						$(".car-level-lists").each(function(index, value){
							var status = $(this).attr('data-select');
							if(status == 'true'){
								var id = $(this).attr('data-id');
								var name = $(this).attr('data-name');
								ids.push(Number(id));
								if(resultName == ""){
									resultName = resultName + name;
								}else{
									resultName = resultName + splitStr + name;
								}
							}
						});
						userSelect.CarGrade = ids;
						$("#car-level-result").text(resultName);
					}
				});
				
				//车辆档次弹出
				$("#car-level").off().on('tap',function(){
					var useType = userSelect.UseCar;
					if(useType != 0){
						$("#mc").show();
						$(".car-level").slideToggle(speed);
						that.memoryState('.car-level-list',userSelect.CarGrade);
					}
					
				});
				
				//游玩类型
				$("#confirm-play-type-select").off().on('tap',function(){
					$("#mc").hide();
					$(".play-type").slideToggle(speed);
					var state = $("#play-type-unlimit").attr('data-select');
					if(state == 'true'){
						//不限
						userSelect.PlayTypes = [0];
						var name = $("#play-type-unlimit").attr('data-name');
						$("#play-type-result").text(name);
						$("#is-need-play").hide();
						$("#play-type").addClass('border-bottom-none');
					}else{
						var ids = [];
						var resultName = '';
						$(".play-type-lists").each(function(){
							var status = $(this).attr('data-select');
							if(status == 'true'){
								var id = $(this).attr('data-id');
								var name = $(this).attr('data-name');
								ids.push(Number(id));
								if(resultName == ''){
									resultName = resultName + name;
								}else{
									resultName = resultName + splitStr + name;
								}
							}
						});
						userSelect.PlayTypes = ids;
						$("#play-type-result").text(resultName);
						$("#is-need-play").show();
						$("#play-type").removeClass('border-bottom-none');
					}
				});
				
				//游玩类型弹框
				$("#play-type").off().on('tap',function(){
					$("#mc").show();
					$(".play-type").slideToggle(speed);
					that.memoryState('.play-type-list',userSelect.PlayTypes);
				});
				
				//用餐类型
				$("#confirm-eat-type-area").off().on('tap',function(e){

					$("#mc").hide();
					$(".eat-type").slideToggle(speed);
					
					var state = $("#eat-type-unlimit").attr('data-select');
					if(state == 'true'){
						//不限
						userSelect.Meals = [0];
						var name = $("#eat-type-unlimit").attr('data-name');
						$("#eat-type-result").text(name);
						$("#is-eat-type").hide();
						$("#eat-type").addClass('border-bottom-none');
					}else{
						//非不限
						var ids = [];
						var resultStr = '';
						$(".eat-type-lists").each(function(index, value){
							var status = $(this).attr('data-select');
							if(status == 'true'){
								var id = $(this).attr('data-id');
								var name = $(this).attr('data-name');
								ids.push(id);
								if(resultStr == ''){
									resultStr = resultStr + name;
								}else{
									resultStr = resultStr + splitStr + name;
								}
							}
						});
						$("#eat-type-result").text(resultStr);
						userSelect.Meals = ids;
						$("#is-eat-type").show();
						$("#eat-type").removeClass('border-bottom-none');
					}
				});
				
				//用餐类型弹出框
				$("#eat-type").off().on('tap',function(){
					$("#mc").show();
					$(".eat-type").slideToggle(speed);
					that.memoryState('.eat-type-list',userSelect.Meals);
				});
				
				//酒店星级点击
				$('.hot-star-lists').off().on('tap',function(){
					that.controlListState(".hot-star-lists",this,"#hotel-star-all",".hot-star-svg");
				});
				
				$("#hotel-star-all").off().on('tap',function(){
					that.controllAllState(this,".hot-star-svg",'.hot-star-lists','#hotel-star-all-svg');
				});
				
				//出行工具弹框list选择
				$(".travel-tool-lists").off().on('tap',function(){
	
					that.controlListState(".travel-tool-lists",this,"#travel-all",".travel-tool-list-svg");
				});
				$("#travel-all").off().on('tap',function(){
	
					that.controllAllState(this,".travel-tool-list-svg",'.travel-tool-lists','#travel-all-svg');
				});
				
				//出返时间
				$(".time-select-lists").off().on('tap',function(){
					var type = $(this).attr('data-type');
					if(type == 'start'){
						var str = "#time-select-unlimit-start";
					}else{
						var str = "#time-select-unlimit-end";
					}
					that.controlListState(".time-select-lists",this,str,".time-select-list-svg");
				});
				//出饭时间不限
				$("#time-select-unlimit-start").off().on('tap',function(){
					that.controllAllState(this,".time-select-list-svg",'.time-select-lists','#time-select-unlimit-svg-start');
				});
				//出饭时间不限
				$("#time-select-unlimit-end").off().on('tap',function(){
					that.controllAllState(this,".time-select-list-svg",'.time-select-lists','#time-select-unlimit-svg-end');
				});
				
				//会场要求,人数,会场大小
				$(".meet-need-people-num-list").off().on('tap',function(){
					that.controlSingleState('.meet-need-people-num-list','.meet-people-list-svg',this)
				});
				
				//会场面积
				$(".meet-area-list").off().on('tap',function(){
					that.controlSingleState('.meet-area-list','.meet-area-list-svg',this)
				});
				
				//会场类型
				$(".meet-type-lists").off().on('tap',function(){
					that.controlListState(".meet-type-lists",this,"#meet-type-unlimit",".meet-type-list-svg");
				});
				
				//回城类型不限
				$("#meet-type-unlimit").off().on('tap',function(){
					that.controllAllState(this,".meet-type-list-svg",'.meet-type-lists','#meet-type-unlimit-svg');
				});
				
				//会场服务
				$(".meet-service-lists").off().on('tap',function(){
					that.controlListState(".meet-service-lists",this,"#meet-service-unlimit",".meet-service-list-svg");
				});
				
				//会场服务不限
				$("#meet-service-unlimit").off().on('tap',function(){
					that.controllAllState(this,".meet-service-list-svg",'.meet-service-lists','#meet-service-unlimit-svg');
				});
				
				//车辆用途
				$(".car-purpose-list").off().on('tap',function(){
					that.controlSingleState('.car-purpose-list','.car-purpose-list-svg',this);
				});
				
				//车辆档次
				$(".car-level-lists").off().on('tap',function(){
					that.controlListState(".car-level-lists",this,"#car-level-unlimit",".car-level-list-svg");
				});
				
				//车辆不限
				$("#car-level-unlimit").off().on('tap',function(){
					that.controllAllState(this,".car-level-list-svg",'.car-level-lists','#car-level-unlimit-svg');
				});
				
				//游玩类型
				$(".play-type-lists").off().on('tap',function(){
					that.controlListState(".play-type-lists",this,"#play-type-unlimit",".play-type-list-svg");
				});
				
				//游玩类型不限
				$("#play-type-unlimit").off().on('tap',function(){
					that.controllAllState(this,".play-type-list-svg",'.play-type-lists','#play-type-unlimit-svg');
				});
				
				//用餐类型
				$(".eat-type-list").off().on('tap',function(){
					that.controlListState(".eat-type-lists",this,"#eat-type-unlimit",".eat-type-list-svg");
				});
				
				//用餐自理
				$("#eat-type-unlimit").off().on('tap',function(){
					that.controllAllState(this,".eat-type-list-svg",'.eat-type-lists','#eat-type-unlimit-svg');
				});
				
				//提交需求
				$("#submit-need").off().on('tap',function(){
					//其他需求
					userSelect.Other = $("#other-need-textarea").val();
					//联系人
					userSelect.Contacts = $("#username").val();
					//手机号
					userSelect.ContactPhone = $("#tel").val();
					
					//用车座位数量
					userSelect.Count = $("#get-seat-num").val();
					
					//旅游景点
					userSelect.Scenic = $("#travel-view-point").text();
					
					//用餐标准
					userSelect.Amount = $("#eat-money-num").val();
					
					//预算
					userSelect.Budget = $("#every-people-money").val();
					
					//Persons 大人,小孩
					userSelect.Persons = [
						{
							PersonType:1,
							PersonCount:Number($("#adult-seat-num").val()),
							TypeName:null
						},
						{
							PersonType:2,
							PersonCount:Number($("#children-seat-num").val()),
							TypeName:null
						}
					];
					
					that.authInfo(function(){
						app.showWaiting('正在提交中...',1);
						that.submitOrder();
					});
				});
			});
		},
		loadTemplateData:function(callback){
			var self = this;
			var settings = app.getSettings();
			if(!settings.ticket){
				var PersonNum = Number(settings.searchparam3.ticket.adultNum) + Number(settings.searchparam3.ticket.childrenNum);
			}else{
				var PersonNum = Number(settings.ticket.adultNum) + Number(settings.ticket.childrenNum);
			}
			app.showWaiting('加载中...',1);
			app.Post({
				url:'Scheme/EnumInitialize',
				data:{
					PersonNum:PersonNum
				}
			},null,function(data){
				var trafficTmpl = template('data-tmpl',data);
				document.getElementById('travel-tool-tmpl').innerHTML = trafficTmpl;
				$("#username").val(data.Contact);
				$("#tel").val(data.Phone);
				//给页面初始化赋值
				self.initData(data);
				callback();
			});
		},
		controlListState:function(listDom, _this, unlimitDom, listSvgDom){
			var index = $(listDom).index(_this);
			var state = $(_this).attr('data-select');
			var isSelectAll = $(unlimitDom).attr('data-select');
			if(!isSelectAll || isSelectAll == 'false'){
				if(state == 'false'){
					$(listSvgDom).eq(index).attr('xlink:href','#icon-duoxuan1');
					$(_this).attr('data-select','true');
					$(_this).addClass('active-word');
				}else{
					$(listSvgDom).eq(index).attr('xlink:href','#icon-duoxuan');
					$(_this).attr('data-select','false');
					$(_this).removeClass('active-word');
				}
			}else{
				$(unlimitDom).attr('data-select','false');
				$(_this).attr('data-select','true');
				$(_this).addClass('active-word');
				$(listSvgDom).eq(index).attr('xlink:href','#icon-duoxuan1');
				$(unlimitDom).find('use').attr('xlink:href','');
				$(unlimitDom).removeClass('active-word');
			}
		},
		controllAllState:function(_this, listSvgDom, listDom, unLimitSvgDom){
			var state = $(_this).attr('data-select');
			if(state == 'false'){
				$(listSvgDom).each(function(index,value){
					$(this).attr('xlink:href','#icon-duoxuan');
					$(listDom).eq(index).attr('data-select','false');
					$(listDom).eq(index).removeClass('active-word');
				})
				$(_this).attr('data-select','true');
				$(_this).addClass('active-word');
				$(unLimitSvgDom).attr('xlink:href','#icon-yixuan1');
			}else{
				$(_this).attr('data-select','false');
				$(unLimitSvgDom).attr('xlink:href','');
			}
		},
		controlSingleState:function(listDom, listSvg, _this){
			$(listDom).each(function(index,value){
				$(this).attr('data-select','false');
				$(listSvg).eq(index).attr('xlink:href','');
			});
			$(_this).attr('data-select','true');
			var index = $(listDom).index(_this);
			$(listDom).removeClass('meet-people-num-active');
			$(_this).addClass('meet-people-num-active');
			$(listSvg).eq(index).attr('xlink:href','#icon-yixuan1');
		},
		authInfo:function(callback){
			//验证用户填写信息
			
			//出行工具
			if(userSelect.TravelModels.length == 0){
				plus.nativeUI.toast('请选择出行工具');
				return;
			}
			
			//出发时间
			if(userSelect.PointOfTime.length == 0){
				plus.nativeUI.toast('请选择出发时间');
				return;
			}
			//返回时间
			if(userSelect.BackPointOfTime.length == 0){
				plus.nativeUI.toast('请选择返回时间');
				return;
			}
			
			//舱位选择
			if(userSelect.Person.length == 0){
				plus.nativeUI.toast('请选择舱位等级');
				return;
			}
			
			//星级
			if(userSelect.Star.length == 0){
				plus.nativeUI.toast('请选择酒店星级');
				return;
			}
			
			//验证参会人数
			if(userSelect.Meeting.IsNeed == 1){
				if(userSelect.Meeting.MeetingPerson == ''){
					plus.nativeUI.toast('请选择参会人数');
					return;
				}
			}
			
			
			if(userSelect.UseCar != 0){
				//验证座位类型
				if(userSelect.Count == '' || testNumber.test(userSelect.Count) == false){
					plus.nativeUI.toast('用车座位必须是数字');
					return;
				}
				
				//验证座位
				if(userSelect.Count <= 0){
					plus.nativeUI.toast('用车座位数应大于0');
					return;
				}
			}
			
			if($.inArray(0,userSelect.PlayTypes) <0){
				//验证游玩人数
				if($("#adult-seat-num").val() == ''){
					plus.nativeUI.toast('游玩成人人数不能为空且为数字');
					return;
				}
				//验证游玩人数
				if($("#children-seat-num").val() == ''){
					plus.nativeUI.toast('游玩儿童人数不能为空且为数字');
					return;
				}
//				if($("#adult-seat-num").val() > AdultPeopleNum){
//					plus.nativeUI.toast('游玩成人人数不能大于出行成人数');
//					return;
//				}
//				if($("#children-seat-num").val() > childrenPeopleNum){
//					plus.nativeUI.toast('游玩儿童人数不能大于出行儿童人数');
//					return;
//				}
			}
			
			
			//用餐类型
			if($.inArray(0,userSelect.Meals)<0){
				if($("#eat-money-num").val() == ''){
					plus.nativeUI.toast('用餐标准不能为空且为数字');
					return;
				}
			}
			
			//联系人
			if(userSelect.Contacts == ''){
				plus.nativeUI.toast('请填写联系人姓名');
				return;
			}
			//手机号
			if(userSelect.ContactPhone == ''){
				plus.nativeUI.toast('请填写联系人手机号码');
				return;
			}
			if(testNumber.test(userSelect.ContactPhone) == false){
				plus.nativeUI.toast('手机号码必须为数字');
				return;
			}
			//人均预算
//			if(userSelect.Budget == ''){
//				plus.nativeUI.toast('人均预算不能为空且为数字');
//				return;
//			}
			
			callback();
		},
		submitOrder:function(){
			var settings = app.getSettings();
			var postData = {
				Traffic:{
					//出行工具
					TravelModels:userSelect.TravelModels,
					//出返时间
					PointOfTime:userSelect.PointOfTime,
					BackPointOfTime:userSelect.BackPointOfTime,
					//仓位等级
					Person:userSelect.Person
				},
				Hotel:{
					Dests:userSelect.HotelDests,
					//住宿星级
					Star:userSelect.Star,
					Stars:userSelect.Star,
					Meeting:{
						//是否需要会场
						IsNeed:userSelect.Meeting.IsNeed,
						//参会人数
						MeetingPerson:userSelect.Meeting.MeetingPerson,
						//会场面积
						MeetingArea:userSelect.Meeting.MeetingArea,
						//会场类型
						MeetingPlaces:userSelect.Meeting.MeetingPlaces,
						//会场服务
						MeetingServices:userSelect.Meeting.MeetingServices
					}
				},
				UseCar:{
					//是否用车
					UseCar:userSelect.UseCar,
					//用车档次
					CarGrade:userSelect.CarGrade,
					//座位数量
					Count:userSelect.Count,
					//需不需要导游
					IsGuide:userSelect.IsGuide
				},
				Play: {
					//游玩类型
					PlayTypes:userSelect.PlayTypes,
					//游玩风景
					Scenic: userSelect.Scenic,
					Recommend: userSelect.Recommend,
					//大人和小孩
					person: userSelect.Persons
				},
				Meals: {
					//用餐类型
					Meals: userSelect.Meals,
					//用餐多少元每人
					Amount: userSelect.Amount
				},
				//其他需求
				Other:userSelect.Other,
				//联系人
				Contacts:userSelect.Contacts,
				//联系号码
				ContactPhone:userSelect.ContactPhone,
				//人均预算
				Budget:userSelect.Budget,
				ActivityId:'',
				//版本
				Version:'1.0.0',
				//member id
				MemberId:settings.MemberId,
				//token
				Token:settings.Token,
				MemberMac:settings.MemberMac,
				PhoneType:settings.PhoneType,
				PlatId:'1001',
				RefId:'10001',
				Persons: userSelect.Persons,
				SchemeDate:userSelect.SchemeDate,
				Depart:userSelect.Depart,
				Dests:userSelect.Dests
			}
			var param = {
				url:'Scheme/SchemeOrderSubmit',
				data:postData
			};
			app.Post(param,null,function(result){
				if(result.Code == '0000'){
					mui.toast('提交成功');
					app.ShowWebView('../Scheme/index.html', {
						SerialNo: result.Did
					});
				}else{
					plus.nativeUI.toast(result.Msg);
				}
			});
		},
		callHotelArea:function (param){
			$("#travel-area-result").text(param);
			$("#travel-area-result").attr('data-is-click','false');
			$("#hotel-star-result").text('五星级');
			userSelect.Star = [5];
			$("#hotel-star-level").attr('data-optional','true');
			this.handleHotelStarEvent();
		},
		callPlayViewPoint:function(data){
			var result = JSON.parse(data);
			userSelect.Scenic = result.Scenic;
			userSelect.Recommend = result.Recommend;
			$("#travel-view-point").text(result.Scenic);
			if(result.Recommend == 1){
				//推荐
				if(result.Scenic == ''){
					$("#local-travel").text('地接社推荐');
				}else{
					$("#local-travel").text('，地接社推荐');
				}
				
			}else{
				//没有推荐
				$("#local-travel").text('');
			}
		},
		handleHotelStarEvent:function(){
			var state = $("#hotel-star-level").attr('data-optional');
			if(state == 'true'){
				$("#optional").show();
			}else{
				$("#optional").hide();
			}
		},
		callSelectList:function(id, type, starRate, name){
			var starRateName = this.getStarName(starRate);
			$("#travel-area-result").text(name);
			if(starRate == 0){
				$('#travel-area-result').attr("data-is-click","true");
				$("#hotel-star-level").attr('data-optional','false');
				this.handleHotelStarEvent();
				$("#hotel-star-result").text('');
				userSelect.Star = [];
				userSelect.HotelDests = [
					{
						Type:type,
						Id:id
					}
				];
			}else{
				$('#travel-area-result').attr("data-is-click","false");
				$("#hotel-star-level").attr('data-optional','true');
				this.handleHotelStarEvent();
				$("#hotel-star-result").text(starRateName);
				userSelect.Star = [starRate];
				userSelect.HotelDests = [
					{
						Type:type,
						Id:id
					}
				]
			}
		},
		getStarName:function(starRate){
			var starRate = Number(starRate);
			var starRateName = '';
			switch(starRate){
				case 1:
					starRateName = '一星级';
					break;
				case 2:
					starRateName = '二星级';
					break;
				case 3:
					starRateName = '三星级';
					break;
				case 4:
					starRateName = '四星级';
					break;
				case 5:
					starRateName = '五星级';
					break;
				case 6:
					starRateName = '六星级';
					break;
			}
			return starRateName;
		},
		initData:function(data){
			//出行工具
			var TrafficType = data.Traffic.TrafficType;
			//出发时间
			var DepartTime = data.Traffic.DepartTime;
			//返回时间
			var GetBackTime = data.Traffic.GetBackTime;
			//座位等级
			var SpaceGrade = data.Traffic.SpaceGrade;
			//座位等级
			var SeatGrade = data.Traffic.SeatGrade;
			//座位等级
			var TrafficSeatGrade = data.Traffic.TrafficSeatGrade;
			
			userSelect.Contacts = data.Contact;
			userSelect.ContactPhone = data.Phone;
			
			//酒店星级
			var HotelStar = data.Hotel.HotelStar;
			var flag = false;
			HotelStar.forEach(function(v){
				if(v.IsSelect == 1){
					flag = true;
				}
			});
			
			if(flag == true){
				$("#hotel-star-level").attr('data-optional','true');
			}
			
			//参会人数
			var MeetingPerson = data.Hotel.MeetingPerson;
			
			//会场面积
			var MeetingArea = data.Hotel.MeetingArea;
			
			//参会类型
			var MeetingPlace = data.Hotel.MeetingPlace;
			
			//会场服务
			var MeetingServices = data.Hotel.MeetingService;
			
			//车辆用途
			var UseCarType = data.UseCar.UseCarType;
			
			var isUseId = '';
			UseCarType.forEach(function(vv){
				if(vv.IsSelect == 1){
					isUseId = vv.Id;
				}
			});
			if(isUseId == 0){
				$("#get-seat-num").attr('readonly','true');
				$('#is-use-car-container').hide();
				$("#car-purpose").addClass('border-bottom-none');
			}
			
			//车辆档次
			var CarGrade = data.UseCar.CarGrade;
			
			//游玩类型
			var PlayType = data.Play.PlayType;
			
			//用餐类型
			var MealsType = data.Meals.MealsType;
			
//			//座位数量
//			var SeatNum = data.UseCar.SeatNum;
//			if(SeatNum != 0){
//				$("#get-seat-num").val(SeatNum);
//				userSelect.Count = SeatNum;
//			}
			
			//用餐标准
			var MealsPrice = data.Meals.MealsPrice;
			if(MealsPrice != 0){
				$("#eat-money-num").val(MealsPrice);
				userSelect.Amount = MealsPrice;
			}
			var isPlayType = [];
			PlayType.forEach(function(vv){
				if(vv.IsSelect == 1){
					isPlayType.push(vv.Id);
				}
			});
			if($.inArray(0,isPlayType)>=0){
				$("#is-need-play").hide();
				$("#play-type").addClass('border-bottom-none');
			}
			
			var isMealTypes = [];
			MealsType.forEach(function(vv){
				if(vv.IsSelect == 1){
					isMealTypes.push(vv.Id);
				}
			});
			
			if($.inArray(0,isMealTypes)>=0){
				$("#is-eat-type").hide();
				$("#eat-type").addClass('border-bottom-none');
			}
			
			this.insertDomData(TrafficType,'#departTool','TravelModels');
			this.insertDomData(DepartTime,'#start-result-time','PointOfTime');
			this.insertDomData(GetBackTime,'#end-result-time','BackPointOfTime');
			this.insertGradeData(data);
			this.insertDomData(HotelStar,'#hotel-star-result','Star');
			this.insertSingleData(MeetingPerson,'#join-meet-people-num','Meeting.MeetingPerson');
			this.insertSingleData(MeetingArea,'#meet-area-result','Meeting.MeetingArea');
			this.insertDomData(MeetingPlace,'#meet-type-result','Meeting.MeetingPlaces');
			this.insertDomData(MeetingServices,'#meet-service-result','Meeting.MeetingServices');
			this.insertSingleData(UseCarType,'#car-purpose-result','UseCar');
			this.insertDomData(CarGrade,'#car-level-result','CarGrade');
			this.insertDomData(PlayType,'#play-type-result','PlayTypes');
			this.insertDomData(MealsType,'#eat-type-result','Meals');
			
			var totalTime = 24;
			var arr = [];
			for(var i=1;i<=totalTime;i++){
				var time = i;
				arr.push(time);
			}
			$('.single-slider').jRange({
			    from: 0,
			    to: totalTime,
			    step: 1,
			    scale:arr,
			    format: '%s',
			    width: $(window).width()*0.9,
			    showLabels: true,
			    isRange : true,
			    showScale:false
			});
			var startTime = 8;
			var endTime = 16;
			this.initRange(startTime, endTime, totalTime);
		},
		insertDomData:function(arr, dom, listObj){
			var str = '';
			var ids = [];
			arr.forEach(function(v){
				if(v.IsSelect == 1){
					if(str == ''){
						str = str + v.Name;
					}else{
						str = str + splitStr + v.Name;
					}
					ids.push(v.Id);
				}
			});
			$(dom).text(str);
			userSelect[listObj] = ids;
		},
		insertGradeData:function(data){
			var str = '';
			//座位等级
			var SpaceGrade = data.Traffic.SpaceGrade;
			//座位等级
			var SeatGrade = data.Traffic.SeatGrade;
			//座位等级
			var TrafficSeatGrade = data.Traffic.TrafficSeatGrade;
			
			var personArr = [];
			
			SpaceGrade.forEach(function(value, index){
				if(value.IsSelect == 1){
					personArr.push({
						SeatGrade:Number(value.Id),
						PersonCount:Number(value.Num)
					});
					if(str == ''){
						str = str + value.Name + value.Num + '人';
					}else{
						str = str + splitStr + value.Name + value.Num + '人';
					}
					if(value.Num != 0){
						$(".position-people-0").eq(index).text(value.Num);
					}
				}
			});
			
			SeatGrade.forEach(function(value){
				if(value.IsSelect == 1){
					personArr.push({
						SeatGrade:Number(value.Id),
						PersonCount:Number(value.Num)
					});
					if(str == ''){
						str = str + value.Name + value.Num + '人';
					}else{
						str = str + splitStr + value.Name + value.Num + '人';
					}
					if(value.Num != 0){
						$(".position-people-1").eq(index).text(value.Num);
					}
				}
			})
			
			TrafficSeatGrade.forEach(function(value){
				if(value.IsSelect == 1){
					personArr.push({
						SeatGrade:Number(value.Id),
						PersonCount:Number(value.Num)
					});
					if(str == ''){
						str = str + value.Name + value.Num + '人';
					}else{
						str = str + splitStr + value.Name + value.Num + '人';
					}
					if(value.Num != 0){
						$(".position-people-2").eq(index).text(value.Num);
					}
				}
			});
			
			userSelect.Person = personArr;
			$("#sit-select-result").text(str);
		},
		insertSingleData:function(arr, dom, listObj){
			var str = '';
			var id = '';
			arr.forEach(function(v){
				if(v.IsSelect == 1){
					if(str == ''){
						str = str + v.Name;
					}else{
						str = str + splitStr + v.Name;
					}
					id = v.Id;
				}
			});
			$(dom).text(str);
			userSelect[listObj] = Number(id);
		},
		memoryState:function(classDom, data){
			$(classDom).each(function(index, value){
				var _this = this;
				var id = $(this).attr('data-id');
				$(this).attr('data-select','false');
				if(id == 0){
					$(this).find('use').attr('xlink:href','');
				}else{
					$(this).find('use').attr('xlink:href','#icon-duoxuan');
				}
				
				$(this).removeClass('active-word');
				data.forEach(function(vv,ii){
					if(id == vv){
						$(_this).attr('data-select','true');
						if(id == 0){
							$(_this).find('use').attr('xlink:href','#icon-yixuan1');
						}else{
							$(_this).find('use').attr('xlink:href','#icon-duoxuan1');
						}
						
						$(_this).addClass('active-word');
					}
				});
			});
		},
		memorySingleState:function(classDom, data){
			$(classDom).each(function(index, value){
				var _this = this;
				var id = $(this).attr('data-id');
				$(this).attr('data-select','false');
				 
				$(this).find('use').attr('xlink:href','');
				
				$(this).removeClass('meet-people-num-active');
				 
				if(id == data){
					$(_this).attr('data-select','true');
					 
						$(_this).find('use').attr('xlink:href','#icon-yixuan1');
					 
					
					$(_this).addClass('meet-people-num-active');
				}
				 
			});
		},
		//处理座位
		handleSeat:function(classDom, data){
			
		},
		authTotalSeat:function(listDom, callback){
			var peopleNum = 0;
			$(listDom).each(function(index, value){
				var num = $(this).text();
				peopleNum = Number(peopleNum) + Number(num);
			});
			if(peopleNum == totalPeople){
				callback();
			}else{
				plus.nativeUI.toast('座位数应等于总人数');
			}
		},
		initRange:function(startTime, endTime, totalTime){
			var len = $(".slider-container").width()/totalTime;
			var startLeft = len*startTime-6;
			var endLeft = len*endTime-6;
	
			$(".pointer-label").eq(0).css({
				'left':startLeft
			});
			$(".babel").eq(0).css({
				'left':startLeft
			});
			$(".selected-bar").css({
				'left':startLeft,
				'width':(endLeft-startLeft)
			})
			$(".pointer-label").eq(0).text(startTime+':00');
			$(".pointer-label").eq(1).text(endTime+':00');
			$(".pointer-label").eq(1).css({
				'left':endLeft
			});
			$(".babel").eq(1).css({
				'left':endLeft
			});
		}
	}
	
})(window,$);
