(function(window, $) {
	window.EnterpriseAccount = (function() {
		var GetEnterpriseStuffListEntity = {
			url: projectConfig.apiName.GetEnterpriseStuffList,
			data: {
				page: {
					Index: 1,
					Size: 10000
				}
			}
		}

		var DeleteEnterpriseStuffEntity = {
			url: projectConfig.apiName.DeleteEnterpriseStuff,
			data: {
				StuffMemberId: ""
			}
		}

		function init() {
			loadList();
			mui("#list").scroll();
		}

		function loadList() {
			app.showWaiting("加载中...", 1);
			app.Post(GetEnterpriseStuffListEntity, null, loacCallback);
		}

		function loacCallback(data) {
			if(app.GetResultState(data)) {
				var tmplHot2 = template('accounts-template', data.Result);
				$("#accountlist").html(tmplHot2);
				initEvent();
			} else {
				$("#accountlist").html(LoadNoResult());
			}
		}

		function initEvent() {
			$(".edit").off().on("tap", function() {
				var id = $(this).attr("uid");
				app.ShowWebView(projectConfig.viewid.Enterprise.Account_Edit.url, {
					uid: id
				}, "", projectConfig.viewid.Enterprise.Account_Edit.Id);
			})
			
			$(".passenger-header-mid").off().on("tap", function() {
				var id = $(this).attr("uid");
				app.ShowWebView(projectConfig.viewid.Enterprise.Account_Edit.url, {
					uid: 0
				}, "", projectConfig.viewid.Enterprise.Account_Edit.Id);
			})
			
			$(".delete").off().on("tap", function() {
				var that = $(this);
				mui.confirm("确认删除该账号", "提示", ["点错了",
					"删除"
				], function(e) {
					if(e.index == 1) {
						var id = that.attr("uid");
						DeleteEnterpriseStuffEntity.data.StuffMemberId = id;
						app.showWaiting("处理中...", 1);
						app.Post(DeleteEnterpriseStuffEntity, null, function(data) {
							if(app.GetResultState(data)){
								loadList();
							}
							else{
								app.showMsg(data.Msg);
							}
							
						});
					}
				})

			})
		}

		function LoadNoResult() {
			return '<div class="no-list-msg">' +
				'<div class="no-icon">' +
				'	<img src="../images/no-list-icon.png" />' +
				'</div>' +
				'<div class="no-msg">' +
				'	暂无账号信息' +
				'</div>' +
				'</div>';
		}

		return {
			init: init
		}
	})();
})(window, $);