app.index = {
	isLogin: false,
	init: function() {
		var settings = app.getSettings(); 
		if(settings && settings.MemberId && settings.Token) {
			app.InitRequestParam();
			app.RequestParam.MemberId = settings.MemberId;
			app.RequestParam.Token = settings.Token;
			var version = plus.os.version;
			var vs = version.split('.');
			if(vs[0] < 9) {
				app.apiUrl=app.apiUrl.replace("https","http");
			}
			mui.ajax(app.apiUrl + "Customer/VerificationIsLogin", {
				data: app.RequestParam,
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 5000, //超时时间设置为5秒； 
				success: function(data) {
					if(data.Code == "0000") {
						if(data.CustomerStatus == 1) {
							settings.LoginType = data.LoginType;
							settings.MemberMac = app.RequestParam.MemberMac;
							settings.PhoneType = app.RequestParam.PhoneType;
							app.setSettings(settings);
							app.index.isLogin = true;
						}
					} else {
						app.index.isLogin = false;
					}
					app.index._index();
				},
				error: function(xhr, type, errorThrown) {
					app.index.isLogin = false;
					app.index._index();
				}
			});
		} else {
			//初始化uuid
			var MemberMac = app.GetUUID();
			var PhoneType = app.GetMobileType();
			app.setSettings(settings);
			app.index.isLogin = false;
			app.index._index();
		}
	},
	_index: function() {
		var settings = app.getSettings();
		var phoneIndex = 0;
		if(settings != null && settings.phoneIndex)
			phoneIndex=settings.phoneIndex || 0;
		if(phoneIndex == 1) { 
			setTimeout(function() {
				app.IndexToMain(app.index.isLogin);
			}, 1);
		} else {
			setTimeout(function() {
				$("#slider").fadeIn(200);
			}, 1);
		}

		plus.navigator.closeSplashscreen();

		//checkArguments();
	}
}