app.invoiceDetailHotel = {
	AddCustomerInvoiceEntity: {
		url: projectConfig.apiName.AddCustomerInvoice,
		data: {
			InvoiceDetail: "代订住宿费",
			InvoiceId: 0,
			AddressId: 0,
			InvoiceOrders: [],
			InvoiceCountType: 0,
			InvoiceAmount: 0,
			ExpressAmount: 20,
			InvoiceType: 1
		}
	},
	init: function() {
		var self = app.invoiceDetailHotel;
		console.log(JSON.stringify(self.AddCustomerInvoiceEntity.data.InvoiceOrders))
		$(".price").html(self.AddCustomerInvoiceEntity.data.InvoiceAmount);

		//		if(self.AddCustomerInvoiceEntity.data.FreeShipping<=self.AddCustomerInvoiceEntity.data.InvoiceAmount)
		//		{
		//			$("#sfee").text("0");
		//			self.AddCustomerInvoiceEntity.data.ExpressAmount=0;
		//		}else
		//		{
		$("#sfee").text("20");
		self.AddCustomerInvoiceEntity.data.ExpressAmount = 20;
		//      }

		self.initExplain();
		self.initAddress();
		self.initInvoiceNum();
		self.initInvoiceName();
		self.initCreate();
		app.invoiceDetailHotel.isClick = true;
	},
	render: function() {

	},
	renderInvoiceName: function(res) {
		res = typeof res == 'object' ? res : JSON.parse(res) || {};
		var tHtml = "";

		if(res.code) {
			tHtml = app.format('<h2>{0}</h2><p>税号{1}</p>', res.name, res.code);
		} else {
			tHtml = app.format('<h2>{0}</h2>', res.name);
		}
		var self = app.invoiceDetailHotel;
		self.AddCustomerInvoiceEntity.data.InvoiceId = res.tid;
		$('#invoice_name').attr('data-tid', res.tid || res.id).find('.name_value').html(tHtml);
	},
	renderInvoiceAddress: function(res) {
		res = typeof res == 'object' ? res : JSON.parse(res) || {};
		var tHtml = "";
		tHtml = app.format('<h2>{0}</h2><p>{1}</p>', res.contact, res.address);
		var self = app.invoiceDetailHotel;
		self.AddCustomerInvoiceEntity.data.AddressId = res.mid;
		$('#address').attr('data-mid', res.mid).find('.address-value').html(tHtml);
	},
	initExplain: function() {
		var $ex = $('#explain-dialog');
		$('.close-explain').off().on('tap', function() {
			$ex.hide();
		});
		$('#explain_open').off().on('tap', function() {
			$ex.show();
		});
	},
	initAddress: function() {
		var $address = $('#address');
		var ads = projectConfig.ViewId.User.address;
		$address.off().on('click', function() {
			if(app.invoiceDetailHotel.isClick) {
				app.invoiceDetailHotel.isClick = false;
				app.ShowWebView(ads.url, {
					mid: $address.attr('data-mid'),
					source: 'hotel'
				}, null, ads.Id);
				app.invoiceDetailHotel.isClick = true;
			}
		});
	},
	initInvoiceNum: function() {
		var $numc = $('#invoice_num');
		var $num = $numc.find('.num_value');
		$numc.off('click').on('click', function() {
			if(app.invoiceDetailHotel.isClick) {
				app.invoiceDetailHotel.isClick = false;
				var one = $num.html() == '一单一张' ? "color:#ff4c4c;" : "";
				var more = $num.html() == '合并一张' ? "color:#ff4c4c;" : "";
				layer.open({
					content: app.format('<p class="i-num-item i-one" style="border-bottom:1px solid #e4e4e4;{0}">合并一张</p>' +
						'<p class="i-num-item i-more" style="{1}">一单一张</p>', more, one),
					btn: ['关闭'],
					skin: 'footer',
					yes: function() {
						layer.closeAll();
					}
				});
				$('.i-num-item').off().on('tap', function() {
					var $this = $(this);
					if($this.hasClass('i-one')) {
						$num.html($this.html())
					}
					if($this.hasClass('i-more')) {
						$num.html($this.html())
					}
					layer.closeAll();
				})
				app.invoiceDetailHotel.isClick = true;
			}
		});
	},
	initInvoiceName: function() {
		var $name = $('#invoice_name');
		var list = projectConfig.ViewId.Invoice.List;
		$name.off('click').on('click', function() {
			app.ShowWebView(list.url, {
				tid: $name.attr('data-tid')
			}, null, list.Id);
		});
	},
	initCreate: function() {
		var self = app.invoiceDetailHotel;
		$('#submit_invoice').off().on('tap', function() {
			var mid = $('#address').attr('data-mid');
			var tid = $('#invoice_name').attr('data-tid');
			if(!tid) {
				mui.alert("请选择发票抬头！", "提示", null, function() {})
				return false;
			}
			if(!mid) {
				mui.alert("请选择配送地址！", "提示", null, function() {})
				return false;
			}
			app.showWaiting("请求提交中...", 1);
			app.Post(self.AddCustomerInvoiceEntity, null, function(data) {
				if(app.GetResultState(data)) {
					var param = {};
					param.InvoiceId = data.Result.Id;
					param.ProductType = 30;
					param.productType = 1;
					app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
					//					app.ShowWebView(projectConfig.ViewId.Invoice.HistoryHotelDetail.url, {
					//						invoiceId: data.Result.Id,
					//						productType:1
					//					}, null, projectConfig.ViewId.Invoice.HistoryHotelDetail.Id);
				} else {
					app.showMsg(data.Msg)
				}
			});
		});
	}
};