app.invoiceDetailPlane = {
	AddCustomerInvoiceEntity:{
		url:projectConfig.apiName.AddCustomerInvoice,
		data:{
			InvoiceDetail:"",
			InvoiceId: 0,
			AddressId: 0,
			InvoiceOrders: [],
			InvoiceCountType: 0,
			InvoiceAmount: 0,
			ExpressAmount: 20,
			InvoiceType: 5
		}
	},
	init: function() {
		var self = app.invoiceDetailPlane;
		
		$("#fcount").text(self.AddCustomerInvoiceEntity.data.InvoiceOrders.length);
		$("#fprice").text(self.AddCustomerInvoiceEntity.data.InvoiceAmount);
		
		self.initExplain();
		self.initAddress();
		self.initCreate();
	},
	render: function() {

	},
	renderInvoiceAddress: function(res) {
		res = typeof res == 'object' ? res : JSON.parse(res) || {};
		var tHtml = "";
		tHtml = app.format('<h2>{0}</h2><p>{1}</p>', res.contact, res.address);
		$('#address').attr('data-mid', res.mid).find('.address-value').html(tHtml);
		var self = app.invoiceDetailPlane;
		self.AddCustomerInvoiceEntity.data.AddressId=res.mid;
	},
	initExplain: function() {
		var $ex = $('#explain-dialog');
		$('.close-explain').off().on('tap', function() {
			$ex.hide();
		});
		$('#explain_open').off().on('tap', function() {
			$ex.show();
		});
	},
	initAddress: function() {
		var $address = $('#address');
		var ads = projectConfig.ViewId.User.address;
		$address.off().on('tap', function() {
			app.ShowWebView(ads.url, {
				mid: $address.attr('data-mid'),
				source: 'plane'
			}, null, ads.Id);
		});
	},
	initCreate: function() {
		var self = app.invoiceDetailPlane;
		$('#submit_invoice').off().on('tap', function() {
			var mid = $('#address').attr('data-mid');
			if(!mid) {
				mui.alert("请选择配送地址！", "提示", null, function() {})
				return false;
			}
			app.showWaiting("请求提交中...",1);
			app.Post(self.AddCustomerInvoiceEntity, null, function(data) {
				if(app.GetResultState(data)) {
					
					var param = {};
					param.InvoiceId = data.Result.Id;
					param.ProductType = 30;
					param.productType=5;
					app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
					
//					app.ShowWebView(projectConfig.ViewId.Invoice.HistoryPlaneDetail.url, {
//						tid: data.Result.Id,
//						productType:1
//					}, null, projectConfig.ViewId.Invoice.HistoryPlaneDetail.Id);
				} else {
					mui.alert(data.Msg, "提示", null, function() {});
				}
			});
		});
	}
};