(function(window, $) {
	window.HistoryList = (function() {
		var GetHistoryInvoiceListEntity = {
			url: projectConfig.apiName.GetHistoryInvoiceList,
			data: {
				Page: {
					Index: 1,
					Size: 10
				}
			}
		}
		var LoadPage = false;
		//刷新控件Id
		var pullId = "#pullrefresh";

		function init() {
			loadList();
		}

		function loadList() {
			var nomsg = '<div class="no-list-msg" style="background:#fff">' +
			'<div class="no-icon">' +
			'	<img src="../images/no-list-icon.png" />' +
			'</div>' +
			'<div class="no-msg">' +
			'	您暂未开过发票' +
			'</div>' +
			'</div>';
			app.showWaiting("加载中...", 1);
			app.Post(GetHistoryInvoiceListEntity, null, function(data) {
				if(app.GetResultState(data)) {
					var tmplHot = template('t_history_item', data.Result);
					$("#invoice_history").html(tmplHot);
					GetHistoryInvoiceListEntity.PageInfo = data.PageInfo;
					initEvent();
					if(data.Result.PageInfo.Index == data.Result.PageInfo.Amount || data.Result.PageInfo.Size > data.Result.List.length) {
						mui(pullId).pullRefresh().disablePullupToRefresh();
					} else {
						LoadPage = false;
					}
				} else {
					if(data.Code == "0001") {
						$("#invoice_history").html(nomsg);
						LoadPage = false;
					} else {
						if(SearchHotelListEntity.PageInfo.Index == 1) {
							$("#invoice_history").html(nomsg);
						}
						app.showMsg(data.Msg)
					}
					mui(pullId).pullRefresh().disablePullupToRefresh();
				}
			})
		}

		//获取下一页数据
		function GetNextPageData() {
			if(LoadPage)
				return;
			LoadPage = true;
			GetHistoryInvoiceListEntity.data.Page.Index = GetHistoryInvoiceListEntity.PageInfo.Index + 1;
			GetHistoryInvoiceListEntity.data.Page.Size = GetHistoryInvoiceListEntity.PageInfo.Size;
			loadList();
		}

		function initEvent() {
			$("li").off().on("tap", function() {
				var id = $(this).attr("data-code");
				var type = $(this).attr("data-type");

				if(type == 1) {
					app.ShowWebView(projectConfig.ViewId.Invoice.HistoryHotelDetail.url, {
						invoiceId: id,
						productType: 1
					}, null, projectConfig.ViewId.Invoice.HistoryHotelDetail.Id);
				} else if(type == 5) {
					app.ShowWebView(projectConfig.ViewId.Invoice.HistoryPlaneDetail.url, {
						invoiceId: id,
						productType: 5
					}, null, projectConfig.ViewId.Invoice.HistoryPlaneDetail.Id);
				}
			})
		}

		return {
			init: init,
			GetNextPageData: GetNextPageData
		}
	})();
})(window, $);