app.userAddInvoice = {
	pageConfig: {
		titleId: 'invoice-title',
		formId: 'form-container',
		addId: 'add-invoice',
		delId: 'del-invoice',
		radioId: 'isCompany'
	},
	apiParams: [{
		name: 'Type',
		tip: ''
	}, {
		name: 'Title',
		tip: '请输入发票抬头'
	}
//	, {
//		name: 'No',
//		tip: '请输入纳税人识别号'
//	}
	],
	init: function() {
		var self = app.userAddInvoice;
		self.initRadio();

		self.save();
		self.remove();
		self.render();
	},
	initRadio: function() {
		var self = app.userAddInvoice;
		var $radio = app.gEl(self.pageConfig.radioId);
		var cName = 'order-right-open';
		$radio.on('tap', function() {
			var $this = $(this);
			var $input = $this.parent().find('input');
			if($this.hasClass(cName)) {
				$this.removeClass(cName);
				$input.val(0)
//				$("#istype font").text("个人姓名");
				$("#istype input").attr("placeholder","个人姓名");
			} else {
				$this.addClass(cName);
				$input.val(1)
//				$("#istype font").text("公司名称");
				$("#istype input").attr("placeholder","公司名称");
			}
		});
	},
	render: function() {
		var self = app.userAddInvoice;
		var $form = app.gEl(self.pageConfig.formId);
		var $radio = app.gEl(self.pageConfig.radioId);
		var cName = 'order-right-open';
		if(_Tid != 0) {
			app.gEl(self.pageConfig.delId).show();
			app.gEl(self.pageConfig.titleId).html('编辑发票抬头');
			var _render = function(data) {
				
				for(var i = 0, len = self.apiParams.length; i < len; i++) {
					var d = self.apiParams[i];
					var $input = $form.find('input[name="' + d.name + '"]');
					$input.val(data[d.name] || '');
					if(d.name == 'Type') {
						if(data[d.name] == 0) {
							$radio.removeClass(cName);
						} else {
							$radio.addClass(cName);
						}
					}
				}
				if($("input[name=Title]").val()!="")
				$("input[name=Title]").parent().find('.rnclose').show();
				if($("input[name=No]").val()!="")
				$("input[name=No]").parent().find('.rnclose').show();
			}
			var mask = mui.createMask();
			mask.show();
			app.Post({
				url: projectConfig.apiName.GetInvoiceTitleInfo,
				data: {
					Tid: _Tid
				}
			}, null, function(data) {
				//console.log(JSON.stringify(data));
				mask.close();
				if(app.GetResultState(data)) {
					_render(data.TitleInfo);
				}
			})
		}
	},
	save: function() {
		var self = app.userAddInvoice;
		var $add = app.gEl(self.pageConfig.addId);
		var apiParams = self.apiParams;
		var $form = app.gEl(self.pageConfig.formId);
		$add.on('tap', function() {
			var data = {};
			for(var i = 0, len = apiParams.length; i < len; i++) {
				var d = apiParams[i];
				var $input = $form.find('input[name="' + d.name + '"]');
				var _value = $input.val();
				
				if(!_value && !!d.tip) {
					app.showMsg(d.tip);
					//$input.focus();
					return false;
				} else {
					data[d.name] = _value;
				}
			}
			data.Tid = _Tid;
			var apiOption = {
				url: projectConfig.apiName.SubmitInvoiceTitleInfo,
				data: data
			};
			//console.log(JSON.stringify(apiOption));
			app.Post(apiOption, null, function(data) {
				//console.log(JSON.stringify(data));
				if(_Tid != 0) {
					app.confirmMsg('编辑成功', function() {
						self.afterPost();
					});
				} else {
					app.confirmMsg('添加成功', function() {
						self.afterPost();
					});
				}
			})
		});
	},
	afterPost: function() {
		var sonView = plus.webview.getWebviewById('../user/commonInfo.html');
		sonView.evalJS('app.userCommonInfo.init();');
		mui.back();
	},
	remove: function() {
		var self = app.userAddInvoice;
		var $del = app.gEl(self.pageConfig.delId);
		$del.on('tap', function() {
			app.Post({
				url: projectConfig.apiName.DelInvoiceTitleInfo,
				data: {
					Tid: _Tid
				}
			}, null, function(data) {
				//console.log(JSON.stringify(data))
				app.confirmMsg('删除成功', function() {
					self.afterPost();
				});
			});
		});
	}
}