app.userCommonInfo = {
	pageConfig: {
		tabId: 'tab-nav',
		invoiceListId: 'invoiceList',
		addressListId: 'addressList',
		addressAddId: 'address-add',
		invoiceAddId: 'invoice-add',
		chooseId: 'choose-one',
		showChooseView: ['Payment.OrderWrite','../user/invoice.html']
	},
	cssName: {
		tabItem: 'tab-item',
		tabCurr: 'current'
	},
	init: function() {
		var self = app.userCommonInfo;
		self.initTab();
		self.initAdd();
	},
	// 是否显示顶部的选择确定
	isShowChoose: function() {
		var self = app.userCommonInfo;
		var result = false;
		$.each(self.pageConfig.showChooseView, function(i, d) {
			if(_viewId == d) result = true;
		});
		return result;
	},
	initAdd: function() {
		var self = app.userCommonInfo;
		var $addressAdd = app.gEl(self.pageConfig.addressAddId);
		var $invoiceAdd = app.gEl(self.pageConfig.invoiceAddId);
		$addressAdd.on("tap", function() {
			app.ShowWebView('../user/addAddress.html', {
				Mid: 0
			});
		});
		$invoiceAdd.on("tap", function() {
			app.ShowWebView('../user/addInvoice.html', {
				Tid: 0
			});
		});
	},
	renderInvoiceList: function() {
		var self = app.userCommonInfo;
		var $list = app.gEl(self.pageConfig.invoiceListId);
		var tmp = '<li><div class="common-li">{2}<a href="javascript:void(0)"><i class="icon sikeiconfont icon-zuobianjianhao" data-id="{0}"></i><p style="float:left;"><span class="personal">{1}</span><br><span class="adr"></span></p></a></div></li>';

		var _render = function(data) {
			var tHtml = '';
			$.each(data, function(i, d) {
				var txuan="";
				if(self.isShowChoose()){
				if(_pid==d.Tid){
				txuan+='<div class="iconfont-3-3 icon-xuanzhong common-chose color-13b1f1" id="' + d.Tid + '" data-id="' + d.Tid + '"></div>';
				}
				else{
				txuan+='<div class="iconfont-3-3 icon-weixuanzhong common-chose" id="' + d.Tid + '" data-id="' + d.Tid + '"></div>';
				}				
				txuan+='<input style="float:left;margin-top:10px;width:20px;height:20px;" hidden type="checkbox" data-id="' + d.Tid + '"/>'
				}
				tHtml += app.format(tmp, d.Tid, self.cutText(d.Title,29),txuan, d.No);
			});
			$list.html(tHtml);
			if(!self.isShowChoose()) {
				$('.common-ul li').css("padding", "0 10px");
				$(".common-li a").css("width", "100%;");
			}
			//console.log(tHtml);
			self.initInvoiceList($list);
			//			$(".common-chose").on("tap", function() {
			//			var did = $(this).attr("id");
			//			self.fn_commonchose(did);
			//		});
		};

		app.Post({
			url: projectConfig.apiName.GetInvoiceTitleList,
			data: {
				"Page": {
					"Index": 0,
					"Size": 100
				}
			}
		}, null, function(data) {
			//console.log('-------------发票抬头--------------');
			//console.log(JSON.stringify(data));
			$list.html('');
			if(app.GetResultState(data)) {
				_render(data.TitleList);
			}
		});
	},
	initInvoiceList: function($list) {
		var self = app.userCommonInfo;
		if(self.isShowChoose()) $list.find('input[data-id="' + _checkboxId + '"]').attr('checked', true);
		$list.on('tap', 'a', function() {
			var $this = $(this);
			var id = $this.find("i").attr('data-id');
			app.ShowWebView('../user/addInvoice.html', {
				Tid: id
			});
		})
	},
	renderAddressList: function() {
		var self = app.userCommonInfo;
		var $list = app.gEl(self.pageConfig.addressListId);
		var tmp = '<li><div class="common-li">{3}<a href="javaScript:void(0)"><i class="icon sikeiconfont icon-zuobianjianhao" data-id="{0}"></i><p style="float:left;"><span class="personal">{1}</span><br><span class="adr">{2}</span></p></a></div></li>';

		var _render = function(data) {
			var tHtml = '';
			$.each(data, function(i, d) {
				var txuan="";
				if(self.isShowChoose()){
				if(_pid2==d.Mid){
				txuan+='<div class="iconfont-3-3 icon-xuanzhong common-chose color-13b1f1" id="' + d.Mid + '" data-id="' + d.Mid + '"></div>';
				}
				else{
				txuan+='<div class="iconfont-3-3 icon-weixuanzhong common-chose" id="' + d.Mid + '" data-id="' + d.Mid + '"></div>';
				}				
				txuan+='<input style="float:left;margin-top:10px;width:20px;height:20px;" hidden type="checkbox" data-id="' + d.Mid + '"/>'
				}
				tHtml += app.format(tmp, d.Mid, d.Contact, d.Address, txuan);
			});
			$list.html(tHtml);
			if(!self.isShowChoose()) {
				$('.common-ul li').css("padding", "0 10px");
				$(".common-li a").css("width", "100%;");
			}
			//console.log(tHtml);
			self.initAddressList($list);
		};
		app.Post({
			url: projectConfig.apiName.GetMailList,
			data: {
				"Page": {
					"Index": 0,
					"Size": 100
				}
			}
		}, null, function(data) {
			//console.log('-------------地址列表--------------');
			//console.log(JSON.stringify(data));
			$list.html('');
			if(app.GetResultState(data)) {
				_render(data.MailList);
			}
		});
	},
	initAddressList: function($list) {
		var self = app.userCommonInfo;
		if(self.isShowChoose()) $list.find('input[data-id="' + _checkboxId + '"]').attr('checked', true);
		$list.on('tap', 'a', function() {
			var $this = $(this);
			var id = $this.find("i").attr('data-id');
			app.ShowWebView('../user/addAddress.html', {
				Mid: id
			});
		})
	},
	initChoose: function($choose) {
		var self = app.userCommonInfo;
		$choose.show();
		var $content = $('#tab-content');
		$content.on('tap', '.common-chose', function() {
			var $this = $(this);
			var $inputs = $content.find('input');
			$inputs.attr('checked', false);
			$this.parent().find('input').attr('checked', true);
			$(".common-chose").removeClass("color-13b1f1 icon-xuanzhong");
			$this.removeClass("icon-weixuanzhong");
			$this.addClass("color-13b1f1 icon-xuanzhong");
			var $input = $content.find('input:checked');
			var id = $input.attr('data-id');
			//var currId = plus.webview.currentWebview().id;
			if($input.get(0)) {
				if(_currNav == 1) { // 地址

					app.SendFireEvent(_viewId, 'getAddressOrInvoice', {
						Mid: id,
						Tid: 0
					});
					mui.back();
					//mui.close(currId);
					//{Mid:id,Tid:0}
				} else { // 发票

					app.SendFireEvent(_viewId, 'getAddressOrInvoice', {
						Mid: 0,
						Tid: id
					});
					mui.back();
					//mui.close(currId);
					//{Mid:0,Tid:id}
				}
			} else {
				app.showMsg('请选择其中一项');
			}
		});
//		$choose.on('tap', function() {
//			var $input = $content.find('input:checked');
//			var id = $input.attr('data-id');
//			//var currId = plus.webview.currentWebview().id;
//			if($input.get(0)) {
//				if(_currNav == 1) { // 地址
//
//					app.SendFireEvent(_viewId, 'getAddressOrInvoice', {
//						Mid: id,
//						Tid: 0
//					});
//					mui.back();
//					//mui.close(currId);
//					//{Mid:id,Tid:0}
//				} else { // 发票
//
//					app.SendFireEvent(_viewId, 'getAddressOrInvoice', {
//						Mid: 0,
//						Tid: id
//					});
//					mui.back();
//					//mui.close(currId);
//					//{Mid:0,Tid:id}
//				}
//			} else {
//				app.showMsg('请选择其中一项');
//			}
//
//		});
	},
	refresh: function() {
		var self = app.userCommonInfo;
		self.initTab();
	},
	initTab: function() {
		var self = app.userCommonInfo;
		var $tab = app.gEl(self.pageConfig.tabId);
		var curr = self.cssName.tabCurr;
		var $navs = $tab.find('a');
		var $tabs = app.gEl(self.cssName.tabItem);
		var $choose = app.gEl(self.pageConfig.chooseId);
		if(_currNav == '1') {
			$navs.removeClass(curr);
			$($navs[1]).addClass(curr);
			self.renderAddressList();
			$tabs.hide();
			$($tabs[1]).show();
			if(self.isShowChoose()) {
				$($navs[0]).hide();
			}
		} else {
			$navs.removeClass(curr);
			$($navs[0]).addClass(curr);
			self.renderInvoiceList();
			$tabs.hide();
			$($tabs[0]).show();
			if(self.isShowChoose()) {
				$($navs[1]).hide();
			}
		}
		if(self.isShowChoose()) {
			self.initChoose($choose);
		} else {
			$tab.on('tap', 'a', function() {
				var $this = $(this);
				var index = $navs.index($this);
				_currNav = index;
				if(!$this.hasClass(curr)) {
					//				if(!$this.data('isLoad')) {
					if(index == 0) {
						//						$this.data('isLoad',true);
						self.renderInvoiceList();
					} else {
						//						$this.data('isLoad',true);
						self.renderAddressList();
					}
					//				}
					$navs.removeClass(curr);
					$this.addClass(curr);
					$tabs.hide();
					$($tabs[index]).show();
				}
			});
		}
	},
	cutText: function(text, len) {
		var exp = /<br\/?>/ig;
		var result;
		if(!text) return '';
		while((result = exp.exec(text))) {
			if(result.index < len) {
				len += result[0].length;
			}
			result.lastIndex = 0;
		}
		return text.length > len ? (text.substring(0, len) + '...') : text;
	}
}