app.userAddAddress = {
	pageUrl: {
		GetCompanyInfo: projectConfig.apiName.GetCompanyInfo,
		EditCompanyInfo: projectConfig.apiName.EditCompanyInfo
	},
	pageConfig: {
		titleId: 'add-title',
		formId: 'form-container',
		chooseAddressId: 'chooseAddress',
		addAddressId: 'btn-send'
	},
	apiParams: [{
			name: 'CompanyName',
			tip: '请输入公司名称'
		}, {
			name: 'CityId',
			tip: '请选择省/市/区'
		}, {
			name: 'DisAreaId',
			tip: ''
		}, {
			name: 'CompanyAddress',
			tip: '不需要填写省/市/区'
		}, {
			name: 'CompanyPhone',
			tip: '带区号的固定电话，如010-88888888'
		},

	],
	init: function() {
		var self = app.userAddAddress;
		self.saveAddress();
		//		self.removeAddress();
		self.render();
	},
	render: function() {
		var self = app.userAddAddress;
		var $form = app.gEl(self.pageConfig.formId);
		//		if(_Mid != 0) {
		var _render = function(data) {
			//console.log(JSON.stringify(data));
			for(var i = 0, len = self.apiParams.length; i < len; i++) {
				var d = self.apiParams[i];
				var $input = $form.find('input[name="' + d.name + '"]');
				//console.log(data[d.name]);
				$input.val(data[d.name] || '');
			}
			if(data.CompanyArea == "") {
				$('#chooseAddress span').html("<label style='color:#999;'>省/市/区</label>");
			} else {
				$('#chooseAddress span').html(data.CompanyArea);
			}
			self.initAddressCascade(data.ProvinceId, data.CityId, data.DisAreaId);
			if(data.CardImageSrc != "" && data.CardImageSrc != null) {
				$("#company-card .cardadd").html("<img src='" + data.CardImageSrc + "' alt='' />");
				CardImageSrc = data.CardImageSrc;
			}
			if($("#companyName").val() == "") {
				$("#companyName").parent().find('.rnclose').hide();
			}
			if($("#companyAddress").val() == "") {
				$("#companyAddress").parent().find('.rnclose').hide();
			}

			if(data.CompanyName != "" && data.Status !== 0 && data.Status != 5 && iscomplete == 1) {
				$("#companyName").remove();
				$("#name").append("<div class='divtrea'>" + data.CompanyName + "</div>");
			}
			if(data.CompanyAddress != "" && data.Status !== 0 && data.Status != 5 && iscomplete == 1) {
				$("#companyAddress").remove();
				$("#address").append("<div class='divtrea'>" + data.CompanyAddress + "</div>");
			}
			if($("#companyPhone").val() == "") {
				$("#companyPhone").parent().find('.rnclose').hide();
			}
			//						if(data.Status!=0||data.Status!=5){
			//							$(".-fbtn-footer").hide();
			//						}
			var ttep = data.Tel;
			if(data.Status == 4 || data.Status == 1) {
					var reson = '<font class="tel-t" style="color: #ff4c4c;border-bottom: 1px solid #ff4c4c;">' + data.Tel + '</font>';
					//$("#msg-").html(data.TopTip.replace("Tel", reson));
					//$(".nocomplete").show();
					//$("#tel-").show(); 
					$(".rnclose").hide();
							$(".date-btn").hide();
							$(".my-company li input").attr("readonly", "readonly");
							$("#chooseAddress").css("pointer-events", "none");
							$("#company-card,#showUserPicker").css("pointer-events", "none");
							$(".icon-xiangji").hide();
							$(".-fbtn-footer").hide();
			} else if(data.Status == 5) {
				var reson = '<font style="color: #ff4c4c;border-bottom: 1px solid #ff4c4c;">' + data.TurnDownReason + '</font>';
				//$("#msg-").html(data.TopTip.replace("TurnDownReason", reson));
				//$(".nocomplete").show();
			} else {
				//$("#msg-").html(data.TopTip);
				//$(".nocomplete").show();
			}

			$(".tel-t").off().on("tap", function() {
				plus.device.dial(ttep, false);
			})

			var CompanyNature = data.CompanyNature;
			if(data.Status == 5 || data.Status == 0 || iscomplete == 0) {
				var num=0;
				$(".rnxq").show();
				$.each(CompanyNature, function(i, list) {
					CompanyNature[i].text = list.Name
					if(list.IsSelect == 1) {
						num=i;
						document.getElementById("companyNature").value = (list.Name);
						document.getElementById("NatureId").value = list.Id;
					}
				});
				//普通示例
				var userPicker = new mui.PopPicker();
				userPicker.setData(CompanyNature);
				userPicker.pickers[0].setSelectedIndex(num,200);
				var showUserPickerButton = document.getElementById("showUserPicker");
				//					var companyNature=document.getElementById("showUserPicker");doc.getElementById('companyNature');
//				showUserPickerButton.addEventListener('tap', function(event) {
//					userPicker.show(function(items) {
//						document.getElementById("companyNature").value = (items[0].text);
//						document.getElementById("NatureId").value = items[0].Id;
//						//返回 false 可以阻止选择框的关闭	
//						//return false;
//					});
//				}, false);

			} else {
				$(".rnxq").hide();
				$.each(CompanyNature, function(i, list) {
					if(list.IsSelect == 1) {
						document.getElementById("companyNature").value = (list.Name);
						document.getElementById("NatureId").value = list.Id;
					}
				});

			}

		}
		//			var mask = mui.createMask();
		//			mask.show();
		app.Post({
			url: self.pageUrl.GetCompanyInfo,
			data: {
				Mid: _Mid
			}
		}, null, _render);
		//		}
	},
	initAddressCascade: function(provinceId, cityId, townId) {
		new AddressCascade({
			id: 'chooseAddress',
			province: {
				url: projectConfig.apiName.GetProvinceList,
				apiParamName: '',
				valueName: 'Id',
				value: provinceId
			},
			city: {
				url: projectConfig.apiName.GetCityList,
				apiParamName: 'Pid',
				valueName: 'Id',
				value: cityId
			},
			town: {
				url: projectConfig.apiName.GetDisAreaList,
				apiParamName: 'Cid',
				valueName: 'Id',
				value: townId
			},
			dataToUI: function(data) {
				return {
					name: data.Name,
					value: data.Id
				}
			},
			popup: function(id) {
				mui('#' + id).popover('toggle');
			},
			chooseCallbackFn: function(data) {
				$('#chooseAddress span').html(data.p.name + data.c.name + data.t.name);
				$('#cityId').val(data.c.value);
				$('#townId').val(data.t.value);
			}
		});
	},
	saveAddress: function() {
		var self = app.userAddAddress;
		var $add = app.gEl(self.pageConfig.addAddressId);
		$add.on('tap', function() {
			var _name = $("#companyName").val() + '';
			var _cId = $("#cityId").val() + '';
			var _aId = $("#townId").val() + '';
			var _address = $("#companyAddress").val() + '';
			var _mobile = $("#companyPhone").val() + '';
			var _CompanyNature = $("#NatureId").val();
			//验证带区号的固话
			//var reg = /^0\d{2,3}-\d{7,8}(-\d{1,6})?$/;
			var reg = /^((1\d{10})|((\d{7,8})|(0\d{9,11})|(0\d{2,3})-(\d{7,8})|(0\d{2,3})-(\d{7,8})-(\d{1,4})|(\d{7,8})-(\d{1,4})))$/;
			var istel = reg.test(_mobile);
			if(_name == "") {
				app.showMsg("公司名称不能为空");
				return;
			}
			if(_CompanyNature == "") {
				app.showMsg("请选择公司类型");
				return;
			}
						if($('#cityId').val() == "") {
							app.showMsg("所在地区不能为空");
							return;
						}
						if(_address == "") {
							app.showMsg("公司地址不能为空");
							return;
						}
						if(!istel) {
							app.showMsg("请填写正确的电话");
							return;
						}
						if(imgData == "" && CardImageSrc == "") {
							app.showMsg("请上传名片");
							return;
						}
			var apiOption = {
				url: projectConfig.apiName.EditCompanyInfo,
				data: {
					Name: _name,
					Phone: _mobile,
					CityId: _cId,
					DisAreaId: _aId,
					Address: _address,
					CardImageFile: imgData,
					CardImageSrc: CardImageSrc,
					CompanyNature: _CompanyNature
				}
			};
			app.showWaiting('提交中...', 0);
			app.PostImgData(apiOption, null, function(data) {
				iscomplete = 1;
				self.render();
				$(".-fbtn-footer").hide();
				$(".rnclose").hide();
				$(".date-btn").hide();
				$(".my-company li input").attr("readonly", "readonly");
				$("#chooseAddress").css("pointer-events", "none");
				$("#company-card,#showUserPicker").css("pointer-events", "none");
				$(".icon-xiangji").hide();
				//				mui.back();
				//				mui.Reload();
			})
		});
	}

}