app.userIndex = {
	pageConfig: {
		settingId: 'goto-setting',
		listId: 'nav-list'
	},
	init: function() {
		var self = app.userIndex;
		self.renderPage();
		//		self.renderNavList();
		self.initGoSetting();
		$(".my-header").on('touchmove',function(e){
			e.preventDefault();
		});
	},
	initGoSetting: function() {
		var self = app.userIndex;
		var $setting = app.gEl(self.pageConfig.settingId);
		$setting.on('tap', function() {
			app.ShowWebView('../user/setting.html', {});
		})
		$("#in-head").on('tap', function() {
			app.ShowWebView('../user/setting.html', {});
		})
	},
	renderPage: function() {
		var self = app.userIndex;
		app.Post({
			url: projectConfig.apiName.GetCustomerIndexInfo,
			data: {}
		}, null, function(data) {
			if(app.GetResultState(data)) {
				if(data.CustomerInfo.LoginType == 2) {
					$('#shouru-show').html(data.AccountList.Yesterday.Cost[1] || 0);
					$('.user-type-2').show();
					$('.user-type-1').hide();
					self.renderNavListByType2(data.CellList);
					self.initAccount(data);
				} else {
					$('#nickName-show').html(data.CustomerInfo.NickName || "请设置昵称");
					$('.user-type-1').show();
					$('.user-type-2').hide();
					self.renderNavListByType1(data);
					//self.setCustomHeader();
				}
				self.initOrder(data);
				
				
				
				
			} else {
//				app.showMsg(data.Msg);
//				if(data.Code == '8001') {
//					app.ShowWebView("../Customer/Login.html");
//				}
			}
		})
	},
	getNavData: function() {
		return [{
				name: '我的收藏',
				icon: 'icon-shoucang',
				url: '../user/myCollect.html',
				data: {}
			}, {
				name: '开具发票',
				icon: 'icon-shoucang',
				url: '../invoice/index.html',
				data: {}
			}, {
				name: '我的信息',
				icon: 'icon-zhanghu-',
				url: '../user/setting.html',
				data: {}
			},
			//		{
			//			name: '我的点评',
			//			icon: 'icon-tabbuticon7nor',
			//			url: ''
			//		}, 
//			{
//				name: '发票抬头',
//				icon: 'icon-sanheng',
//				url: '../user/commonInfo.html',
//				data: {
//					nav: '0',
//					viewId: '../user/index.html',
//					//				Tid:0
//				}
//			}, {
//				name: '邮寄地址',
//				icon: 'icon-diqiu',
//				url: '../user/commonInfo.html',
//				data: {
//					nav: '1',
//					viewId: '../user/index.html',
//					Mid: '8'
//				}
//			}
		]

	},
	renderNavListByType1: function(data1) {
		var self = app.userIndex;
		var tmp = '<li data-id="{2}"><a href="javascript:void(0)"><i></i><font class="icon iconfont-3-3 {1}"></font>{0}</a></li>';
		var $list = app.gEl(self.pageConfig.listId);
		var data = data1.CellList;
		var tHtml = '';
		$.each(data, function(i, d) {
			if(d.Id<3)
			tHtml += app.format(tmp, d.Name, self.GetIcon(d.Id), d.Id);
		});
		tHtml += app.format(tmp, "常用旅客", self.GetIcon(12), 12);
		$list.html(tHtml);
		self.initNavList1($list, data);
		$("#order-load").hide();
		$("#in-cont").show();
	},
	GetIcon: function(id) {
		var showIcon = "";
		switch(id + "") {
			case "1": //我的信息
				showIcon = 'icon-zhanghu- color-bf5ced';
				break;
			case '2': //我的收藏
				showIcon = 'icon-wodeshoucang';
				break;
			case '3': //发票抬头
				showIcon = 'icon-fapiaotaitou color-bf5ced';
				break;
			case '4': //邮寄地址
				showIcon = 'icon-youjidizhi';
				break;
			case '5':	//常见问题
				showIcon = 'icon-icon-kefu-';
				break;
			case '11': //我要供应酒店
				showIcon = '';
				break;
			case '12':
				showIcon = 'icon-wdxx';
			default:
				break;
		}

		return showIcon;
	},
	GetIcon2: function(id) {
		var showIcon = "";
		switch(id + "") {
			case "1": //我的报价
				showIcon = 'icon-wodebaojia1';
				break;
			case '2': //我的酒店
				showIcon = 'icon-wodejiudian1';
				break;
			case '3': //结算账号
				showIcon = 'icon-jiesuanzhanghao1 color-bf5ced';
				break;
			default:
				break;
		}

		return showIcon;
	},
	renderNavListByType2: function(data) {
		var self = app.userIndex;
		var tmp = '<li data-id="{0}"><a href="javascript:void(0)"><i></i><font class="icon iconfont-3-3 {2}"></font>{1}</a></li>';
		var $list = app.gEl(self.pageConfig.listId);
		var tHtml = '';
		$.each(data, function(i, d) {
			
				tHtml += app.format(tmp, d.Id, d.Name, self.GetIcon2(d.Id));
		});
		$list.html(tHtml);
		self.initNavList2($list);
		$("#order-load").hide();
		$("#in-cont").show();
	},
	initNavList1: function($list, data) {

		$list.off('tap').on('tap', 'li', function() {
			var $this = $(this);
			var id = $this.attr('data-id');
			switch(id) {
				case '1': //我的询价
					app.ShowWebView('../user/setting.html');
					break;
				case '2': //我的收藏
					app.ShowWebView('../user/myCollect.html');
					break;
//				case '3': //发票抬头
//					app.ShowWebView('../user/commonInfo.html', {
//						nav: '0',
//						viewId: '../user/index.html'
//					});
//					break;
//				case '4': //邮寄地址
//					app.ShowWebView('../user/commonInfo.html', {
//						nav: '1',
//						viewId: '../user/index.html',
//						Mid: '8'
//					});
//					break;
				case '5':	//常见问题
					app.ShowWebView('../CustomService/serviceAdvice.html', {});
					break;
				case '11': //我要供应酒店
					app.userIndex.switchUserTo(2);
					//app.ShowWebView('../Supply/Myoffer.html');
					break;
			}
			return false;
		})
	},
	switchUserTo: function(logintype) {
		app.Post({
			url: projectConfig.apiName.SwitchCustomerType,
			data: {}
		}, null, function(data) {
			if(app.GetResultState(data)) {
				var LoginType = data.LoginType;
				var settings = app.getSettings();
				settings.LoginType = LoginType;
				app.setSettings(settings);

				app.userIndex.initFooter();
				if(logintype == 2 || settings.LoginType == "2") {
					app.ShowWebView('../Supply/myOffer.html');
				} else if(logintype == 1 || settings.LoginType == "1") {
					app.ShowWebView('../Demand/index.html');
				}
				app.userIndex.init();
				app.userIndex.reloadOrderFooter();
			}
		});
	},
	initFooter: function() {
		
		$("#rolorderfooter").removeClass("rol-order-footer");
		$("#rolorderfooter").html("<div class=\"home-nav\" id=\"bottomNav\" style=\"\"></div>");
		app.footer.InitDemandFooter(4);
		
	},
	reloadOrderFooter: function() {
		//特殊处理重新加载order数据
		var webview = plus.webview.getWebviewById("../Order/MyOrder.html");
		if(webview != null) {
			plus.webview.close(webview.id);
		}
	},
	initNavList2: function($list) {

		$list.off('tap').on('tap', 'li', function() {
			var $this = $(this);
			var id = $this.attr('data-id');
			switch(id + '') {
				case '1': //我的报价
					app.ShowWebView('../Supply/myOffer.html');
					break;
				case '2': //我的酒店
					app.ShowWebView('../MyHotel/index.html');
					break;
				case '3': //结算帐号
					app.ShowWebView('../user/settlementAccount.html');
					break;
				case '11': //我要预订酒店
					app.userIndex.switchUserTo(1);
					//console.log(1);
					//app.ShowWebView('../Supply/Myoffer.html');
					break;
			}
			return false;
		})
	},
	switchUser: function() {
		app.Post({
			url: projectConfig.apiName.SwitchCustomerType,
			data: {}
		}, null, function(data) {
			//console.log(JSON.stringify(data))
			if(app.GetResultState(data)) {
				var LoginType = data.LoginType;
				var settings = app.getSettings();
				settings.LoginType = LoginType;
				app.setSettings(settings);

				app.ShowWebView('../Demand/index.html');
				mui.back();
			}
		});
	},
	initOrder: function(data) {
		if(app.GetResultState(data)) {
			var orderList = data.OrderList;
			if(orderList != null && orderList.length > 0) {
				var length = 0;
				// var width;
				var html = '<h4><a href="javascript:void(0)" id="0">查看全部订单<i></i></a>我的订单</h4><p style="display:flex;flex-direction:row;justify-content:space-around;flex-wrap:nowrap">';
				var htmlitem = '<a href="javascript:void(0)" id="{2}"><i class="icon iconfont-3-3 {0}"></i>{1}</a>';
				$.each(orderList, function(i, order) {
					if(order.Id != 0) {
						var param = new Array();
						param.push(app.userIndex.getOrderIcon(data.CustomerInfo.LoginType, order.Id));
						param.push(order.Name);
						param.push(order.Id);
						html += app.format(htmlitem, param);
					}
					length += 1;
				});
				html += "</p>";
				// width = 99 / length + '%';
				$("#secorderbox").html(html);
				// $("#secorderbox p a").css("width", width);
				$("#secorderbox").on("tap", 'a', function() {
					var id = $(this).attr("id");
					var pagedata = {};
					pagedata.Type = id;
					app.ShowWebView("../Order/MyOrder.html", pagedata, "Order.MyOrder", "slide-in-right");
				});
			}
		}
	},
	initAccount: function(data) {
		if(app.GetResultState(data)) {
			var AccountList = data.AccountList || {};
			//已结算
			var Accounted = AccountList.Accounted || {};
			//结算中
			var Accounting = AccountList.Accounting || {};
			//待结算
			var Account = AccountList.Account || {};
			//总收入
			var Total = AccountList.Total || {};

			if(Total != null && Total.Cost != null) {

				var html = '<p>';
				var htmlitem = '<a href="javascript:void(0)" style="width:24%;" id="{0}">{1}<br/><span>{2}</span></a>';
				html += app.format(htmlitem, "0", Total.Name, Total.Cost.join(''));
				html += app.format(htmlitem, "1", Accounted.Name, Accounted.Cost.join(''));
				html += app.format(htmlitem, "2", Accounting.Name, Accounting.Cost.join(''));
				html += app.format(htmlitem, "3", Account.Name, Account.Cost.join(''));

				html += '</p>';

				$("#secaccountbox").html(html);

				$("#secaccountbox").on("tap", 'a', function() {
					var id = $(this).attr("id");
					var pagedata = {};
					pagedata.Type = id;
					pagedata.currentType = id;
					app.ShowWebView("settleCenter.html", pagedata);
				});
			}
		}
	},
	getOrderIcon: function(loginType, type) {
		if(loginType == 1) {
			if(type == 0) {

			} else if(type == 1) {
				return "icon-daifukuan1 color-ef8e2e";
			} else if(type == 2) {
				return "icon-dairuzhu color-ff7d13";
			} else if(type == 3) {
				return "icon-daiqueren color-47c455";
			} else if(type == 4) {
				return "icon-icon-tuikuanzhong color-ff6315";
			}
		} else if(loginType == 2) {
			if(type == 0) {
				return "";
			} else if(type == 1) {
				return "icon-daiquefang1 color-ef8e2e";
			} else if(type == 2) {
				return "icon-daiquezhu1 color-47c455";
			} else if(type == 3) {
				return "icon-daijiesuan1 color-f74d31";
			} else if(type == 4) {
				return "icon-daiquekuan color-ff6315";
			}
		}
	},
	renderCustomLevel:function(data){
		var CustomerLevelInfo = data.CustomerLevelInfo;
		var len = CustomerLevelInfo.length;
		var totalValue = CustomerLevelInfo[len-1].GrowthValue;
		
		var subListFirst = '';
		var subListSecond = '';
		var subdiv = '';
		var customLevel = data.CustomerInfo.Level;
		var customGrowthValue = data.CustomerInfo.GrowthValue;
		var precent = (customGrowthValue / totalValue)*100 + '%';
		//console.log('百分比是:'+precent);
		CustomerLevelInfo.forEach(function(value, index){
			switch(index){
				case 0:
					var v = value.GrowthValue == 0 ? '':value.GrowthValue;
					subListFirst = "<div class='ball-container-left'>"
								+		"<div class='ball ball-current'></div>"
								+		"<div class='ball-content'>"
								+			"<div class='ball-content-word'>"+value.LevelName+"</div>"
								+			"<div class='ball-content-word'>"+v+"</div>"
								+		"</div>"
								+"</div>";
					break;
				case 1:
					var isCurrent = customGrowthValue >= value.GrowthValue ? 'ball-current' : '';
					subListSecond = "<div class='ball-container-right'>"
								+		"<div class='ball "+isCurrent+" '></div>"
								+		"<div class='ball-content'>"
								+			"<div class='ball-content-word'>"+value.LevelName+"</div>"
								+			"<div class='ball-content-word'>"+value.GrowthValue+" +</div>"
								+		"</div>"
								+"</div>";
					break;
				default:
					var isCurrent = customGrowthValue >= value.GrowthValue ? 'ball-current' : '';
					var widthStyle = (CustomerLevelInfo[index].GrowthValue / totalValue)*100 + '%';
					subdiv = subdiv + "<div class='level-list' style='width:"+widthStyle+"'>"
								+		"<div class='ball-container-right'>"
								+			"<div class='ball "+isCurrent+" '></div>"
								+			"<div class='ball-content'>"
								+				"<div class='ball-content-word'>"+value.LevelName+"</div>"
								+				"<div class='ball-content-word'>"+value.GrowthValue+" +</div>"
								+			"</div>"
								+		"</div>"
								+"</div>";
					break;
			}
		});
		var w = (CustomerLevelInfo[1].GrowthValue / totalValue)*100 + '%';
		var str = "<div class='level-list' style='width:"+w+"'>"+subListFirst+subListSecond+"</div>"+subdiv;
		$("#level-list-container").append(str);
		$(".progress").css({
			"width":precent
		});
		if(customLevel == 1){
			//普通
			$(".level-icon").css({
				'background-image':"url('../images/pt.png')"
			});
		}else if(customLevel == 2){
			//银牌
			$(".level-icon").css({
				'background-image':"url('../images/yp.png')"
			});
		}else{
			//金牌
			$(".level-icon").css({
				'background-image':"url('../images/jinp.png')"
			});
		}
		var settings = app.getSettings();
		if(settings.guide){
			if(settings.guide.myCenter == true){
				$("#guide").show();
				
				$("#guide").off().on('tap',function(){
					$("#guide").hide();
					settings.guide.myCenter = false;
					app.setSettings(settings);
				});
			}
		}
	},
	setCustomHeader:function(){
		$(".my-header").css({
			"height":'20rem'
		});
		$(".my-orderbox").css({
			'margin-top':'20rem'
		});
		//$("#associator-container").show();
	}
};