var _pageSize = 6;
app.userInquiryPricelist = {
	GetSupplyHotelListEntity: {
		url: projectConfig.apiName.DemandGetDemandList,
		data: {
			Page: {
				Index: 0,
				Size: _pageSize
			}
		},
		PageInfo: {
			Index: 0,
			Size: _pageSize,
			Amount: 0,
			ResultAmount: 0
		}
	},
	pageConfig: {
		pullRefreshId: 'pullrefresh',
		listId: 'scroll-list',
		bindHotelId: 'goTo-BindHotel'
	},
	resetSupplyHotelListEntity: function() {
		var self = app.userInquiryPricelist;
		self.GetSupplyHotelListEntity = {
			url: projectConfig.apiName.DemandGetDemandList,
			data: {
				Page: {
					Index: 0,
					Size: _pageSize
				}
			},
			PageInfo: {
				Index: 0,
				Size: _pageSize,
				Amount: 0,
				ResultAmount: 0
			}
		}
	},
	init: function() {
		var self = app.userInquiryPricelist;
		self.initHotelList();
	},
	renderNoHotel: function() {
		var self = app.userInquiryPricelist;
		app.renderNoResult("没有询价记录", '', null, null, app.gEl(self.pageConfig.pullRefreshId));
	},
	getHoteItemTmp: function(data) {
		var Special=data.SpecialTypeList;
				var num1="icon-icon-zhifuxuanzhong-";
				var num2="icon-icon-zhifuxuanzhong-";
				var num3="icon-icon-zhifuxuanzhong-";
				var num4="icon-icon-zhifuxuanzhong-";
				for(var i=0; i<Special.length;i++){
				if(Special[i]==1){
					num1="icon-icon-zhifuxuanzhong- choice";
				}
				if(Special[i]==2){
					num2="icon-icon-zhifuxuanzhong- choice";
				}
				if(Special[i]==3){
					num3="icon-icon-zhifuxuanzhong- choice";
				}
				if(Special[i]==4){
					num4="icon-icon-zhifuxuanzhong- choice";
				}
				}
				var specialhtml="";
				if(data.SpecialTypeList.length>0){
				specialhtml+="<div class='off-chose'>";
		        specialhtml+="<span><i class='off-room iconfont-2-27 "+num1+"'></i><font class='current'>机票</font></span>";
				specialhtml+="<span><i class='off-room iconfont-2-27 "+num2+"'></i><font class='current'>用车</font></span>";
				specialhtml+="<span><i class='off-room iconfont-2-27 "+num3+"'></i><font class='current'>会议室</font></span>";
				specialhtml+="<span><i class='off-room iconfont-2-27 "+num4+"'></i><font class='current'>门票</font></span>";
				specialhtml+="</div>";
				}
				var checknum=data.Check.split(" ");
				var checkin=checknum[0].replace(/[^(\-)?\d+(\.\d{1,2})?$]/g,'');
				var checkout=checknum[1].replace(/[^(\-)?\d+(\.\d{1,2})?$]/g,'');
				var days=checknum[2].replace(/[^(\-)?\d+(\.\d{1,2})?$]/g,'');
		var htTmp = '<li data-did=\"{6}\"><div class="xunjia-list">' +
			'				<div class="xunjia-list-div" vr=\"{6}\">' +
			'					<div class="xunjia-tit"><font>{0}</font><span class="demand-color{11}">{5}</span></div>' +
			'					<div class="xunjia-list-left">' +
			'						<p><label><font>{8}</font>入住</label><label><font>{9}</font>离店</label><label>共<font>{10}</font>晚</label></p>' +
			'						{2}' +
			'						<span>{3}</span>' +
			'                       <span>{4}</span>' +
			'					</div>{7}' +
			'				</div>' +
			'			</div></li>';
			var budgethtml="";
			if(data.Budget!=null&&data.Budget!="null"&&data.Budget!=""){
				budgethtml+='<span style="width:100%">预算'+data.Budget+'</span>';
			}
		return app.format(htTmp, data.Desc,
			data.Check,
//			data.Budget,
            budgethtml,
			data.Rooms.join("，"),
			data.Hits,
			data.Status,
			data.Did,
			specialhtml,
			checkin,
			checkout,
			days,
			data.DemandStatus
		);
	},
	refreshPage: function() {
		var self = app.userInquiryPricelist;
		self.resetSupplyHotelListEntity();
		var entity = self.GetSupplyHotelListEntity;
		var datapage = entity.data.Page;
		self.ajaxData(function(data) {
			var $list = $("#" + self.pageConfig.listId);
			var tHtml = '';
			$.each(data, function(i, hotel) {
				tHtml += self.getHoteItemTmp(hotel);
			});
			$list.html(tHtml);
			mui(_scrollId).pullRefresh().endPulldownToRefresh();
			if(data.length >= _pageSize) {
				mui(_scrollId).pullRefresh().endPullupToRefresh(false);
				mui(_scrollId).pullRefresh().enablePullupToRefresh();
			} else {
				mui(_scrollId).pullRefresh().endPullupToRefresh(true);
				mui(_scrollId).pullRefresh().disablePullupToRefresh();
			}
		});
	},
	GetNextPageData: function() {
		var self = app.userInquiryPricelist;
		var entity = self.GetSupplyHotelListEntity;
		var datapage = entity.data.Page;
		if(datapage.Index == 0 || (entity.PageInfo.Amount > datapage.Index)) {
			entity.data.Page = $.extend(true, entity.data.Page, {
				Index: entity.PageInfo.Index + 1
			});
			self.ajaxData(function(data) {
				var $list = app.gEl(self.pageConfig.listId);
				var tHtml = '';
				$.each(data, function(i, hotel) {
					tHtml += self.getHoteItemTmp(hotel);
				});
				$list.append(tHtml);	
			});
			mui(_scrollId).pullRefresh().endPullupToRefresh(false);
		} else {
			mui(_scrollId).pullRefresh().endPullupToRefresh(true);
			//mui(_scrollId).pullRefresh().disablePullupToRefresh();
		}	
	},
	inquerylist: function() {
		app.Loading($("#scroll-list"),"0px","show");
		var self = app.userInquiryPricelist;
		var entity = self.GetSupplyHotelListEntity;
		var datapage = entity.data.Page;
		if(datapage.Index == 0 || (entity.PageInfo.Amount > datapage.Index)) {			
			entity.data.Page = $.extend(true, entity.data.Page, {
				Index: entity.PageInfo.Index + 1
			});
			self.ajaxData(function(data) {		
				var $list = app.gEl(self.pageConfig.listId);
				var tHtml = '';
				$.each(data, function(i, hotel) {
					tHtml += self.getHoteItemTmp(hotel);
				});
				$list.html(tHtml);
				if(data.length<1||data==undefined){
					self.renderNoHotel();
				}
				if(data.length >= _pageSize) {
				mui(_scrollId).pullRefresh().endPullupToRefresh(false);
				mui(_scrollId).pullRefresh().enablePullupToRefresh();
			}
				else{
					mui(_scrollId).pullRefresh().endPullupToRefresh(true);
				mui(_scrollId).pullRefresh().disablePullupToRefresh();
				}
			});
		}
	},
	initHotelList: function() {
		var self = app.userInquiryPricelist;
		var $list = app.gEl(self.pageConfig.listId);
		$list.on('tap', 'li', function() {
			var $this = $(this);
			var id = $this.attr('data-did');
			if(!!id) {
				app.ShowWebView('../Demand/DemandDetail.html', {
					dId: id
				}, null, '../Demand/DemandDetail.html');
			}
		});
	},
	ajaxData: function(callbackFn) {
		var self = app.userInquiryPricelist;
		var _render = function(data) {
//						console.log(JSON.stringify(data))
			var entity = self.GetSupplyHotelListEntity;
				callbackFn(data.DemandList);
			if(app.GetResultState(data)) {
				firstLoadData = false;
				entity.PageInfo = $.extend(true, entity.PageInfo, data.PageInfo);
				//				console.log(JSON.stringify(data.DemandList.length));
				if(entity.PageInfo.Index >= entity.PageInfo.Amount) {
					if(data.DemandList.length < _pageSize) {
						mui(_scrollId).pullRefresh().disablePullupToRefresh();
					} else {
						mui(_scrollId).pullRefresh().enablePullupToRefresh();
					}
				}
			} 
//			if(data.Code=="0001"){
//				self.renderNoHotel();
//				mui(_scrollId).pullRefresh().endPulldownToRefresh();
//			}
//			else {
//				self.renderNoHotel();
//			}
		};
		//_render(callbackFn)
		app.Post(self.GetSupplyHotelListEntity, null, _render);
	}
}