app.userSetting = {
	pageConfig: {
		amendId: 'amendInfo',
		exitUserId: 'exitUser'
	},
	init: function() {
		var self = app.userSetting;
		self.render();
		self.initAmend();
		self.initExitUser();
	},
	initExitUser: function() {
		var self = app.userSetting;
		var $exit = app.gEl(self.pageConfig.exitUserId);
		$exit.off('tap').on('tap', function() {
			app.LoginOut();
			return false;
		});
	},
	initAmend: function() {
		var self = app.userSetting;
		var $amend = app.gEl(self.pageConfig.amendId);
		$amend.off('tap').on('tap', 'li', function() {
			var $this = $(this);
			var type = $this.attr('data-type');
			var $span = $this.find('span');
			switch(type) {
				case 'nickname':
//					app.ShowWebView('../user/rename.html', {
//						type: 'nickname',
//						name: $span.html() || ''
//					})
					break;
				case 'username':
//					app.ShowWebView('../user/rename.html', {
//						type: 'username',
//						name: $span.html() || ''
//					});
					break;
				case 'mobile':
//					app.ShowWebView('../user/checkMobile.html', {
//						mobile: $span.html()
//					});
					break;
				case 'company':
//					app.ShowWebView('../user/company_change.html', {
//						company: $span.html(),
//						isview: 1
//					});
					break;
				case 'password':
					app.ShowWebView('../user/amendPwd.html');
					break;
				default:
					break;
			}
			return false;
		});
	},
	render: function() {
		var self = app.userSetting;
		var mask = mui.createMask();
		mask.show();
		app.Post({
			url: projectConfig.apiName.GetCustomerInfo,
			data: {}
		}, null, function(data) {
			mask.close();
			if(data.Code == '0000') {
				self.amend('nickName', data.NickName || '');
				self.amend('userName', data.Name || '');
				self.amend('mobile', data.Phone || '');
				self.amend('company',data.CompanyName || '');
			}
		});
	},
	amend: function(id, value) {
		$('#' + id).html(value);
//		if(value.length > 15) {
//			$("#company").css("text-align", "left");
//		}
	},
	cutText: function(text, len) {
		var exp = /<br\/?>/ig;
		var result;
		if(!text) return '';
		while((result = exp.exec(text))) {
			if(result.index < len) {
				len += result[0].length;
			}
			result.lastIndex = 0;
		}
		return text.length > len ? (text.substring(0, len) + '...') : text;
	}
};