(function(window, $) {
	window.NewDate = (function() {

		/**
		 * 初始化时间选择器
		 * 
		 */
		//		var distance=0;   //距离顶部滚动距离
		function Init(mydates, dates) {
			var mydate = new Date(mydates);
			var ShowDate = new Array();
			var GetMonthCount = 3;
			var showDayCount = 60;
			var currentDay = app.DateTool.DatePart('d', mydate);
			var currentMonth = app.DateTool.DatePart('m', mydate);
			var currentHour = app.DateTool.DatePart('H', mydate);
			ShowDate.push('<div class="room-date" startdate="" enddate="">');
			ShowDate.push('<div class="room-date-week"><ul><li>日</li><li>一</li><li>二</li><li>三</li><li>四</li><li>五</li><li>六</li></ul></div>');
			ShowDate.push('<div class="dateBox">');
			for(var i = 0; i < GetMonthCount; i++) {
				if(showDayCount <= 0)
					break;
				var idate = mydate;
				if(currentDay > 25) {
					idate = app.DateTool.DateAdd('d', -10, mydate);
				}
				idate = app.DateTool.DateAdd('m', i, idate);
				var dateStr = app.DateTool.DateFormat("yyyy 年 MM 月", idate);
				var maxDay = app.DateTool.MaxDayOfDate(idate);
				var iMonth = app.DateTool.DatePart('m', idate);
				var iYear = app.DateTool.DatePart('y', idate);
				var monthFristDay = app.DateTool.getCurrentMonthFirst(idate);
				var weekDay = monthFristDay.getDay();
//				if(currentMonth == iMonth) {
//					if(currentHour >= 14) {
//						currentDay = Number(currentDay) + Number(2);
//					} else {
//						currentDay = Number(currentDay) + Number(1);
//					}
//				}
				maxDay = maxDay + weekDay;
				ShowDate.push('<dl>');
				ShowDate.push('<dt>' + dateStr + '</dt>');
				ShowDate.push('<ul>');
				for(var j = 1; j <= maxDay; j++) {
					var value = j - weekDay;
					var day = (j - weekDay) <= 0 ? '　' : value;
					var currentDate = iYear + "-" + iMonth + "-" + (value < 10 ? "0" + value : value);
					var flag = false;

					if(currentMonth == iMonth || showDayCount <= 0) {
						var flag = false;
//						if(currentHour >= 14) {
//							if((j - weekDay) <= (Number(currentDay) + 1)) {
//								flag = true;
//							}
//						} else {
						if((j - weekDay) <= Number(currentDay)) {
							flag = true;
						}
//						}
						if(flag == false && showDayCount <= 0) {
							flag = true;
						}
						if(flag) {
							ShowDate.push('<li>');
							ShowDate.push('<input name="checkbox" type="checkbox" id="chkdate' + currentDate + '" value="' + currentDate + '"/>');
							ShowDate.push('<span style="color:#A9A9A9">' + day + '</span>');
							ShowDate.push('</li>');
							continue;
						}
					}

					if(day == '　') {
						ShowDate.push('<li>');
						ShowDate.push('');
						ShowDate.push('<label><span style="color:#666">' + day + '</span></label>');
						ShowDate.push('</li>');
						if(j - weekDay > 0)
							showDayCount -= 1;
					} else {
						ShowDate.push('<li>');
						ShowDate.push('<input name="checkbox" type="checkbox" id="chkdate' + currentDate + '" value="' + currentDate + '"  class="dateChose"/>');
						ShowDate.push('<span style="color:#666" date="' + currentDate + '">' + day + '</span>');
						ShowDate.push('</li>');
						if(j - weekDay > 0)
							showDayCount -= 1;
					}

				}
				ShowDate.push('</ul>');
				ShowDate.push("</dl>");
			}
			ShowDate.push('</div>');
			ShowDate.push('<div class="date-btn search-btn"><button type="button">确认</button></div>');
			ShowDate.push('<input type="hidden" id="hidDate" />');
			ShowDate.push('</div>');
			$("body").append(ShowDate.join(''));

			initEvent();
			loadDateHistory(mydate, dates);
		}

		/**
		 * 验证时间有效性
		 * @param {Object} data
		 */
		function CheckData(data) {
			var minval = $("input[id^='chkdate']:checked").eq(0).val() || "";
			if(minval != "") {
				var minDate = new Date(minval.replace(/-/g, "/"));
				var currentDate = new Date();
				if(data.Code = "0000") {
					app.SystemTime = data.Now;
				}
				currentDate = new Date(data.Now.replace(/-/g, "/"));
				var mMonth = app.DateTool.DatePart('m', minDate);
				var mYear = app.DateTool.DatePart('y', minDate);
				var mDay = app.DateTool.DatePart('d', minDate);

				var cMonth = app.DateTool.DatePart('m', currentDate);
				var cYear = app.DateTool.DatePart('y', currentDate);
				var cDay = app.DateTool.DatePart('d', currentDate);
				var cHour = app.DateTool.DatePart('h', currentDate);

//				if(mMonth == cMonth && mYear == cYear && mDay == cDay && cHour >= 14) {
//					plus.nativeUI.toast("14点后不可再订当日酒店！");
//					app.GetServicesTime(CheckData);
//					ReloadDate();
//					return false;
//				}

				if(mMonth < cMonth || mYear < cYear) {
					plus.nativeUI.toast("选择日期与当前日期不符，请重新选择！");
					app.GetServicesTime(Init);
					ReloadDate();
					return false;
				}
			}
			return true;
		}

		function ReloadDate() {
			//			$("#homeDates").html("入住日期");
			var items = $(".dateBox li span");
			var startcss = "<b>入</b>";
			var endcss = "<b>离</b>";
			var currentcss = "current",
				middlecss = 'on';
			//取消所有选中样式
			$.each(items, function(index, item) {
				var tempdate = $(item).attr('date');
				if($(item).hasClass(currentcss)) {
					$(item).removeClass(currentcss);
					var html = $(item).html();
					html = html.replace(startcss, '').replace(endcss, '');
					$(item).html(html);
				} else if($(item).hasClass(middlecss)) {
					$(item).removeClass(middlecss);
				}
				$("#chkdate" + tempdate).removeAttr("checked");
			});
		}

		/**
		 * 
		 */
		function initEvent() {
			$(".date-btn").on('click', function() {
				var chkVals = new Array();
				var showDate = "";
				var ckeckCount = 0;
				var alldates = new Array();
				var checkdates = $("input[id^='chkdate']:checked");

				if($(checkdates).length > 0) {
					if($(checkdates).length == 1) {
						app.showMsg('请选择离店日期');
						return false;
					}
					if($(checkdates).length > 11) {
						app.showMsg('入住日期不能超过10天');
						return false;
					}
					app.GetServicesTime(CheckData);

					$("input[id^='chkdate']:checked").each(function() {
						ckeckCount += 1;
						alldates.push($(this).val());
					});
					ckeckCount -= 1;
					$.each(alldates, function(i, date) {

						if(i == 0) {
							chkVals.push(date);
							var month = app.DateTool.DatePart('m', date);
							var day = app.DateTool.DatePart('d', date);
							showDate += month + "." + day;
						}
						if(i > 0 && i == ckeckCount) {
							chkVals.push(date);
							var month = app.DateTool.DatePart('m', date);
							var day = app.DateTool.DatePart('d', date);
							showDate += "-" + month + "." + day + ',';
						}
					});
				}
				$(".room-date").slideToggle(50);
				$(".dateback").hide();
				if(ckeckCount > 0) {
					window.DemandIndex.reCallbackDate(chkVals);
				}
			});

			//绑定日期事件
			$(".dateBox li span").on('tap', function() {
				var roomdate = $(".room-date");
				var startdate = $(roomdate).attr('startdate'),
					enddate = $(roomdate).attr('enddate');
				var startcss = "<b>入</b>";
				var endcss = "<b>离</b>";
				var currentcss = "current",
					middlecss = 'on';
				var date = $(this).attr('date');
				var items = $(".dateBox li span");
				//取消所有选中样式
				$.each(items, function(index, item) {
					var tempdate = $(item).attr('date');
					if($(item).hasClass(currentcss)) {
						$(item).removeClass(currentcss);
						var html = $(item).html();
						html = html.replace(startcss, '').replace(endcss, '');
						$(item).html(html);
					} else if($(item).hasClass(middlecss)) {
						$(item).removeClass(middlecss);
					}
					$("#chkdate" + tempdate).removeAttr("checked");
				});
				var start, end, currentdate;
				if(date.length > 0) {
					currentdate = new Date(date);
					//选中已定好的开始时间或结束时间
					if(date == startdate || date == enddate) {
						startdate = date;
						enddate = "";
					} else if(startdate.length > 0 || enddate.length > 0) {
						var tempstartdate, tempenddate;
						tempstartdate = startdate;
						tempenddate = enddate;
						//已选中时间
						if(startdate.length > 0) {
							start = new Date(startdate);
						}
						if(enddate.length > 0) {
							end = new Date(enddate);
						}

						if(start && end) {
							startdate = date;
							enddate = "";
						} else if(start && !end) {
							if(currentdate < start) {
								enddate = tempstartdate;
								startdate = date;
							} else {
								enddate = date;
							}
						} else if(!start && end) {
							if(currentdate < end) {
								startdate = date;
							} else {
								startdate = tempenddate;
								enddate = currentdate;
							}
						}

					} else { //两个时间都没有
						startdate = date;
					}
				}
				setDateCss(startdate, enddate);
			});
		}

		function setDateCss(startdate, enddate) {
			var items = $(".dateBox li span");
			var startcss = "<b>入</b>";
			var endcss = "<b>离</b>";
			var currentcss = "current",
				middlecss = 'on';
			var roomdate = $(".room-date");
			roomdate.attr("startdate", startdate);
			roomdate.attr("enddate", enddate);

			//设定选中样式
			if(startdate.length > 0 && enddate.length <= 0) {
				setdate(startdate, 'start');
			} else if(startdate.length > 0 && enddate.length > 0) {
				var startIndex = 0,
					endIndex = 0;
				$.each(items, function(index, item) {
					var itemdate = $(item).attr("date");
					if(itemdate == startdate) {
						setdate(startdate, 'start');
						startIndex = index;
					} else if(itemdate == enddate) {
						setdate(enddate, 'end');
						endIndex = index;
					}
				});

				for(var s = startIndex + 1; s < endIndex; s++) {
					var itemdate = $(items.eq(s)).attr("date");
					if(itemdate) {
						items.eq(s).addClass(middlecss);
						$("#chkdate" + itemdate).attr("checked", true);
					}
				}
			}

		}

		function setdate(sdate, type) {
			var items = $(".dateBox li span");
			var startcss = "<b>入</b>";
			var endcss = "<b>离</b>";
			var currentcss = "current",
				middlecss = 'on';
			var roomdate = $(".room-date");
			$("#chkdate" + sdate).attr("checked", true);
			var currentspan = $("span[date='" + sdate + "']");
			currentspan.addClass(currentcss);
			var html = currentspan.html();
			if(type == 'start')
				html += startcss;
			else
				html += endcss;
			currentspan.html(html);
			//			distance=$(".dateBox").scrollTop();
			//			$(".dateBox").scrollTop(distance);

		}

		function loadDateHistory(mydate, dates) {
			ReloadDate();
			var startdate = '',
				enddate = '';

			if(!!dates && dates.length == 2) {
				if(dates.length == 1 && dates[0].length > 0) {
					startdate = dates[0];
				} else if(dates.length > 1) {
					startdate = dates[0];
					enddate = dates[dates.length - 1];
				}
			} else {

				var startStr = app.DateTool.DateAdd("d", 0, mydate);
				var year = app.DateTool.DatePart('y', startStr);
				var month = app.DateTool.DatePart('m', startStr);
				var day = app.DateTool.DatePart('d', startStr);
				startdate = year + "-" + month + "-" + day;
				endStr = app.DateTool.DateAdd("d", 1, mydate);
				year = app.DateTool.DatePart('y', endStr);
				month = app.DateTool.DatePart('m', endStr);
				day = app.DateTool.DatePart('d', endStr);
				enddate = year + "-" + month + "-" + day;
			}

			setDateCss(startdate, enddate);
		}

		return {
			Init: Init,
			CheckData: CheckData,
			ReloadDate: ReloadDate,
			initEvent: initEvent,
			loadDateHistory: loadDateHistory
		}

	})();
})(window, $)