(function(window, $) {
	window.ConfirmContract = (function() {

		var HasRead = 0;

		var Req = {
			url: "Scheme/GetContractInfo",
			data: {
				SerialNo: 0
			}
		}
		var gerenName;
		var comName ="";
		var ReqConfirm = {
			url: "Scheme/ConfirmContract",
			data: {
				"ContractId": 0,
				"ContractType": 1,
				"IsCompany": 1,
				"CustomerName": "",
				"CustomerPhone": "",
				"CustomerCertificateNo": ""
			}
		}

		var ReqContract = {
			url: "Scheme/EditContractCheckStatus",
			data: {
				"ContractId": 0,
				SerialNo: 0
			}
		}

		/**
		 * 首页 plusReady 初始化
		 * @example
		 * @constructor
		 */
		function plusReady() {
			//判读是否是 沉浸式如果不是设置头部背景样式 针对IOS
			var bi = plus.navigator.isImmersedStatusbar();
			if(!bi) {
				app.StatusBarBackground("#13b1fe");
			}

			var wv = plus.webview.currentWebview();
			if(!!wv) {
				Req.data.SerialNo = wv.SerialNo;
			}

			init();
		}

		/**
		 * 初始化
		 * @example
		 * @constructor
		 */
		function init() {
			//初始化js模板格式化
			template.helper("test", _test);
			_init();

			initEvent();
		}

		function _init() {
			app.Loading($("#indexContent"),"50%","show");
			var callback = function(data) {
				if(app.GetResultState(data)) {
					if(data.ButtonList){
						data.IsComplete = 'false';
					}else{
						data.IsComplete = 'true';
					}
					ReqConfirm.data.ContractId = data.ContractId;
					ReqConfirm.data.SerialNo = Req.data.SerialNo;
					ReqConfirm.data.ContractType = data.ContractType;
					ReqConfirm.data.IsCompany = data.IsCompany;
					ReqConfirm.data.CustomerName = data.CustomerName;
					gerenName = data.CustomerName;
					ReqConfirm.data.CustomerPhone = data.CustomerPhone;
					ReqConfirm.data.CustomerCertificateNo = data.CustomerCertificateNo;
					
					if(data.IsCompany == 1){
						ReqConfirm.data.CustomerName = "";
//						data.CustomerName = "";
					}
					
					var html = template("index-confirm-template", data);
					$("#indexContent").html(html);
					
					if(data.IsCompany == 1){
						data.CustomerName = "";
					}
					
					HasRead = data.HasRead;

					mui.previewImage({ header: '<div class="viewImage">' + data.ContractName + '</div>' });

					initEvent();
					
					if(data.Status == 3){
						$(".confirm-title-bt").off();
					}
					// $("#see-image-preview").off().on('tap',function(){
					// 	showImagePreview(data);
					// })
				} else {
//					app.showMsg(data.Msg);
					app.renderNoResult(data.Msg,"","",null,$("#indexContent"));
				}
			}
			
			app.Post(Req, null, callback);
		}

		function initEvent() {
			$(".confirm-title-bt").off().on("tap", function() {
				var val = $(this).attr("var");
				var dataIndex = $(this).attr('data-index');
				if(dataIndex == 1){
					$("#cont").text('为支持绿色环保，我同意默认电子合同的有效性，无需再次签署纸质合同');
				}
				if(dataIndex == 2){
					$("#cont").text('我还是想落地和当地地接社签署纸质合同');
				}
				var buttonList = $(this).attr('data-button-list');
				
				ReqConfirm.data.CustomerName = $("#CustomerName").val();
				
				if(buttonList == 'false'){
					ReqConfirm.data.ContractType = val;

					$(".confirm-title-bt").removeClass("current");
					$(this).addClass("current");

					initData();
				}

			});

			$("#switch-mui").off().on("tap", function() {
				var buttonList = $(this).attr('data-button-list');
				if(buttonList == 'false'){
					if($(this).hasClass("mui-active")) {
						ReqConfirm.data.IsCompany = 0;
						
						$(this).removeClass("mui-active");
						
						comName = $("#CustomerName").val();
						$("#CustomerName").val("");
					} else {
//						var newName = $("#CustomerName").val();
//						if(newName != ""){
//							gerenName = newName;
//						}
//						
						ReqConfirm.data.IsCompany = 1;
						$(this).addClass("mui-active");
					}
					
					if(ReqConfirm.data.IsCompany == 1){
						ReqConfirm.data.CustomerName = comName;
						$("#CustomerName").val("");
					}else{
						ReqConfirm.data.CustomerName = gerenName;
					}
					initData();
				}
			});

			$(".con-btn").off().on("tap", function() {
				if(!$(this).parent().hasClass("cee-disabled")) {
					ConfirmBtn();
				}
			});

			$("#icon-xuanze").off().on("tap", function() {
				var buttonList = $(this).attr('data-button-list');
				if(buttonList == 'false'){
					var $this = $("#icon-duo");
					if($this.hasClass("current")) {
						$this.removeClass("current");
						$this.removeClass("icon-duoxuan1");
						$this.addClass("icon-duoxuan");
						$("#confirm-f").addClass("cee-disabled");
					} else {
						$this.addClass("current");
						$this.addClass("icon-duoxuan1");
						$this.removeClass("icon-duoxuan");
						$("#confirm-f").removeClass("cee-disabled");
					}
				}
			});
			
		}

		function initData() {
			if($("#CustomerName").val()!=''){
				ReqConfirm.data.CustomerName = $("#CustomerName").val();
			}
			ReqConfirm.data.CustomerPhone = $("#CustomerPhone").val();
			ReqConfirm.data.CustomerCertificateNo = $("#CustomerCertificateNo").val();
			
			
			
			var newData = {
				IsCompany: ReqConfirm.data.IsCompany,
				CustomerName: ReqConfirm.data.CustomerName,
				CustomerPhone: ReqConfirm.data.CustomerPhone,
				CustomerCertificateNo: ReqConfirm.data.CustomerCertificateNo,
				Status: 2
			};
			var html = template("index-checkcontract-template", newData);
			$("#checkcontract").html(html);
		}

		function ConfirmBtn() {
			ReqConfirm.data.CustomerName = $("#CustomerName").val();
			ReqConfirm.data.CustomerPhone = $("#CustomerPhone").val();
			ReqConfirm.data.CustomerCertificateNo = $("#CustomerCertificateNo").val();

			if(ReqConfirm.data.CustomerName == "") {
				if(ReqConfirm.data.IsCompany == 1) {
					app.showMsg("请输入公司名称");
				} else {
					app.showMsg("请输入个人姓名");
				}

				return;
			}

			if(ReqConfirm.data.IsCompany == 0) {
				if(ReqConfirm.data.CustomerCertificateNo == "") {
					app.showMsg("请填写身份证或护照");
					return;
				}
			}

			if(ReqConfirm.data.CustomerPhone == "") {
				app.showMsg("请输入联系电话");
				return;
			}

			var mobile = ReqConfirm.data.CustomerPhone;
			if(mobile.indexOf('-')>=0){
				//固定电话
				var areaCode = mobile.split('-')[0].toString();
				var phoneCode = mobile.split('-')[1].toString();
				if(areaCode.length != 4){
					app.showMsg("电话区号错误");
					return;
				}
				if(phoneCode.length != 8){
					app.showMsg("请填写正确的电话号码");
					return;
				}
			}else{
				//手机号
				if(!app.checkMobile(ReqConfirm.data.CustomerPhone)){
					app.showMsg("请输入正确的联系电话");
					return;
				}
				if(mobile.length!=11){
					app.showMsg("手机号码长度有误");
					return;
				}
			}
			
			if($("#contractType1").hasClass('current')){
				ReqConfirm.data.ContractType = 1;
			}
			
			if( $("#contractType2").hasClass('current') ){
				ReqConfirm.data.ContractType = 2;
			}

//			if(!app.checkMobile(ReqConfirm.data.CustomerPhone)) {
//				app.showMsg("请输入正确的联系电话");
//				return;
//			}
			var callback = function(data) {
				if(app.GetResultState(data)) {
					app.showMsg("确认成功");
//					var wv = plus.webview.currentWebview();
//					wv.reload(true);
					var viewId = projectConfig.ViewId.Scheme.SchemeIndex.Id;
					var otherView = plus.webview.getWebviewById(viewId);
					otherView.evalJS('window.SchemeIndex.callbackRefresh()');
				} else {
					app.showMsg(data.Msg);
				}
			}
			app.showWaiting("正在提交...",1);	
			app.Post(ReqConfirm, null, callback);
		}

		function ContractBtn() {
			if(HasRead == 1) {
				return;
			}
			ReqContract.data.ContractId = ReqConfirm.data.ContractId;
			ReqContract.data.SerialNo = Req.data.SerialNo;
			var callback = function(data) {
				if(app.GetResultState(data)) {
					if(data.Code == "0000") {
						HasRead = 1;
					}
				} else {
					app.showMsg(data.Msg);
				}
			}

			app.Post(ReqContract, null, callback);
		}

		function CheckContract(e){
			var val = $(e).attr('data-val');
			if(val == 1){
				return true;
			}else{
				plus.nativeUI.toast("您暂无合同内容");
				return false;
			}
		}

		/**
		 * template 格式化
		 */
		function _test() {

		}
		
//		var aCity={11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外"};
		
		
		/**
		 * 身份验证
		 * @param {Object} sId
		 */
		function isCardID(sId) {
//			var iSum = 0;
//			var info = "";
//			if(!/^\d{17}(\d|x)$/i.test(sId)){
//				return false;
//			}
//
//			sId = sId.replace(/x$/i, "a");
//			
//			if(aCity[parseInt(sId.substr(0, 2))] == null) {
//				return false;
//			}
//				
//			sBirthday = sId.substr(6, 4) + "-" + Number(sId.substr(10, 2)) + "-" + Number(sId.substr(12, 2));
//			var d = new Date(sBirthday.replace(/-/g, "/"));
//			if(sBirthday != (d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate())) {
//				return false;
//			}
//			for(var i = 17; i >= 0; i--) iSum += (Math.pow(2, i) % 11) * parseInt(sId.charAt(17 - i), 11);
//			if(iSum % 11 != 1) {
//				return false;
//			}
//			return true;
		}
		
		function showImagePreview(data){
			// var items = [
			//     {
			//         src: '../images/home.jpg',
			//         w: 600,
			//         h: 400
			//     },
			//     {
			//         src: '../images/hotel.png',
			//         w: 1200,
			//         h: 900
			//     }
			// ];
			var ContractImages = data.ContractImages;
			if(ContractImages.length == 0){
				plus.nativeUI.toast('您暂无合同内容');
			}else{

				var items = [];
				ContractImages.forEach(function(value, index){
					var src = value;
					if(src == ''){
						src = 'https://image.ceekee.com:4443/public/hetongdefault.jpg';
					}
					items.push({
						src: src,
				        w: 600,
				        h: 400
					})
				});
				var pswpElement = document.querySelectorAll('.pswp')[0];
				var gallery = new PhotoSwipe( pswpElement, PhotoSwipeUI_Default, items);
				gallery.init();
			}
		}
		return {
			plusReady: plusReady,
			init: init,
			ContractBtn: ContractBtn,
			CheckContract: CheckContract
		}
	})();

})(window, $);