(function(window, $) {
	window.SchemeIndex = (function() {
		
		var _ProductType;
		var Req = {
			url: "Scheme/GetSchemeOrderDetail",
			data: {
				SerialNo: 0
			}
		}

		var RepPlanList = {
			url: "Scheme/GetSchemePlanList",
			data: {
				SerialNo: 0
			}
		}

		var RepCancel = {
			url: "Scheme/SchemeOrderCancel",
			data: {
				SerialNo: 0,
				CancelResonId:0,
				CancelReson:""
			}
		}

		var RepCancelList = {
			url: "Scheme/GetCancelReson",
			data: {
				SerialNo: 0
			}
		}

		var ReqSp = {
			SerialNo: 0,
			Did: 0,
			OrderSerialNo: 0
		}
		
		var scroll = null;
		var isList = 0;
		/**
		 * 首页 plusReady 初始化
		 * @example
		 * @constructor
		 */
		function plusReady() {
			//判读是否是 沉浸式如果不是设置头部背景样式 针对IOS
			var bi = plus.navigator.isImmersedStatusbar();
			if(!bi) {
				app.StatusBarBackground("#13b1fe");
			}

			var wv = plus.webview.currentWebview();
			if(!!wv) {
				if(!!wv.SerialNo) {
					Req.data.SerialNo = wv.SerialNo;
					ReqSp.SerialNo = wv.SerialNo;
					RepCancelList.data.SerialNo = wv.SerialNo;
					RepCancel.data.SerialNo = wv.SerialNo;
					isList = self.isList || 0;
					_ProductType = wv.ProductType || 2;
				}
			}

			init();
		}

		/*回调刷新*/
		function callbackRefresh(){
			var wv = plus.webview.currentWebview();
			wv.reload();
		}
		/**
		 * 初始化
		 * @example
		 * @constructor
		 */
		function init() {
			//初始化js模板格式化
			template.helper("_StausIconFormat", _StausIconFormat);
			template.helper("_buttomFormat", _buttomFormat);
			template.helper("_StatusFormat", _StatusFormat);

			_init();
			initCancelList();
			
			scroll = mui("#plan-contentScroll").scroll();
			mui('#plan-contentScroll').scroll().scrollTo(0,0,100);
			
			//控制会跳地址
			/**全局关闭页面**/
			mui.back = function() {
				if(isList == 1) {
					var centerView = plus.webview.currentWebview();
					centerView.close();
				} else {
					app.ShowWebView("../Order/MyOrder.html", null, "none");
				}
			}
			
		}

		/**
		 * 静态test 修复
		 */
		function test() {
			template.helper("_StausIconFormat", _StausIconFormat);
			template.helper("_buttomFormat", _buttomFormat);
			template.helper("_StatusFormat", _StatusFormat);
			ReqSp.Did = data1.Did;
			ReqSp.OrderSerialNo = data1.OrderSerialNo;
			RepPlanList.data.SerialNo = Req.data.SerialNo;

			$("#schemeTitle").html(data1.Name);
			var html = template("index-scheme-template", data1);
			$("#indexContent").html(html);

			var html1 = template("index-plan-template", datas);
			$("#planList").html(html1);
			initEvent();
			
			
		}

		function _init() {
			app.Loading($("#indexContent"),"50%","show");
			var callback = function(data) {
				if(app.GetResultState(data)) {
					ReqSp.Did = data.Did;
					ReqSp.OrderSerialNo = data.OrderSerialNo;
					RepPlanList.data.SerialNo = Req.data.SerialNo;

					$("#schemeTitle").html(data.Name);
					var html = template("index-scheme-template", data);
					$("#indexContent").html(html);

					initEvent();

					initPlanList();
				} else {
					app.renderNoResult(data.Msg,"","",null,$("#indexContent"));
				}
			}
			
			app.Post(Req, null, callback);
		}

		function initPlanList() {
			var callback = function(data) {
				if(app.GetResultState(data)) {

					var html = template("index-plan-template", data);
					$("#planList").html(html);
					initEvent();
				} else {
					if(data.Code != "0001"){
						app.showMsg(data.Msg);
					}
				}
			}
			app.Post(RepPlanList, null, callback);
		}
		
		function initCancelList(){
			var callback = function(data) {
				if(app.GetResultState(data)) {
					if(data.HasSchemePlan && data.HasSchemePlan == 1){
						$("#cancle-reason-title").text('此为优质地接社专门设计，取消就没有了哦，是否继续？');
					}
					var html = template("index-cancel-template", data);
					$("#cancellist").html(html);
					initEvent();
				} else {
					app.showMsg(data.Msg);
				}
			}
			app.Post(RepCancelList, null, callback);
		}
		
		function initEvent() {
			$("#showSchemeDetail").off().on("tap", function() {
				//跳到详情
				app.ShowWebView(projectConfig.ViewId.Scheme.SchemeDetail.url, {
					SerialNo: ReqSp.SerialNo
				}, 'pop-in', projectConfig.ViewId.Scheme.SchemeDetail.Id);
			});

			$("#buttomList .btn-class").off().on("tap", function() {
				var Type = parseInt($(this).attr("Type"));
				switch(Type) {
					case 5:
						ConfirmPlanClick();
						break;
					case 100:
						PayButtonClick();
						break;
					case 303:
						var link = $(this).attr("link");
						link = link.replace("\r\n","");
						link = link.replace("\n","");
						link = link.replace("\r","");
						link = plus.device.dial(link, false);
						break;
					case 304:
						ReserveClick();
						break;
					case 6:
						//取消订单
						$("#cancel-footer").slideToggle(200);
						$("#quxiaoback").show();
						break;
					default:
						break;
				}
			});

			$(".ph-Content").off().on("tap", function() {
				var link = $(this).attr("var");
				plus.device.dial(link, false);
			});

			$(".plan").off().on("tap", function() {
				var planId = $(this).attr("plan-id");
				var type = $(this).attr("var");
				if(type == 501) {
					app.ShowWebView(projectConfig.ViewId.Scheme.ConfirmContract.url, {
						SerialNo: planId,
					}, 'pop-in', projectConfig.ViewId.Scheme.ConfirmContract.Id);
				}

				if(type == 5) {
					app.ShowWebView(projectConfig.ViewId.Scheme.TravelPlan.url, {
						SerialNo: Req.data.SerialNo,
						SchemePlanId: planId
					}, 'pop-in', projectConfig.ViewId.Scheme.TravelPlan.Id);
				}
			});

			$(".reason-check-xuanxian").off().on("tap", function() {
				var $thisAll = $(".reason-check-xuanxian i.current");
				$thisAll.removeClass("icon-yixuan");
				$thisAll.removeClass("current");
				$thisAll.addClass("icon-weixuan");
				
				var $this = $(this).find("i");
				
				if($this.hasClass("current")) {
					$this.removeClass("current");
					$this.removeClass("icon-yixuan");
					$this.addClass("icon-weixuan");
				} else {
					$this.addClass("current");
					$this.addClass("icon-yixuan");
					$this.removeClass("icon-weixuan");
				}
				
				var allObj = $(".reason-check-xuanxian i.current");				
				if(allObj) {
					if($("#cancel-footer-btn").hasClass("cee-disabled")){
						$("#cancel-footer-btn").removeClass("cee-disabled");
					}
					
				} else {
					if(!$("#cancel-footer-btn").hasClass("cee-disabled")){
						$("#cancel-footer-btn").addClass("cee-disabled");
					}
				}
			});

			$("#cancel-footer-btn").off().on("tap", function() {
				if(!$(this).hasClass("cee-disabled")) {
					$("#cancel-footer").slideToggle(200);
					$("#quxiaoback").hide();
					CancelClick();
				}
			});
			
			$("#quxiaoback").off().on("tap", function() {
				$("#cancel-footer").slideToggle(200);
				$("#quxiaoback").hide();
			});
			$("#quxiaoback-close").off().on("tap", function() {
				$("#cancel-footer").slideToggle(200);
				$("#quxiaoback").hide();
			});
		}

		function CancelClick() {
			var ids = new Array();
			var id = $(".reason-check-xuanxian").find("i.current").attr("data-id");
			var name =  $(".reason-check-xuanxian").find("i.current").attr("data-val");
			RepCancel.data.CancelResonId = id;
			RepCancel.data.CancelReson = name;
			
			var callback = function(data) {
				if(app.GetResultState(data)) {
					
					if(data.Code == "0000"){
						app.showMsg("取消成功！");
						_init();
					}
					
				} else {
					app.showMsg(data.Msg);
				}
			}
			
			app.showWaiting("正在取消...",1);

			app.Post(RepCancel, null, callback);

		}

		/**
		 * 支付
		 */
		function PayButtonClick() {
			app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, {
				SerialNo: ReqSp.SerialNo,
				isListOrDetail: 1,
				ProductType:_ProductType
			}, 'pop-in', projectConfig.ViewId.Payment.Cashier.Id);
		}

		function ReserveClick() {
			app.ShowWebView(projectConfig.ViewId.Trip.Index.url, {}, 'pop-in', projectConfig.ViewId.Trip.Index.Id);
		}

		function ConfirmPlanClick() {
			app.ShowWebView(projectConfig.ViewId.Scheme.ConfirmContract.url, {
				SerialNo: ReqSp.SerialNo
			}, 'pop-in', projectConfig.ViewId.Scheme.ConfirmContract.Id);
		}

		/**
		 * template 格式化
		 */
		function _StausIconFormat(type) {
			var str = "";
			switch(type) {
				case 1:
					//设计中
					str = "icon-sjz";
					break;
				case 11:
					//待确认方案
					str = "icon-dqr";
					break;
				case 2:
					//待上传合同
					str = "icon-scht";
					break;
				case 21:
					//待确认合同
					str = "icon-dqr";
					break;
				case 31:
					//待付定金
					str = "icon-dfk";
					break;
				case 32:
					//待付全款
					str = "icon-dfk";
					break;
				case 33:
					//待付尾款
					str = "icon-dfk";
					break;
				case 34:
					//待付差价
					str = "icon-dfk";
					break;
				case 41:
					//待出游
					str = "icon-dcx";
					break;
				case 42:
					//待出游
					str = "icon-dcx";
					break;
				case 43:
					//待出游
					str = "icon-dcx";
					break;
				case 44:
					//待出游
					str = "icon-dcx";
					break;
				case 45:
					//出游中
					str = "icon-ycx";
					break;
				case 5:
					//已出游
					str = "icon-ycx";
					break;
				case 61:
					//已取消
					str = "icon-qx";
					break;
				case 62:
					//已取消
					str = "icon-qx";
					break;
				case 63:
					//已取消
					str = "icon-qx";
					break;
				case 64:
					//已取消
					str = "icon-qx";
					break;
				case 71:
					//退款中
					str = "icon-scht";
					break;
				case 72:
					//已退款
					str = "icon-scht";
					break;
				case 51:
					//已出游
					str = "icon-ycx";
					break;
				default:
					break;
			}
			return str;
		}

		function _buttomFormat(buttonList) {
			var btClass = "";
			if(!!buttonList) {
				switch(buttonList.Type) {
					case 5:
						btClass = "btn-confirm";
						break;
					case 6:
						btClass = "btn-cancel";
						break;
					case 100:
						btClass = "btn-pay";
						break;
					case 303:
						btClass = "btn-normal";
						break;
					case 304:
						btClass = "btn-normal";
						break;
					case 0:
						btClass = "btn-normal disable";
						break;
					default:
						btClass = "";
						break;
				}
			}

			return btClass;
		}

		/**
		 * 格式化状态数据
		 * 
		 * @param {Object} StatusDes
		 * @param {Object} SupplierCount
		 */
		function _StatusFormat(StatusDes, SupplierCount, StatusVal) {
			var startdesc = "";
			var count = "";
			var enddesc = "";
			try {
				var desc = StatusDes.split("SupplierCount");
				startdesc = desc[0];
				count = SupplierCount;
				enddesc = desc[1];
			} catch(e) {
				_newDate = new Date();
			}

			return { startdesc: startdesc, count: count, enddesc: enddesc, statusVal: StatusVal };
		}

		return {
			plusReady: plusReady,
			init: init,
			test:test,
			callbackRefresh:callbackRefresh
		}
	})();

})(window, $)