(function(window, $) {
	window.customService = {
		init: function() {
			var settings = app.getSettings();
			var questionParam = {
				url: 'Scheme/GetQuestionType',
				data: {}
			};
			
			$("#callphone").off().on("tap",function(){
				plus.device.dial("4000678688",false);
			});
			app.showWaiting("加载中...",1);
			app.Post(questionParam, null, function(result) {
				//问题
				//var icon = ['#icon-zfwt','#icon-zhwt','#icon-dzwt','#icon-jdwt'];
//				var icon = ['#icon-jdwt', '#icon-dzwt', '#icon-zhwt', '#icon-zfwt'];
//				result.QuestionTypes.forEach(function(value, index) {
//					result.QuestionTypes[index]['icon'] = icon[index];
//				});
				var QuestionTmpl = template('question-tmpl', result);
				document.getElementById('question-container').innerHTML = QuestionTmpl;

				//上面导航点击
				$(".service-list").off().on('tap', function() {
					var id = $(this).attr('data-id');
					var name = $(this).attr('data-name');
					app.ShowWebView("../CustomService/questionDetail.html", {
						TypeId: id,
						name: name
					});
				});
			});

			//获取常见问题

			var comomList = {
				url: 'Scheme/GetQuestios',
				data: {}
			};

			app.Post(comomList, null, function(result) {
				var commonQuestionTmpl = template('common-question-tmpl', result);
				document.getElementById('common-question-container').innerHTML = commonQuestionTmpl;
				$("#order-load").hide();
				$(".mui-content").show();
				$(".question-list").off().on('tap', function() {
					var QuestionId = $(this).attr('data-id');
					app.ShowWebView("../CustomService/detail.html", {
						QuestionId: QuestionId
					});
				});
			});
		}
	}
})(window, $);