(function(window, $){
	var store = {
		data:[],
		index:1,
		totalPage:1,
		TypeId:'',
		size:2
	};
	
	window.totalQuestion = {
		init:function(){
			var req = plus.webview.currentWebview();
			var id = req.TypeId;
			var name = req.name;
			
			store.TypeId = id;
			$("#title").text(name);
			
			
		}
	}
	
	
	function pullDown(){
		var request = {
			url:'Scheme/GetQuestios',
			data:{
				TypeId:store.TypeId,
				Page:{
					Index:1,
					Size:store.size
				}
			}
		};
		var that = this;
		app.Post(request,null,function(result){
			
			store.data = [];
			store.index = 1;
			var newData = store.data.concat(result.Questions);
			var listTmpl = template('list-tmpl',{
				Questions:newData
			});
			
			//document.getElementById('list-container').innerHTML = listTmpl;
			$("#list-container").html(listTmpl);
			$("#order-load").hide();
			$("#pullrefresh").show();
			$(".question-list").off().on('tap',function(){
				var QuestionId = $(this).attr('data-id');
				app.ShowWebView("../CustomService/detail.html",{
					QuestionId:QuestionId
				});
			});
			store.data = newData;
			$("#pullrefresh").fadeIn();
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
		});
		
	}
	function pullfreshQuestion(){
		var request = {
			url:'Scheme/GetQuestios',
			data:{
				TypeId:store.TypeId,
				Page:{
					Index:store.index,
					Size:store.size
				}
			}
		};
		var that = this;
		if(store.index > store.totalPage){
			that.endPullupToRefresh(true);
		}else{
			app.Post(request,null,function(result){
				store.index ++;
				store.totalPage = result.PageInfo.Amount;
				if(store.totalPage == 1){
					mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				}
				var newData = store.data.concat(result.Questions);
				var listTmpl = template('list-tmpl',{
					Questions:newData
				});
				
				//document.getElementById('list-container').innerHTML = listTmpl;
				$("#list-container").html(listTmpl);
				$("#order-load").hide();
				$("#pullrefresh").show();
				$(".question-list").off().on('tap',function(){
					var QuestionId = $(this).attr('data-id');
					app.ShowWebView("../CustomService/detail.html",{
						QuestionId:QuestionId
					});
				});
				store.data = newData;
				if(store.index <= store.totalPage){
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
				}else{
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
				}
				
			});
		}
		
	}
})(window, $);