app.forgetPwdStep1 = {
	init: function() {
		var self = app.forgetPwdStep1;
		self.render();
	},
	render: function() {
		var self = app.forgetPwdStep1;
		self.initGetVcode();
		self.initSub();
	},
	initGetVcode: function() {
		var $pContent = $('.p_yy_forgetPwdStep1');
		var $vCodeBtn = $pContent.find('.get-vCode input');
		var $mobile = $pContent.find('.mobile input');
		$vCodeBtn.off().on('tap', function() {
			$mobile.blur();
			var mobile = $mobile.val();
			if(!mobile) {
				plus.nativeUI.toast('请输入手机号');
				return false;
			}
			if(!app.checkMobile(mobile)) {
				plus.nativeUI.toast('手机号格式不正确');
				return false;
			}
			app.sendSMSCode(mobile, 3); //发送Ajax请求
			app.setSMSSendTime("getSmsCode"); //实现读秒的效果
		});
	},
	initSub: function() {
		var self = app.forgetPwdStep1;
		var $pContent = $('.p_yy_forgetPwdStep1');
		var $vCode = $pContent.find('.v-code input');
		var $mobile = $pContent.find('.mobile input');
		var $subBtn = $pContent.find('.sub-btn');
		$subBtn.off().on('tap', function() {
			$vCode.blur();
			$mobile.blur();
			var tap=$(this).attr("isTap");
			if(tap==1)
				return;
			var mobile = $mobile.val();
			var vCode = $vCode.val();
			
			if(!mobile) {
				plus.nativeUI.toast('请输入手机号');
				$(this).attr("isTap",0);
				return false;
			}
			if(!app.checkMobile(mobile)) {
				plus.nativeUI.toast('手机号格式不正确');
				$(this).attr("isTap",0);
				return false;
			}
			if(!vCode) {
				plus.nativeUI.toast('请输入验证码 ');
				$(this).attr("isTap",0);
				return false;
			}
			if(vCode.length != 4) {
				plus.nativeUI.toast('请输入正确的验证码');
				$(this).attr("isTap",0);
				return false;
			} else if(!app.checkNum(vCode)) {
				plus.nativeUI.toast('请输入正确的验证码');
				$(this).attr("isTap",0);
				return false;
			}

			var entity = {
				url: projectConfig.apiName.ForgetPasswordCheck,
				data: {
					phone: mobile,
					code: vCode
				}
			}
			app.Post(entity, null, app.forgetPwdStep1.ForgetPasswordCheckCallBack);
		})

	},
	ForgetPasswordCheckCallBack: function(data) { 
		if(data.Code == '0000') {
			var $pContent = $('.p_yy_forgetPwdStep1');
			var mobile = $pContent.find('.mobile input').val();
			var settings = app.getSettings();
			settings.MemberId = data.memberId;
			settings.phone = mobile;
			app.setSettings(settings);
			app.ShowWebView(projectConfig.viewid.Customer.forgetPwdStep2.url, {
				'mobile': mobile
			}, null, projectConfig.viewid.Customer.forgetPwdStep2.Id);
		} else {
			plus.nativeUI.toast(data.Msg);
			$(this).attr("isTap",0);
		}
	}
}