app.DemandIndex = {
	LoadStatus: {
		currentIsLoad: 0,
		historyIsLoad: 0,
		hotIsLoad: 0,
		economicalIsLoad: 0,
		comfortableIsLoad: 0,
		highIsLoad: 0,
		luxuryIsLoad: 0,
		destinationHistoryTab: 1,
		brandHistoryTab: 1,
		isInputEnd: true,
		searchType: 1
	},
	searchCurrent: {
		url: projectConfig.apiName.GetDestinationList,
		data: {
			DestReqType: "current",
			DestList: []
		}
	},
	searchHistory: {
		url: projectConfig.apiName.GetDestinationList,
		data: {
			DestReqType: "history",
			DestList: []
		}
	},
	searchHot: {
		url: projectConfig.apiName.GetDestinationList,
		data: {
			DestReqType: "hot",
			DestList: []
		}
	},
	searchDetail: {
		Type: 0,
		Id: 0,
		Name: ''
	},
	searchBrand: {
		url: projectConfig.apiName.GetBrandList,
		data: {
			BrandType: 0,
			CityId: 0
		}
	},
	setSearchBrand: {
		brandId: 0,
		brandName: "",
		hotelId: 0,
		hotelName: "",
		keyword: "",
		type: 0 // 0 关键字 1 品牌  2 酒店  
	},
	setSearchDestination: {
		id: 0,
		name: "",
		type: 0, //1 城市 2 行政区  3 商业区
		cityId: 0
	},
	searchDestinationList: {
		url: projectConfig.apiName.SearchDestinationList,
		data: {
			Type: 0,
			Key: ""
		}
	},
	searchBrandList: {
		url: "Search/SearchBrandAndHotelList",
		data: {
			Key: "",
			CityId: 0
		}
	},
	Init: function() {
		$("#searchRoomType span").click(function() {
			var $icon = $(this).find("i");
			if(!$icon.hasClass("active")) {
				var $active = $("#searchRoomType span i.active");
				$active.removeClass("active");
				$active.removeClass("icon-index-yixuanzhong");
				$active.addClass("icon-index-weixuanzhong");

				$icon.addClass("active");
				$icon.addClass("icon-index-yixuanzhong");
				$icon.removeClass("icon-index-weixuanzhong");

			}
		});
		$(".home-list-ul-title span").click(function() {
			var self = app.DemandIndex;
			var type = $(this).attr("val");
			if($(this).hasClass("current")) {
				return;
			}
			$(".home-list-ul-title span.current").removeClass("current");
			$(this).addClass("current");
			self.InitOption(type);
		});
		$("#searchDestination").click(function() {
			app.ShowWebView("../Demand/SearchDestination.html");
		});
		$("#searchBrand").click(function() {
			var settings = app.getSettings();
			var brand = settings.brandhistory;
			var brandId = 0;
			var brandName = "";
			var brandType = 0;

			if(brand != undefined) {
				brandId = brand.id;
				brandName = brand.name;
				brandType = brand.type;
			}

			var cityId = $("#hidCityId").val();
			if(cityId == "" || cityId == 0) {
				plus.nativeUI.toast("请先选择目的地！");
				return;
			}
			var pagedata = {
				cityId: cityId,
				brandId: brandId,
				brandName: brandName,
				brandType: brandType
			};
			app.ShowWebView("../Demand/SearchBrand.html", pagedata);
		});
		$(".area-search-close").click(function() {
			var viewId = plus.webview.currentWebview();
			var settings = app.getSettings();
			var brand = settings.brandhistory;
			var brandId = 0;
			var brandName = "";
			var brandType = 0;

			if(brand != undefined) {
				brandId = brand.id;
				brandName = brand.name;
				brandType = brand.type;
			}

			if(!otherView) {
				otherView = plus.webview.getWebviewById(viewId);
			}

			mui.fire(otherView, 'setBrand', {
				id: brandId,
				name: brandName,
				type: brandType
			});

			app.HideWebView(viewId.id);
		});
		$(".room-teshu :text").blur(function() {
			if($(this).val().length > 20) {
				plus.nativeUI.toast('特殊要求备注不能超过20个字!');
			}
		});
		$(".room-teshu .icon-sike").click(function() {
			$(this).prev().val("");
		});

		$('.area-list').on('scroll', function() {
			$("#txtSearchKey").blur();
		});

		$("#btnSearch").click(function() {
			var self = app.DemandIndex;
			var searchType = self.LoadStatus.searchType;

			var searchParam = {
				url: "Demand/SubmitDemandInfoV2",
				data: {
					Dest: {
						Type: 0,
						Id: [],
						Name: ''
					},
					Key: {

					}, //{Type: ,Name: ,Id: ,}
					CheckList: [],
					Price: [],
					RoomList: [], //[{Type:1,Amount:roomOne},{Type:2,Amount:roomTwo},{Type:3,Amount:roomThree},{Type:4,Amount:roomSuite}]
					StarRateList: [],
					SpecialList: [],
					CityId: 0
				}
			};
			var destId = $("#hidDestinationId").val();
			if(destId == "" || destId == 0) {
				plus.nativeUI.toast("请选择目的地！");
				return false;
			}
			searchParam.data.Dest.Type = $("#hidDestinationType").val();
			searchParam.data.Dest.Id.push(destId);
			searchParam.data.Dest.Name = $("#hidDestinationName").val();
			var dates = $("#hidDates").val();
			if(dates.length <= 0) {
				plus.nativeUI.toast("请选择入住日期！");
				return false;
			}
			var dateArray = dates.split(',');
			for(i = 0; i < dateArray.length; i++) {
				searchParam.data.CheckList.push(dateArray[i]);
			}
			if(searchType == 2) {
				var roomOne = $("#hidOneCount").val();
				var roomTwo = $("#hidTwoCount").val();
				var roomThree = $("#hidThreeCount").val();
				var roomSuite = $("#hidSuiteCount").val();

				if(roomOne == 0 && roomTwo == 0 && roomThree == 0 && roomSuite == 0) {
					plus.nativeUI.toast("请选择房型数量！");
					return false;
				}

				if(roomOne != 0) {
					var rOne = {};
					rOne.Type = 1;
					rOne.Amount = roomOne;
					searchParam.data.RoomList.push(rOne); //rOne{Type:1,Amount:roomOne}
				}
				if(roomTwo != 0) {
					var rTwo = {};
					rTwo.Type = 2;
					rTwo.Amount = roomTwo;
					searchParam.data.RoomList.push(rTwo); //rTwo{Type:2,Amount:roomTwo}
				}
				if(roomThree != 0) {
					var rThree = {};
					rThree.Type = 3;
					rThree.Amount = roomThree;
					searchParam.data.RoomList.push(rThree); //rThree{Type:3,Amount:roomThree}
				}
				if(roomSuite != 0) {
					var rSuite = {};
					rSuite.Type = 4;
					rSuite.Amount = roomSuite;
					searchParam.data.RoomList.push(roomSuite); //rSuite{Type:4,Amount:roomSuite}
				}

				var Numb = Number(roomOne) + Number(roomTwo) + Number(roomThree) + Number(roomSuite);

				if(Numb < 5) {
					plus.nativeUI.toast("很抱歉，您的房量需求未达到团房标准，至少>=5间");
					return false;
				}

				var min = $("#hidMinPrice").val();
				var max = $("#hidMaxPrice").val();
				if(min.length <= 0) {
					min = 0;
				}
				if(max.length <= 0) {
					max = 0;
				}
				if(min == 0 && max == 0) {
					plus.nativeUI.toast("请选择价格！");
					return false;
				}
			}

			if(searchType == 1) {
				var brandType = $("#hidBrandType").val();
				if(brandType != "") {
					var brandName = $("#hidBrandName").val();
					var brandId = $("#hidBrandId").val();
					var brand = {};
					brand.Type = brandType;
					brand.Name = brandName;
					brand.Id = [];
					brand.Id.push(brandId);
					searchParam.data.Key = brand;
				}
			}

			searchParam.data.Price.push(min);
			searchParam.data.Price.push(max);
			var star = $("#hidStar").val();
			if(star.length > 0) {
				var stars = star.split(',');
				for(j = 0; j < star.length; j++) { //??? 应该是stars
					if(stars[j] != null && stars[j] != "") {
						searchParam.data.StarRateList.push(stars[j]);
					}

				}
			} else {
				searchParam.data.StarRateList.push(0);
			}
			if(searchType == 2) {
				var flight = $("#hidFlight").val();
				var flightDes = $("#hidFlightDes").val();
				var take = $("#hidTake").val();
				var takeDes = $("#hidTakeDes").val();
				var conference = $("#hidConference").val();
				var conferenceDes = $("#hidConferenceDes").val();
				var ticket = $("#hidTicket").val();
				var ticketDes = $("#hidTicketDes").val();
				if(flight == 1) {
					var flights = {};
					flights.Type = 1;
					flights.Desc = flightDes;
					searchParam.data.SpecialList.push(flights);
				}
				if(take == 1) {
					var takes = {};
					takes.Type = 2;
					takes.Desc = takeDes;
					searchParam.data.SpecialList.push(takes);
				}
				if(conference == 1) {
					var conferences = {};
					conferences.Type = 3;
					conferences.Desc = conferenceDes;
					searchParam.data.SpecialList.push(conferences);
				}
				if(ticket == 1) {
					var tickets = {};
					tickets.Type = 4;
					tickets.Desc = ticketDes;
					searchParam.data.SpecialList.push(tickets);
				}
			}
			searchParam.data.CityId = $("#hidCityId").val();
			var settings = app.getSettings();
			settings.searchparam = searchParam.data;
			settings.searchType = searchType;
			app.setSettings(settings);

			if(searchType == 1) {
				settings.searchparamOptional = searchParam.data;
				app.setSettings(settings);
				app.ShowWebView("../Demand/NewHotelList.html", {});
			} else {
				settings.searchparamIntelligent = searchParam.data;
				app.setSettings(settings);
				app.Post(searchParam, null, app.DemandIndex.SubmitDemandDCallback);
			}

		});

	},
	InitOption: function(type) {
		var self = app.DemandIndex;
		self.LoadStatus.searchType = type;

		$(".home-list-ul-title li span").each(function() {
			var val = $(this).attr("val");
			if(type == val) {
				if(!$(this).hasClass("current")) {
					$(this).addClass("current");
				}
			} else {
				if($(this).hasClass("current")) {
					$(this).removeClass("current");
				}
			}
		});

		if(type == 2) {
			$("#searchBrand").hide();
			$("#searchRoom").show();
			$("#searchSpecial").show();
			//self.LoadStatus.searchType = type;
			$("#btnSearch").html("开始竞价");
			$("#priceTitle").html("预算（间夜）");

		} else {
			$("#searchRoom").hide();
			$("#searchBrand").show();
			$("#searchSpecial").hide();
			//	self.LoadStatus.searchType = type;
			$("#btnSearch").html("开始搜索");
			$("#priceTitle").html("价格（间夜）");
		}

		var settings = app.getSettings();
		var systemDate = settings.systemDate;
		if(systemDate == undefined) {
			var _readDate = function(data) {
				data = data || {};
				var mydate = new Date();
				if(data.Code == '0000') {
					mydate = new Date(data.Now.replace(/-/g, "/"));
				}
				settings.systemDate = mydate;
				app.setSettings(settings);
				self.ReloadHistory(type);
			}
			app.Post(app.GetServicesTimeEntity, null, _readDate);
		} else {
			self.ReloadHistory(type);
		}

	},
	initHistory: function() {
		var settings = app.getSettings();
		var searchType = settings.searchType;
		if(searchType != undefined) {

			app.DemandIndex.InitOption(searchType);
			app.DemandIndex.LoadStatus.searchType = searchType;
		} else {
			app.DemandIndex.InitOption(1);
			app.DemandIndex.LoadStatus.searchType = 1;
		}

		app.DemandIndex.GetRoomHistory();
		app.DemandIndex.GetBrandHistory();
		app.DemandIndex.GetPrictHistory();
		app.DemandIndex.GetSpecialHistory();
		app.DemandIndex.GetDateHistory();
	},
	ReloadHistory: function(type) {
		var settings = app.getSettings();
		if(type == 1) {
			settings.searchType = 1;
			settings.roomhistory = settings.roomhistoryOptional;
			settings.brandhistory = settings.brandhistoryOptional;
			settings.pricehistory = settings.pricehistoryOptional;
			settings.specialhistory = settings.specialhistoryOptional;
			settings.datehistory = settings.datehistoryOptional;
			settings.cityhistory = settings.cityhistoryOptional;
			if(settings.datehistory == undefined) {
				settings = app.CeeKee_Date.initDateDefault(settings);
			}
		}

		if(type == 2) {
			settings.searchType = 2;
			settings.roomhistory = settings.roomhistoryIntelligent;
			settings.brandhistory = settings.brandhistoryIntelligent;
			settings.pricehistory = settings.pricehistoryIntelligent;
			settings.specialhistory = settings.specialhistoryIntelligent;
			settings.datehistory = settings.datehistoryIntelligent;
			settings.cityhistory = settings.cityhistoryIntelligent;
			//{"dates":"2017-02-22,2017-02-23","show":"02.22-02.23, 共 1 晚"}
			if(settings.datehistory == undefined) {
				settings = app.CeeKee_Date.initDateDefault(settings);
			}
		}
		app.setSettings(settings);

		//初始化
		$(".room-price-starsel li").removeClass("current");

		app.DemandIndex.InitCurrentCity();
		app.DemandIndex.GetRoomHistory();
		app.DemandIndex.GetBrandHistory();
		app.DemandIndex.GetPrictHistory();
		app.DemandIndex.GetSpecialHistory();
		app.DemandIndex.GetDateHistory();

		var settings = app.getSettings();
		//存储时间
		var systemDate = settings.systemDate;

		//app.getSettings(settings);
		if(systemDate != undefined) {
			app.CeeKee_Date.ReloadDateNew();
			systemDate = new Date(systemDate);
			app.CeeKee_Date.loadDateHistory(systemDate);
		}

	},
	SubmitDemandDCallback: function(data) {
		if(data.Code == "0000") {
			var pageParam = { DId: data.Did };
			app.ShowWebNewView('../Demand/DemandDetail.html', { dId: data.Did }, null, '../Demand/DemandDetail.html');
		} else {
			plus.nativeUI.toast(data.Msg);
		}
	},
	InitCurrentCity: function() {
		var settings = app.getSettings();
		var currentCity = app.DemandIndex.GetDestinationHistory();
		if(currentCity != undefined && currentCity.length > 0) {
			var citydetail = currentCity[0];
			$("#homeCityName").addClass("current");
			$("#homeCityName").val(citydetail.name);
			$("#hidCityId").val(citydetail.cityId);
			$("#hidDestinationId").val(citydetail.id);
			$("#hidDestinationName").val(citydetail.name);
			$("#hidDestinationType").val(citydetail.type);
		} else {
			$("#homeCityName").removeClass("current");
			$("#homeCityName").val("");
			$("#hidCityId").val("");
			$("#hidDestinationId").val("");
			$("#hidDestinationName").val("");
			$("#hidDestinationType").val("");
		}
	},
	InitDestination: function() {
		$("#tab1").click(function() {
			if($(this).hasClass("hover")) {
				return;
			}
			app.DemandIndex.CheckTab(1);
			app.DemandIndex.LoadStatus.destinationHistoryTab = 1;
			if(app.DemandIndex.LoadStatus.currentIsLoad == 1) {
				return;
			}
			app.Loading($("#con_tab_1"), "30%");
			app.DemandIndex.LoadCurrentCity("con_tab_1");
		});
		$("#tab2").click(function() {
			if($(this).hasClass("hover")) {
				return;
			}
			app.Loading($("#con_tab_2"), "30%");
			app.DemandIndex.CheckTab(2);
			app.DemandIndex.LoadStatus.destinationHistoryTab = 2;
			app.DemandIndex.LoadHistoryCity("con_tab_2");
		});
		$("#tab3").click(function() {
			if($(this).hasClass("hover")) {
				return;
			}
			app.DemandIndex.CheckTab(3);
			app.DemandIndex.LoadStatus.destinationHistoryTab = 3;
			if(app.DemandIndex.LoadStatus.hotIsLoad == 1) {
				return;
			}
			app.Loading($("#con_tab_3"), "30%");
			app.DemandIndex.LoadHotCity("con_tab_3");
		});

		$("#btnCancelKey").click(function() {
			$(this).next().val('');
			document.getElementById('txtSearchKey').value = '';
			app.DemandIndex.CheckTab(app.DemandIndex.LoadStatus.destinationHistoryTab);
			if(app.DemandIndex.LoadStatus.destinationHistoryTab == 1) {
				app.DemandIndex.LoadCurrentCity("con_tab_1");
			} else if(app.DemandIndex.LoadStatus.destinationHistoryTab == 2) {
				app.DemandIndex.LoadHistoryCity("con_tab_2");
			} else if(app.DemandIndex.LoadStatus.destinationHistoryTab == 3) {
				app.DemandIndex.LoadHotCity("con_tab_3");
			}

			$("#searchTab").show();
			$("#btnCancelKey").hide();
			//修复 沉侵式 
			var bi = plus.navigator.isImmersedStatusbar();
			var hi = plus.navigator.getStatusbarHeight();
			var newHi = 0;
			if(bi)
			{
				newHi = hi;
			}
			
			$(".mui-scroll-wrapper").css("margin-top", 155+newHi+"px");
		});
		$('#txtSearchKey').on("input", function() {
			if(app.DemandIndex.LoadStatus.isInputEnd) {
				app.DemandIndex.OnSearchDestination();
			}
		});
		$('#txtSearchKey').on("compositionstart", function() {
			app.DemandIndex.LoadStatus.isInputEnd = false;
		});
		$('#txtSearchKey').on("compositionend", function() {
			app.DemandIndex.LoadStatus.isInputEnd = true;
			if(app.DemandIndex.LoadStatus.isInputEnd) {
				app.DemandIndex.OnSearchDestination();
			}
		});
		$('#txtSearchKey').keyup(function(event) {
			if(event.keyCode == 13) {
				app.DemandIndex.OnSearchDestination();
			}
		});

		app.DemandIndex.CheckTab(3);
		app.DemandIndex.LoadStatus.destinationHistoryTab = 3;
		if(app.DemandIndex.LoadStatus.hotIsLoad == 1) {
			return;
		}		
		app.Loading($("#con_tab_3"), "30%");
		app.DemandIndex.LoadHotCity("con_tab_3");
	},
	OnSearchDestination: function() {
		
		//修复 沉侵式 
			var bi = plus.navigator.isImmersedStatusbar();
			var hi = plus.navigator.getStatusbarHeight();
			var newHi = 0;
			if(bi)
			{
				newHi = hi;
			}
			
		
		
		var keyobj = $("#txtSearchKey");
		var key = keyobj.val();
		var temp = key.substring(key.length - 1, 1);
		if(temp == " ") {
			key = key.substring(0, key.length - 1);
			$("#txtSearchKey").val(key);
			return false;
		}
		if(key.length > 0) {
			$("#btnCancelKey").show();
			$("#searchTab").hide();
			$(".mui-scroll-wrapper").css("margin-top", 110+newHi+"px");
			app.DemandIndex.SearchDestinationByKey(key);
			app.DemandIndex.CheckTab(4);
		} else {
			$("#btnCancelKey").hide();
			$("#searchTab").show();
			$(".mui-scroll-wrapper").css("margin-top", 155+newHi+"px");
			app.DemandIndex.CheckTab(app.DemandIndex.LoadStatus.destinationHistoryTab);
			if(app.DemandIndex.LoadStatus.destinationHistoryTab == 1) {
				$("#tab1").click();
			} else if(app.DemandIndex.LoadStatus.destinationHistoryTab == 2) {
				$("#tab2").click();
			} else if(app.DemandIndex.LoadStatus.destinationHistoryTab == 3) {
				$("#tab3").click();
			}
		}
	},
	LoadDestinationDetail: function(list, tabId) {
		var details = new Array();
		var settings = app.getSettings();
		var City = settings.cityhistory;
		var self = plus.webview.currentWebview();
		var CityId = 0;
		if(City != undefined && City.length > 0) {
			CityId = City[0].cityId;
		}
		if(self) {
			var dest = self.Dest;
			if(dest){
				CityId = dest.Id[0];
			}else{
				CityId = '';
			}
			
		}
		var CityClass = "";
		if(list.length > 0) {
			details.push('<ul>');
			for(i = 0; i < list.length; i++) {
				var detail = list[i];
				if(CityId != 0 && detail.Id == CityId) {
					CityClass = "class=\"li-active\"";
				}

				var current = app.DemandIndex.GetListSvg(detail.Type);
				details.push('<li ' + CityClass + ' id="' + detail.Id + '" cityId="' + detail.CityId + '" type="' + detail.Type + '" name="' + detail.Name + '">');
				details.push('<a href="javascript:void(0)">');
				if(detail.Type == 1)
					details.push('<i class="' + current + '"></i>');
				if(detail.Type == 2)
					details.push('<i class="' + current + '"></i>');
				if(detail.Type == 3)
					details.push('<i class="' + current + '"></i>');
				details.push('<span class="area-title"><h3>' + detail.Name + '</h3><p>' + detail.Desc + '</p></span>');
				if(flag==0){
					details.push('<span class="area-Hotel">' + detail.Amount + '&#xe615;</span>');
				}
				else{
					details.push('<span class="area-Hotel">&#xe615;</span>');
				}				
				details.push('</a>');
				details.push('</li>');
				CityClass = "";
			}
			details.push('</ul>');
			$("#" + tabId).css("overflow", "auto");
		} else {
			app.LoadSearchNull($("#" + tabId), "noBrand");
			$("#" + tabId).css("overflow", "hidden");
		}

		$("#" + tabId).html(details.join(''));
	},
	CheckTab: function(num) {
		$(".tab li").removeClass("hover");
		$("#tab" + num).addClass("hover");
		$(".area-list").removeClass("hover").hide();
		$("#con_tab_" + num).addClass("hover").show();
	},
	LoadCurrentCity: function(tabId) {
		app.Loading($("#con_tab_1"), "30%");
		plus.geolocation.getCurrentPosition(function(p) {
			var settings = app.getSettings();
			var currentCity = settings["currentCity"];
			var loadCity = false;
			var countryName = p.address.country;
			var proviceName = p.address.province;
			var cityName = p.address.city;
			var districtName = p.address.district;
			var searchDetail = app.DemandIndex.searchDetail;
			var sCurrent = app.DemandIndex.searchCurrent;
			searchDetail.Type = 1;
			searchDetail.Name = cityName;
			searchDetail.Id = 0;
			sCurrent.data.DestList.push(searchDetail);
			if(sCurrent.data)
			var version = plus.os.version;
			var vs = version.split('.');
			if(vs[0] < 9) {
				app.apiUrl=app.apiUrl.replace("https","http");
			}
			var version = plus.os.version;
			var vs = version.split('.');
			if(vs[0] < 9) {
				app.apiUrl=app.apiUrl.replace("https","http");
			}
				mui.ajax(app.apiUrl + sCurrent.url, {
					data: app.GetSerializeJson(sCurrent.data),
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					timeout: 5000, //超时时间设置为5秒；
					success: function(data) {
						//服务器返回响应，根据响应结果，分析是否登录成功；
						if(data.Code == "0000") {
							if(data.DestList.length > 0) {
								app.DemandIndex.LoadStatus.currentIsLoad = 1;
								app.DemandIndex.LoadDestinationDetail(data.DestList, tabId);
								return;
							} else {
								app.renderNoResult("未获取到当前定位信息", '', null, null, $("#" + tabId));
								$("#" + tabId).css("overflow", "hidden");
							}
						}
					},
					error: function(xhr, type, errorThrown) {
						app.renderNoResult("未获取到当前定位信息", '', null, null, $("#" + tabId));
						$("#" + tabId).css("overflow", "hidden");
						//					app.LoadSearchNull($("#" + tabId), "noBrand");
					}
				});
		}, function(e) {
			app.renderNoResult("定位服务被禁用", '', null, null, $("#" + tabId));
			$("#" + tabId).css("overflow", "hidden");
			//			app.showMsg("请开启位置服务");
			mui.alert("该项服务需要使用定位功能，请重启定位服务", "定位服务被禁用", "知道了");
		});
	},
	LoadHistoryCity: function(tabId) {
		app.DemandIndex.searchHistory.data.DestList = [];
		var sCurrent = app.DemandIndex.searchHistory;
		var settings = app.getSettings();
		var history = app.DemandIndex.GetDestinationHistory()
		if(history != undefined && history.length > 0) {
			for(i = 0; i < history.length; i++) {
				var detail = {};
				detail.Type = history[i].type;
				detail.Id = history[i].id;
				sCurrent.data.DestList.push(detail);
			}
			var version = plus.os.version;
			var vs = version.split('.');
			if(vs[0] < 9) {
				app.apiUrl=app.apiUrl.replace("https","http");
			}
			mui.ajax(app.apiUrl + sCurrent.url, {
				data: app.GetSerializeJson(sCurrent.data),
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 5000, //超时时间设置为5秒；
				success: function(data) {
					//服务器返回响应，根据响应结果，分析是否登录成功；
					if(data.Code == "0000") {
						if(data.DestList.length > 0) {
							app.DemandIndex.LoadStatus.historyIsLoad = 1;
							app.DemandIndex.LoadDestinationDetail(data.DestList, tabId);
							return;
						}
					}
					app.LoadSearchNull($("#" + tabId), "noBrand");
					$("#" + tabId).css("overflow", "hidden");
				},
				error: function(xhr, type, errorThrown) {
					app.LoadSearchNull($("#" + tabId), "noBrand");
					$("#" + tabId).css("overflow", "hidden");
				}
			});
		} else {
			$("#" + tabId).html("");
		}
	},
	LoadHotCity: function(tabId) {
		var sCurrent = app.DemandIndex.searchHot;
		var version = plus.os.version;
			var vs = version.split('.');
			if(vs[0] < 9) {
				app.apiUrl=app.apiUrl.replace("https","http");
			}
		mui.ajax(app.apiUrl + sCurrent.url, {
			data: app.GetSerializeJson(sCurrent.data),
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为5秒；
			success: function(data) { 
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.Code == "0000") {
					if(data.DestList.length > 0) {
						app.DemandIndex.LoadStatus.hotIsLoad = 1;
						app.DemandIndex.LoadDestinationDetail(data.DestList, tabId);
						return;
					}
				}
				app.LoadSearchNull($("#" + tabId), "noBrand");
				$("#" + tabId).css("overflow", "hidden");
			},
			error: function(xhr, type, errorThrown) {
				app.LoadSearchNull($("#" + tabId), "noBrand");
				$("#" + tabId).css("overflow", "hidden");
			}
		});
	},
	InitBrand: function() {
		$("#tab1").click(function() {
			if($(this).hasClass("hover") && app.DemandIndex.LoadStatus.economicalIsLoad == 1) {
				return;
			}
			app.DemandIndex.CheckTab(1);
			app.DemandIndex.LoadStatus.brandHistoryTab = 1;
			if(app.DemandIndex.LoadStatus.economicalIsLoad == 1) {
				return;
			}
			app.Loading($("#con_tab_1"), "30%");
			app.DemandIndex.LoadBrand(2, "con_tab_1");
			localStorage.xtype = "1";
		});
		$("#tab2").click(function() {
			if($(this).hasClass("hover")) {
				return;
			}
			app.DemandIndex.CheckTab(2);
			app.DemandIndex.LoadStatus.brandHistoryTab = 2;
			if(app.DemandIndex.LoadStatus.comfortableIsLoad == 1) {
				return;
			}
			app.Loading($("#con_tab_2"), "30%");
			app.DemandIndex.LoadBrand(3, "con_tab_2");
			localStorage.xtype = "2";
		});
		$("#tab3").click(function() {
			if($(this).hasClass("hover")) {
				return;
			}
			app.DemandIndex.CheckTab(3);
			app.DemandIndex.LoadStatus.brandHistoryTab = 3;
			if(app.DemandIndex.LoadStatus.highIsLoad == 1) {
				return;
			}
			app.Loading($("#con_tab_3"), "30%");
			app.DemandIndex.LoadBrand(4, "con_tab_3");
			localStorage.xtype = "3";
		});
		$("#tab4").click(function() {
			if($(this).hasClass("hover")) {
				return;
			}
			app.DemandIndex.CheckTab(4);
			app.DemandIndex.LoadStatus.brandHistoryTab = 4;
			if(app.DemandIndex.LoadStatus.luxuryIsLoad == 1) {
				return;
			}
			app.Loading($("#con_tab_4"), "30%");
			app.DemandIndex.LoadBrand(5, "con_tab_4");
			localStorage.xtype = "4";
			app.DemandIndex.GetBrandHistory();
		});

		$('#txtSearchKey').on("input", function() {
			if(app.DemandIndex.LoadStatus.isInputEnd) {
				app.DemandIndex.OnOnSearchBrand();
			}
		});
		$('#txtSearchKey').on("compositionstart", function() {
			app.DemandIndex.LoadStatus.isInputEnd = false;
		});
		$('#txtSearchKey').on("compositionend", function() {
			app.DemandIndex.LoadStatus.isInputEnd = true;
		});
		$('#txtSearchKey').keyup(function(event) {
			if(event.keyCode == 13) {
				app.DemandIndex.OnOnSearchBrand();
			}
		});
		var xname=$("#txtSearchKey").val();
		if(localStorage.xtype != undefined&&xname!="") {
			$("#tab"+localStorage.xtype).click();
		} else {
			$("#tab2").click();
		}
		document.getElementById("btnCancelKey").addEventListener("tap", function() {
			if(ShowType == "destination") {

				//				$(this).next().val('');
				//				app.DemandIndex.CheckTab(app.DemandIndex.LoadStatus.brandHistoryTab);
				//				app.DemandIndex.LoadBrand(app.DemandIndex.LoadStatus.brandHistoryTab + 1, "con_tab_" + app.DemandIndex.LoadStatus.brandHistoryTab);
				//				$("#searchTab").show();
			} else {
				document.getElementById('txtSearchKey').value = '';
				//取消选中
				$(".area-list li").each(function() {
					$(this).removeClass("li-active");
				});
				var settings = app.getSettings();
				var entity = {
					id: 0,
					type: 0,
					name: ""
				};
               $("#searchTab").show();
			$("#btnCancelKey").hide();
			localStorage.removeItem("xtype");
			if(app.DemandIndex.LoadStatus.isInputEnd) {
				app.DemandIndex.OnOnSearchBrand();
			}
			//修复 沉侵式 
			var bi = plus.navigator.isImmersedStatusbar();
			var hi = plus.navigator.getStatusbarHeight();
			var newHi = 0;
			if(bi)
			{
				newHi = hi;
			}
			
			
			$(".mui-scroll-wrapper").css("margin-top", 155+newHi+"px");
				otherView = plus.webview.getWebviewById(viewId);
				otherView.evalJS('window.DemandIndex.reCallbackBrand(' + 0 + ',"",' + 0 + ')');
			}
		});

		//app.DemandIndex.LoadBrand(2, "con_tab_1");
	},
	OnOnSearchBrand: function() {

		//修复 沉侵式 
		var bi = plus.navigator.isImmersedStatusbar();
		var hi = plus.navigator.getStatusbarHeight();
		var newHi = 0;
		if(bi)
		{
			newHi = hi;
		}
		
//		$("#search-hei").css("top", 53 +hi+ "px");
//			$("areaList-mui2").css("margin-top", 155 + hi + "px");
//		
		var key = $("#txtSearchKey").val();
		var temp = key.substring(key.length - 1, 1);
		if(temp == " ") {
			key = key.substring(0, key.length - 1);
			$("#txtSearchKey").val(key);
			return false;
		}
		if(key.length > 0) {
			$("#btnCancelKey").show();
			$("#searchTab").hide();
			$(".mui-scroll-wrapper").css("margin-top", 110+newHi+"px");
			app.Loading($("#con_tab_5"), "30%");
			app.DemandIndex.SearchBrandByKey();
			app.DemandIndex.CheckTab(5);
		} else {
			$("#btnCancelKey").hide();
			$("#searchTab").show();
			$(".mui-scroll-wrapper").css("margin-top", 155+newHi+"px");
			app.DemandIndex.CheckTab(app.DemandIndex.LoadStatus.brandHistoryTab);
		}
	},
	LoadBrand: function(type, tabId) {
		if(type == 2 && app.DemandIndex.LoadStatus.economicalIsLoad == 1)
			return;
		if(type == 3 && app.DemandIndex.LoadStatus.comfortableIsLoad == 1)
			return;
		if(type == 4 && app.DemandIndex.LoadStatus.highIsLoad == 1)
			return;
		if(type == 5 && app.DemandIndex.LoadStatus.luxuryIsLoad == 1)
			return;

		var cityId = $("#hidCityId").val();

		var searchBrand = app.DemandIndex.searchBrand;
		searchBrand.data.CityId = cityId;
		searchBrand.data.BrandType = type;
		var version = plus.os.version;
			var vs = version.split('.');
			if(vs[0] < 9) {
				app.apiUrl=app.apiUrl.replace("https","http");
			}
		mui.ajax(app.apiUrl + searchBrand.url, {
			data: app.GetSerializeJson(searchBrand.data),
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 5000, //超时时间设置为5秒；
			success: function(data) {
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.Code == "0000") {
					if(data.BrandList.length > 0) {
						if(type == 2)
							app.DemandIndex.LoadStatus.economicalIsLoad = 1;
						if(type == 3)
							app.DemandIndex.LoadStatus.comfortableIsLoad = 1;
						if(type == 4)
							app.DemandIndex.LoadStatus.highIsLoad = 1;
						if(type == 5)
							app.DemandIndex.LoadStatus.luxuryIsLoad = 1;
						app.DemandIndex.LoadBrandDetail(data.BrandList, tabId);

						return;
					}
				}
				app.LoadSearchNull($("#" + tabId), "noBrand");
				$("#" + tabId).css("overflow", "hidden");
			},
			error: function(xhr, type, errorThrown) {
				app.LoadSearchNull($("#" + tabId), "noBrand");
				$("#" + tabId).css("overflow", "hidden");
			}
		});
	},
	LoadBrandDetail: function(list, tabId) {
		//预加载选中效果
		var settings = app.getSettings();
		var brandId = $("#brandId").val();
		var brandClass = "";

		var details = new Array();
		if(list.length > 0) {
			details.push("<ul>");
			for(i = 0; i < list.length; i++) {
				var detail = list[i];
				if(brandId != 0 && detail.Id == brandId) {
					brandClass = "class=\"li-active\"";
				}

				details.push('<li ' + brandClass + ' type="' + detail.Type + '" id="' + detail.Id + '" name="' + detail.Name + '">');
				details.push('<a href="javascript:void(0)">');
				details.push('<span class="area-title"><h3>' + detail.Name + '</h3><p>' + list[i].Desc + '</p></span>');
				//details.push('<span class="area-Hotel">' + detail.Amount + '&#xe615;</span></a>');
				details.push('</li>');

				brandClass = "";
			}
			details.push("</ul>");
			$("#" + tabId).css("overflow", "auto");
		} else {
			app.LoadSearchNull($("#" + tabId), "noBrand");
			$("#" + tabId).css("overflow", "hidden");
		}
		$("#" + tabId).html(details.join(''));
	},
	GetListSvg: function(type) {
		var className = "";
		switch(type) {
			case 1:
				className = "city-ico";
				break;
			case 2:
				className = "district-ico";
				break;
			case 3:
				className = "county-ico";
				break;
			case 4:
				className = "";
				break;
			default:
				className = "";
				break;
		}

		return className;
	},
	CheckDestination: function(destination) {
		$("#hidDestinationId").val(destination.id);
		$("#hidDestinationName").val(destination.name);
		$("#hidDestinationType").val(destination.type);
		$("#hidCityId").val(destination.cityId);
		if(!!destination.name) {
			$("#homeCityName").addClass("current");
		}
		$("#homeCityName").val(destination.name);

		app.DemandIndex.SetDestinationHistory(destination.id, destination.cityId, destination.name, destination.type);
	},
	CheckBrand: function(brand) {
		$("#hidBrandId").val(brand.brandId);
		$("#hidBrandName").val(brand.brandName);
		$("#hidBrandType").val(brand.type);

		var show = brand.brandName;
		$("#homeBrandName").addClass("current");
		if(show == "") {
			if($("#homeBrandName").hasClass("current")) {
				$("#homeBrandName").removeClass("current");
			}
		}

		$("#homeBrandName").val(show);

		app.DemandIndex.SetBrandHistory(brand.brandId, brand.brandName, brand.type);
	},
	SearchDestinationByKey: function(key) {
		app.Loading($("#con_tab_4"), "30%");
		var searchBrand = app.DemandIndex.searchDestinationList;
		searchBrand.data.Key = key;
		app.Post(searchBrand, $("#con_tab_5"), app.DemandIndex.SearchDestinationCallBack);
	},
	SearchDestinationCallBack: function(data) {
		if(data.Code == "0000") {
			app.DemandIndex.LoadDestinationDetail(data.DestList, "con_tab_4");
		} else {
			app.LoadSearchNull($("#con_tab_4"), "noBrand");
		}
	},
	SearchBrandByKey: function() {
		var key = $("#txtSearchKey").val();
		var cityId = $("#hidCityId").val();
		var searchBrand = app.DemandIndex.searchBrandList;
		searchBrand.data.Key = key;
		searchBrand.data.CityId = cityId;
		app.Post(searchBrand, $("#con_tab_5"), app.DemandIndex.SearchBrandCallBack);
	},
	SearchBrandCallBack: function(data) {
		if(data.Code == "0000") {
			app.DemandIndex.LoadBrandDetail(data.KeyList, "con_tab_5");
		} else {
			app.LoadSearchNull($("#con_tab_5"), "noBrand");
		}
	},
	SetDestinationHistory: function(id, cityId, name, type) {
		var entities = new Array();
		var entity = {
			id: 0,
			type: 0,
			cityId: 0,
			name: ""
		};
		var temp = entity;
		temp.id = id;
		temp.name = name;
		temp.type = type;
		temp.cityId = cityId;
		//		var settings = app.getSettings();
		//		settings.cityhistory = "";
		//		app.setSettings(settings);
		entities.push(temp);
		var settings = app.getSettings();
		var histories = settings.cityhistory;
		if(histories != undefined && histories.length > 0) {
			for(k = 0; k < histories.length; k++) {
				var detail = histories[k];
				if(k >= 9)
					break;
				if(detail.id != id) {
					var e = {};
					e.id = detail.id;
					e.name = detail.name;
					e.type = detail.type;
					e.cityId = detail.cityId;
					entities.push(e);
				}
			}
		}
		settings.cityhistory = entities;

		if(app.DemandIndex.LoadStatus.searchType == 1) {
			settings.cityhistoryOptional = entities;
		}

		if(app.DemandIndex.LoadStatus.searchType == 2) {
			settings.cityhistoryIntelligent = entities;
		}

		app.setSettings(settings);
	},
	GetDestinationHistory: function() {
		var settings = app.getSettings();
		var histories = settings.cityhistory;
		if(histories != undefined && histories.length > 0) {
			return histories;
		}
		return new Array();
	},
	SetBrandHistory: function(id, name, type) {
		var entity = {
			id: 0,
			type: 0,
			name: ""
		};
		var settings = app.getSettings();
		var temp = entity;
		temp.id = id;
		temp.name = name;
		temp.type = type;
		settings.brandhistory = temp;

		if(app.DemandIndex.LoadStatus.searchType == 1) {
			settings.brandhistoryOptional = temp;
		}

		if(app.DemandIndex.LoadStatus.searchType == 2) {
			settings.brandhistoryIntelligent = temp;
		}

		app.setSettings(settings);
	},
	GetBrandHistory: function() {
		var settings = app.getSettings();
		var brand = settings.brandhistory;
		if(brand != undefined) {
			$("#hidBrandId").val(brand.id);
			$("#hidBrandName").val(brand.name);
			$("#hidBrandType").val(brand.type);
			if(brand.name != "") {
				$("#homeBrandName").addClass("current");
				$("#homeBrandName").val(brand.name);
			}
		}
	},
	CheckRooms: function() {
		var oneCount = $("#txtOneBed").find("input").eq(0).val();
		var twoCount = $("#txtTwoBed").find("input").eq(0).val();
		var threeCount = $("#txtThreeBed").find("input").eq(0).val();
		var suiteCount = $("#txtSuite").find("input").eq(0).val();

		$("#hidOneCount").val(oneCount);
		$("#hidTwoCount").val(twoCount);
		$("#hidThreeCount").val(threeCount);
		$("#hidSuiteCount").val(suiteCount);

		var show = new Array();
		var count = 0;
		if(oneCount > 0) {
			show.push("大床房/" + oneCount + "间");
			count += 1;
		}
		if(twoCount > 0) {
			show.push("双床房/" + twoCount + "间");
			count += 1;
		}
		if(threeCount > 0) {
			show.push("三人间/" + threeCount + "间");
			count += 1;
		}
		if(suiteCount > 0) {
			show.push("套房/" + suiteCount + "间");
			count += 1;
		}
		var str = "";
		if(count == 1)
			str = show[0];
		if(count >= 2) {
			str = show[0] + "，" + show[1];
		}
		if(count > 2)
			str += "...";
		$("#homeRooms").text(str);

		app.DemandIndex.SetRoomHistory(oneCount, twoCount, threeCount, suiteCount, str);
	},
	SetRoomHistory: function(one, two, three, suite, show) {
		var settings = app.getSettings();
		var roomHistory = {};
		roomHistory.one = one;
		roomHistory.two = two;
		roomHistory.three = three;
		roomHistory.suite = suite;
		roomHistory.show = show;
		settings.roomhistory = roomHistory;
		if(roomHistory.show != "") {
			$("#homeRooms").addClass("current");
			$("#homeRooms").text(roomHistory.show);
		} else {
			$("#homeRooms").removeClass("current");
			$("#homeRooms").text("房型间数");
		}

		if(app.DemandIndex.LoadStatus.searchType == 1) {
			settings.roomhistoryOptional = roomHistory;
		}

		if(app.DemandIndex.LoadStatus.searchType == 2) {
			settings.roomhistoryIntelligent = roomHistory;
		}

		app.setSettings(settings);
	},
	GetRoomHistory: function() {
		var settings = app.getSettings();
		var roomHistory = settings.roomhistory;
		if(roomHistory != undefined) {
			$("#hidOneCount").val(roomHistory.one);
			$("#hidTwoCount").val(roomHistory.two);
			$("#hidThreeCount").val(roomHistory.three);
			$("#hidSuiteCount").val(roomHistory.suite);

			$("#txtOneBed").find("input").eq(0).val(roomHistory.one);
			$("#txtTwoBed").find("input").eq(0).val(roomHistory.two);
			$("#txtThreeBed").find("input").eq(0).val(roomHistory.three);
			$("#txtSuite").find("input").eq(0).val(roomHistory.suite);
			if(roomHistory.show != "") {
				$("#homeRooms").addClass("current");
				$("#homeRooms").text(roomHistory.show);
			}
		} else {
			$("#hidOneCount").val(0);
			$("#hidTwoCount").val(0);
			$("#hidThreeCount").val(0);
			$("#hidSuiteCount").val(0);

			$("#txtOneBed").find("input").eq(0).val(0);
			$("#txtTwoBed").find("input").eq(0).val(0);
			$("#txtThreeBed").find("input").eq(0).val(0);
			$("#txtSuite").find("input").eq(0).val(0);

			$("#homeRooms").removeClass("current");
			$("#homeRooms").text("房型间数");

		}
	},
	SetDateHistory: function(dates, show) {
		var settings = app.getSettings();
		var dateHistory = {};
		dateHistory.dates = dates;
		dateHistory.show = show;
		settings.datehistory = dateHistory;

		if(app.DemandIndex.LoadStatus.searchType == 1) {
			settings.datehistoryOptional = dateHistory;
		}

		if(app.DemandIndex.LoadStatus.searchType == 2) {
			settings.datehistoryIntelligent = dateHistory;
		}

		app.setSettings(settings);
	},
	GetDateHistory: function() {
		//日期控件初始化时候做
		//		var settings = app.getSettings();
		//		var dateHistory = settings.datehistory;
		//		if(dateHistory != undefined) {
		//			var dates = dateHistory.dates.split(',');
		//			if(dates.length == 1) {
		//				app.CeeKee_Date.setDateCss(dates[0], '');
		//			} else if(dates.length > 1) {
		//				var enddate = dates[dates.length - 1];
		//				app.CeeKee_Date.setDateCss(dates[0], enddate);
		//			}
		//			app.GetServicesTime(app.CeeKee_Date.CheckData);
		//			$("#homeDates").text(dateHistory.show);
		//			$("#hidDates").val(dateHistory.dates);
		//		}
	},
	SetPriceHistory: function() {
		var min = $("#hidMinPrice").val();
		var max = $("#hidMaxPrice").val();
		var star = $("#hidStar").val();
		var showprice = $("#hidPriceName").val();
		var showstar = $("#hidStarName").val();
		var show = showprice;
		if(show == "不限") {
			show = "";
			showprice = "";
		}

		if(showprice != "" && showstar != "" && showstar != "" && showstar != "不限") {
			show += "/";
		}
		if(showstar != "" && showstar != "不限") {
			show += $("#hidStarName").val();

		} else {
			showstar = "";
		}

		if(show != "") {
			$("#homePrice").addClass("current");
			$("#homePrice").text(show);
		} else {
			$("#homePrice").removeClass("current");
			$("#homePrice").text("价格星级");
		}

		var settings = app.getSettings();
		var priceHistory = {};
		priceHistory.min = min;
		priceHistory.max = max;
		priceHistory.star = star;
		priceHistory.showprice = showprice;
		priceHistory.showstar = showstar;
		priceHistory.showall = show;
		settings.pricehistory = priceHistory;

		if(app.DemandIndex.LoadStatus.searchType == 1) {
			settings.pricehistoryOptional = priceHistory;
		}

		if(app.DemandIndex.LoadStatus.searchType == 2) {
			settings.pricehistoryIntelligent = priceHistory;
		}

		app.setSettings(settings);
	},
	GetPrictHistory: function() {
		var settings = app.getSettings();
		var priceHistory = settings.pricehistory;
		if(priceHistory != undefined) {
			$("#hidMinPrice").val(priceHistory.min);
			$("#hidMaxPrice").val(priceHistory.max);
			$("#hidStar").val(priceHistory.star);
			$("#hidStarName").val(priceHistory.showstar);
			$("#hidPriceName").val(priceHistory.showprice);
			var min = $("#hidMinPrice").val();
			$(".room-price-sel li").eq(0).removeClass("current");
			$(".room-price-star li").eq(0).removeClass("current");
			$(".room-price-sel li").each(function() {
				if($(this).attr("minval").toString() == min.toString()) {
					$(this).addClass("current");
					return;
				}
			});

			$(".room-price-star li").each(function() {
				if(priceHistory.star.toString().indexOf($(this).attr("val")) >= 0) {
					$(this).addClass("current");
				}
			});
			if(priceHistory.showall != "") {
				$("#homePrice").addClass("current");
				$("#homePrice").text(priceHistory.showall);
			}

		} else {
			$("#hidMinPrice").val('');
			$("#hidMaxPrice").val("");
			$("#hidStar").val('');
			$("#hidStarName").val('');
			$("#hidPriceName").val('');
			var min = $("#hidMinPrice").val();
			$(".room-price-sel li").eq(0).removeClass("current");
			$(".room-price-star li").eq(0).removeClass("current");
			$("#homePrice").removeClass("current");
			$("#homePrice").text("价格星级");
		}
	},
	SetSpecialHistory: function() {
		var specialHistories = {
			show: "",
			data: []
		};
		var show = "";
		var count = 0;
		$(".room-teshu li span").each(function(index) {
			if($(this).hasClass("current")) {
				var type = $(this).attr("type");
				if(type == 1) {
					$("#hidFlight").val(1);
					var fdes = $("#txtFlightDes").val();
					$("#hidFlightDes").val(fdes);
					show += "机票";
					count = 1;
					var history = {};
					history.type = 1;
					history.des = fdes;
					specialHistories.data.push(history);
				} else if(type == 2) {
					$("#hidTake").val(1);
					var tdes = $("#txtTakeDes").val();
					$("#hidTakeDes").val(tdes);
					if(count >= 1) {
						show += "，";
					}
					show += "接送车";
					count += 1;
					var history = {};
					history.type = 2;
					history.des = tdes;
					specialHistories.data.push(history);
				} else if(type == 3) {
					$("#hidConference").val(1);
					var cdes = $("#txtConferenceDes").val();
					$("#hidConferenceDes").val(cdes);
					if(count >= 2) {
						show += "...";
					} else {
						if(count >= 1) {
							show += "，";
						}
						show += "会议室";
					}
					count += 1;
					var history = {};
					history.type = 3;
					history.des = cdes;
					specialHistories.data.push(history);
				} else if(type == 4) {
					$("#hidTicket").val(1);
					var tides = $("#txtTicketDes").val();
					$("#hidTicketDes").val(tides);
					if(count >= 2) {
						show += "...";
					} else {
						if(count >= 1) {
							show += "，";
						}
						show += "门票";
					}
					count += 1;
					var history = {};
					history.type = 4;
					history.des = tides;
					specialHistories.data.push(history);
				}
			} else {
				var type = $(this).attr("type");
				if(type == 1) {
					$("#hidFlight").val(0);
					$("#txtFlightDes").val("");
					$("#hidFlightDes").val("");

				} else if(type == 2) {
					$("#hidTake").val(0);
					$("#txtTakeDes").val('');
					$("#hidTakeDes").val('');

				} else if(type == 3) {
					$("#hidConference").val(0);
					$("#txtConferenceDes").val("");
					$("#hidConferenceDes").val("");

				} else if(type == 4) {
					$("#hidTicket").val(0);
					$("#txtTicketDes").val('');
					$("#hidTicketDes").val('');
				}
			}
		});
		specialHistories.show = show;
		var settings = app.getSettings();
		settings.specialhistory = specialHistories;
		if(app.DemandIndex.LoadStatus.searchType == 1) {
			settings.specialhistoryOptional = specialHistories;
		}

		if(app.DemandIndex.LoadStatus.searchType == 2) {
			settings.specialhistoryIntelligent = specialHistories;
		}
		app.setSettings(settings);
		$("#homeSpecial").addClass("current");
		if(show == "") {
			if($("#homeSpecial").hasClass("current")) {
				$("#homeSpecial").removeClass("current");
			}
			show = "特殊要求";
		}
		$("#homeSpecial").text(show);
	},
	CheckSpecialDes: function(des, tname) {
		if(des != undefined && des.length > 20) {
			plus.nativeUI.toast(tname + '特殊要求备注不能超过20个字!');
		}
	},
	GetSpecialHistory: function() {
		var settings = app.getSettings();
		var specialHistory = settings.specialhistory;
		if(specialHistory != undefined) {
			if(specialHistory.show != "") {
				$("#homeSpecial").addClass("current");
				$("#homeSpecial").text(specialHistory.show);
			}

			var roomteshu = $(".room-teshu li");
			if(specialHistory.data != null && specialHistory.data.length > 0) {
				var data = specialHistory.data;
				for(i = 0; i < data.length; i++) {
					type = data[i].type;
					if(type == 1) {
						$("#hidFlight").val(1);
						var fdes = data[i].des;
						$("#txtFlightDes").val(fdes);
						$("#hidFlightDes").val(fdes);
						$(roomteshu).eq(0).find('span').addClass("current");
						$(roomteshu).eq(0).find('p').show();
					} else if(type == 2) {
						$("#hidTake").val(1);
						var tdes = data[i].des;
						$("#txtTakeDes").val(tdes);
						$("#hidTakeDes").val(tdes);
						$(roomteshu).eq(1).find('span').addClass("current");
						$(roomteshu).eq(1).find('p').show();
					} else if(type == 3) {
						$("#hidConference").val(1);
						var cdes = data[i].des;
						$("#txtConferenceDes").val(cdes);
						$("#hidConferenceDes").val(cdes);
						$(roomteshu).eq(2).find('span').addClass("current");
						$(roomteshu).eq(2).find('p').show();
					} else if(type == 4) {
						$("#hidTicket").val(1);
						var tides = data[i].des;
						$("#txtTicketDes").val(tides);
						$("#hidTicketDes").val(tides);
						$(roomteshu).eq(3).find('span').addClass("current");
						$(roomteshu).eq(3).find('p').show();
					}
				}
			}
		}
	}
}