app.SearchHotelHistory = {
	SetSearchHotelEntity: {
		url: projectConfig.apiName.SetSearchHotel,
		data: {
			Sid: '',
			Hid: '',
			Type: 0
		}
	},
	GetDemandInfoEntity: {
		url: projectConfig.apiName.GetDemandInfo,
		data: {
			Did: ""
		}
	},
	Sid: "",
	initEvent: function() {
		app.HandlerEvent.EventListEntity[4].event = "app.SearchHotelHistory.deleteSearchHotel(this)";
	},
	//设置搜索酒店
	SetSearchHotel: function(Sid, Hid, Type) {
		var self = app.SearchHotelHistory;
		var entity = self.SetSearchHotelEntity;
		if(!Sid) {
			plus.nativeUI.toast('请提供搜索单Id！');
			return false;
		} else {
			entity.data.Sid = Sid;
		}
		if(!Hid) {
			plus.nativeUI.toast('请提供酒店Id！');
			return false;
		} else {
			entity.data.Hid = Hid;
		}
		entity.data.Type = Type;
		app.Post(entity, Type, self.SetSearchHotelCallBack);
	},
	//设置询价酒店 data 返回数据   header 设置header中数量 的方法
	SetSearchHotelCallBack: function(data, Type) {
		if(app.GetResultState(data)) {
			var view = plus.webview.getWebviewById("../Demand/NewHotelList.html");
			view.evalJS('$("#fontHotelCount").text(' + data.HotelAmount + ');');
			if(Type == 1) {
				plus.nativeUI.toast('添加询价酒店成功！');
			} else if(Type == 0) {
				app.DemanHoteldList.GetDemandInfo(app.SearchHotelHistory.ShowSearchHotelDetail);
				plus.nativeUI.toast('删除询价酒店成功！');
			}
		} else {
			if(data.Code == "1003")
				plus.nativeUI.toast("该酒店已经添加，无需再添加！");
			else {
				app.showMsg(data.Msg);
			}
		}
	},
	//显示搜索详情  data 数据  header是否修改头部值 默认true 显示取消需求单按钮 默认 false
	ShowSearchHotelDetail: function(data, header) {
		if(app.GetResultState(data)) {
			if(data.SearchInfo != null) {
				var self = app.SearchHotelHistory;
				var searchInfo = data.SearchInfo;
				var details = new Array();
				details.push('<h3>' + searchInfo.Desc + '</h3>');
				details.push('<p><b>' + searchInfo.Check + '</b><br />' + searchInfo.Room + '<br />' + searchInfo.Special + '</p>');
				header = header || true;
				if(header)
					self.SetSearchHotelCount(searchInfo.HotelAmount);
				$("#demandDetail").html(details.join(''));
				self.LoadListHotel(data);
			}
		}
	},
	SetSearchHotelCount: function(count) {
		$(".header h2").text('查看已选(' + count + ')');
	},
	LoadListHotel: function(data) {
		$("#divHotelList").html("");
		$("#btnSearchPrice").hide();
		if(app.GetResultState(data)) {
			var hotels = new Array();
			if(data.HotelList != null) {
				$("#btnSearchPrice").show();
				var html= app.HotelList.hotelListHtml(data.HotelList,2); 
				app.HotelList.hotelDetailEvent($("#hidDemandOrderId").val());
				$("#btnSearchPrice").unbind("click");
				$("#btnSearchPrice").click(function(){
					app.OfferHotelPrice.SubmitDemandInfo();
				});
				$("#divHotelList").html(html);
			} else {
				app.renderNoResult("暂无询价酒店", "您还未选择酒店信息", "去选酒店", "app.SearchHotelHistory.HrefToSearchHotelPage()", $("#divHotelList"));
			}
		} else {
			app.renderNoResult("暂无询价酒店", "您还未选择酒店信息", "去选酒店", "app.SearchHotelHistory.HrefToSearchHotelPage()", $("#divHotelList"));
		}
	},
	deleteSearchHotel: function(obj) {
		var hotelId = $(obj).attr("HotelId");
		var sid = $("#hidDemandOrderId").val();
		var self = app.SearchHotelHistory;
		self.SetSearchHotel(sid, hotelId, 0);

		app.DemanHoteldList.GetDemandInfo(app.SearchHotelHistory.ShowSearchHotelDetail);
	},
	// 去选择酒店
	HrefToSearchHotelPage: function() {
		mui.back();
	}
}