app.hotelDetail = {
	GetInfoEnity: {
		url: projectConfig.apiName.GetHotelMore,
		data: {
			Hid: "",
			Did: ""
		}
	},
	pageConfig: {
		infoId: 'hotel-info',
		facilitiesId: 'hotel-facilities',
		trafficId: 'hotel-traffic'
	},
	init: function() {
		var self = app.hotelDetail;
		self.ajaxData();
	},
	renderDetail: function(data) {
		var self = app.hotelDetail;
		var $info = app.gEl(self.pageConfig.infoId);
		var $facilities = app.gEl(self.pageConfig.facilitiesId);
		var $traffic = app.gEl(self.pageConfig.trafficId);
		var infoTmp = '<div class="hotel-more-title"><span>酒店介绍</span> <p>开业时间：{0} &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;装修时间：{1}</p> </div>' +
			'			<p class="hotel-info-p">{2}</p>' +
			'			<span class="hotel-info-open"><i></i></span>';
		//		var facilitiesTmp = '<h3 class="hotel-info-title">酒店设施</h3>' +
		//			'<ul class="mui-table-view">{0}</ul>';

		var facTmp = '<div class="hotel-more-title"> <span>酒店介绍</span> </div>' +
			'<div class="hotel-info-p">' +
			'	<div id="jiesTitleshort" class="brief-info">{0}' +
			'	</div>' +
			'	<div id="jiesTitleAll" class="total-info" style="display:none;">{1}' +
			'	</div>' +
			'</div>' +
			'<span class="hotel-info-open"><i></i></span>';

		var facilitiesItemTmp = '<b>{0}</b><p>{1}</p>';
		var facilitiesHtml = '';
		var shortFacHtml = '';
		var trafficTmp = '<div class="hotel-more-title">' +
			'<a href="javascript:void(0);" id="gomap">在地图上查看</a>交通位置</div>' +
			'			<p class="hotel-info-p">{0}</p>' +
			'			<span class="hotel-info-open"><i></i></span>';
		$info.html(app.format(infoTmp, data.EstablishmentDate, data.RenovationDate, self.getBriefAndTotalInfo(data.IntroEditor)));
		if(!!data.AmenitiyList && data.AmenitiyList.length > 0) {
			$.each(data.AmenitiyList, function(i, item) {
				facilitiesHtml += app.format(facilitiesItemTmp, item.Name, item.Desc);
			});
			shortFacHtml = app.format(facilitiesItemTmp, data.AmenitiyList[0].Name, data.AmenitiyList[0].Desc + "...");

			$facilities.html(app.format(facTmp, shortFacHtml, facilitiesHtml));
		}
		$traffic.html(app.format(trafficTmp, self.getBriefAndTotalInfo(data.Traffic)));
		self.initFolding($info);
		self.initFolding($traffic);
		self.initFolding($facilities);
		$("#gomap").on("tap", function() {
			var Hid = app.hotelDetail.GetInfoEnity.data.Hid;
			app.ShowWebView(projectConfig.ViewId.Hotel.map.url, {
				Hid: Hid
			});
		});
	},
	getBriefAndTotalInfo: function(data) {
		var self = app.hotelDetail;
		var tmp = '<span class="brief-info">{0}</span><span class="total-info" style="display:none;">{1}</span>';
		return app.format(tmp, self.cutText(data, 66), data);
	},
	initFolding: function($el) {
		var self = app.hotelDetail;
		var cssNameclose = 'hotel-info-close';
		$el.find('.hotel-info-open').on('tap', function() {
			var $this = $(this);
			var $brief = $el.find('.brief-info');
			var $total = $el.find('.total-info');
			if($this.hasClass(cssNameclose)) {
				$this.removeClass(cssNameclose);
				$total.hide();
				$brief.show();
			} else {
				$this.addClass(cssNameclose);
				$brief.hide();
				$total.show();
			}
		});
	},
	cutText: function(text, len) {
		var exp = /<br\/?>/ig;
		var result;
		if(!text) return '';
		while((result = exp.exec(text))) {
			if(result.index < len) {
				len += result[0].length;
			}
			result.lastIndex = 0;
		}
		return text.length > len ? (text.substring(0, len) + '...') : text;
	},
	ajaxData: function() {
		var self = app.hotelDetail;
		var _render = function(data) {
			if(app.GetResultState(data)) {
				self.renderDetail(data.HotelInfo);
			} else {
				app.renderNoResult(self.pageConfig.noPic);
			}
		};
		app.Post(self.GetInfoEnity, null, _render);
	}
};