app.GetRoomListV2 = {
	GetRoomListV2Enity: {
		url: projectConfig.apiName.GetRoomListV2,
		data: {
			Hid: "",
			Did: "",
			ArrivalDate: "",
			DepartureDate: ""
		},
		roomTitle: "",
		cartDate: {
			begin: "",
			end: "",
			count: 0,
			starStr: "",
			endStr: ""
		},
		currency: ""
	},
	pageConfig: {
		noPic: 'room-info',
	},
	//初始化
	init: function() {
		var self = app.NewDetail;
		//加载数据旅店信息
		var roomSelf = app.GetRoomListV2;
		roomSelf.GetRoomListV2Enity.data.Hid = self.GetInfoEnity.data.Hid;
		roomSelf.GetRoomListV2Enity.data.Did = self.GetInfoEnity.data.Did;

		//app.NewDetail.ArrivalDate

		app.GetServicesTime(roomSelf._initTime);

	},
	_initTime: function(da) {
		var _newDate;
		if(da.Code = "0000") {
			_newDate = da.Now.replace(/-/g, "/");
		} else {
			_newDate = new Date();
		}

		var datast = new Array();
		if(app.NewDetail.ArrivalDate != "" && app.NewDetail.ArrivalDate != undefined) {
			datast.push(app.NewDetail.ArrivalDate);
		}

		if(app.NewDetail.DepartureDate != "" && app.NewDetail.DepartureDate != undefined) {
			datast.push(app.NewDetail.DepartureDate);
		}

		var datesArray = app.CeeKee_Date.homeDatesFormat(datast, _newDate);
		var roomSelf = app.GetRoomListV2;
		roomSelf.GetRoomListV2Enity.data.ArrivalDate = datesArray.ArrivalDate;
		roomSelf.GetRoomListV2Enity.data.DepartureDate = datesArray.DepartureDate;
		roomSelf.GetRoomListV2Enity.roomTitle = "";
		roomSelf.GetRoomListV2Enity.cartDate.begin = datesArray.ArrivalDate;
		roomSelf.GetRoomListV2Enity.cartDate.end = datesArray.DepartureDate;
		roomSelf.GetRoomListV2Enity.cartDate.count = datesArray.count;
		roomSelf.GetRoomListV2Enity.cartDate.starStr = datesArray.start;
		roomSelf.GetRoomListV2Enity.cartDate.endStr = datesArray.end;
		app.handleCart.initDate();
		roomSelf.ajaxHotelInfoData();
	},
	SetDateReload: function(chkVals, show) {
		var self = app.NewDetail;
		var roomSelf = app.GetRoomListV2;
		var d = chkVals.split(",");
		roomSelf.GetRoomListV2Enity.data.ArrivalDate = d[0];
		roomSelf.GetRoomListV2Enity.data.DepartureDate = d[(d.length - 1)];
		roomSelf.GetRoomListV2Enity.roomTitle = show;
		var roomDataArray = show.split(",");
		var roomCount = roomDataArray[1].replace("共", "").replace("晚", "");
		roomSelf.GetRoomListV2Enity.cartDate.begin = d[0];
		roomSelf.GetRoomListV2Enity.cartDate.end = d[(d.length - 1)];
		roomSelf.GetRoomListV2Enity.cartDate.count = roomCount;
		var st = roomDataArray[0].split("-");
		roomSelf.GetRoomListV2Enity.cartDate.starStr = st[0];
		roomSelf.GetRoomListV2Enity.cartDate.endStr = st[1];

		roomSelf.ajaxHotelInfoData();
	},
	//加载数据旅店信息
	ajaxHotelInfoData: function() {
		var self = app.GetRoomListV2;
		var roomTitleHtml = self.GetRoomTitle();
		$("#hotel-title").html(roomTitleHtml);

		var _render = function(data) {
			if(app.GetResultState(data)) {
				self.renderDetail(data);
			} else {
				app.NewDetail.renderNoResult(data.Msg, null, "noroom", $("#" + self.pageConfig.noPic), "");
				app.handleCart.init();
			}
		};
		app.Post(self.GetRoomListV2Enity, null, _render);

	},
	renderDetail: function(data) {
		var self = app.GetRoomListV2;
		var rooms = data.Rooms;
		//存储原数据
		window.sikeCart.saveRoomsData(self.GetRoomListV2Enity.data.Hid, rooms, self.GetRoomListV2Enity.cartDate);

		var roomInfo = new Array();
		for(var i = 0; i < rooms.length; i++) {
			roomInfo.push(self.GetRoomHtml(rooms[i]));
		}
		$("#room-info").html(roomInfo.join(""));
		$('#cart-room-num').html(window.sikeCart.getProductsCategory());
		$(".room-info > div:nth-of-type(2) .kongzhi").removeClass("zhankai1");
		$(".room-info > div:nth-of-type(2) .kongzhi").addClass("shousuo1");
		app.handleCart.init();
		$("#room-info .room-item").eq(0).trigger("tap");
		
		app.ReplaceImgRequestHeader()
	},
	GetRoomTitle: function() {
		var roomSelf = app.GetRoomListV2;
		var roomTitleTmp = '<div class="room-title roomDate" id="roomTitle"><span>共<font>{0}</font>晚<i class="hotelfont icon-xiangqing"></i></span><b>{1}</b>入住 <b>{2}</b>离店</div>';
		var roomTitleHtml = app.format(roomTitleTmp, roomSelf.GetRoomListV2Enity.cartDate.count, roomSelf.GetRoomListV2Enity.cartDate.starStr, roomSelf.GetRoomListV2Enity.cartDate.endStr);
		return roomTitleHtml;
	},
	GetRoomHtml: function(data) {
		var self = app.GetRoomListV2;
		var roomIn = new Array();
		var roomItemTmp = '<div class="room-item" data-id="{2}">' +
			'<img src="{0}">' +
			'<div>' +
			'	<font>{1}</font><br>{3}<br>{4}</div>' +
			'<p>{5}</p>' +
			'<i class="kongzhi zhankai1" id="kongzhi{2}" data-id="{2}"></i>' +
			'</div>';
		var roomNoItem = '<div class="room-item" data-id="{2}">' +
			'<img src="{0}">' +
			'<div>' +
			'	<font>{1}</font><br>{3}<br>{4}</div>' +
			'<p style="text-align: center; font-size: 1.4rem; color:#c1c1c1">{5}</p>' +
			'</div>';
		if(data.policies.length > 0) {
			var groupPrice = "";
			var price = 0;
			if(!!data.Price) {
				price = data.Price.join("");
			}
			if(!!data.GroupPrice && data.GroupPrice != null) {
				if(data.GroupPrice[1] != 0) {
					groupPrice = '<span><b>团</b><font>' + data.GroupPrice.join("") + '</font>起</span><span><l>散' + price + '起</l></span>';
				}
			}else{
				groupPrice = '<span><l>散' + price + '起</l></span>';
			}

			roomIn.push(app.format(roomItemTmp, data.ImageSrc, data.Name, data.Id, data.Desc, data.Facilites, groupPrice));

		} else {
			roomIn.push(app.format(roomNoItem, data.ImageSrc, data.Name, data.Id, data.Desc, data.Facilites, "已满房"));
		}

		var rootPriceHtml = new Array();
		var roomPriceTmp = '<div {5}>' +
			//			'<span class="red">{0}<br><font>{1}</font></span>' +
			'{4}' +
			'<ul>{2}</ul>' +
			'{3}' +
			'</div>';
		var policies = data.policies;
		rootPriceHtml.push('<div class="room-price" id="itemShow' + data.Id + '">');

		for(var i = 0; i < policies.length; i++) {
			var policeshtml = "";
			var buttoncolor;
			if(policies[i].Name == "散客价") {
				buttoncolor = "sanke";
			}
			if(policies[i].Name == "多间价") {
				buttoncolor = "duojian";
			}
			if(policies[i].Name == "惊喜价") {
				buttoncolor = "jingxi";
			}
			var BreakList = policies[i].BreakList;
			var sty = '';
			if(BreakList.length == 1) {
				sty = 'style="padding: 20px 0;"';
			}
			policeshtml += "<span class='red'><label class='" + buttoncolor + "'>" + policies[i].Name + "</label><br><font>" + policies[i].Desc + "</font></span>";
			if(policies[i].IsShow == 1) {
				var CanBook = "";
				if(policies[i].IsCanBook == 1) {
					var nam = "预订";
					if(policies[i].RoomCountType >= 5)
					{
						nam = "预订";
					}
					CanBook = '<a href="javascript:void(0);" data-id="' + data.Id + '" data-type="' + policies[i].RoomCountType + '">'+nam+'</a>';
				} else {
					CanBook = "<i>报价中</i>";
				}
				rootPriceHtml.push(app.format(roomPriceTmp, policies[i].Name, policies[i].Desc, self.GetBreakListHtml(policies[i].BreakList, policies[i].RoomCountType), CanBook, policeshtml, sty));
			}
		}
		rootPriceHtml.push('</div>');

		roomIn.push(rootPriceHtml.join(""));

		return roomIn.join("");
	},
	GetBreakListHtml: function(BreakList, type) {
		var BreakListHtml = new Array();
		var isfirst = false;
		for(var i = 0; i < BreakList.length; i++) {
			if(type == 20) {
				var laPrice = "";
				if(!!BreakList[i].LeavePrice && BreakList[i].LeavePrice.length > 0) {
					laPrice = '省' + BreakList[i].LeavePrice.join("") + '/间';
				}
				BreakListHtml.push('<li>' + BreakList[i].Name + '<font class="red">' + BreakList[i].Price.join("") + '</font>' + laPrice + '</li>');
			}

			if(type == 10 || type == 5) {
				BreakListHtml.push('<li><l>' + BreakList[i].Name + '<font>' + BreakList[i].Price.join("") + '</font></l> 省' + BreakList[i].LeavePrice.join("") + '/间</li>');
			}
			if(type == 1) {
				BreakListHtml.push('<li>' + BreakList[i].Name + '<font>' + BreakList[i].Price.join("") + '</font></li>');
			}

			if(!isfirst && app.GetRoomListV2.GetRoomListV2Enity.currency == "") {
				app.GetRoomListV2.GetRoomListV2Enity.currency = BreakList[i].Price[0];
			}
		}
		return BreakListHtml.join("");
	}
}