app.hotoPhotoAlbum = {
	GetInfoEnity: {
		url: projectConfig.apiName.GetHotelImgList,
		data: {
			Hid: '941380'
		}
	},
	pageConfig:{
		navId:'parPic-category',
		listId:'parPic-list',
		categoryAll:'全部',
		noPic:'没有相关图片'
	},
	cssName:{
		navCurr:'current',
		list:'parPic-gallery'
	},
	init:function(){
		var self = app.hotoPhotoAlbum;
		self.ajaxData();
		
	},
	renderList:function(navData,data){
		var self = app.hotoPhotoAlbum;
		var $list = app.gEl(self.pageConfig.listId);
		var cTmp = '<div class="hotel-par-pic-list parPic-gallery parPic-gallery{0}" itemscope data-pswp-uid="{0}" data-type="{2}">{1}</div>'
		var tmp = '<figure data-type="{2}" itemprop="associatedMedia" itemscope itemtype="{0}">'+
		'      <a href="{0}" itemprop="contentUrl" data-size="1024x1024">'+
		'          <img src="{0}" itemprop="thumbnail" alt="Image description" />'+
		'      </a>'+
		'       <figcaption itemprop="caption description">{1}</figcaption>'+
		'</figure>';
		var tHtml = '';
		$.each(navData,function(i,nav){
			var listItemHtml = '';
			if(nav.Type == self.pageConfig.categoryAll){
				$.each(data,function(j,d){
					listItemHtml += app.format(tmp,d.Src,d.Name,d.Type);
				});
			}else{
				$.each(data,function(j,d){
					if(d.Type == nav.Type){
						listItemHtml += app.format(tmp,d.Src,d.Name,d.Type);
					}
				});
			}
			tHtml += app.format(cTmp,i,listItemHtml,nav.Type);
			listItemHtml = '';
		});
		$list.html(tHtml);
		$list.after(self.getPhotoSwiperTmp());
		$list.find('.'+self.cssName.list).eq(0).show();
		$(function(){
			self.initPhotoSwipe('.'+self.cssName.list+'0');
		})
	},
	renderNav:function(data){
		var self = app.hotoPhotoAlbum;
		var tmp = '<li {2} data-type="{0}">{0}<br />{1}</li>';
		var $nav = app.gEl(self.pageConfig.navId);
		var tHtml = '';
		$.each(data,function(i,d){
			tHtml += app.format(tmp,d.Type,
			d.Amount,
			i==0?'class="current"':'');
		});
		$nav.html(tHtml);
		self.initNav();
	},
	initNav:function(){
		var self = app.hotoPhotoAlbum;
		var $nav = app.gEl(self.pageConfig.navId);
		var $list = app.gEl(self.pageConfig.listId);
		var curr = self.cssName.navCurr;
		$nav.on('click','li',function(){
			var $this = $(this);
			var type = $this.attr('data-type');
			var $lis = $list.find('.'+self.cssName.list);
			var index = $nav.find('li').index($this);
			if(!$this.hasClass(curr)){
				$nav.find('li').removeClass(curr);
				$this.addClass(curr);
				$lis.hide();
				$($lis[index]).show();
//				$list.find('[data-type="'+type+'"]').show();
				self.initPhotoSwipe('.'+self.cssName.list+index);
			}
		});
		
	},
	ajaxData:function(){
		var self = app.hotoPhotoAlbum;
		var _render = function(data){
			if(app.GetResultState(data)){
				self.renderNav(data.ImageTypeList);
				self.renderList(data.ImageTypeList,data.ImageList);
			}else{
				app.renderNoResult(self.pageConfig.noPic);
			}
		};
		app.Post(self.GetInfoEnity,null,_render);
	},
	initPhotoSwipe:function(gallerySelector){
		    var initPhotoSwipeFromDOM = function (gallerySelector) {
			    var parseThumbnailElements = function (el) {
			        var thumbElements = el.childNodes, numNodes = thumbElements.length, items = [], figureEl, linkEl, size, item;
			        for (var i = 0; i < numNodes; i++) {
			            if (window.CP.shouldStopExecution(1)) {
			                break;
			            }
			            figureEl = thumbElements[i];
			            if (figureEl.nodeType !== 1) {
			                continue;
			            }
			            linkEl = figureEl.children[0];
			            size = linkEl.getAttribute('data-size').split('x');
			            item = {
			                src: linkEl.getAttribute('href'),
			                w: parseInt(size[0], 10),
			                h: parseInt(size[1], 10)
			            };
			            if (figureEl.children.length > 1) {
			                item.title = figureEl.children[1].innerHTML;
			            }
			            if (linkEl.children.length > 0) {
			                item.msrc = linkEl.children[0].getAttribute('src');
			            }
			            item.el = figureEl;
			            items.push(item);
			        }
			        window.CP.exitedLoop(1);
			        return items;
			    };
			    var closest = function closest(el, fn) {
			        return el && (fn(el) ? el : closest(el.parentNode, fn));
			    };
			    var onThumbnailsClick = function (e) {
			        e = e || window.event;
			        e.preventDefault ? e.preventDefault() : e.returnValue = false;
			        var eTarget = e.target || e.srcElement;
			        var clickedListItem = closest(eTarget, function (el) {
			            return el.tagName && el.tagName.toUpperCase() === 'FIGURE';
			        });
			        if (!clickedListItem) {
			            return;
			        }
			        var clickedGallery = clickedListItem.parentNode, childNodes = clickedListItem.parentNode.childNodes, numChildNodes = childNodes.length, nodeIndex = 0, index;
			        for (var i = 0; i < numChildNodes; i++) {
			            if (window.CP.shouldStopExecution(2)) {
			                break;
			            }
			            if (childNodes[i].nodeType !== 1) {
			                continue;
			            }
			            if (childNodes[i] === clickedListItem) {
			                index = nodeIndex;
			                break;
			            }
			            nodeIndex++;
			        }
			        window.CP.exitedLoop(2);
			        if (index >= 0) {
			            openPhotoSwipe(index, clickedGallery);
			        }
			        return false;
			    };
			    var photoswipeParseHash = function () {
			        var hash = window.location.hash.substring(1), params = {};
			        if (hash.length < 5) {
			            return params;
			        }
			        var vars = hash.split('&');
			        for (var i = 0; i < vars.length; i++) {
			            if (window.CP.shouldStopExecution(3)) {
			                break;
			            }
			            if (!vars[i]) {
			                continue;
			            }
			            var pair = vars[i].split('=');
			            if (pair.length < 2) {
			                continue;
			            }
			            params[pair[0]] = pair[1];
			        }
			        window.CP.exitedLoop(3);
			        if (params.gid) {
			            params.gid = parseInt(params.gid, 10);
			        }
			        return params;
			    };
			    var openPhotoSwipe = function (index, galleryElement, disableAnimation, fromURL) {
			        var pswpElement = document.querySelectorAll('.pswp')[0], gallery, options, items;
			        items = parseThumbnailElements(galleryElement);
			        options = {
			            galleryUID: galleryElement.getAttribute('data-pswp-uid'),
			            getThumbBoundsFn: function (index) {
			                var thumbnail = items[index].el.getElementsByTagName('img')[0], pageYScroll = window.pageYOffset || document.documentElement.scrollTop, rect = thumbnail.getBoundingClientRect();
			                return {
			                    x: rect.left,
			                    y: rect.top + pageYScroll,
			                    w: rect.width
			                };
			            },
			            loop:true
			        };
			        if (fromURL) {
			            if (options.galleryPIDs) {
			                for (var j = 0; j < items.length; j++) {
			                    if (window.CP.shouldStopExecution(4)) {
			                        break;
			                    }
			                    if (items[j].pid == index) {
			                        options.index = j;
			                        break;
			                    }
			                }
			                window.CP.exitedLoop(4);
			            } else {
			                options.index = parseInt(index, 10) - 1;
			            }
			        } else {
			            options.index = parseInt(index, 10);
			        }
			        if (isNaN(options.index)) {
			            return;
			        }
			        if (disableAnimation) {
			            options.showAnimationDuration = 0;
			        }
			        gallery = new PhotoSwipe(pswpElement, PhotoSwipeUI_Default, items, options);
			        gallery.init();
			    };
			    var galleryElements = document.querySelectorAll(gallerySelector);
			    for (var i = 0, l = galleryElements.length; i < l; i++) {
			        if (window.CP.shouldStopExecution(5)) {
			            break;
			        }
			        galleryElements[i].setAttribute('data-pswp-uid', i + 1);
			        galleryElements[i].onclick = onThumbnailsClick;
			    }
			    window.CP.exitedLoop(5);
			    var hashData = photoswipeParseHash();
			    if (hashData.pid && hashData.gid) {
			        openPhotoSwipe(hashData.pid, galleryElements[hashData.gid - 1], true, true);
			    }
			};
		initPhotoSwipeFromDOM(gallerySelector);
	},
	// 使用photoSwipe必不可少的html代码
	getPhotoSwiperTmp:function(){
		return '<div class="pswp" tabindex="-1" role="dialog" aria-hidden="true">'+
				'    <div class="pswp__bg"></div>'+
				'    <div class="pswp__scroll-wrap">'+
				'        <div class="pswp__container">'+
				'            <div class="pswp__item"></div>'+
				'            <div class="pswp__item"></div>'+
				'            <div class="pswp__item"></div>'+
				'        </div>'+
				'        <div class="pswp__ui pswp__ui--hidden">'+
				'            <div class="pswp__top-bar">'+
				'                <div class="pswp__counter"></div>'+
				'                <button class="pswp__button pswp__button--close" title="Close (Esc)"></button>'+
//				'                <button class="pswp__button pswp__button--share" title="Share"></button>'+
//				'                <button class="pswp__button pswp__button--fs" title="Toggle fullscreen"></button>'+
//				'                <button class="pswp__button pswp__button--zoom" title="Zoom in/out"></button>'+
				'                <div class="pswp__preloader">'+
				'                    <div class="pswp__preloader__icn">'+
				'                      <div class="pswp__preloader__cut">'+
				'                        <div class="pswp__preloader__donut"></div>'+
				'                      </div>'+
				'                    </div>'+
				'                </div>'+
				'            </div>'+
				'            <div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap">'+
				'                <div class="pswp__share-tooltip"></div> '+
				'            </div>'+
				'            <button class="pswp__button pswp__button--arrow--left" title="Previous (arrow left)">'+
				'            </button>'+
				'            <button class="pswp__button pswp__button--arrow--right" title="Next (arrow right)">'+
				'            </button>'+
				'            <div class="pswp__caption">'+
				'                <div class="pswp__caption__center"></div>'+
				'            </div>'+
				'        </div>'+
				'    </div>'+
				'</div>';
	}
};
