(function(window, $) {
	window.hotelIndex = (function() {
		var hotelType;
		var _newDate;
		var scroll = null;
		var GroupType = 0;
		var systemDate;
		function init(type) {
			GroupType = type;
			scroll = mui("#dateScroll").scroll();

			var settings = app.getSettings();
			if(settings.searchparam1) {
				window.model.indexRequestReq.data = settings.searchparam1;
				var dest = window.model.indexRequestReq.data.Dest
				if(dest && dest.Name) {
					$(".des-value").html(dest.Name);
				} else {
					postion();
				}
				if(window.model.indexRequestReq.data.Key && window.model.indexRequestReq.data.Key.Name) {
					var key = window.model.indexRequestReq.data.Key;
					if(key.Name) {
						reCallbackBrand(key.Id[0], key.Name, key.Type);
					}
				} else if(window.model.indexRequestReq.data.Keywords) {
					reCallbackBrand(0, window.model.indexRequestReq.data.Keywords, 0);
				} else if(window.model.indexRequestReq.data.BrandContion && window.model.indexRequestReq.data.BrandContion.length > 0) {
					reCallbackBrand(window.model.indexRequestReq.data.BrandContion[0].id, window.model.indexRequestReq.data.BrandContion[0].name, 1);
				}else{
					reCallbackBrand(0, "", 0);
				}

				if(window.model.indexRequestReq.data.Price) {
					$(".dialog-room-price-sel li").removeClass("current")
					if(window.model.indexRequestReq.data.Price[0] == 0 && window.model.indexRequestReq.data.Price[1] == 0) {
						$(".dialog-room-price-sel li").eq(0).addClass("current");
					} else {
						$(".dialog-room-price-sel li").each(function() {
							var miv = $(this).attr("minval") == "" ? 0 : $(this).attr("minval");
							var mav = $(this).attr("maxval") ? 0 : $(this).attr("maxval");
							if(window.model.indexRequestReq.data.Price[0] == miv) {
								$(this).addClass("current");
								return;
							}
						});
					}
				} else {
					$(".room-price-star li").eq(0).addClass("current");
				}
				var star = []
				if(settings.searchparam1.StarRateList && settings.searchparam1.StarRateList.length > 0) {
					var stars = $(".room-price-star li");
					$(".room-price-star li").removeClass("current")
					for(var i = 0; i < settings.searchparam1.StarRateList.length; i++) {
						stars.each(function(index, item) {
							if($(this).attr("val") == settings.searchparam1.StarRateList[i]) {
								$(this).addClass("current");
								return;
							}
						});
						star.push(settings.searchparam1.StarRateList[i])
					}
					if($(".room-price-star .current").length == 0) {
						$(".room-price-star li").eq(0).addClass("current")
					}
				} else {
					star.push(0)
					$(".room-price-star li").eq(0).addClass("current")
				}
				window.model.indexRequestReq.data.StarRateList = star
				reCallbackPriceStar();
			} else {
				postion();
				window.model.indexRequestReq.data.StarRateList.push(0);
				reCallbackPriceStar();
			}

			if(type == 0) {
				$("#htitle").html("酒店预订");
				window.model.indexRequestReq.data.IsGroup = 0
			} else {
				$("#htitle").html("团队酒店");
				window.model.indexRequestReq.data.IsGroup = 1
			}

			app.GetServicesTime(initDateJson);

			initEvent();
		}

		function initDateJson(data) {
			var selectDate;
			var nowDate = new Date();
			if(app.GetResultState(data)) {
				try {
					nowDate = new Date(data.Now.replace(/-/g, "/"));
				} catch(e) {
					nowDate = new Date();
				}
			} else {
				nowDate = new Date();
			}
			
			systemDate=nowDate;

			//验证日期有效�
			loadDates(nowDate, window.model.indexRequestReq.data.CheckList);
			setCheckDate();

			var jsonDate = window.CustomDate.initDate(window.model.indexRequestReq.data.CheckList, nowDate, GroupType);
			var tmplHot = template('date-template', jsonDate);
			
			$("#indexContent").html(tmplHot);

			//自动选中
			loadBind();

			$(".check-select-date").off().on("tap", function() {
				if($(".check-select-date.day-active").length == 2) {
					$(".box-color").html("");
					$(".check-select-date.day-active").removeClass("das-no");
					$(".check-select-date.day-active").removeClass("day-active");
					$(".check-select-date.dayg-active").removeClass("dayg-active");
					$(".check-select-date.day-active-start").removeClass("day-active-start");
					$(".check-select-date.day-active-end").removeClass("day-active-end");
				}
				$(this).addClass("day-active");

				if($(".check-select-date.day-active").length == 2) {
					var items = $(".check-select-date.day-active");
					var startItem = $(items[0]);
					startItem.addClass("day-active-start");
					if(startItem.find(".day-ac").hasClass("day-right")) {
						startItem.addClass("das-no");
					}

					startItem.find(".box-color").html("入住");
					var endItem = $(items[1]);
					endItem.addClass("day-active-end");
					if(endItem.find(".day-ac").hasClass("day-left")) {
						endItem.addClass("das-no");
					}
					endItem.find(".box-color").html("离店");
					startItem.nextUntil(".day-active").addClass("dayg-active");
					endItem.prevUntil(".day-active").addClass("dayg-active");

					var startdate = startItem.attr("data-fulldate");
					var enddate = endItem.attr("data-fulldate");
					var iday = app.DateTool.datedifference(startdate, enddate);
					if(iday >= 11) {
						app.showMsg('入住日期不能超过10天');
						$(".box-color").html("");
						$(".check-select-date.day-active").removeClass("das-no");
						$(".check-select-date.day-active").removeClass("day-active");
						$(".check-select-date.dayg-active").removeClass("dayg-active");
						$(".check-select-date.day-active-start").removeClass("day-active-start");
						$(".check-select-date.day-active-end").removeClass("day-active-end");
						return;
					}

					var nea = new Array();
					nea.push(startdate);
					nea.push(enddate);
					window.model.indexRequestReq.data.CheckList = nea;
					_setHistoryData(1);
					setCheckDate();

					$(".newdateback").hide();
					$(".datecalendar").slideToggle(200);
				}

				//				$(".newdateback").hide();
				//				$(".datecalendar").slideToggle(200);
			});

		}

		function loadBind() {
			var items = $(".check-select-date.day-active");
			var startItem = $(items[0]);
			startItem.addClass("day-active-start");
			if(startItem.find(".day-ac").hasClass("day-right")) {
				startItem.addClass("das-no");
			}

			startItem.find(".box-color").html("入住");
			var endItem = $(items[1]);
			endItem.addClass("day-active-end");
			if(endItem.find(".day-ac").hasClass("day-left")) {
				endItem.addClass("das-no");
			}
			endItem.find(".box-color").html("离店");
			startItem.nextUntil(".day-active").addClass("dayg-active");
			endItem.prevUntil(".day-active").addClass("dayg-active");
		}

		function setCheckDate() {
			var datas = window.model.indexRequestReq.data.CheckList;
			var startdate = datas[0];
			var enddate = datas[1];
			getDate(startdate, 'start');
			getDate(enddate, 'end');

			var iday = app.DateTool.datedifference(startdate, enddate);
			$(".date-item-daysspan").html("共" + iday + "晚");
		}

		function loadDates(mydate, dates) {
			var startdate = '',
				enddate = '';

			if(!!dates && dates.length == 2 && !!dates[0]) {
				if(dates.length == 1 && dates[0].length > 0) {
					startdate = dates[0];
				} else if(dates.length > 1) {
					startdate = dates[0];
					enddate = dates[dates.length - 1];
				}

				var newstart = new Date(startdate.replace(/-/g, "/"));
				var newyears = newstart.getFullYear();
				var newmonth = newstart.getMonth() + 1;
				var newday = newstart.getDate();
				//当天日期
				var year = mydate.getFullYear();
				var month = mydate.getMonth() + 1;
				var day = mydate.getDate();

				var todayDate = new Date((year + "-" + month + "-" + day).replace(/-/g, "/"));

				if(newstart.getTime() < todayDate.getTime() || (newstart.getTime() == todayDate.getTime() && mydate.getHours() >= 14)) {
					var startStr = app.DateTool.DateAdd("d", 0, mydate);
					if(GroupType == 2) {
						if(mydate.getHours() >= 14) {
							startStr = app.DateTool.DateAdd("d", 1, mydate);
						}
					}

					var year2 = app.DateTool.DatePart('y', startStr);
					var month2 = app.DateTool.DatePart('m', startStr);
					var day2 = app.DateTool.DatePart('d', startStr);
					startdate = year2 + "-" + month2 + "-" + day2;
				}

				var newstartdate = new Date(startdate.replace(/-/g, "/"));
				var newstartyear = newstartdate.getFullYear();
				var newstartmonth = newstartdate.getMonth() + 1;
				var newstartday = newstartdate.getDate();

				var newend = new Date(enddate.replace(/-/g, "/"));
				var newendyears = newend.getFullYear();
				var newendmonth = newend.getMonth() + 1;
				var newendday = newend.getDate();

				if(newend <= newstartdate) {
					var endStr = app.DateTool.DateAdd("d", 1, mydate);
					if(GroupType == 2) {
						if(mydate.getHours() >= 14) {
							endStr = app.DateTool.DateAdd("d", 2, mydate);
						}
					}

					var year = app.DateTool.DatePart('y', endStr);
					var month = app.DateTool.DatePart('m', endStr);
					var day = app.DateTool.DatePart('d', endStr);
					enddate = year + "-" + month + "-" + day;
				}
			} else {
				var startStr = app.DateTool.DateAdd("d", 0, mydate);
				if(GroupType == 2) {
					if(mydate.getHours() >= 14) {
						startStr = app.DateTool.DateAdd("d", 1, mydate);
					}
				}
				var year = app.DateTool.DatePart('y', startStr);
				var month = app.DateTool.DatePart('m', startStr);
				var day = app.DateTool.DatePart('d', startStr);
				startdate = year + "-" + month + "-" + day;
				var endStr = app.DateTool.DateAdd("d", 1, mydate);
				if(GroupType == 2) {
					if(mydate.getHours() >= 14) {
						endStr = app.DateTool.DateAdd("d", 2, mydate);
					}
				}
				year = app.DateTool.DatePart('y', endStr);
				month = app.DateTool.DatePart('m', endStr);
				day = app.DateTool.DatePart('d', endStr);
				enddate = year + "-" + month + "-" + day;
			}

			var nea = new Array();
			nea.push(startdate);
			nea.push(enddate);
			window.model.indexRequestReq.data.CheckList = nea;
			_setHistoryData(1);
		}

		function initEvent() {
			$(".des-right").off().on("tap", function() {
				postion();
			});

			//酒店目的�
			$("#divdes").off().on('tap', function() {
				var settings = app.getSettings();

				window.model.indexRequestReq.data.Dest.Type = 0;
				app.ShowWebView("../Demand/SearchDestination.html", {
					Dest: window.model.indexRequestReq.data.Dest,
					flag: 1,
					viewId: projectConfig.ViewId.Index.hotelIndex.Id
				});
			});

			$("#divDate").off().on('tap', function() {
				$(".newdateback").show();
				$(".datecalendar").slideToggle(200);
			});

			$(".newdateback").off().on("tap", function() {
				$(".newdateback").hide();
				$(".datecalendar").slideToggle(200);
			});

			$("#searchStarPrice").off().on("tap", function() {
				_PriceStar();
				var $box = $('.room-price');
				$box.slideToggle(200);
				$(".priceback").css({
					display: "block",
					height: $(document).height()
				});
			});

			$(".room-price-star li").off().on("tap", function() {
				var $this = $(this);
				if($(this).hasClass("current")) {
					$(this).removeClass("current");
				} else {
					if($(this).attr("val") == 0) {
						$(".room-price-star li").removeClass("current");
					}
					$(this).addClass("current");
				}

				var lis = $(".room-price-star li.current");
				if(lis.length >= 2) {
					if($("#starDefault").hasClass("current")) {
						$("#starDefault").removeClass("current");
						$("#starDefault .rsanjia").remove();
					}
				}

				if(lis.length == 0) {
					$("#starDefault").addClass("current");
				}
			});
			$(".dialog-room-price-sel li").off().on("tap", function() {
				$(".dialog-room-price-sel li").removeClass("current");
				$(this).addClass("current");
			});
			$("#btnPrice").off().on("tap", function() {
				reCallbackPriceStar();

				$(".priceback").hide();
				$('.room-price').slideToggle(200);
			});

			$(".priceback").off().on("tap", function() {
				$(".priceback").hide();
				$('.room-price').slideToggle(200);
			});
			$(".dateback").off().on("tap", function() {
				$(".room-date").slideToggle(200);
				$(".dateback").hide();
			});

			$("#searchBrand").off().on("tap", function() {
				var brand = window.model.indexRequestReq.data.Key;
				var cityId = window.model.indexRequestReq.data.CityId || 0;
				var brandId = 0;
				var brandName = "";
				var brandType = 0;

				//				window.model.indexRequestReq.data.Keywords = "";
				//				window.model.indexRequestReq.data.Brands = [];
				//				window.model.indexRequestReq.data.BrandContion = [];
				window.model.indexRequestReq.data.Key = {};
				if(brand && brand.Name) {
					brandId = brand.Id[0];
					brandName = brand.Name;
					brandType = brand.Type;
					cityId = window.model.indexRequestReq.data.CityId;
				} else {
					if(window.model.indexRequestReq.data.Keywords) {
						brandId = 0;
						brandName = window.model.indexRequestReq.data.Keywords;
						brandType = 0;
					} else if(window.model.indexRequestReq.data.BrandContion && window.model.indexRequestReq.data.BrandContion.length > 0) {
						brandId = window.model.indexRequestReq.data.BrandContion[0].id;
						brandName = window.model.indexRequestReq.data.BrandContion[0].name;
						brandType = 1;
					}
				}

				if(cityId == "" || cityId == 0) {
					plus.nativeUI.toast("请先选择目的地！");
					return;
				}
				var pagedata = {
					cityId: cityId,
					brandId: brandId,
					brandName: brandName,
					brandType: brandType,
					viewId: projectConfig.ViewId.Index.hotelIndex.Id
				};
				app.ShowWebView("../Demand/SearchBrand.html", pagedata, 'slide-in-right');
			});

			$("#btnSearch").off().on("tap", function() {
				//判断目的�
				var dest = window.model.indexRequestReq.data.Dest;
				if(!dest.Name) {
					plus.nativeUI.toast("请选择目的地！");
					return false;
				}

				var CheckList = window.model.indexRequestReq.data.CheckList;
				if(CheckList.length != 2) {
					plus.nativeUI.toast("请选择入住日期！");
					return false;
				}

				var IsGroup = window.model.indexRequestReq.data.IsGroup;
				if(IsGroup == 2) {
					plus.nativeUI.toast("请选择房型类型！");
					return false;
				}

				if(IsGroup == 1)
					app.ShowWebView("../Demand/NewHotelList.html", {}, null, "../Demand/NewHotelList.html");
				else
					app.ShowWebView(projectConfig.ViewId.Hotel.ScatteredList.url, {}, null, projectConfig.ViewId.Hotel.ScatteredList.Id);
			});
		}

		function _PriceStar() {
			//酒店搜索
			var Price = window.model.indexRequestReq.data.Price;
			if(!!Price && Price.length == 2) {
				var minv = parseInt(Price[0]);
				var maxv = parseInt(Price[1]);
				if((minv != 0 && maxv != 0) || (minv == 0 && maxv != 0)) {
					$(".dialog-room-price-sel li").removeClass("current");
					$(".dialog-room-price-sel li").each(function() {
						if($(this).attr("minval") == minv && $(this).attr("maxval") == maxv) {
							$(this).addClass("current");
						}
					});
				}
			}

			var StarRateList = window.model.indexRequestReq.data.StarRateList;

			if(!!StarRateList) {
				$(".room-price-star li").removeClass("current");
				$.each(StarRateList, function(index, star) {
					$(".room-price-star li").each(function() {
						if(star == $(this).attr("val")) {
							$(this).addClass("current");
						}
					});
				});
			}

		}

		function reCallbackPriceStar() {
			//var current = $(".room-price-sel li.current");
			var min = 0;
			var max = 0;
			$(".dialog-room-price-sel li.current").each(function() {
				var miv = $(this).attr("minval");
				var mav = $(this).attr("maxval");
				if(miv != "" && mav != "") {
					min = miv;
					max = mav;
				}
			});
			var price = [];
			price.push(min);
			price.push(max);
			window.model.indexRequestReq.data.Price = price;
			var Star = [];
			$(".room-price-star li.current").each(function() {
				Star.push($(this).attr("val"));
			});
			window.model.indexRequestReq.data.StarRateList = Star;
			var showText="";
			if(max==149){
				showText="￥150元以下"
			}
			else if(max==300){
				showText="￥150-300"
			}
			else if(max==450){
				showText="￥300-450"
			}
			else if(max==600){
				showText="￥450-600"
			}
			else if(max==1000){
				showText="￥600-1000"
			}
			else if(min!=0 && max==0){
				showText="￥1000以上"
			}
			if(Star && Star.length > 0) {
				for(var i = 0; i < Star.length; i++) {
					if(Star[i] == 3) {
						showText += "/三星级";
					} else if(Star[i] == 4) {
						showText += "/四星级";
					} else if(Star[i] == 5) {
						showText += "/五星级";
					}
				}
			}

			if(showText.substr(0, 1) == "/")
				showText = showText = showText.substr(1)

			if(max == 0 && min == 0 && Star[0] == 0)
				$("#priceStar").html("价格星级，可选");
			else
				$("#priceStar").html(showText);

			_setHistoryData(1);
		}

		function _setHistoryData(_searchType) {
			var settings = app.getSettings();
			if(_searchType == 1) {
				settings.searchparam1 = window.model.indexRequestReq.data;
			}
			app.setSettings(settings);
		}

		function postion() {
			plus.geolocation.getCurrentPosition(function(p) {
				try {
					var cityName = p.address.city;
					var searchDetail = {
						Type: 0,
						Id: 0,
						Name: ''
					};
					var sCurrent = {
						url: projectConfig.apiName.GetDestinationList,
						data: {
							DestReqType: "current",
							DestList: []
						}
					};
					searchDetail.Type = 1;
					searchDetail.Name = cityName;
					searchDetail.Id = 0;
					sCurrent.data.DestList.push(searchDetail);
					var sendData = {
						url: sCurrent.url,
						data: sCurrent.data
					}
					app.showWaiting('定位中...', 0);
					app.Post(sendData, null, function(data) {
						var id = data.DestList[0].Id;
						var name = data.DestList[0].Name;
						var type = data.DestList[0].Type;
						var cityId = data.DestList[0].CityId;
						var Dest = {
							Type: type,
							Id: [],
							Name: name
						}
						Dest.Id.push(data.DestList[0].Id);
						window.model.indexRequestReq.data.CityId = data.DestList[0].CityId;
						window.model.indexRequestReq.data.Dest = Dest;
						_setHistoryData(1);
						$(".des-value").html(data.DestList[0].Name);
					})
				} catch(e) {
					//app.showMsg("定位失败，请");
				}
			}, function(e) {
				mui.alert("该项服务需要使用定位功能，请重启定位服务", "定位服务被禁用", "知道了");
			});
		}

		function reCallbackDest(id, name, type, cityId) {
			var entities = new Array();
			var entity = {
				id: 0,
				type: 0,
				cityId: 0,
				name: ""
			};
			var temp = entity;
			temp.id = id;
			temp.name = name;
			temp.type = type;
			temp.cityId = cityId;

			entities.push(temp);
			var settings = app.getSettings();
			var histories = settings.cityhistory;
			if(histories != undefined && histories.length > 0) {
				for(k = 0; k < histories.length; k++) {
					var detail = histories[k];
					if(k >= 9)
						break;
					if(detail.id != id) {
						var e = {};
						e.id = detail.id;
						e.name = detail.name;
						e.type = detail.type;
						e.cityId = detail.cityId;
						entities.push(e);
					}
				}
			}
			settings.cityhistory = entities;
			settings.cityhistory1 = entities;
			//存储数据
			var ids = new Array();
			var Dest = {
				Type: 0,
				Id: [],
				Name: ''
			}
			Dest.Type = type;
			Dest.Id.push(id);
			Dest.Name = name;
			window.model.indexRequestReq.data.Dest = Dest;
			window.model.indexRequestReq.data.CityId = cityId;
			settings.searchparam1.Dest = Dest;
			settings.searchparam1.CityId = cityId;
			settings.searchparam1.CityName = name.split('，')[0];
			app.setSettings(settings);

			$(".des-value").html(name);
		}

		function reCallbackDate(date, type) {
			var that = this;
			var settings = app.getSettings();
			window.model.indexRequestReq.data.CheckList = date;
			settings.searchparam1 = window.model.indexRequestReq.data;
			app.setSettings(settings);

			getDate(date[0], 'start');
			getDate(date[1], 'end');

			var days = app.DateTool.DateDiff('d', date[0], date[1]);
			if(days)
				$(".date-item-daysspan").html("共" + days +"晚");
		}

		function getDate(date, type) {
			var month = app.DateTool.DateFormat("MM", date);
			var day = app.DateTool.DateFormat("dd", date);
			var week = app.DateTool.DateToWeek(new Date(date),systemDate);

			var str = month + "月" + day + "日" + '<span class="date-item-week">' + week + '</span>';

			if(type == 'start') {
				$("#startdate").html(str);
			} else if(type == 'end') {
				$("#enddate").html(str);
			}
		}

		function reCallbackBrand(id, name, type) {
			var Key = {
				Type: 0,
				Id: [],
				Name: ""
			};
			window.model.indexRequestReq.data.Keywords = "";
			window.model.indexRequestReq.data.Brands = [];
			window.model.indexRequestReq.data.BrandContion = [];
			window.model.indexRequestReq.data.Key = {};
			if(type == 0) {
				window.model.indexRequestReq.data.Keywords = name;
			} else if(type == 1) {
				var data1 = []
				var entity = {}
				entity.id = id;
				entity.name = name;
				data1.push(entity)
				var brands = [];
				var brandcontions = []
				brandcontions.push(data1)
				brands.push(id);
				window.model.indexRequestReq.data.Brands = brands;
				window.model.indexRequestReq.data.BrandContion = data1;
			} else if(type == 2) {
				Key.Type = type;
				Key.Id.push(id);
				Key.Name = name;
				window.model.indexRequestReq.data.Key = Key;
			}
			_setHistoryData(1);
			if(name) {
				$("#brandText").html(name);
				$("#imgbrand").attr("src", "../images/close.png");
				$("#imgbrand").attr("class", "hotel-icon-close");
				$("#imgbrand").off().on("tap", function() {
					window.model.indexRequestReq.data.Keywords = "";
					window.model.indexRequestReq.data.Brands = [];
					window.model.indexRequestReq.data.BrandContion = [];
					window.model.indexRequestReq.data.Key = {};
					_setHistoryData(1);

					$("#brandText").html("连锁品牌/酒店名，可选");
					$("#imgbrand").attr("src", "../images/icon/xiangqing.svg");
					$("#imgbrand").off();
					$("#imgbrand").attr("class", "hotel-icon");
					return false;
				});
			} else {
				$("#brandText").html("连锁品牌/酒店名，可选");
				$("#imgbrand").attr("src", "../images/icon/xiangqing.svg");
				$("#imgbrand").off();
				$("#imgbrand").attr("class", "hotel-icon");
			}

		}

		function setAreaName(name) {
			$('#divdes .des-value').html(name);
		}

		return {
			init: init,
			reCallbackDest: reCallbackDest,
			reCallbackDate: reCallbackDate,
			reCallbackBrand: reCallbackBrand,
			hotelType: hotelType,
			setAreaName: setAreaName
		}
	})();
})(window, $);