(function(window, $) {
	window.HotelOrderWrite = (function() {
		var getOrderWriteEntity = {
			url: projectConfig.apiName.GetHotelOrderSubmitInfoV2,
			data: {
				Hid: 0,
				Did: 0,
				IsTravelBussiness: 1,
				ArrivalDate: '',
				DepartureDate: '',
				Rooms: [{
					Id: '',
					Count: 0,
					ELTypeId: '',
					Price: 0,
					IsProtocol: true
				}],
			}
		}

		var submitOrderEntity = {
			url: projectConfig.apiName.SubmitHotelOrderInfoV2,
			data: {
				Hid: 0,
				Did: 0,
				IsTravelBussiness: 1,
				ArrivalDate: "",
				DepartureDate: "",
				Contact: [],
				CheckInUser: "",
				PriceList: [{
					OPId: 0,
					RoomId: 0,
					ELTypeId: 0,
					ELPolicyId: 0,
					Type: 0,
					BreakType: 0,
					Count: 0,
					Price: 0,
					PolicyId: 0,
					IsProtocol: true
				}],
				Invoice: {
					Type: 0
				},
				ResonId: 0,
				Reson: "",
				OtherCostDepartments: "",
				OtherReson: "",
				Remark: ""
			}
		}

		var result = {}

		var allpersons = {}
		var passengerList = []
		var maxcount = 0;
		var serverModel = 0;
		var serverPrice = 0;
		var IsCheckstandModel = false;

		function init() {
			LoadSubmitInfo();

			if(app.appPlatId == 1010) {
				$("#personPhoneDiv").hide();
			}
		}

		function LoadSubmitInfo() {
			app.showWaiting('加载中...', 1);
			app.Post(getOrderWriteEntity, null, LoadSubmitInfoCallback);
		}

		function LoadSubmitInfoCallback(data) {
			if(app.GetResultState(data) || data.Code == "2008") {
				if(data.Code == "2008") {
					mui.confirm(data.ErrorDesc[0], "提示", ["重选房型", "继续预订"], function(e) {
						if(e.index == 0) {
							GoDetail();
						} else {
							loadDetailhtml(data);
						}
					})
				} else {
					loadDetailhtml(data);
				}
			} else {
				if(data.Code == "2008") {
					mui.confirm(data.ErrorDesc[0], "提示", ["重选房型", "继续预订"], function(e) {
						if(e.index == 0) {
							GoDetail();
						}
					})
				} else if(data.Code == "2007") {
					mui.confirm(data.ErrorDesc[0], "提示", ["重选房型"], function(e) {
						if(e.index == 0) {
							GoDetail();
						}
					})
				} else {
					mui.alert(data.Msg, "提示", ["重选房型"], function() {
						GoDetail();
					})
				}
			}
		}

		function loadDetailhtml(data) {
			if(data.ServicePriceModel != null) {
				serverModel = data.ServicePriceModel.ServiceModel;
				serverPrice = data.ServicePriceModel.ServicePrice;
			}
			IsCheckstandModel = data.IsCheckstandModel;
			if(!data.IsCheckstandModel) {
				$(".price-button").html("提交");
			}

			$("#title").html(data.Name);
			var tmplHot = template('header-template', data);
			$(".writeorder-header-view").html(tmplHot);

			var rooms = []
			for(var i = 1; i <= data.MaxCount; i++) {
				rooms.push(i)
			}
			data.rooms = rooms;
			if(data.LastBookAmount == 0) {
				data.LastBookAmount = 1;
				data.LastCheckInUsers = []
				data.LastCheckInUsers.push("");
			} else {
				var persons = []
				if(data.LastBookAmount > data.MaxCount) {
					for(var j = 0; j < data.MaxCount; j++) {
						persons.push(data.LastCheckInUsers[j])
					}
					data.LastBookAmount = data.MaxCount;
					data.LastCheckInUsers = persons;
				}
			}

			allpersons.LastCheckInUsers = data.LastCheckInUsers;

			var tmplHot1 = template('rooms-template', data);
			$("#roomList").html(tmplHot1);
			var tmplHot2 = template('persons-template', data);
			$(".writeorder-person-list").html(tmplHot2);

			$("#txtphone").val(data.LastBookContactPhone);
			$("#sdepartment").html(data.CompanyName + " " + data.Department);
			$(".person-cancel-content").html(data.PriceList[0].ChangeRuleDesc);
			result = data;
			LoadPrice();
			initEvent();
			initPassengerEvent();
		}

		function GoDetail() {
			app.ShowWebView(projectConfig.ViewId.Hotel.ScatteredDetail.url, {
				Hid: window.HotelOrderWrite.getOrderWriteEntity.data.Hid,
				cityId: window.HotelOrderWrite.getOrderWriteEntity.data.CityId
			}, "slide-in-left", projectConfig.ViewId.Hotel.ScatteredDetail.Id);
		}

		function initEvent() {
			function getTextLength(obj, countobj, count) {
				var textval = obj.val();
				var clipval = app.getClipbordText();
				var val = textval + clipval;
				var len = val.length;
				if(val.length > count) {
					val = val.substr(0, count - 1);
					len=count;
				}
				obj.val(content);
				countobj.text(len);
			}

			$("#txtdepartment").on('paste', function(e) {
				getTextLength($(this),$("#txtdepartmentCount"),100);
			});
			$("#txtremark").on('paste', function(e) {
				getTextLength($(this),$("#textremarkCount"),200);
			});
			$("#txtremark2").on('paste', function(e) {
				getTextLength($(this),$("#textremarkCount2"),200);
			});
			
			$("#txtdepartment").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 100) {
					$("#txtdepartmentCount").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 99);
					$(this).val(content);
				}
			});

			$("#txtremark").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 200) {
					$("#textremarkCount").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 199);
					$(this).val(content);
				}
			});
			$("#txtremark2").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 200) {
					$("#textremarkCount2").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 199);
					$(this).val(content);
				}
			});

			$(".writeorder-person-roomcount").on("tap", function() {
				if($(this).hasClass("current")) {
					return;
				}
				$(".writeorder-person-roomcount").removeClass("current");
				$(this).addClass("current");

				var persons = [];
				allpersons.LastCheckInUsers = []
				$(".writeorder-person-input-view").find("input").each(function() {
					allpersons.LastCheckInUsers.push($(this).val());
				})

				var count = $(this).attr("count");
				if(count > allpersons.LastCheckInUsers.length) {
					persons = allpersons.LastCheckInUsers;
					var temp = count - allpersons.LastCheckInUsers.length;
					for(var i = 0; i < temp; i++) {
						persons.push("");
					}
				} else if(count < allpersons.LastCheckInUsers.length) {
					for(var i = 0; i < count; i++) {
						persons.push(allpersons.LastCheckInUsers[i]);
					}
				}
				maxcount = count;

				allpersons.LastCheckInUsers = persons;
				$(".writeorder-person-header-mid").html(count + "间");
				var tmplHot2 = template('persons-template', allpersons);
				$(".writeorder-person-list").html(tmplHot2);

				LoadPrice();

				var view = $("#roomcountview");
				$("#roomcountview").hide();
				$(".writeorder-person-header-right").find("img").attr("src", "../images/down.png");
				$('body').css('pointer-events', 'none');
				setTimeout(function() {
					$('body').css('pointer-events', 'auto');
				}, 400);

				initPassengerEvent();
			})

			$(".writeorder-person-header").on("tap", function() {
				var view = $("#roomcountview");
				if(view.is(":hidden")) {
					$("#roomcountview").show();
					$(".writeorder-person-header-right").find("img").attr("src", "../images/up.png");
				} else {
					$("#roomcountview").hide();
					$(".writeorder-person-header-right").find("img").attr("src", "../images/down.png");
				}
			})

			$(".ce-rult-icon").off().on("tap", function() {
				$(".ce-detail-rule").hide();

				$('body').css('pointer-events', 'none');
				setTimeout(function() {
					$('body').css('pointer-events', 'auto');
				}, 400);
			})

			$(".detail-out-title").on("tap", function() {
				$("textarea").blur();
				$("input").blur();
				LoadDetail();
				$(".ce-detail-rule").show();
			})

			$(".writeorder-person-tip span").on("tap", function() {
				var tel = $(this).text();
				mui.confirm("拨打客服电话：" + tel, "提示", ["点错了", "确定"], function(e) {
					if(e.index == 1) {
						plus.device.dial(tel, false);
					}
				})
			})

			submit();
			mui("#list-contentScroll").scroll();
		}

		function initPassengerEvent() {
			$("#addpassenger").off().on("tap", function() {
				var flag = 0;
				var p = []
				$(".writeorder-person-input-view").find("input").each(function(item, index) {
					if(!$(this).val()) {
						flag += 1;
					} else {
						var entity = {}
						entity.Name = $(this).val()
						p.push(entity)
					}
				})

				var data = {}
				data.type = 1;
				data.passengers = p;
				data.count = flag;
				data.maxcount = allpersons.LastCheckInUsers.length;
				app.ShowWebView(projectConfig.ViewId.User.CommonPassenger.url, data, "slide-in-right", projectConfig.ViewId.User.CommonPassenger.Id);
			})
		}

		function initPassenger(data) {
			if(data && data.length > 0) {
				var temp = [];
				for(var i = 0; i < data.length; i++) {
					temp.push(data[i].Name);
				}

				allpersons.LastCheckInUsers = temp;
			}
			var tmplHot2 = template('persons-template', allpersons);
			$(".writeorder-person-list").html(tmplHot2);
			initPassengerEvent();
		}

		function LoadPrice() {
			var count = $(".writeorder-person-room").find(".current").attr("count");
			var price = result.PriceList[0].Price[1];
			var day = result.CheckAmount;

			var service = serverModel == 2 ? serverPrice * count : serverPrice;

			$("#stotal").html(price * count * day + service);
		}

		function LoadDetail() {
			var count = $(".writeorder-person-room").find(".current").attr("count");
			var price1 = result.PriceList[0].Price[1];
			var day = result.CheckAmount;
			var entity = {}

			entity.prices = []
			var price = {}
			price.name = result.PriceList[0].Name;
			price.breakfast = result.PriceList[0].BreakTypeDesc;
			price.count = count;
			price.night = day;
			price.price = price1;
			entity.prices.push(price);
			var service = {};
			if(serverPrice != 0 && serverModel != 0) {
				var flag = serverModel == 2;
				service.name = "服务费";
				service.count = flag ? count : 0;
				service.price = serverPrice;

				entity.total = price1 * count * day + (flag ? serverPrice * count : serverPrice);
			} else {
				entity.total = price1 * count * day;
			}
			entity.service = service;
			var tmplHot = template('detail-template', entity);
			$("#detailContent").html(tmplHot);
		}

		function submit() {
			$(".price-button").on("tap", function() {
				if(!IsCheckstandModel) {
					mui.confirm("提交订单后等待确认房间，无需支付，确认提交？", "提示", ["取消", "提交"], function(e) {
						if(e.index == 1) {
							sendSubmit();
						}
					})
				} else {
					sendSubmit();
				}
			})
		}

		function sendSubmit() {
			var isSubmit = $(".price-button").attr("isSbumit");
			if(!isSubmit || isSubmit == 0)
				$(".price-button").attr("isSbumit", "1");
			else
				return;

			var count = $(".writeorder-person-room").find(".current").attr("count");

			var personNames = [];

			$(".writeorder-person-input-view input").each(function(item, index) {
				var val = $(this).val();
				if(val) {
					personNames.push($(this).val());
				}
			})
			var persons = "";
			if(personNames.length < count) {
				app.showMsg("请填写入住人姓名");
				$(".price-button").attr("isSbumit", "0");
				return;
			} else {
				persons = personNames.join(',');
			}
			if(app.appPlatId != 1010) {
				var phone = $("#txtphone").val()
				if(phone && phone.length == 11) {
					if(!app.checkMobile(phone)) {
						app.showMsg("请输入正确的手机号");
						$(".price-button").attr("isSbumit", "0");
						return;
					}
				} else {
					app.showMsg("请输入正确的手机号");
					$(".price-button").attr("isSbumit", "0");
					return;
				}
			} else {
				phone = "";
			}

			submitOrderEntity.data.Hid = getOrderWriteEntity.data.Hid;
			submitOrderEntity.data.IsTravelBussiness = getOrderWriteEntity.data.IsTravelBussiness;
			submitOrderEntity.data.ArrivalDate = getOrderWriteEntity.data.ArrivalDate;
			submitOrderEntity.data.DepartureDate = getOrderWriteEntity.data.DepartureDate;
			submitOrderEntity.data.CheckInUser = persons;
			submitOrderEntity.data.CheckInUserList = personNames;
			submitOrderEntity.data.Contact = [];
			submitOrderEntity.data.Contact.push(result.Contact[0]);
			submitOrderEntity.data.Contact.push(phone);
			var room = {}
			room.OPId = result.PriceList[0].OPId;
			room.RoomId = result.PriceList[0].RoomId;
			room.ELTypeId = result.PriceList[0].ELTypeId;
			room.ELPolicyId = result.PriceList[0].ELpolicyId;
			room.Type = result.PriceList[0].Type;
			room.BreakType = result.PriceList[0].BreakType;
			room.Count = count;
			room.Price = result.PriceList[0].Price[1];
			room.PolicyId = result.PriceList[0].PolicyId;
			room.IsProtocol = result.PriceList[0].IsProcotol;
			submitOrderEntity.data.PriceList = [];
			submitOrderEntity.data.PriceList.push(room);
			submitOrderEntity.data.OtherCostDepartments = $("#txtdepartment").val();
			submitOrderEntity.data.OtherReson = $("#txtremark").val();
			submitOrderEntity.data.Remark = $("#txtremark2").val();

			app.showWaiting('加载中...', 1);

			app.Post(submitOrderEntity, null, function(data) {
				if(app.GetResultState(data)) {
					var param = {};
					param.SerialNo = data.OrderInfoList[0].SerialNo;
					param.IsSF = 1;
					param.ProductType = 1;
					if(data.IsBoss) {
						if(data.CanPay) {
							app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
						} else {
							app.ShowWebView(projectConfig.ViewId.Order.MyOrderDetail.url, param, 'pop-in', projectConfig.ViewId.Order.MyOrderDetail.Id);
						}
					} else {
						if(data.AuditStatus == 0) {
							param.name = data.AuditorName;
							param.phone = data.AuditorMobile;
							param.isadmin = data.IsAdmin;

							param.type = 0;
							app.ShowWebView(projectConfig.ViewId.Standard.AppRoval.url, param, 'slide-in-right', projectConfig.ViewId.Standard.AppRoval.Id);
						} else {
							if(data.CanPay) {
								app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
							} else {
								app.ShowWebView(projectConfig.ViewId.Order.MyOrderDetail.url, param, 'slide-in-right', projectConfig.ViewId.Order.MyOrderDetail.Id);
							}
						}

					}
				} else {
					//if(data.Code = "2000") {
					//$(".price-button").attr("isSbumit", "0");
					//mui.alert(data.Msg, "提示", "提示", GoPlaneList)
					//} else {
					$(".price-button").attr("isSbumit", "0");
					app.showMsg(data.Msg);
					//}
				}
			})
		}

		return {
			init: init,
			getOrderWriteEntity: getOrderWriteEntity,
			submitOrderEntity: submitOrderEntity,
			initPassenger: initPassenger
		}
	})();
})(window, $);