var _pageSize = 10;
app.supplyMyHotelList = {
	GetSupplyHotelListEntity: {
		url: projectConfig.apiName.GetSupplierHotelList,
		data: {
			Page: {
				Index: 0,
				Size: _pageSize
			}
		},
		PageInfo: {
			Index: 0,
			Size: _pageSize,
			Amount: 0,
			ResultAmount: 0
		}
	},
	pageConfig: {
		pullRefreshId: 'pullrefresh',
		listId: 'scroll-list',
		bindHotelId: 'goTo-BindHotel',
		showAddButton:'showAdd'
	},
	resetSupplyHotelListEntity: function() {
		var self = app.supplyMyHotelList;
		self.GetSupplyHotelListEntity = {
			url: projectConfig.apiName.GetSupplierHotelList,
			data: {
				Page: {
					Index: 0,
					Size: _pageSize
				}
			},
			PageInfo: {
				Index: 0,
				Size: _pageSize,
				Amount: 0,
				ResultAmount: 0
			}
		}
	},
	init: function() {
		var self = app.supplyMyHotelList;
		self.initHotelList();
	},
	renderNoHotel: function() {

		var self = app.supplyMyHotelList;
		var tmp = '		<li><div class="user-phone-code-top hotel-audit-top">还没酒店？赶快认领享受更高收益，还能拿红包哦</div>' +
			'		<div class="commonly-invoice-add">' +
			'			<a href="javascript:void(0)" id="goTo-BindHotel"><i></i>' +
			'				<font></font>认领酒店</a>' +
			'		</div></li>';
		app.gEl(self.pageConfig.pullRefreshId).html(tmp);
	},
	getHoteItemTmp: function(data) {
		var tmp = '<li data-id="{8}"><div class="hotel-list-price-view hotel-list-price-view-first"><a href="javascript:void(0)" class="hotel-list-price-view-add">' +
			'    	<img src="{0}">' +
			'        <div class="hotel-list-price-view-center">' +
			'        	<h3>{1}</h3>' +
			'            <span>{2} {3} {4}</span>' +
			'            <p>{5}</p>' +
			'            <strong>{6}</strong>' +
			'        </div>' +
			'        <div class="hotel-list-price-view-right">' +
			'            {7}' +
			'        </div>' +
			'    </div></a></li>';

		var facilitiesItemTmp = '<i class="facfont {0}"></i>';
		
		return app.format(tmp, data.ImageSrc,
			data.Name,
			data.ReviewScore,
			data.Amount,
			data.Type,
			(function() {
				var facilitiesListHtml = '';
				$.each(data.FacilityList, function(i, d) {
					facilitiesListHtml += app.format(facilitiesItemTmp, app.GetNewIcon(d));
				});
				return facilitiesListHtml;
			})(),
			data.Desc,
			data.Status,
			data.Id
		);
	},
	refreshPage: function() {
		var self = app.supplyMyHotelList;
		self.resetSupplyHotelListEntity();
		var entity = self.GetSupplyHotelListEntity;
		self.ajaxData(function(data) {
			var $list = app.gEl(self.pageConfig.listId);
			var tHtml = '';
			$.each(data, function(i, hotel) {
				tHtml += self.getHoteItemTmp(hotel);
			});
			$list.html('');
			$list.html(tHtml);
			mui(_scrollId).pullRefresh().endPulldownToRefresh(); //refresh completed
			
			if(entity.PageInfo.Index >= entity.PageInfo.Amount) {
				mui(_scrollId).pullRefresh().disablePullupToRefresh();
			} else {
				mui(_scrollId).pullRefresh().enablePullupToRefresh();
			}

		});
	},
	initHotelList: function() {
		var self = app.supplyMyHotelList;
		var $list = app.gEl(self.pageConfig.listId);
		$list.on('tap', 'li', function() {
			var $this = $(this);
			var id = $this.attr('data-id');
			if(!!id) {
				var _hotelDetail = projectConfig.ViewId.Hotel.index;
				app.ShowWebView('../Hotel/index.html', {
					HId: id
				}, null, _hotelDetail.Id);
			}
		});
	},
	GetNextPageData: function() {
		var self = app.supplyMyHotelList;
		var entity = self.GetSupplyHotelListEntity;
		var datapage = entity.data.Page;
		if(datapage.Index == 0 || (entity.PageInfo.Amount > datapage.Index)) {
			entity.data.Page = $.extend(true, entity.data.Page, {
				Index: entity.PageInfo.Index + 1
			});
			self.ajaxData(function(data) {
				var $list = app.gEl(self.pageConfig.listId);
				var tHtml = '';
				$.each(data, function(i, hotel) {
					tHtml += self.getHoteItemTmp(hotel);
				});
				$list.append(tHtml);
				mui('#' + self.pageConfig.pullRefreshId).pullRefresh().endPulldownToRefresh(); //refresh completed

				if(entity.PageInfo.Index >= entity.PageInfo.Amount) {
					mui(_scrollId).pullRefresh().disablePullupToRefresh();
				} else {
					mui(_scrollId).pullRefresh().enablePullupToRefresh();
				}
			});
			mui(_scrollId).pullRefresh().endPullupToRefresh(false);
		} else {
			mui(_scrollId).pullRefresh().endPullupToRefresh(true);
		}
	},
		myhotellists: function() {
		var self = app.supplyMyHotelList;
		var entity = self.GetSupplyHotelListEntity;
		var datapage = entity.data.Page;
		if(datapage.Index == 0 || (entity.PageInfo.Amount > datapage.Index)) {
			entity.data.Page = $.extend(true, entity.data.Page, {
				Index: entity.PageInfo.Index + 1
			});
			self.ajaxData(function(data) {
				var $list = app.gEl(self.pageConfig.listId);
				var tHtml = '';
				$.each(data, function(i, hotel) {
					tHtml += self.getHoteItemTmp(hotel);
				});
				$list.append(tHtml);
			});

		} 
	},
	initBindHote: function() {
		var self = app.supplyMyHotelList;
		var $bindBtn = app.gEl(self.pageConfig.bindHotelId);
		$bindBtn.on('click', function() {
			var _search = projectConfig.ViewId.MyHotel.search;
			app.ShowWebView(_search.url, {
				Hid: '901026'
			}, null, _search.Id);
		});
	},
	ajaxData: function(callbackFn) {
		var self = app.supplyMyHotelList;
		var _render = function(data) {
			var entity = self.GetSupplyHotelListEntity;
			if(app.GetResultState(data)) {
				firstLoadData = false;
				entity.PageInfo = $.extend(true, entity.PageInfo, data.PageInfo);

				if(entity.PageInfo.Index >= entity.PageInfo.Amount) {
					mui(_scrollId).pullRefresh().disablePullupToRefresh();
				} else {
					mui(_scrollId).pullRefresh().enablePullupToRefresh();
				}

				if(!!callbackFn) callbackFn(data.HotelList);
			} else {
				if(firstLoadData) { // 第一次请求数据
					firstLoadData = false;
					self.renderNoHotel();
					//mui(_scrollId).pullRefresh().disablePullupToRefresh();
					self.initBindHote();
				}
			}

		};
		//		_render(callbackFn)
		app.Post(self.GetSupplyHotelListEntity, null, _render);
	}
}