app.myOrder = {
	GetHotelOrderListEntity: {
		url: projectConfig.apiName.GetHotelOrderList,
		data: {
			Type: 0,
			Page: {
				Index: 0,
				size: 0
			}
		}
	},
	PayButton: {
		url: "",
		data: {
			SerialNo: 0
		}
	},
	confirmButton: {
		url: projectConfig.apiName.CancelHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	confirmRoomButton: {
		url: projectConfig.apiName.ConfirmHasRoomHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	confirmCheckInButton: {
		url: projectConfig.apiName.ConfirmCheckInHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	confirmReceiptButton: {
		url: projectConfig.apiName.ConfirmReceiptHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	cancelButton: {
		url: projectConfig.apiName.CancelHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	pageInfos: [],
	packprefix: "scroll_",
	packsonprefix: "detail_",
	currentType: 0,
	tabCount: 0,
	getHotelOrderList: function(callback) {
		var self = app.myOrder;
		var entity = self.GetHotelOrderListEntity;
		app.Post(entity, null, callback);
	},
	initFooter: function() {
		var settings = app.getSettings();
		if(settings.LoginType == 1) {
			$("#rolorderfooter").removeClass("rol-order-footer");
			app.footer.InitDemandFooter(3);
		} else {
			app.footer.initSupplyFooter(2);
		}
	},
	getHotelOrderListCallBack: function(data) {
		var self = app.myOrder;
		if(app.GetResultState(data)) {
			self.HandleData(data);
		} else {
			if(data.Code == "0001") {
				self.HandleData(data);
			} else {
				app.renderNoResult("出了点状况", data.Msg, "重新加载", app.myoffer.loadagain, $("#wrapperContent"));
			}
		}
	},
	HandleData: function(data) {
		var self = app.myOrder;
		var html = "";
		//头部
		var titleList = data.TitleList;

		self.currentType = self.GetHotelOrderListEntity.data.Type;
		if(titleList != null && titleList.length > 0) {
			if(self.currentType == 0)
				self.currentType = titleList[0].Id;
			self.SetDemandTitle(titleList);
		}

		//存储分页信息
		var pagedata = data.PageInfo;
		if(pagedata != null) {
			self.loadPages(pagedata);
		}

		//加载 主体数据
		var OrderList = data.OrderList;
		if(OrderList != null && OrderList.length > 0) {
			self.InitOrderList(OrderList);
		}
	},
	//下拉事件
	pullDownEvent: function() {
		var self = app.myOrder;
		var entity = self.GetHotelOrderListEntity;
		entity.data.Page.Index = 0;
		entity.data.Page.size = 0;
		self.getHotelOrderList(self.getHotelOrderListCallBack);
	},
	//上拉事件
	pullUpEnent: function() {
		var self = app.myOrder;
		var pages = self.pageInfos;
		var entity = self.GetHotelOrderListEntity;
		$.each(pages, function(i, page) {
			if(self.currentType == page.Type) {
				if(page.Index <= page.Amount) {
					entity.data.Page.Index = page.Index + 1;
					entity.data.Page.size = page.Size;
					self.getHotelOrderList(self.getHotelOrderListCallBack);
					return;
				}
			}
		});
	},
	//需求单列表
	InitOrderList: function(data) {
		var html = "";
		var self = app.myOrder;
		var packId = self.packsonprefix + self.currentType;
		var obj = $("#" + packId);
		var htmlArray = new Array();
		var htTmp = "<div class=\"my-order-center-nopay\" style=\"margin-bottom:10px;color:#333\">" +
			"	<div class=\"my-order-center-orderinfo\" vr=\"{6}\">" +
			"		<a href=\"javascript:void(0);\" >" +
			"			<p style=\"color:#333;\">" +
			"				<font>{0}</font></p><div class=\"my-order-cont\"><div class=\"my-order-left\"><font>{1}</font><br><p class=\"my-order-xq\">{2}</p></div>" +
			"			<span style=\"color:#999;\"><font>{3}</font><div class=\"my-order-state\">{4}</div></span></div></a>" +
			"	</div>{5}</div>";

		if(data != null && data.length > 0) {
			htmlArray.push("<section class=\"order-flex\" style=\"top:0px;\">");
			for(var i = 0; i < data.length; i++) {
				var demand = data[i];
				htmlArray.push(app.format(htTmp, demand.Title, demand.Date, demand.Body.join("<br />"), demand.Price.join(""), demand.Status, self.GetButtonList(demand.ButtonList), demand.SerialNo));
			}
			htmlArray.push("</section>");
		} else {
			app.renderNoResult("暂无询价单", "请耐心等待", null, null, obj);
		}
		if(self.GetHotelOrderListEntity.data.Page.Index <= 1)
			obj.html(htmlArray.join(""));
		else
			obj.append(htmlArray.join(""));

		mui(".order-flex").on('tap', '.my-order-center-orderinfo', function() {
			var id = $(this).attr("vr");
			self.GetHotelOrderDetail(id);
		})

		self.initiscroll(self.packprefix + self.currentType);
	},
	GetHotelOrderDetail: function(id) {
		app.OpenWindow(projectConfig.ViewId.Order.MyOrderDetail.Id, projectConfig.ViewId.Order.MyOrderDetail.url, 'pop-in', {
			SerialNo: id
		});
	},
	GetButtonList: function(data) {
		var self = app.myOrder;
		var html = "";
		if(data != null && data.length > 0) {
			html += "<div class=\"my-order-center-btn order-set\">";
			for(var i = 0; i < data.length; i++) {
				var buttonStr = data[i];
				switch(buttonStr.Type) {
					case 100:
						//支付
						html += "<a href=\"javascript:void(0);\" style=\"border: 1px solid #13b1f0;border-radius: 4px;padding:6px 18px;margin:0 10px;background:#13b1f1;\" class=\"order-set-pay\" onclick=\"app.myOrder.PayButtonClick()\">" + buttonStr.Name + "</a>";
						self.PayButton.data.SerialNo = buttonStr.Link;
						break;
					case 101:
						//确认
						html += "<a href=\"javascript:void(0);\" style=\"border: 1px solid #FF5A60;border-radius: 4px;padding:6px 18px;margin:0 10px;\" class=\"order-set-pay\" onclick=\"app.myOrder.confirmButtonClick(101)\">" + buttonStr.Name + "</a>";
						self.confirmButton.data.SerialNo = buttonStr.Link;
						break;
					case 6:
						//取消
						html += "<a href=\"javascript:void(0);\" style=\"color:#333;border-radius: 4px;padding:6px 18px;margin:0 10px;\" onclick=\"app.myOrder.cancelButtonClick()\">" + buttonStr.Name + "</a>";
						self.cancelButton.data.SerialNo = buttonStr.Link;
						break;
					case 102:
						//确认有房
						html += "<a href=\"javascript:void(0);\" style=\"border: 1px solid #FF5A60;border-radius: 4px;padding:6px 18px;margin:0 10px;\" class=\"order-set-pay\" onclick=\"app.myOrder.confirmButtonClick(102)\">" + buttonStr.Name + "</a>";
						self.confirmRoomButton.data.SerialNo = buttonStr.Link;
						break;
					case 103:
						//确认有房
						html += "<a href=\"javascript:void(0);\" style=\"border: 1px solid #FF5A60;border-radius: 4px;padding:6px 18px;margin:0 10px;\" class=\"order-set-pay\" onclick=\"app.myOrder.confirmButtonClick(103)\">" + buttonStr.Name + "</a>";
						self.confirmCheckInButton.data.SerialNo = buttonStr.Link;
						break;
					case 104:
						//确认有房
						html += "<a href=\"javascript:void(0);\" style=\"border: 1px solid #FF5A60;border-radius: 4px;padding:6px 18px;margin:0 10px;\" class=\"order-set-pay\" onclick=\"app.myOrder.confirmButtonClick(104)\">" + buttonStr.Name + "</a>";
						self.confirmReceiptButton.data.SerialNo = buttonStr.Link;
						break;
					default:

						break;
				}
			}
			html += "</div>";
		}

		return html;
	},
	PayButtonClick: function() {
		app.OpenWindow(projectConfig.ViewId.Payment.Cashier.Id, projectConfig.ViewId.Payment.Cashier.url, 'pop-in', {
			SerialNo: app.myOrder.PayButton.data.SerialNo
		});
	},
	confirmButtonClick: function(type) {
		var self = app.myOrder;
		var bdata = {};

		if(type == 102) {
			bdata = self.confirmRoomButton;
		} else if(type == 103) {
			bdata = self.confirmCheckInButton;
		} else if(type == 104) {
			bdata = self.confirmRoomButton;
		} else {
			return;
		}

		app.Post(bdata, null, function(data) {
			if(app.GetResultState(data)) {
				app.showMsg("确认成功");
				app.Reload();

			} else {
				app.showMsg(data.Msg);
			}
		});
	},
	cancelButtonClick: function() {
		mui.confirm('是否确认取消订单？', '提示', ['确认', '取消'], function(e) {
			if(e.index == 0) {
				var self = app.myOrder;
				app.Post(self.cancelButton, null, function(data) {
					if(app.GetResultState(data)) {
						app.showMsg("取消成功");
						app.Reload();
					} else {
						app.showMsg(data.Msg);
					}
				});
			}
		});

	},
	initiscroll: function(pakeId) {
		var iscroll = {};
		var entity = iscroll.iscroll;
		var self = app.myOrder;
		var height = $(window).height() + 120;
		iscroll.packIdone = "wrapperContent";
		iscroll.packIdtwo = "wapperlist";
		iscroll.detailId = pakeId;
		iscroll.detailtype = self.currentType;
		iscroll.packheight = height;
		var page = self.getcurrentpageinfo();
		iscroll.pageinfo = page;
		iscroll.downcallback = self.pullDownEvent;
		iscroll.upcallback = self.pullUpEnent;
		iscroll.isneeddown = true;
		iscroll.isneedup = true;

		app.scroll.initiscroll(iscroll);
	},
	//获取当前页码信息
	getcurrentpageinfo: function() {
		var page = {};
		var self = app.myOrder;
		var pages = self.pageInfos;
		$.each(pages, function(i, rpage) {
			if(rpage.Type == self.currentType) {
				page = rpage;
				return;
			}
		});
		return page;
	},
	//设置需求单标题
	SetDemandTitle: function(data) {
		var self = app.myOrder;
		var html = "";
		var packhtml = "";
		if(self.tabCount == 0) {
			if(data.length > 0) {
				titlewidth = (99 / data.length) + "%";
				for(var i = 0; i < data.length; i++) {
					var title = data[i];
					var css = "";
					if(self.currentType == title.Id) {
						css = "current";
					}
					html += '<a href="javascript:void(0)" type="' + title.Id + '" class="' + css + '" style="width:' + titlewidth + ';color:#333;white-space:nowrap;">';
					html += self.InitTypeCount(title.Name, title.Amount);
					html += "</a>";
				}
				$("#divTitle").html(html);
				//创建容器
				self.initSubPack(data);

				self.tabCount = data.length;
			}
		}
	},
	InitTypeCount: function(title, count) {
		var html = title;
		if(count > 0)
			html += '(<i>' + (count) + '</i>)';
		return html;
	},
	initSubPack: function(data) {
		var html = "";
		var self = app.myOrder;
		var length = $("#wrapperContent").find("section").length;

		if(length <= 0) {
			html += '<div class="wapper-list" id="wapperlist">';
			if(data != null && data.length > 0) {
				for(var i = 0; i < data.length; i++) {
					var title = data[i];
					html += '<section class="wapper-detail" type="' + title.Id + '" id="' + self.packprefix + title.Id + '">';
					html += '<div>';
					html += '<div id="' + self.packsonprefix + title.Id + '">';
					html += '</div>';
					html += '</div>';
					html += "</section>";
				}
			}
			html += '</div>';
			$("#wrapperContent").html(html);
			$.each($("#wrapperContent").find("section"), function(index, section) {
				var type = $(section).attr("type");
				app.renderNoResult("暂无订单信息", "请耐心等待", null, null, $("#" + self.packsonprefix + type));
			});
			self.initcrossscroll();
		}
	},
	initpagewidthandhegiht: function() {
		var width = $(window).width(),
			height = $(window).height() - 142;
		$.each($("#wrapperContent").find("section"), function(index, section) {
			$(section).css("width", width);
			$(section).children(":first").css("height", height + 10);
		});
		//		$(".wapper-detail").css("height", height);
		$("#wrapperContent").css("height", height);
	}, //加载横向滚动
	initcrossscroll: function() {
		var width = $(window).width();
		$(".wapper-detail").css("width", width);
		app.scroll.initflipsnap(".wapper-list", $("#divTitle a"), "current", app.myOrder.tabClickCallback);
	},
	tabClickCallback: function(index) {
		var self = app.myOrder;
		var obj = $("#divTitle a").eq(index);
		var type = $(obj).attr("type");
		self.currentType = type;
		self.GetHotelOrderListEntity.data.Type = type;
		self.getHotelOrderList(self.getHotelOrderListCallBack);
	},
	//加载page信息
	loadPages: function(pagedata) {
		if(pagedata != null && pagedata.Index) {
			var self = app.myOrder;
			var pages = self.pageInfos;
			var page = {};
			var isexsit = false;
			page.Type = self.currentType;
			page.Index = pagedata.Index;
			page.Size = pagedata.Size;
			page.Amount = pagedata.Amount;
			page.ResultAmount = pagedata.ResultAmount;

			if(pages.length > 0) {
				$.each(pages, function(i, rpage) {
					if(rpage.Type == self.currentType) {
						isexsit = true;
						$.extend(true, rpage, page);
					}
				});
			}
			if(!isexsit) {
				pages.push(page);
			}
		}
	}
}