app.myOrderDetail = {
	_InvoiceInfo: {
		HasInvoice: '',
		InvoiceContent: '',
		InvoiceTitle: '',
		InvoiceMailAddress: ''
	},
	GetHotelOrderInfoEntity: {
		url: projectConfig.apiName.GetHotelOrderInfo,
		data: {
			SerialNo: 0,
			CheckInDate: '',
			CheckOutDate: ''
		}
	},
	_ProductType: 1,
	_OrderType: 0,
	GetHotelOrderPriceEntity: {
		url: projectConfig.apiName.GetHotelOrderPrice,
		data: {
			SerialNo: 0
		}
	},
	GetMap: {
		url: projectConfig.apiName.map,
		data: {
			Hid: 0
		}
	},
	GetNewDetail: {
		url: projectConfig.ViewId.Hotel.NewDetail.url,
		data: {
			Hid: 0
		}
	},
	OrderResident: {
		url: projectConfig.ViewId.Order.OrderResident.url,
		data: {
			SerialNo: 0,
			rid: 0
		}
	},
	PayButton: {
		url: "",
		data: {
			SerialNo: 0
		}
	},
	confirmButton: {
		url: projectConfig.apiName.ConfirmHasRoomHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	confirmRoomButton: {
		url: projectConfig.apiName.ConfirmHasRoomHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	confirmCheckInButton: {
		url: projectConfig.apiName.ConfirmCheckInHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	confirmReceiptButton: {
		url: projectConfig.apiName.ConfirmReceiptHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	cancelButton: {
		url: projectConfig.apiName.CancelHotelOrder,
		data: {
			SerialNo: 0
		}
	},
	OrderType:0,
	CostButton: function() {
		$(".order-set").on("tap", ".showBox", function() {
			var self = app.myOrderDetail;
			if(self._OrderType == 3) {
				self.GetHotelOrderPriceEntity.url = projectConfig.apiName.GetHotelOrderPriceV2;
			}
			app.Post(self.GetHotelOrderPriceEntity, null, function(data) {
				if(app.GetResultState(data)) {
					var tmplHot2 = template('detail-template', data);
					$(".ce-detail-rule").html(tmplHot2);
					
				} else {
					app.showMsg(data.Msg);
				}
			});
			$(".ce-detail-rule").html(tmplHot2);
			$("#costBox").show();
		});

		$("#OtherInfo").on("tap", ".showNotice", function() {

			$("#costBoxNotice").show();
			$('body').css('overflow', 'hidden');
		});

		document.getElementById("costBoxNoticeClose").addEventListener("tap", function() {
			$("#costBoxNotice").hide();
			$('body').css('overflow', 'initial');
		});
	},
	costListHtmlData: function(data, CouponsAmount) {
		var costListHtml = "";
		var sHtmlTmp = "";
		//costListHtml += "<h4><span><l style=\"\">"+data.Price[0]+"</l>" + data.Price[1] + "</span>" + data.Name + "</h4>";
		var List = data.List;

		if(CouponsAmount != null) {
			var danwei = CouponsAmount[1];
			var sprice = danwei + CouponsAmount[2];
			sHtmlTmp += "<h4>优惠信息<span style='float:right;'>" + danwei + "-" + CouponsAmount[2] + "</span></h4><ul>";
			sHtmlTmp += "<li><span>" + CouponsAmount[0] + "</span><span></span><i>" + danwei + "-" + CouponsAmount[2] + "</i></li></ul>";
		}
		if(List != null && List.length > 0) {
			var ListHtml = "<ul style='margin-top:1.6rem'>";
			var ListTmp = "<li><span class='or-name'>{0}</span><span class='or-type'>{1}</span><i>{2}</i></li>";
			for(var i = 0; i < List.length; i++) {
				ListHtml += app.format(ListTmp, List[i].Name, List[i].Rule, '<l style=\"\">' + List[i].Price[0] + '</l>' + List[i].Price[1]);
			}
			ListHtml += "</ul>";

			costListHtml += ListHtml + sHtmlTmp;
		}

		return costListHtml;
	},
	initData: function() {
		var self = app.myOrderDetail;
		var entity = self.GetHotelOrderInfoEntity;
		app.Post(entity, null, self.initDataBack);
	},
	initDataBack: function(data) {
		_InvoiceInfo = data.InvoiceInfo;
		var self = app.myOrderDetail;
		self.GetHotelOrderInfoEntity.data.CheckInDate = data.BasicInfo.CheckInDate;
		self.GetHotelOrderInfoEntity.data.CheckOutDate = data.BasicInfo.CheckOutDate;
		//orderMsg 状�
		var orderMsgTmp = '<i  class="iconfont-02-15 {2}"></i><div><h3>{0}</h3>{1}</div>';
		var orderMsgHtml = "";
		var Status = data.Status;
		app.myOrderDetail.OrderType=data.BasicInfo.OrderType;
		
		if(Status != null && Status.length > 0) {
			orderMsgHtml += app.format(orderMsgTmp, Status[1], Status[2], self.getIconStyle(Status[0]));
		}
		if(Status[1] == "待入住") {
			$(".order-set font").html("<b style='color:#13B1F1;font-weight: normal;' id='sident'>" + data.ResidentInfo + "</b>");
			self.orderresident($("#sident"));
			$(".order-set font").show();
		}
		$("#orderMsg").html(orderMsgHtml);

		//Price 价格
		var PriceTmp = "{0}<i>{1}</i>";
		var PriceHtml = "";
		var Price = data.Price;
		if(Price != null && Price.length > 0) {
			PriceHtml += app.format(PriceTmp, Price[0], '<l style="">' + Price[1] + '</l>' + Price[2]);
		}
		$("#Price").html(PriceHtml);

		//按钮
		$("#ButtonList").html(self.GetButtonList(data.ButtonList));
		self.bindEvent();
		//酒店信息
		var BasicInfo = data.BasicInfo;
		if(BasicInfo != null) {
			self._OrderType = BasicInfo.OrderType;
			var basicInfoTmp = '<h3 class="order-hotel-info-title order-herf"><label>{0}</label><i class="iconfont-02-15 icon-xiangqing"></i></h3>' +
				'              <div class="order-ul"><div class="order-li">' +
				'<div class="order-left-side"><p>{6}</p><span>{7}</span></div>' +
				'<div class="order-right-side"><p>总额:<l style="">{10}</l>{8}</p><span class="box-detail" style="font-size:1.4rem;color:#13b1fe!important;">明细</span></div></div>' +
				'              {9}</div>' +
				'                <p>{1}</p>' +
				'                <span>{2}</span>';
			//				'                <div class="infobody">' +
			//				'                    <font style="font-size: 1.5rem;">{3}</font>' +
			//				'                    <font style="color:#999;">{4}</font>' +
			//				'                    <font style="color:#333;">{5}</font>' +
			//				'                </div>';
			var gotoBut = "";
			if(!!BasicInfo.HotelPhone) {
				gotoBut += '<a href="tel:' + BasicInfo.HotelPhone + '"><i class="iconfont-02-15 icon-icon-lianxidianhua-"></i>&nbsp;联系酒店</a>';
			}
			gotoBut += '<a href="javascript:void(0);" id="map"><i class="iconfont-02-15 icon-icon-ditudaohang-"></i>&nbsp;地图导航</a>';
			var check1 = BasicInfo.Check.split(" ")[0];
			var check2 = BasicInfo.Check.split(" ")[1];
			var check3 = BasicInfo.Check.split(" ")[2];
			var total = 0;
			var num = BasicInfo.PriceList;
			for(var i = 0; i < num.length; i++) {
				total = total + parseInt(num[i].TotalPrice[1]);
			}
			var hotellistHtml = "";
			for(var i = 0; i < BasicInfo.PriceList.length; i++) {
				hotellistHtml += '<div class="order-li">';
				hotellistHtml += '<div class="order-left-side"><p>' + BasicInfo.PriceList[i].Name + '</p><span>' + BasicInfo.PriceList[i].Desc + '</span></div>';
				hotellistHtml += '<div class="order-right-side"><p ><l style="">' + BasicInfo.PriceList[i].AveragePrice[0] + '</l>' + BasicInfo.PriceList[i].AveragePrice[1] + '</p><span>' + BasicInfo.PriceList[i].Amount + '间</span></div>';
				hotellistHtml += '</div>';
			}
			var ContentsHtml = "";
			var averageprice = "0";
			if(BasicInfo.PriceList.length > 0)
				averageprice = BasicInfo.PriceList[0].AveragePrice[0];
			ContentsHtml += app.format(basicInfoTmp, BasicInfo.HotelName, BasicInfo.HotelAddress, gotoBut, BasicInfo.Check, BasicInfo.Policy.join(""),
				BasicInfo.Prepay, check1 + "&nbsp;" + check2, check3, total, hotellistHtml, averageprice);

			$("#Contents").html(ContentsHtml);
			self.orderhref($(".order-herf"));
			self.CostButton($(".box-detail"));
			self.GetNewDetail.data.Hid = BasicInfo.HotelId;
			self.GetMap.data.Hid = BasicInfo.HotelId;
			//倒计�
			if(data.Countdown == 1) {
				clearInterval(window._runPayOrderCountDown);
				var leftTime = new Date(data.ExpireTime.replace(/-/g, "/")).getTime() - new Date(data.SystemTime.replace(/-/g, "/")).getTime();
				$("#countdown-content").attr("data-countdown", leftTime);
				$("#countdown-content").html(self.getCountdown(leftTime));
				$(".order-set font").show();
				self.runCountdown();
			}

		}

		//预订信息
		var BookInfo = data.BookInfo;
		if(BookInfo != null) {

			var BookInfoTmp = "";
			if(app.appPlatId!=1010){
				BookInfoTmp +="<li><font>联系人</font>{0}</li>" +
				"<li><font>手机号</font>{1}</li>" ;
			}else{
				BookInfoTmp +="<li stylt='display:none'><font>联系人</font>{0}</li>" +
				"<li stylt='display:none'><font>手机号</font>{1}</li>" ;
			}
				BookInfoTmp+="<li id='orderresident'><font>入住人</font><l id='orderresident-text'>{2}</l><i class='iconfont-02-15 icon-xiangqing'></i></li>";
				
			
			var BookInfoHtml = app.format(BookInfoTmp, BookInfo[0], BookInfo[1], data.ResidentInfo, data.InvoiceInfo.InvoiceContent, data.InvoiceInfo.HasInvoice);
			$("#BookInfo").html(BookInfoHtml);
			self.orderresident($("#orderresident"));
			self.OrderResident.data.SerialNo = data.OtherInfo[0];

			$("#invoice-container").off().on('tap', function() {
				var status = $(this).attr('data-has-invoice');
				app.ShowWebView('../user/invoice.html', {
					status: status,
					_InvoiceInfo: _InvoiceInfo,
					SerialNo: app.myOrderDetail.GetHotelOrderInfoEntity.data.SerialNo
				});
			});
		}

		//其他信息
		var OtherInfo = data.OtherInfo;
		if(OtherInfo != null) {
			var OtherInfoTmp = "<li><font>订单编号</font>{0}</li>" +
				"<li><font>预订日期</font>{1}</li>" +
				"<li class=\"showNotice\">查看预订须知和相关说明<i class='iconfont-02-15 icon-xiangqing'></i></li>";
			var OtherInfoHtml = app.format(OtherInfoTmp, OtherInfo[0], OtherInfo[1]);
			$("#OtherInfo").html(OtherInfoHtml);
			self.GetHotelOrderPriceEntity.data.SerialNo = OtherInfo[0];
		}

		//绑定事件
		document.getElementById("map").addEventListener("tap", function() {
			app.ShowWebView(projectConfig.ViewId.Hotel.map.url, {
				Hid: app.myOrderDetail.GetMap.data.Hid
			}, null, projectConfig.ViewId.Hotel.map.Id, null);
		});
		$("#order-load").hide();
		$("#order-cont").show();
	},

	orderhref: function($orderhref) {
		var self = app.myOrderDetail;
		//		var Hid = self.GetInfoEnity.data.Hid;
		$orderhref.on('click', function() {

			var loginType = app.getSettings().LoginType;
			if(loginType == 1) {
				//需求端
				if(self._OrderType==3){
					app.ShowWebView(projectConfig.ViewId.Hotel.ScatteredDetail.url, {
					Hid: self.GetNewDetail.data.Hid,
					back:{url:"../Order/MyOrderDetail.html",data:{SerialNo:myOrderDetail.GetHotelOrderInfoEntity.data.SerialNo}}
				}, "slide-in-right", projectConfig.ViewId.Hotel.ScatteredDetail.Id);
				}
				else{
					app.ShowWebView(self.GetNewDetail.url, {
						HId: self.GetNewDetail.data.Hid,
						ArrivalDate: self.GetHotelOrderInfoEntity.data.CheckInDate,
						DepartureDate: self.GetHotelOrderInfoEntity.data.CheckOutDate
					});
				}
			} else {
				//供应�
				var _hotelDetail = projectConfig.ViewId.Hotel.index;
				app.ShowWebView('../Hotel/index.html', {
					HId: self.GetNewDetail.data.Hid
				}, null, _hotelDetail.Id);
			}

		});
	},
	orderresident: function($orderresident) {
		var self = app.myOrderDetail;
		$orderresident.on('tap', function() {
			app.ShowWebView(self.OrderResident.url, {
				SerialNo: self.OrderResident.data.SerialNo,
				rid: myOrderDetail.OrderResident.data.rid
			});
		});
	},
	
	initPriceDetail:function(){
		
	},
	CostButton: function($boxdetail) {
		$boxdetail.on("tap", function() {
			var self = app.myOrderDetail;
			if(self._OrderType == 3) {
				self.GetHotelOrderPriceEntity.url = projectConfig.apiName.GetHotelOrderPriceV2;
			}
			app.Post(self.GetHotelOrderPriceEntity, null, function(data) {
				if(app.GetResultState(data)) {

//					$("#title").html(data.Title);
//
//					var PriceTypeList = data.PriceTypeList;
//					var costListHtml = "";
//					if(PriceTypeList != null && PriceTypeList.length > 0) {
//						for(var i = 0; i < PriceTypeList.length; i++) {
//
//							costListHtml += self.costListHtmlData(PriceTypeList[i], data.CouponsAmount);
//						}
//					}
//
//					$("#costList").html(costListHtml);
//
//					var TotalPrice = data.TotalPrice;
//					var allHtml = "";
//					var allTmp = "{0}<font>{1}</font>";
//
//					allHtml = app.format(allTmp, TotalPrice[0], '<l style="">' + TotalPrice[1] + '</l>' + TotalPrice[2]);
//
//					$("#costPriceAll").html(allHtml); 

					var tmplHot2 = template('detail-template', data);
					$("#detailContent").html(tmplHot2);
					$(".ce-detail-rule").show();
					
					$(".ce-rult-icon").off().on("tap",function(){
						$(".ce-detail-rule").hide();
					})
				} else {
					app.showMsg(data.Msg);
				}
			});

			//$("#costBox").show();
		});
		$("#costClose").on('touchend', function(e) {
			e.preventDefault();
		});
		document.getElementById("costClose").addEventListener("tap", function() {
			$("#costBox").hide();
		});

		$("#OtherInfo").on("tap", ".showNotice", function() {
			$("#costBoxNotice").show();
			$('body').css('overflow', 'hidden');
		});
		document.getElementById("costBoxNoticeClose").addEventListener("tap", function() {
			$("#costBoxNotice").hide();
			$('body').css('overflow', 'initial');
		});
	},
	getCountdown: function(leftTime) {
		var leftsecond = parseInt(leftTime / 1000);
		var day1 = Math.floor(leftsecond / (60 * 60 * 24));
		var hour = Math.floor((leftsecond - day1 * 24 * 60 * 60) / 3600);
		var minute = Math.floor((leftsecond - day1 * 24 * 60 * 60 - hour * 3600) / 60);
		var second = Math.floor(leftsecond - day1 * 24 * 60 * 60 - hour * 3600 - minute * 60);

		if(hour > 0) {
			return '<label>' + hour + '</label>小时<label>' + minute + '</label>分<label>' + second + '</label>秒';
		} else if(minute > 0) {
			return '<label>' + minute + '</label>分<label>' + second + '</label>秒';
		} else if(second > 0) {
			return '<label>' + second + '</label>秒';
		} else {
			return false;
		}
	},
	runCountdown: function() {
		var self = app.myOrderDetail;
		var $countdown = $('#countdown-content');
		var countdown = 0;
		window._runPayOrderCountDown = window.setInterval(function() {
			countdown = parseInt($countdown.attr('data-countdown')) - 1000;
			if(!!self.getCountdown(countdown)) {
				$countdown.html(self.getCountdown(countdown)).attr('data-countdown', countdown);
			} else {
				clearInterval(window._runPayOrderCountDown);
				app.myOrderDetail.initData();
				return false;
			}
		}, 1000);
	},
	getIconStyle: function(type) {
		var icon = "";
		var n = Number(type);
		switch(n) {
			case 32:
				icon = "icon-icon-daifukuan-";
				break;
			case 0:
				icon = "icon-icon-daiqueren";
				break;
			case 3:
				icon = "icon-icon-daiqueren";
				break;
			case 10:
				icon = "icon-icon-yiquxiao";
				break;
			case 11:
				icon = "icon-icon-yiquxiao";
				break;
			case 12:
				icon = "icon-icon-yiquxiao";
				break;
			case 13:
				icon = "icon-icon-yiquxiao";
				break;
			case 20:
				icon = "icon-icon-daiqueren";
				break;
			case 20:
				icon = "icon-icon-daiqueren";
				break;
			case 30:
				icon = "icon-icon-daifukuan-";
				break;
			case 31:
				icon = "icon-icon-dairuzhu";
				break;
			case 32:
				icon = "icon-icon-daifukuan-";
				break;
			case 21:
				icon = "icon-icon-dairuzhu";
				break;
			case 22:
				icon = "icon-icon-daiqueren";
				break;
			case 23:
				icon = "icon-icon-daiqueren";
				break;
			case 40:
				icon = "icon-icon-ruzhuzhong";
				break;
			case 41:
				icon = "icon-icon-yilidian";
				break;
			case 42:
				icon = "icon-icon-weiruzhu";
				break;
			case 50:
				icon = "icon-icon-tuikuanzhong";
				break;
			case 51:
				icon = "icon-icon-yituikuan";
				break;
			case 303:
				icon = "icon-icon-daiqueren";
				break;
			case 304:
				icon = "icon-icon-daifukuan-";
				break;
			default:
				break;
		}

		return icon;
	},
	GetButtonList: function(data) {
		var self = app.myOrderDetail;
		var html = "";
		if(data != null && data.length > 0) {
			for(var i = 0; i < data.length; i++) {
				var buttonStr = data[i];
				switch(buttonStr.Type) {
					case 0:
						//支付
						html += "<a href=\"javascript:void(0);\" class=\"order-set-confirm\" val='0' >" + buttonStr.Name + "</a>";
						self.PayButton.data.SerialNo = buttonStr.Link;
						break;
					case 100:
						//支付
						html += "<a href=\"javascript:void(0);\" class=\"order-set-pay event-bind\" val='100'>" + buttonStr.Name + "</a>";
						self.PayButton.data.SerialNo = buttonStr.Link;
						break;
					case 101:
						//确认
						html += "<a href=\"javascript:void(0);\" class=\"order-set-pay event-bind\" val='101'>" + buttonStr.Name + "</a>";
						self.confirmButton.data.SerialNo = buttonStr.Link;
						break;
					case 6:
						//取消
						html += "<a href=\"javascript:void(0);\" val='6' class=\"event-bind\">" + buttonStr.Name + "</a>";
						self.cancelButton.data.SerialNo = buttonStr.Link;
						break;
					case 102:
						//确认有房
						html += "<a href=\"javascript:void(0);\" class=\"order-set-pay event-bind\" val='102'>" + buttonStr.Name + "</a>";
						self.confirmRoomButton.data.SerialNo = buttonStr.Link;
						break;
					case 103:
						//确认有房
						html += "<a href=\"javascript:void(0);\" class=\"order-set-pay event-bind\" val='103'>" + buttonStr.Name + "</a>";
						self.confirmCheckInButton.data.SerialNo = buttonStr.Link;
						break;
					case 104:
						//确认有房
						html += "<a href=\"javascript:void(0);\" class=\"order-set-pay event-bind\" val='104'>" + buttonStr.Name + "</a>";
						self.confirmReceiptButton.data.SerialNo = buttonStr.Link;
						break;
					case 303:
						//联系客服
						html += "<a href=\"javascript:void(0);\" class=\"order-set-service event-bind\" link='" + buttonStr.Link + "' val='303'><i class=\"iconfont-02-15 icon-icon-kefu-\"> " + buttonStr.Name + "</a>";
						//						self.PayButton.data.SerialNo = buttonStr.Link;
						$("#telPhone").html(buttonStr.Link);
						break;
					case 304:
						//重新预订
						html += "<a href=\"javascript:void(0);\" class=\"order-set-pay event-bind\" val='304'>" + buttonStr.Name + "</a>";
						self.confirmButton.data.SerialNo = buttonStr.Link;
						break;
					default:
						break;
				}
			}
		}
		return html;
	},
	bindEvent: function() {
		$(".event-bind").off().on('tap', function() {
			var val = $(this).attr("val");
			val = parseInt(val);
			switch(val) {
				case 0:
					//支付
					break;
				case 100:
					//支付
					app.myOrderDetail.PayButtonClick();
					break;
				case 101:
					//确认
					app.myOrderDetail.confirmButtonClick(101);
					break;
				case 6:
					//取消
					app.myOrderDetail.cancelButtonClick();
					break;
				case 102:
					//确认有房
					app.myOrderDetail.confirmButtonClick(102);
					break;
				case 103:
					//确认有房
					app.myOrderDetail.confirmButtonClick(103);
					break;
				case 104:
					//确认有房

					app.myOrderDetail.confirmButtonClick(104);
					break;
				case 303:
					//联系客服
					var link = $(this).attr("link");
					link = link.replace(/\r\n/g, "");
					link = app.myOrderDetail.trim(link);
					plus.device.dial(link, true);
					break;
				case 304:
					//重新预订
					app.myOrderDetail.confirmButtonClick(304);
					break;
				default:
					break;
			}
		});
	},
	trim: function(s) {
		return s.replace(/(^\s*)|(\s*$)/g, "");
	},
	PayButtonClick: function() {
		app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, {
			SerialNo: app.myOrderDetail.PayButton.data.SerialNo,
			isListOrDetail: 1,
			ProductType: app.myOrderDetail._ProductType
		}, 'pop-in', projectConfig.ViewId.Payment.Cashier.Id);
	},
	confirmButtonClick: function(type) {
		var self = app.myOrderDetail;
		//var Hid = self.GetInfoEnity.data.Hid;
		var bdata = {};

		if(type == 102) {
			bdata = self.confirmRoomButton;
		} else if(type == 103) {
			bdata = self.confirmCheckInButton;
		} else if(type == 104) {
			bdata = self.confirmRoomButton;
		} else if(type == 304) {
			if(self._OrderType==3){
				app.ShowWebView(projectConfig.ViewId.Index.hotelIndex.url,{type:0},projectConfig.ViewId.Index.hotelIndex.Id);}
			else{
				app.ShowWebView(projectConfig.ViewId.Index.hotelIndex.url,{type:2},projectConfig.ViewId.Index.hotelIndex.Id);
			}
		} else {
			return;
		}

		app.Post(bdata, null, function(data) {
			if(app.GetResultState(data)) {
				app.showMsg("确认成功");
				app.Reload();

			} else {
				app.showMsg(data.Msg);
			}
		});
	},
	cancelButtonClick: function() {
		mui.confirm('低价不容易，请三思而行？', '提示', ['忍痛取消', '我再想想'], function(e) {
			if(e.index == 0) {
				var self = app.myOrderDetail;
				app.Post(self.cancelButton, null, function(data) {
					if(app.GetResultState(data)) {
						app.showMsg("取消成功");
						app.Reload();
					} else {
						app.showMsg(data.Msg);
					}
				});
			}
		});

	},
	callSaveInvoiceBack: function(Title, ContactName, ContactPhone, AreaName, Address) {
		$("#invoice-container").attr('data-has-invoice', 1);
		$("#invoice-type").text('代订住宿费');
		_InvoiceInfo.InvoiceTitle = Title;
		_InvoiceInfo.InvoiceMailAddress = ContactName + ContactPhone + AreaName + Address;
	}

}