app.Order_main = {
	GetHotelOrderListEntity: {
		url: projectConfig.apiName.GetHotelOrderList,
		data: {
			Type: 0,
			Page: {
				Index: 0,
				size: 0
			}
		}
	},
	currentType: 0,
	tabCount: 0,
	Order_sub: "../Order/Order_sub.html",
	initTitle: function() {
		var self = app.Order_main;

		self.GetHotelOrderList(self.callback);
	},
	GetHotelOrderList: function(callback) {
		var self = app.Order_main;
		var entity = self.GetHotelOrderListEntity;
		app.Post(entity, null, callback);
	},
	callback: function(data) {
		var self = app.Order_main;
		if(app.GetResultState(data)) {
			self.HandleData(data);
		} else {
			if(data.Code == "0001") {
				self.HandleData(data);
			} else {
				app.renderNoResult("出了点状况", data.Msg, "", null, $("#muicontent"));
			}
		}
	},
	HandleData: function(data) {
		var self = app.Order_main;
		//头部
		var titleList = data.TitleList;

		self.currentType = self.GetHotelOrderListEntity.data.Type;
		if(titleList != null && titleList.length > 0) {
			if(self.currentType == 0)
				self.currentType = titleList[0].Id;
			self.SetDemandTitle(titleList);
		}

	},
	//设置需求单标题
	SetDemandTitle: function(data) {
		var self = app.Order_main;
		var html = "";
		var packhtml = "";
		if(self.tabCount == 0) {
			if(data.length > 0) {
				titlewidth = (99 / data.length) + "%";

				self.initWebView(data.length, self.currentType);

				for(var i = 0; i < data.length; i++) {
					var title = data[i];
					var css = "";
					if(self.currentType == title.Id) {
						css = "current";
					}
					html += '<a href="javascript:void(0)"  id="btn' + title.Id + '" type="' + title.Id + '" class="buttom-tite- ' + css + '" style="width:' + titlewidth + ';color:#333;white-space:nowrap;">';
					html += self.InitTypeCount(title.Name, title.Amount);
					html += "</a>";
				}
				$("#divTitle").html(html);
				self.bindEvent();
				self.tabCount = data.length;
			}
		}
	},
	bindEvent: function() {
		$(".buttom-tite-").off().on("tap",function(){
			var type = $(this).attr("type");
			app.Order_main.GotoWebView(type);
		});
	},
	GotoWebView: function(type) {
		var self = app.Order_main;
		if(type == self.currentType) {
			return false;
		}
		var activeTab = self.Order_sub + self.currentType;
		var targetTab =  self.Order_sub + type;

		var self = app.Order_main;
		var url = self.Order_sub;

		var ziview = plus.webview.getWebviewById(targetTab);
		if(!!ziview) {
			ziview.evalJS("tongzhiLoad()");	
			if(mui.os.ios) {
				plus.webview.show(targetTab, "none", 20);
			} else {
				plus.webview.show(targetTab, "none", 20);
			}
		} else { 
			var topBar = $(".mui-bar").height();
			var topTitle = $("#divTitle").height();
			var top = (Number(topBar) + 45) + "px";
			var bottom = "50px";
			var style = {
				top: top,
				bottom: bottom
			}

			var extras = {
				Type: type
			}
			var sub = plus.webview.create(url, targetTab, style, extras);
			var webView = plus.webview.currentWebview();
			webView.append(sub);
			
			
		}

		//隐藏当前;
		//plus.webview.hide(activeTab);
		self.currentType = type;

		$("#divTitle a").removeClass("current");
		$("#btn" + type).addClass("current");

	},
	initWebView: function(num, current) {
		var topBar = $(".mui-bar").height();
		var topTitle = $("#divTitle").height();
		var top = (Number(topBar) + 46) + "px";
		var bottom = "53px";
		var style = {
			top: top,
			bottom: bottom
		}

		var extras = {
			Type: current
		}
		var self = app.Order_main;
		var webView = plus.webview.currentWebview();
		var url = self.Order_sub;
		var id = self.Order_sub + current;
		var currentview = plus.webview.getWebviewById(id);
		if(currentview) {
			currentview.close();
		}

		var sub = plus.webview.create(url, id, style, extras);
		webView.append(sub);
		plus.webview.show(self.Order_sub+"0", "none", 20);
	},
	InitTypeCount: function(title, count) {
		var html = title;
//		if(count > 0)
//			html += '(<i>' + (count) + '</i>)';
		return html;
	},
	initFooter: function() {
		$("#rolorderfooter").removeClass("rol-order-footer");
		app.footer.InitDemandFooter(3);
	}
}