(function(window, $) {
	window.ModifyDateInfo = (function() {

		//获取改签订单提交信息
		var GetFlightOrderChange = {
			url: projectConfig.apiName.GetFlightOrderChange,
			data: {
				FlightInfoKey: "",
				FlightNo: "",
				SeatCode: "",
				PolicyId: 0,
				OrderSerialNo: 0,
				PassengerList: []
			}
		}

		var _orderSerialNo = "";

		var ChangeFlightOrder = {
			url: projectConfig.apiName.ChangeFlightOrder,
			data: {
				FlightInfoKey: "",
				FlightNo: "",
				SeatCode: "",
				PolicyId: 0,
				ResonId: 0,
				Reson: "",
				OtherReson: "",
				OtherCostDepartments: "",
				OrderSerialNo: 0,
				ChangePassengerList: []
			}
		}

		function init() {
			$("#showMui").hide();
			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateTime1", FomartDateTime1);
			template.helper("FomartDateTimeStr", FomartDateTimeStr);
			template.helper("FomartDateStr", FomartDateStr);

			var settings = app.getSettings();
			GetFlightOrderChange = settings.FlightOrderChangeData;

			ChangeFlightOrder.data.FlightInfoKey = GetFlightOrderChange.data.FlightInfoKey;
			ChangeFlightOrder.data.FlightNo = GetFlightOrderChange.data.FlightNo;
			ChangeFlightOrder.data.SeatCode = GetFlightOrderChange.data.SeatCode;
			ChangeFlightOrder.data.PolicyId = GetFlightOrderChange.data.PolicyId;
			ChangeFlightOrder.data.OrderSerialNo = GetFlightOrderChange.data.OrderSerialNo;
			ChangeFlightOrder.data.ResonId = _ResonId;
			ChangeFlightOrder.data.Reson = _Reson;
			ChangeFlightOrder.data.OtherReson = _OtherReson;
			ChangeFlightOrder.data.OtherCostDepartments = _OtherCostDepartments;

			_orderSerialNo = GetFlightOrderChange.data.OrderSerialNo;

			loadFlightOrderChange();

			$(".prog-b-btn-b").off().on("tap", function() {

				$("#proBar").removeClass("active").addClass("activeav");
				$("#proBarSuc").addClass("active");

				// 弹出提示信息对话框
				mui.confirm('确认提交修改的乘客机票吗？', '提示', ['取消', '确认'], function(e) {
					if(e.index == 1) {
						SetChangeFlightOrder();
					} else {
						$("#proBar").removeClass("activeav").addClass("active");
						$("#proBarSuc").removeClass("active");
					}
				})
			});
		}

		function loadFlightOrderChange() {
			//定时器
			app.showWaiting('加载中...', 1);
			app.Post(GetFlightOrderChange, null, FlightOrderChangeCallBack);
		}

		function FlightOrderChangeCallBack(data) {
			if(app.GetResultState(data)) {
				$("#showMui").show();
				//缓存数据做后续显示
				var settings = app.getSettings();
				var PassengerInfoData = settings.PassengerInfoData;
				var tmplflight = template("prog-flight-template", PassengerInfoData);
				$("#progflight").html(tmplflight);
				var tmplHot = template('passenger-template', PassengerInfoData);
				$("#mpitems").html(tmplHot);

				var flinfoHot = template("prog-flinfo-template", data);
				$("#progFlInfo").html(flinfoHot);

				var priceinfoHot = template("priceinfo-template", data);
				$("#mppriceInfo").html(priceinfoHot);

				//提交改签
				ChangeFlightOrder.data.ChangePassengerList = data.PassengerList;

			} else {
				plus.nativeUI.toast(data.Msg);
			}
		}

		function SetChangeFlightOrder() {
			//定时器
			app.showWaiting('加载中...', 1);
			app.Post(ChangeFlightOrder, null, function(data) {
				if(app.GetResultState(data)) {
					var param = {
						name: "",
						phone: "",
						isadmin: "",
						type: 5,
						SerialNo: 0
					}

					if(data.IsBoss) {
						if(data.CanPay) {
							app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, {
								SerialNo: _orderSerialNo,
								ProductType: 5,
								isList: 0
							}, '', projectConfig.ViewId.Payment.Cashier.Id);
						} else {
							app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, {
								SerialNo: _orderSerialNo,
								isList: 0
							}, '', projectConfig.ViewId.Plane.OrderDetail.Id);
						}
					} else {
						if(data.AuditStatus == 1) {
							if(data.CanPay) {
								app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, {
									SerialNo: _orderSerialNo,
									ProductType: 5,
									isList: 0
								}, '', projectConfig.ViewId.Payment.Cashier.Id);
							} else {
								app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, {
									SerialNo: _orderSerialNo,
									isList: 0
								}, '', projectConfig.ViewId.Plane.OrderDetail.Id);
							}
						} else {
							param.name = data.AuditorName;
							param.phone = data.AuditorMobile;
							param.isadmin = data.IsAdmin;
							param.SerialNo = GetFlightOrderChange.data.OrderSerialNo;
							param.type = 5;
							app.ShowWebView(projectConfig.ViewId.Standard.AppRoval.url, param, '', projectConfig.ViewId.Standard.AppRoval.Id);
						}
					}
				} else {
					plus.nativeUI.toast(data.Msg);
					$("#proBar").removeClass("activeav").addClass("active");
					$("#proBarSuc").removeClass("active");
				}
			});
		}

		function FomartDateTime(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;

			if(hours < 10) {
				hoursstr = "0" + hours;
			} else {
				hoursstr = hours;
			}

			if(min < 10) {
				minstr = "0" + min;
			} else {
				minstr = min;
			}

			return hoursstr + ":" + minstr;
		}

		function FomartDateTime1(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var month = strDate.getMonth() + 1;
			var day = strDate.getDate();
			if(day < 10) {
				day = "0" + day;
			} else {
				day = day;
			}

			return month + "-" + day + "";
		}

		function FomartDateTimeStr(str) {
			var strDate = new Date(str.replace(/-/g, "/"));
			return GetWeekStr(strDate.getDay());
		}

		function FomartDateStr(sDate1, sDate2) {
			var str = "";

			var iDays = app.DateTool.datedifference(sDate1, sDate2);

			if(iDays > 0) {
				str = "+" + iDays + "天";
			}
			return str;
		}

		function GetWeekStr(n) {
			var str = "";
			switch(n) {
				case 0:
					str = "周日";
					break;
				case 1:
					str = "周一";
					break;
				case 2:
					str = "周二";
					break;
				case 3:
					str = "周三";
					break;
				case 4:
					str = "周四";
					break;
				case 5:
					str = "周五";
					break;
				case 6:
					str = "周六";
					break;
				default:
			}
			return str;
		}

		return {
			init: init
		}

	})();
})(window, $);