(function (window, $) {
    window.ModifyDate = (function () {
    	
    	var GetChangePassengerData = {
    		url: projectConfig.apiName.GetChangePassengerInfo,
			data: {
				SerialNo: 0,
				PassengerIds: []
			}
    	}
    	
		function init()
		{
			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateTime1", FomartDateTime1);
			template.helper("FomartDateTimeStr", FomartDateTimeStr);
			//加载数据
			GetChangePassengerInfoDate();
			
			
			$(".prog-b-btn-b").off().on("tap",function(){
				var arrayStr = new Array();
				$(".prog-passenger-item.active").each(function(){
					var daid = $(this).attr("data-id");
					arrayStr.push(daid);
				});
				
				if(arrayStr.length == 0){
					plus.nativeUI.toast("选择改签乘客");
					return;
				}
				
				var settings = app.getSettings();
				settings.passengerItems = arrayStr;
				app.setSettings(settings);
				
				app.ShowWebView(projectConfig.ViewId.Plane.ModifyDateD.url,{OrderSerialNo:_orderSerialNo,PassengerId:0});
			});
		}

		function bindTap()
		{
			$(".prog-passenger-item").off().on("tap",function(){
				if($(this).hasClass("active")){
					$(this).removeClass("active");
				}else{
					$(this).addClass("active");
				}
			})
		}
		
		function GetChangePassengerInfoDate(){
			GetChangePassengerData.data.SerialNo = _orderSerialNo;
			app.showWaiting('加载中...',1);
			app.Post(GetChangePassengerData, null, GetChangePassengerInfoCallBack);
		}
		
		function GetChangePassengerInfoCallBack(data){
			if(app.GetResultState(data)) {
				var tmplflight = template("prog-flight-template", data);
				$("#progflight").html(tmplflight);
				
				var tmplHot = template('date-template', data);
				$("#mpitems").html(tmplHot);
				
				bindTap();
			} else {
				plus.nativeUI.toast(data.Msg);
			}
		}
		
		function FomartDateTime(str){
			var strDate = new Date(str.replace(/-/g, "/"));
			
			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;
			if(hours < 10)
			{
				hoursstr = "0"+hours;
			}else{
				hoursstr = hours;
			}
			if(min < 10)
			{
				minstr = "0"+min;
			}else{
				minstr = min;
			}
			
			return hoursstr + ":" + minstr;
		}
		
		function FomartDateTime1(str){
			var strDate = new Date(str.replace(/-/g, "/"));
			var month = strDate.getMonth()+1;
			var day = strDate.getDate();
			return month + "-" + day+"";
		}
		
		function FomartDateTimeStr(str){
			var strDate = new Date(str.replace(/-/g, "/"));
			return GetWeekStr(strDate.getDay());
		}
		
		function GetWeekStr(n)
		{
			var str = "";
			switch(n)
			{
				case 0:
					str = "周日";
				    break;
				case 1:
					str = "周一";
				    break;
				case 2:
					str = "周二";
				    break;
				case 3:
					str = "周三";
				    break;
				case 4:
					str = "周四";
				    break;
				case 5:
					str = "周五";
				    break;
				case 6:
					str = "周六";
				    break;
				default:
			}
			return str;
		}
		
        return {
            init: init
        }
        
    })();
})(window,$);
