(function(window, $) {
	window.PlaneOrderDetail = (function() {
		var kfphone = "";
		var backIsError = false
		var GetFlightOrderDetailEntity = {
			url: projectConfig.apiName.GetFlightOrderDetailV2,
			data: {
				SerialNo: ""
			}
		};

		var GetRefundAndModifyStipulateEntity = {
			url: projectConfig.apiName.GetRefundAndModifyStipulate,
			data: {
				ArriveAirportCode: "",
				DepartAirportCode: "",
				DepartDate: "",
				AirlineCode: "",
				ClassCode: "",
				SeatPrice: "",
				MRQueryKey:""
			}
		};
		var CancelFlightOrderEntity = {
			url: projectConfig.apiName.CancelFlightOrder,
			data: {
				OrderSerialNo: ""
			}
		}
		var _runPayOrderCountDown;

		function init() {
			if(app.appPlatId == 1010) {
				$("#personPhoneDiv").hide();
			}
			getDetail();
			mui("#list-contentScroll").scroll();
			$(".ce-rult-icon").off().on("tap", function() {
				$(".ce-refund-rule").hide();
				$(".ce-detail-rule").hide();
				$(".ce-insurance-detail").hide();
				$('body').css('pointer-events', 'none');
				setTimeout(function() {
					$('body').css('pointer-events', 'auto');
				}, 400);
			})

			$(".order-detail-out").on("tap", function() {
				$(".ce-detail-rule").show();
			});

			$(".order-insurance-detail").on("tap", function() {
				app.ShowWebView(projectConfig.ViewId.Plane.OrderInsurance.url, {
					SerialNo: GetFlightOrderDetailEntity.data.SerialNo
				}, 'pop-in', projectConfig.ViewId.Plane.OrderInsurance.Id);
			});

			window.PlaneBack.GetFlightOrderRefundEntity.data.OrderSerialNo = GetFlightOrderDetailEntity.data.SerialNo;
			window.PlaneBack.ApplyFlightOrderRefundEntity.data.OrderSerialNo = GetFlightOrderDetailEntity.data.SerialNo;
			window.PlaneBack.init();
		}

		function initInsurance() {
			getDetail(InsuranceCallBack);
		}

		function getDetail(callback) {
			app.showWaiting('加载中...', 1);
			if(!callback)
				callback = loadDetailCallback;
			app.Post(GetFlightOrderDetailEntity, null, callback);
		}

		function InsuranceCallBack(data) {
			if(app.GetResultState(data)) {
				var html = template('insuranceout-template', data);
				$("#insurancedetail").html(html);
			} else {
				mui.alert(data.Msg, "提示", ["返回详情"], function() {
					mui.back()
				})
			}
		}

		function loadDetailCallback(data) {
			if(app.GetResultState(data)) {
				if(data.CountDownType==1){
					$("#slasttime").html("支付剩余时间:");
				}
				else if(data.CountDownType==2){
					$("#slasttime").html("审批剩余时间:");
				}
				var FlightList = data.FlightList;
				var state = data.Status;
				$(".state-title").html(state[1]);
				$(".state-intro").html(state[2].replace('ProccessTime', "<span style='color:#fc9b16'>" + data.ProccessTime + "</span>"));
				$(".state-img").attr("src", getStateIcon(data.IconType));
				var amount = data.TotalPrice;
				$("#pricetitle").html(amount[0]);
				//$(".price-code").html(amount[1]);
				$(".price").html(parseInt(amount[2]));
				$(".button-list").html(getButtonList(data.ButtonList, data.OrderStatus));
				buttonClick();
				var expireTime = data.ExpireTime.replace(/-/g, "/");
				var createTime = data.SystemTime.replace(/-/g, "/");
				if(data.IsNeedCountDown) {
					var leftTime = new Date(expireTime).getTime() - new Date(createTime).getTime();
					$("#date-content").attr("date", leftTime);
					if(leftTime > 0) {
						runCountdown();
					}
					$(".button-list").show();
					$(".order-detail-out").hide();
				} else {
					$(".button-time").hide();
					clearInterval(_runPayOrderCountDown);
					$(".order-detail-out").show();
				}

				if(data.InsuranceNums.length > 0) {
					$(".order-insurance-detail").show();
					var tmplHot = template('insuranceout-template', data);
					$("#insuranceOut").html(tmplHot);
				} else {
					$(".order-insurance-detail").hide();
				}
				var FlightTravelType=data.FlightTravelType;
				for(var i = 0; i < FlightList.length; i++) {
					var flight = FlightList[i].FlightInfo;
					var leaveDate = flight.DepartTime.replace(/-/g, "/");
					var arriveDate = flight.ArriveTime.replace(/-/g, "/");

					var month = app.DateTool.DateFormat("MM", leaveDate);
					var day = app.DateTool.DateFormat("dd", leaveDate);
					var amonth = app.DateTool.DateFormat("MM", arriveDate);
					var aday = app.DateTool.DateFormat("dd", arriveDate);
					var leavehour = app.DateTool.DateFormat("hh", leaveDate);
					var leavemuinte = app.DateTool.DateFormat("mm", leaveDate);
					var arrivehour = app.DateTool.DateFormat("hh", arriveDate);
					var arrivemuinte = app.DateTool.DateFormat("mm", arriveDate);
					flight.leaveDate = month + "月" + day + "日";
					flight.ArriveDate = amonth + "月" + aday + "日";
					flight.lTime = leavehour + ":" + leavemuinte;
					flight.aTime = arrivehour + ":" + arrivemuinte;
					var sysDateTime = new Date(data.SystemTime.replace(/-/g, "/"))
					flight.leaveWeek = app.DateTool.DateToWeek(new Date(leaveDate), sysDateTime);
					flight.ArriveWeek = app.DateTool.DateToWeek(new Date(arriveDate), sysDateTime);

					flight.flyType = flight.StopNum > 0 ? "经停" : "直飞";
					flight.Meal = flight.HaveMeal ? "有餐食" : "无餐食";
					flight.FlightTravelTypeName="";
					if(FlightTravelType==1)
						flight.FlightTravelTypeName="(去程)";
					if(FlightTravelType==2)
						flight.FlightTravelTypeName="(返程)";
					FlightList[i].FlightInfo = flight;
				}
				data.FlightList = FlightList;

				var tmplline = template('planeline-template', data);
				$("#detailline").html(tmplline);

				loadBack();
				PbuttonClick();

				var tmplDetail = template('detail-template', data);
				$("#detailContent").html(tmplDetail);

				$("#orderno").html(data.OrderSerialNo);
				$("#createtime").html(data.CreateTime);
				$("#contactphone").html(data.ContactPhone);

				$(".person-state").on("tap", function() {
					var state = $(this).attr("state");
					if(state == 1) {
						var msg = $(this).attr("msg");
						mui.confirm(msg, "失败原因", ["确定"])
					}
				})
				app.ReplaceImgRequestHeader()
			} else {
				app.showMsg(data.Msg)
			}
		}

		function PbuttonClick() {
			$(".person-button").on("tap", function() {
				var type = $(this).attr("type");
				var pid = $(this).attr("pid");
				switch(type) {
					case "601":
						{
							app.ShowWebView(projectConfig.ViewId.Plane.TicketChanges.url, {
								OrderSerialNo: GetFlightOrderDetailEntity.data.SerialNo,
								PassengerId: pid
							}, null, projectConfig.ViewId.Plane.TicketChanges.Id);
							break;
						}
					case "602":
						{
							var data = window.PlaneBack.getOnePerson(pid);
							break;
						}
				}
			})
		}

		function loadBack() {
			$(".plane-time-header-right").on("tap", function() {
				app.showWaiting('加载中...', 1);
				GetRefundAndModifyStipulateEntity.data.ArriveAirportCode = $(this).attr("ArriveAirportCode");
				GetRefundAndModifyStipulateEntity.data.DepartAirportCode = $(this).attr("DepartAirportCode");
				GetRefundAndModifyStipulateEntity.data.DepartDate = $(this).attr("DepartDate");
				GetRefundAndModifyStipulateEntity.data.AirlineCode = $(this).attr("AirlineCode");
				GetRefundAndModifyStipulateEntity.data.ClassCode = $(this).attr("ClassCode");
				GetRefundAndModifyStipulateEntity.data.SeatPrice = $(this).attr("SeatPrice");
				GetRefundAndModifyStipulateEntity.data.MRQueryKey = $(this).attr("MRQueryKey");				
				
				app.Post(GetRefundAndModifyStipulateEntity, null, function(data) {
					if(app.GetResultState(data)) {
						var tmplHot = template('refunds-template', data);
						$("#reuleContent").html(tmplHot);
						$(".ce-refund-rule").show();
					} else {;
						plus.nativeUI.toast(data.Msg)
					}
				});
			});
		}

		function buttonClick() {
			$(".button-detail").on("tap", function() {
				var type = parseInt($(this).attr("type"));
				var link = $(this).attr("link");
				switch(type) {
					case 0:
						break;
					case 601:
						app.ShowWebView(projectConfig.ViewId.Plane.TicketChanges.url, {
							OrderSerialNo: GetFlightOrderDetailEntity.data.SerialNo,
							PassengerId: 0
						}, null, projectConfig.ViewId.Plane.TicketChanges.Id);
						break;
					case 602:
						app.ShowWebView(projectConfig.ViewId.Plane.BackOrder.url, {
							SerialNo: GetFlightOrderDetailEntity.data.SerialNo
						}, null, projectConfig.ViewId.Plane.BackOrder.Id);
						break;
					case 303:
						plus.device.dial(link, false);
						break;
					case 304:
						app.ShowWebView(projectConfig.ViewId.Plane.Index.url, {}, null, projectConfig.ViewId.Plane.Index.Id);
						break;
					case 100:
						var param = {};
						param.SerialNo = GetFlightOrderDetailEntity.data.SerialNo;
						param.ProductType = 5;
						app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
						break;
					case 6:
						{
							mui.confirm("确认取消订单？", "提示", ["点错了", "确定"], function(e) {
								if(e.index == 1) {
									app.showWaiting("订单取消中，请稍候...",1);
									CancelFlightOrderEntity.data.OrderSerialNo = GetFlightOrderDetailEntity.data.SerialNo
									app.Post(CancelFlightOrderEntity, null, function(data) {
										if(app.GetResultState(data)) {
											init();
										} else {
											app.showMsg(data.Msg)
										}
									})
								}
							})
						}
				}
			});
		}

		function getCountdown(leftTime) {
			var leftsecond = parseInt(leftTime / 1000);
			var day1 = Math.floor(leftsecond / (60 * 60 * 24));
			var hour = Math.floor((leftsecond - day1 * 24 * 60 * 60) / 3600);
			var minute = Math.floor((leftsecond - day1 * 24 * 60 * 60 - hour * 3600) / 60);
			var second = Math.floor(leftsecond - day1 * 24 * 60 * 60 - hour * 3600 - minute * 60);

			if(hour > 0) {
				return '<span class="button-time-content">' + hour + '</span>小时<span class="button-time-content">' + minute + '</span>分<span class="button-time-content">' + second + '</span>秒';
			} else if(minute > 0) {
				return '<span class="button-time-content">' + minute + '</span>分<span class="button-time-content">' + second + '</span>秒';
			} else if(second > 0) {
				return '<span class="button-time-content">' + second + '</span>秒';
			} else {
				return false;
			}
		}

		function runCountdown() {
			var $countdown = $('#date-content');
			var countdown = 0;
			_runPayOrderCountDown = setInterval(function() {
				countdown = parseInt($countdown.attr('date')) - 1000;
				if(!!getCountdown(countdown)) {
					$countdown.html(getCountdown(countdown)).attr('date', countdown);
					if($("#divtime").css("display") == "none")
						$("#divtime").show();
				} else {
					clearInterval(_runPayOrderCountDown);
					$("#divtime").hide();
					getDetail();
					return false;
				}
			}, 1000);
		}

		function getStateIcon(state) {
			switch(state) {
				case 0:
					{
						return "../images/plane/dsp.png";
					}
				case 1:
					{
						return "../images/plane/dsp.png";
					}
				case 2:
					{
						return "../images/plane/cpz.png";
					}
				case 3:
					{
						return "../images/plane/ycp.png";
					}
				case 4:
					{
						return "../images/plane/yqx.png";
					}
			}
		}
		function getButtonList(buttons, state) {
			var buttonshtml = "";
			var button = '<div class="button-item"><button type="{2}" class="button-detail {0}" link="{3}">{1}</button></div>';
			if(buttons && buttons.length > 0) {
				for(var i = 0; i < buttons.length; i++) {
					if(buttons[i].Type == 0) {
						buttonshtml += app.format(button, "button-back", buttons[i].Name, buttons[i].Type, buttons[i].Link);
					} else if(buttons[i].Type == 601) {
						buttonshtml += app.format(button, "", buttons[i].Name, buttons[i].Type, buttons[i].Link);
					} else if(buttons[i].Type == 602) {
						buttonshtml += app.format(button, "", buttons[i].Name, buttons[i].Type, buttons[i].Link);
					} else if(buttons[i].Type == 303) {
						buttonshtml += app.format(button, "", buttons[i].Name, buttons[i].Type, buttons[i].Link);
					} else if(buttons[i].Type == 304 || buttons[i].Type == 100) {
						buttonshtml += app.format(button, "button-blue", buttons[i].Name, buttons[i].Type, buttons[i].Link);
					} else if(buttons[i].Type == 6) {
						buttonshtml += app.format(button, "", buttons[i].Name, buttons[i].Type, buttons[i].Link);
					}
				}
			}
			return buttonshtml;
		}

		return {

			init: init,
			initInsurance: initInsurance,
			GetFlightOrderDetailEntity: GetFlightOrderDetailEntity
		}
	})();
})(window, $);