(function(window, $) {
	window.PlaneListDate = (function() {
		var dcScroll = null;
		var sysDate; 
		var sysDateJson;

		var _dcDate = (function() {
			(function(window, $) {
				window.DCCustomDate = (function() {
					//默认加载多少月数据包括本
					var defaultMonth = 6;
					var selectDate;
					var dateJson = {
						nowYear: 0,
						nowMonth: 0,
						nowDay: 0,
						dateList: []
					}

					function initDate(selectDate1, sysDate) {
						dateJson = {
							nowYear: 0,
							nowMonth: 0,
							nowDay: 0,
							dateList: []
						}
						selectDate = selectDate1;
						var now = new Date();
						if(sysDate)
							now = sysDate

						dateJson.nowYear = now.getFullYear();
						dateJson.nowDay = now.getDate();
						var newnow;
						if(dateJson.nowDay > 28) {
							newnow = app.DateTool.DateAdd("d", -5, now);
						} else {
							newnow = now;
						}
						dateJson.nowMonth = newnow.getMonth() + 1;
						
						newnow = new Date(newnow);
						var lastDate;
						if(dateCount > 0)
						{
							lastDate=app.DateTool.DateAdd('d',dateCount,now);
							defaultMonth=(lastDate.getFullYear() * 12 + lastDate.getMonth()) -(now.getFullYear() * 12 + now.getMonth()) + 1;
							dateJson.disYear = lastDate.getFullYear();
							dateJson.disMonth = lastDate.getMonth() + 1;
							dateJson.disDay = lastDate.getDate();
						}
						for(var i = 0; i < defaultMonth; i++) {
							if(i == 0)
								newnow.setMonth(newnow.getMonth());
							else
								newnow.setMonth(newnow.getMonth() + 1);
							var monthItem = GetItems(newnow, now,lastDate);
							dateJson.dateList.push(monthItem);
						}
												
						return dateJson;
					}

					function GetItems(date, sysDate,lastDate) {
						var dateListItem = {
							year: 0,
							month: 0,
							days: []
						}

						dateListItem.year = date.getFullYear();
						dateListItem.month = date.getMonth() + 1;

						//填充空数�
						var firstDayOfWeek = getFirstDayOfWeek(dateListItem.year, dateListItem.month);
						if(firstDayOfWeek > 0) {
							for(var i = 0; i < firstDayOfWeek; i++) {
								var dayItem = {
									fulldate: "",
									day: 0,
									week: "",
									isSelect: false
								}
								dateListItem.days.push(dayItem);
							}
						}

						//遍历该月数据
						const thisMonthDays = getThisMonthDays(date.getFullYear(), date.getMonth() + 1);
						for(var i = 1; i <= thisMonthDays; i++) {
							var dayItem = {
								fulldate: "",
								day: 0,
								week: "",
								isSelect: false
							}
							var ndate = new Date(date.getFullYear(), date.getMonth(), i);
							var sday;
							if(i < 10) {
								sday = "0" + i;
							} else {
								sday = i;
							}

							var nmonth = date.getMonth() + 1;
							var nmstr;
							if(nmonth < 10) {
								nmstr = "0" + nmonth;
							} else {
								nmstr = nmonth;
							}

							dayItem.fulldate = date.getFullYear() + "-" + nmstr + "-" + sday;

							dayItem.day = i;

							dayItem.week = app.DateTool.DateToWeek(ndate, sysDate);
							if(date.getFullYear() == selectDate.getFullYear() && date.getMonth() == selectDate.getMonth() && i == selectDate.getDate()) {
								dayItem.isSelect = true;
							}
							dateListItem.days.push(dayItem);
						}

						return dateListItem;
					}

					function GetWeekStr(n) {
						var str = "";
						switch(n) {
							case 0:
								str = "周日";
								break;
							case 1:
								str = "周一";
								break;
							case 2:
								str = "周二";
								break;
							case 3:
								str = "周三";
								break;
							case 4:
								str = "周四";
								break;
							case 5:
								str = "周五";
								break;
							case 6:
								str = "周六";
								break;
							default:
								str = "";
								break;
						}

						return str;
					}

					function getThisMonthDays(year, month) {
						return new Date(year, month, 0).getDate();

					}

					function getFirstDayOfWeek(year, month) {
						return new Date(Date.UTC(year, month - 1, 1)).getDay();
					}

					return {
						initDate: initDate,
						GetWeekStr: GetWeekStr
					}
				})();
			})(window, $);

			function initDCDateJson(data) {
				if(!sysDate) {
					sysDate = new Date();
					if(app.GetResultState(data)) {
						sysDate = new Date(data.Now.replace(/-/g, "/"));
					}
					sysDateJson=data;
				}
				var getDate = function(data) {
					var selectDate;
					selectDate =  new Date(SelectDate.replace(/-/g, "/"));
					
					return {
						curr: selectDate,
						now: sysDate
					}
				}
				var _date = getDate(data);
				var _render = function() {
					var jsonDate = window.DCCustomDate.initDate(_date.curr, _date.now);
					var tmplHot = template('dc-date-template', jsonDate);
					$("#dc-indexContent").html('');
					$("#dc-indexContent").html(tmplHot);
					
					//控制显示
					var nowNoSelect = new Date(NewSysDate.replace(/-/g, "/"));

					var nowYear = nowNoSelect.getFullYear();
					var nowDay = nowNoSelect.getDate();
					var newnow1;
					if(nowDay > 28) {
						newnow1 = app.DateTool.DateAdd("d", -5, nowNoSelect);
					} else {
						newnow1 = nowNoSelect;
					}
					var nowMonth = newnow1.getMonth() + 1;
					
					$(".noselect").each(function(){
						var that = $(this);
						if(Number(that.attr("data-year")) == nowYear && nowDay > Number(that.attr("data-day")) && nowMonth == Number(that.attr("data-month"))){
							that.addClass("day-disabled");
							that.parent().removeClass("check-select-date");
						}
						
					});
					
				}
				SetShowDate(_date.curr, _date.now);
				_render();

				$("#dc-indexContent .check-select-date").off().on("tap", function() {
					$("#dc-indexContent .check-select-date.day-active").removeClass("day-active");
					$(this).addClass("day-active");
					var fulldate = $(this).attr("data-fulldate");
					var week = app.DateTool.DateToWeek(new Date(fulldate.replace(/-/g,'/')), sysDate)
					var ndate = new Date(fulldate.replace(/-/g, "/"));
					SetShowDate(ndate, sysDate);
					var settings = app.getSettings();
					var DepartDateJson = {
						fulldate: fulldate,
						week: week
					};
					var self = plus.webview.getWebviewById(selfId);
					self.evalJS("window.List.GoBackNewDate('"+fulldate+"')");
					plus.webview.currentWebview().close();
				});
			}

			function SetShowDate(selectDate, systemDate) {
				var currDate = typeof selectDate == 'string' ? (selectDate.replace(/-/g, '/')) : selectDate;
				//设置时间
				var settings = app.getSettings();
				var DepartDateJsone = {
					fulldate: moment(currDate).format('YYYY-M-D'),
					week: app.DateTool.DateToWeek(new Date(currDate),systemDate)
				};
				settings.DepartDateJson = DepartDateJsone;
				app.setSettings(settings);
				// 页面显示时间
				$("#showDCDate").html(moment(selectDate).format('MM月DD日') + "<span>" +
					app.DateTool.DateToWeek(new Date(currDate),systemDate) + "</span>");
			}

			return {
				init: function() {
					//滚动
					dcScroll = mui("#dc-dateScroll").scroll();
					app.GetServicesTime(initDCDateJson);
				},
				initDCDateJson: initDCDateJson,
				SetShowDate: SetShowDate
			}
		})();

		function init() {
			_dcDate.init();
		}
		return {
			init: init,
		}

	})();
})(window, $);