(function(window, $) {
	window.PlaneOrderWrite = (function() {
		var backIsError = false;
		var getSubmitEntity = {
			url: projectConfig.apiName.GetFlightOrderSubmitInfo,
			data: {
				FlightInfoKey: "",
				FlightNo: "",
				PolicyId: "",
				SeatCode: "",
				IsTravelBussiness: 1
			}
		};
		var Standard = {
			ResonId: 0,
			Reson: ""
		};
		var CreateFlightOrderEntity = {
			url: projectConfig.apiName.CreateFlightOrder,
			data: {
				FlightInfoKey: "",
				FlightNo: "",
				PolicyId: "",
				SeatCode: "",
				ContactName: "",
				ContactPhone: "",
				OtherContactPhone: "",
				BookPassengerList: [{}],
				IsTravelBussiness: 1,
				ResonId: 0,
				Reson: "",
				OtherCostDepartments: "",
				OtherReson: "",
				InsuranceIds: []
			}
		};
		var GetRefundAndModifyStipulateEntity = {
			url: projectConfig.apiName.GetRefundAndModifyStipulate,
			data: {
				ArriveAirportCode: "",
				DepartAirportCode: "",
				DepartDate: "",
				AirlineCode: "",
				ClassCode: "",
				SeatPrice: "",
				MRQueryKey: ""
			}
		};
		var price = 0;
		var otherprice = 0;
		var total = 0;
		var personCount = 0;
		var maxcount = 0;
		var passengerList = [];
		var contactName = "";
		var serverModel = 0;
		var serverPrice = 0;
		var IsCheckstandModel = false;
		var personhtml = '<div class="person-more" index="{0}"><div class="person-jian"><img class="person-jian-image" index="{0}" src="../images/jian.png" /></div><div class="person-moreuser"><div class="{3}"><div class="person-add-title1">姓名</div><div class="person-add-input1"><input class="person-add-input" id="txtname{0}" type="text" value="{1}" placeholder="与乘机人证件一致"/></div></div><div class="person-add1"><div class="person-add-title1">身份证/div><div class="person-add-input1"><input class="person-add-input" type="number" id="txtcard{0}" value="{2}" placeholder="请填写证件号"/></div></div></div></div>';

		function init() {
			loadOrderInfo();
			initEvent();
			mui("#reuleScroll").scroll();
			mui("#list-contentScroll").scroll();

			if(app.appPlatId == 1010) {
				$("#personPhoneDiv").hide();
			}
		}

		function loadOrderInfo() {
			app.showWaiting('加载中...', 1);
			app.Post(getSubmitEntity, null, loadOrderInfoCallback);
		}

		function loadOrderInfoCallback(data) {
			if(app.GetResultState(data)) {
				loadOrderHeader(data);
				if(data.ServicePriceModel != null) {
					serverModel = data.ServicePriceModel.ServiceModel;
					serverPrice = data.ServicePriceModel.ServicePrice;
				}
			} else {
				if(data.Code == "2000") {
					mui.alert(data.Msg, "提示", "重新选择机票", GoPlaneList)
				} else {
					app.showMsg(data.Msg)
				}
			}
		}

		function GoPlaneList() {
			app.ShowWebView(projectConfig.ViewId.Plane.List.url, {},
				"slide-in-left",
				projectConfig.ViewId.Plane.List.Id);
		}

		function loadOrderHeader(data) {
			IsCheckstandModel = data.IsCheckstandModel;
			if(!data.IsCheckstandModel) {
				$(".price-button").html("提交");
			}
			if(data.FlightInfo) {
				var flight = data.FlightInfo;
				GetRefundAndModifyStipulateEntity.data.MRQueryKey = flight.MRQueryKey;

				var leaveDate = flight.DepartTime.replace(/-/g, "/");
				var arriveDate = flight.ArriveTime.replace(/-/g, "/");
				var iDays = app.DateTool.datedifference(arriveDate, leaveDate);
				var month = app.DateTool.DateFormat("MM", leaveDate);
				var day = app.DateTool.DateFormat("dd", leaveDate);
				var leavehour = app.DateTool.DateFormat("hh", leaveDate);
				var leavemuinte = app.DateTool.DateFormat("mm", leaveDate);
				var arrivehour = app.DateTool.DateFormat("hh", arriveDate);
				var arrivemuinte = app.DateTool.DateFormat("mm", arriveDate);
				var week = app.DateTool.DateFormat("w", leaveDate);
				var logo = flight.AirlineLogo;
				var stop = flight.Stopnum;
				var line = flight.Airline;
				var no = flight.FlightNo;
				var leaveCity = flight.OrgCity;
				var arriveCity = flight.DstCity;
				var leavePart = flight.DepartAirport;
				var arrivePart = flight.ArriveAirport;
				var OrgJetquay = flight.OrgJetquay;
				var DstJetquay = flight.DstJetquay;
				var share = flight.CodeShare;
				var sprice = flight.SalsePrice;
				var sotherprice = flight.AirportTax + flight.FuelTax;
				var phone = data.ContactPhone;
				var department = data.Department;
				var company = data.CompanyName;
				var setName = flight.SeatMsg;
				price = sprice;
				otherprice = sotherprice;
				total = 0;
				//共享航班
				if(share) {
					$("#divshare").show();
					var sharelogo = flight.ShareAirlineLogo;
					var shareline = flight.ShareAirline;
					var shareno = flight.ShareNum;
					if(sharelogo)
						$("#imgsharelogo").attr("src", sharelogo);
					else
						$("#imgsharelogo").hide();
					$("#ssharename").html(shareline + shareno);
					$("#divshareline").show();
				}
				$("#sdate").html(month + "-" + day);
				$("#sweek").html(week);
				if(logo)
					$("#imglogo").attr("src", logo);
				else
					$("#imglogo").hide();
				$("#sname").html(line + no + " " + setName);
				$("#leaveTime").html(leavehour + ":" + leavemuinte);
				$("#leavePoint").html(leavePart + OrgJetquay);
				$("#arriveTime").html(arrivehour + ":" + arrivemuinte);
				$("#arrivePoint").html(arrivePart + DstJetquay);
				if(stop > 0)
					$(".time-type").html("经停");
				else
					$(".time-type").html("");
				$("#sprice").html(sprice);
				$("#sotherprice").html(sotherprice);
				$("#txtphone").val(phone);
				$("#sdepartment").html(company + " " + department);
				if(iDays > 0) {
					str = "+" + iDays + "天";
					$(".time-addview").append('<div class="time-add">' + str + '</div>');
				}

				var month = app.DateTool.DateFormat("MM", leaveDate);
				var day = app.DateTool.DateFormat("dd", leaveDate);
				var amonth = app.DateTool.DateFormat("MM", arriveDate);
				var aday = app.DateTool.DateFormat("dd", arriveDate);
				var leavehour = app.DateTool.DateFormat("hh", leaveDate);
				var leavemuinte = app.DateTool.DateFormat("mm", leaveDate);
				var arrivehour = app.DateTool.DateFormat("hh", arriveDate);
				var arrivemuinte = app.DateTool.DateFormat("mm", arriveDate);
				flight.leaveDate = month + "月" + day + "日";
				flight.ArriveDate = amonth + "月" + aday + "日";
				flight.lTime = leavehour + ":" + leavemuinte;
				flight.aTime = arrivehour + ":" + arrivemuinte;
				flight.flyType = flight.StopNum > 0 ? "经停" : "直飞";
				flight.Meal = flight.HaveMeal ? "有餐食" : "无餐食";

				var tmplHot = template('planeline-template', data);
				$("#lineheader").html(tmplHot);

				$(".plane-time-header-right").off().on("tap ", function(e) {
					if(backIsError) {
						app.showMsg("暂无退改签规则")
					} else {
						$("textarea").blur();
						$("input").blur();
						$(".ce-refund-rule").show();
					}
				})

				GetRefundAndModifyStipulateEntity.data.ArriveAirportCode = flight.ArriveAirportCode;
				GetRefundAndModifyStipulateEntity.data.DepartAirportCode = flight.DepartAirportCode;
				GetRefundAndModifyStipulateEntity.data.DepartDate = leaveDate;
				if(share) {
					GetRefundAndModifyStipulateEntity.data.AirlineCode = flight.ShareNum.substr(0, 2);
				} else {
					GetRefundAndModifyStipulateEntity.data.AirlineCode = flight.FlightNo.substr(0, 2);
				}
				GetRefundAndModifyStipulateEntity.data.ClassCode = flight.SeatCode;
				GetRefundAndModifyStipulateEntity.data.SeatPrice = flight.SalsePrice;

				loadBack();
				maxcount = data.FlightInfo.MaxBookCount;

				$(".person-header2").on("tap", function() {
					var data = {}
					data.type = 5;
					data.passengers = passengerList;
					data.count = maxcount;

					app.ShowWebView(projectConfig.ViewId.User.CommonPassenger.url, data, "slide-in-right", projectConfig.ViewId.User.CommonPassenger.Id);
				})

				initInsurance(data);
			} else {
				mui.alert(data.Msg, "提示", "重新选择机票", GoPlaneList)
			}
		}

		function changeHtmlBackground(str) {
			return str.replace(/dce9cf/g, "fff"); //去掉所有的html标记
		}

		function initInsurance(data) {
			if(!data.InsuranceInfoList && data.InsuranceInfoList.length <= 0)
				return;

			if(app.appPlatId == 1010) {
				return;
			}
			var tmplHot = template('insurance-template', data);
			$("#insuranceContent").html(tmplHot);

			mui("#insuranceScroll").scroll();
			var yiwai = changeHtmlBackground(data.InsuranceInfoList[0].Description).replace("left", "center").replace("left", "center");
			var yanwu = "";
			if(data.InsuranceInfoList.length > 1)
				yanwu = changeHtmlBackground(data.InsuranceInfoList[1].Description).replace("left", "center").replace("left", "center");
			$("#yiwaititle").html(data.InsuranceInfoList[0].InsuranceName);
			$("#yanwutitle").html(data.InsuranceInfoList[1].InsuranceName);
			$("#divyiwai").html(yiwai);
			$("#divyanwu").html(yanwu);

			//隐藏保险中所有图�
			var imgs = $("#insuranceScroll").find("img")
			if(imgs.length > 0) {
				for(var i = 0; i < imgs.length; i++) {
					imgs.eq(i).hide();
				}
			}

			loadPrice();

			$(".insurance-right-img").on("tap", function() {
				if($(this).attr("isCheck") == 1) {
					$(this).attr("isCheck", "0")
					$(this).attr("src", "../images/weixuan.png");
				} else {
					$(this).attr("isCheck", "1")
					$(this).attr("src", "../images/hongxuanzhong.png");
				}
				loadPrice();
			});

			$(".insurance-left-img").on("tap", function() {
				var type = $(this).attr("type");
				if(type == 1) {
					$("#divyiwai").show();
					$("#divyanwu").hide();
					$("#yiwaititle").addClass("insurance-header-current")
					$("#yanwutitle").removeClass("insurance-header-current")
				} else {
					$("#divyiwai").hide();
					$("#divyanwu").show();
					$("#yanwutitle").addClass("insurance-header-current")
					$("#yiwaititle").removeClass("insurance-header-current")
				}

				$(".ce-insurance-rule").show();
			})

			$(".insurance-header-title").on("tap", function() {
				if($(this).hasClass("insurance-header-current"))
					return;
				else {
					if($(this).attr("type") == 1) {
						$("#divyiwai").show();
						$("#divyanwu").hide();

					} else {
						$("#divyiwai").hide();
						$("#divyanwu").show();
					}
					mui("#insuranceScroll").scroll().scrollTo(0, 0, 0);
					$(".insurance-header-title").removeClass("insurance-header-current");
					$(this).addClass("insurance-header-current");
				}
			})
		}

		function loadPrice() {
			var total = (price + otherprice) * personCount

			$(".insurance-right-img").each(function(i, iterm) {
				if($(this).attr("isCheck") == 1) {
					total = total + personCount * $(this).attr("amount")
					$(this).attr("src", "../images/hongxuanzhong.png");
				}
			});

			if(serverModel == 1) {
				total = total + serverPrice;
			} else if(serverModel == 2) {
				total = total + serverPrice * data.length;
			}

			$("#stotal").html(total);
		}

		function loadBack() {
			app.Post(GetRefundAndModifyStipulateEntity, null, function(data) {
				if(app.GetResultState(data)) {
					var tmplHot = template('refunds-template', data);
					$("#reuleContent").html(tmplHot);

				} else {
					//$("#reuleContent").html("<div class='planebackrefund'>暂无退改签规则</div>");
					//plus.nativeUI.toast(data.Msg);
					backIsError = true
				}
			});
		}

		function initEvent() {
			addperson();
			reduceperson();
			submitOrder();
			function getTextLength(obj, countobj, count) {
				var textval = obj.val();
				var clipval = app.getClipbordText();
				var val = textval + clipval;
				var len = val.length;
				if(val.length > count) {
					val = val.substr(0, count - 1);
					len=count;
				}
				obj.val(content);
				countobj.text(len);
			}

			$("#txtdepartment").on('paste', function(e) {
				getTextLength($(this),$("#txtdepartmentCount"),100);
			});
			$("#txtremark").on('paste', function(e) {
				getTextLength($(this),$("#textremarkCount"),200);
			});

			$("#txtdepartment").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 100) {
					$("#txtdepartmentCount").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 99);
					$(this).val(content);
				}
			});
			$("#txtremark").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 200) {
					$("#textremarkCount").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 199);
					$(this).val(content);
				}
			});
			$(".ce-rult-icon").off().on("tap", function() {
				$(".ce-refund-rule").hide();
				$(".ce-insurance-rule").hide();
				$(".ce-detail-rule").hide();

				$('body').css('pointer-events', 'none');
				setTimeout(function() {
					$('body').css('pointer-events', 'auto');
				}, 400);
			})

			$(".detail-out-title").on("tap", function() {
				$("textarea").blur();
				$("input").blur();
				loadDetail();
				$(".ce-detail-rule").show();
			})
		}

		function addperson() {
			$(".header-add").on("tap", function() {
				if(personCount == 1) {
					var name = $("#txtname").val()
					var card = $("#txtcard").val()

					var html = app.format(personhtml, 1, name, card, "person-add");
					var html1 = app.format(personhtml, 2, "", "", "person-add1");
					personCount = 2;
					$("#oneperson").hide();
					$("#moreperson").html(html + html1);
					$("#moreperson").show();
				} else {
					personCount = personCount + 1;
					var html = app.format(personhtml, personCount, "", "", "person-add1");
					$("#moreperson").append(html);
				}

				total = total + (price + otherprice)
				loadPrice();
				reduceperson();
			});
		}

		function reduceperson() {

		}

		function loadRefundAndModifyStipulate() {
			app.Post(GetRefundAndModifyStipulateEntity, null, function(data) {
				if(app.GetResultState(data)) {
					var tmplHot = template('refunds-template', data);
					$("#reuleContent").html(tmplHot);
				} else {
					plus.nativeUI.toast(data.Msg);
				}
			});
		}

		function submitOrder(e) {
			$(".price-button").on("tap", function() {
				if(!IsCheckstandModel) {
					mui.confirm("提交订单后等待出票，无需支付，确认提交？", "提示", ["取消", "提交"], function(e) {
						if(e.index==1) {
							sendSubmit();
						}
					})
				}
				else{
					sendSubmit();
				}
			});
		}
		
		function sendSubmit(){
			var isSubmit = $(".price-button").attr("isSbumit");
				if(!isSubmit || isSubmit == 0)
					$(".price-button").attr("isSbumit", "1");
				else
					return;

				var persons = new Array();
				var list = $("#moreperson").find(".person-more");
				var flag = true;
				if(!passengerList || passengerList.length <= 0) {
					app.showMsg("请添加乘机人");
					$(".price-button").attr("isSbumit", "0");
					return;
				}
				CreateFlightOrderEntity.data.InsuranceIds = [];
				$(".insurance-right-img").each(function(i, iterm) {
					if($(this).attr("isCheck") == 1) {
						CreateFlightOrderEntity.data.InsuranceIds.push($(this).attr("value"));
					}
				});
				CreateFlightOrderEntity.data.BookPassengerList = passengerList;
				var phone = $("#txtphone").val()
				if(app.appPlatId != 1010) {
					if(phone && phone.length == 11) {
						if(!app.checkMobile(phone)) {
							app.showMsg("请输入正确的手机号");
							$(".price-button").attr("isSbumit", "0");
							return;
						}
					} else {
						app.showMsg("请输入正确的手机号");
						$(".price-button").attr("isSbumit", "0");
						return;
					}
				} else {
					phone = "";
				}
				CreateFlightOrderEntity.data.ContactPhone = phone;
				var department = $("#txtdepartment").val()
				var remark = $("#txtremark").val()
				CreateFlightOrderEntity.data.OtherCostDepartments = department;
				CreateFlightOrderEntity.data.OtherReson = remark;

				app.showWaiting('提交中...', 1);

				app.Post(CreateFlightOrderEntity, null, CreateOrderCallback)
		}

		function CreateOrderCallback(data) {
			if(app.GetResultState(data)) {
				var param = {};
				param.SerialNo = data.OrderSerialNo;
				param.ProductType = 5;
				if(data.IsBoss) {
					if(data.CanPay) {
						app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
					} else {
						app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, param, 'slide-in-right', projectConfig.ViewId.Plane.OrderDetail.Id);
					}
				} else {
					if(data.AuditStatus == 0) {
						param.name = data.AuditorName;
						param.phone = data.AuditorMobile;
						param.isadmin = data.IsAdmin;
						param.type = 5;
						param.ProductType = 5;
						app.ShowWebView(projectConfig.ViewId.Standard.AppRoval.url, param, 'slide-in-right', projectConfig.ViewId.Standard.AppRoval.Id);
					} else {
						if(data.CanPay) {
							app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
						} else {
							app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, {
								SerialNo: data.OrderSerialNo
							}, 'slide-in-right', projectConfig.ViewId.Plane.OrderDetail.Id);
						}
					}
				}
			} else {
				if(data.Code == "2000") {
					$(".price-button").attr("isSbumit", "0");
					mui.alert("航班信息已过期，请重新选择", "提示", "重新选择机票", GoPlaneList)
				} else {
					$(".price-button").attr("isSbumit", "0");
					app.showMsg(data.Msg);
				}
			}
		}

		function loadDetail() {
			var data = {};
			var tickteprice = [];
			var ticketserver = [];
			var detailtotal = 0
			var ticket1 = {
				name: "成人机票",
				price: price,
				count: personCount
			};
			detailtotal = detailtotal + price * personCount
			tickteprice.push(ticket1);
			var ticket2 = {
				name: "机建＋燃油",
				price: otherprice,
				count: personCount
			}
			detailtotal = detailtotal + otherprice * personCount;
			if(serverModel != 0 && serverPrice != 0) {
				var ticket3 = {
					name: "服务费",
					price: serverPrice,
					count: serverModel == 2 ? personCount : 0
				};
				detailtotal += serverModel == 2 ? personCount * serverPrice : serverPrice;
				ticketserver.push(ticket3);
			}
			tickteprice.push(ticket2);

			var Insurance = [];
			$(".insurance-list").each(function(i, item) {
				if($(this).find(".insurance-right-img").attr("isCheck") == 1) {
					var iprice = $(this).find(".insurance-right-img").attr("amount");
					var insurance = {
						name: $(this).find(".insurance-left-title").text(),
						price: iprice,
						count: personCount
					}
					detailtotal = detailtotal + iprice * personCount
					Insurance.push(insurance);

				}
			})

			data.tickteprice = tickteprice;
			data.Insurance = Insurance;
			data.ticketserver = ticketserver;
			data.total = detailtotal
			var tmplHot = template('detail-template', data);
			$("#detailContent").html(tmplHot);
		}

		function initPassenger(data) {
			passengerList = data;
			if(data && data.length > 0) {
				var temp = {
					pList: data
				}
				personCount = data.length;
				loadPrice();
				var tmplHot = template('passenger-template', temp);
				$("#moreperson").html(tmplHot);
				$("#moreperson").show();
				initPassengerEvent();
			} else {
				$("#moreperson").html("");
				$("#moreperson").hide();
			}
		}

		function initPassengerEvent() {
			$(".person-jian").off().on("tap", function() {
				var id = $(this).attr("val");
				var name = $(this).attr("name");
				var card = $(this).attr("card");

				var temp = []
				for(var i = 0; i < passengerList.length; i++) {
					if(id == (passengerList[i].Id || "") && name == passengerList[i].Name && card == passengerList[i].IdentityNo) {

					} else {
						temp.push(passengerList[i])
					}
				}

				initPassenger(temp);
			})
		}

		return {
			init: init,
			getSubmitEntity: getSubmitEntity,
			Standard: Standard,
			CreateFlightOrderEntity: CreateFlightOrderEntity,
			addperson: addperson,
			reduceperson: reduceperson,
			initPassenger: initPassenger
		}
	})();
})(window, $);