(function(window, $) {
	window.PlaneOrderWrite = (function() {
		var backIsError = false
		var getSubmitEntity = {
			url: projectConfig.apiName.GetReturnFlightOrderSubmitInfo,
			data: {
				DepartParams: {
					FlightInfoKey: "",
					FlightNo: "",
					PolicyId: "",
					SeatCode: ""
				},
				BackParams: {
					FlightInfoKey: "",
					FlightNo: "",
					PolicyId: "",
					SeatCode: ""
				},
				IsTravelBussiness: 1
			}
		};
		var Standard = {
			ResonId: 0,
			Reson: ""
		};
		var CreateFlightOrderEntity = {
			url: projectConfig.apiName.CreateReturnFlightOrder,
			data: {
				DepartParams: {
					FlightInfoKey: "",
					FlightNo: "",
					PolicyId: 0,
					SeatCode: "",
					ContactName: "",
					ContactPhone: "",
					OtherContactPhone: "",
					BookPassengerList: [{
						Name: "",
						Type: 0,
						IdentityType: 1,
						IdentityNo: ""
					}],
					IsTravelBussiness: 1,
					ResonId: 0,
					Reson: "",
					OtherCostDepartments: "",
					OtherReson: "",
					InsuranceIds: [

					]
				},
				BackParams: {
					FlightInfoKey: "",
					FlightNo: "",
					PolicyId: 0,
					SeatCode: "",
					ContactName: "",
					ContactPhone: "",
					OtherContactPhone: "",
					BookPassengerList: [{
						Name: "",
						Type: 0,
						IdentityType: 1,
						IdentityNo: ""
					}],
					IsTravelBussiness: 1,
					ResonId: 0,
					Reson: "",
					OtherCostDepartments: "",
					OtherReson: "",
					InsuranceIds: []
				}
			}
		};

		var GetRefundAndModifyStipulateEntity = {
			url: projectConfig.apiName.GetRefundAndModifyStipulate,
			data: {
				ArriveAirportCode: "",
				DepartAirportCode: "",
				DepartDate: "",
				AirlineCode: "",
				ClassCode: "",
				SeatPrice: "",
				MRQueryKey: ""
			}
		};
		var price_d = 0;
		var otherprice_d = 0;
		var price_b = 0;
		var otherprice_b = 0;
		var total = 0;
		var personCount = 0;
		var maxcount = 0;
		var passengerList = [];
		var contactName = "";
		var serverModel = 0;
		var serverPrice = 0;
		var IsCheckstandModel = false;

		function init() {
			loadOrderInfo();

			mui("#reuleScroll").scroll();
			mui("#list-contentScroll").scroll();

			if(app.appPlatId == 1010) {
				$("#personPhoneDiv").hide();
			}
		}

		function loadOrderInfo() {
			if(app.appPlatId == 1010) {
				$("#personPhoneDiv").hide();
			}

			var settings = app.getSettings();
			var LeavePlaneInfo = settings.LeavePlaneInfo;
			var ReturnPlaneInfo = settings.ReturnPlaneInfo;

			getSubmitEntity.data.DepartParams.FlightInfoKey = LeavePlaneInfo.PlaneRedisKey;
			getSubmitEntity.data.DepartParams.PolicyId = LeavePlaneInfo.PolicyId;
			getSubmitEntity.data.DepartParams.FlightNo = LeavePlaneInfo.FlightNo;
			getSubmitEntity.data.DepartParams.SeatCode = LeavePlaneInfo.SeatCode;

			getSubmitEntity.data.BackParams.FlightInfoKey = ReturnPlaneInfo.PlaneRedisKey;
			getSubmitEntity.data.BackParams.PolicyId = ReturnPlaneInfo.PolicyId;
			getSubmitEntity.data.BackParams.FlightNo = ReturnPlaneInfo.FlightNo;
			getSubmitEntity.data.BackParams.SeatCode = ReturnPlaneInfo.SeatCode;

			app.showWaiting('加载中...', 1);
			app.Post(getSubmitEntity, null, loadOrderInfoCallback);
		}

		function loadOrderInfoCallback(data) {
			if(app.GetResultState(data)) {
				loadOrderHeader(data);
				if(data.ServicePriceModel != null) {
					serverModel = data.ServicePriceModel.ServiceModel;
					serverPrice = data.ServicePriceModel.ServicePrice;
				}
			} else {
				if(data.Code == "2000") {
					mui.alert(data.Msg, "提示", "重新选择机票", GoPlaneList)
				} else {
					app.showMsg(data.Msg)
				}
			}
		}

		function loadOrderHeader(data) {
			IsCheckstandModel = data.IsCheckstandModel;
			if(!data.IsCheckstandModel) {
				$(".price-button").html("提交");
			}

			var departInfo = data.DepartFlightInfo;
			var backInfo = data.BackFlightInfo;

			departInfo.dDate = moment(departInfo.DepartTime).format('MM月DD日');
			departInfo.dTime = moment(departInfo.DepartTime).format('HH:mm');
			departInfo.aDate = moment(departInfo.ArriveTime).format('MM月DD日');
			departInfo.aTime = moment(departInfo.ArriveTime).format('HH:mm');
			if(departInfo.StopNum > 0) {
				departInfo.flyType = "经停";
			} else {
				departInfo.flyType = "直飞";
			}
			var department = data.Department;
			var company = data.CompanyName;
			$("#sdepartment").html(company + " " + department);
			backInfo.dDate = moment(backInfo.DepartTime).format('MM月DD日');
			backInfo.dTime = moment(backInfo.DepartTime).format('HH:mm');
			backInfo.aDate = moment(backInfo.ArriveTime).format('MM月DD日');
			backInfo.aTime = moment(backInfo.ArriveTime).format('HH:mm');
			if(backInfo.StopNum > 0) {
				backInfo.flyType = "经停";
			} else {
				backInfo.flyType = "直飞";
			}
			$("#txtphone").val(data.ContactPhone);
			data.DepartFlightInfo = departInfo;
			data.BackFlightInfo = backInfo;

			var tmplHot = template('planeline-templateV1', data);
			$("#lineheader").html(tmplHot);

			var tmplHot1 = template('tpl_plane_info', data);
			$("#tab-info-content").html(tmplHot1);

			if(backInfo.MaxBookCount >= departInfo.MaxBookCount) {
				maxcount = departInfo.MaxBookCount;
			} else {
				maxcount = backInfo.MaxBookCount;
			}

			price_d = departInfo.SalsePrice;
			otherprice_d = departInfo.AirportTax;
			price_b = backInfo.SalsePrice;
			otherprice_b = backInfo.AirportTax;

			initInsurance(data);
			initEvent();
			loadBack(data);
		}

		function GoPlaneList() {
			app.ShowWebView(projectConfig.ViewId.Plane.List.url, {
					type: "wf",
					lineType: 2
				},
				"slide-in-left",
				projectConfig.ViewId.Plane.List.Id);
		}

		function initInsurance(data) {
			if(!data.InsuranceInfoList && data.InsuranceInfoList.length <= 0)
				return;

			if(app.appPlatId == 1010) {
				return;
			}
			var tmplHot = template('insurance-template', data);
			$("#insuranceContent").html(tmplHot);

			mui("#insuranceScroll").scroll();
			var yiwai = changeHtmlBackground(data.InsuranceInfoList[0].Description).replace("left", "center").replace("left", "center");
			var yanwu = "";
			if(data.InsuranceInfoList.length > 1)
				yanwu = changeHtmlBackground(data.InsuranceInfoList[1].Description).replace("left", "center").replace("left", "center");
			$("#yiwaititle").html(data.InsuranceInfoList[0].InsuranceName);
			$("#yanwutitle").html(data.InsuranceInfoList[1].InsuranceName);
			$("#divyiwai").html(yiwai);
			$("#divyanwu").html(yanwu);

			//隐藏保险中所有图�
			var imgs = $("#insuranceScroll").find("img")
			if(imgs.length > 0) {
				for(var i = 0; i < imgs.length; i++) {
					imgs.eq(i).hide();
				}
			}

			loadPrice();

			$(".insurance-right-img").on("tap", function() {
				if($(this).attr("isCheck") == 1) {
					$(this).attr("isCheck", "0")
					$(this).attr("src", "../images/weixuan.png");
				} else {
					$(this).attr("isCheck", "1")
					$(this).attr("src", "../images/hongxuanzhong.png");
				}
				loadPrice();
			});

			$(".insurance-left-img").on("tap", function() {
				var type = $(this).attr("type");
				if(type == 1) {
					$("#divyiwai").show();
					$("#divyanwu").hide();
					$("#yiwaititle").addClass("insurance-header-current")
					$("#yanwutitle").removeClass("insurance-header-current")
				} else {
					$("#divyiwai").hide();
					$("#divyanwu").show();
					$("#yanwutitle").addClass("insurance-header-current")
					$("#yiwaititle").removeClass("insurance-header-current")
				}

				$(".ce-insurance-rule").show();
			})

			$(".insurance-header-title").on("tap", function() {
				if($(this).hasClass("insurance-header-current"))
					return;
				else {
					if($(this).attr("type") == 1) {
						$("#divyiwai").show();
						$("#divyanwu").hide();

					} else {
						$("#divyiwai").hide();
						$("#divyanwu").show();
					}
					mui("#insuranceScroll").scroll().scrollTo(0, 0, 0);
					$(".insurance-header-title").removeClass("insurance-header-current");
					$(this).addClass("insurance-header-current");
				}
			})
		}

		function changeHtmlBackground(str) {
			return str.replace(/dce9cf/g, "fff"); //去掉所有的html标记
		}

		function loadPrice() {
			var total = (price_d + otherprice_d + price_b + otherprice_b) * personCount

			$(".insurance-right-img").each(function(i, iterm) {
				if($(this).attr("isCheck") == 1) {
					total = total + personCount * 2 * $(this).attr("amount")
					$(this).attr("src", "../images/hongxuanzhong.png");
				}
			});

			if(serverModel == 1) {
				total = total + serverPrice;
			} else if(serverModel == 2) {
				total = total + serverPrice * data.length;
			}

			$("#stotal").html(total);
		}

		function loadBack(data) {

			var ddata = {}
			var adata = {}

			ddata.ArriveAirportCode = data.DepartFlightInfo.ArriveAirportCode;
			ddata.DepartAirportCode = data.DepartFlightInfo.DepartAirportCode;
			ddata.DepartDate = data.DepartFlightInfo.DepartTime;
			ddata.AirlineCode = data.DepartFlightInfo.FlightNo.substr(0, 2);
			ddata.ClassCode = data.DepartFlightInfo.SeatCode;
			ddata.SeatPrice = data.DepartFlightInfo.SettlePrice;
			ddata.MRQueryKey = data.DepartFlightInfo.MRQueryKey;

			adata.ArriveAirportCode = data.BackFlightInfo.ArriveAirportCode;
			adata.DepartAirportCode = data.BackFlightInfo.DepartAirportCode;
			adata.DepartDate = data.BackFlightInfo.DepartTime;
			adata.AirlineCode = data.BackFlightInfo.FlightNo.substr(0, 2);
			adata.ClassCode = data.BackFlightInfo.SeatCode;
			adata.SeatPrice = data.BackFlightInfo.SettlePrice;
			adata.MRQueryKey = data.BackFlightInfo.MRQueryKey;

			var dpost = GetRefundAndModifyStipulateEntity;
			dpost.data = ddata;

			app.Post(dpost, null, function(data) {
				if(app.GetResultState(data)) {
					var tmplHot = template('refunds-template', data);
					$("#goRuleDiv").html(tmplHot);
				} else {
					backIsError = true
				}
			});
			var apost = GetRefundAndModifyStipulateEntity;
			apost.data = adata;
			app.Post(apost, null, function(data) {
				if(app.GetResultState(data)) {
					var tmplHot = template('refunds-template', data);
					$("#toRuleDiv").html(tmplHot);

				} else {
					backIsError = true
				}
			});
		}

		function initEvent() {
			submitOrder();
			
			function getTextLength(obj, countobj, count) {
				var textval = obj.val();
				var clipval = app.getClipbordText();
				var val = textval + clipval;
				var len = val.length;
				if(val.length > count) {
					val = val.substr(0, count - 1);
					len=count;
				}
				obj.val(content);
				countobj.text(len);
			}

			$("#txtdepartment").on('paste', function(e) {
				getTextLength($(this),$("#txtdepartmentCount"),100);
			});
			$("#txtremark").on('paste', function(e) {
				getTextLength($(this),$("#textremarkCount"),200);
			});

			$("#txtdepartment").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 100) {
					$("#txtdepartmentCount").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 99);
					$(this).val(content);
				}
			});
			$("#txtremark").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 200) {
					$("#textremarkCount").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 199);
					$(this).val(content);
				}
			});
			$(".ce-rult-icon").off().on("tap", function() {
				$(".ce-insurance-rule").hide();
				$(".ce-detail-rule").hide();

				$('body').css('pointer-events', 'none');
				setTimeout(function() {
					$('body').css('pointer-events', 'auto');
				}, 400);
			})

			$(".detail-out-title").on("tap", function() {
				$("textarea").blur();
				$("input").blur();
				loadDetail();
				$(".ce-detail-rule").show();
			})

			var $infoRule = $('#plane_info_rule');
			var $infoRuleTabs = $infoRule.find('.info-rule-tabs');
			var $tabs = $infoRule.find('.tab-item');
			$('#read_plane_info').off().on('tap', function() {
				var $this = $(this);
				var open = $this.attr('data-open');
				$tabs.hide();
				$infoRuleTabs.find('li').removeClass('current');
				$infoRuleTabs.find('.' + open).addClass('current');
				$('#' + open + '-content').show();
				$infoRule.show();
			});

			$('#read_plane_rule').off().on('tap', function() {
				if(backIsError) {
					app.showMsg("暂无退改签规则");
					return;
				}
				$("textarea").blur();
				$("input").blur();
				var $this = $(this);
				var open = $this.attr('data-open');
				$tabs.hide();
				$infoRuleTabs.find('li').removeClass('current');
				$infoRuleTabs.find('.' + open).addClass('current');
				$('.' + open + '-content').show();
				$infoRule.show();
			});

			$('.info-rule-close').off().on('tap', function() {
				$infoRule.hide();
				$('body').css('pointer-events', 'none');
				setTimeout(function() {
					$('body').css('pointer-events', 'auto');
				}, 400);
			});

			$infoRuleTabs.off().on('tap', 'li', function() {
				var $this = $(this);
				if(!$this.hasClass('current')) {
					$tabs.hide();
					$this.addClass('current').siblings().removeClass('current');
					$infoRule.find('.' + $this.attr('data-tab') + '-content').show();
				}
			})

			$(".person-header2").on("tap", function() {
				var data = {}
				data.type = 51;
				data.passengers = passengerList;
				data.count = maxcount;

				app.ShowWebView(projectConfig.ViewId.User.CommonPassenger.url, data, "slide-in-right", projectConfig.ViewId.User.CommonPassenger.Id);
			})
		}

		function submitOrder(e) {
			$(".price-button").on("tap", function() {
				var flag = false;
				if(!IsCheckstandModel) {
					mui.confirm("提交订单后等待出票，无需支付，确认提交？", "提示", ["取消", "提交"], function(e) {
						if(e.index==1) {
							sendSubmit();
						}
					})
				}else{
					sendSubmit();
				}
			});
		}
		
		function sendSubmit(){
			var isSubmit = $(".price-button").attr("isSbumit");
				if(!isSubmit || isSubmit == 0)
					$(".price-button").attr("isSbumit", "1");
				else
					return;
				var settings = app.getSettings();
				var LeavePlaneInfo = settings.LeavePlaneInfo;
				var ReturnPlaneInfo = settings.ReturnPlaneInfo;
				CreateFlightOrderEntity.data.DepartParams.FlightInfoKey = LeavePlaneInfo.PlaneRedisKey;
				CreateFlightOrderEntity.data.DepartParams.PolicyId = LeavePlaneInfo.PolicyId;
				CreateFlightOrderEntity.data.DepartParams.FlightNo = LeavePlaneInfo.FlightNo;
				CreateFlightOrderEntity.data.DepartParams.SeatCode = LeavePlaneInfo.SeatCode;
				CreateFlightOrderEntity.data.DepartParams.ResonId = LeavePlaneInfo.ResonId;
				CreateFlightOrderEntity.data.DepartParams.Reson = LeavePlaneInfo.Reson;

				CreateFlightOrderEntity.data.BackParams.FlightInfoKey = ReturnPlaneInfo.PlaneRedisKey;
				CreateFlightOrderEntity.data.BackParams.PolicyId = ReturnPlaneInfo.PolicyId;
				CreateFlightOrderEntity.data.BackParams.FlightNo = ReturnPlaneInfo.FlightNo;
				CreateFlightOrderEntity.data.BackParams.SeatCode = ReturnPlaneInfo.SeatCode;
				CreateFlightOrderEntity.data.BackParams.ResonId = ReturnPlaneInfo.ResonId;
				CreateFlightOrderEntity.data.BackParams.Reson = ReturnPlaneInfo.Reson;

				var persons = new Array();
				var list = $("#moreperson").find(".person-more");
				var flag = true;
				if(!passengerList || passengerList.length <= 0) {
					app.showMsg("请添加乘机人");
					$(".price-button").attr("isSbumit", "0");
					return;
				}
				CreateFlightOrderEntity.data.DepartParams.InsuranceIds = [];
				CreateFlightOrderEntity.data.BackParams.InsuranceIds = [];
				$(".insurance-right-img").each(function(i, iterm) {
					if($(this).attr("isCheck") == 1) {
						CreateFlightOrderEntity.data.DepartParams.InsuranceIds.push($(this).attr("value"));
						CreateFlightOrderEntity.data.BackParams.InsuranceIds.push($(this).attr("value"));
					}
				});
				CreateFlightOrderEntity.data.DepartParams.BookPassengerList = passengerList;
				CreateFlightOrderEntity.data.BackParams.BookPassengerList = passengerList;
				var phone = $("#txtphone").val()
				if(app.appPlatId != 1010) {
					if(phone && phone.length == 11) {
						if(!app.checkMobile(phone)) {
							app.showMsg("请输入正确的手机号");
							$(".price-button").attr("isSbumit", "0");
							return;
						}
					} else {
						app.showMsg("请输入正确的手机号");
						$(".price-button").attr("isSbumit", "0");
						return;
					}
				} else {
					phone = "";
				}
				CreateFlightOrderEntity.data.DepartParams.ContactPhone = phone;
				CreateFlightOrderEntity.data.BackParams.ContactPhone = phone;
				var department = $("#txtdepartment").val()
				var remark = $("#txtremark").val();
				CreateFlightOrderEntity.data.DepartParams.OtherCostDepartments = department;
				CreateFlightOrderEntity.data.DepartParams.OtherReson = remark;
				CreateFlightOrderEntity.data.BackParams.OtherCostDepartments = department;
				CreateFlightOrderEntity.data.BackParams.OtherReson = remark;

				app.showWaiting('提交中...', 1);

				app.Post(CreateFlightOrderEntity, null, CreateOrderCallback)
		}

		function CreateOrderCallback(data) {
			if(app.GetResultState(data)) {
				var param = {};
				param.SerialNo = data.OrderSerialNo;
				param.ProductType = 5;
				param.CreateOrder = true;
				if(data.IsBoss) {
					if(data.CanPay) {
						app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
					} else {
						app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, param, 'pop-in', projectConfig.ViewId.Plane.OrderDetail.Id);
					}
				} else {
					if(data.AuditStatus == 0) {
						param.name = data.AuditorName;
						param.phone = data.AuditorMobile;
						param.isadmin = data.IsAdmin;
						param.type = 5;
						app.ShowWebView(projectConfig.ViewId.Standard.AppRoval.url, param, 'slide-in-right', projectConfig.ViewId.Standard.AppRoval.Id);
					} else {
						if(data.CanPay) {
							app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
						} else {
							app.ShowWebView(projectConfig.ViewId.Plane.OrderDetail.url, {
								SerialNo: data.OrderSerialNo
							}, 'slide-in-right', projectConfig.ViewId.Plane.OrderDetail.Id);
						}
					}
				}
			} else {
				if(data.Code == "2000") {
					$(".price-button").attr("isSbumit", "0");
					mui.alert("航班信息已过期，请重新选择", "提示", "重新选择机票", GoPlaneList)
				} else {
					$(".price-button").attr("isSbumit", "0");
					app.showMsg(data.Msg);
				}
			}
		}

		function loadDetail() {
			var data = {};
			var tickteprice = [];
			var tickteprice2 = [];
			var ticketserver = [];
			var detailtotal = 0
			var ticket1 = {
				name: "成人机票",
				price: price_d,
				count: personCount
			};
			detailtotal = detailtotal + price_d * personCount;

			tickteprice.push(ticket1);
			var ticket2 = {
				name: "机建＋燃油",
				price: otherprice_d,
				count: personCount
			}
			detailtotal = detailtotal + otherprice_d * personCount;
			tickteprice.push(ticket2);
			var ticket3 = {
				name: "成人机票",
				price: price_b,
				count: personCount
			};
			detailtotal = detailtotal + price_b * personCount;
			tickteprice2.push(ticket3);
			var ticket4 = {
				name: "机建＋燃油",
				price: otherprice_b,
				count: personCount
			}
			detailtotal = detailtotal + otherprice_b * personCount;

			if(serverModel != 0 && serverPrice != 0) {
				var ticket5 = {
					name: "服务费",
					price: serverPrice,
					count: serverModel == 2 ? personCount : 0
				};
				detailtotal += (serverModel == 2 ? personCount * serverPrice : serverPrice);
				ticketserver.push(ticket5);
			}
			tickteprice2.push(ticket4);
			var Insurance = [];
			$(".insurance-list").each(function(i, item) {
				if($(this).find(".insurance-right-img").attr("isCheck") == 1) {
					var iprice = $(this).find(".insurance-right-img").attr("amount");
					var insurance = {
						name: $(this).find(".insurance-left-title").text(),
						price: iprice * 2,
						count: personCount
					}
					detailtotal = detailtotal + (iprice * personCount * 2)
					Insurance.push(insurance);

				}
			})

			data.tickteprice_d = tickteprice;
			data.tickteprice_b = tickteprice2;
			data.ticketserver = ticketserver;
			data.Insurance = Insurance;
			data.total = detailtotal;
			var tmplHot = template('detail-template', data);
			$("#detailContent").html(tmplHot);
		}

		function initPassenger(data) {
			passengerList = data;
			if(data && data.length > 0) {
				var temp = {
					pList: data
				}
				personCount = data.length;
				loadPrice();
				var tmplHot = template('passenger-template', temp);
				$("#moreperson").html(tmplHot);
				$("#moreperson").show();
				initPassengerEvent();
			} else {
				$("#moreperson").html("");
				$("#moreperson").hide();
			}
		}

		function initPassengerEvent() {
			$(".person-jian").off().on("tap", function() {
				var id = $(this).attr("val");
				var name = $(this).attr("name");
				var card = $(this).attr("card");

				var temp = []
				for(var i = 0; i < passengerList.length; i++) {
					if(id == (passengerList[i].Id || "") && name == passengerList[i].Name && card == passengerList[i].IdentityNo) {

					} else {
						temp.push(passengerList[i])
					}
				}

				initPassenger(temp);
			})
		}

		return {
			init: init,
			getSubmitEntity: getSubmitEntity,
			Standard: Standard,
			CreateFlightOrderEntity: CreateFlightOrderEntity,
			initPassenger: initPassenger
		}
	})();
})(window, $);