app.myofferlist = {
	GetDemandListEntity: {
		url: projectConfig.apiName.GetSupplyDemandList,
		data: {
			Type: 1,
			Page: {
				Index: 1,
				size: 10
			}
		}
	},
	IgnoreDemandEntity: {
		url: projectConfig.apiName.SupplierIgnoreDemand,
		data: {
			Did: ''
		}
	},
	PageInfo: { "Index": 0, "Size": 0, "Amount": 0, "ResultAmount": 0 },
	pageInfos: [],
	packprefix: "scroll_",
	packsonprefix: "detail_",
	currentType: 0,
	tabCount: 0,
	getDemandList: function(callback) {
		var self = app.myofferlist;
		var entity = self.GetDemandListEntity;
		app.Post(entity, null, callback);
	},
	getDemandListCallback: function(data) {
		//console.log(JSON.stringify(data));
		var self = app.myofferlist;
		if(app.GetResultState(data)) {
			self.HandleData(data);
		} else {
			if(data.Code == "0001") {
				self.HandleData(data);
			} else {
				app.renderNoResult("出了点状况", data.Msg, "重新加载", app.myofferlist.loadagain, $("#wrapperContent"));
				self.showdata();
			}
		}
	},
	loadagain: function() {
		var myofferlist = app.myofferlist;
		myofferlist.getDemandList(myofferlist.getDemandListCallback);
	},

	HandleData: function(data, type) {
		var self = app.myofferlist;
		var html = "";
		var demandList = data.DemandIList;
		var pagedata = data.PageInfo;
		if(demandList != null && demandList.length > 0) {
			self.InitDemandList(demandList, type);
		} else {
			app.renderNoResult("暂无询价单", "请耐心等待", null, null, $("#wrapperContent"));
			self.showdata();
		}
	},
	showdata: function() {
		$("#order-load").hide();
		$("#pullrefresh").fadeIn();
	},

	//需求单列表
	InitDemandList: function(data, type) {
		//				console.log(JSON.stringify(data));
		var html = "";
		var self = app.myofferlist;
		//		var packId = self.packsonprefix + self.currentType;
		var obj = $("#wrapperContent");
		if(data != null && data.length > 0) {
			for(var i = 0; i < data.length; i++) {
				var demand = data[i];
				html += '<div class="rob-order-info">';
				if(demand.Hint.length > 0) {
					html += '<div class="rob-order-info-robtitle"><i></i>' + demand.Hint + '</div>';
				}
				html += '<div class = "rob-order-hotelinfo" did="' + demand.Did + '">';
				html += '<p><font>' + demand.Desc + '</font><b>' + demand.Check + '</b><br/>' + demand.Room + '<br/>' + demand.Special + '</p>';
				html += '<span >' + demand.Time + '</span>';
				html += '</div>';
				html += app.offerbuttion.GetButton(demand.ButtonList);
				html += self.GetHotelList(demand.HotelList);
				html += '</div>';
			}
			self.showdata();
			if(type == 0) {
				obj.html(html);
			} else {
				obj.append(html);
			}
		} else {
			app.renderNoResult("暂无询价单", "请耐心等待", null, null, obj);
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			self.showdata();
		}
		self.ControlScroll(type);
		$(".btnignore").on("tap", function() {
			var did = $(this).attr("id");
			self.ignoreDemand(did);
		});

		//		self.initiscroll(self.packprefix + self.currentType);
		$(".rob-order-hotelinfo").off("tap");
		$(".rob-order-hotelinfo").on("tap", function() {
			var did = $(this).attr("did");
			self.robDemand(did);
		});
		$(".rob-order-info-btn").on("tap", function() {
			var did = $(this).attr("id");
			self.robDemand(did);
		});
		//console.log(html);
	},
	ControlScroll: function(type) {
		var PageInfo = app.myofferlist.PageInfo;
		var self = app.myofferlist;

		if(type == 0) {
			//如果下拉刷新就一页不给上啦事件
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			if(PageInfo.Index >= PageInfo.Amount && PageInfo.Amount == 1) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				self.GetDemandListEntity.data.Page.Index++;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		} else {
			if(PageInfo.Index >= PageInfo.Amount) {
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(true);
			} else {
				self.GetDemandListEntity.data.Page.Index++;
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
			}
		}
	},
	//获取报价酒店列表
	GetHotelList: function(hotelList) {
		var html = "";
		if(hotelList.length > 0) {
			$.each(hotelList, function(i, hotel) {
				html += '<div class="rob-order-hotelinfo-price">';
				html += '<p><font>' + hotel.Name + '</font></p>';
				html += '<span><font>' + hotel.OfferPrice.join('') + '</font></span>';
				html += '</div>';
			});
		}
		return html;
	},
	initpagewidthandhegiht: function() {
		var width = $(window).width(),
			height = $(window).height() - 142;
		$.each($("#wrapperContent").find("section"), function(index, section) {
			$(section).css("width", width);
			$(section).children(":first").css("height", height + 10);
		});
		//		$(".wapper-detail").css("height", height);
		$("#wrapperContent").css("height", height);
	},

	//切换tab事件
	switchTabEvent: function() {

	},
	callback: function(data) {
		var self = app.myofferlist;
		if(app.GetResultState(data)) {
			app.myofferlist.PageInfo = data.PageInfo;
			self.HandleData(data, 0);
		} else {
			mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			app.renderNoResult(data.Msg, '', null, null, $("#wrapperContent"));
			$("#order-load").hide();
			$("#pullrefresh").fadeIn();
		}
	},
	//下拉事件
	pulldownRefresh: function() {
		var self = app.myofferlist;
		var entity = self.GetDemandListEntity;
		entity.data.Page.Index = 1;
		entity.data.Page.size = 10;
		//		self.getDemandList(self.getDemandListCallback);
		//		
		//		self.GetDemandListEntity.data.Page.Index = 1;
		//		self.GetDemandListEntity.data.Page.size = 10;

		app.Post(self.GetDemandListEntity, null, self.callback);
	},
	//上拉事件
	pullupRefresh: function() {
		var self = app.myofferlist;
		var entity = self.GetDemandListEntity;
		var _callback = function(data) {
			//			console.log(JSON.stringify(data));
			var self = app.myofferlist;
			if(app.GetResultState(data)) {
				//				app.myofferlist.pageInfos = data.pageInfos;
				app.myofferlist.PageInfo = data.PageInfo;
				self.HandleData(data, 1);
			} else {
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
				mui('#pullrefresh').pullRefresh().disablePullupToRefresh();
				mui('#pullrefresh').pullRefresh().endPulldownToRefresh(true);
				app.renderNoResult(data.Msg, "", null, null, $("#wrapperContent"));
				self.showdata();
			}
		}
		app.Post(entity, null, _callback);
	},

	//获取当前页码信息
	getcurrentpageinfo: function() {
		var page = {};
		var self = app.myofferlist;
		var pages = self.pageInfos;
		$.each(pages, function(i, rpage) {
			if(rpage.Type == self.currentType) {
				page = rpage;
				return;
			}
		});
		return page;
	},
	//忽略需求单
	ignoreDemand: function(did) {
		var self = app.myofferlist;
		var entity = self.IgnoreDemandEntity;
		entity.data.Did = did;
		app.Post(entity, null, self.ignoreDemandCallback);
	},
	ignoreDemandCallback: function(data) {
		var self = app.myofferlist;
		if(app.GetResultState(data)) {
			app.showMsg("完成忽略！");
			self.pulldownRefresh();
		} else {
			app.showMsg(data.Msg);
		}
	},
	//抢单
	robDemand: function(did) {
		var pagedata = {};
		pagedata.DId = did;
		app.ShowWebView('offer/DemandHotel.html', pagedata, null, 'offer.DemandHotel');
	},
	//修改报价
	changeDemandPrice: function(did, hotelIdList) {

	}
}