app.myoffer = {
	GetDemandListEntity: {
		url: projectConfig.apiName.GetSupplyDemandList,
		data: {
			Type: 1,
			Page: {
				Index: 0,
				size: 0
			}
		}
	},
	currentType: 1,
	tabCount: 0,
	Order_sub: "../Supply/myOfferlist.html",
	getDemandList: function(callback) {
		var self = app.myoffer;
		var entity = self.GetDemandListEntity;
		app.Post(entity, null, callback);
	},
	initTitle: function() {
		var self = app.myoffer;
		self.getDemandList(self.callback);
	},
	callback: function(data) {
		var self = app.myoffer;
		if(app.GetResultState(data)) {
			self.HandleData(data);
		} else {
			if(data.Code == "0001") {
				self.HandleData(data);
			} else {
				app.renderNoResult("出了点状况", data.Msg, "重新加载", self.initTitle(), $("#muicontent"));
			}
		}
	},
	HandleData: function(data) {
		var self = app.myoffer;
		//头部
		var titleList = data.TitleList;

		self.currentType = self.GetDemandListEntity.data.Type;
		if(titleList != null && titleList.length > 0) {
			if(self.currentType == 1)
				self.currentType = titleList[0].Id;
			self.SetDemandTitle(titleList);
		}

	},

	//设置需求单标题
	SetDemandTitle: function(data) {
		var self = app.myoffer;
		var html = "";
		var packhtml = "";
		if(self.tabCount == 0) {
			if(data.length > 0) {
				titlewidth = (99 / data.length) + "%";
				self.initWebView(data.length, self.currentType);
				for(var i = 0; i < data.length; i++) {
					var title = data[i];
					var css = "";
					if(self.currentType == title.Id) {
						css = "current";
					}
					html += '<a href="javascript:void(0)" id="btn' + title.Id + '" type="' + title.Id + '" class="buttom-tite- ' + css + '" style="width:' + titlewidth + ';white-space:nowrap;">';
					html += self.InitTypeCount(title.Name, title.Amount);
					html += "</a>";
				}
				$("#divTitle").html(html);
				self.bindEvent();
				self.tabCount = data.length;
			}
		}
	},
	bindEvent: function() {
		$(".buttom-tite-").off().on("tap", function() {
			var type = $(this).attr("type");
			app.myoffer.GotoWebView(type);
		});
	},
	GotoWebView: function(type) {
		//			console.log(type);
		var self = app.myoffer;
		if(type == self.currentType) {
			return false;
		}
		var activeTab = self.currentType + self.Order_sub;
		var targetTab = type + self.Order_sub;
		var ziview = plus.webview.getWebviewById(targetTab);
		var url = self.Order_sub;
		if(!!ziview) {
			//ziview.reload();  //通知
			ziview.evalJS("tongzhiLoad()");
			if(mui.os.ios) {
				//app.showMsg(targetTab);
				plus.webview.show(targetTab, "none", 50);
			} else {
				plus.webview.show(targetTab, "none", 50);
			}

		} else {
			var topBar = $(".mui-bar").height();
			var topTitle = $("#divTitle").height();
			var top = (Number(topBar) + 45) + "px";
			var bottom = "53px";
			var style = {
				top: top,
				bottom: bottom
			}

			var extras = {
				Type: type
			}
			var sub = plus.webview.create(url, targetTab, style, extras);
			var webView = plus.webview.currentWebview();
			webView.append(sub);
		}
		//隐藏当前;
		plus.webview.hide(activeTab);
		//app.showMsg("hide" + activeTab);
		self.currentType = type;
		//console.log("====" + type);

		$("#divTitle a").removeClass("current");
		$("#btn" + type).addClass("current");

	},
	initWebView: function(num, current) {
		//console.log(num + "=" + current);
		var topBar = $(".mui-bar").height();
		var topTitle = $("#divTitle").height();
		var top = (Number(topBar) + 40) + "px";
		var bottom = "53px";
		var style = {
			top: top,
			bottom: bottom
		}
		var extras = {
			Type: current
		}
		var self = app.myoffer;
		var webView = plus.webview.currentWebview();
		var url = self.Order_sub;
		var id = current + self.Order_sub;
		//		var currentview = plus.webview.getWebviewById(id);
		//		if(currentview) {
		//			currentview.close();
		//		}
		for(var i = 1; i <= num; i++) {
			var uid = i + self.Order_sub;
			var currentview = plus.webview.getWebviewById(uid);
			if(currentview) {
				currentview.close();
			}
		}
		var sub = plus.webview.create(url, id, style, extras);
		webView.append(sub);

	},
	//加载选项数量
	InitTypeCount: function(title, count) {
		var html = title;
		//		if(count > 0)
		//			html += '(<i>' + count + '</i>)';
		return html;
	},

	//切换tab事件
	switchTabEvent: function() {

	},

}