app.supplyofferprice = {
	GetDemandOfferEntity: {
		url: projectConfig.apiName.SupplierGetDemandOffer,
		data: {
			Did: '',
			Hid: ''
		}
	},
	SubmitDemandOfferentity: {
		url: projectConfig.apiName.SupplierSubmitDemandOffer,
		data: {
			Did: "",
			Hid: "",
			orderAmount: 0,
			commissionAmount: 0,
			allAmount: 0,
			PriceRule: {
				Payment: 0,
				Breakfastr: 0,
				Prepay: 0
			},
			DepositRate: 0,
			BalancePayDate: 0,
			PriceList: []
		}
	},
	ResultData: {},
	GetDemandOffer: function() {
		app.Loading($("#demandDetail"), "2%");
		app.Loading($("#divoferrdetail"), "20%");
		var Did = $("#hidDemandOrderId").val();
		var Hid = $("#hidDemandHotelId").val();

		var self = app.supplyofferprice;
		var entity = self.GetDemandOfferEntity;
		entity.data.Did = Did;
		entity.data.Hid = Hid;

		app.Post(entity, null, self.GetDemandOfferCallback)
	},
	GetDemandOfferCallback: function(data) {
		//console.log(JSON.stringify(data));
		var self = app.supplyofferprice;
		var errobj = $("#loadingorMsg");
		app.Loading(errobj);
		if(app.GetResultState(data)) {
			self.ResultData = data;
			app.offerhotel.LoadDemandDetail(data, $("#demandDetail"));
			var totalprice = data.DemandInfo.TotalPrice;
			self.initbutton(data);
			self.SetDemandDetail(data);
			self.initEvent();
			errobj.hide();

			if(totalprice > 0) {
				$("#iamount").text(data.DemandInfo.TotalPrice);
				self.gettotalprice();
			}
		} else {
			self.showErr(data);
		}
	},
	SetDemandDetail: function(data) {
		var self = app.supplyofferprice;
		var entity = self.SubmitDemandOfferentity;
		var html = "";
		//console.log(JSON.stringify(data));
		var payjson = data.HotelInfo;
		var $DepositRate = payjson.DepositRate;
		var $BalancePaymentDate = payjson.BalancePaymentDate;
		var $Deposit = $("#Deposit .offer-a");
		var $Tail = $("#Tail .offer-a");
		var Deposithtml = "";
		var Tailhtml = "";
		for(var i = 0; i < $DepositRate.length; i++) {
			if($DepositRate[i].IsSelect == 1) {
				$("#Depositpay span").text($DepositRate[i].Name);
				$("#Depositpay span").attr("data-id", $DepositRate[i].Id);
				DepositId = $DepositRate[i].Id;
				Deposithtml += '<li class="mui-table-view-cell cuerrend" data-id="' + $DepositRate[i].Id + '">' + $DepositRate[i].Name + '</li>';
			} else {
				Deposithtml += '<li class="mui-table-view-cell" data-id="' + $DepositRate[i].Id + '">' + $DepositRate[i].Name + '</li>';
			}
		}
		for(var i = 0; i < $BalancePaymentDate.length; i++) {
			if($BalancePaymentDate[i].IsSelect == 1) {
				TailId = $BalancePaymentDate[i].Id;
				$("#Tailpay span").text($BalancePaymentDate[i].Name);
				$("#Tailpay span").attr("data-id", $BalancePaymentDate[i].Id);
				Tailhtml += '<li class="mui-table-view-cell cuerrend" data-id="' + $BalancePaymentDate[i].Id + '">' + $BalancePaymentDate[i].Name + '</li>';
			} else {
				Tailhtml += '<li class="mui-table-view-cell" data-id="' + $BalancePaymentDate[i].Id + '">' + $BalancePaymentDate[i].Name + '</li>';
			}
		}
		$Deposit.html(Deposithtml);
		$Tail.html(Tailhtml);
		self.Deposit($("#Deposit .offer-a li"));
		self.Tail($("#Tail .offer-a li"));
		if(app.GetResultState(data)) {
			entity.data.Did = data.DemandInfo.Did;
			entity.data.Hid = $('#hidDemandHotelId').val();
			var hotelInfo = data.HotelInfo;
			if(hotelInfo != null) {
				var pricelist = hotelInfo.PriceList;
				var pricerule = hotelInfo.PriceRule;
				html += '<ul class="offer-list-sel">';
				html += '<li>' + hotelInfo.Name + '</li>';
				var paymentlist = pricerule.PaymentList;
				var breakfastrlist = pricerule.BreakfastrList;
				var prepaylist = pricerule.PrepayList;
				html += self.loadPayment(paymentlist);
				html += self.loadbreakfast(breakfastrlist);
				if(data.DemandInfo.Type == 2) {
					html += '<li id="btnBreakfastrList"><i class="right-arrow iconfont-3-6 icon-xiangqing" style="margin-top:.3rem;"></i>是否含早<span class="offer-title"><font></font><span></li>';
				}
				html += '<li id="btnCancel"><i class="right-arrow"></i>取消政策<span class="offer-title"><font></font><span></li>';
				html += '</ul>';
				html += self.loadRoom(hotelInfo, data);

				$("#divoferrdetail").html(html);
				//BreakfastrList
				if(data.DemandInfo.Type == 2) {
					self.BreakfastrList(pricerule.BreakfastrList);
				}
				self.loadcancel(prepaylist);
			} else {
				self.showErr(data);
			}
		}
	},
	showErr: function(data) {
		app.ShowResultErr(data.Msg, "app.supplyofferprice.GetDemandOffer()", errobj);
	},
	Deposit: function($Deposit) {
		var self = app.supplyofferprice;
		$Deposit.on("tap", function() {
			var tml = $(this).text();
			var id = $(this).attr("data-id");
			$("#Deposit .offer-a li").removeClass("cuerrend");
			$(this).addClass("cuerrend");
			$("#Depositpay span").text(tml);
			$("#Depositpay span").attr("data-id", id);
			mui('#Deposit').popover('toggle');
			self.gettotalprice();
		});
	},
	Tail: function($Tail) {
		var self = app.supplyofferprice;
		$Tail.on("tap", function() {
			var tml = $(this).text();
			var id = $(this).attr("data-id");
			$("#Tail .offer-a li").removeClass("cuerrend");
			$(this).addClass("cuerrend");
			$("#Tailpay span").text(tml);
			$("#Tailpay span").attr("data-id", id);
			mui('#Tail').popover('toggle');
			self.gettotalprice();
		});
	},
	loadPayment: function(payment) {
		var html = "",
			css = "";
		var paycheckid, paynocheckid;
		payment = payment || null;
		if(payment != null) {
			if(payment.IsSelect == 1)
				css = "mui-active";
			$.each(payment.List, function(i, detail) {
				if(detail.IsSelect == 1)
					paycheckid = detail.Id;
				else if(detail.IsSelect == 0)
					paynocheckid = detail.Id;
			});

			html = '<li style="display:none;"><div id="paymentswitch" class="mui-switch mui-switch-mini ' + css + '" checkid="' + paycheckid + '" nocheckid="' + paynocheckid + '"><div class="mui-switch-handle"></div></div>是否含早</li>';
		}
		return html;
	},
	loadbreakfast: function(breakfast) {
		var html = "";
		var breackcheckid, breaknocheckid;
		breakfast = breakfast || null;
		if(breakfast != null) {
			var css = "";
			if(breakfast.IsSelect == 1)
				css = "mui-active";
			$.each(breakfast.List, function(i, detail) {
				if(detail.IsSelect == 1)
					breackcheckid = detail.Id;
				else if(detail.IsSelect == 0)
					breaknocheckid = detail.Id;
			});
			html += '<li style="display:none;"><div id="breakswitch" class="mui-switch mui-switch-mini mui-active ' + css + '"  checkid="' + breackcheckid + '" nocheckid="' + breaknocheckid + '"><div class="mui-switch-handle"></div></div>是否预付</li>';
		}
		return html;
	},
	BreakfastrList: function(BreakfastrList) {
		var html = "";
		BreakfastrList = BreakfastrList || null;
		if(BreakfastrList != null) {
			html += '<ul>';
			$.each(BreakfastrList.List, function(i, list) {
				var css = "";
				if(list.IsSelect == 1) {
					css = 'icon-gou1';
					$('#btnBreakfastrList').find('font').text(list.Name);
					$('#btnBreakfastrList').attr("type", list.Id);
				}
				html += '<li dataId="' + list.Id + '">' + list.Name + '<i class="icon-sike ' + css + '"></i></li>';
			});
			html += '</ul>';
		}
		$("#BreakfastrList").html(html);

	},
	loadcancel: function(cancels) {
		var html = "";
		cancels = cancels || null;
		if(cancels != null) {
			html += '<ul>';
			$.each(cancels, function(i, cancel) {
				var css = "";
				if(cancel.IsSelect == 1) {
					css = 'icon-gou1';
					$('#btnCancel').find('font').text(cancel.Name);
					$('#btnCancel').attr("type", cancel.Id);
				}
				html += '<li dataId="' + cancel.Id + '">' + cancel.Name + '<i class="icon-sike ' + css + '"></i></li>';
			});
			html += '</ul>';
		}
		$("#secCancel").html(html);
	},
	loadRoom: function(hotelinfo, data) {
		hotelinfo = hotelinfo || null;
		var html = '';
		if(hotelinfo != null) {
			var totalprice = data.DemandInfo.TotalPrice;
			html += app.format('<h3 class="offer-title">价格政策<font>系统会在您的报价基础上增加{0}的佣金</font></h3>', hotelinfo.Rate * 100 + "%");
			var pricelist = hotelinfo.PriceList || null;
			if(pricelist != null) {
				html += '<ul class="offer-list-price">';
				$.each(pricelist, function(i, price) {
					html += app.format('<li amount="{1}"><span class="hotel-info-open hotel-info-close"><i></i></span>{0}', price.Name, price.Amount);
					if(price.Amount > 0)
						html += app.format('<font>需{0}间</font></li>', price.Amount);
					html += '</li>';
					if(price.List.length > 0) {
						html += '<li class="offer-list-price-room" max="' + price.Amount + '"  roomtype="' + price.Name + '">';
						$.each(price.List, function(i, detail) {
							var param = new Array();
							param.push(detail.Name);
							param.push(detail.Price[0] || '');
							param.push(detail.Price[1] || 0);
							param.push(detail.Price[2] || '');
							param.push(detail.Price[3] || '');
							param.push(detail.Id);
							param.push(detail.Type);
							param.push(detail.RoomType);
							html += app.format('<p policyid="{5}" type="{6}" roomType="{7}" currency="{1}" ><font>{0}</font><span priceName="{0}"><input type="number" val="{2}" pattern="\d*" value="{2}" id="txtprice_{5}"  onkeyup="this.value=this.value.replace(/\D/g,\'\')" />{3}{4}</span>', param);
							if(detail.Type == 0) {
								var pluscss = '',
									reducecss = '';
								if(totalprice > 0) {
									pluscss = 'offer-room-count';
									if(detail.MinAmount <= 0)
										reducecss = 'offer-room-count';
								}

								if(data.DemandInfo.Type == 1) {
									pluscss = 'offer-room-count';
									reducecss = 'offer-room-count';
								}
								//app.showMsg(pluscss + "   " +reducecss);
								html += app.format('<i class="reduce ' + reducecss + '">-</i><b class="roomcount">{0}</b><i class="plus ' + pluscss + '">+</i>', detail.MinAmount || 0);
							}
							html += '</p>';
						});
						html += '</li>';
					}
				});
				html += '</ul>';
			}
		}
		return html;
	},
	initEvent: function() {
		mui('.mui-switch')['switch']();
		//		$('#btnCancel').click(function() {
		//			$("#secCancel").slideToggle(200);
		//			$("#secCancelback").show();
		//		});

		$('#btnBreakfastrList').on("tap",function() {
			$("#BreakfastrList").slideToggle(200);
			$("#BreakfastrListBack").show();
		});

		$("#secCancelback").on("tap",function() {
			if($("#secCancel").is(":visible")) {
				$("#secCancel").slideToggle(100);
				$("#secCancelback").hide();
			}
		});
		$("#BreakfastrListBack").on("tap",function() {
			if($("#BreakfastrList").is(":visible")) {
				$("#BreakfastrList").slideToggle(100);
				$("#BreakfastrListBack").hide();
			}
		});

		$('#divoferrdetail').on('dragstart', function() {
			if($("#secCancel").is(":visible")) {
				$("#secCancel").slideToggle(100);
				$("#secCancelback").hide();
			}
			if($("#BreakfastrList").is(":visible")) {
				$("#BreakfastrList").slideToggle(100);
				$("#BreakfastrListBack").hide();
			}
		});

		$("#BreakfastrList").on('tap', 'li', function() {
			var text = $(this).text();
			if(!$(this).find('i').hasClass('icon-gou1')) {
				$('#btnBreakfastrList').find('font').text(text);
				$("#BreakfastrList").find('li i').removeClass('icon-gou1');
				$('#btnBreakfastrList').attr("type", $(this).attr('dataId'));
				$(this).find('i').addClass('icon-gou1');
			}
			$("#BreakfastrList").slideToggle(100);
			$("#BreakfastrListBack").hide();
		});

		$("#secCancel").on('tap', 'li', function() {
			var text = $(this).text();
			if(!$(this).find('i').hasClass('icon-gou1')) {
				$('#btnCancel').find('font').text(text);
				$("#secCancel").find('li i').removeClass('icon-gou1');
				$('#btnCancel').attr("type", $(this).attr('dataId'));
				$(this).find('i').addClass('icon-gou1');
			}
			$("#secCancel").slideToggle(100);
			$("#secCancelback").hide();
		});

		$(".hotel-info-open").on("tap",function() {
			if($(this).hasClass('hotel-info-close')) {
				$(this).removeClass('hotel-info-close');
			} else {
				$(this).addClass('hotel-info-close');
			}
			$(this).parent().next().slideToggle(100);
		});

		$(".plus").on("tap", function() {
			var self = app.supplyofferprice;
			self.roomcountplus($(this));
		});

		$(".reduce").on("tap", function() {
			var self = app.supplyofferprice;
			self.roomcountreduce($(this));
		});

		$("input[id^='txtprice_']").focus(function() {
			if($(this).val() == 0) {
				$(this).val('');
				$(this).attr("placeholder","0");
			}
		});
		$("input[id^='txtprice_']").on("input", function() {
			var self = app.supplyofferprice;
			var val = $(this).attr("val");
			var newVal = $(this).val();
			if(val > 0) {
				if(newVal > val) {
					var priceName = $(this).parent().attr("priceName");
					app.showMsg(priceName + "已经报价" + val + "，不能大于该价格！");
					$(this).val(val);
					return;
				}
			}

			self.gettotalprice();
		});

		$("#spriceDetail").on("tap",function() {
			var self = app.supplyofferprice;
			self.showdetail();
		});
	},
	getRoomChooseCount: function(liobj) {
		var choicecount = 0;

		$.each($(liobj).find('.roomcount'), function(i, roomcount) {
			choicecount += parseInt($(roomcount).text());
		});
		return choicecount;
	},
	getRoomMaxCount: function(liobj) {
		var max = parseInt(liobj.attr('max'));
		return max;
	},
	//加房型数量
	roomcountplus: function(obj) {
		if($(obj).hasClass('offer-room-count'))
			return false;

		var self = app.supplyofferprice;
		var parentli = $(obj).parent().parent();
		var choisecount = self.getRoomChooseCount(parentli);
		var max = self.getRoomMaxCount(parentli);
		if(choisecount < max) {
			var prev = $(obj).prev();
			var val = parseInt(prev.text());
			val += 1;
			choisecount += 1;
			prev.text(val);
			if(choisecount == max) {
				$(parentli).find(".plus").addClass("offer-room-count");
			}
			$(obj).prev().prev().removeClass('offer-room-count');
		}

		self.gettotalprice();
	},
	//减房型数量
	roomcountreduce: function(obj) {
		if($(obj).hasClass('offer-room-count'))
			return false;
		var self = app.supplyofferprice;
		var parentli = $(obj).parent().parent();
		var next = $(obj).next();
		var max = self.getRoomMaxCount(parentli);
		var val = parseInt(next.html());
		var choisecount = self.getRoomChooseCount(parentli);
		if(val <= 1) {
			if(val == 1) {
				choisecount -= 1;
				val -= 1;
				next.html(val);
			}
			$(obj).addClass("offer-room-count");
			//$(this).off("click");
		} else {
			choisecount -= 1;
			val -= 1;
			next.html(val);
		}
		if(choisecount < max) {
			$(parentli).find(".plus").removeClass("offer-room-count");
		}

		self.gettotalprice();
	},
	//计算价格
	gettotalprice: function() {
		var self = app.supplyofferprice;
		var entity = self.SubmitDemandOfferentity;
		var data = self.ResultData;
		var amount = 0,
			commission = 0,
			orderamount = 0,
			specialamount = 0;
		entity.data.PriceList = [];
		var ps = $('.offer-list-price p');
		$.each(ps, function(i, p) {
			var inputC = $(p).find('input').val() || 0;
			if(inputC == 0) {
				$(p).find('input').attr("placeholder","0");
			}
			var input = parseInt($(p).find('input').val() || 0);	
			var count = parseInt($(p).find('.roomcount').text() || 0);
			if(input != 0 || count != 0) {
				var price = {};
				price.Id = $(p).attr('policyid');
				price.Name = $(p).find('font').text();
				price.Price = input;
				price.Amount = count;
				price.Type = $(p).attr('type');
				price.RoomType = $(p).attr('roomType');
				price.Currency = $(p).attr('currency');
				entity.data.PriceList.push(price);
			}
		});

		if(entity.data.PriceList.length > 0) {
			$.each(entity.data.PriceList, function(i, price) {
				if(price.Type == 0) {
					orderamount += price.Price * price.Amount * data.HotelInfo.CheckAmount;
					commission += price.Price * data.HotelInfo.Rate * price.Amount * data.HotelInfo.CheckAmount;
				} else {
					specialamount += price.Price;
				}
			});
			//console.log(JSON.stringify(entity.data.PriceList));
			commission = parseInt(commission);
			amount += commission + orderamount + specialamount;

			entity.data.orderAmount = orderamount;
			entity.data.commissionAmount = commission;
			entity.data.allAmount = amount;
		}
		var bprice = parseInt($("#Depositpay span").attr("data-id"));

		if(bprice > 0 && bprice != 100 && amount > 0) {
			//console.log(amount * bprice / 100);
			$("#depositmoney").text(parseInt(amount * bprice / 100));
			$(".offer-footer font").css("padding-top", ".3rem");
			$(".offer-deposit").show();
		} else {
			$(".offer-footer font").css("padding-top", "1.2rem");
			$(".offer-deposit").hide();
		}
		$("#iamount").text(amount);
	},
	//明细展示
	showdetail: function() {
		var html = "",
			roomhtml = "",
			shtml = "",
			currency = "";
		var roomamount = 0,
			samount = 0,
			allamount = 0,
			commissionamount = 0;
		var self = app.supplyofferprice;
		var entity = self.SubmitDemandOfferentity;
		var resultData = self.ResultData;
		var data = entity.data;
		if(data.PriceList.length > 0) {
			html += "<div><h3>费用明细</h3>";
			roomhtml += "<ul>";
			shtml += "<ul>";
			currency = data.PriceList[0].Currency;
			$.each(data.PriceList, function(i, price) {
				var param = new Array();
				if(price.Type == 0) {
					param.push(price.Name);
					param.push(price.Currency);
					param.push(price.Price);
					param.push(resultData.HotelInfo.CheckAmount);
					param.push(price.Amount);
					roomhtml += app.format('<li><span>{0}</span><i>{1}{2}*{3}天*{4}间</i></li>', param);

					roomamount += price.Price * price.Amount * resultData.HotelInfo.CheckAmount;
				} else {
					param.push(price.Name);
					param.push(price.Currency);
					param.push(price.Price);
					shtml += app.format('<li><span>{0}</span><i>{1}{2}</i></li>', param);
					samount += price.Price;
				}
			});
			commissionAmount = data.commissionAmount;
			var headhtml = '<h4><span>{0}{1}</span>{2}</h4>';
			var headparam = new Array();
			headparam.push(currency);
			headparam.push(roomamount);
			headparam.push('房费');
			var roomheadhtml = app.format(headhtml, headparam);
			headparam = new Array();
			headparam.push(currency);
			headparam.push(samount);
			headparam.push('其他费用');
			var otherheadhtml = app.format(headhtml, headparam);
			headparam = new Array();
			headparam.push(currency);
			headparam.push(commissionAmount);
			headparam.push('佣金');
			var commissionheadhtml = app.format(headhtml, headparam);
			roomhtml += "</ul>";
			shtml += "</ul>";
			allamount = commissionAmount + roomamount + samount;
			var commissionhtml = '<ul><li><span>佣金</span><i>' + currency + commissionAmount + '</i></li></ul>';
			html += roomheadhtml + roomhtml + otherheadhtml + shtml + commissionheadhtml + commissionhtml;

			html += '<span class="cost-price">总额<font>' + currency + allamount + '</font></span>';
			html += '<span class="cost-price-btn"><a href="javascript:void(0)" class="cost-close2 cee-iconfont icon-guanbi1"></a></span></div>';

			$("#sctpriceDetail").html(html);
			$('#sctpriceDetail').show();

			$('.cost-close2').on("tap",function() {
				$('#sctpriceDetail').hide();
			});

		} else {
			app.showMsg('暂无价格明细，请先配置！');
		}
	},
	validatesubmit: function() {
		var self = app.supplyofferprice;
		var entity = self.SubmitDemandOfferentity;
		var resultData = self.ResultData;
		var data = entity.data;
		var priceList = [];
		var lis = $('.offer-list-price li');
		var flag = true;
		var isRepeat = true;
		var minprice = 10;
		var roomname = "";
		var repositpay = $("#Depositpay span").attr("data-id");
		var tailpay = $("#Tailpay span").attr("data-id");
		var oldval = new Array();
		var newinut = new Array();
		//console.log(JSON.stringify(resultData));
		$.each(lis, function(i, li) {
			if($(li).find('p') <= 0)
				return;
			var max = $(li).attr('max');
			roomname = $(li).attr('roomtype');
			var roomcount = 0;
			$.each($(li).find('p'), function(i, p) {
				var input = parseInt($(p).find('input').val()||0);
				var count = parseInt($(p).find('.roomcount').text());
				var type = $(p).attr('type');
				if(input != 0 || count != 0) {
					var name = $(p).find('font').text();
					if(input < minprice) {
						app.showMsg('请设置[' + name + ']价格');
						flag = false;
						return false;
					}
					var val = parseInt($(p).find('input').attr("val"));
					if(val != 0 && val == input) {
						//						isRepeat = false;
						//						return false;
					}

					if(count < 1 && type == 0) {
						app.showMsg('请设置房型[' + name + ']数量');
						flag = false;
						return false;
					}
					oldval.push(val);
					newinut.push(input);
					var roomType = $(p).attr('roomType');
					var price = {};
					price.Id = $(p).attr('policyid');
					price.Name = name;
					price.Price = input;
					price.Amount = count;
					price.Type = type;
					price.RoomType = roomType;
					price.Currency = $(p).attr('currency');
					priceList.push(price);
					roomcount += count;
				}
			});
			if(!flag) {
				flag = false;
				return false;
			}

			if(!isRepeat) {
				isRepeat = false;
				return false;
			}
			if(max > roomcount) {
				flag = false;
				app.showMsg('[' + roomname + ']房间数量不满足需求数量');
				return false;
			}
		});
//		console.log(JSON.stringify(oldval));
//		console.log(JSON.stringify(newinut));
		if(oldval.join(",") == newinut.join(",")) {
			isRepeat = false;
		}
		//		支付政策验证
		if(repositpay == undefined || tailpay == undefined) {
			app.showMsg("请选择支付政策");
			return;
		} else {

			data.DepositRate = parseInt(repositpay);
			data.BalancePayDate = parseInt(tailpay);
			if(data.DepositRate != DepositId || TailId != data.BalancePayDate) {
				isRepeat = true;
				priceList = data.PriceList;
			}
		}
		//如果已经报价数据没变 就不需要重新提交了。
		if(!isRepeat) {
			//			return;
			mui.back();
		} else {
			if(flag) {
				data.PriceList = priceList;
				var breakfaster = $("#breakswitch");
				var payment = $("#paymentswitch");

				//				if(breakfaster.hasClass('mui-active'))
				//					data.PriceRule.Breakfastr = breakfaster.attr('checkid');
				//				else
				//					data.PriceRule.Breakfastr = breakfaster.attr('nocheckid');
				//				
				data.PriceRule.Breakfastr = $("#btnBreakfastrList").attr('type');

				if(typeof(data.PriceRule.Breakfastr) == "undefined") {
					data.PriceRule.Breakfastr = 0;
				}

				if(payment.hasClass('mui-active'))
					data.PriceRule.Payment = payment.attr('checkid');
				else
					data.PriceRule.Payment = payment.attr('nocheckid');
				data.PriceRule.Prepay = $("#btnCancel").attr('type');

				//console.log(JSON.stringify(data));
				app.Post(entity, null, self.submitOfferCallback);
			}
		}

	},
	submitOfferCallback: function(data) {
		if(app.GetResultState(data)) {
			app.confirmMsg('报价提交成功！', function() {
				var pviewId = $("#hidpreViewId").val();
				var pview = plus.webview.getWebviewById(pviewId);
				pview.evalJS("app.offerhotel.GetDemandDetail();");
				mui.back();
			});
		} else {
			app.showMsg(data.Msg);
		}
	},
	initbutton: function(data) {
		var self = app.supplyofferprice;
		if(app.GetResultState(data)) {
			var demandButton = data.DemandInfo.ButtonList;
			if(demandButton != null && demandButton.length > 0) {
				$.each(demandButton, function(i, button) {
					if(button.Type == 0) {
						$("#btnSubmit").addClass('offer-footer-gray');
					} else if(button.Type == 2) {
						$("#btnSubmit").on("tap",function() {
							self.validatesubmit();
						});
					} else if(button.Type == 5) {
						$("#btnSubmit").addClass('offer-footer-blue');
					}
				});

			}
		}
	}
}