(function(window, $) {
	window.Detail = (function() {

		var GetTrainDetail = {
			url: projectConfig.apiName.GetTrainDetail,
			data: {
				DepartStationCode: "",
				ArriveStationCode: "",
				DepartDate: "",
				TrainId: ""
			}
		}

		//下单跳转参数
		var GoData = {
			url: projectConfig.apiName.CheckTrainStandard,
			data: {
				SeatName: ""
			}
		}

		var dataFo = {
			ArrCode: "",
			DepCode: "",
			DepDate: "",
			SeatCode: "",
			TrainId: "",
		}

		var trainData = {
			DepName: "",
			ArrName: "",
			DepDate: "",
			ArrDate: "",
			LastTime: "",
			TrainCode: ""
		}

		var scroll = null;

		function init() {

			var wv = plus.webview.currentWebview();
			if(!!wv) {
				GetTrainDetail.data.DepartStationCode = wv.DepartStationCode;
				GetTrainDetail.data.ArriveStationCode = wv.ArriveStationCode;
				GetTrainDetail.data.DepartDate = wv.DepartDate;
				GetTrainDetail.data.TrainId = wv.TrainId;

				dataFo.ArrCode = wv.ArriveStationCode;
				dataFo.DepCode = wv.DepartStationCode;
				dataFo.DepDate = wv.DepartDate;
				dataFo.TrainId = wv.TrainId;
				if(!wv.IsBack){
					trainData.DepName = wv.DepartName;
					trainData.ArrName = wv.ArriveName;
					trainData.DepDate = wv.DepartTime;
					trainData.ArrDate = wv.ArriveTime;
					trainData.LastTime = wv.LastTime;
					trainData.TrainCode = wv.TrainNo;
					
					var settings=app.getSettings();
					settings.TrainDetailData=trainData;
					app.setSettings(settings);
				}
			}

			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateTime1", FomartDateTime1);

			scroll = mui("#list-contentScroll").scroll();
			loadDetail();
			bindClick();
		}

		function loadDetail() {
			app.showWaiting('加载中...', 1);
			app.Post(GetTrainDetail, null, GetTrainDetailBack);
		}

		function GetTrainDetailBack(data) {
			var nomsg = '<div class="no-list-msg">' +
				'<div class="no-icon">' +
				'	<img src="../images/no-list-icon.png" />' +
				'</div>' +
				'<div class="no-msg">' +
				'	搜索无结果' +
				'</div>' +
				'</div>';
			if(app.GetResultState(data)) {
				//填充数据
				var tmplHot = template('detail-template', data);
				$("#indexContent").html(tmplHot);
				bindClick();
			} else {
				app.GetServicesTime(function(cdata) {
					var settings=app.getSettings();
					var train=settings.TrainDetailData;
					var data1 = {};
					data1.TrainDetailInfo = {};
					data1.TrainDetailInfo.TrainNoInfo = {};
					data1.TrainDetailInfo.TrainNoInfo.DepartStationName = train.DepName;
					data1.TrainDetailInfo.TrainNoInfo.DepartTime = train.DepDate;
					data1.TrainDetailInfo.TrainNoInfo.DepartDate = app.DateTool.DateToWeek(new Date(train.DepDate.replace(/-/g, "/")), new Date(cdata.Now.replace(/-/g, "/")));
					data1.TrainDetailInfo.TrainNoInfo.TrainNo = train.TrainCode;
					data1.TrainDetailInfo.TrainNoInfo.LastTime = train.LastTime;
					data1.TrainDetailInfo.TrainNoInfo.ArriveStationName = train.ArrName;
					data1.TrainDetailInfo.TrainNoInfo.ArriveTime = train.ArrDate;
					data1.TrainDetailInfo.TrainNoInfo.ArriveDate = app.DateTool.DateToWeek(new Date(train.ArrDate.replace(/-/g, "/")), new Date(cdata.Now.replace(/-/g, "/")));
					data1.TrainDetailInfo.TicketList = [];

					var tmplHot = template('no-train-detail-template', data1);
					$("#indexContent").html(tmplHot);
				});
				plus.nativeUI.toast(data.Msg);
			}
		}

		function bindClick() {
			$(".d-buy-btn").off().on("tap", function() {

				if($(this).hasClass("disabled")) {
					return;
				}

				var SeatCode = $(this).attr("data-code");
				var SeatName = $(this).attr("data-name");

				dataFo.SeatCode = SeatCode;
				GoData.data.SeatName = SeatName;
				
				var userinfoEnitity = {
					url: projectConfig.apiName.GetCustomerIndexInfo,
					data: {}
				};
				app.Post(userinfoEnitity, {}, function(data) {
					if(app.GetResultState(data)) {
						if(data.CustomerInfo.IsTrial){
							if(data.CustomerInfo.TrialFinished){
								mui.confirm("您已预订了3单，账号试用期结束，继续使用请充值成为正式会员。","提示",["取消","去充值"]
								,function(e){
									if(e.index == 1){
										app.ShowWebView(projectConfig.viewid.home.rechargerule.url,{},null,projectConfig.viewid.home.rechargerule.Id);
									}
								});
							}
							else{
								ValidateCB();
							}
						}
						else{
							if(data.CustomerInfo.IsExpired)
							{
								if(data.CustomerInfo.isManager)
								{
									mui.confirm("使用期已过，请充值购买", "", ["知道了"], function(e) {
										if(e.index == 1) {
											app.ShowWebView(projectConfig.viewid.home.voucherCenter.url, {}, "", projectConfig.viewid.home.voucherCenter.Id);
										}
									});
									
								}else
								{
									mui.confirm("使用期已过，请充值购买", "", ["知道了"], function(e) {
									});
								}
							}
							else
							{
								ValidateCB();
							}
						}
					}
					else
					{
						app.showMsg("验证是否可下单失败");
					}
				});
				
			});
		}

		//验证超标
		function ValidateCB() {
//			app.showWaiting('加载中...', 1);
//			app.Post(GoData, null, function(data) {
//				if(app.GetResultState(data)) {
//					if(data.IsOver == 0) {
						app.ShowWebView(projectConfig.ViewId.Train.orderWrite.url, dataFo, null, projectConfig.ViewId.Train.orderWrite.Id);
//					} else {
//						var datas = dataFo;
//						datas.type = 6;
//						app.ShowWebView(projectConfig.ViewId.Standard.MoreStandard.url, datas);
//					}
//				} else {
//					plus.nativeUI.toast(data.Msg);
//				}
//			});
		}

		function FomartDateTime(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;

			if(hours < 10) {
				hoursstr = "0" + hours;
			} else {
				hoursstr = hours;
			}

			if(min < 10) {
				minstr = "0" + min;
			} else {
				minstr = min;
			}

			return hoursstr + ":" + minstr;
		}

		function FomartDateTime1(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var month = strDate.getMonth() + 1;
			var day = strDate.getDate();

			return month + "月" + day + "日";
		}

		return {
			init: init
		}
	})();
})(window, $);