(function (window, $) {
    window.Train = (function () {
    	var GetCommonConfigDate = {
    		url:projectConfig.apiName.GetCommonConfig,
    		data:{}
    	}
    	
    	var scroll = null;
		function init()
		{
			LoadDefaultDate();
			
			initHisDate();
			
			//滚动条
			scroll = mui("#dateScroll").scroll();
			
			$("#plane-start").on("tap",function(){
				app.ShowWebView(projectConfig.ViewId.Train.Departure.url,{type:1});
				//console.log("出发");
			});
			
			$("#plane-end").on("tap",function(){
				app.ShowWebView(projectConfig.ViewId.Train.Departure.url,{type:2});
				//console.log("目的");
			});
			
			$(".seach-list-btn").on("tap",function(){
				//验证
				var settings = app.getSettings();
				var DepartCity = settings.DepartCityTrainIndex;
				if(!!DepartCity)
				{
					var aName = DepartCity.AirportName;
					if(aName == "")
					{
						plus.nativeUI.toast('请选择出发城市');
						return;
					}
				}else{
					plus.nativeUI.toast('请选择出发城市');
					return;
				}
				var ArriveCity = settings.ArriveCityTrainIndex;
				if(!!ArriveCity)
				{
					var aName = DepartCity.AirportName;
					if(aName == "")
					{
						plus.nativeUI.toast('请选择目的地城市');
						return;
					}
				}else{
					plus.nativeUI.toast('请选择目的地城市');
					return;
				}
				
				if(DepartCity.AirportCode == ArriveCity.AirportCode){
					plus.nativeUI.toast('出发地和到达地不能相同');
					return;
				}
				
				if($(".ce-p-i-check").hasClass("ce-pic-active")){
					settings.TrainTypeIndex = 1;
				}else{
					settings.TrainTypeIndex = 0;
				}
				app.setSettings(settings);
				
				var his = {
					DepartCity:DepartCity,
					ArriveCity:ArriveCity
				}
				//存储历史记录
				setHistoryDate(his);
				
				app.ShowWebView(projectConfig.ViewId.Train.List.url);
				
				//app.ShowWebView(projectConfig.ViewId.Train.modifyTrainDate.url);
			});
			
			$("#showdateitem").on("tap",function(){
				$(".dateback").show();
				$(".datecalendar").slideToggle(100);
			});
			
			$(".dateback").on("tap",function(){
				$(".dateback").hide();
				$(".datecalendar").slideToggle(100);
			});
			
			$("#planef").on("tap",function(){
				var settings = app.getSettings();
				var DepartCity = settings.DepartCityTrainIndex;
				var ArriveCity = settings.ArriveCityTrainIndex;
				settings.DepartCityTrainIndex = ArriveCity;
				settings.ArriveCityTrainIndex = DepartCity;
				app.setSettings(settings);
				LoadDefaultDate();
			});
			
			
			$(".ce-p-i-check").on("tap",function(){
				var settings = app.getSettings();
				if($(this).hasClass("ce-pic-active")){
					settings.TrainTypeIndex = 0;
					$(this).removeClass("ce-pic-active");
				}else{
					settings.TrainTypeIndex = 1;
					$(this).addClass("ce-pic-active");
				}
				app.setSettings(settings);
			});
			
			//加载日期 
			//app.GetServicesTime(initDateJson);
			app.Post(GetCommonConfigDate, null, initDateJson);
		}

		function initDivWidth()
		{
			
		}
		
		function initHisDate(){
			var settings = app.getSettings();
			var trianHisDate = settings.TrianHisDate;
			var data = {
				list:[]
			};
			
			if(!!trianHisDate){
				data.list = trianHisDate;
				var tmplHot = template('hisdate-template', data);
				$("#hisdate").html(tmplHot);
				bindHisDateTemplate();
			}else{
				$("#hisdate").html("");
			}
		}
		
		function bindHisDateTemplate(){
			$(".cehisitem").on("tap",function(){
				var index = $(this).attr("data-index");
				var settings = app.getSettings();
				var trianHisDate = settings.TrianHisDate;
				item = trianHisDate[index];
				settings.DepartCityTrainIndex = item.DepartCity;
				settings.ArriveCityTrainIndex = item.ArriveCity;
				app.setSettings(settings);
				LoadDefaultDate();
			});
			
			$(".history-clear").on("tap",function(){
				var settings = app.getSettings();
				settings.TrianHisDate = [];
				app.setSettings(settings);
				$("#hisdate").html("");
			});
		}
		
		function initDateJson(data)
		{
			var FutureCanBookDays = 30;
			var selectDate;
			var nowDate = new Date();
			if(app.GetResultState(data)){
				nowDate = new Date(data.SystemDate.replace(/-/g, "/"));
				FutureCanBookDays = data.FutureCanBookDays;
			}
			//获取默认选中数据			
			var settings = app.getSettings();
			var DepartDateJson = settings.DepartDateTrainJson;
			if(!!DepartDateJson)
			{
				var hdate = DepartDateJson.fulldate;
				var ndate = new Date(hdate.replace(/-/g, "/"));
				
				if(ndate.getFullYear() < nowDate.getFullYear() || (ndate.getFullYear() == nowDate.getFullYear() && ndate.getMonth() < nowDate.getMonth()) || (ndate.getFullYear() == nowDate.getFullYear() && ndate.getMonth() == nowDate.getMonth() && ndate.getDate() < nowDate.getDate()))
				{
					selectDate = nowDate;
				}else{
					selectDate = ndate;
				}
			}else{
				selectDate = nowDate;
			}
			//设施时间
			var settings = app.getSettings();
			var DepartDateJsone = {
				fulldate:selectDate.getFullYear() + "-"+(selectDate.getMonth()+1)+"-"+selectDate.getDate(),
				week: app.DateTool.DateToWeek(selectDate,nowDate)
			};
			settings.DepartDateTrainJson = DepartDateJsone;
			app.setSettings(settings);
			
			SetShowDate(selectDate,nowDate);
			var jsonDate = window.CustomDate.initDate(selectDate,nowDate,FutureCanBookDays);
			var tmplHot = template('date-template', jsonDate);
			$("#indexContent").html(tmplHot);
			
			$(".check-select-date").off().on("tap",function(){
				$(".check-select-date.day-active").removeClass("day-active");
				$(this).addClass("day-active");
				var fulldate = $(this).attr("data-fulldate");
				var week = $(this).attr("data-week");
				var ndate = new Date(fulldate.replace(/-/g, "/"));
				
				SetShowDate(ndate,nowDate);
				var settings = app.getSettings();
				var DepartDateJson = {
					fulldate:fulldate,
					week:week
				};
				
				settings.DepartDateTrainJson = DepartDateJson;
				app.setSettings(settings);
				
				$(".dateback").hide();
				$(".datecalendar").slideToggle(200);
			});
		}
		
		function SetShowDate(selectDate,systemDate)
		{
			var nmonth = selectDate.getMonth()+1;
			var nmstr;
			if(nmonth < 10){
				nmstr = "0"+nmonth;
			}else{
				nmstr = nmonth;
			}
			
			$("#showDate").html(""+nmstr+"月"+(selectDate.getDate())+"日<span>"+
			app.DateTool.DateToWeek(selectDate,systemDate)+"</span>");
		}
		
		function LoadDefaultDate()
		{
			var settings = app.getSettings();
			var DepartCity = settings.DepartCityTrainIndex;
			if(!!DepartCity)
			{
				$("#plane-start").addClass("ce-act");
				$("#plane-start").html(DepartCity.AirportName);
			}
			var ArriveCity = settings.ArriveCityTrainIndex;
			if(!!ArriveCity)
			{
				$("#plane-end").addClass("ce-act");
				$("#plane-end").html(ArriveCity.AirportName);
			}
		}
		
		function ReCallbackCity(CityId,AirportCode,AirportName,type)
		{
			var settings = app.getSettings();
			if(type == 1)
			{
				$("#plane-start").addClass("ce-act");
				$("#plane-start").html(AirportName);
				
				settings.DepartCityTrainIndex = {
					CityId:CityId,
					AirportCode:AirportCode,
					AirportName:AirportName
				}
				
				app.setSettings(settings);
			}
			
			if(type == 2)
			{
				$("#plane-end").addClass("ce-act");
				$("#plane-end").html(AirportName);
				settings.ArriveCityTrainIndex = {
					CityId:CityId,
					AirportCode:AirportCode,
					AirportName:AirportName
				}
				app.setSettings(settings);
			}
		}
		
		function setHistoryDate(his){
			var settings = app.getSettings();
			var trianHisDate = settings.TrianHisDate;
			
			var newTrian = [];
			newTrian.push(his);
			var k = 1;
			if(!!trianHisDate && trianHisDate.length > 0){
				for (var i = 0; i < trianHisDate.length;i++) {
					if(k < 6){
						var item = trianHisDate[i];
						if(item.DepartCity.AirportCode != his.DepartCity.AirportCode || his.ArriveCity.AirportCode != item.ArriveCity.AirportCode){
							newTrian.push(item);
							k++;
						}
					}
				}
			}
			
			settings.TrianHisDate = newTrian;
			app.setSettings(settings);
			initHisDate();
		}
		
        return {
            init: init,
            ReCallbackCity:ReCallbackCity
        }
        
    })();
})(window,$);



(function (window, $) {
    window.CustomDate = (function () {
    	//默认加载多少月数据包括本
    	var defaultMonth = 1;
    	//控制天数
    	var defaultDays = 0;
    	var selectDate;
    	var dateJson = {
    		nowYear:0,
    		nowMonth:0,
    		nowDay:0,
    		disYear:0,
    		disMonth:0,
    		disDay:0,
    		dateList:[]
    	}
    	
		function initDate(selectDate1,sysDate,selectDays)
		{
			defaultDays = selectDays;
			selectDate = selectDate1;
			var now = new Date();
			if(sysDate)
				now = sysDate
			
			dateJson.nowYear = now.getFullYear();
			dateJson.nowDay = now.getDate();
			var newnow;
			if(dateJson.nowDay>28){
				newnow=app.DateTool.DateAdd("d",-5,now);
			}
			else{
				newnow=now;
			}
			dateJson.nowMonth = newnow.getMonth()+1;
			
			newnow=new Date(newnow);
			dateJson.nowMonth = newnow.getMonth() +1;
			newnow=new Date(newnow);
			
			//控制具体日期是否可选
			var disdate = app.DateTool.DateAdd("d",defaultDays,now);
			dateJson.disYear = disdate.getFullYear();
			dateJson.disMonth = disdate.getMonth() + 1;
			dateJson.disDay = disdate.getDate();
			
			//判断显示几个月数据
			GetDefaultMonth(disdate,now);
			
			for (var i = 0; i < defaultMonth;i++) {
				if(i==0){
					newnow.setMonth(newnow.getMonth());
				}else{
					newnow.setMonth(newnow.getMonth()+1);
				}
				var monthItem = GetItems(newnow);
				dateJson.dateList.push(monthItem);
			}
			
			return dateJson;
		}
		
		function GetItems(date)
		{
			var dateListItem = {
	    		year:0,
	    		month:0,
	    		days:[]
	    	}
			
			dateListItem.year = date.getFullYear();
			dateListItem.month = date.getMonth()+1;
			
			//填充空数
			var firstDayOfWeek = getFirstDayOfWeek(dateListItem.year,dateListItem.month);
			if(firstDayOfWeek > 0)
			{
				for (var i = 0; i < firstDayOfWeek; i++) {
					var dayItem = {
		    			fulldate:"",
		    			day:0,
		    			week:"",
		    			isSelect:false
		    		}
			        dateListItem.days.push(dayItem);
			    }
			}
			
			//遍历该月数据
			const thisMonthDays = getThisMonthDays(date.getFullYear(),date.getMonth()+1);
			for (var i = 1; i <= thisMonthDays; i++) {
				var dayItem = {
		    			fulldate:"",
		    			day:0,
		    			week:"",
		    			isSelect:false
		    		}
				var ndate = new Date(date.getFullYear(),date.getMonth(),i);
				var sday;
				if(i<10)
				{
					sday = "0"+i;
				}else{
					sday = i;
				}
				
				var nmonth = date.getMonth()+1;
				var nmstr;
				if(nmonth < 10){
					nmstr = "0"+nmonth;
				}else{
					nmstr = nmonth;
				}
				
				dayItem.fulldate = date.getFullYear()+"-"+ nmstr +"-"+sday;
				dayItem.day = i;
				
				dayItem.week = GetWeekStr(ndate.getDay());
				if(date.getFullYear() == selectDate.getFullYear() && date.getMonth() == selectDate.getMonth() && i == selectDate.getDate())
				{
					dayItem.isSelect = true;
				}
		        dateListItem.days.push(dayItem);
		    }
			
			return dateListItem;
		}
		
		//计算加载几个月数据
		function GetDefaultMonth(disdate,now){
			var months;
		    months = (disdate.getFullYear() - now.getFullYear()) * 12;
		    months -= now.getMonth() + 1;
		    months += disdate.getMonth()+1;
		    if(months == 0){
		    	defaultMonth = 1;
		    }else{
		    	defaultMonth = months + 1;
		    }
		}
		
		function GetWeekStr(n)
		{
			var str = "";
			switch(n)
			{
				case 0:
					str = "周日";
				    break;
				case 1:
					str = "周一";
				    break;
				case 2:
					str = "周二";
				    break;
				case 3:
					str = "周三";
				    break;
				case 4:
					str = "周四";
				    break;
				case 5:
					str = "周五";
				    break;
				case 6:
					str = "周六";
				    break;
				default:
			}
			return str;
		}
		
		function getThisMonthDays(year, month) {
		    return new Date(year, month, 0).getDate();
		  
		}
		
		function getFirstDayOfWeek(year, month) {
			return new Date(Date.UTC(year, month - 1, 1)).getDay();
		}
		
        return {
            initDate: initDate,
            GetWeekStr:GetWeekStr
        }
    })();
})(window,$);