(function (window, $) {
    window.ModifyTrainDate = (function () {
    	var selectDate;
    	var newselectDate;
    	var GetChangePassengerData = {
    		url: projectConfig.apiName.TrainGetChangePassengerInfo,
			data: {
				OrderSerialNo: 0,
				PassengerIds: []
			}
    	}
    	
    	//列表数据
    	var GetFlightList = {
			url: projectConfig.apiName.GetTrainList,
			data: {
				ArriveStationCode: "",
				DepartStationCode: "",
				DepartDate: "",
				Rank:0,
				DepartStationList: ["不限"],
				ArriveStationList: ["不限"],
				TrainTypeList: [0],
				TrainDepartTimeList: [0]
			}
		}
    	
    	var GetCommonConfigDate = {
    		url:projectConfig.apiName.GetCommonConfig,
    		data:{}
    	}
    	
		function init()
		{
			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateTime1", FomartDateTime1);
			template.helper("FomartDateTimeStr", FomartDateTimeStr);
			
			GetChangePassengerData.data.OrderSerialNo = _orderSerialNo;
			
			if(_passengerId == 0){
				var settings = app.getSettings();
				var arrayStr = settings.passengerItems;
				GetChangePassengerData.data.PassengerIds = arrayStr;
				//查询列表数据组装
				//GetChangeFlightList.data.PassengerIds = arrayStr;
			}else{
				GetChangePassengerData.data.PassengerIds.push(_passengerId);
				//查询列表数据组装
				//GetChangeFlightList.data.PassengerIds.push(_passengerId);
			}
			
			var settings = app.getSettings();
			settings.GetTrainPassengerData = GetChangePassengerData;
			app.setSettings(settings);
			
			GetChangePassengerInfoDate();
			//滚动条
			scroll = mui("#dateScroll").scroll();
			$("#showDate").on("tap",function(){
				$(".dateback").show();
				$(".datecalendar").slideToggle(200);
			});
			
			$(".dateback").on("tap",function(){
				$(".dateback").hide();
				$(".datecalendar").slideToggle(200);
			});
			
			$(".prog-b-btn-b").off().on("tap",function(){
				//加入缓存
				var settings = app.getSettings();
				settings.TrainListModifyData = GetFlightList;
				app.setSettings(settings);
				app.ShowWebView(projectConfig.ViewId.Train.ModifyTrainList.url);	
			});
		}

		function initDivWidth()
		{
			
		}
		
		function initDateJson(data)
		{
			var FutureCanBookDays = 30;
			var nowDate = new Date();
			if(app.GetResultState(data)){
				nowDate = new Date(data.SystemDate.replace(/-/g, "/"));
				FutureCanBookDays = data.FutureCanBookDays;
			}
			
			var jsonDate = window.CustomDate.initDate(selectDate,nowDate,FutureCanBookDays);
			var tmplHot = template('date-template', jsonDate);
			$("#indexContent").html(tmplHot);
			
			$(".check-select-date").off().on("tap",function(){
				$(".check-select-date.day-active").removeClass("day-active");
				$(this).addClass("day-active");
				var fulldate = $(this).attr("data-fulldate");
				
				GetFlightList.data.DepartDate = fulldate;
				
				var week = $(this).attr("data-week");
				var ndate = new Date(fulldate.replace(/-/g, "/"));
				
				SetShowDate(ndate,nowDate);
				
				$(".dateback").hide();
				$(".datecalendar").slideToggle(200);
			});
			
		}
		
		function SetShowDate(selectDate,systemDate)
		{
			newselectDate = selectDate;
			$("#showDate").html(selectDate.getFullYear()+'-'+(selectDate.getMonth()+1)+'-'+(selectDate.getDate())+'<span class="cp-dp">'+app.DateTool.DateToWeek(selectDate,systemDate)+'</span><img src="../images/ma-date-img.png" class="ce-p-dp"/>');
		}
		
		function GetChangePassengerInfoDate(){
			app.showWaiting('加载中...',1);
			app.Post(GetChangePassengerData, null, GetChangePassengerInfoCallBack);
		}
		
		function GetChangePassengerInfoCallBack(data){
			if(app.GetResultState(data)) {
				
				$("#title").html(data.TrainNoInfo.Title);
				
				//缓存数据做后续显示
				var settings = app.getSettings();
				settings.TrainPassengerInfoData = data;
				settings.TrainNoInfoTitle = data.TrainNoInfo.Title;
				app.setSettings(settings);
				
				
				var tmplflight = template("prog-flight-template", data);
				$("#progflight").html(tmplflight);
				
				var tmplHot = template('passenger-template', data);
				$("#mpitems").html(tmplHot);
				
				//DepartDate
				var DepartDateStr = data.TrainNoInfo.DepartTime;
				var strDate = new Date(DepartDateStr.replace(/-/g, "/"));
				var year = strDate.getFullYear();
				var month = strDate.getMonth()+1;
				var day = strDate.getDate();
				var str = GetWeekStr(strDate.getDay());
				$("#showDate").html(year+'-'+month+'-'+day+'<span class="cp-dp">'+str+'</span><img src="../images/ma-date-img.png" class="ce-p-dp"/>');
				selectDate = strDate;
				initDateJson(data);
				//GetServicesNewTime();
				
				//查询列表数据组装
				//GetChangeFlightList.data.DepartDate = year+'-'+month+'-'+day;
				GetFlightList.data.DepartStationCode = data.TrainNoInfo.DepartStationCode;
				GetFlightList.data.ArriveStationCode = data.TrainNoInfo.ArriveStationCode;
				GetFlightList.data.DepartDate = year+'-'+month+'-'+day;
//				var slist = [];
//				slist.push(data.TrainNoInfo.DepartStationName);
//				GetFlightList.data.DepartStationList = slist;
//				var alist = [];
//				alist.push(data.TrainNoInfo.ArriveStationName);
//				GetFlightList.data.ArriveStationList = alist;
				
				
			} else {
				mui.alert(data.Msg,"提示",["返回详情"],function(e){
					mui.back();
				})
				//plus.nativeUI.toast(data.Msg);
			}
		}
		
		function GetServicesNewTime(){
			app.Post(GetCommonConfigDate, null, initDateJson);
		}
		
		function FomartDateTime(str){
			var strDate = new Date(str.replace(/-/g, "/"));
			
			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;
			
			if(hours < 10)
			{
				hoursstr = "0"+hours;
			}else{
				hoursstr = hours;
			}
			
			if(min < 10)
			{
				minstr = "0"+min;
			}else{
				minstr = min;
			}
			
			return hoursstr + ":" + minstr;
		}
		
		function FomartDateTime1(str){
			var strDate = new Date(str.replace(/-/g, "/"));
			
			var month = strDate.getMonth()+1;
			var day = strDate.getDate();
			
			
			return month + "-" + day+"";
		}
		
		function FomartDateTimeStr(str){
			var strDate = new Date(str.replace(/-/g, "/"));
			return GetWeekStr(strDate.getDay());
		}
		
		function GetWeekStr(n)
		{
			var str = "";
			switch(n)
			{
				case 0:
					str = "周日";
				    break;
				case 1:
					str = "周一";
				    break;
				case 2:
					str = "周二";
				    break;
				case 3:
					str = "周三";
				    break;
				case 4:
					str = "周四";
				    break;
				case 5:
					str = "周五";
				    break;
				case 6:
					str = "周六";
				    break;
				default:
			}
			return str;
		}
		
        return {
            init: init
        }
        
    })();
})(window,$);

(function (window, $) {
    window.CustomDate = (function () {
    	//默认加载多少月数据包括本
    	var defaultMonth = 1;
    	//控制天数
    	var defaultDays = 0;
    	var selectDate;
    	var dateJson = {
    		nowYear:0,
    		nowMonth:0,
    		nowDay:0,
    		disYear:0,
    		disMonth:0,
    		disDay:0,
    		dateList:[]
    	}
    	
		function initDate(selectDate1,sysDate,selectDays)
		{
			defaultDays = selectDays;
			selectDate = selectDate1;
			var now = new Date();
			if(sysDate)
				now = sysDate
			
			dateJson.nowYear = now.getFullYear();
			dateJson.nowDay = now.getDate();
			var newnow;
			if(dateJson.nowDay>28){
				newnow=app.DateTool.DateAdd("d",-5,now);
			}
			else{
				newnow=now;
			}
			dateJson.nowMonth = newnow.getMonth()+1;
			
			newnow=new Date(newnow);
			dateJson.nowMonth = newnow.getMonth() +1;
			newnow=new Date(newnow);
			
			//控制具体日期是否可选
			var disdate = app.DateTool.DateAdd("d",defaultDays,now);
			dateJson.disYear = disdate.getFullYear();
			dateJson.disMonth = disdate.getMonth() + 1;
			dateJson.disDay = disdate.getDate();
			
			//判断显示几个月数据
			GetDefaultMonth(disdate,now);
			
			for (var i = 0; i < defaultMonth;i++) {
				if(i==0){
					newnow.setMonth(newnow.getMonth());
				}else{
					newnow.setMonth(newnow.getMonth()+1);
				}
				var monthItem = GetItems(newnow);
				dateJson.dateList.push(monthItem);
			}
			
			return dateJson;
		}
		
		function GetItems(date)
		{
			var dateListItem = {
	    		year:0,
	    		month:0,
	    		days:[]
	    	}
			
			dateListItem.year = date.getFullYear();
			dateListItem.month = date.getMonth()+1;
			
			//填充空数
			var firstDayOfWeek = getFirstDayOfWeek(dateListItem.year,dateListItem.month);
			if(firstDayOfWeek > 0)
			{
				for (var i = 0; i < firstDayOfWeek; i++) {
					var dayItem = {
		    			fulldate:"",
		    			day:0,
		    			week:"",
		    			isSelect:false
		    		}
			        dateListItem.days.push(dayItem);
			    }
			}
			
			//遍历该月数据
			const thisMonthDays = getThisMonthDays(date.getFullYear(),date.getMonth()+1);
			for (var i = 1; i <= thisMonthDays; i++) {
				var dayItem = {
		    			fulldate:"",
		    			day:0,
		    			week:"",
		    			isSelect:false
		    		}
				var ndate = new Date(date.getFullYear(),date.getMonth(),i);
				var sday;
				if(i<10)
				{
					sday = "0"+i;
				}else{
					sday = i;
				}
				
				var nmonth = date.getMonth()+1;
				var nmstr;
				if(nmonth < 10){
					nmstr = "0"+nmonth;
				}else{
					nmstr = nmonth;
				}
				
				dayItem.fulldate = date.getFullYear()+"-"+ nmstr +"-"+sday;
				dayItem.day = i;
				
				dayItem.week = GetWeekStr(ndate.getDay());
				if(date.getFullYear() == selectDate.getFullYear() && date.getMonth() == selectDate.getMonth() && i == selectDate.getDate())
				{
					dayItem.isSelect = true;
				}
		        dateListItem.days.push(dayItem);
		    }
			
			return dateListItem;
		}
		
		//计算加载几个月数据
		function GetDefaultMonth(disdate,now){
			var months;
		    months = (disdate.getFullYear() - now.getFullYear()) * 12;
		    months -= now.getMonth() + 1;
		    months += disdate.getMonth()+1;
		    if(months == 0){
		    	defaultMonth = 1;
		    }else{
		    	defaultMonth = months + 1;
		    }
		}
		
		function GetWeekStr(n)
		{
			var str = "";
			switch(n)
			{
				case 0:
					str = "周日";
				    break;
				case 1:
					str = "周一";
				    break;
				case 2:
					str = "周二";
				    break;
				case 3:
					str = "周三";
				    break;
				case 4:
					str = "周四";
				    break;
				case 5:
					str = "周五";
				    break;
				case 6:
					str = "周六";
				    break;
				default:
			}
			return str;
		}
		
		function getThisMonthDays(year, month) {
		    return new Date(year, month, 0).getDate();
		  
		}
		
		function getFirstDayOfWeek(year, month) {
			return new Date(Date.UTC(year, month - 1, 1)).getDay();
		}
		
        return {
            initDate: initDate,
            GetWeekStr:GetWeekStr
        }
    })();
})(window,$);
