(function(window, $) {
	window.ModifyTrainDetail = (function(){
		
		var GetTrainDetail = {
			url: projectConfig.apiName.GetTrainDetail,
			data: {
				DepartStationCode: "",
				ArriveStationCode: "",
				DepartDate: "",
				TrainId: ""
			}
		}
		
		//下单跳转参数
		var GoData = {
			url: projectConfig.apiName.CheckTrainStandard,
			data:{
				SeatName:""
			}
		}
		
		var dataFo = {
			ArrCode: "",
			DepCode: "",
			DepDate: "",
			SeatCode: "",
			TrainId: "",
		}
		
		//获取火车票改签订单提交信息
		var GetTrainOrderChange = {
			url: projectConfig.apiName.GetTrainOrderChange,
			data:{
				OrderSerialNo: 0,
				DepCode: "",
				ArrCode: "",
				SeatCode: "",
				TrainId: "",
				PassengerList: [],
				DepDate: ""
			}
		}
		
		
		var scroll = null;
		
		function init(){
			
			var wv = plus.webview.currentWebview();
			if(!!wv) {
				GetTrainDetail.data.DepartStationCode = wv.DepartStationCode;
				GetTrainDetail.data.ArriveStationCode = wv.ArriveStationCode;
				GetTrainDetail.data.DepartDate = wv.DepartDate;
				GetTrainDetail.data.TrainId = wv.TrainId;
				
				dataFo.ArrCode = wv.ArriveStationCode;
				dataFo.DepCode = wv.DepartStationCode;
				dataFo.DepDate = wv.DepartDate;
				dataFo.TrainId = wv.TrainId;
				
				
			}
			
			var settings = app.getSettings();
			$("#title").html(settings.TrainNoInfoTitle);
			
			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateTime1", FomartDateTime1);
			
			scroll = mui("#list-contentScroll").scroll();
			loadDetail();
			bindClick();
			
		}
		
		function loadDetail(){
			app.showWaiting('加载中...',1);
			app.Post(GetTrainDetail, null, GetTrainDetailBack);
		}
		
		function GetTrainDetailBack(data){
			var nomsg = '<div class="no-list-msg">'+
					 '<div class="no-icon">'+
					 '	<img src="../images/no-list-icon.png" />'+
					 '</div>'+
					 '<div class="no-msg">'+
					 '	搜索无结果'+
					 '</div>'+
				 '</div>';
			if(app.GetResultState(data)) {
				//填充数据
				var tmplHot = template('detail-template', data);
				$("#celist").html(tmplHot);
				bindClick();
			} else {
				$("#celist").html(nomsg);
				plus.nativeUI.toast(data.Msg);
			}
		}
		
		function bindClick(){
			$(".d-buy-btn").off().on("tap",function(){
				
				if($(this).hasClass("disabled"))
				{
					return;
				}
				
				var SeatCode = $(this).attr("data-code");
				var SeatName = $(this).attr("data-name");
				
				dataFo.SeatCode = SeatCode;
				
				GetTrainOrderChange.data.SeatCode = dataFo.SeatCode;
				
				GoData.data.SeatName = SeatName;
				
				GetTrainOrderChange.data.DepCode = dataFo.DepCode;
				GetTrainOrderChange.data.ArrCode = dataFo.ArrCode;
				GetTrainOrderChange.data.DepDate = dataFo.DepDate;
				GetTrainOrderChange.data.TrainId = dataFo.TrainId;
				var settings = app.getSettings();
				var dse = settings.GetTrainPassengerData;
				GetTrainOrderChange.data.OrderSerialNo = dse.data.OrderSerialNo;
				GetTrainOrderChange.data.PassengerList = dse.data.PassengerIds;
				settings.GetTrainOrderChangeModify = GetTrainOrderChange;
				app.setSettings(settings);
				
				
				
				ValidateCB();
			});
		}
		
		//验证超标
		function ValidateCB(){
//			app.showWaiting('加载中...',1);
//			app.Post(GoData, null, function(data){
//				if(app.GetResultState(data)) {
//					if(data.IsOver == 0){
						app.ShowWebView(projectConfig.ViewId.Train.ModifyTrainInfo.url,dataFo);
						
//					}else{
//						var datas = dataFo;
//						datas.type = 61;
//						app.ShowWebView(projectConfig.ViewId.Standard.MoreStandard.url,datas);
//					}
//				} else {
//					plus.nativeUI.toast(data.Msg);
//				}
//			});
		}
		
		
		function FomartDateTime(str){
			var strDate = new Date(str.replace(/-/g, "/"));
			
			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;
			
			if(hours < 10)
			{
				hoursstr = "0"+hours;
			}else{
				hoursstr = hours;
			}
			
			if(min < 10)
			{
				minstr = "0"+min;
			}else{
				minstr = min;
			}
			
			return hoursstr + ":" + minstr;
		}
		
		function FomartDateTime1(str){
			var strDate = new Date(str.replace(/-/g, "/"));
			
			var month = strDate.getMonth()+1;
			var day = strDate.getDate();
			
			
			return month + "月" + day+"日";
		}
		
		return {
			init: init
		}
	})();
})(window, $);