(function(window, $) {
	window.ModifyTrainInfo = (function() {

		//获取火车票改签订单提交信息
		var GetTrainOrderChange = {
			url: projectConfig.apiName.GetTrainOrderChange,
			data: {
				OrderSerialNo: 0,
				DepCode: "",
				ArrCode: "",
				SeatCode: "",
				TrainId: "",
				PassengerList: [],
				DepDate: ""
			}
		}

		//提交下单
		var ChangeTrainOrder = {
			url: projectConfig.apiName.ChangeTrainOrder,
			data: {
				OrderSerialNo: 0,
				DepCode: "",
				ArrCode: "",
				SeatCode: "",
				TrainId: "",
				ChangePassengerList: [],
				DepDate: "",
				ResonId: 0,
				Reson: "",
				OtherReson: "",
				OtherCostDepartments: ""
			}
		}

		function init() {
			template.helper("FomartDateTime", FomartDateTime);
			template.helper("FomartDateTime1", FomartDateTime1);
			template.helper("FomartDateTimeStr", FomartDateTimeStr);
			template.helper("FomartDateStr", FomartDateStr);

			var settings = app.getSettings();
			GetTrainOrderChange = settings.GetTrainOrderChangeModify;

			ChangeTrainOrder.data.OrderSerialNo = GetTrainOrderChange.data.OrderSerialNo;
			ChangeTrainOrder.data.DepCode = GetTrainOrderChange.data.DepCode;
			ChangeTrainOrder.data.ArrCode = GetTrainOrderChange.data.ArrCode;
			ChangeTrainOrder.data.SeatCode = GetTrainOrderChange.data.SeatCode;
			ChangeTrainOrder.data.TrainId = GetTrainOrderChange.data.TrainId;
			//			var arr = [];
			//			$.each(GetTrainOrderChange.data.PassengerList,function(){
			//				arr.push($(this).Id);
			//			});

			ChangeTrainOrder.data.ChangePassengerList = GetTrainOrderChange.data.PassengerList;
			ChangeTrainOrder.data.DepDate = GetTrainOrderChange.data.DepDate;
			ChangeTrainOrder.data.ResonId = _ResonId;
			ChangeTrainOrder.data.Reson = _Reson;
			ChangeTrainOrder.data.OtherReson = _OtherReson;
			ChangeTrainOrder.data.OtherCostDepartments = _OtherCostDepartments;

			loadGetTrainOrderChange();

			$(".prog-b-btn-b").off().on("tap", function() {

				$("#proBar").removeClass("active").addClass("activeav");
				$("#proBarSuc").addClass("active");

				// 弹出提示信息对话框
				mui.confirm('确认提交修改的乘客火车票吗？', '提示', ['取消', '确认'], function(e) {
					if(e.index == 1) {
						SetChangeTrainOrder();
					} else {
						$("#proBar").removeClass("activeav").addClass("active");
						$("#proBarSuc").removeClass("active");
					}
				})
			});
		}

		function loadGetTrainOrderChange() {
			//定时器
			app.showWaiting('加载中...', 1);
			app.Post(GetTrainOrderChange, null, GetTrainOrderChangeCallBack);
		}

		function GetTrainOrderChangeCallBack(data) {
			if(app.GetResultState(data)) {
				$("#showMui").show();
				//缓存数据做后续显示
				var settings = app.getSettings();
				var PassengerInfoData = settings.TrainPassengerInfoData;
				var tmplflight = template("prog-flight-template", PassengerInfoData);
				$("#progflight").html(tmplflight);
				var tmplHot = template('passenger-template', PassengerInfoData);
				$("#mpitems").html(tmplHot);

				var flinfoHot = template("prog-flinfo-template", data);
				$("#progFlInfo").html(flinfoHot);

				var priceinfoHot = template("priceinfo-template", data);
				$("#mppriceInfo").html(priceinfoHot);

				//提交改签
				//ChangeTrainOrder.data.ChangePassengerList = data.PassengerList;

			} else {
				plus.nativeUI.toast(data.Msg);
			}
		}

		function SetChangeTrainOrder() {
			//定时器
			app.showWaiting('加载中...', 1);
			app.Post(ChangeTrainOrder, null, function(data) {
				if(app.GetResultState(data)) {
					var param = {
						name: "",
						phone: "",
						isadmin: "",
						type: 6,
						SerialNo: ChangeTrainOrder.data.OrderSerialNo,
						ProductType: 6
					}

					if(data.IsBoss) {
						if(data.CanPay) {
							app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
						} else {
							app.ShowWebView(projectConfig.ViewId.Train.orderDetail.url, {
								SerialNo: ChangeTrainOrder.data.OrderSerialNo
							}, 'slide-in-right', projectConfig.ViewId.Train.orderDetail.Id);
						}
					} else {
						if(data.AuditStatus == 1) {
							if(data.CanPay) {
								app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
							} else {
								app.ShowWebView(projectConfig.ViewId.Train.orderDetail.url, {
									SerialNo: ChangeTrainOrder.data.OrderSerialNo
								}, 'slide-in-right', projectConfig.ViewId.Train.orderDetail.Id);
							}
						} else {
							param.name = data.AuditorName;
							param.phone = data.AuditorMobile;
							param.isadmin = data.IsAdmin;
							param.SerialNo = ChangeTrainOrder.data.OrderSerialNo;
							param.type = 61;
							app.ShowWebView(projectConfig.ViewId.Standard.AppRoval.url, param, 'slide-in-right', projectConfig.ViewId.Standard.AppRoval.Id);
						}

					}
				} else {
					plus.nativeUI.toast(data.Msg);
					$("#proBar").removeClass("activeav").addClass("active");
					$("#proBarSuc").removeClass("active");
				}
			});
		}

		function FomartDateTime(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var hours = strDate.getHours();
			var min = strDate.getMinutes();
			var hoursstr;
			var minstr;

			if(hours < 10) {
				hoursstr = "0" + hours;
			} else {
				hoursstr = hours;
			}

			if(min < 10) {
				minstr = "0" + min;
			} else {
				minstr = min;
			}

			return hoursstr + ":" + minstr;
		}

		function FomartDateTime1(str) {
			var strDate = new Date(str.replace(/-/g, "/"));

			var month = strDate.getMonth() + 1;
			var day = strDate.getDate();
			if(day < 10) {
				day = "0" + day;
			} else {
				day = day;
			}

			return month + "-" + day + "";
		}

		function FomartDateTimeStr(str) {
			var strDate = new Date(str.replace(/-/g, "/"));
			return GetWeekStr(strDate.getDay());
		}

		function FomartDateStr(sDate1, sDate2) {
			var str = "";

			var iDays = app.DateTool.datedifference(sDate1, sDate2);

			if(iDays > 0) {
				str = "+" + iDays + "天";
			}
			return str;
		}

		function GetWeekStr(n) {
			var str = "";
			switch(n) {
				case 0:
					str = "周日";
					break;
				case 1:
					str = "周一";
					break;
				case 2:
					str = "周二";
					break;
				case 3:
					str = "周三";
					break;
				case 4:
					str = "周四";
					break;
				case 5:
					str = "周五";
					break;
				case 6:
					str = "周六";
					break;
				default:
			}
			return str;
		}

		return {
			init: init
		}

	})();
})(window, $);