(function(window, $){
	window.hotelSearch = {
		init:function(){
			var that = this;
			var settings = app.getSettings();
			var keyWord = settings.searchparam3.startDest.Name;
			this.getHotelAreaData('',function(data){
				$("#guess-like-resut").text(data.GuessULilk);
				
				var lastHistoryId = localStorage.getItem('lastHistoryId');
				if(!lastHistoryId){
					lastHistoryId = {
						id:''
					}
				}else{
					lastHistoryId = JSON.parse(lastHistoryId);
				}
				data.lastHistoryId = lastHistoryId;
				var tmpl = template('hotel-area-recommand',data);
				document.getElementById('hotel-area-recommand-content').innerHTML = tmpl;
				$(".h-list-recommand").off().on('tap',function(){
					var historyList = localStorage.getItem('historyList') ? localStorage.getItem('historyList'):'[]';
					historyList = JSON.parse(historyList);
					var id = Number($(this).attr('data-id'));
					var type = Number($(this).attr('data-type'));
					var starRate = Number($(this).attr('data-star-rate'));
					var name = $(this).attr('data-name');
					var Dest = $(this).attr('data-desc');
					var Amount = $(this).attr('data-amount');
					historyList.push({
						"Id": id,
						"Type": type,
						"Name": name,
						"Desc": Dest,
						"StarRate": starRate,
						'TypeDesc':getName(type),
						'Amount':Amount
					});
					lastHistoryId.id = id;
					localStorage.setItem('lastHistoryId',JSON.stringify(lastHistoryId));
					localStorage.setItem('historyList',JSON.stringify(historyList));
					var webViewChildren = plus.webview.currentWebview();
					var webViewParent = webViewChildren.opener();
					webViewParent.evalJS("window.travel.callSelectList('"+id+"','"+type+"','"+starRate+"','"+name+"')");
					webViewChildren.close();
				});
			});
			
			//历史
			var historyLocalData = localStorage.getItem('historyList') ? localStorage.getItem('historyList'):'[]';
			historyLocalData = JSON.parse(historyLocalData);
			var datas = {
				data:historyLocalData
			}
			var tmpls = template('history-search-tmpl',datas);
			document.getElementById('history-search').innerHTML = tmpls;
			
			
			$(".h-list").off().on('tap',function(){
				var id = Number($(this).attr('data-id'));
				var type = Number($(this).attr('data-type'));
				var starRate = Number($(this).attr('data-star-rate'));
				var name = $(this).attr('data-name');
				var Dest = $(this).attr('data-desc');
				var webViewChildren = plus.webview.currentWebview();
				var webViewParent = webViewChildren.opener();
				webViewParent.evalJS("window.travel.callSelectList('"+id+"','"+type+"','"+starRate+"','"+name+"')");
				webViewChildren.close();
			});
			
			$("#searchKey").on('focus',function(){
				$("#history-search").show();
				$("#guess-like").hide();
			});
			
			$("#searchKey").on('input',function(){
				var value = $(this).val(); 
				if(value == ''){
					//无值
					//$("#action").text('搜索');
					//$("#action").attr('data-state','search');
					$("#history-search").show();
					$("#close").addClass('display-none');
					$("#hotel-area-search-content").addClass('display-none');
					$("body").css({
						'background':'#EDEDED'
					});
				}else{
					$("#history-search").hide();
					//有值
					//$("#action").text('取消');
					//$("#action").attr('data-state','cancle');
					$("#close").removeClass('display-none');
					$("#hotel-area-search-content").removeClass('display-none');
					$("body").css({
						'background':'#fff'
					});
				}
				//$(".container").addClass('display-none');
				
				that.getHotelAreaData(value,function(data){
					var tmpl = template('hotel-area-search',data);
					document.getElementById('hotel-area-search-content').innerHTML = tmpl;
					
					var historyList = localStorage.getItem('historyList') ? localStorage.getItem('historyList'):'[]';
					historyList = JSON.parse(historyList);
					
					$(".h-lists").off().on('tap',function(){
						var id = $(this).attr('data-id');
						var type = $(this).attr('data-type');
						var starRate = $(this).attr('data-star-rate');
						var name = $(this).attr('data-name');
						var Dest = $(this).attr('data-desc');
						var Amount = $(this).attr('data-amount');
						
						historyList.push({
							"Id": id,
							"Type": type,
							"Name": name,
							"Desc": Dest,
							"StarRate": starRate,
							'TypeDesc':getName(type),
							'Amount':Amount
						});
						
						localStorage.setItem('historyList',JSON.stringify(historyList));
						
						var webViewChildren = plus.webview.currentWebview();
						var webViewParent = webViewChildren.opener();
						webViewParent.evalJS("window.travel.callSelectList('"+id+"','"+type+"','"+starRate+"','"+name+"')");
						webViewChildren.close();
					});
				});
			});
			
			//窗口回调
			$("#test").off().on('tap',function(){
				var textName = $("#guess-like-resut").text();
				var webViewChildren = plus.webview.currentWebview();
				var webViewParent = webViewChildren.opener();
				webViewParent.evalJS("window.travel.callHotelArea('"+textName+"')");
				webViewChildren.close();
			});
			
			$("#action").off().on('tap',function(){
				var webViewChildren = plus.webview.currentWebview();
				var webViewParent = webViewChildren.opener();
				webViewChildren.close();
			});
			
			$("#close").off().on('tap',function(){
				$("#searchKey").val('');
				$(".container").removeClass('display-none');
				$("#hotel-area-search-content").addClass('display-none');
				$("#close").addClass('display-none');
				
				$("#history-search").show();
				$("body").css({
					'background':'#EDEDED'
				});
			});
		},
		//发送酒店区域请求
		getHotelAreaData:function(keyWord, callback){
			var settings = app.getSettings();
			var keyWord = keyWord;
			var requestParam = {
				url:'Search/SearchAreaAndHotel',
				data:{
					keyWord:keyWord,
					Dests:[
						{
							Type:settings.searchparam3.startDest.Type,
							Id:settings.searchparam3.startDest.Id[0]
						}
					],
					Version:'1.0.0',
					MemberId:settings.MemberId,
					MemberMac:settings.MemberMac,
					PlatId:'1001',
					RefId:'0',
					PhoneType:settings.PhoneType,
					Token:settings.Token
				}
			};
			app.Post(requestParam,null,function(data){
				callback(data);
			});
		}
	}
})(window,$);

function getName(type){
	var name = '';
	var type = Number(type);
	switch (type){
		case 1:
			name = '城市';
			break;
		case 2:
			name = '行政区';
			break;
		case 3:
			name = '商业区';
			break;
		case 5:
			name = '酒店';
			break;
	}
	return name;
}
