(function(window, $){
	var type = '';
	var id = '';
	var travelViewPoint = '';
	var isShowMore = false;
	var isRecommand = true;
	var playViewHistory = app.getSettings().customPackage.playViewHistory;
	window.newPlayViewPoint = {
		init:function(){
			var that = this;
			var wv = plus.webview.currentWebview();
			var Recommend = wv.Recommend;
			
			if(Recommend == 1){
				isRecommand = true;
				$(".recommand").find('use').attr('xlink:href','#icon-duoxuan1');
			}else{
				isRecommand = false;
				$(".recommand").find('use').attr('xlink:href','#icon-duoxuan');
			}
			
			type = Number(wv.Type);
			id = Number(wv.Id);
			travelViewPoint = wv.travelViewPoint;
			$("#view-textarea").val(travelViewPoint);
			$(".has-write").text(travelViewPoint.length);
			template.helper('checkExistId',this.checkExistId);
			//mui(".mui-scroll-wrapper").scroll();
			this.initSearchViewHistory();
			this.getViewData('',type, id, function(data){
				that.initViewPort(data);
			});
			this.initEvent();
		},
		initEvent:function(){
			var that = this;
			
			$(".view-area").on('touchmove',function(e){
				e.preventDefault();
			});
			
			if(plus.os.name.toLowerCase() == 'ios'){
				var headerHeight = $("#header").height();
				var btmHeight = $(".btm").height();
				var documentHeight = $(document).height();
				var diffHeight = documentHeight - btmHeight - headerHeight - 100;
				$("#search-result").css({
					'min-height':diffHeight,
					'height':'auto'
				});
				$("#searchKey").bind('focus',function(){
					//$(".btm").css('position','static');
					if($("#search-result").is(':visible')){
						$(".btm").css('position','relative');
					}
				}).bind('blur',function(){
					$(".btm").css('position','fixed');
				});
			}
			$("#action").off().on('tap',function(){
				var webViewChildren = plus.webview.currentWebview();
				var webViewParent = webViewChildren.opener();
				webViewChildren.close();
			});
			$("#search-history-content").on('touchend',function(e){
				e.preventDefault();
			});
			$(".more").on('touchend',function(e){
				e.preventDefault();
			})
			$(".more").off().on('tap',function(e){
				if(isShowMore == false){isShowMore = true;
					that.initSearchViewHistory(true);
					
					$(".more").find('i').removeClass('icon-diankai-copy');
					$(".more").find('i').addClass('icon-shouqi');
				}else{isShowMore = false;
					that.initSearchViewHistory(false);
					
					$(".more").find('i').addClass('icon-diankai-copy');
					$(".more").find('i').removeClass('icon-shouqi');
				}
				
			});
			$(".recommand").on('touchend',function(e){
				e.preventDefault();
			});
			$(".recommand").off().on('tap',function(){
				if(isRecommand == true){
					//取消
					$(this).find('use').attr('xlink:href','#icon-duoxuan');
					isRecommand = false;
				}else{
					//接受推荐
					$(this).find('use').attr('xlink:href','#icon-duoxuan1');
					isRecommand = true;
				}
			});
			$("#view-textarea").on('input',function(e){
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len)<=500){
					$(".has-write").text(len);
				}else{
					var content = $(this).val().toString();
					content = content.substr(0,499);
					$(this).val(content);
				}
			});
			var isEndInput = true;
			$('#searchKey').on("input", function() {
				if(isEndInput) {
					that.getViewSearch($(this).val(),1);
				}
			});
			$('#searchKey').on("compositionstart", function() {
				isEndInput = false;
			});
			$('#searchKey').on("compositionend", function() {
				isEndInput = true;
				if(isEndInput) {
					that.getViewSearch($(this).val(),1);
				}
			});
			$('#searchKey').keyup(function(event) {
				if(event.keyCode == 13) {
					that.getViewSearch($(this).val(),1);
				}
			});
			$("#form").on('submit',function(e){
				e.preventDefault();
				return false;
			});
			$("#close").off().on('tap',function(){
				$("#searchKey").val('');
				$("#init-container").show();
				$("#search-result").hide();
				$(this).hide();
				$(".btm").css('position','fixed');
				$(".view-area").show();
			});
			$("#submit-need").off().on('tap',function(){
				//isRecommand  是否推荐
				//textarea值
				var Scenic = $("#view-textarea").val();

				var isSelectView = false;
				playViewHistory.forEach(function(value, index){
					if(value.id == id){
						if(value.data.length > 0){
							isSelectView = true;
						}
					}
				});
				//加验证
				if(isRecommand == false){
					//没有选择地接社推荐的情况下，再去判断有没有自填或者
					if(Scenic == '' && isSelectView == false){
						app.showMsg('请填写游玩景点');
						return;
					}
				}
				
				var settings = app.getSettings();
				settings.customPackage.playViewHistory = playViewHistory;
				app.setSettings(settings);
				var webViewChildren = plus.webview.currentWebview();
				var webViewParent = webViewChildren.opener();
				webViewParent.evalJS("window.travelDemandDetail.callhotView( '"+ Scenic +"', '"+ isRecommand +"' )");
				webViewChildren.close();
			});
		},
		getViewData:function(val, type, id, callback){
			app.Post({
				url:'Search/SearchSightList',
				data:{
					KeyWord:val,
					Dest:{
						Type:type,
						Id:id
					}
				}
			},null,function(data){
				if(data.Code == '0000'){
					callback(data);
				}else{
					//没值	
					$("#search-result").empty();
					var noData = '<div class="no-data">'+data.Msg+'</div>';
					$("#search-result").append(noData);
				}
			});
		},
		initViewPort:function(data){
			var windowWidth = $(window).width();
			var listWidth = ((windowWidth - 10) / 3) - 10;
			var tmpl = template('view-port-template',data);
			$("#view-port-content").html(tmpl);
			$(".view-point-list").css({
				'width':listWidth
			});
			this.initViewListEvent();
		},
		initViewListEvent:function(){
			var that = this;
			$(".view-point-list").off().on('tap',function(){
				var viewId = $(this).attr('data-id');
				var viewName = $(this).attr('data-name');
				var state = false;
				var _index = '';
				$(this).addClass('view-active');
				playViewHistory.forEach(function(vv, ii){
					if(vv.id == id){
						state = true;
						_index = ii;
					}
				});
				if(state == false){
					//新增
					playViewHistory.push({
						id:Number(id),
						data:[{
							SightId:Number(viewId),
							SightName:viewName
						}]
					})
				}else{
					//data下新增
					var flag = false;
					playViewHistory[_index].data.forEach(function(vv, ii){
						if(vv.SightId == viewId){
							flag = true;
						}
					});
					if(flag == false){
						//不存在才添加
						playViewHistory[_index].data.push({
							SightId:Number(viewId),
							SightName:viewName
						});
						
						 
					}
				}
				if(playViewHistory[_index] && playViewHistory[_index].data.length > 3){
					that.initSearchViewHistory(true);
				}else{
					that.initSearchViewHistory();
				}
				
			});
		},
		initSearchViewHistory:function(flag, state){
			//获取对应的数据
			var thatData = [];
			playViewHistory.forEach(function(value, index){
				if(value.id == id){
					thatData = value.data;
				}
			});
			
			var result = [];
			if(thatData.length>3){
			 
					for(var i=thatData.length-3;i<=thatData.length-1;i++){
						result.push(thatData[i]);
					}
				 
				
			}else{
				result = thatData;
			}
			
			if(state && state == 1){
				if(thatData.length > 3 && isShowMore == true){
					flag = true;
				}
				
				if(thatData.length<=3){
					isShowMore = false;
				}
			}
			
			if(flag == true){
				if(isShowMore == true){
					result = thatData;
				}
			}
			var tmpl = template('search-view-history-template',{
				playViewHistory:result
			});
			$("#search-view-history-content").html(tmpl);
			if(thatData.length == 0){
				$("#search-history-content").hide();
				$('.null').hide();
			}else{
				$("#search-history-content").show();
				$('.null').show();
			}
			this.reloadHistoryEvent();
			if(thatData.length > 3){
				$('.more').show();
			}else{
				$('.more').hide();
			}
			if(isShowMore == true){
				$(".more").find('i').removeClass('icon-diankai-copy');
				$(".more").find('i').addClass('icon-shouqi');
			}else{
				$(".more").find('i').addClass('icon-diankai-copy');
				$(".more").find('i').removeClass('icon-shouqi');
			}
		},
		reloadHistoryEvent:function(){
			var that = this;
			$(".close-icon").off().on('tap',function(e){
				e.stopPropagation();
				e.preventDefault();
				var SightId = $(this).attr('data-id');
				
				playViewHistory.forEach(function(vv, ii){
					if(vv.id == id){
						//不同需求单对应的旅游景点
						vv.data.forEach(function(value, index){
							if(value.SightId == SightId){
								playViewHistory[ii].data.splice(index,1);
								if(playViewHistory[ii].data.length<=3){
									isShowMore = false;
									$(".more").find('i').addClass('icon-diankai-copy');
									$(".more").find('i').removeClass('icon-shouqi');
								}else{
									 
									$(".more").find('i').removeClass('icon-diankai-copy');
									$(".more").find('i').addClass('icon-shouqi');
								}
							}
						});
					}
				});
				var listIndex = $('.close-icon').index(this);
				that.initSearchViewHistory(true);
				that.removeSelectView(SightId);
			});
		},
		removeSelectView:function(SightId){
			$(".view-point-list").each(function(index, value){
				if($(this).attr('data-id') == SightId){
					$(this).removeClass('view-active');
				}
			});
			$(".search-list").each(function(index, value){
				if($(this).attr('data-id') == SightId){
					$(this).find('i').removeClass('selectd');
					$(this).find('i').removeClass('icon-duoxuan1');
					$(this).find('i').addClass('icon-duoxuan');
				}
			});
		},
		getViewSearch:function(val, state){
			var that = this;
			if(val == ''){
				$("#close").hide();
				$("#init-container").show();
				$("#search-result").hide();
				$(".btm").css('position','fixed');
				$(".view-area").show();
			}else{
				$("#close").show();
				$("#init-container").hide();
				$("#search-result").show();
				this.getViewData(val,type,id,function(data){
					if(data.Code == '0000'){
						if(state == 1){
							$(".view-area").hide();
						}
						that.initSearchDestTemplate(data);
					}else{
						app.showMsg(data.Msg);
					}
					
				})
			}
			
		},
		initSearchDestTemplate:function(data){
			var tmpl = template('search-dest-template',data);
			$("#search-result").html(tmpl);
			$(".b-null").height($(".btm").height());
			$(".btm").css('position','relative');
			this.initSearchDestEvent();
		},
		initSearchDestEvent:function(){
			var that = this;
			$(".search-list").off().on('tap',function(){
				$("#searchKey").blur();
				var SightName = $(this).attr('data-name');
				var SightId = $(this).attr('data-id');
				var list = {
					SightName:SightName,
					SightId:Number(SightId)
				}
				var state = that.checkHasSelect(SightId);
				if(state.flag == true){
					//已存在，那么取消
					that.cancleSearchHistory(state.index);
					$(".search-list").each(function(vv,ii){
						if($(this).attr('data-id') == SightId){
							$(this).find('i').removeClass('icon-duoxuan1');
							$(this).find('i').removeClass('selectd');
							$(this).find('i').addClass('icon-duoxuan');
						}
					});
					//到時候去掉
					//isShowMore = false;
					that.initSearchViewHistory(false,1);
				}else{
					//不存在，那么添加
					var localData = that.getData().data;
					
					if(localData.length >= 15){
						plus.nativeUI.toast('最多只能选择15个哦~');
					}else{
						$(".search-list").each(function(vv,ii){
							if($(this).attr('data-id') == SightId){
								$(this).find('i').removeClass('icon-duoxuan');
								$(this).find('i').addClass('icon-duoxuan1');
								$(this).find('i').addClass('selectd');
							}
						});
						
						that.addSearchHistory(list);
					}
					that.initSearchViewHistory(false,1);
				}
				
			});
		},
		checkHasSelect:function(thatId){
			var obj = {
				index:-1,
				flag:false
			}
			playViewHistory.forEach(function(value, i){
				if(value.id == id){
					value.data.forEach(function(vv, ii){
						if(thatId == vv.SightId){
							obj.flag = true;
							obj.index = ii;
						}
					})
				}
				
			});
			return obj;
		},
		checkExistId:function(SightId){
			var flag = false;
			playViewHistory.forEach(function(value, index){
				if(value.id == id){
					value.data.forEach(function(vv, ii){
						if(vv.SightId == SightId){
							flag = true;
						}
					});
				}
			})
			return flag;
		},
		getData:function(){
			var datas = [];
			var _index = '';
			playViewHistory.forEach(function(value, index){
				if(value.SightId == id){
					datas = value.data;
					_index = index;
				}
			});
			return {
				data:datas,
				index:_index
			}
		},
		cancleSearchHistory:function(i){
			playViewHistory.forEach(function(value, index){
				if(value.id == id){
					playViewHistory[index].data.splice(i,1);
					if(playViewHistory[index].data.length == 0){
						$("#search-history-content").hide();
					}
				}
			})
			
		},
		addSearchHistory:function(list){
			if(playViewHistory.length == 0){
				playViewHistory.push({
					id:Number(id),
					data:[list]
				})
			}else{
				var s = false;
				playViewHistory.forEach(function(value, index){
				
					if(value.id == id){
						s = true;
						playViewHistory[index].data.push(list);
					}
				});
				if(s == false){
					playViewHistory.push({
						id:Number(id),
						data:[list]
					})
				}
			}
			
			$("#search-result").show();
		}
	}
})(window, $);
