(function(window, $){

	window.playViewPoint = {
		init:function(){
			var that = this;
			var webViewObj = plus.webview.currentWebview();
			var textName = webViewObj.textName;
			$("#play-textarea").val(textName);
			$("#submit-need").off().on('tap',function(){
				that.auth(function(data){
					var webViewChildren = plus.webview.currentWebview();
					var webViewParent = webViewChildren.opener();
					webViewParent.evalJS("window.travel.callPlayViewPoint('"+JSON.stringify(data)+"')");
					webViewChildren.close();
				});
			});

			$(".djs").off().on('tap',function(){
				var state = $(this).attr('data-select');
				if(state == 'true'){
					$("#is-select").attr('xlink:href','#icon-duoxuan');
					$(this).attr('data-select','false');
				}else{
					$("#is-select").attr('xlink:href','#icon-duoxuan1');
					$(this).attr('data-select','true');
				}
			});
		},
		auth:function(callback){
			var data = {
				Scenic:'',
				Recommend:''
			};
			var status = $(".djs").attr('data-select');
			var playViewPlace = $("#play-textarea").val();
			if(status == 'true'){
				//接受地接受推荐景点
				data.Scenic = playViewPlace;
				data.Recommend = 1;
				callback(data);
			}else{
				//不接受地接受推荐景点
				if(playViewPlace == ''){
					//没填写
					plus.nativeUI.toast('请填写游玩景点');
				}else{
					data.Scenic = playViewPlace;
					data.Recommend = 0;
					callback(data);
				}
			}
		}
	}

})(window,$)