app.moreStandard = {
	GetOverStandardResonEnity: {
		url: projectConfig.apiName.GetOverStandardReson,
		data: {
			ProductType: 0
		}
	},
	CheckFlightStandardEntity: {
		url: projectConfig.apiName.CheckFlightStandard,
		data: {
			FlightInfoKey: "",
			FlightNo: "",
			PolicyId: "",
			SeatCode: ""
		}
	},
	param: {
		Hid: 0,
		Did: 0,
		type: 0,
		FlightInfoKey: "",
		FlightNo: "",
		PolicyId: "",
		SeatCode: "",
		ResonId: 0,
		Reson: "",
		DepartureDate: "",
		ArrivalDate: "",
		IsTravelBussiness: "",
		Rooms: [],
		OverPrice: 0,
		LineType: 0,
		OrderType: ""
	},
	trainparam: {
		ArrCode: "",
		DepCode: "",
		DepDate: "",
		SeatCode: "",
		TrainId: "",
		ResonId: 0,
		Reson: ""
	},
	xuanzhongimg: "../images/yixuan.svg",
	weixuanimg: "../images/weixuan_0.8.svg",
	init: function() {
		var self = app.moreStandard;
		var entity = self.GetOverStandardResonEnity;
		var standardtype = self.param.type;
		if(standardtype == 51)
			standardtype = 5;
		if(standardtype == 61)
			standardtype = 6;
		if(standardtype == 11 || standardtype == 0)
			standardtype = 1;
		entity.data.ProductType = standardtype;
		entity.data.ExceedPrice = self.param.OverPrice;
		app.showWaiting('加载中...', 1);
		app.Post(entity, null, self.GetOverStandardResonCallback);
	},
	GetOverStandardResonCallback: function(data) {
		var self = app.moreStandard
		if(app.moreStandard.param.type == 5 || app.moreStandard.param.type == 51) {
			$("#divstandard").html("根据贵公司差旅政策规定，您所选择的机票超出标准，继续预订需要您提供原因");
		} else if(app.moreStandard.param.type == 6 || app.moreStandard.param.type == 61) {
			$("#divstandard").html("根据贵公司差旅政策规定，您所选择的火车票超出标准，继续预订需要您提供原因");
		} else if(app.moreStandard.param.type == 0 || app.moreStandard.param.type == 11) {
			$("#divstandard").html("根据贵公司差旅政策规定，你所选择的酒店超出标准，继续预订需要您提供原因");
		}
		if(app.GetResultState(data)) {
			var detail = '<div rid="{2}" class="standard-detail"><img class="standard-detail-img" src="{0}"  /><span class="standard-detail2">{1}</span></div>';
			var html = "";
			var resons = data.Resons;
			var i = 0;
			$.each(resons, function(index, item) {
				var css = "";
				if(i == 0)
					css = self.xuanzhongimg;
				else
					css = self.weixuanimg;
				html += app.format(detail, css, item.Reson, item.ResonId);
				i = i + 1;
			});
			
			html += app.format('<div rid="99" class="standard-detail other-standard"><img class="standard-detail-img" src="{0}"  /><span class="standard-detail2">{1}</span></div><div style="padding-left:3.5rem;padding-right:2rem;">'+
			'<textarea id="other_reason_text" style="display:none;border:1px solid #f2f2f2;width:100%;height:8rem;line-height:1.5rem;padding:.8rem .8rem;color:#333;font-size:1.2rem;" placeholder="请填写超标原因">{2}</textarea></div>',
			self.weixuanimg,'其他原因','');

			$(".standard-list").html(html);

			self.checkReson();
			self.submitReson();
		} else
			app.showMsg('获取超标原因失败');
	},
	checkReson: function() {
		var $standard = $(".standard-detail");
		var $t = $('#other_reason_text');
		$standard.off().on("tap", function() {
			var self = app.moreStandard
			$standard.find("img").attr("src", self.weixuanimg);
			$(this).find("img").attr("src", self.xuanzhongimg);
			if($(this).hasClass('other-standard')){
				$t.show();
			}else{
				$t.hide();
			}
		});
	},
	submitReson: function() {
		$(".standard-button").on("tap", function() {
				var list = $(".standard-detail");
				var value = 0;
				var title = "";
				var self = app.moreStandard
				self.CheckFlightStandardEntity.data.FlightInfoKey = self.param.FlightInfoKey;
				self.CheckFlightStandardEntity.data.FlightNo = self.param.FlightNo;
				self.CheckFlightStandardEntity.data.PolicyId = self.param.PolicyId;
				self.CheckFlightStandardEntity.data.SeatCode = self.param.SeatCode;
				$.each(list, function(index, item) {
					if($(this).find("img").attr("src") == self.xuanzhongimg) {
						if($(this).hasClass('other-standard')){
							value = $(this).attr("rid");
							title = $("#other_reason_text").val();
						}else{
							value = $(this).attr("rid");
							title = $(this).find(".standard-detail2").text();
						}
						return;
					}
				});
				if(!title){
					app.showMsg("请输入超标原因");
					return;
				}
				var standardReson = {};
				standardReson.value = value;
				standardReson.title = title;
				var setting = app.getSettings();
				setting.standardReson = standardReson;
				
				app.setSettings(setting);
				if(self.param.type == 5 || self.param.type == 51) {
					self.CheckFlightStandardEntity.data.FlightInfoKey = self.param.FlightInfoKey;
					self.CheckFlightStandardEntity.data.FlightNo = self.param.FlightNo;
					self.CheckFlightStandardEntity.data.PolicyId = self.param.PolicyId;
					self.CheckFlightStandardEntity.data.SeatCode = self.param.SeatCode;
					self.param.ResonId = value;
					self.param.Reson = title;
					if(self.param.type == 5) {
						if(self.param.LineType == 0) {
							app.ShowWebView(projectConfig.ViewId.Plane.OrderWrite.url, self.param, null, projectConfig.ViewId.Plane.OrderWrite.Id);
						} else if(self.param.LineType == 2) {
							var settings = app.getSettings();
							var LeavePlaneData = settings.LeavePlaneInfo;
							LeavePlaneData.ResonId = value;
							LeavePlaneData.Reson = title;
							settings.LeavePlaneInfo = LeavePlaneData;
							app.setSettings(settings);
							app.ShowWebView(projectConfig.ViewId.Plane.List.url, {
								type: self.param.OrderType,
								lineType: self.param.LineType
							}, null, projectConfig.ViewId.Plane.List.Id +"back");
						} else if(self.param.LineType == 3) {
							var settings = app.getSettings();
							var ReturnPlaneOrderData = settings.ReturnPlaneInfo;
							ReturnPlaneOrderData.ResonId = value;
							ReturnPlaneOrderData.Reson = title;
							settings.ReturnPlaneInfo = ReturnPlaneOrderData;
							app.setSettings(settings);

							app.ShowWebView(projectConfig.ViewId.Plane.OrderWriteV1.url, {}, null, projectConfig.ViewId.Plane.OrderWriteV1.Id);
						}
					} else if(self.param.type == 51) {
						app.ShowWebView(projectConfig.ViewId.Plane.ModifyDateInfo.url, self.param, null, projectConfig.ViewId.Plane.ModifyDateInfo.Id);
					}
		}
		else if(self.param.type == 0 || self.param.type == 11) {
			self.param.ResonId = value;
			self.param.Reson = title;
			if(self.param.type == 11) {
				app.ShowWebView(projectConfig.ViewId.Hotel.ScatteredWriteOrder.url, self.param, null, projectConfig.ViewId.Hotel.ScatteredWriteOrder.Id);
			} else {
				app.ShowWebView(projectConfig.ViewId.Payment.OrderWrite.url, self.param, null, projectConfig.ViewId.Payment.OrderWrite.Id);
			}
		} else if(self.param.type == 6 || self.param.type == 61) {
			self.trainparam.ResonId = value;
			self.trainparam.Reson = title;
			if(self.param.type == 6) {
				app.ShowWebView(projectConfig.ViewId.Train.orderWrite.url, self.trainparam, null, projectConfig.ViewId.Train.orderWrite.Id);
			} else {
				app.ShowWebView(projectConfig.ViewId.Train.ModifyTrainInfo.url, self.trainparam, null, projectConfig.ViewId.Train.ModifyTrainInfo.Id);
			}
		}
	})
}
}