(function(window, $) {
	window.TripDetail = (function() {
		
		var SchemeOrderSubmitForExternalEntity = {
			url: projectConfig.apiName.SchemeOrderSubmitForExternal,
			data: {
				Depart:{
					Type:0,
					Id:0
				},
				Dests:[{
					Type:0,
					Id:0
				}],
				SchemeDate:{
					Adjust:false,
					LeaveDate:"",
					GetBackDate:""
				},
				Persons:[
				{
					PersonType:1,
					PersonCount:0
				},
				{
					PersonType:2,
					PersonCount:0
				}],
				SchemeServices:[],
				Other:"",
				Contacts:"",
				ContactPhone:"",
				Budget:0
			}
		}
		
		function init() {
			initEvent();
		}
		function initEvent(){
			$(".travel-need-list").off().on("tap",function(){
				var that=$(this);
				if(that.hasClass("current")){
					that.removeClass("current")
				}
				else{
					that.addClass("current");
				}
			})
			
			$("#txtother").on('input', function(e) {
				var len = $(this).val().toString().length;
				len = Number(len);
				if(Number(len) <= 200) {
					$("#has-enter-word-num").text(len);
				} else {
					var content = $(this).val().toString();
					content = content.substr(0, 199);
					$(this).val(content);
				}
			});
			
			$(".submit-need").on("tap",function(){
				if($(this).attr("isClick")==1){
					return;
				}
				else{
					$(this).attr("isClick",1);
				}
				
				var products=[];
				$(".travel-need-list.current").each(function(i){
					products.push($(this).attr("key"));
				})
				
				if(products.length==0){
					app.showMsg("请选择服务");
					$(this).attr("isClick",0);
					return;
				}
				
				var name=$("#username").val();
				if(!name){
					app.showMsg("请填写联系人姓名");
					$(this).attr("isClick",0);
					return;
				}
				var phone=$("#tel").val();
				if(!phone){
					app.showMsg("请填写联系人手机号");
					$(this).attr("isClick",0);
					return;
				}
				if(app.checkMobile(tel)){
					app.showMsg("请填写正确的手机号");
					$(this).attr("isClick",0);
					return;
				}
				var pmoney=$("#every-people-money").val();
				if(!pmoney){
					pmoney=0;
				}
				
				var other=$("#txtother").val();
				
				var entity=SchemeOrderSubmitForExternalEntity;
				var settins=app.getSettings();
				var tripParam=settins.tripParam;
				console.log(JSON.stringify(tripParam))
				entity.data.Depart={
					Id:tripParam.fromDest.Id,
					Type:tripParam.fromDest.Type
				}
				entity.data.Dests.push(
					{
						Id:tripParam.toDest.Id,
						Type:tripParam.toDest.Type
					}
				)
				
				entity.data.SchemeDate={
					Adjust:tripParam.isChange ? true : false,
					LeaveDate:tripParam.Dates[0],
					GetBackDate:tripParam.Dates[1]
				}
				entity.data.Persons.push({
					PersonType:1,
					PersonCount:tripParam.ticket.adultNum
				})
				entity.data.Persons.push({
					PersonType:2,
					PersonCount:tripParam.ticket.childrenNum
				})
				
				entity.data.SchemeServices=products;
				entity.data.Other=other;
				entity.data.Contacts=name;
				entity.data.ContactPhone=phone;
				entity.data.Budget=pmoney;
				app.showWaiting("提交中...",1);
				app.Post(entity,null,function(data){
					if(app.GetResultState(data)){
						mui.confirm("需求提交成功,稍后会有工作人员联系您","提示",["知道了"],function(){
							mui.back();
						});
					}
					else{
						mui.alert(data.Msg,"提示",["知道了"]);
					}
				})
			})
		}
		
		return {
			init: init
		}
	})();
})(window, $);