var projectConfig = (function() {
	var apiName = {
		'GetHotelImgList': 'Hotel/GetHotelImgList', // 获取酒店图片列表
		'GetHotelGeo': 'Hotel/GetHotelGeo', // 酒店地图定位
		'GetHotelMore': 'Hotel/GetHotelMore', // 酒店设施更多信息
		'GetRoomList': 'Hotel/GetRoomList', //  酒店房间列表
		'GetHotelInfo': 'Hotel/GetHotelInfo', // 酒店详情
		'GetRoomListV2': 'Hotel/GetRoomListV2', //  酒店房间列表V2
		'GetDemandInfo': 'Demand/GetDemandInfo',
		'SetSearchHotel': 'Customer/SetSearchHotel',
		'Login': 'Customer/Login',
		'ForgetPasswordCheck': 'Customer/ForgetPasswordCheck',
		'ForgetPasswordSetPassword': 'Customer/ForgetPasswordSetPassword',
		'CheckPhoneIsRegister': 'Customer/CheckPhoneIsRegister',
		'Register': 'Customer/Register',
		'HouseKeeperRegister':'Customer/HouseKeeperRegister',
		'SetCustomerType': 'Customer/SetCustomerType',
		'GetSearchHotelInfo': 'Customer/GetSearchHotelInfo',
		'SearchHotelList': 'Search/SearchHotelList',
		'GetDestinationList': 'Search/GetDestinationList',
		'GetBrandList': 'Search/GetBrandList',
		'SearchDestinationList': 'Search/SearchDestinationList',
		'SearchBrandAndHotelList': 'Search/SearchBrandAndHotelList',
		'SubmitDemandInfo': 'Demand/SubmitDemandInfo',
		'GetDemandInfo': 'Demand/GetDemandInfo',
		'SetSearchHotel': 'Customer/SetSearchHotel',
		'CancelDemand': 'Demand/CancelDemand',
		'SendVerificationCode': 'Common/SendVerificationCode',
		'GetSystemTime': 'Common/GetSystemTime',
		'GetSupplyDemandList': 'Supplier/GetDemandList',
		'SetCollectionHotel': 'Customer/SetCollectionHotel', // 收藏酒店
		'GetSupplierHotelList': 'Customer/GetSupplierHotelList', // 获取我的酒店列表
		'SearchHotelList': 'Search/SearchHotelList', // 查询酒店列表
		'SubmitSupplierHotel': 'Customer/SubmitSupplierHotel', // 认领酒店
		'SetHotelLine': 'Customer/SetHotelLine', // 上下�
		'GetCollectionHotelList': 'Customer/GetCollectionHotelList', //	收藏酒店列表
		'SubmitMailInfo': 'Customer/SubmitMailInfo', //	地址提交
		'GetProvinceList': 'Common/GetProvinceList', //	�
		'GetCityList': 'Common/GetCityList', //	�
		'GetDisAreaList': 'Common/GetDisAreaList', //	�
		'DelMailInfo': 'Customer/DelMailInfo', //	地址删除
		'GetMailInfo': 'Customer/GetMailInfo', //	地址查询
		'GetMailList': 'Customer/GetMailList', // 地址列表

		'SubmitInvoiceTitleInfo': 'Customer/SubmitInvoiceTitleInfo', //	发票抬头提交
		'DelInvoiceTitleInfo': 'Customer/DelInvoiceTitleInfo', //	发票抬头删除
		'GetInvoiceTitleInfo': 'Customer/GetInvoiceTitleInfo', //	发票抬头查询
		'GetInvoiceTitleList': 'Customer/GetInvoiceTitleList', //	发票抬头列表

		'GetCustomerIndexInfo': 'Customer/GetCustomerIndexInfo', // 获取个人中心信息
		'GetCustomerInfo': 'Customer/GetCustomerInfo', //	获取我的详细信息
		'EditPassword': 'Customer/EditPassword', //	修改密码
		'EditPhone': 'Customer/EditPhone', //	修改手机号码
		'EditName': 'Customer/EditName', //	修改姓名
		'EditNickName': 'Customer/EditNickName', //	修改昵称
		'GetVerificationCode': 'Common/GetVerificationCode', // 登陆情况�发验证�
		'GetVerificationCodeByPhone': 'Common/GetVerificationCodeByPhone', // 新手机号 发验证码

		'DemandGetDemandList': 'Demand/GetDemandList', // 询价记录
		'GetFinanceAccountInfo': 'Customer/GetFinanceAccountInfo', //	获取结算帐号
		'SubmitFinanceAccount': 'Customer/SubmitFinanceAccount', //	提交结算帐号信息
		'GetSupplierHotelList': 'Customer/GetSupplierHotelList',
		'SearchHotelList': 'Search/SearchHotelList',

		'SubmitSupplierHotel': 'Customer/SubmitSupplierHotel',
		'SetHotelLine': 'Customer/SetHotelLine',

		'GetHotelOffer': 'Hotel/GetHotelOffer',
		'GetHotelOrderPayInfo': 'Order/GetHotelOrderPayInfo',
		'GetOrderPayInfo':'Order/GetOrderPayInfo',
		'SubmitHotelOrder': 'Order/SubmitHotelOrder',
		'GetPayInfoByPayType': 'Common/GetPayInfoByPayType',
		'ReturnPayInfo': 'Common/ReturnPayInfo',

		'SupplierGetDemandInfo': 'Supplier/GetDemandInfo',
		'SupplierGetDemandOffer': 'Supplier/GetDemandOffer',
		'SupplierIgnoreDemand': 'Supplier/IgnoreDemand',
		'SupplierSubmitDemandOffer': 'Supplier/SubmitDemandOffer',

//		'GetHotelOrderList': 'Order/GetHotelOrderList',
		'GetHotelOrderList': 'Order/GetOrderListInfo',
		'CancelHotelOrder': 'Order/CancelHotelOrder',
		'ConfirmCheckInHotelOrder': 'Order/ConfirmCheckInHotelOrder',
		'ConfirmHasRoomHotelOrder':'Order/ConfirmHasRoomHotelOrder',
		'ConfirmCheckInHotelOrder':'Order/ConfirmCheckInHotelOrder',
		'ConfirmReceiptHotelOrder':'Order/ConfirmReceiptHotelOrder',
		'GetHotelOrderInfo': 'Order/GetHotelOrderInfo',
		'GetHotelOrderPrice': 'Order/GetHotelOrderPrice',
		'GetHotelOrderFinanceList': 'Order/GetHotelOrderFinanceList',//获取结算单列�
		'SwitchCustomerType': 'Customer/SwitchCustomerType',
		'GetHotelOrderSubmitInfo': 'Order/GetHotelOrderSubmitInfo',
		'SubmitHotelOrderInfo':'Order/SubmitHotelOrderInfo',
		'UnLockDemand':'Demand/UnLockDemand',
		'GetCompanyInfo':'Customer/GetCompanyInfo',     //查询公司信息
		'EditCompanyInfo':'Customer/EditCompanyInfo',    //修改公司信息
		'CheckCompanyInfoIsComplete':'Customer/CheckCompanyInfoIsComplete',     //公司信息是否完整
		'GetOrderResidentInfo':'Order/GetOrderResidentInfo',
		'SubmitOrderResidentInfo':'Order/SubmitOrderResidentInfo',
		'GetUploadImage':'Common/UploadImage',      //图片上传
		'GetFirstOrderCoupons':'Customer/GetFirstOrderCoupons',  //是否收单立减
		'SubmitHotelOrderFinance':'Order/SubmitHotelOrderFinance', //提交酒店订单结算
		'GetHotelOrderFinanceInfo':'Order/GetHotelOrderFinanceInfo',  //获取酒店订单结算进度
		'GetOverStandardReson':'Order/GetOverStandardReson', 
		'GetAirportCityList':'Flight/GetAirportCityList', //获取机场城市列表
		"GetFlightList":"Flight/GetFlightList", //获取航班数据
		"GetFlightListV2":"Flight/GetFlightListV2", //获取航班数据
		'GetFlightOrderSubmitInfo':"Flight/GetFlightOrderSubmitInfo",
		"CheckFlightStandard":"Flight/CheckFlightStandard", //验证机票差标
		'CreateFlightOrder':"Flight/CreateFlightOrder",
		"GetRefundAndModifyStipulate":"Flight/GetRefundAndModifyStipulate", //获取退改签规则
		'GetFlightOrderDetail' :"Flight/GetFlightOrderDetail",
		'GetFlightOrderDetailV2' :"Flight/GetFlightOrderDetailV2",
		"GetIndexStuffInfo":"Customer/GetIndexStuffInfo", //获取首页员工信息
		"GetTrainStationList":"TrainTicket/GetTrainStationList", //获取火车站数
		"GetTrainList":"TrainTicket/GetTrainList", //获取车次列表
		'GetTrainOrderSubmit':"TrainTicket/GetTrainOrderSubmit", //获取火车票订单提交信
		"GetTrainDetail":"TrainTicket/GetTrainDetail", //获取火车票详
		'CreateTrainOrder':"TrainTicket/CreateTrainOrder",
		"CheckTrainStandard":"TrainTicket/CheckTrainStandard", //验证火车票差
		"GetTrainOrderDetail" : "TrainTicket/GetTrainOrderDetail",//获取火车票订单详�
		'GetTrainRefundInfo':"TrainTicket/GetTrainRefundInfo",//获取退改规�
		'ApplyTrainOrderRefund':"TrainTicket/ApplyTrainOrderRefund", //提交火车票退票申�
		'CancelTrainOrder':"TrainTicket/CancelTrainOrder",  //取消火车票订�
		"GetFlightOrderRefund" :"Flight/GetFlightOrderRefund",  //获取机票退票信�
		"GetFlightPassengerList" :"Flight/GetFlightPassengerList",  //获取机票退票乘客列�
		"ApplyFlightOrderRefund" :"Flight/ApplyFlightOrderRefund",  //提交机票退票信�
		"GetFlightPassengerList":"Flight/GetFlightPassengerList", //获取乘客列表
		"GetChangePassengerInfo":"Flight/GetChangePassengerInfo", //获取改签乘客信息
		"CancelFlightOrder" :"Flight/CancelFlightOrder",  //取消机票订单
		"ApplyBusinessTravelAccount":"Customer/ApplyBusinessTravelAccount",  //申请商旅账号
		"GetChangeFlightList":"Flight/GetChangeFlightList", //获取改签航班数据
		"GetFlightOrderChange":"Flight/GetFlightOrderChange", //获取改签订单提交信息
		"ChangeFlightOrder":"Flight/ChangeFlightOrder", //提交改签
		"FlightPassengersModify":"Flight/FlightPassengersModify", //提交修改乘客
		"SendTravelVerificationCode":"Common/SendTravelVerificationCode",  //发送申请商旅账号验证码
		"GetRoomListV3":"Hotel/GetRoomListV3", //获取酒店房型列表
		"GetHotelOrderSubmitInfoV2":"Order/GetHotelOrderSubmitInfoV2",  //获取酒店订单提交信息
		"SearchHotelListV2":"Search/SearchHotelListV2", //获取差旅散房酒店列表
		"SubmitHotelOrderInfoV2":"Order/SubmitHotelOrderInfoV2", //提交差旅散房订单
		"GetHotelOrderPriceV2":"Order/GetHotelOrderPriceV2", //获取散房酒店费用明细
		"GetPassengerList":"Customer/GetPassengerList", //获取常用旅客列表
		"GetPassengerInfo":"Customer/GetPassengerInfo", //获取常用旅客信息
		"MaintainPassenger":"Customer/MaintainPassenger", //编辑常旅
		"DeletePassenger":"Customer/DeletePassenger", //删除常旅
		"AddHotelPassenger":"Customer/AddHotelPassenger", //增加酒店常旅
		"GetCommonConfig":"Common/GetCommonConfig", //获取配置信息
		"TrainGetChangePassengerInfo":"TrainTicket/GetChangePassengerInfo", //获取改签乘客信息
		"GetTrainOrderChange":"TrainTicket/GetTrainOrderChange", //获取火车票改签订单提交信息
		"ChangeTrainOrder":"TrainTicket/ChangeTrainOrder", //火车票订单改签提交
		"GetTrainOrderSubmitV2":"TrainTicket/GetTrainOrderSubmitV2",  //新版获取火车票提交信息接口
		"GetTrainOrderDetailV2":"TrainTicket/GetTrainOrderDetailV2",   //新版获取火车票订单详情接口
		"GetApproveOrderList":"TMC/GetApproveOrderList",  //获取TMC审批订单列表
		"TMCGetFlightOrderDetail":"TMC/GetFlightOrderDetail",  //获取TMC机票订单详情
		"TMCGetTrainOrderDetail":"TMC/GetTrainOrderDetail",  //获取TMC火车票订单详情
		"TMCGetHotelOrderDetail":"TMC/GetHotelOrderInfo",  //获取TMC酒店订单详情
		"TMCApprovalTravelBusinessOrder":"TMC/ApprovalTravelBusinessOrder",
		"GetReturnFlightOrderSubmitInfo":"Flight/GetReturnFlightOrderSubmitInfo",  //获取往返机票填单信息
		"CreateReturnFlightOrder":"Flight/CreateReturnFlightOrder",   //提交往返机票订单
		"ValidateFlightOrder":"Flight/ValidateFlightOrder",   //校验下单的舱位及价格
		"GetApproverOrderNum":"Customer/GetApproverOrderNum",   //获取未审批订单数量
		"GetInvoiceQuestion":"Customer/GetInvoiceQuestion",      //获取发票帮助
		"GetInvoiceOrderList":"Customer/GetInvoiceOrderList",     //获取可开票订单列表
		"AddCustomerInvoice" :"Customer/AddCustomerInvoice",       //添加发票
		"GetCustomerInvoiceDetail":"Customer/GetCustomerInvoiceDetail",  // 获取发票详情
		"GetHistoryInvoiceList" :"Customer/GetHistoryInvoiceList",   //获取历史发票列表
		"GetInvoiceDetialOrders":"Customer/GetInvoiceDetialOrders",   //获取发票下订单列表
		"GetFlightSeatList" :"Flight/GetFlightSeatList",              //获取航班仓位列表
		"RechargeOffline":"Customer/RechargeOffline", 			// 思客管家充值
		"CreateMICEOrder":"Scheme/CreateMICEOrder",             //创建会议订单
		"GetEnterpriseStuffList":"Customer/GetEnterpriseStuffList",  //获取企业员工列表
		"MaintainEnterpriseStuff":"Customer/MaintainEnterpriseStuff",  //企业员工维护
		"GetEnterpriseStuffInfo":"Customer/GetEnterpriseStuffInfo",  //获取企业员工信息
		"DeleteEnterpriseStuff":"Customer/DeleteEnterpriseStuff",     //删除企业用户
		"SchemeOrderSubmitForExternal":'Scheme/SchemeOrderSubmitForExternal', //提交定制
		"GetEnterpriseOrderStatistics":"Order/GetEnterpriseOrderStatistics",   //获取管家企业总订单统计
		"GetEnterpriseOrderList":"Order/GetEnterpriseOrderList", //获取管家企业总订单列表
		"GetAchievementStatistics":"Customer/GetAchievementStatistics", //代理业绩统计
		"GetRechargeTips":"Customer/GetRechargeTips" //获取充值提示
	};
	var ViewId = {
		'MICE':{
			index:{
				Id:'./MICE/index.html',
				url:'../MICE/index.html'
			},destination:{
                Id:'../MICE/destination.html',
                url:'../MICE/destination.html'
            }
		},
		'home':{
			index:{
				Id:'../home.index.html',
				url:'../home/index.html'
			},
			recharge:{
				Id:'../home/recharge.html',
				url:'../home/recharge.html'
			},
			rechargerule:{
				Id:'Home/rechargerule',
				url:'../home/RechargeRule.html'
			},
			voucherCenter:{
				Id:'Home/voucherCenter',
				url:'../home/voucherCenter.html'
			}
		},
		'Index':{
			index:{
				'Id': 'Index.Index',
				'url': '../Index/Index.html'
			},
			hotelIndex:{
				'Id': 'hotelIndex.Index',
				'url': '../Hotel/HotelIndex.html'
			}
		},
		Plane:{
			Index:{
				'Id': 'Plane.index',
				'url': '../Plane/index.html'
			},
			Departure:{
				'Id': 'Plane.Departure',
				'url': '../Plane/Departure.html'
			},
			List:{
				'Id': 'Plane.List',
				'url': '../Plane/list.html'
			},
			OrderWrite:{
				'Id': 'Plane.OrderWrite',
				'url': '../Plane/writeOrder.html'
			},
			OrderWriteV1:{
				'Id': 'Plane.OrderWriteV1',
				'url': '../Plane/writeOrderV1.html'
			},
			OrderDetail:{
				'Id': 'Plane.orderDetail',
				'url': '../Plane/orderDetail.html'
			}
			,
			OrderInsurance:{
				'Id': 'Plane.Insurance',
				'url': '../Plane/orderInsurance.html'
			},
			TicketChanges:{
				'Id': 'Plane.TicketChanges',
				'url': '../Plane/ticketChanges.html'
			},
			ModifyPerson:{
				'Id': 'Plane.ModifyPerson',
				'url': '../Plane/modify-person.html'
			},
			ModifyDate:{
				'Id': 'Plane.ModifyDate',
				'url': '../Plane/modify-date.html'
			},
			BackOrder:{
				'Id': 'Plane.ticketBack',
				'url': '../Plane/ticketBack.html'
			},
			ModifyDateD:{
				'Id': 'Plane.ModifyDateD',
				'url': '../Plane/modify-date-d.html'
			},
			ModifyDateList:{
				'Id': 'Plane.ModifyDateList',
				'url': '../Plane/modify-date-list.html'
			},
			ModifyDateInfo:{
				'Id': 'Plane.ModifyDateInfo',
				'url': '../Plane/modify-date-info.html'
			}
			,
			ListDate:{
				'Id': 'Plane.ListDate',
				'url': '../Plane/listDate.html'
			}
		},
		'Hotel': {
			index: {
				'Id': 'Hotel.index',
				'url': '../Hotel/index.html'
			},
			detail: {
				'Id': 'Hotel.Detail',
				'url': '../Hotel/Detail.html'
			},
			NewDetail: {
				'Id': 'Hotel.NewDetail',
				'url': '../Hotel/NewDetail.html'
			},
			photoAlbum: {
				'Id': 'Hotel.PhotoAlbum',
				'url': '../Hotel/PhotoAlbum.html'
			},
			map: {
				'Id': 'Hotel.Map',
				'url': '../Hotel/Map.html'
			},
			ScatteredList:{
				'Id': 'Hotel.ScatteredList',
				'url': '../ScatteredHotel/List.html'
			},
			Sub_ScatteredList:{
				'Id': 'Hotel.Sub_ScatteredList',
				'url': '../ScatteredHotel/Sub_List.html'
			},
			ScatteredDetail:{
				'Id': 'Hotel.ScatteredDetail',
				'url': '../ScatteredHotel/Detail.html'
			},
			ScatteredWriteOrder:{
				'Id': 'Hotel.ScatteredList',
				'url': '../ScatteredHotel/WriteOrder.html'
			},
			HotelFacility:{
				'Id': 'Hotel.HotelFacility',
				'url': '../ScatteredHotel/HotelFacility.html'
			}
		},
		'Supply': {
			index: {
				'Id': 'Supply.offer',
				'url': '../Supply/myOffer.html'
			}
		},
		MyHotel: {
			index: {
				'Id': 'MyHotel.index',
				'url': '../MyHotel/index.html'
			},
			bindInfo: {
				'Id': 'MyHotel.bindInfo',
				'url': '../MyHotel/bindInfo.html'
			},
			search: {
				'Id': 'MyHotel.search',
				'url': '../MyHotel/search.html'
			},
			bindSucc: {
				'Id': 'MyHotel.bindSucc',
				'url': '../MyHotel/bindSuccess.html'
			}
		},
		'Demand': {
			index: {
				'Id': 'Demand.Index',
				'url': '../Demand/index.html'
			},
			NewIndex: {
				'Id': 'Demand.NewIndex',
				'url': '../Demand/NewIndex.html'
			}
		},
		'Payment': {
			OrderWrite: {
				'Id': 'Payment.OrderWrite',
				'url': '../Payment/OrderWrite.html'
			},
			Cashier: {
				'Id': 'Payment.Cashier',
				'url': '../Payment/Cashier.html'
			},
			PaySuccess: {
				'Id': 'Payment.PaySuccess',
				'url': '../Payment/PaySuccess.html'
			},
			PayError: {
				'Id': 'Payment.PayError',
				'url': '../Payment/PayError.html'
			}
		},
		'Order': {
			MyOrder: {
				'Id': 'Order.MyOrder',
				'url': '../Order/MyOrder.html'
			},
			MyOrderDetail: {
				'Id': 'Order.OrderDetail',
				'url': '../Order/OrderDetail.html'
			},
//			MyOrderDetail:{
//				'Id': 'Order.MyOrderDetail',
//				'url': '../Order/MyOrderDetail.html'
//			},
			OrderResident: {
				'Id': 'Order.OrderResident',
				'url': '../Order/OrderResident.html'
			}
		},
		'Scheme':{
			SchemeIndex:{
				'Id':"SchemeIndex.index",
				'url':"../Scheme/index.html"
			},
			SchemeDetail:{
				'Id':"SchemeIndex.scheme-detail",
				'url':"../Scheme/scheme-detail.html"
			},
			TravelPlan:{
				'Id':"SchemeIndex.travel-plan",
				'url':"../Scheme/travel-plan.html"
			},
			ConfirmContract:{
				'Id':"SchemeIndex.confirm-contract",
				'url':"../Scheme/confirm-contract.html"
			}
		},
		'Standard':{
			MoreStandard:{
				'Id':"Standard.MoreStandard",
				'url':"../TravelBusiness/moreStandard.html"
			},
			Standard:{
				'Id':"Standard.Standard",
				'url':"../TravelBusiness/standard.html"
			},
			AppRoval:{
				'Id':'Standard.approval',
				'url':'../TravelBusiness/approval.html'
			}
		},
		Trip:{
			Index:{
				'Id':"Trip.Index",
				'url':"../Trip/index.html"
			},
			Detail:{
				'Id':"Trip.Detail",
				'url':"../Trip/detail.html"
			}
		},
		Train:{
			Index:{
				'Id':"Train.Index",
				'url':"../Train/index.html"
			},
			Departure:{
				'Id': 'Train.Departure',
				'url': '../Train/Departure.html'
			},
			List:{
				'Id': 'Train.List',
				'url': '../Train/list.html'
			},
			Detail:{
				'Id': 'Train.Detail',
				'url': '../Train/detail.html'
			},
			orderWrite:{
				'Id': 'Train.orderWrite',
				'url': '../Train/orderWrite.html'
			},
			orderDetail:{
				'Id': 'Train.orderDetail',
				'url': '../Train/orderDetail.html'
			},
			modifyTrainDate:{
				"Id": "Train.modifyTrainDate",
				"url":"../Train/modify-train-date.html"
			},
			ModifyTrainList:{
				"Id":"Train.modifyTrainList",
				"url":"../Train/modify-train-list.html"
			},
			ModifyTrainDetail:{
				"Id":"Train.modifyTrainDetail",
				"url":"../Train/modify-train-detail.html"
			},
			ModifyTrainInfo:{
				"Id":"Train.modifyTrainInfo",
				"url":"../Train/modify-train-info.html"
			}
		},
		Customer:{
			Login:{
				Id:'../Customer/login.html',
				backUrl:'../Customer/login.html',
				url:'../Customer/login.html'
			},
			RegisterStep1:{
				Id:'Customer/registerStep1.html',
				url:'../Customer/registerStep1.html'
			},
			RegisterStep2:{
				Id:'Customer/registerStep2.html',
				url:'../Customer/registerStep2.html'
			},
			forgetPwdStep1:{
				Id:'Customer/forgetPwdStep1.html',
				url:'../Customer/forgetPwdStep1.html'
			},
			forgetPwdStep2:{
				Id:'Customer/forgetPwdStep2.html',
				url:'../Customer/forgetPwdStep2.html'
			},
			Apply:{
				'Id':"Customer.Apply",
				'url':"../Customer/ApplyAccount.html"
			},
			ApplySuccess:{
				'Id':"Customer.ApplySuccess",
				'url':"../Customer/applySuccess.html"
			}
		},
		User:{
			newIndex:{
				'Id':"User.newIndex",
				'url':"../user/newIndex.html"
			},
			CommonPassenger:{
				'Id':"User.CommonPassenger",
				'url':"../user/CommonPassenger.html"
			},
			Sub_CommonPassenger:{
				'Id':"User.Sub_CommonPassenger",
				'url':"../user/Sub_CommonPassenger.html"
			},
			CommonPassengerEdit:{
				'Id':"User.CommonPassengerEdit",
				'url':"../user/CommonPassengerEdit.html"
			},
			MyApproval:{
				'Id':"User.MyApproval",
				'url':"../user/myApproval.html"
			},
			Sub_MyApproval:{
				'Id':"User.MyApproval_Sub",
				'url':"../user/myApproval_Sub.html"
			},
			PlaneOrderDetail:{
				'Id':"User.PlaneOrderDetail",
				'url':"../user/PlaneOrderDetail.html"
			},
			TrainOrderDetail:{
				'Id':"User.TrainOrderDetail",
				'url':"../user/TrainOrderDetail.html"
			},
			HotelOrderDetail:{
				'Id':"User.HotelOrderDetail",
				'url':"../user/HotelOrderDetail.html"
			},
			TravelStandard:{
				'Id':"User.TravelStandard",
				'url':"../user/TravelStandard.html"
			},
			myCollect:{
				'Id':"User.myCollect",
				'url':"../user/myCollect.html"
			},
			address:{
				'Id':"User.addressV1",
				'url':"../user/addressV1.html"
			},
			addressDetail:{
				'Id':"User.addressDetail",
				'url':"../user/addressDetail.html"
			}
		},
		Invoice:{
			Index:{
				'Id':"Invoice.Index",
				'url':"../invoice/index.html"
			},
			List:{
				'Id':"Invoice.List",
				'url':"../invoice/list.html"
			},
			Detail:{
				'Id':"Invoice.Detail",
				'url':"../invoice/detail.html"
			},
			History:{
				'Id':"Invoice.History",
				'url':"../invoice/history.html"
			},
			HistorySub:{
				'Id':"Invoice.HistorySub",
				'url':"../invoice/history_sub.html"
			},
			HistoryHotelDetail:{
				'Id':"Invoice.HistoryHotelDetail",
				'url':"../invoice/historyHotelDetail.html"
			},
			HistoryPlaneDetail:{
				'Id':"Invoice.HistoryPlaneDetail",
				'url':"../invoice/historyPlaneDetail.html"
			},
			Hotel:{
				'Id':"Invoice.Hotel",
				'url':"../invoice/hotel.html"
			},
			Plane:{
				'Id':"Invoice.Plane",
				'url':"../invoice/plane.html"
			},
			DetailHotel:{
				'Id':"Invoice.DetailHotel",
				'url':"../invoice/detailHotel.html"
			},
			DetailPlane:{
				'Id':"Invoice.DetailPlane",
				'url':"../invoice/detailPlane.html"
			},
			OrderHotel:{
				'Id':"Invoice.OrderHotel",
				'url':"../invoice/orderHotel.html"
			},
			OrderPlane:{
				'Id':"Invoice.OrderPlane",
				'url':"../invoice/orderPlane.html"
			},
			Help:{
				'Id':"Invoice.Help",
				'url':"../invoice/help.html"
			}
		},
		Enterprise:{
			Index:{
				'Id':"Enterprise.Index",
				'url':"../enterprise/Index.html"
			},
			Account:{
				'Id':"Enterprise.Account",
				'url':"../enterprise/account.html"
			},
			Account_Sub:{
				'Id':"Enterprise.Account_Sub",
				'url':"../enterprise/account_sub.html"
			},
			Account_Edit:{
				'Id':"Enterprise.Account_Edit",
				'url':"../enterprise/account_edit.html"
			},
			Bill:{
				'Id':"Enterprise.Bill",
				'url':"../enterprise/bill.html"
			},
			BillList:{
				'Id':"Enterprise.BillList",
				'url':"../enterprise/billList.html"
			},
			BillList_Sub:{
				'Id':"Enterprise.BillList_Sub",
				'url':"../enterprise/billList_sub.html"
			},
			Statistics:{
				'Id':"Enterprise.Statistics",
				'url':"../enterprise/statistics.html"
			}
		}
	};
	return {
		apiName: apiName,
		ViewId: ViewId,
		viewId:ViewId,
		viewid:ViewId
	}
})();

var time2;
