(function(window, $) {
	window.EnterpriseAccount_Edit = (function() {
		
		var GetEnterpriseStuffInfoEntity={
			url:projectConfig.apiName.GetEnterpriseStuffInfo,
			data:{
				StuffMemberId:""
			}
		}
		
		var MaintainEnterpriseStuffEntity={
			url:projectConfig.apiName.MaintainEnterpriseStuff,
			data:{
				StuffMemberId:"",
				Phone: "",
				Name: "",
				IsNeedApprove: true
			}
		}
		
		function init(){
			loadDetail();
			initEvent();
		}
		
		function initEvent(){
			$("#cardview").on("tap",function(){
				$(".back").show();
				$(".card-type-view").slideDown(200);
				$("input").blur();
			})
			
			$(".back").on("tap",function(){
				$(".card-type-view").slideUp(200);
				$(".back").hide();
			})

			$(".card-type-detail").on("tap", function() {
				$(".card-type-detail").removeClass("current");

				$("#cardview").find("span").html($(this).html());
				
				var val=$(this).attr("val");
				
				$("#cardview").attr("val",val);
				$("#cardview").find("div").eq(0).html($(this).html());
				$(".card-type-detail").removeClass("current");
				$(".card-type-detail").eq(val).addClass("current");
				

				$(".card-type-view").slideUp(200);
				$(".back").hide();
			})
			
			$(".passenger-detail-button").on("tap",function(){
				$("input").blur();
				var that = $(this);
				var isSubmit = $(this).attr("isSubmit");
				if(!isSubmit || isSubmit == 0)
					$(this).attr("isSubmit", "1");
				else
					return;
				var name=$("#txtcnName").val();
				var phone=$("#txtphone").val();
				var need=$("#cardview").attr("val");
				
				if(!name){
					app.showMsg("请输入姓名");
					$(this).attr("isSubmit", "0");
					return;
				}
				if(!phone){
					app.showMsg("请输入手机号码");
					$(this).attr("isSubmit", "0");
					return;
				}
				if(!app.checkMobile(phone)){
					app.showMsg("手机号码格式错误");
					$(this).attr("isSubmit", "0");
					return;
				}
				
				MaintainEnterpriseStuffEntity.data.StuffMemberId=GetEnterpriseStuffInfoEntity.data.StuffMemberId;
				MaintainEnterpriseStuffEntity.data.Name=name;
				MaintainEnterpriseStuffEntity.data.Phone=phone;
				MaintainEnterpriseStuffEntity.data.IsNeedApprove=need==0 ? false :true;

				app.showWaiting("保存中...",1);
				app.Post(MaintainEnterpriseStuffEntity,null,function(data){
					if(app.GetResultState(data)) {
						app.ShowWebView(projectConfig.viewid.Enterprise.Account.url, {}, "", projectConfig.viewid.Enterprise.Account.Id);
					}
					else{
						app.showMsg(data.Msg);
						that.attr("isSubmit",0);
					}
				});
			})
			
			$(".card-type-close").off().on("tap",function(){
				$(".card-type-view").slideUp(200);
				$(".back").hide();
			})
		}
		
		function loadDetail(){
			
			if(!GetEnterpriseStuffInfoEntity.data.StuffMemberId){
				return;
			}
			app.showWaiting("加载中...",1);
			app.Post(GetEnterpriseStuffInfoEntity,null,function(data){
				if(app.GetResultState(data)){
					$("#txtcnName").val(data.Name);
					var phone=$("#txtphone").val(data.Phone);
					var cardview=$("#cardview");
					if(data.IsNeedApprove){
						cardview.attr("val",1);
						cardview.find("div").eq(0).html("需要审批");
						$(".card-type-detail").removeClass("current");
						$(".card-type-detail").eq(1).addClass("current");
					}
					else{
						cardview.attr("val",0);
						cardview.find("div").eq(0).html("无需审批");
					}
				}
				else{
					app.showMsg(data.Msg);
				}
			})
		}
		
		return {
			init: init,
			GetEnterpriseStuffInfoEntity:GetEnterpriseStuffInfoEntity
		}
	})();
})(window, $);