(function(window, $) {
	window.BillList = (function() {
		var scroll = null;
		var sysDate = null;
		var dtPicker = null;
		function init(){
			var topheight = $(".mui-bar").height();
			$("#billHeader").css("top", topheight + "px");
			
			scroll = mui("#list-contentScroll").scroll();
			template.helper("tempalteProductType", tempalteProductType);
			
			var heightw = $("#billHeader").height();
			$("#bilist").css("margin-top", heightw+5 + "px");
			
			app.Post(GetCommonConfigDate, null, function(data) {
				sysDate = new Date();
				if(app.GetResultState(data)) {
					sysDate = new Date(data.SystemDate.replace(/-/g, "/"));
				}
				
				initDtPicker(sysDate);
				
				var newDate = new Date();
				newDate.setMonth(sysDate.getMonth()-1);
				var year = newDate.getFullYear();
				var month = newDate.getMonth() +1;
				
				if(month < 10)
				{
					CreateDateStr = year + "年0" + month + "月";
					param.data.CreateDate = year + "-0" + month;
				}
				else
				{
					CreateDateStr = year + "年" + month + "月";
					param.data.CreateDate = year + "-" + month;
				}
				
				LoadEnterpriseOrderList();
				
				
			});
			
		}
		
		var GetCommonConfigDate = {
			url: projectConfig.apiName.GetCommonConfig,
			data: {}
		}
		
		var CreateDateStr = "2018年01月";
		var param = {
			url: projectConfig.apiName.GetEnterpriseOrderList,
			data: {
				Page: { "Index": 1, "Size": 9999 },
				CreateDate: "2018-01" 
			}
		}
		
		function LoadEnterpriseOrderList()
		{
			app.showWaiting('加载中...', 1);
			$("#bilist").html("");
			app.Post(param, null, LoadEnterpriseOrderListBack);
		}
		
		function LoadEnterpriseOrderListBack(data)
		{
			if(app.GetResultState(data)) {
				
				
				data.CreateDateStr = CreateDateStr;
				var tmplHead = template('billheader-template', data);
				$("#hgo").html(tmplHead);
				
				var tmplHot = template('billlist-template', data);
				$("#bilist").html(tmplHot);
				
				//绑定时间事件
				$("#picterDt").off().on("tap",function(){
					dtPicker.show(function(selectItems){
						CreateDateStr = selectItems.y.value + "年" + selectItems.m.value + "月";
						param.data.CreateDate = selectItems.value;
						LoadEnterpriseOrderList();
					});
				})
				
			} else {
				$("#bilist").html("<div class='no-order'>暂无订单</div>");
			}			
		}
		
		function initDtPicker(sysDate)
		{
			var paramDtPic = {
			    type: "month",//设置日历初始视图模式 
			    beginDate: new Date(2017, 01, 00),//设置开始日期 
			    endDate: sysDate,//设置结束日期 
			    labels: ['年', '月']//设置默认标签区域提示语 
   			}
			
			dtPicker = new mui.DtPicker(paramDtPic); 
		}
		
		function initEvent(){
			
		}

		function tempalteProductType(ProductType)
		{
			var str = "";
			switch(ProductType)
			{
				case 1:
					str = "酒店";
					break;
				case 2:
					str = "定制";
					break;
				case 5:
					str = "机票";
					break;
				case 6:
					str = "火车票";
					break;
				default:
					str = "";  	
			}		
			
			return str;
		}
		
		return {
			init :init
		}
	})();
})(window, $);