app.yyHome = {
	IsTrial: false,
	id: {
		home: 'p_yy_home',
		service: 'yy_home_service_list',
		menu: 'yy_home_menu_list',
		banner: 'yy_home_banner_list',
		run: 'banner_run'
	},
	css: {
		link: 'yy-link-item'
	},
	init: function() {
		var self = app.yyHome;

		self.render();
		self.initEvents();
		mui("#divindex").scroll();
	},
	render: function() {
		var self = app.yyHome;

		//		// banner轮播
		//		app.$el(self.id.banner).html(template('t_yy_banner_item', {
		//			data: self.getData().bannerbase
		//		}));
		// 导航菜单
		app.$el(self.id.menu).html(template('t_yy_menu_item', {
			data: self.getData().menu
		}));

		// 严选服务
		app.$el(self.id.service).html(template('t_yy_service_item', {
			data: self.getData().service
		}));

		// 底部菜单
		//		yyFramework.footer.init(1);
		app.footer.InitDemandFooter(1);

		self.firstTimeRender();
		self.initEvents();

	},
	// 第一次进入app首页渲染的内容
	firstTimeRender: function() {
		var self = app.yyHome;
		var data = {
			url: projectConfig.apiName.GetCustomerIndexInfo,
			data: {}
		};

		mui("#divIndex").scroll();

		var settings = app.getSettings();
		var IsAgentUsers = settings.IsAgentUser;
		var isManager = settings.IsManager;
		var isLoadF = false;
		if(isManager == 1) {
			if(IsAgentUsers != undefined && IsAgentUsers != null) {
				isLoadF = true;
				if(IsAgentUsers == false) {
					// banner轮播
					app.$el(self.id.banner).html(template('t_yy_banner_item', {
						data: self.getData().banner
					}));
					$("#ftmsimg").attr("src", "../images/home/firstTime_Membership-person.png");
					$("#msimg").attr("src", "../images/home/memberShip-person.png");
				} else if(IsAgentUsers == true) {
					// banner轮播
					app.$el(self.id.banner).html(template('t_yy_banner_item', {
						data: self.getData().banner
					}));
				}
			}
		} else {
			app.$el(self.id.banner).html(template('t_yy_banner_item', {
				data: self.getData().bannerperson
			}));
		}

		var settings = app.getSettings();
		app.showWaiting("初始化中...", 1);
		app.Post(data, {}, function(res) {

			if(!isLoadF) {
				if(!res.CustomerInfo.IsAgentUser) {
					// banner轮播
					app.$el(self.id.banner).html(template('t_yy_banner_item', {
						data: self.getData().banner
					}));
					$("#ftmsimg").attr("src", "../images/home/firstTime_Membership-person.png");
					$("#msimg").attr("src", "../images/home/memberShip-person.png");
				} else if(((res || {}).CustomerInfo || {}).IsManager) {
					// banner轮播
					app.$el(self.id.banner).html(template('t_yy_banner_item', {
						data: self.getData().banner
					}));
				}
			}

			if(((res || {}).CustomerInfo || {}).IsManager) { // 是管理员
				var settings = app.getSettings();
				settings.IsManager = 1;
				app.setSettings(settings);
				if(((res || {}).CustomerInfo || {}).IsTrial) { // 是试用会员

					app.yyHome.IsTrial = true;
					if(!settings.isVisitedPageHome) { // 首次访问
						settings.isVisitedPageHome = true;
						app.setSettings(settings);

						$('#firstTime_Membership_dialog').show(); // 显示引导图
					}
					$('#yy_open_membership_dialog').show(); // 显示会员须知按钮
				}
			} else { // 非管理员处理首页banner
				var settings = app.getSettings();
				settings.IsManager = 0;
				app.setSettings(settings);
				app.$el(self.id.banner).html(template('t_yy_banner_item', {
					data: self.getData().bannerperson
				}));
				
				console.log(JSON.stringify(self.getData().bannerperson))
				app.$el(self.id.banner).find('.yy-link-item').attr('data-url', '');
			}

			var IsNeedPayAnnualFee = res.CustomerInfo.IsNeedPayAnnualFee;
			var settings = app.getSettings();
			settings.IsTrial = app.yyHome.IsTrial;
			settings.IsNeedPayAnnualFee = IsNeedPayAnnualFee;
			settings.IsAgentUser = res.CustomerInfo.IsAgentUser;
			app.setSettings(settings);
		});
	},
	initEvents: function() {
		var self = app.yyHome;
		var $dialogs = $('.yy-dialog-home');
		app.$el(self.id.home).off().on('tap', '.' + self.css.link, function() {
			var $this = $(this);
			var url = $this.attr('data-url');
			var id = $this.attr('data-id');
			var type = $(this).attr("data-type");
			var settings = app.getSettings();
			var IsTrial = settings.IsTrial;
			if(settings.IsManager == 1) {
				if(type == "banner") {
					if(IsTrial) {
						app.ShowWebView(projectConfig.viewid.home.rechargerule.url, null, null, projectConfig.viewid.home.rechargerule.Id);
					} else {
						app.ShowWebView(projectConfig.viewid.home.voucherCenter.url, null, null, projectConfig.viewid.home.voucherCenter.Id);
					}
				} else {
					app.ShowWebView(url, {
						type: type
					}, null, id);
				}
			}else{
				if(type == "banner") {
					app.ShowWebView(projectConfig.viewid.Plane.Index.url, {
						type: type
					}, null, projectConfig.viewid.Plane.Index.Id);
				}
				else{
					app.ShowWebView(url, {
						type: type
					}, null, id);
				}
			}
		});
		// 禁止蒙层滑动点透到列表滑动
		$dialogs.off().on('touchmove', function() {
			return false;
		});
		$('.goto-chongzhi').off().on('tap', function() {
			var settings = app.getSettings();
			var IsTrial = settings.IsTrial
			if(IsTrial) {
				app.ShowWebView(projectConfig.viewid.home.rechargerule.url, null, null, projectConfig.viewid.home.rechargerule.Id);
			} else {
				app.ShowWebView(projectConfig.viewid.home.voucherCenter.url, null, null, projectConfig.viewid.home.voucherCenter.Id);
			}
			$dialogs.hide();
		});
		$('.close-dialog').off().on('tap', function() {
			var $p = $(this).parents('.dialog-body').eq(0);
			$p.animate({
				height: 'toggle'
			}, 800, function() {
				$dialogs.hide();
			});

		});
		$('#yy_open_membership_dialog').off().on('tap', function() {
			$('#membership_dialog').show();
			$('#membership_dialog .dialog-body').css({
				display: 'block',
				margin: 0,
				top: 0
			})
		});
	},
	getData: function() {
		return {
			bannerbase: [{
				url: projectConfig.viewid.home.recharge.url,
				id: projectConfig.viewid.home.recharge.Id,
				img: '../images/home/banner/bannerbase.png'
			}],
			banner: [{
				url: projectConfig.viewid.home.rechargerule.url,
				id: projectConfig.viewid.home.rechargerule.Id,
				img: '../images/home/banner/chongzhi.png'
			}],
			bannerperson: [{
				url: projectConfig.viewid.Plane.Index.url,
				id: projectConfig.viewid.Plane.Index.Id,
				img: '../images/home/banner/chongzhi-person.png'
			}],
			menu: [{
				url: projectConfig.viewid.Index.hotelIndex.url,
				id: projectConfig.viewid.Index.hotelIndex.Id,
				img: '../images/home/menu/jiudian.png',
				name: '国内酒店',
				type: 0
			}, {
				url: projectConfig.viewid.Plane.Index.url,
				id: projectConfig.viewid.Plane.Index.Id,
				img: '../images/home/menu/jipiao.png',
				name: '国内机票',
				type: 0
			}, {
				url: projectConfig.viewid.Train.Index.url,
				id: projectConfig.viewid.Train.Index.Id,
				img: '../images/home/menu/huochepiao.png',
				name: '火车票',
				type: 0
			}, {
				url: projectConfig.viewid.Index.hotelIndex.url,
				id: projectConfig.viewid.Index.hotelIndex.Id,
				img: '../images/home/menu/tuanduijiudian.png',
				name: '团队酒店',
				type: 2
			}, {
				url: projectConfig.viewid.MICE.index.url,
				id: projectConfig.viewid.MICE.index.Id,
				img: '../images/home/menu/huiyi.png',
				name: '会议',
				type: 0
			}, {
				url: projectConfig.viewid.Trip.Index.url,
				id: projectConfig.viewid.Trip.Index.Id,
				img: '../images/home/menu/lvxing.png',
				name: '定制旅行',
				type: 0
			}],
			service: [{
				url: '../airTickets/home.html',
				id: '../airTickets/home.html',
				img: '../images/home/service/plane.png'
			}, {
				url: '../gift/home.html',
				id: '../gift/home.html',
				img: '../images/home/service/gift.png'
			}, {
				url: '../Hotel/home.html',
				id: '../Hotel/home.html',
				img: '../images/home/service/hotel.png'
			}, {
				url: '../coupon/home.html',
				id: '../coupon/home.html',
				img: '../images/home/service/zhekou.png'
			}, {
				url: '../visa/home.html',
				id: '../visa/home.html',
				img: '../images/home/service/visa.png'
			}]
		}
	}
}