app.yyRecharge = {
	css: {
		pay: 'yy-choose-card',
		yixuanzhong: 'yixuanzhong',
		weixuan: 'weixuan'
	},
	 GetRechargeTipsParam : {
    		url: projectConfig.apiName.GetRechargeTips,
			data: {}
    },
	init: function() {
		mui("#divPay").scroll();
		var self = app.yyRecharge;
		self.initChoose();
		self.initPressCopy();
		self.initSubmit();
		self.loadDetail();
	},
	loadDetail:function(){
		var self=app.yyRecharge;
		app.showWaiting("加载中...",1);
			app.Post(self.GetRechargeTipsParam,null,function(data){
			if(data.Result.IsNeedPayAnnualFee == true)
			{
				$("#annualFeeInfo").html("<span>*</span>年费"+data.Result.AnnualFee+"元会从首次充值中扣除。");
				$("#annualFeeInfo").show();
			}
		})
	},
	initChoose: function() {
		var self = app.yyRecharge;
		var $chooes = app.$el(self.css.pay);
		$chooes.off().on('tap', function() {
			var $this = $(this);
			var $i = $this.find('i');
			if(!$i.hasClass(self.css.yixuanzhong)) {
				$chooes.find('.' + self.css.yixuanzhong).removeClass(self.css.yixuanzhong).addClass(self.css.weixuan);
				$i.removeClass(self.css.weixuan).addClass(self.css.yixuanzhong);
			}
		});
	},
	initPressCopy: function() {
		yyFramework.pressCopy('alipay_account_copy', '#5ba2f2', '#fff');
		yyFramework.pressCopy('bank_num_copy', '#5ba2f2', '#fff');
	},
	initSubmit: function() {
		var self = app.yyRecharge;
		var $money = app.$el('money');
		var $account = app.$el('account');
		var type, money, account;
		app.$el('btn_submit').off().on('tap', yyFramework.debounce(function() {
			type = 3;
			account = $account.val();
			money = parseFloat($money.val());
			if(!type) {
				plus.nativeUI.toast('请选择充值方式!');
				return false;
			}
			if(!money || money <= 0) {
				plus.nativeUI.toast('请输入充值金额!');
				return false;
			}
			if(!account) {
				plus.nativeUI.toast('请输入您充值的帐户!');
				return false;
			}
			var data = {
				url: projectConfig.apiName.RechargeOffline,
				data: {
					PayeeType: type,
					Account: account,
					RechargePrice: money
				}
			};
			app.Post(data, null, function(res) {
				if(app.GetResultState(res)) {
					mui.alert("提交审核成功，已通知客服专员进行审核", "提示", null, function() {
						app.ToMain();
					})
				} else {
					mui.alert(res.Msg, "提示", null, function() {})
				}
			});
		}, 200));
	}
}