(function (window, $) {
    window.VoucherCenter = (function () {
    	var scroll = null;
    	var scroll1 = null;
    	
    	//初始化加载参数
    	var GetRechargeTipsParam = {
    		url: projectConfig.apiName.GetRechargeTips,
			data: {}
		}
    	//支付参数
    	var GetPayInfo = {
			url: projectConfig.apiName.GetPayInfoByPayType,
			data: {
				Type: 1,
				ProductType: 98,
				RechargePrice:0
			} 
		}
    	
    	var payWay = "alipay";
    	var channels = null;
    	
		function init()
		{
			scroll = mui("#divIndex").scroll();
			scroll1 = mui("#reuleScroll").scroll();
			
			//显示活动规则
			$('.ce-nav-right').off().on('tap', function() {
				rechargeTem(true);
				$('.ce-refund-rule').show();
			});
			
			$('.ce-rult-icon').off().on('tap', function() {
				$(this).parents('.ce-refund-rule').hide();
			});
			
			//显示费用明细
			$('.detail').off().on('tap', function() {
				$('.ce-refund-rule').show();
				rechargeTem(false);
			});
			
			//初始化加载
			loadGetRechargeTips();
			
			//初始化支付通道
			plus.payment.getChannels(function(s) {
				channels = s;
			}, function(e) {
				app.showMsg("获取支付通道列表失败：" + e.message);
			});
		}
		
		//加载中。。。
		function loadGetRechargeTips(){
			app.showWaiting("加载中...",1);
			app.Post(GetRechargeTipsParam,null,GetRechargeTipsBack);
		}
		
		var backData = '';
		var numResidue = '';
		
		//初始化加载完成回调
		function GetRechargeTipsBack(data){
			if(app.GetResultState(data)) {
				var html = template("contant",data);
				$("#paycontant").html(html);
				selectMoney();
				selectBox();
				backData = data;
				calcNum();
				calcPrice();
				if(!data.Result.IsFisrtRecharge){
					$('.fisrtRecharge').hide();
				}
			}else{
				app.showMsg(data.Msg);
			}
		} 
		
		//首充金额验证
		function calcNum(){
			$('.import input').off().on("change",function(){
				var that = $(this);
				var value = $(this).val().replace(/[^\d]/g, "");
				var price = Number(value);				
				var settings = app.getSettings();
				var IsTrial = settings.IsTrial;
				if(backData.Result.IsNeedPayAnnualFee)
				{
					if(price < backData.Result.AnnualFee)
					{
						value = 10000;
						app.showMsg("首次充值金额需大于"+backData.Result.AnnualFee+"元");
					}
				}
				
				$(this).val(value); 
				
				$('.dataprice').removeClass('active');
				$('.dataprice').each(function(){
					var m = $(this).attr("data-m");
					if(value == m)
					{
						$(this).addClass("active");
					}
				})
				
				calcPrice();
			});
		}
		
		//计算剩余金额
		function calcPrice(){
			var numPay = $(".import input").val();
			if(backData.Result.IsNeedPayAnnualFee || (!backData.Result.IsNeedPayAnnualFee && backData.Result.IsFisrtRecharge))
			{
				var numSub = Number((numPay - backData.Result.AnnualFee*1)*(backData.Result.FirstRechargeGiftRate*1/100)).toFixed(2);
				numResidue = Number(Number(numPay) + Number(numSub) - backData.Result.AnnualFee*1 ).toFixed(2);
				$('.all-money').find('p').find('span').text(numResidue);
			}else{
				$('.all-money').find('p').find('span').text(numPay);
			}
		}
		
		//选择支付方式
		function selectBox(){
			$('.paycell').off().on('tap', function() {
				$(".mui-table-view").find('.datetype').find('img').removeClass('hide');
				$(".mui-table-view").find('.datetype').removeClass("selected");
				$(this).siblings('li').find('.datetype').find('img').addClass('hide');
				$(this).find('.datetype').addClass("selected");
				var type = $(this).find('span.datetype').attr("data-type");
				if(type == 1) 
				{
					$("#gotoPay").html("立即充值");
					payWay = "alipay";
				}else if(type == 50){
					$("#gotoPay").html("下一步");
				}
				
			})
			
			$("#gotoPay").off().on("tap",function(){
				var type = $(".mui-table-view").find('.selected').attr("data-type");
				if(type == 50)
				{
					var numPay = $(".import input").val();
					if(numPay == "" || numPay == 0 )
					{
						app.showMsg("充值金额必须大于0");
						return;
					}
					app.ShowWebView(projectConfig.viewid.home.recharge.url, {numPay:numPay}, null, projectConfig.viewid.home.recharge.Id);
				}else if(type == 1){
					gotoPay();
				}
			})
			
		}
		
		//点击支付
		function gotoPay(){
			if(payWay = "alipay"){
				GetPayInfo.data.Type = 1;
			}
			GetPayInfo.data.ProductType = 98;
			var numPay = $(".import input").val();
			GetPayInfo.data.RechargePrice = numPay;
			app.showWaiting("支付中...",1);
			app.Post(GetPayInfo,null,GetPayInfoBack);
		}
		
		//获取支付信息并唤起支付
		function GetPayInfoBack(data)
		{
			if(app.GetResultState(data)) {
				var payChannel = getPayChannel(payWay);
					if(payChannel) {
						paySrc = data.PayPram;
						if(payChannel.id == "wxpay") {
							paySrc = JSON.parse(data.PayPram);
						}
						plus.payment.request(payChannel, paySrc, payResult, function(e) {
							PayMessage(e);
						});
					} else {
						app.showMsg("暂不支持该支付!");
					}
			}else{
				app.showMsg(data.Msg);
			}
		}
		
		//支付结果
		function payResult(data)
		{
			app.ShowWebView(projectConfig.viewId.Enterprise.Index.url, null, "none", projectConfig.viewId.Enterprise.Index.Id);
		}
		//支付失败提示信息
		function PayMessage(e) {
			var message = e.message;
			console.log(message);
			var arr = message.split(",");
			try {
				var erCodeData = arr[0].split("]");
				var errCode = erCodeData[0].split(":")[1];
				var c = Math.abs(errCode);
				switch(c) {
					case 4000:
						app.showMsg("订单支付失败");
						break;
					case 5000:
						app.showMsg("请勿重复请求");
						break;
					case 6001:
						app.showMsg("请重新支付");
						break;
					case 6002:
						app.showMsg("网络连接出错");
						break;
					case 6004:
						app.showMsg("支付结果未知（有可能已经支付成功），请耐心等待");
						break;
					case 8000:
						app.showMsg("正在处理中，支付结果未知（有可能已经支付成功），请耐心等待");
						break;
					case 1:
						app.showMsg("参数错误");
						break;
					case 2:
						app.showMsg("请重新支付");
						break;
					case 3:
						app.showMsg("支付请求失败");
						break;
					case 4:
						app.showMsg("授权失败");
						break;
					case 5:
						app.showMsg("微信不支持");
						break;
					default:
						app.showMsg("支付失败");
						break;
				}
	
			} catch(e) {
				app.showMsg("支付失败");
			}
		}
		
		//获取支付通道
		function getPayChannel(payWay)
		{
			for(var i in channels) {
				if(channels[i].id == payWay) {
					return channels[i];
				}
			}
			return null;
		}
		
		//选择金额
		function selectMoney(){
			$('.m-list li:nth-of-type(2)').addClass('active');
			$('.m-list li').off().on('tap', function() {
				$(this).addClass('active').siblings('li').removeClass('active');
				$('.import>div>input').val($(this).text().replace('元',''));
				calcPrice();
			});
		}
		
		//加载弹窗模板
		function rechargeTem(isRule){
			var numPay = $('.import input').val()*1;
			if(backData.Result.IsNeedPayAnnualFee || (!backData.Result.IsNeedPayAnnualFee && backData.Result.IsFisrtRecharge))
			{
				var numSub = Number((Number(numPay) - backData.Result.AnnualFee*1)*(backData.Result.FirstRechargeGiftRate*1/100)).toFixed(2);
				numResidue = Number(Number(numPay) + Number(numSub) - backData.Result.AnnualFee*1).toFixed(2);
			}else{
				numResidue = numPay;
			}
			
			var rule = "活动规则";
			if(!isRule)
			{
				rule = "充值明细";
			}
			
			
			var data = { 
				IsFisrtRecharge: backData.Result.IsFisrtRecharge,
				IsNeedPayAnnualFee:backData.Result.IsNeedPayAnnualFee,
				isRule:isRule,
				rule: rule,
				details:{
					list1:"1、首次充值赠送5%（扣除年费后），无上限，充的越多，送的越多",
					list2:"2、充值方式分为线上充值（支付宝、微信）、线下转账（支付宝、银联卡）；线上充值成功后立即到账，线下转账提交申请，会通知审核专员在10分钟内完成核实，核实无误后会短信通知您充值到账。",
					list3:"3、通过不正当手段（包括但不限与侵犯第三人合法权益、作弊、扰乱系统、实施网络攻击）获得奖励，思客有权撤销奖励。"
				},
				pay:'充值明细',
				balance:numResidue,
				money:{
					title:'充值金额',
					explain:' ',
					num:numPay
				},
				fee:{
					title:'扣缴年费',
					explain: backData.Result.AnnualFeeDesc,
					num:backData.Result.AnnualFee
				},
				award:{
					title:'活动奖励',
					explain: backData.Result.ActivityReward,
					num:numSub
				}
			}
			var html = template("pop-up",data);
			$('#popContent').html(html);
			return numResidue;
		}
		
		
		
		
       	return {
            init: init
        }
        
    })();
})(window,$);

