(function(window, $) {
	window.HistoryDetail = (function() {
		var GetQueryEntity = {
    		url:projectConfig.apiName.GetCustomerInvoiceDetail,
    		data:{
    			InvoiceId : 0
    		}
    	};
    	
    	function init(){
    		loadDetail();
    	}
    	
    	var ProductType=0;
    	
    	function loadDetail(){
    		app.showWaiting("加载中...",1);
    		app.Post(GetQueryEntity,null,function(data){
    			if(app.GetResultState(data)){
    				var tmplHot = template("hotelInvoiceDetail-template", data);
					$(".invoice-history-info").html(tmplHot);
					ProductType=data.Result.ProductType;
					if(data.Result.Status[0] == 1)
					{
						$(".bottom-button").show();
					}
					else
					{
						$("#lastDiv").removeAttr("style");
					}
					
					initEvent();
					
					$('#gotoHotelPlane').off().on('tap', function() {
						app.ShowWebView(projectConfig.ViewId.Invoice.OrderHotel.url,{invoiceId:GetQueryEntity.data.InvoiceId,productType:GetQueryEntity.data.ProductType},null,projectConfig.ViewId.Invoice.OrderHotel.Id);
					})
    			}
    			else{
    				app.showMsg(data.Msg);
    			}
    		})
    	}
    	
    	function initEvent(){
    		$(".bottom-button").off().on("tap",function(){
    			var param = {};
					param.InvoiceId = GetQueryEntity.data.InvoiceId;
					param.ProductType = 30;
					param.productType=ProductType;
					app.ShowWebView(projectConfig.ViewId.Payment.Cashier.url, param, 'slide-in-right', projectConfig.ViewId.Payment.Cashier.Id);
    		})
    	}
    	
    	return {
    		init :init,
    		GetQueryEntity:GetQueryEntity
    	}
	})();
})(window, $);