var app = (function() {
	return {
		//apiUrl: "http://192.168.1.178/",
		apiUrl: "https://appapi.ceekee.com/",
		//apiUrl: "https://testappapi.ceekee.com/",
		apiImageUrl: "",
		appVersion: "1.0.3", // 发包时候需要修�
		appType: 2, //1 企业 2 公司  发包时候需要修�
		appRefId: 0,
		appPlatId: 1013,
		SystemTime: "",
		isWhiteList: ["../Demand/DemandCheckPrice.html", "../Demand/DemandCheckArea.html"],
		RequestParam: {
			Version: '1.0.3',
			MemberId: 0,
			MemberMac: '',
			PhoneType: '',
			Token: ''
		},
		SendCodeEntity: {
			url: projectConfig.apiName.SendVerificationCode,
			data: {
				phone: "",
				sendtype: 0
			}
		},
		GetServicesTimeEntity: {
			url: projectConfig.apiName.GetSystemTime,
			data: {}
		},
		InitRequestParam: function() {
			app.RequestParam = {
				Version: '1.0.3',
				MemberId: 0,
				MemberMac: '',
				PlatId: "1013",
				RefId: "0"
			}
			app.RequestParam.MemberMac = app.GetUUID();
			app.RequestParam.PhoneType = app.GetMobileType();
			app.RequestParam.MemberId = app.getMemberId();
			app.RequestParam.Token = app.getToken();
			//添加渠道   1006 安卓  1001 ios
			var systemName = plus.os.name;
			if(systemName == "Android") {
				app.RequestParam.PlatId = "1014";
				app.RequestParam.RefId = "0";
			} else {
				app.RequestParam.PlatId = "1013";
				app.RequestParam.RefId = "0";
			}
			return app.RequestParam;
		},
		OpenWindow: function(pageid, pageurl, loadtype, data) {
			loadtype = loadtype || "slide-in-right";
			var styles = app.GetOpenWindowStyle(pageid);

			mui.openWindow({
				id: pageid,
				url: pageurl,
				extras: data,
				show: {
					aniShow: loadtype,
					autoShow: true, //页面loaded事件发生后自动显示，默认为true
					duration: 200 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒
				},
				waiting: {
					autoShow: true,
					title: '正在加载...', //等待对话框上显示的提示内
					options: {
						width: 'waiting-dialog-widht', //等待框背景区域宽度，默认根据内容自动计算合适宽
						height: 'waiting-dialog-height' //等待框背景区域高度，默认根据内容自动计算合适高
					}
				},
				styles: styles
			});
		},
		GetOpenWindowStyle: function(pageid) {
			topoffset = '0px';
			var styles = {
				popGesture: 'hide',
				scrollIndicator: "none",
				top: topoffset,
				bottom: '0px'
			};

			if("Sub_HotelList.html" == pageid) {
				topoffset = "45px";
				var topHeight = $(".mui-bar").height();
				topoffset = "" + topHeight + "px";
				styles = {
					top: topoffset,
					bottom: '50px'
				};
			}
			return styles;
		},
		//特殊处理如果存在先关闭页面重新打开
		ShowWebNewView: function(viewUrl, extras, loadtype, viewId, showedCB) {
			viewId = viewId || viewUrl;
			var webview = plus.webview.getWebviewById(viewId);
			loadtype = loadtype || "slide-in-right";
			if(webview != null)
				plus.webview.close(viewId, "none");

			setTimeout(function() {
				app.OpenWindow(viewId, viewUrl, loadtype, extras);
			}, 300);
		},
		//viewId 视图Id  extras 参数   showedCB 回调方法
		ShowWebView: function(viewUrl, extras, loadtype, viewId, showedCB) {
			viewId = viewId || viewUrl;
			var webview = plus.webview.getWebviewById(viewId);
			loadtype = loadtype || "slide-in-right";

			if(webview != null && $.inArray(viewUrl, app.isWhiteList) < 0) {
				plus.webview.close(viewId, "none", 0);
				webview = plus.webview.getWebviewById(viewId);
			}
			if(webview != null && $.inArray(viewUrl, app.isWhiteList) >= 0) {
				plus.webview.show(viewId, loadtype, 200, showedCB, extras);
				plus.webview.currentWebview().hide();
			} else {
				app.CreateView(viewUrl, viewId, {}, extras);
				setTimeout(function() {
					plus.webview.show(viewId, loadtype, 200, showedCB, extras);
				}, 300);
			}
		},
		HideWebView: function(viewId) {
			var webview = plus.webview.getWebviewById(viewId);
			var loadtype = "slide-out-right";
			plus.webview.hide(viewId, loadtype, 200);
		},
		CreateView: function(viewUrl, ViewId, style, extras) {
			// 创建加载内容窗口
			var styles = app.GetOpenWindowStyle(ViewId);

			return plus.webview.create(viewUrl, ViewId, styles, extras);
		},
		Reload: function() {
			var webview = plus.webview.currentWebview();
			if(webview != null) {
				webview.reload();
			}
		},
		GetUUID: function() {
			//验证settings是否存在UUID
			var settings = app.getSettings();
			if(!app.isEmptyObject(settings) && settings.MemberMac != undefined) {

				return settings.MemberMac;
			}

			switch(plus.os.name) {
				case "Android":
					// Android平台: plus.android.*
					var mainActivity = plus.android.runtimeMainActivity();
					var Settings = plus.android.importClass("android.provider.Settings");
					var uuid = Settings.Secure.getString(mainActivity.getContentResolver(), Settings.Secure.ANDROID_ID);
					return uuid;
					break;
				case "iOS":
					return plus.device.uuid;
					break;
				default:
					// 其它平台
					break;
			}
		},
		GetMobileType: function() {
			//验证settings是否存在PhoneType
			var settings = app.getSettings();
			if(!app.isEmptyObject(settings) && settings.PhoneType != undefined) {
				return settings.PhoneType;
			}
			return plus.device.model;
		},
		isEmptyObject: function(obj) {
			for(var name in obj) {
				return false;
			}
			return true;
		},
		setSettings: function(settings) {
			window.myStorage.removeItem("$settings");
			window.myStorage.setItem("$settings", settings);
		},
		getSettings: function() {
			var settingsText = window.myStorage.getItem("$settings");
			if(settingsText == null) {
				return {};
			} else {
				return settingsText;
			}
		},
		getMemberId: function() {
			var settings = app.getSettings();
			return settings.MemberId;
		},
		getToken: function() {
			var settings = app.getSettings();
			return settings.Token;
		},
		ToMain: function(IsReferral) { //显示主页
			app.OpenWindow(projectConfig.ViewId.home.index.id, '../home/index.html', 'pop-in');
		},
		IndexToMain: function(isLogin) {
			var bi = plus.navigator.isImmersedStatusbar();
			var isFull = true;
			if(bi) {
				isFull = false;
			}
			var settings = app.getSettings();

			var webview = plus.webview.currentWebview();
			if(webview != null) {
				webview.hide(1000);
			}
			plus.navigator.setFullscreen(isFull);
			if(isLogin) {
				app.OpenWindow(projectConfig.ViewId.home.index.id, "home/index.html", 'fade-in');
			} else {
				app.OpenWindow("customer.login",
					"Customer/login.html", 'fade-in');
			}

		},
		CheckLogin: function() {
			var settings = app.getSettings();
			if(settings.MemberId && settings.Token && settings.LoginType) {
				app.InitRequestParam();
				app.RequestParam.MemberId = settings.MemberId;
				app.RequestParam.Token = settings.Token;

				mui.ajax(app.apiUrl + "Customer/VerificationIsLogin", {
					data: app.RequestParam,
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					timeout: 5000, //超时时间设置�秒�
					success: function(data) {
						//服务器返回响应，根据响应结果，分析是否登录成功；
						if(data.Code == "0000") {
							app.ToMain();
						}
					},
					error: function(xhr, type, errorThrown) {
						//异常处理�
					}
				});
			}
		},
		ToLogin: function(jikou) {
			if(jikou == "Customer/CheckCompanyInfoIsComplete") {
				app.OpenWindow(projectConfig.viewid.Customer.Login.Id,
					projectConfig.viewid.Customer.Login.url, 'fade-in');
				return;
			}
			mui.confirm('登录状态错误', '提示', ['去登录'], function(e) {
				if(e.index == 0) {
					app.OpenWindow(projectConfig.viewid.Customer.Login.Id,
						projectConfig.viewid.Customer.Login.url, 'fade-in');
				} else {
					mui.closePopup();
				}
			});
		},
		checkMobile: function(phone) { //匹配手机号码
			var pattern = /^1[345789]\d{9}$/;
			return pattern.test(phone);
		},
		checkCard: function(card) {
			var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
			if(reg.test(card) === false) {
				return false;
			}
			return true;
		},
		checkNum: function(num) {
			var pattern = /\d+$/;
			return pattern.test(num);
		},
		countdown: 60,
		sendSMSCode: function(phone, sendType, apiName) {
			if(!!phone) {
				if(!!sendType) {
					app.SendCodeEntity.data.phone = phone;
					app.SendCodeEntity.data.sendtype = sendType;
				} else {
					app.SendCodeEntity.data = {
						phone: phone
					};
				}
			} else {
				app.SendCodeEntity.data = {
					sendtype: sendType
				};
			}

			app.SendCodeEntity.url = (apiName || app.SendCodeEntity.url);
			app.Post(app.SendCodeEntity, null, app.SendCodeCallBack);
		},
		SendCodeCallBack: function(data) { //点击获取验证码按钮之后发送Ajax请求之后的回调函�
			if(data.Code == "0000") {
				plus.nativeUI.toast("验证码发送成功，请注意查收");
			} else {
				plus.nativeUI.toast(data.Msg);
			}
		},
		setSMSSendTime: function settime(id) { //点击获取验证码按钮之后读秒的逻辑
			var obj = $("#" + id);
			if(app.countdown == 0) {
				obj.val("获取验证码");
				obj.html("获取验证码");
				app.countdown = 60; //秒数
				obj.removeAttr("disabled");
				return;
			} else {
				obj.val(app.countdown + "s后可重发");
				obj.html(app.countdown + "s后可重发");
				//obj.val(app.countdown + "s");
				obj.attr("disabled", "disabled");
				app.countdown--;
			}
			setTimeout(function() { //使用递归实现读秒的效果，使用递归实现setInterval的效�
				settime(id)
			}, 1000);
		},
		StatusBarBackground: function(colorStyle) {
			if(colorStyle == "" || colorStyle == null) {
				colorStyle = "#169bd5";
			}
			plus.navigator.setStatusBarBackground(colorStyle);
		},
		SerializeJson: function(self) {
			var o = {};
			var getClass = function(obj) {
				return Object.prototype.toString.call(obj).match(/^\[object\s(.*)\]$/)[1];
			};
			var init = function(value, name) {
				if(getClass(value) == "Object") {
					for(var xtem in value) {
						if(name == null) {
							init(value[xtem], xtem.toString());
						} else {
							init(value[xtem], name + "." + xtem.toString());
						}
					}
				} else if(getClass(value) == "Number" || getClass(value) == "String" || getClass(value) == "Boolean") {
					o[name] = value;
				} else if(getClass(value) == "Array") {
					for(var i = 0; i < value.length; i++) {
						init(value[i], name + "[" + i + "]");
					}
				}
			};
			init(self);
			return o;
		},
		GetSerializeJson: function(self) {
			$.extend(self, app.InitRequestParam());
			return app.SerializeJson(self);
		},
		Post: function(requestParam, obj, callback, asyncval, errorCallback, timeout) {
			var time = (new Date()).getTime(); //请求当前时间
			console.log("发送地址" + requestParam.url + "=========" + JSON.stringify(app.GetSerializeJson(requestParam.data)));
			if(asyncval)
				asyncval = asyncval;
			else
				asyncval = true;
			if(!timeout)
				timeout = 20000;

			var version = plus.os.version;
			var vs = version.split('.');
			if(vs[0] < 9) {
				app.apiUrl = app.apiUrl.replace("https", "http");
			}
			mui.ajax(app.apiUrl + requestParam.url, {
				data: app.GetSerializeJson(requestParam.data),
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: timeout, //超时时间设置秒；
				async: asyncval,
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
					time2 = (new Date()).getTime(); //响应当前时间
					//console.log("接口" + requestParam.url + "响应时间�time2 - time) + " 毫秒");
					plus.nativeUI.closeWaiting(); //控制状态显示隐�
					console.log("接收地址" + requestParam.url + "===========" + JSON.stringify(data));
					//服务器返回响应，根据响应结果，分析是否登录成功；
					if(data.Code == "8001" || data.Code == "8000") {
						app.ToLogin(requestParam.url);
					} else {
						callback(data, obj);
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理�
					plus.nativeUI.closeWaiting(); //控制状态显示隐�
					var webview = plus.webview.currentWebview().id;
					var webviewparent = plus.webview.currentWebview().parent();
					if(webviewparent != null) {
						webviewparent = webviewparent.id;
					}
					if(type == "abort") {
						var url = "../Customer/error.html";
						if(webview == "com.ceekee.ceekeeApp") {
							url = "/Customer/error.html";
						}
						app.ShowWebView(url, {
							typename: '网络断开了，请设置网络',
							webview: webview,
							webviewparent: webviewparent
						});
					}
					if(type == "timeout") {
						app.showMsg("请求超时，请稍后重试");
					}
					console.log(xhr.readyState);
					console.log(type);
					console.log(errorThrown);
					if(errorCallback) {
						errorCallback();
					}
				}
			});
		},
		PostImgData: function(requestParam, obj, callback, asyncval) {
			var time = (new Date()).getTime(); //请求当前时间
			if(asyncval)
				asyncval = asyncval;
			else
				asyncval = true;
			mui.ajax(app.apiUrl + requestParam.url, {
				data: app.GetSerializeJson(requestParam.data),
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 60000, //超时时间设置�秒�
				async: asyncval,
				headers: {
					'Content-Type': 'application/json'
				},
				success: function(data) {
					time2 = (new Date()).getTime(); //响应当前时间
					//console.log("接口" + requestParam.url + "响应时间" + (time2 - time) + " 毫秒");
					plus.nativeUI.closeWaiting(); //控制状态显示隐�
					console.log("接收地址" + requestParam.url + "===========" + JSON.stringify(data));
					//服务器返回响应，根据响应结果，分析是否登录成功；
					//					 console.log("当前页面URL�plus.webview.currentWebview().getURL());
					if(data.Code == "8001") {
						app.ToLogin(requestParam.url);
					} else {
						callback(data, obj);
					}
				},
				error: function(xhr, type, errorThrown) {
					//异常处理�
					plus.nativeUI.closeWaiting(); //控制状态显示隐�
					var webview = plus.webview.currentWebview().id;
					var webviewparent = plus.webview.currentWebview().parent();
					if(webviewparent != null) {
						webviewparent = webviewparent.id;
					}
					if(type == "abort") {
						app.ShowWebView('../Customer/error.html', {
							typename: '网络断开了，请设置网络',
							webview: webview,
							webviewparent: webviewparent
						});
					}
					if(type == "timeout") {
						app.showMsg("请求超时，请稍后重试");
					}
					//console.log(xhr.readyState);
					//console.log(type);
					//console.log(errorThrown);
				}
			});
		},
		// divobj 显示对象   margintop 距离顶部距离   type：show 直接显示  return
		Loading: function(divobj, margintop, type) {
			if(margintop == undefined)
				margintop = 0;
			var image = plus.io.convertLocalFileSystemURL("/images/loading.gif");
			var load = '<div class="loading" style="margin-top:' + margintop + ';"><img src="' + image + '" align="absmiddle">玩命加载中...</div>';
			type = type || "show";
			if(type == "show") {
				$(divobj).html(load);
			} else if(type == "return") {
				return load;
			}
			return "";
		},
		/**
		 * msg 显示文字 type 原生 0 自定�
		 * @param {Object} msg
		 * @param {Object} type
		 */
		showWaiting: function(msg, type) {
			type = type || 1;
			var op = {
				background: "rgba(0,0,0,0.6)",
				loading: {
					display: "inline"
				}
			}
			if(type == 1) {
				plus.nativeUI.showWaiting(msg, op);
				return;
			}
			if(type == 2) {
				op = {
					background: "rgba(0,0,0,0.6)",
					loading: {
						display: "inline",
						icon: "../images/close.png",
						interval: 100
					}
				}

				plus.nativeUI.showWaiting(msg, op);
			} else {
				plus.nativeUI.showWaiting(msg);
			}

		},
		LoadSearchNull: function(obj, classStyle) {
			app.renderNoResult("暂无数据", "看看其他的吧~", null, null, obj, classStyle);
		},
		GetResultState: function(data) {
			if(data != undefined && data != null && data.Code == '0000') {
				return true;
			} else {
				if(data.Code == "8001") {
					return;
				}
				return false;
			}
		},
		GetServicesTime: function(callback) {
			app.showWaiting("加载中...", 1);
			callback = callback || app.GetServicesTimeCallBack;
			return app.Post(app.GetServicesTimeEntity, null, callback);
		},
		GetServicesTimeCallBack: function(data) {
			if(data.Code = "0000") {
				app.SystemTime = data.Now;
			} else {
				app.SystemTime = new Date();
			}
		},
		gEl: function(el) {
			return(el.indexOf('#') > -1) ? $(el) :
				(!!$('#' + el).get(0) ? $('#' + el) : $('.' + el));
		},
		$el: function(param) {
			var $id, $class, $element;
			if(param.indexOf('#') == 0 || param.indexOf('.') == 0) {
				$id = $(param);
				if($id.get(0)) return $id;
			} else {
				$id = $('#' + param);
				if($id.get(0)) return $id;
				$class = $('.' + param);
				if($class.get(0)) return $class;
				$element = $(param);
				if($element.get(0)) return $element;
			}
			return null;
		},
		format: function() {
			function isArray(obj) {
				return Object.prototype.toString.call(obj) === '[object Array]';
			}

			if(arguments.length == 0)
				return null;
			var str = arguments[0];
			var re = '',
				i = 0;
			// 如果第二个参数是数组
			if(isArray(arguments[1])) {
				var array = arguments[1];
				for(; i < array.length; i++) {
					re = new RegExp('\\{' + i + '\\}', 'gm');
					str = str.replace(re, array[i]);
				}
			} else {
				for(i = 1; i < arguments.length; i++) {
					re = new RegExp('\\{' + (i - 1) + '\\}', 'gm');
					str = str.replace(re, arguments[i]);
				}
			}
			return str;
		},
		//title 标题   intro 描述  btnName 按钮名称  btnCallback 按钮事件
		renderNoResult: function(title, intro, btnName, btnCallback, showobj, iclass) {
			var iclassStr = '';
			if(iclass) {
				iclassStr = 'class="noBrand"';
			}
			var tmp = '<div class="zdy-network-no"><i ' + iclassStr + '></i><h3>' + (title || '') + '</h3>';
			if(intro)
				tmp += "<font>" + intro + "</font>";
			if(btnName && btnCallback) {
				tmp += '<a href="javascript:void(0);" onclick="' + btnCallback + '">' + btnName + '</a>';
			}
			tmp += "</div>";
			//			console.log(tmp);
			if(showobj)
				$(showobj).html(tmp);
			else
				$('header').after(tmp);
		},
		renderNoResultList: function(title, intro, btnName, btnCallback, showobj, iclass) {
			var iclassStr = '';
			if(iclass) {
				iclassStr = 'class="noBrand"';
			}
			var tmp = '<div class="zdy-network-no-list"><i ' + iclassStr + '></i><h3>' + (title || '') + '</h3>';
			if(intro)
				tmp += "<font>" + intro + "</font>";
			if(btnName && btnCallback) {
				tmp += '<a href="javascript:void(0);" onclick="' + btnCallback + '">' + btnName + '</a>';
			}
			tmp += "</div>";

			if(showobj)
				$(showobj).html(tmp);
			else
				$('header').after(tmp);
		},
		ShowResultErr: function(dataMsg, btnCallback, showobj) {
			app.renderNoResult("出了点状况", dataMsg, "重新加载", btnCallback, showobj);
		},
		GetNewIcon: function(type) {
			var _iconType = "";
			switch(type) {
				case 101:
					_iconType = "icon-wifi-";
					break;
				case 201:
					_iconType = "icon-youxian-";
					break;
				case 301:
					_iconType = "icon-tingchechang-";
					break;
				case 401:
					_iconType = "icon-jiejifuwu-";
					break;
				case 501:
					_iconType = "icon-youyongchi-";
					break;
				case 601:
					_iconType = "icon-huiyisheshi-";
					break;
				case 701:
					_iconType = "icon-canting-";
					break;
				case 801:
					_iconType = "icon-jianshenfang-";
					break;
				case 901:
					_iconType = "icon-banchejiesong-";
					break;
				default:
					break;
			}
			return _iconType;
		},
		GetGrad: function(type) {
			var _iconli = "";
			switch(type) {
				case 2:
					_iconli = '<i class="you2"></i>';
					break;
				default:
					break;
			}
			return _iconli;
		},
		GetIcon: function(type) {
			var icon = "";
			//免费wifi
			if(type == 1) {
				icon = "wifi";
			}
			//收费wifi
			else if(type == 2) {
				icon = "shoufei-wifi";
			}
			//免费宽带
			else if(type == 3) {
				icon = "kuandai";
			}
			//收费宽带
			else if(type == 4) {
				icon = "shoufei-kuandai";
			}
			//免费停车
			else if(type == 5) {
				icon = "tingchechang";
			}
			//收费停车
			else if(type == 6) {
				icon = "shoufei-tingchechang";
			}
			//免费接机
			else if(type == 7) {
				icon = "jieji";
			}
			//收费接机
			else if(type == 8) {
				icon = "shoufei-jieji";
			}
			//室内游泳�
			else if(type == 9) {
				icon = "youyongchi";
			}
			//室外游泳�
			else if(type == 10) {
				icon = "youyongchi-wai";
			}
			//健身�
			else if(type == 11) {
				icon = "jianshenfang";
			}
			//商务中心
			else if(type == 12) {
				icon = "shangwuzhongxin";
			}
			//会议�
			else if(type == 13) {
				icon = "huiyishi";
			}
			//餐厅
			else if(type == 14) {
				icon = ".canting";
			}
			return icon;
		},
		showMsg: function(msg) {
			mui.toast(msg);
		},
		confirmMsg: function(msg, callbackFn) {
			plus.nativeUI.alert(msg, function() {
				if(!!callbackFn) callbackFn();
			});
		},
		GetParentView: function() {
			var centerView = plus.webview.currentWebview();
			var par = centerView.parent();
			return par;
		},
		SendFireEvent: function(viewId, eventName, data) {
			var view = plus.webview.getWebviewById(viewId);
			mui.fire(view, eventName, {
				data: data
			});
		},
		LoginOut: function() {
			var settings = app.getSettings();
			settings.Token = '';
			settings.MemberId = '';
			settings.LoginType = 0;
			settings.phone = '';
			settings.IsManager = 0;
			settings.IsAgentUsers = undefined;
			mui.confirm('是否确认退出登录？', '退出登录', ['确认', '取消'], function(e) {
				if(e.index == 1) {
					mui.closePopup();
				} else {
					//关闭已经加载的页�
					var currentId = plus.webview.currentWebview().id;
					var wvs = plus.webview.all();
					for(var i = 0; i < wvs.length; i++) {
						if(currentId != wvs[i].id && wvs[i].id != projectConfig.viewid.Customer.Login.Id) {
							plus.webview.close(wvs[i].id);

						}
					}

					app.setSettings(settings);
					app.ShowWebView(projectConfig.viewid.Customer.Login.Id);
					//					plus.webview.close(plus.webview.currentWebview().id);
				}
			})
		},
		GetBase64Code: function(path, callbackFn) {
			var bitmap = new plus.nativeObj.Bitmap(""); //test标识谁便�
			// 从本地加载Bitmap图片
			bitmap.load(path, function() {
				var base4 = bitmap.toBase64Data();
				var datastr = base4.split(',', 3)
				if(datastr.length > 1) {
					pics.push(datastr[1]);
				} else {
					pics.push(datastr[0]);
				}
				if(!!callbackFn) callbackFn(base4)
			}, function(e) {});
		},
		GetIsFirstOrder: function(callback) {
			var GetFirstOrderCouponsEntity = {
				url: projectConfig.apiName.GetFirstOrderCoupons,
				data: {}
			}

			app.Post(GetFirstOrderCouponsEntity, null, callback);
		},
		ReplaceImgRequestHeader: function() {
			var version = plus.os.version;
			var vs = version.split('.');
			if(vs[0] < 9) {
				$('.mui-content').find("img").each(function(item, index) {
					var src = $(this).attr("src");
					if(src.indexOf('https') >= 0) {
						src = src.replace("https", "http");
						$(this).attr("src", src);
					}
				})
			}
		},
		ToUserIndex: function() {
			var settings = app.getSettings();
			if(settings.IsManager == 1) {
				app.ShowWebView(projectConfig.viewId.Enterprise.Index.url, null, "slide-in-left", projectConfig.viewId.Enterprise.Index.Id);
			} else {
				app.ShowWebView("../user/newIndex.html", {}, "slide-in-left");
			}
		},
		CanSetOrder: function(viewUrl, param) {
			var userinfoEnitity = {
				url: projectConfig.apiName.GetCustomerIndexInfo,
				data: {}
			};
			app.Post(userinfoEnitity, {}, function(data) {
				if(app.GetResultState(data)) {
					if(data.CustomerInfo.IsTrial) {
						if(data.CustomerInfo.TrialFinished) {
							mui.confirm("您已预订了3单，账号试用期结束，继续使用请充值成为正式会员。", "提示", ["取消", "去充值"], function(e) {
								if(e.index == 1) {
									app.ShowWebView(projectConfig.viewid.home.rechargerule.url, {}, null, projectConfig.viewid.home.rechargerule.Id);
								}
							});
						} else {
							app.ShowWebView(viewUrl.url, param, null, viewUrl.Id);
						}
					} else {
						if(data.CustomerInfo.IsExpired) {
							if(data.CustomerInfo.isManager) {
								mui.confirm("使用期已过，请充值购买", "", ["知道了"], function(e) {
									if(e.index == 1) {
										app.ShowWebView(projectConfig.viewid.home.voucherCenter.url, {}, "", projectConfig.viewid.home.voucherCenter.Id);
									}
								});

							} else {
								mui.confirm("使用期已过，请充值购买", "", ["知道了"], function(e) {});
							}
						} else {
							app.ShowWebView(viewUrl.url, param, null, viewUrl.Id);
						}
					}
				} else {
					app.showMsg("验证是否可下单失败");
				}
			});
		},
		postion: function(callback) {
			plus.geolocation.getCurrentPosition(function(p) {
				try {
					var cityName = p.address.city;
					var searchDetail = {
						Type: 0,
						Id: 0,
						Name: ''
					};
					var sCurrent = {
						url: projectConfig.apiName.GetDestinationList,
						data: {
							DestReqType: "current",
							DestList: []
						}
					};
					searchDetail.Type = 1;
					searchDetail.Name = cityName;
					searchDetail.Id = 0;
					sCurrent.data.DestList.push(searchDetail);
					var sendData = {
						url: sCurrent.url,
						data: sCurrent.data
					}
					app.showWaiting('定位中...', 0);
					app.Post(sendData, null, function(data) {
						callback(data);
					})
				} catch(e) {
					//app.showMsg("定位失败，请");
				}
			}, function(e) {
				mui.alert("该项服务需要使用定位功能，请重启定位服务", "定位服务被禁用", "知道了");
			});
		},
		/**
		 * @description 获取剪切板内容  
		 */
		getClipbordText: function() {
			if(!window.plus) return "";
			if(mui.os.android) {
				var Context = plus.android.importClass("android.content.Context");
				var main = plus.android.runtimeMainActivity();
				var clip = main.getSystemService(Context.CLIPBOARD_SERVICE);
				return plus.android.invoke(clip, "getText");
			} else {
				var UIPasteboard = plus.ios.importClass("UIPasteboard");
				var generalPasteboard = UIPasteboard.generalPasteboard();
				// 设置/获取文本内容:
				var _val = generalPasteboard.plusCallMethod({
					valueForPasteboardType: "public.utf8-plain-text"
				});
				return _val || '';
			}
		}
	}
})();

Array.prototype.indexOf = function(val) {
	for(var i = 0; i < this.length; i++) {
		if(this[i] == val) return i;
	}
	return -1;
};
Array.prototype.remove = function(val) {
	var index = this.indexOf(val);
	if(index > -1) {
		this.splice(index, 1);
	}
};

//全局控制沉浸式显�
mui.plusReady(function() {

	var bi = plus.navigator.isImmersedStatusbar();
	var hi = plus.navigator.getStatusbarHeight();
	//var scale = plus.screen.scale;
	var web = plus.webview.currentWebview();

//			bi = true;
//			hi = 20;
	if(bi) {
		$("#mtop-bi").css("height", hi + "px");
		var height = $(".mui-bar").height();

		if(web.id == "../Demand/SearchDestination.html" || web.id == "../Demand/SearchBrand.html") {

			$("#search-hei").css("top", 53 + hi + "px");
			$("areaList-mui2").css("margin-top", 155 + hi + "px");
			$(".mui-scroll-wrapper").css("margin-top", 155 + hi + "px");
			return;
		}

		if(web.id == "Hotel.NewDetail" || web.id == "../Hotel/NewDetail.html") {
			//酒店详情不需要设置mui-content padding
			return;
		}

		//询价详情特殊处理
		if(web.id == "../Demand/DemandDetail.html") {
			$("#content-detail").css("padding-top", parseInt(height) + "px");
			$("#content-detail-list").css("margin-top", 55 + hi + "px");
			return;
		}

		//酒店相册
		if(web.id == '../Hotel/PhotoAlbum.html') {

		}

		//问题页面特殊处理
		if(web.id == "../CustomService/serviceAdvice.html") {
			$(".service-header").css("top", parseInt(height) + "px");
		}

		//行程需求目的地行程需�
		if(web.id == "../Travel/newTravelDetail.html") {
			$(".delete-travel-container").css('top', 24 + hi);
		}

		//供应商，我的酒店
		if(web.id == "../MyHotel/index.html") {

			$("#supply-my-hotel span").css({
				'line-height': '6rem'
			});
			$("#supply-my-hotel").css({
				'background-color': '#13b1f1'
			})
		}

		//供应商，结算账号设置
		if(web.id == '../user/settlementAccount.html') {
			$(".header").find('i').css('top', hi + 'px');
		}

		//供应商，结算中心
		if(web.id == 'settleCenter.html') {
			$(".my-msg").css('top', hi + 10 + 'px');
		}

		//供应商，认领酒店
		if(web.id == 'MyHotel.search') {
			$("header").find('i').css('top', hi + 'px');
		}

		$(".mui-content").css("padding-top", parseInt(height) + "px");
		try {
			//设置
			$("#goto-setting").css("top", (parseInt(hi) + 10) + "px");
		} catch(e) {}

		try {
			$(".screening-page").css("top", (parseInt(height)) + "px");
		} catch(e) {}

		try {
			//会议特殊处理
			$("#Mice_back").css("top", "35px");

		} catch(e) {}

		try {
			//定制
			$("#Trip_back").css("top", "35px");

		} catch(e) {}

		try {
			//会议特殊处理
			$(".dialog-body").css("top", "23px");

		} catch(e) {}

	}
});