(function(window, $) {
	window.TMCHotelOrderDetail = (function() {
		var tabId0 = projectConfig.ViewId.User.Sub_MyApproval.Id + "0";
		var tabId1 = projectConfig.ViewId.User.Sub_MyApproval.Id + "1";
		var memberId = "";
		var serialNo = "";
		var travelId = 0;
		var _OrderType;
		var GetHotelOrderDetailEntity = {
			url: projectConfig.apiName.TMCGetHotelOrderDetail,
			data: {
				SerialNo: "",
				BookerMemberId: "",
				TravelBusinessId: 0
			}
		}
		var GetHotelOrderPriceEntity = {
			url: projectConfig.apiName.GetHotelOrderPrice,
			data: {
				SerialNo: 0,
				BookerMemberId: "",
				TravelBusinessId: 0
			}
		}

		var TMCApprovalTravelBusinessOrderEntity = {
			url: projectConfig.apiName.TMCApprovalTravelBusinessOrder,
			data: {
				IsAgree: false,
				OrderSerialNo: "",
				TravelBusinessId: 0
			}
		}

		function init(mid, sno, tid) {
			memberId = mid;
			serialNo = sno;
			travelId = tid;
			GetHotelOrderDetailEntity.data.SerialNo = sno;
			GetHotelOrderDetailEntity.data.BookerMemberId = memberId;
			GetHotelOrderDetailEntity.data.TravelBusinessId = tid;

			GetHotelOrderPriceEntity.data.SerialNo = sno;
			GetHotelOrderPriceEntity.data.BookerMemberId = memberId;

			TMCApprovalTravelBusinessOrderEntity.data.OrderSerialNo = sno;
			TMCApprovalTravelBusinessOrderEntity.data.TravelBusinessId = tid;
			loadDetail();
		}

		function loadDetail() {
			app.showWaiting('加载中...', 1);
			app.Post(GetHotelOrderDetailEntity, null, loadDetailCallback)
		}

		function loadDetailCallback(data) {
			if(app.GetResultState(data)) {
				var CheckInDate = data.BasicInfo.CheckInDate;
				var CheckOutDate = data.BasicInfo.CheckOutDate;
				var orderMsgTmp = '<div class="status-container"><div class="status-icon"><i class="ceekeefont {2}"></i></div><div class="status-info"><h3 class="status-title">{0}</h3><p class="status-desc">{1}</p></div></div>';
				var orderMsgHtml = "";
				var Status = data.Status;
				_OrderType = data.BasicInfo.OrderType;

				if(Status != null && Status.length > 0) {
					orderMsgHtml += app.format(orderMsgTmp, Status[1], Status[2], getIconStyle(Status[0]));
				}
				$("#orderMsg").html(orderMsgHtml);
				//Price 价格
				var PriceTmp = '<span class="order-price">{0}</span><i>{1}</i><b class="box-detail" style="font-size:1.2rem;">费用明细<l class="iconfont-02-15 icon-xiangqing"></l></b>';
				var PriceHtml = "";
				var Price = data.Price;
				if(Price != null && Price.length > 0) {
					PriceHtml += app.format(PriceTmp, '订单金额', '<l class="price-icon">￥</l>' + Price[2]);
				}
				$("#Price").html(PriceHtml);
				if(data.ButtonList && data.ButtonList.length > 0) {
					$("#ButtonList").html(GetButtonList(data.ButtonList));
					ButtonEvent();
				}

				var BasicInfo = data.BasicInfo;
				if(BasicInfo != null) {
					_OrderType = BasicInfo.OrderType;
					var basicInfoTmp = '<h3 class="order-hotel-info-title order-herf"><label>{0}</label><i class="iconfont-02-15 icon-xiangqing"></i></h3>' +
				'              <div class="order-ul"><div class="order-li">' +
				'<div class="order-left-side" ><p style="font-size:1.3rem;color:#333!important;">{6}</p><span >{7}</span></div>' +
				'<div class="order-right-side" style="display:none;"><p >总额:<l style="">{10}</l>{8}</p><span class="box-detail" style="font-size:1.3rem;color:#13b1fe!important;">明细</span></div></div>' +
				'              {9}</div>' +
				'                <div class="address-map-link"><p>{1}</p><span>{2}</span></div>';
			var gotoBut = "";
			if(!!BasicInfo.HotelPhone) {
				gotoBut += '<a href="tel:' + BasicInfo.HotelPhone + '"><i class="iconfont-02-15 icon-icon-lianxidianhua-"></i>&nbsp;联系酒店</a>';
			}
			gotoBut += '<a href="javascript:void(0);" id="map" style="color:#328bef;font-size:1.1rem;"><i style="display:none;" class="iconfont-02-15 icon-icon-ditudaohang-"></i>地图导航</a>';
					var check1 = BasicInfo.Check.split(" ")[0];
					var check2 = BasicInfo.Check.split(" ")[1];
					var check3 = BasicInfo.Check.split(" ")[2];
					var total = 0;
					var num = BasicInfo.PriceList;
					for(var i = 0; i < num.length; i++) {
						total = total + parseInt(num[i].TotalPrice[1]);
					}
					var hotellistHtml = "";
					for(var i = 0; i < BasicInfo.PriceList.length; i++) {
						hotellistHtml += '<div class="order-li">';
				hotellistHtml += '<div class="order-left-side"><p style="font-size:1.3rem;color:#333!important;">' + BasicInfo.PriceList[i].Name + '</p><span>'+BasicInfo.PriceList[i].Amount +'间 ' + BasicInfo.PriceList[i].Desc.split(' ')[0] + '<l style="color:red;margin-left:.3rem;">'+BasicInfo.PriceList[i].Desc.split(' ')[1]+'</l></span></div>';
				hotellistHtml += '<div class="order-right-side" style="display:none;"><p ><l style="">' + BasicInfo.PriceList[i].AveragePrice[0] + '</l>' + BasicInfo.PriceList[i].AveragePrice[1] + '</p><span>' + BasicInfo.PriceList[i].Amount + '</span></div>';
				hotellistHtml += '</div>';
					}
					var ContentsHtml = "";
					var averageprice = "0";
					if(BasicInfo.PriceList.length > 0)
						averageprice = BasicInfo.PriceList[0].AveragePrice[0];
					ContentsHtml += app.format(basicInfoTmp, BasicInfo.HotelName, BasicInfo.HotelAddress, gotoBut, BasicInfo.Check, BasicInfo.Policy.join(""),
						BasicInfo.Prepay, check1 + "&nbsp;" + check2, check3, total, hotellistHtml, averageprice);

					$("#Contents").html(ContentsHtml);
				} else {
					app.showMsg(data.Msg);
				}

				//预订信息
				var BookInfo = data.BookInfo;
				if(BookInfo != null) {

					var BookInfoTmp = "";
					if(app.appPlatId != 1010) {
						BookInfoTmp += "<li style='display:none;'><font>联系人</font>{0}</li>" +
							"<li><font>手机号</font>{1}</li>";
					} else {
						BookInfoTmp += "<li stylt='display:none'><font>联系人</font>{0}</li>" +
							"<li stylt='display:none'><font>手机号</font>{1}</li>";
					}
					//BookInfoTmp += "<li id='orderresident'><font>入住人</font><l>{2}</l></li>";
					var BookInfoHtml = app.format(BookInfoTmp, BookInfo[0], BookInfo[1], data.ResidentList[0], data.InvoiceInfo.InvoiceContent, data.InvoiceInfo.HasInvoice);
					$("#BookInfo").html(BookInfoHtml);
				}

				//其他信息
				var OtherInfo = data.OtherInfo;
				if(OtherInfo != null) {
					var OtherInfoTmp = "<li><font>订单编号</font>{0}</li>" +
						"<li style='border-bottom:0;'><font>预订时间</font>{1}</li>" +
						"<li style='display:none;' class=\"showNotice\">查看预订须知和相关说明<i class='iconfont-02-15 icon-xiangqing'></i></li>";
					var OtherInfoHtml = app.format(OtherInfoTmp, OtherInfo[0], OtherInfo[1]);
					$("#OtherInfo").html(OtherInfoHtml);
					GetHotelOrderPriceEntity.data.SerialNo = OtherInfo[0];
				}

				$("#order-load").hide();
				$("#order-cont").show();
				CostButton($(".box-detail"));
			}
		}

		function orderresident($orderresident) {
			var self = app.myOrderDetail;
			$orderresident.on('tap', function() {
				app.ShowWebView(projectConfig.ViewId.Order.OrderResident.url, {
					SerialNo: serialNo,
					rid: 0,
					MemberId: memberId
				});
			});
		}

		function CostButton($boxdetail) {
			$boxdetail.on("tap", function() {
				var self = app.myOrderDetail;
				if(_OrderType == 3) {
					GetHotelOrderPriceEntity.url = projectConfig.apiName.GetHotelOrderPriceV2;
				}
				app.Post(GetHotelOrderPriceEntity, null, function(data) {
					if(app.GetResultState(data)) {

						var tmplHot2 = template('detail-template', data);
						$("#detailContent").html(tmplHot2);
						$(".ce-detail-rule").show();

						$(".ce-rult-icon").off().on("tap", function() {
							$(".ce-detail-rule").hide();
						})
					} else {
						app.showMsg(data.Msg);
					}
				});

			});
		}

		function ButtonEvent() {
			$(".event-bind").on("tap", function() {
				var id = $(this).attr("val");
				switch(id) {
					case "605":
						mui.confirm("确定审批通过此订单嘛？", "提示", ["取消", "确定"], function(e) {
							if(e.index == 1) {
								TMCApprovalTravelBusinessOrderEntity.data.IsAgree = true;
								app.Post(TMCApprovalTravelBusinessOrderEntity, null, ButtonEventCallback)
								$(".button-detail").attr("val", "0");
							}
						})
						break;
					case "606":
						//审批不通过
						mui.confirm("确定审批不通过此订单嘛？", "提示", ["取消", "确定"], function(e) {
							if(e.index == 1) {
								TMCApprovalTravelBusinessOrderEntity.data.IsAgree = false;
								app.Post(TMCApprovalTravelBusinessOrderEntity, null, ButtonEventCallback)
								$(".button-detail").attr("val", "0");
							}
						})
						break;
				}
			})
		}

		function ButtonEventCallback(data) {
			if(app.GetResultState(data)) {
				loadDetail();

				var ziview = plus.webview.getWebviewById(tabId0);
				ziview.evalJS("window.Sub_MyApproval.reload(0)");
				var ziview1 = plus.webview.getWebviewById(tabId1);
				ziview1.evalJS("window.Sub_MyApproval.reload(1)");
			} else {
				app.showMsg(data.Msg)
			}
		}

		function GetButtonList(data) {
			var self = app.myOrderDetail;
			var html = "";
			if(data != null && data.length > 0) {
				for(var i = 0; i < data.length; i++) {
					var buttonStr = data[i];
					switch(buttonStr.Type) {
						case 605:
							//审批通过
							html += "<a href=\"javascript:void(0);\" class=\" event-bind\" val='" + buttonStr.Type + "' >" + buttonStr.Name + "</a>";
							break;
						case 606:
							//审批不通过
							html += "<a href=\"javascript:void(0);\" class=\"event-bind\" val='" + buttonStr.Type + "'>" + buttonStr.Name + "</a>";
							break;
						case 0:
							html += "<a href=\"javascript:void(0);\" class=\"order-set-confirm\" val='" + buttonStr.Type + "'>" + buttonStr.Name + "</a>";
							break;
						default:
							break;
					}
				}
			}
			return html;
		}

		function getIconStyle(type) {
			var icon = "";
			var n = Number(type);
			switch(n) {
				case 0:
					icon = "icon-dd";
					break;
				case 3:
					icon = "icon-dd";
					break;
				case 10:
					icon = "icon-qx";
					break;
				case 11:
					icon = "icon-qx";
					break;
				case 12:
					icon = "icon-qx";
					break;
				case 13:
					icon = "icon-qx";
					break;
				case 14:
					icon = "icon-qx";
					break;
				case 20:
					icon = "icon-dd";
					break;
				case 21:
					icon = "icon-drz";
					break;
				case 22:
					icon = " icon-dd";
					break;
				case 23:
					icon = "icon-drz";
					break;
				case 30:
					icon = "icon-dfk";
					break;
				case 31:
					icon = "icon-drz";
					break;
				case 32:
					icon = "icon-dfk";
					break;
				case 40:
					icon = "icon-rz";
					break;
				case 41:
					icon = "icon-ld";
					break;
				case 42:
					icon = "icon-qx";
					break;
				case 50:
					icon = "icon-dk";
					break;
				case 51:
					icon = "icon-dk";
					break;
				case 303:
					icon = "icon-dd";
					break;
				case 304:
					icon = "icon-fk";
					break;
				default:
					break;
			}

			return icon;
		}

		return {
			init: init,
			GetHotelOrderDetailEntity: GetHotelOrderDetailEntity
		}
	})();
})(window, $);