(function(window, $) {
	window.TMCPlaneOrderDetail = (function() {
		var tabId0 = projectConfig.ViewId.User.Sub_MyApproval.Id + "0";
		var tabId1 = projectConfig.ViewId.User.Sub_MyApproval.Id + "1";
		var memberId = "";
		var serialNo = "";
		var Travelid = 0;
		var GetFlightOrderDetailEntity = {
			url: projectConfig.apiName.TMCGetFlightOrderDetail,
			data: {
				SerialNo: "",
				BookerMemberId: "",
				TravelBusinessId: 0
			}
		};
		var TMCApprovalTravelBusinessOrderEntity = {
			url: projectConfig.apiName.TMCApprovalTravelBusinessOrder,
			data: {
				IsAgree: false,
				OrderSerialNo: "",
				TravelBusinessId: 0
			}
		}

		function init(mid, sno, tid) {
			memberId = mid;
			serialNo = sno;
			Travelid = tid;
			TMCApprovalTravelBusinessOrderEntity.data.OrderSerialNo = sno;
			TMCApprovalTravelBusinessOrderEntity.data.TravelBusinessId = Travelid;
			LoadDetail();
			mui("#list-contentScroll").scroll();
			$(".ce-rult-icon").off().on("tap", function() {
				$(".ce-refund-rule").hide();
				$(".ce-detail-rule").hide();
				$(".ce-insurance-detail").hide();
				$('body').css('pointer-events', 'none');
				setTimeout(function() {
					$('body').css('pointer-events', 'auto');
				}, 400);
			})

			$(".order-detail-out").on("tap", function() {
				$(".ce-detail-rule").show();
			});

		}

		function LoadDetail() {
			app.showWaiting('加载中...', 1);
			GetFlightOrderDetailEntity.data.SerialNo = serialNo;
			GetFlightOrderDetailEntity.data.BookerMemberId = memberId;
			GetFlightOrderDetailEntity.data.TravelBusinessId = Travelid;
			app.Post(GetFlightOrderDetailEntity, null, LoadDetailCallback)
		}

		function LoadDetailCallback(data) {
			if(app.GetResultState(data)) {
				var state = data.Status;
				$(".state-title").html(state[1]);
				$(".state-intro").html(state[2].replace('ProccessTime', "<span style='color:#fc9b16'>" + data.ProccessTime + "</span>"));
				$(".state-img").attr("src", getStateIcon(data.OrderStatus));
				var amount = data.TotalPrice;
				$("#pricetitle").html(amount[0]);
				//$(".price-code").html(amount[1]);
				$(".price").html(parseInt(amount[2]));
				var FlightList = data.FlightList;
				for(var i = 0; i < FlightList.length; i++) {
					var flight = FlightList[i].FlightInfo;
					var leaveDate = flight.DepartTime.replace(/-/g, "/");
					var arriveDate = flight.ArriveTime.replace(/-/g, "/");

					var month = app.DateTool.DateFormat("MM", leaveDate);
					var day = app.DateTool.DateFormat("dd", leaveDate);
					var amonth = app.DateTool.DateFormat("MM", arriveDate);
					var aday = app.DateTool.DateFormat("dd", arriveDate);
					var leavehour = app.DateTool.DateFormat("hh", leaveDate);
					var leavemuinte = app.DateTool.DateFormat("mm", leaveDate);
					var arrivehour = app.DateTool.DateFormat("hh", arriveDate);
					var arrivemuinte = app.DateTool.DateFormat("mm", arriveDate);
					flight.leaveDate = month + "月" + day + "日";
					flight.ArriveDate = amonth + "月" + aday + "日";
					flight.lTime = leavehour + ":" + leavemuinte;
					flight.aTime = arrivehour + ":" + arrivemuinte;
					var sysDateTime = new Date(data.SystemTime.replace(/-/g, "/"))
					flight.leaveWeek = app.DateTool.DateToWeek(new Date(leaveDate), sysDateTime);
					flight.ArriveWeek = app.DateTool.DateToWeek(new Date(arriveDate), sysDateTime);

					flight.flyType = flight.StopNum > 0 ? "经停" : "直飞";
					flight.Meal = flight.HaveMeal ? "有餐食" : "无餐食";
					FlightList[i].FlightInfo = flight;
				}
				data.FlightList = FlightList;
				$("#orderno").html(data.OrderSerialNo);
				$("#createtime").html(data.CreateTime);
				var tmplline = template('planeline-template', data);
				$("#detailline").html(tmplline);
				var tmplDetail = template('detail-template', data);
				$("#detailContent").html(tmplDetail);

				$(".button-list").html(getButtonList(data.ButtonList));
				ButtonEvent();

				$(".person-state").on("tap", function() {
					var state = $(this).attr("state");
					if(state == 1) {
						var msg = $(this).attr("msg");
						mui.confirm(msg, "失败原因", ["确定"])
					}
				})
			} else {
				app.showMsg(data.Msg);
			}
		}

		function getStateIcon(state) {
			switch(state) {
				case 0:
					{
						return "../images/plane/dsp.png";
					}
				case 1:
					{
						return "../images/plane/cpz.png";
					}
				case 2:
					{
						return "../images/plane/cpz.png";
					}
				case 10:
					{
						return "../images/plane/cpz.png";
					}
				case 11:
					{
						return "../images/plane/ycp.png";
					}
				case 20:
					{
						return "../images/plane/yqx.png";
					}
				case 21:
					{
						return "../images/plane/yqx.png";
					}
				case 31:
					{
						return "../images/plane/yqx.png";
					}
				case 32:
					{
						return "../images/plane/yqx.png";
					}
				case 33:
					{
						return "../images/plane/yqx.png";
					}
				case 41:
					{
						return "../images/plane/cpz.png";
					}
				case 42:
					{
						return "../images/plane/yqx.png";
					}
				case 43:
					{
						return "../images/plane/yqx.png";
					}
				case 44:
					{
						return "../images/plane/cpz.png";
					}
				case 45:
					{
						return "../images/plane/yqx.png";
					}
				case 46:
					{
						return "../images/plane/yqx.png";
					}
				case 47:
					{
						return "../images/plane/yqx.png";
					}
				case 48:
					{
						return "../images/plane/yqx.png";
					}
				case 51:
					{
						return "../images/plane/yqx.png";
					}
				case 52:
					{
						return "../images/plane/yqx.png";
					}
				case 61:
					{
						return "../images/plane/cpz.png";
					}
				case 62:
					{
						return "../images/plane/ycp.png";
					}
				case 63:
					{
						return "../images/plane/cpz.png";
					}
				case 64:
					{
						return "../images/plane/ycp.png";
					}
				case 67:
					{
						return "../images/plane/yqx.png";
					}
				case 68:
					{
						return "../images/plane/yqx.png";
					}

			}
		}

		function getButtonList(buttons) {
			var buttonshtml = "";
			var button = '<div class="button-item"><button type="{2}" class="button-detail button-detail-color {0}" link="{3}">{1}</button></div>';
			if(buttons && buttons.length > 0) {
				for(var i = 0; i < buttons.length; i++) {
					if(buttons[i].Type == 605) {
						buttonshtml += app.format(button, "", buttons[i].Name, buttons[i].Type, buttons[i].Link);
					} else if(buttons[i].Type == 606) {
						buttonshtml += app.format(button, "", buttons[i].Name, buttons[i].Type, buttons[i].Link);
					}
				}
			}
			return buttonshtml;
		}

		function ButtonEvent() {
			$(".button-detail").on("tap", function() {
				var id = $(this).attr("type");
				switch(id) {
					case "605":
						mui.confirm("确定审批通过此订单嘛？", "提示", ["取消", "确定"], function(e) {
							if(e.index == 1) {
								app.showWaiting('加载中...', 1);
								TMCApprovalTravelBusinessOrderEntity.data.IsAgree = true;
								app.Post(TMCApprovalTravelBusinessOrderEntity, null, ButtonEventCallback)
								$(".button-detail").attr("val", "0");
							}
						})
						break;
					case "606":
						//审批不通过
						mui.confirm("确定审批不通过此订单嘛？", "提示", ["取消", "确定"], function(e) {
							if(e.index == 1) {
								app.showWaiting('加载中...', 1);
								TMCApprovalTravelBusinessOrderEntity.data.IsAgree = false;
								app.Post(TMCApprovalTravelBusinessOrderEntity, null, ButtonEventCallback)
								$(".button-detail").attr("val", "0");
							}
						})
						break;
				}
			})
		}

		function ButtonEventCallback(data) {
			if(app.GetResultState(data)) {
				LoadDetail();
				var ziview = plus.webview.getWebviewById(tabId0);
				ziview.evalJS("window.Sub_MyApproval.reload(0)");
				var ziview1 = plus.webview.getWebviewById(tabId1);
				ziview1.evalJS("window.Sub_MyApproval.reload(1)");
			} else {
				app.showMsg(data.Msg)
			}
		}

		return {
			init: init
		}
	})();
})(window, $);