(function(window, $) {
	window.CommonPassenger = (function() {
		var type = 0;
		var passengers = [];
		var count = 0;
		//酒店专用
		var maxcount = 0;
		var checkCount = 0;
		var otherCount = 0;
		var GetCommonPassengetEntity = {
			url: projectConfig.apiName.GetPassengerList,
			data: {

			}
		}
		var AddHotelPassengerEntity = {
			url: projectConfig.apiName.AddHotelPassenger,
			data: {
				Name: ""
			}
		}

		var DeletePassengerEntity = {
			url: projectConfig.apiName.DeletePassenger,
			data: {
				PassengerId: 0
			}
		}

		function init(ptype, ps, mcount, maxc) {
			type = ptype;
			passengers = ps;
			count = mcount;
			maxcount = maxc;
			LoadList();
			mui(".mui-scroll-wrapper").scroll();
			initEvent();
		}

		function LoadList() {
			app.showWaiting('加载中...', 1);
			if(type == 0) {
				$(".passenger-search-box").hide();
				$(".passenger-header-mid").html("新增常用旅客");
				$("#title").html("常用旅客");
				$("#suserintro").html("");
				$(".passenger-header-view").show();
				$("#hotelView").hide();
				$("#listview").addClass("nosearching-list");
				$(".passenger-person-view").removeClass("has-search");
			} else if(type == 1) {
				$(".passenger-header-mid").html("新增入住人");
				$("#title").html("选择入住人");
				$("#suserintro").html("入住人");
				$(".passenger-search-box").hide();
				$("#passenger_add_box").hide();
				$("#hotelView").show();
				fuzzySearch();
			} else if(type == 5) {
				$(".passenger-header-mid").html("新增乘机人");
				$("#title").html("选择乘机人");
				$("#suserintro").html("乘机人");
				$(".passenger-header-view").show();
				$("#hotelView").hide();
				fuzzySearch();
			} else if(type == 6) {
				$(".passenger-header-mid").html("新增乘车人");
				$("#title").html("选择乘车人");
				$("#suserintro").html("乘车人");
				$(".passenger-header-view").show();
				$("#hotelView").hide();
				fuzzySearch();
			}

			app.Post(GetCommonPassengetEntity, null, LoadListCallback)
		}

		function LoadListCallback(data) {
			if(app.GetResultState(data)) {
				if(type == 0) {
					var tmplHot = template("list-template", data);
					$("#listview").html(tmplHot);
					$("#chlvb").hide();
				} else {
					for(var h = 0; h < passengers.length; h++) {
						passengers[h].ischeck = false;
					}
					for(var i = 0; i < data.PassengerListResp.PassengerList.length; i++) {
						var flag = false;
						if(type == 1) {
							for(var j = 0; j < passengers.length; j++) {
								if(data.PassengerListResp.PassengerList[i].Name == passengers[j].Name && !passengers[j].ischeck) {
									passengers[j].Id = data.PassengerListResp.PassengerList[i].Id;
									passengers[j].ischeck = true;
									flag = true;
									break;
								}
							}

						} else if(type == 5 || type == 6) {
							for(var j = 0; j < passengers.length; j++) {
								if(data.PassengerListResp.PassengerList[i].Name == passengers[j].Name && data.PassengerListResp.PassengerList[i].IdentityNo == passengers[j].IdentityNo && data.PassengerListResp.PassengerList[i].IdentityType == passengers[j].IdentityType && !passengers[j].ischeck) {
									passengers[j].ischeck = true;
									flag = true;
								}
							}
						}
						data.PassengerListResp.PassengerList[i].ischecked = flag;
					}

					if(type == 1) {
						data.PassengerListResp.type = 1;
						var hotelcount = 0;
						for(var k = 0; k < passengers.length; k++) {
							if(!passengers[k].Id) {
								hotelcount += 1;
							}
						}
						count = maxcount - hotelcount;
					}

					$("#smaxCount").html(count);
					$("#smaxCount1").html(count);
					$(".passenger-person-view").show();
					var tmplHot = template("orderpassengers-template", data);
					$("#listview").html(tmplHot);
					$("#chlvb").show();
					var tempcount = 0;
					$(".passenger-order-left").each(function(item, index) {
						var val1 = $(this).attr("ischeck");
						if(val1 == 1) {
							tempcount += 1;
						}
					})
					checkCount = tempcount;
					$("#scheckCount").html(tempcount);
					initUserEvent();
				}
				var search=$('#fuzzy_search');
				$(".edit").off().on("tap", function() {
					search.blur();
					var id = $(this).attr("val");
					var data = {
						Id: id,
						type: type,
						passengers: passengers,
						count: count,
						maxcount: maxcount
					}
					app.ShowWebView(projectConfig.ViewId.User.CommonPassengerEdit.url, data, "slide-in-right", projectConfig.ViewId.User.CommonPassengerEdit.Id)
				})

				$(".delete").off().on("tap", function() {
					search.blur();
					var id = $(this).attr("val");
					mui.confirm("确认删除该用户？", "提示", ["点错了", "删除"], function(e) {
						if(e.index == 1) {
							DeletePassengerEntity.data.PassengerId = id;
							app.showWaiting('加载中...', 1);
							app.Post(DeletePassengerEntity, null, function(data) {
								if(app.GetResultState(data)) {
									LoadList();
								} else {
									app.showMsg(data.Msg)
								}
							})
						}
					})
				})
			} else {
				$("#listview").html(LoadNoResult());
			}
		}

		function fuzzySearch(){
			var $s = $('#fuzzy_search');
			$s.data('isSearching',false);
			var render = function(data){
				if($s.data('isSearching')){
					$('#passenger_add_box').hide();
					$('.has-search').addClass('searching-list');
					$("#listview").html('');
					if($s.value){
						if(!data.PassengerListResp.PassengerList || data.PassengerListResp.PassengerList==null)
						{
							data.PassengerListResp.PassengerList=[];
						}
						for(var i=0;i<passengers.length;i++)
						{
							data.PassengerListResp.PassengerList.push(passengers[i]);
						}
					}
					LoadListCallback(data);
					$s.data('isSearching',false);
				}
			};
			$s.off().on('input',function(){
				var $this = $(this);
				if(!$s.data('isSearching')){
						$s.data('isSearching',true);
						app.Post({
							url: projectConfig.apiName.GetPassengerList,
							data: {
								Name:$s.val()
							}
						}, null, function(res){
							render(res);
						});
				}
			})
		}

		function initUserEvent() {
			$(".passenger-order-left,.passenger-order-mid").off().on("tap", function() {
				$('#fuzzy_search').blur();
				var obj;
				if($(this).hasClass("passenger-order-mid")) {
					obj = $(this).prev();
				} else {
					obj = $(this)
				}
				var val = obj.attr("ischeck");
				var need = obj.attr("need");
				if(need == 1 && type != 1) {
					app.showMsg("请先完善该用户信息");
					return;
				}
				if(val == 1) {
					obj.find("img").attr("src", "../images/weixuan.png");
					obj.attr("ischeck", 0);
				} else {
					if(checkCount >= count) {
						app.showMsg("最多选择" + count + "人");
						return;
					}
					obj.attr("ischeck", 1);
					obj.find("img").attr("src", "../images/hongxuanzhong.png");
				}

				var tempcount = 0;
				var ps = [];
				$(".passenger-order-left").each(function(item, index) {
					var val1 = $(this).attr("ischeck");
					if(val1 == 1) {
						tempcount += 1;
						var entity = {}
						if(type == 1) {
							entity.Id = $(this).attr("val");
							entity.Name = $(this).attr("name");
							ps.push(entity)
						} else if(type == 5 || type == 6) {
							entity.Id = $(this).attr("val");
							entity.Name = $(this).attr("name");
							entity.IdentityType = $(this).attr("cardtype");
							entity.IdentityNo = $(this).attr("card");
							entity.CardName = entity.IdentityType == 1 ? "身份证" : "护照";
							ps.push(entity)
						}
					}
				})
				//酒店
				if(type == 1) {
					var tempps = [];
					//组装是常旅的酒店用户
					for(var j = 0; j < ps.length; j++) {
						tempps.push(ps[j]);
					}
					//组装不是常旅的用户
					if(tempps.length < maxcount) {
						var tempcount1 = maxcount - tempps.length;
						var forcount=0;
						if(passengers.length>=tempcount1){
							forcount=tempcount1;
						}
						else{
							forcount=passengers.length;
						}
						for(var i = 0; i < forcount; i++) {
							if(!passengers[i].Id || passengers[i].Id == 0) {
								passengers[i].Id = 0;
								tempps.push(passengers[i]);
							}
						}
					}
					//补位
					if(tempps.length < maxcount) {
						var tempcount1 = maxcount - tempps.length;
						for(var k = 0; k < tempcount1; k++) {
							var entity = {}
							entity.Id = 0;
							entity.Name = "";
							tempps.push(entity);
						}
					}
					ps = tempps;
				}

				passengers = ps;

				checkCount = tempcount;
				$("#scheckCount").html(checkCount);
			})

			$("#chlvb").off().on("tap", function() {
				if(checkCount <= 0) {
					app.showMsg("请至少选择一个常用旅客");
					return;
				}
				if(checkCount > count) {
					app.showMsg("最多选择" + count + "人");
					return;
				}
				mui.back(1, passengers);
			})
		}

		function LoadNoResult() {
			return '<div class="no-list-msg" style="margin-top:9rem;background:#eee">' +
				'<div class="no-icon">' +
				'	<img src="../images/no-list-icon.png" />' +
				'</div>' +
				'<div class="no-msg" style="font-size:1.4rem;color:#666;">' +
				'暂无常用旅客信息' +
				'</div>' +

				'<div class="no-msg" style="color:#666;">' +
				'添加后预订更便捷' +
				'</div>' +
				'</div>';
		}

		function initEvent() {
			$(".passenger-header").off().on("tap", function() {
				var data = {
					Id: 0,
					type: type,
					passengers: passengers,
					count: count,
					maxcount: maxcount
				}
				app.ShowWebView(projectConfig.ViewId.User.CommonPassengerEdit.url, data, "slide-in-right", projectConfig.ViewId.User.CommonPassengerEdit.Id)
			})

			$("#btnadd").off().on("tap", function() {
				var name = $("#txtname").val();
				if(!name) {
					app.showMsg("请输入新增入住人姓名");
					return;
				}
				AddHotelPassengerEntity.data.Name = name;

				app.showWaiting('加载中...', 1);
				app.Post(AddHotelPassengerEntity, null, function(data) {
					if(app.GetResultState(data)) {
						$("#txtname").val("");
						app.Post(GetCommonPassengetEntity, null, LoadListCallback);
					} else {
						app.showMsg(data.Msg);
					}
				})
			})
		}
		
		function reload(data){
			type = data.type;
			passengers = data.passengers;
			count = data.count;
			maxcount = data.maxcount;
			
			LoadList();
			mui(".mui-scroll-wrapper").scroll();
			initEvent();
		}

		return {
			init: init,
			type: type,
			passengers: passengers,
			count: count,
			reload:reload
		}
	})();
})(window, $);