(function(window, $) {
	window.CommonPassengerEdit = (function() {
		var GetEntity = {
			url: projectConfig.apiName.GetPassengerInfo,
			data: {
				PassengerId: 0
			}
		}

		var SaveEntity = {
			url: projectConfig.apiName.MaintainPassenger,
			data: {
				Id: 0,
				Name: "",
				EFirstName: "",
				ElastName: "",
				IdentityType: 1,
				IdentityNo: "",
				Brithday: "",
				Sex: 1
			}
		}

		var dDate = new Date();
		var showdate = "";
		var year = "";
		var month = "";
		var day = "";
		//常旅类型  1.酒店 5.机票 6.火车票
		var type = 0;
		//证件类型   身份证  护照
		var cardtype = 0;
		var sex=1;
		var cardtype=0;
		var cardNo="";

		var passageId = 0;
		var passengers=[];
		var count=0;
		var maxcount=0;

		function init(pid,ptype,ps,pcount,pmax) {
			passageId=pid;
			type=ptype;
			passengers=ps;
			count=pcount;
			maxcount=pmax;
			LoadInfo();
		}

		function LoadInfo() {
			$(".type2").hide();
			if(passageId != 0) {
				app.showWaiting('加载中...', 1);
				GetEntity.data.PassengerId = passageId;
				app.Post(GetEntity, null, LoadInfoCallback)
			}
			initEvent();
		}

		function LoadInfoCallback(data) {
			if(app.GetResultState(data)) {
				var passenger=data.PassengerInfo;
				$("#txtcnName").val(passenger.Name);
				$("#txtenfirst").val(passenger.EFirstName);
				$("#txtenName").val(passenger.ElastName);
				$("#txtcode").val(passenger.IdentityNo);
				
				cardtype=passenger.IdentityType;
				cardNo=passenger.IdentityNo;
				
				var d = new Date(passenger.Birthday.replace(/-/g, "/"));
				year = d.getFullYear();
				day = d.getDate();
				if(day > 25) {
					var newnow = app.DateTool.DateAdd("d", -5, d);
					month = (newnow.getMonth() + 1);
				} else {
					month = (d.getMonth() + 1);
				}
				showdate = year + "-" + month + "-" + day;
				$("#birthdayview").removeClass("passenger-detail-birthday-null");
				$(".passenger-detail-sex").find("img").attr("src","../images/dan_wx.png");
				$(".passenger-detail-sex").attr("ischeck", 0);
				if(passenger.Sex == 0) {
					$(".passenger-detail-sex").eq(1).find("img").attr("src", "../images/dan_yx.png");
					$(".passenger-detail-sex").eq(1).attr("ischeck", 1);
					sex=0;
				} else if(passenger.Sex == 1) {
					$(".passenger-detail-sex").eq(0).find("img").attr("src", "../images/dan_yx.png");
					$(".passenger-detail-sex").eq(0).attr("ischeck", 1);
					sex=1;
				}
				
				if(passenger.IdentityType == 1) {
					$(".type2").hide();
					$("#cardview").find("span").html("身份证");
					$("#cardview").attr("val", 1);
					$(".card-type-detail").removeClass("current");
					$(".card-type-detail").eq(0).addClass("current");
				}
				else if(passenger.IdentityType == 2)
				{
					$(".type2").show();
					$("#cardview").find("span").html("护照");
					$("#cardview").attr("val", 2);
					$(".card-type-detail").removeClass("current");
					$(".card-type-detail").eq(1).addClass("current");
				}

				$("#birthdayview").html(showdate);

			} else {
				if(data.Code == "0001") {
					app.showMsg("未查询到该常用旅客信息");
				} else {
					app.showMsg(data.Msg);
				}
			}
		}

		function initEvent() {
			$("#cardview").on("tap", function() {
				$(".back").show();
				$(".card-type-view").slideDown(200);
				$("input").blur();
			})
			
			$(".back").on("tap",function(){
				$(".card-type-view").slideUp(200);
				$(".back").hide();
			})

			$(".card-type-detail").on("tap", function() {
				$(".card-type-detail").removeClass("current");

				$("#cardview").find("span").html($(this).html());
				if($(this).attr("val") == 2) {
					$(".type2").show();
					$("#cardview").attr("val", 2);
					$(".card-type-detail").eq(1).addClass("current");
					
					if(cardtype==2)
						$("#txtcode").val(cardNo);
					else
						$("#txtcode").val("");
					
				} else {
					$(".type2").hide();
					$("#cardview").attr("val", 1);
					$(".card-type-detail").eq(0).addClass("current");
					if(cardtype==1)
						$("#txtcode").val(cardNo);
					else
						$("#txtcode").val("");
				}

				$(".card-type-view").slideUp(200);
				$(".back").hide();
			})
			$(".card-type-close").on("tap", function() {
				$(".card-type-view").slideUp(200);
				$(".back").hide();
			})

			$(".passenger-detail-sex").on("tap", function() {
				var ischeck = $(this).attr("ischeck");
				if(ischeck == 1) {
					return;
				} else {
					$(".passenger-detail-sex").find("img").attr("src","../images/dan_wx.png");
					$(".passenger-detail-sex").attr("ischeck", 0);
					$(this).find("img").attr("src", "../images/dan_yx.png");
					$(this).attr("ischeck", 1);
				}
			})

			$("#birthdayview").on("tap", function() {
				initDate();
			})

			$(".passenger-detail-button").on("tap", function() {
				$("input").blur();
				var isSubmit = $(this).attr("isSubmit");
				if(!isSubmit || isSubmit == 0)
					$(this).attr("isSubmit", "1");
				else
					return;
				var name = $("#txtcnName").val();
				var enf = $("#txtenfirst").val();
				var enl = $("#txtenName").val();
				var card = $("#txtcode").val();

				if(!name) {
					app.showMsg("请输入中文姓名");
					$(this).attr("isSubmit",0);
					return;
				}
				if($("#cardview").attr("val") == 2) {
					if(!enf) {
						app.showMsg("请输入英文姓");
						$(this).attr("isSubmit",0);
						return;
					}
					if(!enl) {
						app.showMsg("英文名");
						$(this).attr("isSubmit",0);
						return;
					}
					if(!card) {
						app.showMsg("请输入护照号");
						$(this).attr("isSubmit",0);
						return;
					}
					if(!showdate){
						app.showMsg("请选择生日");
						$(this).attr("isSubmit",0);
						return;
					}
				} else {
					if(!card) {
						app.showMsg("请输入身份证号");
						$(this).attr("isSubmit",0);
						return;
					}
					if(!app.checkCard(card)) {
						app.showMsg("请输入正确的身份证号");
						$(this).attr("isSubmit",0);
						return;
					}
				}
					
				SaveEntity.data.Id=passageId;
				SaveEntity.data.Name=name;
				SaveEntity.data.EFirstName=enf;
				SaveEntity.data.ElastName=enl;
				SaveEntity.data.IdentityType=$("#cardview").attr("val");
				SaveEntity.data.IdentityNo=card;
				SaveEntity.data.Brithday=showdate;
				
				$(".passenger-detail-sex").each(function(item,index){
					if($(this).attr("ischeck")==1){
						sex=$(this).attr("val")
						return;
					}
				})
				
				SaveEntity.data.Sex=sex;
				
				app.Post(SaveEntity,null,function(data){
					if(app.GetResultState(data)) {
//						mui.confirm(data.Msg,"提示",["返回列表"],function(){
						var data={}
						data.type=type;
						data.cardtype=cardtype;
						data.passengers=passengers;
						data.count=count;
						data.maxcount=maxcount;
						
						var webview=plus.webview.getWebviewById(projectConfig.ViewId.User.CommonPassenger.Id);
						webview.evalJS("window.CommonPassenger.reload("+JSON.stringify(data)+")");
						webview.show();
						plus.webview.currentWebview().hide();
						
						//app.ShowWebView(projectConfig.ViewId.User.CommonPassenger.url,data,"slide-in-left",projectConfig.ViewId.User.CommonPassenger.Id)
						
					//	})
					}
					else{
						app.showMsg(data.Msg);
						$(".passenger-detail-button").attr("isSubmit", "0");
					}
				})
			})
		}

		function initDate() {
			var minDate = new Date();
			minDate.setFullYear(1900, 0, 1);
			var maxDate = new Date();
			if(showdate) {
				dDate.setFullYear(year, month - 1, parseInt(day,10));
			}
			plus.nativeUI.pickDate(function(e) {
				var d = e.date;
				console.log(JSON.stringify(d))
				var time=d.getTime();
				
				year = d.getFullYear();
				day = d.getDate();
				
				var hour=d.getHours();
				if(hour==15 || hour==23){
					day+=1;
				}
				
				if(day > 25) {
					var newnow = app.DateTool.DateAdd("d", -5, d);
					month = (newnow.getMonth() + 1);
				} else {
					month = (d.getMonth() + 1);
				}
				showdate = year + "-" + month + "-" + day;

				$("#birthdayview").html(showdate);
				$("#birthdayview").removeClass("passenger-detail-birthday-null");
			}, function(e) {
				//info.innerText = "您没有选择日期";
			}, {
				title: "请选择日期",
				date: dDate,
				minDate: minDate,
				maxDate: maxDate
			});
		}

		return {
			init: init,
			GetEntity: GetEntity,
			type: type,
			cardtype: cardtype,
			passageId: passageId
		}
	})();
})(window, $);