(function(window, $) {
	window.MyApproval = (function() {
		var currentTab = 0;
		var tabId0 = projectConfig.ViewId.User.Sub_MyApproval.Id + "0";
		var tabId1 = projectConfig.ViewId.User.Sub_MyApproval.Id + "1";

		function init() {
			setTimeout(function() {
				initSubView(0);
			}, 300);
			
			checkOrderTab();
		}

		function initSubView(type) {
			var topBar = $(".mui-bar").height();
			var top = (Number(topBar)) + "px";
			var bottom = "55";
			var style = {
				top: top,
				bottom: bottom
			}
			var webView = plus.webview.currentWebview();
			var currentview1 = plus.webview.getWebviewById(tabId0);
			if(!currentview1) {
				var sub = plus.webview.create(projectConfig.ViewId.User.Sub_MyApproval.url, tabId0, style, {
					type: 0
				});
				webView.append(sub);
			}
			var currentview2 = plus.webview.getWebviewById(tabId1);
			if(!currentview2) {
				var sub1 = plus.webview.create(projectConfig.ViewId.User.Sub_MyApproval.url, tabId1, style, {
					type: 1
				});
				var webView = plus.webview.currentWebview();
				webView.append(sub1);
			}
			if(type == 0) {
				plus.webview.show(tabId0, "none", 50);
				plus.webview.hide(tabId1);
				var ziview = plus.webview.getWebviewById(tabId0);
				ziview.evalJS("window.Sub_MyApproval.reload(0)");
			} else if(type == 1) {
				var ziview = plus.webview.getWebviewById(tabId1);
				ziview.evalJS("window.Sub_MyApproval.reload(1)");
				plus.webview.hide(tabId0);
				plus.webview.show(tabId1, "none", 50);
			}
		}

		function checkOrderTab() {
			$(".approval-bottom-item").on("tap", function() {
				var items=$(".approval-bottom-item");
				items.removeClass("current");
				items.eq(0).find("img").attr("src","../images/tmc_wsp.png");
				items.eq(1).find("img").attr("src","../images/tmc_ysp.png");
				$(this).addClass("current");
				var id = $(this).attr("val");
				if(id == 0) {
					$(this).find("img").attr("src","../images/tmc_wsp01.png");
					plus.webview.show(tabId0, "none", 50);
					plus.webview.hide(tabId1);
					var ziview = plus.webview.getWebviewById(tabId0);
					ziview.evalJS("window.Sub_MyApproval.reload(0)");
				} else if(id == 1) {
					$(this).find("img").attr("src","../images/tmc_ysp01.png");
					var ziview = plus.webview.getWebviewById(tabId1);
					ziview.evalJS("window.Sub_MyApproval.reload(1)");
					plus.webview.hide(tabId0);
					plus.webview.show(tabId1, "none", 50);
				}
			})
		}

		return {
			init: init
		}
	})();
})(window, $);