var _pageSize = 10;
app.myCollectList = {
	
	GetSupplyHotelListEntity: {
		url: projectConfig.apiName.GetCollectionHotelList,
		data: {
			Page: {
				Index: 1,
				Size: _pageSize
			},
			IsGroup:0
		},
		PageInfo: {
			Index: 1,
			Size: _pageSize,
			Amount: 0,
			ResultAmount: 0
		}
	},
	pageConfig: {
		pullRefreshId: 'pullrefresh',
		listId: 'divHotelList',
		bindHotelId: 'goTo-BindHotel'
	},
	resetSupplyHotelListEntity: function() {
		var self = app.myCollectList;
		self.GetSupplyHotelListEntity = {
			url: projectConfig.apiName.GetCollectionHotelList,
			data: {
				Page: {
					Index: 1,
					Size: _pageSize
				}
			},
			PageInfo: {
				Index: 0,
				Size: _pageSize,
				Amount: 0,
				ResultAmount: 0
			}
		}
	},
	init: function() {
		var self = app.myCollectList;
		self.initHotelList();
	},
	showdata: function() {
		//$("#order-load").hide();
		$("#pullrefresh").fadeIn();
	},
	renderNoHotel: function() {
		var self = app.myCollectList;
		var tmp = '		<li><p style="text-align:center;">您还没有收藏哦</p></li>';
		app.gEl(self.pageConfig.pullRefreshId).html(tmp);
	},
	reloadPage:function(group){
		var self = app.myCollectList;
		mui('#pullrefresh').pullRefresh().scrollTo(0,0,0);
		self.resetSupplyHotelListEntity();
		self.GetSupplyHotelListEntity.data.IsGroup = group;
		self.GetSupplyHotelListEntity.data.Page.Index = 1;
		self.ajaxData(function(data) {
			var entity = self.GetSupplyHotelListEntity;
			var PageInfo = entity.PageInfo;
			var $list = app.gEl(self.pageConfig.listId);
			$list.html('');
			$list.html(self.getListHTML(data));
			app.ReplaceImgRequestHeader()
		});
	},
	refreshPage: function() {
		var self = app.myCollectList;
		var group = self.GetSupplyHotelListEntity.data.IsGroup;
		self.resetSupplyHotelListEntity();
		self.GetSupplyHotelListEntity.data.IsGroup = group;
		self.ajaxData(function(data) {
			var entity = self.GetSupplyHotelListEntity;
			var PageInfo = entity.PageInfo;
			var $list = app.gEl(self.pageConfig.listId);
			$list.html('');
			$list.html(self.getListHTML(data));
			//如果下拉刷新就一页不给上啦事件
			if(_scrollId)mui(_scrollId).pullRefresh().endPulldownToRefresh();
			if(PageInfo.Index >= PageInfo.Amount && PageInfo.Amount == 1) {
				if(_scrollId)mui(_scrollId).pullRefresh().endPullupToRefresh(true);
			} else {
				self.GetSupplyHotelListEntity.data.Page.Index++;
				if(_scrollId)mui(_scrollId).pullRefresh().endPullupToRefresh(false);
			}
			app.ReplaceImgRequestHeader()
		});
	},
	getListHTML:function(data){
		var self = app.myCollectList.GetSupplyHotelListEntity;
		console.log('res='+JSON.stringify(data));
		return template('t_hotel_collect_list',{_list:data,IsGroup:self.data.IsGroup});
	},
	initHotelList: function() {
		var self = app.myCollectList;
		$('#divHotelList').on('tap', '.collect-list-item', function(e) {
			var hotelId = $(this).attr("data-id");
			var _hotelDetail = projectConfig.ViewId.Hotel.ScatteredDetail;
			// todo 11111
			if($(this).attr("data-type")==0){ // 散房
				app.ShowWebView(_hotelDetail.url, {
				Hid: hotelId,
				back:projectConfig.ViewId.User.myCollect
			}, null, _hotelDetail.Id);
			}else{ // 团房
				app.ShowWebView(projectConfig.ViewId.Hotel.NewDetail.url, 
					{
					SId:'',
					HId:hotelId,
					DId:'',
					ArrivalDate:'',
					DepartureDate:'',
					IsGroup:1
				}, "slide-in-right", projectConfig.ViewId.Hotel.NewDetail.Id);
			}
		});

	},
	GetNextPageData: function() {
		var self = app.myCollectList;
		var entity = self.GetSupplyHotelListEntity;
		self.ajaxData(function(data) {
			var PageInfo = entity.PageInfo;
			var $list = app.gEl(self.pageConfig.listId);
			$list.append(self.getListHTML(data));
            self.showdata();
			if(PageInfo.Index >= PageInfo.Amount) {
				mui(_scrollId).pullRefresh().endPullupToRefresh(true);
			} else {
				self.GetSupplyHotelListEntity.data.Page.Index++;
				mui(_scrollId).pullRefresh().endPullupToRefresh(false);
			}
			
			app.ReplaceImgRequestHeader()
		});

	},
	collectlist: function() {
		var self = app.myCollectList;
		var entity = self.GetSupplyHotelListEntity;
		var datapage = entity.data.Page;
		if(datapage.Index == 0 || (entity.PageInfo.Amount > datapage.Index)) {
			entity.data.Page = $.extend(true, entity.data.Page, {
				Index: entity.PageInfo.Index + 1
			});

			self.ajaxData(function(data) {
				var $list = app.gEl(self.pageConfig.listId);
				$list.append(self.getListHTML(data));				
			});
		}
	},
	ajaxData: function(callbackFn) {
		app.showWaiting("加载中...",1);
		var self = app.myCollectList;
		var _render = function(data) {
			var entity = self.GetSupplyHotelListEntity;
			if(app.GetResultState(data)) {
				entity.PageInfo = data.PageInfo;
				callbackFn(data.HotelList);
			} else {
				app.renderNoResultList("没有收藏酒店", '赶紧去收藏吧', null, null, $("#divHotelList"));
				mui(_scrollId).pullRefresh().endPulldownToRefresh();
				mui(_scrollId).pullRefresh().disablePullupToRefresh();
				mui(_scrollId).pullRefresh().endPulldownToRefresh(true);
				app.renderNoResult(data.Msg, "", null, null, $("#scroll-list"));
				self.showdata();
			}

		};

		app.Post(self.GetSupplyHotelListEntity, null, _render);
	}
}